-- MySQL dump 10.13  Distrib 8.0.31, for Win64 (x86_64)
--
-- Host: 127.0.0.1    Database: martvill
-- ------------------------------------------------------
-- Server version	8.0.31

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `activity_logs`
--

DROP TABLE IF EXISTS `activity_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `activity_logs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `log_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `subject_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subject_id` bigint unsigned DEFAULT NULL,
  `event` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `causer_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `causer_id` bigint unsigned DEFAULT NULL,
  `properties` json DEFAULT NULL,
  `batch_uuid` char(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `subject` (`subject_type`,`subject_id`),
  KEY `causer` (`causer_type`,`causer_id`),
  KEY `activity_logs_log_name_index` (`log_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `activity_logs`
--

LOCK TABLES `activity_logs` WRITE;
/*!40000 ALTER TABLE `activity_logs` DISABLE KEYS */;
/*!40000 ALTER TABLE `activity_logs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `addresses`
--

DROP TABLE IF EXISTS `addresses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `addresses` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint NOT NULL,
  `first_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `last_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type_of_place` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT 'home' COMMENT 'home/office',
  `address_1` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address_2` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `zip` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` mediumint NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `address_user_id_foreign_idx` (`user_id`),
  KEY `addresses_first_name_index` (`first_name`),
  KEY `addresses_last_name_index` (`last_name`),
  KEY `addresses_city_index` (`city`),
  KEY `addresses_state_index` (`state`),
  KEY `addresses_zip_index` (`zip`),
  KEY `addresses_country_index` (`country`),
  CONSTRAINT `addresses_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `addresses`
--

LOCK TABLES `addresses` WRITE;
/*!40000 ALTER TABLE `addresses` DISABLE KEYS */;
INSERT INTO `addresses` VALUES (1,1,'Agatha','Williams','01738896835','agathawilliams@gmail.com',NULL,'home',NULL,NULL,'Dhaka','81','2233','bd',1,'2024-09-19 06:34:29',NULL),(7,2,'Blaine','Keller','0135467989','blainekeller@gmail.com',NULL,'home','Road no 1, House no 129',NULL,'Dhaka','81','1229','bd',1,'2024-09-19 06:34:29',NULL),(8,3,'Jamal',NULL,'0135467989','jamal@gmail.com',NULL,'home','House no 19',NULL,'Barishal','85','1229','bd',1,'2024-09-19 06:34:29',NULL),(9,4,'snowflake','hamiz','01788026663','snowflakehamiz@gmail.com',NULL,'home','House no 259',NULL,'Lokossa','15','1229','bj',1,'2024-09-19 06:34:29',NULL),(10,5,'Noah',NULL,'01738899999','noah@gmail.com',NULL,'office','Road no 1, House no 3',NULL,'Bellingen','vlg','3000','be',1,'2024-09-19 06:34:29',NULL),(11,6,'Oliver',NULL,'01738896666','oliver@gmail.com',NULL,'office','Street 414',NULL,'Boa vista','25','4000','br',1,'2024-09-19 06:34:29',NULL),(12,7,'Liam',NULL,'01738896222','liam@gmail.com',NULL,'home','street 300',NULL,'Cerrillos','17','20000','ar',1,'2024-09-19 06:34:29',NULL),(13,8,'Elijah',NULL,'01738896777','elijah@gmail.com',NULL,'home','Street 515',NULL,'Baodi','7','3300','cn',1,'2024-09-19 06:34:29',NULL),(14,9,'Oliver',NULL,'01738896888','oliver@gmail.com',NULL,'home','Road no 12, House no 12',NULL,'Mymensingh','h','1222','bd',1,'2024-09-19 06:34:29',NULL),(15,15,'Henry','William','01782325656','henrywilliam@gmail.com',NULL,'office','House no 19, Road no 2',NULL,'Tungi','81','1207','bd',1,'2024-09-19 06:34:29',NULL),(16,16,'Jacob','Wiliam','01738896832','jacobwiliam@gmail.com',NULL,'home','House no 2, Road no 10',NULL,'Bagerhat','82','1200','bd',1,'2024-09-19 06:34:29',NULL),(17,17,'Mason','William','01738896895','masonwilliam@gmail.com',NULL,'office','House no 4, Road no 12',NULL,'Chattogram','84','1200','bd',1,'2024-09-19 06:34:29',NULL),(18,18,'Daniel','William','01738896875','danielwilliam@gmail.com',NULL,'home','Street 212',NULL,'Karukh','11','5004','af',1,'2024-09-19 06:34:29',NULL),(19,19,'Micheal','William','01738896889','michealwilliam@gmail.com',NULL,'home','Street 3300',NULL,'alice town','5','9000','bs',1,'2024-09-19 06:34:29',NULL);
/*!40000 ALTER TABLE `addresses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `admin_menus`
--

DROP TABLE IF EXISTS `admin_menus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `admin_menus` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `url` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `permission` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` int NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=172 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `admin_menus`
--

LOCK TABLES `admin_menus` WRITE;
/*!40000 ALTER TABLE `admin_menus` DISABLE KEYS */;
INSERT INTO `admin_menus` VALUES (7,'All Users','user-list','user/list','{\"permission\":\"App\\\\Http\\\\Controllers\\\\UserController@index\", \"route_name\":[\"users.index\", \"users.create\", \"users.edit\", \"users.pdf\", \"users.csv\", \"users.verify\", \"users.profile\"], \"menu_level\":\"1\"}',0,'2024-09-19 06:34:32',NULL),(8,'All Products','products','products','{\"permission\":\"App\\\\Http\\\\Controllers\\\\ProductController@index\", \"route_name\":[\"product.index\", \"product.create\", \"product.edit\", \"product.pdf\", \"product.csv\"], \"menu_level\":\"1\"}',0,'2024-09-19 06:34:32',NULL),(9,'brand','brands','brands','{\"permission\":\"App\\\\Http\\\\Controllers\\\\BrandController@index\", \"route_name\":[\"brands.index\", \"brands.create\", \"brands.edit\", \"brands.pdf\", \"brands.csv\"], \"menu_level\":\"1\"}',0,'2024-09-19 06:34:32',NULL),(10,'Categories','categories','categories','{\"permission\":\"App\\\\Http\\\\Controllers\\\\CategoryController@index\", \"route_name\":[\"categories.index\"], \"menu_level\":\"1\"}',0,'2024-09-19 06:34:32',NULL),(11,'Attributes','attributes','attributes','{\"permission\":\"App\\\\Http\\\\Controllers\\\\AttributeController@index\", \"route_name\":[\"attribute.index\", \"attribute.create\", \"attribute.edit\", \"attribute.pdf\", \"attribute.csv\"], \"menu_level\":\"1\"}',0,'2024-09-19 06:34:32',NULL),(12,'Attribute Groups','attribute-groups','attribute-groups','{\"permission\":\"App\\\\Http\\\\Controllers\\\\AttributeGroupController@index\", \"route_name\":[\"attributeGroup.index\", \"attributeGroup.create\", \"attributeGroup.edit\", \"attributeGroup.pdf\", \"attributeGroup.csv\"], \"menu_level\":\"1\"}',0,'2024-09-19 06:34:32',NULL),(14,'Reviews','reviews','reviews','{\"permission\":\"App\\\\Http\\\\Controllers\\\\ReviewController@index\", \"route_name\":[\"review.index\", \"review.view\", \"review.edit\", \"review.pdf\", \"review.csv\"], \"menu_level\":\"1\"}',0,'2024-09-19 06:34:32',NULL),(18,'All vendors','admin-vendors','vendors','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Api\\\\VendorController@index\", \"route_name\":[\"vendors.index\", \"vendors.create\", \"vendors.edit\", \"vendors.pdf\", \"vendors.csv\", \"vendors.import\"], \"menu_level\":\"1\"}',0,'2024-09-19 06:34:32',NULL),(19,'Addons','addons','addons','{\"permission\":\"Modules\\\\Addons\\\\Http\\\\Controllers\\\\AddonsController@index\", \"route_name\":[\"addon.index\", \"addon.switch-status\", \"addon.remove\", \"addon.upload\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(20,'Menu Builder','menu-builder','menu-builder','{\"permission\":\"Modules\\\\MenuBuilder\\\\Http\\\\Controllers\\\\MenuBuilderController@index\",\"route_name\":[\"menu.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(22,'General Settings','general-settings','emailConfiguration','{\"permission\":\"App\\\\Http\\\\Controllers\\\\EmailConfigurationController@index\",\"route_name\":[\"emailConfigurations.index\", \"maintenance.enable\", \"language.translation\", \"language.index\", \"currency.convert\", \"sso.index\", \"orderStatues.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(23,'Finance','finance','currencies','{\"permission\":\"App\\\\Http\\\\Controllers\\\\CurrencyController@index\",\"route_name\":[\"currency.index\",\"validCurrencyName\", \"paymentTerm.index\", \"paymentTerm.edit\", \"tax.index\", \"tax.edit\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(29,'Cache Clear','cache-clear','clear-cache','{\"permission\":\"App\\\\Http\\\\Controllers\\\\DashboardController@index\", \"route_name\":[\"dashboard\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(30,'Dashboard','user-dashboard','dashboard','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Site\\\\DashboardController@index\", \"route_name\":[\"site.dashboard\"], \"menu_level\":\"2\"}',1,'2024-09-19 06:34:32',NULL),(31,'Orders','orders','orders','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Site\\\\OrderController@index\", \"route_name\":[\"site.order\"], \"menu_level\":\"2\"}',1,'2024-09-19 06:34:32',NULL),(32,'Wishlist','wishlist','wishlists','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Site\\\\WishlistController@index\", \"route_name\":[\"site.wishlist\"], \"menu_level\":\"2\"}',1,'2024-09-19 06:34:32',NULL),(33,'Review','review','reviews','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Site\\\\ReviewController@index\", \"route_name\":[\"site.review\"], \"menu_level\":\"2\"}',1,'2024-09-19 06:34:32',NULL),(34,'My Profile','user-profile','profile','{\"permission\":\"App\\\\Http\\\\Controllers\\\\UserController@index\", \"route_name\":[\"site.userProfile\", \"site.userProfileEditPassword\"], \"menu_level\":\"2\"}',1,'2024-09-19 06:34:32',NULL),(35,'Address Books','address-books','addresses','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Site\\\\AddressController@index\", \"route_name\":[\"site.address\", \"site.addressCreate\", \"site.addressEdit\"], \"menu_level\":\"2\"}',1,'2024-09-19 06:34:32',NULL),(36,'Settings','settings','setting','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Site\\\\AddressController@index\", \"route_name\":[\"site.userSetting\"], \"menu_level\":\"2\"}',1,'2024-09-19 06:34:32',NULL),(37,'Logout','logout','logout','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Site\\\\LoginController@logout\", \"route_name\":[\"site.logout\"], \"menu_level\":\"2\"}',1,'2024-09-19 06:34:32',NULL),(38,'Dashboard','vendor-dashboard','dashboard','{\"permission\":\"App\\\\Http\\\\Controllers\\\\VendorController@index\", \"route_name\":[\"vendor-dashboard\"], \"menu_level\":\"3\"}',1,'2024-09-19 06:34:32',NULL),(40,'Review','review','reviews','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Vendor\\\\ReviewController@index\", \"route_name\":[\"vendor.reviews\", \"vendor.reviewEdit\", \"vendor.reviewView\", \"vendor.reviewUpdate\", \"vendor.reviewDestroy\", \"vendor.reviewPdf\", \"vendor.reviewCsv\"], \"menu_level\":\"3\"}',1,'2024-09-19 06:34:32',NULL),(43,'All Orders','all-orders','orders','{\"permission\":\"App\\\\Http\\\\Controllers\\\\AdminOrderController@index\", \"route_name\":[\"order.index\", \"order.view\", \"order.pdf\", \"order.csv\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(44,'Orders','vendor-orders','orders','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Vendor\\\\VendorOrderController@index\", \"route_name\":[\"vendorOrder.index\", \"vendorOrder.view\", \"vendorOrder.pdf\", \"vendorOrder.csv\"], \"menu_level\":\"3\"}',1,'2024-09-19 06:34:32',NULL),(45,'Commission','commission','commission','{\"permission\":\"Modules\\\\Commission\\\\Http\\\\Controllers\\\\CommissionController@index\", \"route_name\":[\"commission.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(46,'Transactions','vendor-transactions','transactions','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Vendor\\\\VendorTransactionController@index\", \"route_name\":[\"vendorTransaction.index\", \"vendorTransaction.pdf\", \"vendorTransaction.csv\"], \"menu_lavel\":\"3\"}',1,'2024-09-19 06:34:32',NULL),(63,'Transactions','admin-transaction','transactions','{\"permission\":\"App\\\\Http\\\\Controllers\\\\TransactionController@index\", \"route_name\":[\"transaction.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(64,'Withdrawals','admin-withdrawals','withdrawals','{\"permission\":\"App\\\\Http\\\\Controllers\\\\WithdrawalController@index\", \"route_name\":[\"withdrawal.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(65,'Products','product-setting','product-setting','{\"permission\":\"App\\\\Http\\\\Controllers\\\\ProductSettingController@general\", \"route_name\":[\"product.setting.general\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(66,'Withdrawals','vendor-withdrawals','withdrawals','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Vendor\\\\WithdrawalController@index\", \"route_name\":[\"vendorWithdrawal.index\"], \"menu_level\":\"3\"}',1,'2024-09-19 06:34:32',NULL),(67,'Transactions','vendor-transaction','transactions','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Vendor\\\\VendorTransactionController@index\", \"route_name\":[\"vendorTransaction.index\"], \"menu_level\":\"3\"}',1,'2024-09-19 06:34:32',NULL),(68,'Be a seller','Be-a-seller','seller/request-form','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Site\\\\RegisteredSellerController@showRequestForm\", \"route_name\":[\"site.seller.request-form\"], \"menu_level\":\"2\"}',1,'2024-09-19 06:34:32',NULL),(69,'Blog Category','blog-category','blog/category/list','{\"permission\":\"Modules\\\\Blog\\\\Http\\\\Controllers\\\\BlogCategoryController@index\", \"route_name\":[\"blog.category.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(70,'Blog','blog','blogs','{\"permission\":\"Modules\\\\Blog\\\\Http\\\\Controllers\\\\BlogController@index\", \"route_name\":[\"blog.index\", \"blog.create\", \"blog.edit\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(71,'Pages','page','page/list','{\"permission\":\"Modules\\\\CMS\\\\Http\\\\Controllers\\\\CMSController@index\", \"route_name\":[\"page.index\", \"page.create\", \"page.edit\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(72,'Appearance','appearance','theme/list','{\"permission\":\"Module\\\\CMS\\\\Http\\\\Controllers\\\\ThemeOptionController@list\", \"route_name\":[\"theme.index\", \"theme.store\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(73,'Slider','slider','sliders','{\"permission\":\"Modules\\\\CMS\\\\Http\\\\Controllers\\\\SliderController@index\", \"route_name\":[\"slider.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(74,'Coupons','coupons','coupons','{\"permission\":\"Modules\\\\Coupon\\\\Http\\\\Controllers\\\\CouponController@index\", \"route_name\":[\"coupon.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(76,'Refunds','admin-refund-requests','refund-requests','{\"permission\":\"Modules\\\\Refund\\\\Http\\\\Controllers\\\\RefundController@index\",\"route_name\":[\"refund.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(77,'Download','download','downloads','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Site\\\\DownloadController@index\",\"route_name\":[\"site.download\"],\"menu_level\":\"2\"}',1,'2024-09-19 06:34:32',NULL),(79,'Shipping','shipping','shippings','{\"permission\":\"Modules\\\\Shipping\\\\Http\\\\Controllers\\\\ShippingController@index\", \"route_name\":[\"shipping.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(80,'Media Manager','media-manager','uploaded-files','{\"permission\":\"Modules\\\\MediaManager\\\\Http\\\\Controllers\\\\MediaManagerController@uploadedFiles\", \"route_name\":[\"mediaManager.create\", \"mediaManager.upload\", \"mediaManager.uploadedFiles\", \"mediaManager.sortFiles\", \"mediaManager.paginateFiles\", \"mediaManager.download\", \"mediaManager.maxId\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(81,'Geo Locale','geo-locale','geolocale','{\"permission\":\"Modules\\\\GeoLocale\\\\Http\\\\Controllers\\\\GeoLocaleController@index\", \"route_name\":[\"geolocale.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(83,'Subscribers','subscriber','subscribers','{\"permission\":\"Modules\\\\Newsletter\\\\Http\\\\Controllers\\\\SubscriberController@index\", \"route_name\":[\"subscriber.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(85,'All Submissions','submissions','forms/submissions','{\"permission\":\"Modules\\\\FormBuilder\\\\Http\\\\Controllers\\\\SubmissionController@index\", \"route_name\":[\"formbuilder::submissions.all\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(87,'Reports','reports','reports','{\"permission\":\"Modules\\\\Report\\\\Http\\\\Controllers\\\\ReportController@index\", \"route_name\":[\"reports\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(91,'Products','vendor-products','products','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Vendor\\\\ProductController@index\",\"route_name\":[\"vendor.products\",\"vendor.product.view\",\"vendor.product.related\",\"vendor.product.search\",\"vendor.product.update\",\"vendor.product.edit\", \"vendor.product.store\", \"vendor.product.create\", \"vendor.product.import\", \"vendor.itemCsv\", \"vendor.itemPdf\", \"vendor.itemDestroy\", \"vendor.items\"], \"menu_level\":\"3\"}',0,'2024-09-19 06:34:32',NULL),(92,'Dashboard','dashboard','dashboard','{\"permission\":\"App\\\\Http\\\\Controllers\\\\DashboardController@index\", \"route_name\":[\"dashboard\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(93,'Add User','add-user','user/create','{\"permission\":\"App\\\\Http\\\\Controllers\\\\UserController@index\", \"route_name\":[\"users.index\", \"users.create\", \"users.edit\", \"users.pdf\", \"users.csv\", \"users.verify\", \"users.profile\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(94,'Customers','customers','user/customer?role=3','{\"permission\":\"App\\\\Http\\\\Controllers\\\\UserController@index\", \"route_name\":[\"users.customer\", \"users.create\", \"users.edit\", \"users.pdf\", \"users.csv\", \"users.verify\", \"users.profile\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(95,'Login Activities','user-activity','user/activity','{\"permission\":\"App\\\\Http\\\\Controllers\\\\UserController@index\",\"route_name\":[\"users.activity\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(96,'Add Product','add-product','product/create','{\"permission\":\"App\\\\Http\\\\Controllers\\\\ProductController@createProduct\",\"route_name\":[\"product.create\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(97,'All Product','all-product','products','{\"permission\":\"App\\\\Http\\\\Controllers\\\\ProductController@index\",\"route_name\":[\"product.index\",\"product.edit\",\"product.pdf\",\"product.csv\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(98,'Pending Product','pending-product','pending/products?status=Pending Review','{\"permission\":\"App\\\\Http\\\\Controllers\\\\ProductController@index\",\"route_name\":[\"product.pending\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(99,'Add Vendor','vendor-create','vendors/create','{\"permission\":\"App\\\\Http\\\\Controllers\\\\VendorController@create\",\"route_name\":[\"vendors.create\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(100,'Add Post','blog-create','blog/create','{\"permission\":\"Modules\\\\Blog\\\\Http\\\\Controllers\\\\BlogController@create\", \"route_name\":[\"blog.create\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(101,'All Posts','blogs','blogs','{\"permission\":\"Modules\\\\Blog\\\\Http\\\\Controllers\\\\BlogController@index\", \"route_name\":[\"blog.index\", \"blog.edit\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(102,'All Posts','blog-category','blog/category/list','{\"permission\":\"Modules\\\\Blog\\\\Http\\\\Controllers\\\\BlogCategoryController@index\", \"route_name\":[\"blog.category.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(103,'Add coupon','add-coupon','coupon/create','{\"permission\":\"Modules\\\\Coupon\\\\Http\\\\Controllers\\\\CouponController@create\",\"route_name\":[\"coupon.create\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(104,'All Coupons','all-coupon','coupons','{\"permission\":\"Modules\\\\Coupon\\\\Http\\\\Controllers\\\\CouponController@index\",\"route_name\":[\"coupon.index\",\"coupon.edit\",\"coupon.pdf\",\"coupon.csv\",\"coupon.shop\",\"coupon.item\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(105,'Coupon Redeems','coupon-redeems','coupon-redeems','{\"permission\":\"Modules\\\\Coupon\\\\Http\\\\Controllers\\\\CouponRedeemController@index\",\"route_name\":[\"couponRedeem.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(106,'Add Popup','popup-create','popup/create','{\"permission\":\"Modules\\\\Popup\\\\Http\\\\Controllers\\\\PopupController@create\", \"route_name\":[\"popup.create\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(107,'All popups','popups','popups','{\"permission\":\"Modules\\\\Popup\\\\Http\\\\Controllers\\\\PopupController@index\", \"route_name\":[\"popup.index\", \"popup.show\", \"popup.store\", \"popup.edit\", \"popup.update\", \"popup.delete\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(108,'All Subscribers','All-Subscribers','subscribers','{\"permission\":\"Modules\\\\Newsletter\\\\Http\\\\Controllers\\\\SubscriberController@index\",\"route_name\":[\"subscriber.index\",\"subscriber.edit\",\"subscriber.update\",\"subscriber.pdf\",\"subscriber.csv\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(109,'Menus','menu-builder','menu-builder','{\"permission\":\"Modules\\\\MenuBuilder\\\\Http\\\\Controllers\\\\MenuBuilderController@index\",\"route_name\":[\"menu.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(110,'Accounts','account-setting','account-setting','{\"permission\":\"App\\\\Http\\\\Controllers\\\\AccountSettingController@index\",\"route_name\":[\"account.setting.option\", \"sso.index\", \"emailVerifySetting\", \"preferences.password\", \"permissionRoles.index\", \"roles.index\", \"roles.create\", \"roles.edit\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(111,'Emails','email-setting','email-setting','{\"permission\":\"App\\\\Http\\\\Controllers\\\\EmailConfigurationController@index\",\"route_name\":[\"emailConfigurations.index\", \"emailTemplates.index\", \"emailTemplates.create\", \"emailTemplates.edit\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(112,'Subscribers','subscriber','subscribers','{\"permission\":\"Modules\\\\Newsletter\\\\Http\\\\Controllers\\\\SubscriberController@index\", \"route_name\":[\"subscriber.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(113,'Popup','popups','popups','{\"permission\":\"Modules\\\\Popup\\\\Http\\\\Controllers\\\\PopupController@index\", \"route_name\":[\"popup.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(114,'Blog Category','blog-category','blog/category/list','{\"permission\":\"Modules\\\\Blog\\\\Http\\\\Controllers\\\\BlogCategoryController@index\", \"route_name\":[\"blog.category.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(115,'Blog','blog','blogs','{\"permission\":\"Modules\\\\Blog\\\\Http\\\\Controllers\\\\BlogController@index\", \"route_name\":[\"blog.index\", \"blog.create\", \"blog.edit\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(116,'Pages','page','page/list','{\"permission\":\"Modules\\\\CMS\\\\Http\\\\Controllers\\\\CMSController@index\", \"route_name\":[\"page.index\", \"page.create\", \"page.edit\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(117,'Appearance','appearance','theme/list','{\"permission\":\"Module\\\\CMS\\\\Http\\\\Controllers\\\\ThemeOptionController@list\", \"route_name\":[\"theme.index\", \"theme.store\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(118,'All Slider','slider','sliders','{\"permission\":\"Modules\\\\CMS\\\\Http\\\\Controllers\\\\SliderController@index\", \"route_name\":[\"slider.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(119,'Home pages','home-pages','page/home/list','{\"permission\":\"Modules\\\\CMS\\\\Http\\\\Controllers\\\\CMSController@index\", \"route_name\":[\"page.home\", \"builder.edit\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(120,'Coupons','coupons','coupons','{\"permission\":\"Modules\\\\Coupon\\\\Http\\\\Controllers\\\\CouponController@index\", \"route_name\":[\"coupon.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(121,'Coupons','vendor-coupons','coupons','{\"permission\":\"Modules\\\\Coupon\\\\Http\\\\Controllers\\\\Vendor\\\\CouponController@index\", \"route_name\":[\"vendor.coupons\"], \"menu_level\":\"3\"}',1,'2024-09-19 06:34:32',NULL),(122,'Refunds','admin-refund-requests','refund-requests','{\"permission\":\"Modules\\\\Refund\\\\Http\\\\Controllers\\\\RefundController@index\",\"route_name\":[\"refund.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(123,'Refunds','vendor-refund-requests','refund-requests','{\"permission\":\"Modules\\\\Refund\\\\Http\\\\Controllers\\\\Vendor\\\\RefundController@index\",\"route_name\":[\"vendor.refund.index\"], \"menu_level\":\"3\"}',1,'2024-09-19 06:34:32',NULL),(124,'Refund','user-refund-request','refund-request','{\"permission\":\"Modules\\\\Refund\\\\Http\\\\Controllers\\\\Site\\\\RefundController@index\",\"route_name\":[\"site.refundRequest\"], \"menu_level\":\"2\"}',1,'2024-09-19 06:34:32',NULL),(125,'Shipping','shipping','shippings','{\"permission\":\"Modules\\\\Shipping\\\\Http\\\\Controllers\\\\ShippingController@index\", \"route_name\":[\"shipping.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(126,'Media Manager','media-manager','uploaded-files','{\"permission\":\"Modules\\\\MediaManager\\\\Http\\\\Controllers\\\\MediaManagerController@uploadedFiles\", \"route_name\":[\"mediaManager.create\", \"mediaManager.upload\", \"mediaManager.uploadedFiles\", \"mediaManager.sortFiles\", \"mediaManager.paginateFiles\", \"mediaManager.download\", \"mediaManager.maxId\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(127,'Geo Locale','geo-locale','geolocale','{\"permission\":\"Modules\\\\GeoLocale\\\\Http\\\\Controllers\\\\GeoLocaleController@index\", \"route_name\":[\"geolocale.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(128,'Tax','tax','taxes','{\"permission\":\"Modules\\\\Tax\\\\Http\\\\Controllers\\\\TaxClassController@index\", \"route_name\":[\"tax.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(129,'Tickets','Ticket','ticket/list','{\"permission\":\"Modules\\\\Ticket\\\\Http\\\\Controllers\\\\TicketController@index\", \"route_name\":[\"admin.tickets\", \"admin.threadReply\", \"admin.threadEdit\", \"admin.threadPdf\", \"admin.threadCsv\", \"admin.threadAdd\", \"admin.changePriority\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(130,'Add Ticket','add-ticket','ticket/add','{\"permission\":\"Modules\\\\Ticket\\\\Http\\\\Controllers\\\\TicketController@index\", \"route_name\":[\"admin.threadAdd\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(131,'All Ticket','all-ticket','ticket/list','{\"permission\":\"Modules\\\\Ticket\\\\Http\\\\Controllers\\\\TicketController@index\", \"route_name\":[\"admin.tickets\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(132,'Tickets','vendor-ticket','ticket/list','{\"permission\":\"Modules\\\\Ticket\\\\Http\\\\Controllers\\\\Vendor\\\\TicketController@index\", \"route_name\":[\"vendor.threads\", \"vendor.threadAdd\", \"vendor.threadReply\", \"vendor.threadPdf\", \"vendor.threadCsv\"], \"menu_level\":\"3\"}',1,'2024-09-19 06:34:32',NULL),(133,'All Forms','forms','forms','{\"permission\":\"Modules\\\\FormBuilder\\\\Http\\\\Controllers\\\\FormController@index\", \"route_name\":[\"formbuilder::forms.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(134,'All Submissions','submissions','forms/submissions','{\"permission\":\"Modules\\\\FormBuilder\\\\Http\\\\Controllers\\\\SubmissionController@index\", \"route_name\":[\"formbuilder::submissions.all\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(135,'Kyc','kyc-form','forms/kyc-form','{\"permission\":\"Modules\\\\FormBuilder\\\\Http\\\\Controllers\\\\KycController@index\", \"route_name\":[\"formbuilder::kyc.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(136,'Kyc','vendor-kyc-form','vendor/kyc','{\"permission\":\"Modules\\\\FormBuilder\\\\Http\\\\Controllers\\\\Vendor\\\\KycController@index\", \"route_name\":[\"formbuilder::kyc.show\"], \"menu_level\":\"3\"}',1,'2024-09-19 06:34:32',NULL),(137,'Reports','reports','reports','{\"permission\":\"Modules\\\\Report\\\\Http\\\\Controllers\\\\ReportController@index\", \"route_name\":[\"reports\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:32',NULL),(138,'Reports','vendor-report','reports','{\"permission\":\"Modules\\\\Report\\\\Http\\\\Controllers\\\\Vendor\\\\ReportController@index\", \"route_name\":[\"vendor.reports\"], \"menu_level\":\"3\"}',1,'2024-09-19 06:34:32',NULL),(139,'Products Import','products-import','imports','{\"permission\":\"App\\\\Http\\\\Controllers\\\\ImportController@index\", \"route_name\":[\"epz.import.products\", \"epz.imports\"], \"menu_level\":\"1\"}',0,'2024-09-19 06:34:32',NULL),(140,'Users Import','users-import','imports','{\"permission\":\"App\\\\Http\\\\Controllers\\\\ImportController@index\", \"route_name\":[\"epz.import.products\", \"epz.imports\"], \"menu_level\":\"1\"}',0,'2024-09-19 06:34:32',NULL),(141,'Products Import','products-import','import/products','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Vendor\\\\ImportController@productImport\", \"route_name\":[\"vendor.epz.import.products\"], \"menu_level\":\"3\"}',0,'2024-09-19 06:34:32',NULL),(142,'Sms','sms','sms/configs','{\"permission\":\"App\\\\Http\\\\Controllers\\\\SmsConfigurationController@index\", \"route_name\":[\"sms.config.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:33',NULL),(143,'Subscribers','subscriber','subscribers','{\"permission\":\"Modules\\\\Newsletter\\\\Http\\\\Controllers\\\\SubscriberController@index\", \"route_name\":[\"subscriber.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:33',NULL),(144,'System Update','system-update','system-update','{\"permission\":\"Modules\\\\Upgrater\\\\Http\\\\Controllers\\\\SystemUpdateController@upgrade\", \"route_name\":[\"systemUpdate.upgrade\"], \"menu_level\":\"2\"}',1,'2024-09-19 06:34:33','2024-09-19 06:34:37'),(145,'Blog Category','blog-category','blog/category/list','{\"permission\":\"Modules\\\\Blog\\\\Http\\\\Controllers\\\\BlogCategoryController@index\", \"route_name\":[\"blog.category.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:33',NULL),(146,'Blog','blog','blogs','{\"permission\":\"Modules\\\\Blog\\\\Http\\\\Controllers\\\\BlogController@index\", \"route_name\":[\"blog.index\", \"blog.create\", \"blog.edit\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:33',NULL),(147,'Pages','page','page/list','{\"permission\":\"Modules\\\\CMS\\\\Http\\\\Controllers\\\\CMSController@index\", \"route_name\":[\"page.index\", \"page.create\", \"page.edit\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:33',NULL),(148,'Appearance','appearance','theme/list','{\"permission\":\"Module\\\\CMS\\\\Http\\\\Controllers\\\\ThemeOptionController@list\", \"route_name\":[\"theme.index\", \"theme.store\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:33',NULL),(149,'All Slider','slider','sliders','{\"permission\":\"Modules\\\\CMS\\\\Http\\\\Controllers\\\\SliderController@index\", \"route_name\":[\"slider.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:33',NULL),(150,'Home pages','home-pages','page/home/list','{\"permission\":\"Modules\\\\CMS\\\\Http\\\\Controllers\\\\CMSController@index\", \"route_name\":[\"page.home\", \"builder.edit\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:33',NULL),(151,'Coupons','coupons','coupons','{\"permission\":\"Modules\\\\Coupon\\\\Http\\\\Controllers\\\\CouponController@index\", \"route_name\":[\"coupon.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:35',NULL),(152,'Coupons','vendor-coupons','coupons','{\"permission\":\"Modules\\\\Coupon\\\\Http\\\\Controllers\\\\Vendor\\\\CouponController@index\", \"route_name\":[\"vendor.coupons\"], \"menu_level\":\"3\"}',1,'2024-09-19 06:34:35',NULL),(153,'Refunds','admin-refund-requests','refund-requests','{\"permission\":\"Modules\\\\Refund\\\\Http\\\\Controllers\\\\RefundController@index\",\"route_name\":[\"refund.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:35',NULL),(154,'Refunds','vendor-refund-requests','refund-requests','{\"permission\":\"Modules\\\\Refund\\\\Http\\\\Controllers\\\\Vendor\\\\RefundController@index\",\"route_name\":[\"vendor.refund.index\"], \"menu_level\":\"3\"}',1,'2024-09-19 06:34:35',NULL),(155,'Refund','user-refund-request','refund-request','{\"permission\":\"Modules\\\\Refund\\\\Http\\\\Controllers\\\\Site\\\\RefundController@index\",\"route_name\":[\"site.refundRequest\"], \"menu_level\":\"2\"}',1,'2024-09-19 06:34:35',NULL),(156,'Shipping','shipping','shippings','{\"permission\":\"Modules\\\\Shipping\\\\Http\\\\Controllers\\\\ShippingController@index\", \"route_name\":[\"shipping.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:35',NULL),(157,'Media Manager','media-manager','uploaded-files','{\"permission\":\"Modules\\\\MediaManager\\\\Http\\\\Controllers\\\\MediaManagerController@uploadedFiles\", \"route_name\":[\"mediaManager.create\", \"mediaManager.upload\", \"mediaManager.uploadedFiles\", \"mediaManager.sortFiles\", \"mediaManager.paginateFiles\", \"mediaManager.download\", \"mediaManager.maxId\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:36',NULL),(158,'Geo Locale','geo-locale','geolocale','{\"permission\":\"Modules\\\\GeoLocale\\\\Http\\\\Controllers\\\\GeoLocaleController@index\", \"route_name\":[\"geolocale.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:36',NULL),(159,'Tax','tax','taxes','{\"permission\":\"Modules\\\\Tax\\\\Http\\\\Controllers\\\\TaxClassController@index\", \"route_name\":[\"tax.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:37',NULL),(160,'Tickets','Ticket','ticket/list','{\"permission\":\"Modules\\\\Ticket\\\\Http\\\\Controllers\\\\TicketController@index\", \"route_name\":[\"admin.tickets\", \"admin.threadReply\", \"admin.threadEdit\", \"admin.threadPdf\", \"admin.threadCsv\", \"admin.threadAdd\", \"admin.changePriority\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:37',NULL),(161,'Add Ticket','add-ticket','ticket/add','{\"permission\":\"Modules\\\\Ticket\\\\Http\\\\Controllers\\\\TicketController@index\", \"route_name\":[\"admin.threadAdd\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:37',NULL),(162,'All Ticket','all-ticket','ticket/list','{\"permission\":\"Modules\\\\Ticket\\\\Http\\\\Controllers\\\\TicketController@index\", \"route_name\":[\"admin.tickets\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:37',NULL),(163,'Tickets','vendor-ticket','ticket/list','{\"permission\":\"Modules\\\\Ticket\\\\Http\\\\Controllers\\\\Vendor\\\\TicketController@index\", \"route_name\":[\"vendor.threads\", \"vendor.threadAdd\", \"vendor.threadReply\", \"vendor.threadPdf\", \"vendor.threadCsv\"], \"menu_level\":\"3\"}',1,'2024-09-19 06:34:37',NULL),(164,'All Forms','forms','forms','{\"permission\":\"Modules\\\\FormBuilder\\\\Http\\\\Controllers\\\\FormController@index\", \"route_name\":[\"formbuilder::forms.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:37',NULL),(165,'All Submissions','submissions','forms/submissions','{\"permission\":\"Modules\\\\FormBuilder\\\\Http\\\\Controllers\\\\SubmissionController@index\", \"route_name\":[\"formbuilder::submissions.all\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:37',NULL),(166,'Kyc','kyc-form','forms/kyc-form','{\"permission\":\"Modules\\\\FormBuilder\\\\Http\\\\Controllers\\\\KycController@index\", \"route_name\":[\"formbuilder::kyc.index\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:37',NULL),(167,'Kyc','vendor-kyc-form','vendor/kyc','{\"permission\":\"Modules\\\\FormBuilder\\\\Http\\\\Controllers\\\\Vendor\\\\KycController@index\", \"route_name\":[\"formbuilder::kyc.show\"], \"menu_level\":\"3\"}',1,'2024-09-19 06:34:37',NULL),(168,'Reports','reports','reports','{\"permission\":\"Modules\\\\Report\\\\Http\\\\Controllers\\\\ReportController@index\", \"route_name\":[\"reports\"], \"menu_level\":\"1\"}',1,'2024-09-19 06:34:37',NULL),(169,'Reports','vendor-report','reports','{\"permission\":\"Modules\\\\Report\\\\Http\\\\Controllers\\\\Vendor\\\\ReportController@index\", \"route_name\":[\"vendor.reports\"], \"menu_level\":\"3\"}',1,'2024-09-19 06:34:37',NULL),(170,'Inventory','inventory','inventory','',0,'2024-09-19 06:34:37',NULL),(171,'Database Backup','database-backup','manual-backup','{\"permission\":\"Modules\\\\DatabaseBackup\\\\Http\\\\Controllers\\\\DatabaseBackupController@list\", \"route_name\":[\"database.manual.backup.list\"]}',1,'2024-09-21 02:54:12',NULL);
/*!40000 ALTER TABLE `admin_menus` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `api_keys`
--

DROP TABLE IF EXISTS `api_keys`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `api_keys` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `access_token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Active' COMMENT 'Active, Inactive',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `api_keys_access_token_unique` (`access_token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `api_keys`
--

LOCK TABLES `api_keys` WRITE;
/*!40000 ALTER TABLE `api_keys` DISABLE KEYS */;
/*!40000 ALTER TABLE `api_keys` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `attribute_groups`
--

DROP TABLE IF EXISTS `attribute_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `attribute_groups` (
  `id` int NOT NULL AUTO_INCREMENT,
  `vendor_id` bigint DEFAULT NULL,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `summary` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Active',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `attribute_groups_name_unique` (`name`),
  KEY `attribute_groups_vendor_id_foreign_idx` (`vendor_id`),
  KEY `attribute_groups_status_index` (`status`),
  CONSTRAINT `attribute_groups_vendor_id_foreign` FOREIGN KEY (`vendor_id`) REFERENCES `vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `attribute_groups`
--

LOCK TABLES `attribute_groups` WRITE;
/*!40000 ALTER TABLE `attribute_groups` DISABLE KEYS */;
INSERT INTO `attribute_groups` VALUES (28,1,'smartphone_Attributes','This is the attribute group that contains body attributes of smartphone','Active','2024-09-19 06:34:28',NULL),(29,1,'Feature_Phone_Attributes','This is the attribute group that contains body attributes of Feature Phone','Active','2024-09-19 06:34:28',NULL),(30,1,'body',NULL,'Inactive','2024-09-19 06:34:28',NULL),(31,NULL,'Body(Sneakers)','This is the attribute group that contains body attributes of  sneakers','Inactive','2024-09-19 06:34:28',NULL),(32,1,'Laptop_Attributes','This is the attribute group that contains body attributes of  laptops','Active','2024-09-19 06:34:28',NULL),(33,1,'Cameras_Attributes','This is the attribute group that contains body attributes of cameras','Active','2024-09-19 06:34:28',NULL);
/*!40000 ALTER TABLE `attribute_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `attribute_values`
--

DROP TABLE IF EXISTS `attribute_values`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `attribute_values` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `attribute_id` bigint NOT NULL,
  `value` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `additional_values` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order_by` int NOT NULL,
  `status` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Active',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `attribute_values_composit_unique` (`attribute_id`,`value`),
  KEY `attribute_values_attribute_id_foreign_idx` (`attribute_id`),
  KEY `attribute_values_value_index` (`value`),
  KEY `attribute_values_status_index` (`status`),
  CONSTRAINT `attribute_values_attribute_id_foreign` FOREIGN KEY (`attribute_id`) REFERENCES `attributes` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=233 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `attribute_values`
--

LOCK TABLES `attribute_values` WRITE;
/*!40000 ALTER TABLE `attribute_values` DISABLE KEYS */;
INSERT INTO `attribute_values` VALUES (24,26,'Blue','#2a40bf',1,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(25,26,'Grey','#8b9399',21,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(26,26,'Black','#101112',22,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(27,26,'Pink','#d622c7',23,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(28,27,'2 GB',NULL,1,'Active','2024-09-19 06:34:28',NULL),(29,27,'4 GB',NULL,2,'Active','2024-09-19 06:34:28',NULL),(30,28,'32 GB',NULL,1,'Active','2024-09-19 06:34:28',NULL),(31,28,'64 GB',NULL,2,'Active','2024-09-19 06:34:28',NULL),(32,38,'Dual Sim',NULL,1,'Active','2024-09-19 06:34:28',NULL),(33,38,'Single Sim',NULL,2,'Active','2024-09-19 06:34:28',NULL),(140,281,'128 GB',NULL,1,'Active','2024-09-19 06:34:28',NULL),(141,281,'256 GB',NULL,2,'Active','2024-09-19 06:34:28',NULL),(142,281,'512 GB',NULL,3,'Active','2024-09-19 06:34:28',NULL),(183,26,'Brown',NULL,2,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(184,30,'P47',NULL,1,'Active','2024-09-19 06:34:28',NULL),(185,28,'16 GB',NULL,1,'Active','2024-09-19 06:34:28',NULL),(186,26,'As Picture',NULL,3,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(187,26,'Soft Amber',NULL,4,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(188,26,'Purple','#f757ea',5,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(189,26,'Vanilla','#f5aeef',6,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(190,26,'Brownish Pink','#6d94a3',7,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(191,26,'Almond','#57544e',8,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(192,26,'Bone','#57544e',9,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(194,26,'Green','#1aed4f',10,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(195,30,'600D',NULL,1,'Active','2024-09-19 06:34:28',NULL),(196,30,'Vention USB Male to Female',NULL,1,'Active','2024-09-19 06:34:28',NULL),(197,292,'USB Extension Cable',NULL,1,'Active','2024-09-19 06:34:28',NULL),(198,30,'ORICO NVMe M.2',NULL,1,'Active','2024-09-19 06:34:28',NULL),(199,292,'SSD Case',NULL,1,'Active','2024-09-19 06:34:28',NULL),(200,28,'256 GB',NULL,1,'Active','2024-09-19 06:34:28',NULL),(201,28,'512 GB',NULL,1,'Active','2024-09-19 06:34:28',NULL),(202,27,'2 GB at 1600MHz LPDDR3 RAM',NULL,1,'Active','2024-09-19 06:34:28',NULL),(203,28,'32GB eMMC',NULL,1,'Active','2024-09-19 06:34:28',NULL),(204,36,'Windows',NULL,1,'Active','2024-09-19 06:34:28',NULL),(205,376,'260mAh',NULL,1,'Active','2024-09-19 06:34:28',NULL),(207,376,'Battery life: 20 days',NULL,1,'Active','2024-09-19 06:34:28',NULL),(208,29,'LO-25',NULL,1,'Active','2024-09-19 06:34:28',NULL),(209,376,'Included',NULL,1,'Active','2024-09-19 06:34:28',NULL),(210,26,'Yellow','#edea13',11,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(211,26,'White','#f2f2eb',12,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(212,33,'1.69 inch',NULL,1,'Active','2024-09-19 06:34:28',NULL),(213,35,'TFT HD (240x280)',NULL,1,'Active','2024-09-19 06:34:28',NULL),(214,28,'128MB',NULL,1,'Active','2024-09-19 06:34:28',NULL),(215,29,'MG.GEN0021360',NULL,1,'Active','2024-09-19 06:34:28',NULL),(216,292,'USB 3.0 Type-A',NULL,1,'Active','2024-09-19 06:34:28',NULL),(217,292,'Charm Bracelets',NULL,1,'Active','2024-09-19 06:34:28',NULL),(218,26,'Powder Blue',NULL,13,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(219,26,'Orange',NULL,14,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(220,341,'Beboncool',NULL,1,'Active','2024-09-19 06:34:28',NULL),(221,26,'Mango Orange',NULL,15,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(222,26,'Pale Blue Lily',NULL,16,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(223,26,'Sea Mist',NULL,17,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(224,26,'Red-Orange',NULL,18,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(225,26,'Ecru White',NULL,19,'Active','2024-09-19 06:34:28','2024-09-19 09:52:37'),(227,41,'dfd',NULL,1,'Active','2024-09-19 06:39:01',NULL),(229,26,'abcd',NULL,20,'Active','2024-09-19 09:30:20','2024-09-19 09:52:37'),(232,26,'Red','#e32c29',24,'Active','2024-09-19 09:52:37',NULL);
/*!40000 ALTER TABLE `attribute_values` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `attributes`
--

DROP TABLE IF EXISTS `attributes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `attributes` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `attribute_group_id` int DEFAULT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `type` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Active',
  `is_filterable` tinyint(1) NOT NULL DEFAULT '0',
  `is_required` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `attributes_name_index` (`name`),
  KEY `attributes_type_index` (`type`),
  KEY `attributes_status_index` (`status`),
  KEY `attributes_attribute_group_id_foreign` (`attribute_group_id`),
  CONSTRAINT `attributes_attribute_group_id_foreign` FOREIGN KEY (`attribute_group_id`) REFERENCES `attribute_groups` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=398 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `attributes`
--

LOCK TABLES `attributes` WRITE;
/*!40000 ALTER TABLE `attributes` DISABLE KEYS */;
INSERT INTO `attributes` VALUES (26,28,'Color',NULL,'color','Active',0,0,'2024-09-19 06:34:28','2024-09-19 09:52:37'),(27,28,'RAM',NULL,'dropdown','Active',1,1,'2024-09-19 06:34:28',NULL),(28,28,'Storage',NULL,'dropdown','Active',1,1,'2024-09-19 06:34:28',NULL),(29,28,'Model Number',NULL,'dropdown','Active',1,1,'2024-09-19 06:34:28',NULL),(30,28,'Model Name',NULL,'dropdown','Active',0,1,'2024-09-19 06:34:28',NULL),(31,28,'Touchscreen',NULL,'dropdown','Active',0,1,'2024-09-19 06:34:28',NULL),(32,28,'Browse Type',NULL,'dropdown','Active',1,1,'2024-09-19 06:34:28',NULL),(33,28,'Display Size',NULL,'dropdown','Active',1,1,'2024-09-19 06:34:28',NULL),(34,28,'Resolution',NULL,'dropdown','Active',1,1,'2024-09-19 06:34:28',NULL),(35,28,'Display Type',NULL,'dropdown','Active',1,1,'2024-09-19 06:34:28',NULL),(36,28,'Operating System',NULL,'dropdown','Active',1,1,'2024-09-19 06:34:28',NULL),(37,28,'Processor Type',NULL,'dropdown','Active',1,1,'2024-09-19 06:34:28',NULL),(38,28,'Sim Type',NULL,'dropdown','Active',1,1,'2024-09-19 06:34:28',NULL),(39,28,'Network Type',NULL,'dropdown','Active',1,1,'2024-09-19 06:34:28',NULL),(40,28,'Battery Capacity',NULL,'dropdown','Active',1,1,'2024-09-19 06:34:28',NULL),(41,28,'Weight',NULL,'dropdown','Active',0,0,'2024-09-19 06:34:28','2024-09-19 06:39:01'),(42,28,'SIM Size',NULL,'dropdown','Active',1,1,'2024-09-19 06:34:28',NULL),(55,28,'Processor Core',NULL,'dropdown','Active',0,1,'2024-09-19 06:34:28',NULL),(239,28,'Removable Battery',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(241,28,'Bluetooth Version',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(265,29,'Operating Frequency',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(267,29,'Smartphones',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(276,32,'Battery Cell',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(277,32,'Processor Brand',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(278,32,'Processor Name',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(279,32,'Processor Generation',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(281,32,'SSD','Describe Storage of hp laptops','dropdown','Active',1,1,'2024-09-19 06:34:28',NULL),(282,32,'Number of Cores','Describe Number of Cores of hp laptops','dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(284,32,'System Architecture','Describe System Architecture of hp laptops','dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(285,32,'Screen Size',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(286,32,'Screen Resolution',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(292,32,'Type',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(298,32,'OS Architecture',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(299,32,'Dimensions',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(305,32,'Battery Backup',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(322,32,'RAM Type',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(341,33,'Brand','Describe brand of dslr','dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(344,33,'Video Resolution',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(347,33,'Battery Type',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(349,33,'Sensor Type',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(357,33,'Image Sensor Size',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(359,33,'Touch Screen',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(365,33,'Image Sensor Type',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(368,33,'Video Quality',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(370,33,'Compatible Card',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(372,33,'Lens Type',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(376,33,'Battery',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(383,33,'Video Format',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(388,33,'Display Resolution',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(393,33,'Storage Type',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL),(397,33,'HDD Available',NULL,'dropdown','Active',1,0,'2024-09-19 06:34:28',NULL);
/*!40000 ALTER TABLE `attributes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `backups`
--

DROP TABLE IF EXISTS `backups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `backups` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `backups_name_index` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `backups`
--

LOCK TABLES `backups` WRITE;
/*!40000 ALTER TABLE `backups` DISABLE KEYS */;
/*!40000 ALTER TABLE `backups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blog_categories`
--

DROP TABLE IF EXISTS `blog_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blog_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Active',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blog_categories`
--

LOCK TABLES `blog_categories` WRITE;
/*!40000 ALTER TABLE `blog_categories` DISABLE KEYS */;
INSERT INTO `blog_categories` VALUES (1,'Uncategorized','Active','2024-09-19 06:34:33',NULL),(3,'Travel','Active','2024-09-19 06:34:33',NULL),(4,'Technology','Active','2024-09-19 06:34:33',NULL),(5,'Beauty','Active','2024-09-19 06:34:33',NULL),(6,'Health','Active','2024-09-19 06:34:33',NULL),(7,'Fashion','Active','2024-09-19 06:34:33',NULL),(8,'Food','Active','2024-09-19 06:34:33',NULL),(9,'Grocery','Active','2024-09-19 06:34:33',NULL),(10,'Lifestyle','Active','2024-09-19 06:34:33',NULL),(11,'Interior design','Active','2024-09-19 06:34:33',NULL),(12,'Digital product','Active','2024-09-19 06:34:33',NULL);
/*!40000 ALTER TABLE `blog_categories` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `blog_category_AFDEL` AFTER DELETE ON `blog_categories` FOR EACH ROW UPDATE blogs SET category_id = "1" WHERE category_id = OLD.id */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `blogs`
--

DROP TABLE IF EXISTS `blogs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blogs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `category_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint DEFAULT NULL,
  `title` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `summary` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Active',
  `total_views` int NOT NULL DEFAULT '0',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `blogs_user_id_foreign` (`user_id`),
  CONSTRAINT `blogs_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blogs`
--

LOCK TABLES `blogs` WRITE;
/*!40000 ALTER TABLE `blogs` DISABLE KEYS */;
INSERT INTO `blogs` VALUES (19,7,1,'How to Choose the Best Women’s Watch?','how-to-choose-the-best-womens-watchb4wg','Choosing the right type of watch for women is a little bit tricky. But in this article, the tips for purchasing the best women’s watches are explored','<p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span data-spm-anchor-id=\"a2a0e.17425.0.i6.5e2a4958BgZfoH\" style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Choose a watch that suits your style. Women tend to care about the look of the watch as wristwatches are the effective addons to a lady’s appearance. In this blog, you’ll get tips on how to choose the best women’s watch.</span></p><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Watches for women come with different designs and price ranges. Besides, women wear watches for different purposes like official or casual uses. </span><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">You should consider your requirements first and go for buying the watch that suits you best.</span></p><h4 style=\"margin-right: 0px; margin-bottom: 30px; margin-left: 0px; font-family: \"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Tips for Choosing the Ideal Watch for Women</span></h4><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span data-spm-anchor-id=\"a2a0e.17425.0.i7.5e2a4958BgZfoH\" style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Take a look at the below tips for choosing the right type of ladies’ watches for you.</span></p><ul pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 1.75em; margin-left: 30px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; font-size: 16px; vertical-align: baseline; color: rgb(0, 0, 0);\"><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Choose a Classy Watch Design</span></li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Go for the Right Size</span></li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Focus on the Quality of the Watch</span></li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Types of Movement You Prefer</span></li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Consider your Pocket</span></li></ul><h4 style=\"margin-right: 0px; margin-bottom: 30px; margin-left: 0px; font-family: \"><span data-spm-anchor-id=\"a2a0e.17425.0.i10.5e2a4958BgZfoH\" style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Choose a Classy Watch Design</span></h4><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">In fact, the best alternative is undoubtedly a trendy and tastefully made minimalist watch. If you intend to use the watch every day and don’t want to spend a lot of money, you can go for this type.</span></p><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Check different types of ladies watches</span><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\"> designs that are available online shop in Bangladesh.</span></p><ul pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 1.75em; margin-left: 30px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; font-size: 16px; vertical-align: baseline; color: rgb(0, 0, 0);\"><li aria-level=\"1\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">If you prefer classic shapes but want to update your appearance, go for a mixed metal round face watch. </span></li><li aria-level=\"1\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">If you want to add some edge to your outfit, go for studs on the strap.</span></li><li aria-level=\"1\" data-spm-anchor-id=\"a2a0e.17425.0.i11.5e2a4958BgZfoH\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">If you’re a fashion risk-taker, match a rich red watch with gold bands.</span></li></ul><h4 style=\"margin-right: 0px; margin-bottom: 30px; margin-left: 0px; font-family: \"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Go for the Right Size</span></h4><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">When you are looking for the perfect size of the lady’s watch, the first thing you must focus that is proportion.</span></p><ul data-spm-anchor-id=\"a2a0e.17425.0.i15.5e2a4958BgZfoH\" pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 1.75em; margin-left: 30px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; font-size: 16px; vertical-align: baseline; color: rgb(0, 0, 0);\"><li aria-level=\"1\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span data-spm-anchor-id=\"a2a0e.17425.0.i23.5e2a4958BgZfoH\" style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">If you have a smaller wrist, you have to choose a little larger watch that emphasizes the beauty of a thin wrist.</span></li><li aria-level=\"1\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">On the other hand, if you have a thicker wrist, try a thinner and smaller watch.</span></li></ul><h4 style=\"margin-right: 0px; margin-bottom: 30px; margin-left: 0px; font-family: \"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Focus on the Quality of the Watch</span></h4><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Three elements determine the quality of a watch including</span><span><img src=\"https://i.ibb.co/GxHpYQZ/91708aadeadbed4f3692a5774ae31624.jpg\" style=\"width: 50%; float: right;\" class=\"note-float-right\"></span><span><br></span></p><ul pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 1.75em; margin-left: 30px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; font-size: 16px; vertical-align: baseline; color: rgb(0, 0, 0);\"><li aria-level=\"1\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Glass</span></li><li aria-level=\"1\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Case and</span></li><li aria-level=\"1\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Strap. </span></li></ul><p data-spm-anchor-id=\"a2a0e.17425.0.i9.5e2a4958BgZfoH\" pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span data-spm-anchor-id=\"a2a0e.17425.0.i8.5e2a4958BgZfoH\" style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">You should go for the leather or metal strap as the plastic strap is less classy and elegant. </span></p><h4 style=\"margin-right: 0px; margin-bottom: 30px; margin-left: 0px; font-family: \"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Types of Movement You Prefer</span></h4><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">You know there are three different categories based on the movement type of the watch.</span></p><ul pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 1.75em; margin-left: 30px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; font-size: 16px; vertical-align: baseline; color: rgb(0, 0, 0);\"><li aria-level=\"1\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Automatic</span></li><li aria-level=\"1\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Mechanical and</span></li><li aria-level=\"1\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Quartz</span></li></ul><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">If you prefer smooth and linear movement, go for the mechanical watches. On the other hand, quartz watches produce sharper movement.</span></p><h4 style=\"margin-right: 0px; margin-bottom: 30px; margin-left: 0px; font-family: \"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Consider your Pocket</span></h4><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">A lot of watches for women are currently available and different types of watches are different in price. You have to consider your budget first.</span></p><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">The most important thing is that you can get the branded watches at an affordable price also. Sometimes, the most popular ladies’ watches are being offered with lucrative discounts. In this regard, you should keep updated on the best online shop</span><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\"><span style=\"font-weight: bolder; margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">.</span></span></p><h4 style=\"margin-right: 0px; margin-bottom: 30px; margin-left: 0px; font-family: \"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Things You Must Consider While Buying a Women’s Watch</span></h4><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Let’s take a look at the below points to make your purchase more accessible and scalable.</span></p><h4 style=\"margin-right: 0px; margin-bottom: 30px; margin-left: 0px; font-family: \"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Build</span></h4><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span data-spm-anchor-id=\"a2a0e.17425.0.i17.5e2a4958BgZfoH\" style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Choose a watch made of strong material to ensure that it will last a long time and will not be easily destroyed. </span><span style=\"font-weight: bolder; margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Stainless steel and brass</span><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\"> are the most commonly used materials in watchmaking. </span></p><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Choose a stainless steel structure because it will not corrode. You can choose between steel, leather, synthetic, or canvas fabric straps, depending on your preference.</span></p><h4 style=\"margin-right: 0px; margin-bottom: 30px; margin-left: 0px; font-family: \"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Display</span></h4><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Analog and digital are the two most frequent display types. Many firms have created hybrid timepieces that combine analog and digital functions in one device. </span></p><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">While analog watches appear to be more sophisticated, digital watches are both stylish and functional.</span></p><h4 style=\"margin-right: 0px; margin-bottom: 30px; margin-left: 0px; font-family: \"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Style</span></h4><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span data-spm-anchor-id=\"a2a0e.17425.0.i12.5e2a4958BgZfoH\" style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Whatever you purchase, you must prioritize your personal style and comfort. When purchasing a watch, always prioritize comfort before fashion.</span></p>','Active',2,'2024-08-07 23:22:18',NULL),(20,5,1,'Best Sunscreens for Oily & Acne Prone Skin in BD','best-sunscreens-for-oily--acne-prone-skin-in-bdk5g4','Sunblock cream should be used regularly if you really care about your skin. In this article, the best sunscreens for oily skin are given.','<p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span data-spm-anchor-id=\"a2a0e.17472.0.i3.40821499L1xAz7\" style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Although sunscreen is an essential beauty product throughout the year, it’s more crucial in the summer as the sun is stronger, and the days are longer during this season. Do you have oily, acne-prone, or sensitive skin? Here, you’ll get the best sunscreens </span><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">for oily and sensitive skin in Bangladesh.</span></p><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Sunblock cream protects the skin from ultraviolet rays which are the primary causes of skin cancer and sunburn. So using sunscreen when going outside is the most efficient way to keep your skin smooth and soft.</span></p><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">In this article, natural sunscreens or sunblock creams for oily and sensitive skin will be enlisted which are available in online shops in Bangladesh.</span></p><h4 style=\"margin-right: 0px; margin-bottom: 30px; margin-left: 0px; font-family: \"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Tips to Choose the Right Sunscreen for You</span></h4><h4 style=\"margin-right: 0px; margin-bottom: 30px; margin-left: 0px; font-family: \"><span><br></span><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\"><br></span></h4><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Using sunscreen is vital but the most important thing is to pick the perfect sunblock cream for your skin. Several important factors you need to consider before choosing the best sunscreen.</span></p><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\"><span style=\"background: transparent; margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline;\">You should consider the below points- </span></span><span><img src=\"https://i.ibb.co/tBDgmxM/12395470-4961828.jpg\" style=\"width: 50%; float: right;\" class=\"note-float-right\"><br></span></p><ul pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 1.75em; margin-left: 30px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; font-size: 16px; vertical-align: baseline; color: rgb(0, 0, 0);\"><li aria-level=\"1\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Skin Type</span><span></span><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\"> </span><span><br></span><ul style=\"margin: 4px 0px 5px 30px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\"><li aria-level=\"2\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Oily Skin: Gel-based sunblock cream.</span><span><br></span></li><li aria-level=\"2\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span data-spm-anchor-id=\"a2a0e.17472.0.i4.40821499L1xAz7\" style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Dry Skin: Moisturizer-based sunscreen.</span></li><li aria-level=\"2\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Sensitive Skin: Aphelia components, and fragrance-free sunscreen.</span></li></ul></li><li aria-level=\"1\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Broad Spectrum</span></li><li aria-level=\"1\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">SPF: At least SPF 30.</span></li><li aria-level=\"1\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Sunscreen Type</span><ul data-spm-anchor-id=\"a2a0e.17472.0.i5.40821499L1xAz7\" style=\"margin: 4px 0px 5px 30px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\"><li aria-level=\"2\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Cream</span></li><li aria-level=\"2\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Gel</span></li><li aria-level=\"2\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Spray</span></li><li aria-level=\"2\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Stick</span></li></ul></li><li aria-level=\"1\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Natural Sunscreen: Olive oil or Coconut oil-based sunscreen.</span></li><li aria-level=\"1\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Water Resistant</span></li></ul><h4 style=\"margin-right: 0px; margin-bottom: 30px; margin-left: 0px; font-family: \"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Which Sunscreens are Best for Oily Skin in Bangladesh?</span></h4><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Your skin type is oily if your skin is shiny and feels greasy a few hours after washing your face. In this case, you must go for the best sunscreen for oily skin.</span></p><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">All types of sunscreens are available online for different skin types including sunscreen for oily skin, dry skin, and sensitive skin.</span></p><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span data-spm-anchor-id=\"a2a0e.17472.0.i6.40821499L1xAz7\" style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Let’s take a look at the best sunscreens for oily skin and acne-prone skin.</span></p><ul pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 1.75em; margin-left: 30px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; font-size: 16px; vertical-align: baseline; color: rgb(0, 0, 0);\"><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\">Freyias Face Shield</li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\">3W Clinic Intensive UV Sunblock Cream</li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\">Wow AM2PM SPF50 Sunscreen</li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\">LAIKOU Whitening Sunscreen</li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\">CHIFURE Sunscreen Gel</li><li data-spm-anchor-id=\"a2a0e.17472.0.i12.40821499L1xAz7\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\">MISSHA Safe Block Soft Finish Sun Milk</li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\">Neutrogena Ultra Sheer Dry Touch Sunblock</li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\">Suncare Mineral UV Filters with Antioxidants</li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\">GENOVE Face Sunscreen</li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\">Innisfree Tone Up Sunscreen</li></ul>','Active',2,'2024-08-22 18:40:45',NULL),(22,5,1,'5 Best Body Scrubs in Bangladesh to Brighten Your Skin','5-best-body-scrubs-in-bangladesh-to-brighten-your-skine9lq','The best body scrubs can provide the best solution for your skin. Now it’s time to get the most appropriate body scrub and glow your skin.','<p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span><br></span><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Hey, wanna have smooth, bright, and glowing skin? Body scrubs remove the dead skin cells and leave your skin healthier and radiant. You are in the right place to get the best body scrubs in Bangladesh. Now find out the best body scrubs for skin whitening and glowing skin.</span></p><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Maybe your skin is dull or dry. In this case, mild exfoliation can be the best solution for you. It works for whitening your skin.</span></p><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Let’s get acknowledged with the basics of body scrub and choose the best scrub and exfoliators that suit your skin.</span></p><h4 style=\"margin-right: 0px; margin-bottom: 30px; margin-left: 0px; font-family: \"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Our Top 5 Picks at a Glance (Best Body Scrubs)</span></h4><ul pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 1.75em; margin-left: 30px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; font-size: 16px; vertical-align: baseline; color: rgb(0, 0, 0);\"><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">FASMC Bath Salts Body Massage Scrub Lavender</span></li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">FASMC Bath Salts With Rose Body Massage Scrub</span></li><li data-spm-anchor-id=\"a2a0e.15302.0.i4.461d42dcvQ7A0W\" style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span data-spm-anchor-id=\"a2a0e.15302.0.i3.461d42dcvQ7A0W\" style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">YESNOW Bath Salt (Lavender) Body Massage Scrub</span></li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">FASMC Bath Salts Body Massage Scrub Milk</span></li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Madina PAPAYA &amp; APRICOT Face Scrub</span></li></ul><h4 style=\"margin-right: 0px; margin-bottom: 30px; margin-left: 0px; font-family: \"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">What is Body Scrub?</span></h4><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">The body scrub is a mechanical exfoliator. This type of exfoliator includes some abrasive materials like salt or sugar which help to remove the dead skin cells from the surface or outer layer of your skin.</span></p><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Stimulating the skin cell turnover prevents acne breakouts in the long run and gifts you an expected result of your skin smoothness.</span></p><h4 style=\"margin-right: 0px; margin-bottom: 30px; margin-left: 0px; font-family: \"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Best Body Scrubs in Bangladesh You Can Grab Right Now</span></h4><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; color: rgb(0, 0, 0);\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">As the skin is a sensitive organ of our body, it’s essential to choose the high-quality and most effective body scrub for sure. </span></p><h4 style=\"margin-right: 0px; margin-bottom: 30px; margin-left: 0px; font-family: \"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">1. </span><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">FASMC Bath Salts Body Massage Scrub Lavender</span></h4><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\"><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial;\"><span style=\"font-weight: bolder; margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Product Details</span></p><ul pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 1.75em; margin-left: 30px; padding: 0px; border: 0px; outline: 0px; font-size: 16px; vertical-align: baseline; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial;\"><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Bath Salts</span></li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">04 Extracts Available</span></li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Net weight 380g</span></li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Extra Whitening Bath Scrub</span><span><img src=\"https://i.ibb.co/JcXmm0t/Natural-Skincare-Products-On-Instagram-2.jpg\" style=\"width: 50%; float: right;\" class=\"note-float-right\"><br></span></li></ul></span><h4 style=\"margin-right: 0px; margin-bottom: 30px; margin-left: 0px; font-family: \"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">2. </span><span data-spm-anchor-id=\"a2a0e.15302.0.i6.461d42dcvQ7A0W\" style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">FASMC Bath Salts With Rose Body Massage Scrub</span></h4><span data-spm-anchor-id=\"a2a0e.15302.0.i6.461d42dcvQ7A0W\" style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\"><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial;\"><span style=\"font-weight: bolder; margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Product Details</span></p><ul data-spm-anchor-id=\"a2a0e.15302.0.i8.461d42dcvQ7A0W\" pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 1.75em; margin-left: 30px; padding: 0px; border: 0px; outline: 0px; font-size: 16px; vertical-align: baseline; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial;\"><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">FASMC bath salts body massage scrub:</span></li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Make skin enjoy the spa.</span></li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Net weight 380g</span></li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Extra whitening bath salts.</span></li></ul></span><h4 style=\"margin-right: 0px; margin-bottom: 30px; margin-left: 0px; font-family: \"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Which Type of Exfoliator is Perfect for Your Skin?</span></h4><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">There are two types of exfoliators.</span></p><ul pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 1.75em; margin-left: 30px; padding: 0px; border: 0px; outline: 0px; font-size: 16px; vertical-align: baseline; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial;\"><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Physical Exfoliator</span></li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Chemical Exfoliator</span></li></ul><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Scrubbing twice a week will make a physical exfoliator more effective if you have dry to normal skin and the dead skin cell layer accumulates quickly. </span></p><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">The physical exfoliator is the finest and the most suitable option for individuals who do not maintain a skincare routine for various reasons and do not have any skin concerns.</span></p><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">The chemical exfoliator will perform effectively for people whose skin is affected by grainy scrubs due to sensitivity. You know what happens when you rub scrubs on active or inflamed acne. The pimple will burst, allowing bacteria to spread throughout the surrounding area.</span></p><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">So, if you have oily sensitive skin, you can use a chemical exfoliant to deep clean the pores and reveal new, vibrant skin. Just remember that if you use a chemical exfoliant, you must use sunscreen before going outside, it is not an option.</span></p></span><h4 style=\"margin-right: 0px; margin-bottom: 30px; margin-left: 0px; font-family: \"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">How to Use Body Scrub?</span></h4><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Using the body scrub is simple and straightforward. Besides, it’s also safe for your skin. You have to just follow the below steps.</span></p><ul pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 1.75em; margin-left: 30px; padding: 0px; border: 0px; outline: 0px; font-size: 16px; vertical-align: baseline; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial;\"><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Use warm water to rinse your skin at first.</span></li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Put the desired amount of the body scrub.</span></li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Rub the scrub gently in a smaller circular motion.</span></li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span data-spm-anchor-id=\"a2a0e.15302.0.i4.461d42dcgatV6J\" style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Scrub your skin for no more than 30 seconds.</span></li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Now rinse your skin thoroughly with warm water.</span></li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">You may shave if needed.</span></li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Pat your skin dry</span></li><li style=\"margin: 0px 0px 10px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent; line-height: 1.4;\"><span style=\"margin: 0px; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline; background: transparent;\">Lastly, apply moisturizer</span></li></ul></span>','Active',2,'2024-08-19 10:06:40',NULL),(23,5,1,'8 Natural Skin Care Tips: How to Take Care of Skin with Natural Ingredients at Home?','8-natural-skin-care-tips-how-to-take-care-of-skin-with-natural-ingredients-at-home','In this articel, We can learn to know about natural ingrediants for face which can helps us for skin tone','<p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Who doesn’t want spotless, healthy, beautiful and\r\n                clean skin. Sunburn with skin care neglect can cause differences in the color\r\n                of our hands and feet. This happens when the skin loses its radiance. In fact\r\n                carelessness and other reasons for our life, skin scars also appear. So, you\r\n                may search for the home remedies for glowing skin in 10 days. There are some\r\n                night skin care routine home remedies to get rid of skin blemishes and unwanted\r\n                color changes. Now you are wondering how to get glowing skin naturally in a\r\n                week right? Your skin problems can be easily relieved with various tips for\r\n                glowing skin homemade ingredients close to hand at home.</font></span></p><p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">List of the Natural Skin Care Ingredients:</font></span></b></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Turmeric Powder and Lemon\r\n                Juice</font></span><span><br></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Aloe Vera Jelly</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Lemon Juice</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Sugar and Lemon Juice</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Honey and Lemon Juice</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Sugar and Olive Oil</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Eggs, Olive Oil and Lemon</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Rice Powder and\r\n                Watermelon Juice</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\"> </font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><b><span style=\"font-size:16.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Natural Skin Care Tips at\r\n                Home – How Can I Get Clear Glowy Skin Naturally?</font></span></b></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Apply 1 teaspoon of\r\n                turmeric powder and lemon juice mixture on the fingers and toes for 30 minutes\r\n                and wash with cold water.</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Apply Aloe Vera jelly on\r\n                hands, feet, face and necessary areas for 30 minutes and wash in cold water.</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Gently rub a medium-sized\r\n                Lemon peel on your hands, feet and face and wash after 10 – 15 Minutes.</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Apply a teaspoon of sugar\r\n                with a lemon juice on the folds of the fingers and toes and rub it with\r\n                lukewarm water after 15 minutes.</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Apply half a lemon juice\r\n                with one teaspoon of honey on the blackened area and wash in lukewarm water\r\n                after 30 minutes.</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Apply Sugar and Olive Oil\r\n                mixture on skin for half an hour and take a bath with lukewarm water.</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Apply the mixture of 1\r\n                egg, 2 tablespoons olive oil and 1 whole lemon juice on the nails, neck, hands,\r\n                neck and wash off after 15 to 20 minutes.</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Gently massage with the\r\n                mixture of one tablespoon of rice powder with watermelon juice on the hands,\r\n                feet and blackened areas and gently rub it after 15 minutes and take a bath.</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\"> </font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><b><span style=\"font-size:16.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Turmeric Powder and Lemon\r\n                Juice</font></span></b></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">There is no substitute\r\n                for turmeric to remove skin blemishes. Mix 1 teaspoon of turmeric powder with 1\r\n                teaspoon of lemon juice and make a paste. Apply it on the fingers and toes and\r\n                rub it with lemon juice after 30 minutes. Then rinse in cold water. Turmeric\r\n                powder will remove the black spots on the hands and feet, at the same time it\r\n                will make the skin taut.</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><b><span style=\"font-size:16.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Aloe Vera Jelly</font></span></b><span><img src=\"https://i.ibb.co/3167v87/Homemade-Facial-Scrub.jpg\" style=\"width: 50%; float: right;\" class=\"note-float-right\"><br></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Aloe vera is one of the\r\n                most precious ingredients for our skin care. This natural ingredient is one of\r\n                the best beauty treatments to enhance the beauty of your skin and protect it\r\n                from getting black. Take an aloe vera stick, cut off the green part on top and\r\n                take out the inner jelly with a fork. Apply this jelly on hands, feet, face and\r\n                necessary areas, wait for 30 minutes and wash in cold water. Regular use of\r\n                aloe vera will not only let you get rid of blemishes and blackening, but also your\r\n                skin will be smooth and taut.</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\"> </font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><b><span style=\"font-size:16.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Lemon Juice</font></span></b></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Lemon is a readily\r\n                available natural ingredient that is effective in healing skin blemishes. Lemon\r\n                juice can be used in several ways. Coming from outside, wash your hands, feet\r\n                and face well. Cut a medium-sized lemon and gently rub it with the peel on your\r\n                hands, feet and face. Rinse with water after 10 to 15 minutes.</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\"> </font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><b><span style=\"font-size:16.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Sugar and Lemon Juice</font></span></b></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Honey is undoubtedly an\r\n                essential element for the human body. Mix a teaspoon of sugar with a lemon and\r\n                apply it on the folds of the fingers and toes and wait for 15 minutes and rub\r\n                it with lukewarm water. It will act as a natural scrub for the hands and feet.</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\"> </font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><b><span style=\"font-size:16.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Honey and Lemon Juice</font></span></b></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Lemon and honey are also\r\n                very beneficial for the skin. Make a paste by mixing half a lemon juice with\r\n                one teaspoon of honey. Now apply it on the blackened area, wait for 30 minutes\r\n                and wash in lukewarm water. Regular practice with any one of these three types\r\n                of blends can easily get rid of skin blemishes.</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\"> </font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><font color=\"#424242\"><b><span style=\"font-size:16.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\">Sugar and Olive Oil</span></b><b><span style=\"font-size:12.0pt;line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"></span></b></font></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">The mixture of olive oil\r\n                with sugar is effective in healing skin blemishes. Mix sugar and olive oil and\r\n                apply on the skin for half an hour and allow it to dry. When it is dry, remove\r\n                it by rubbing. Then take a good bath in lukewarm water. A mixture of sugar and\r\n                olive oil once a week will remove blemishes, as well as keep your skin smooth.</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\"> </font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><b><span style=\"font-size:16.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Eggs, Olive Oil and Lemon</font></span></b></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">As effective as removing\r\n                sugar stains with olive oil, a mixture of olive oil, eggs and lemon is also\r\n                useful in healing skin blemishes. Mix 1 egg, 2 tablespoons olive oil and 1\r\n                whole lemon juice together well. Apply the mixture on the nails, neck, hands\r\n                and neck and on the black spots on the back and wash off after 15 to 20\r\n                minutes. After using it for a few days, you will see that the black spots on\r\n                the hands, neck and back have decreased.</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\"> </font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><b><span style=\"font-size:16.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Rice Powder and\r\n                Watermelon Juice</font></span></b></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">A mixture of rice powder\r\n                and watermelon juice can be used to get rid of skin blemishes and blackheads\r\n                easily. To get rid of sunburned skin problems during summer, blend a few pieces\r\n                of watermelon and mix these with one tablespoon of rice powder. Then before\r\n                bathing, gently massage it on the hands, feet and blackened areas. Leave it for\r\n                15 minutes, gently rub it and take a bath. You will get benefits if you use\r\n                this mixture for a few days.</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\"> </font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">The expected benefits can\r\n                be easily discovered if these natural skin care tips and home remedy for skin\r\n                whitening methods are followed properly during this time of lockdown. So, no\r\n                more dull skin, stay bright as natural as you are.</font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\"> </font></span></p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\"> </font></span></p><p pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline;\">\r\n                </p><p class=\"MsoNormal\" style=\"margin-bottom:0in\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\"> </font></span></p>','Active',2,'2024-09-05 11:25:24',NULL),(24,8,1,'10 Tips to Maintain a Healthy & Balanced Diet','10-tips-to-maintain-a-healthy--balanced-diet','Health experts always suggest maintaining a healthy eating lifestyle. In this article, the healthy foods are enlisted and the tips for maintaining a healthy and balanced diet are given.','<p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Healthy eating habits don’t have to be difficult to\r\n                establish and keep up. You may significantly alter your eating pattern and\r\n                establish healthy eating habits if you start by implementing little\r\n                modifications into your everyday routines. Take a look over the tips for\r\n                maintaining a healthy eating lifestyle.</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">You have to follow an ideal healthy diet chart that\r\n                includes adequate calories, minerals, proteins, vitamins, and alternative\r\n                nutrients. From the beginning of the day, you must decide what to include in\r\n                your breakfast, lunch, and dinner.</font></span></p><p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Tips for Maintaining Healthy Diet</font></span></b></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Experts say that eating a diet high in fruits and\r\n                vegetables has a number of positive effects on your health. A balanced diet\r\n                helps lower your risk of developing chronic diseases and maintain good physical\r\n                health.</font></span></p><ol><li style=\"margin-left: 0.25in;\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Start your day with a\r\n                healthy breakfast (Don’t skip breakfast).</font></span></li><li style=\"margin-left: 0.25in;\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Vegetables and fruits\r\n                should make up half of your plate.</font></span></li><li style=\"margin-left: 0.25in;\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Eat more whole grains\r\n                instead of refined ones such as wheat bread, brown rice, etc.</font></span></li><li style=\"margin-left: 0.25in;\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Replace regular milk with\r\n                fat-free or low-fat (1%) milk.</font></span></li><li style=\"margin-left: 0.25in;\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Various lean protein\r\n                foods should be chosen like meat, eggs, nuts, peas, etc.</font></span></li><li style=\"margin-left: 0.25in;\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Replace sugary beverages\r\n                with water (Drink More Water).</font></span></li><li style=\"margin-left: 0.25in;\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Consume some seafood like\r\n                Salmon, Tuna fish, etc.</font></span></li><li style=\"margin-left: 0.25in;\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Base your meals on more\r\n                fibrous, starchy carbohydrates including potato, pasta, cereals, etc.</font></span></li><li style=\"margin-left: 0.25in;\"><span style=\"font-size:12.0pt;\r\n                line-height:107%;font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Try to drink Black\r\n                coffee.</font></span></li></ol><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">In addition, reduce your intake of solid\r\n                fat-containing foods and eat less salt (no more than 6gm a day for adults).</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">However, you should always be active in maintaining a\r\n                healthy diet. In addition, regular physical exercise is essential for your\r\n                proper health.</font></span></p><p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">How Many Calories Do You Need Everyday?</font></span></b></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Men should consume about 2,500 calories every day\r\n                (10,500 kilojoules). Around 2,000 calories per day are recommended for women\r\n                (8,400 kilojoules).</font></span></p><p class=\"MsoNormal\"><span><img src=\"https://i.ibb.co/R07Xr26/Nutrition-tips-Getty-Images1173408954-Header-1024x575.webp\" style=\"width: 100%;\"></span><br></p><p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">List of Healthy Food You Should Eat</font></span></b></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Healthy nutrition fortifies the immune system, boosts\r\n                energy, enhances body functions, and avoids weight gain. However, some foods\r\n                are recommended by health experts, including</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\"> </font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Cruciferous Vegetables (Broccoli)</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Leafy Green Vegetables (Spinach)</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Fish containing Omega 3 Fatty Acids (Sea Fishes)</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Fruits like Mangoes, Blueberries, etc.</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Pickled Vegetables (Carrots, cucumbers, etc.)</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Legumes (Chickpeas)</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Peanut, Almonds, and Chocolate.</font></span></p><p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Final Words</font></span></b></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">A healthy lifestyle greatly relies on a balanced diet.\r\n                Health experts always suggest maintaining a healthy eating lifestyle. In this\r\n                article, healthy foods are enlisted and tips for maintaining a healthy and\r\n                balanced diet are given.</font></span></p><p class=\"MsoNormal\">\r\n                </p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Now you can buy all essential groceries and healthy\r\n                foods from the best online grocery shop in Bangladesh at the best price.</font></span></p>','Active',1,'2024-08-16 05:45:09',NULL),(25,9,1,'Best Coffee for Weight Loss in Bangladesh','best-coffee-for-weight-loss-in-bangladesh','Black coffee is the best beverage for losing weight. In this article, the right ways to drink coffee are given.','<p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Coffee is the most well-known beverage for giving\r\n                people more energy. It can also be healthy and aid in weight loss. Black coffee\r\n                is the best coffee for weight loss. Let’s know how to lose weight with coffee\r\n                and the best time to drink black coffee for weight loss.</font></span></p>\r\n\r\n                <p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Caffeine may help you lose a little weight or perhaps\r\n                prevent weight gain, but it cannot help you lose significant weight or keep it\r\n                off permanently. </font></span></p>\r\n\r\n                <p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">However, by drinking coffee carefully and combining it\r\n                with a good diet and exercise routine, you can lose weight.</font></span></p>\r\n\r\n                <p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">How to Lose Weight with Coffee</font></span></b></p>\r\n\r\n                <p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Drinking coffee is not the solution for weight loss if\r\n                you don’t know how to drink coffee for losing weight. In this regard, you have\r\n                to follow the below eight effective tips.</font></span><span><img src=\"https://i.ibb.co/0r61Kkz/88048361.webp\" style=\"width: 50%; float: right;\" class=\"note-float-right\"><br></span></p>\r\n\r\n                <p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">1. Eat something first in the morning and then enjoy\r\n                coffee.</font></span><span><br></span></p>\r\n\r\n                <p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">2. Limit the sugar you add to coffee (For men 36gm/day\r\n                and for women 25gm/day).</font></span></p>\r\n\r\n                <p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">3. Avoid coffee creamers that are high in saturated\r\n                fat.</font></span></p>\r\n\r\n                <p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">4. Don’t add artificial sweeteners all the time.</font></span></p>\r\n\r\n                <p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">5. You can add natural sweeteners like raw honey,\r\n                maple syrup, and agave nectar.</font></span></p>\r\n\r\n                <p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Why is Black Coffee the Best for Weight\r\n                Loss?</font></span></b></p>\r\n\r\n                <p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Black coffee is the ideal beverage for losing weight.\r\n                It contains less than 5 calories per cup (8-0z cup). Besides, it does not\r\n                contain added sugar or fats. Black coffee is the best coffee for weight loss\r\n                for some considerable reasons.</font></span></p>\r\n\r\n                <p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Black coffee boosts metabolism.</font></span></p>\r\n\r\n                <p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">It decreases feelings of hunger.</font></span></p>\r\n\r\n                <p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">It’s a low-calorie beverage.</font></span></p>\r\n\r\n                <p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Black coffee is filled with antioxidants.</font></span></p>\r\n\r\n                <p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">How Many Cups of Black Coffee a Day to\r\n                Lose Weight?</font></span></b></p>\r\n\r\n                <p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">It’s recommended that four cups (8-0z cups) of black\r\n                coffee are safe for healthy adults and it helps to lose weight. 400mg of\r\n                caffeine per day is helpful for losing weight.</font></span></p>\r\n\r\n                <p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">In addition to this, the best time to drink black\r\n                coffee is morning. Although you can drink black coffee between morning and\r\n                noon. It boosts energy level and concentration.</font></span></p>\r\n\r\n                <p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Drinking black coffee at night may affect negatively\r\n                your health like sleep disorders, acidity, and heart burns.</font></span></p>\r\n\r\n                <p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Wrapping Up</font></span></b></p>\r\n\r\n                <p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Black coffee is the best beverage for losing weight.\r\n                In this article, the right ways to drink coffee are given. You can buy the best\r\n                coffee for weight loss from the biggest online grocery shop in Bangladesh.</font></span></p>','Active',2,'2024-08-30 12:33:42',NULL),(26,10,1,'Easy Home Decorating Tips For Eid!','easy-home-decorating-tips-for-eid','These Eid decorating ideas can add glitz and beauty to your home. You are free to decorate your home however you want.','<p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Eid ul Adha is a festival of sacrifice. Eid, like\r\n                every other event, begins at home. As a result, your home requires specific\r\n                attention in order to reflect the vibe and energy back to us and everyone else\r\n                who comes to visit. Let’s go through the article and get simple and stylish\r\n                home decoration ideas for Eid ul Adha.</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Everyone enjoys adorning their homes during Eid,\r\n                whether it is children or the elderly. There are numerous methods to decorate a\r\n                home these days, but for Eid, you must do something unique to enhance the\r\n                beauty and ambiance of the day.</font></span></p><p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Amazing Home Decoration Ideas for Eid 2022</font></span></b></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">During the Eid festival, as relatives and friends come\r\n                to visit our house, it’s essential to keep our home nice, clean, and sober.</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">You can try some effective and creative ways to\r\n                decorate your home perfectly. The below home decoration ideas and tips for Eid\r\n                ul Adha will help you to embellish your house.</font></span></p><p class=\"MsoNormal\"><font color=\"#424242\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\">Eye Catchy Door Hanging</span><span><img src=\"https://i.ibb.co/QJqy3fC/Decor-trends-that-will-define-2018-FB-1200x700-compressed.jpg\" style=\"width: 50%; float: right;\" class=\"note-float-right\"><br></span><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"></span></font></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Dazzling Lights to Illuminate Your Home</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Gorgeous Curtains</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Attractive Wall Decoration</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Dining Table &amp; Other Furniture</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Cozy &amp; Comfy Floor Decoration</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Decoration with Balloons and Candles</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Enticing Flower Vase</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Sweet Fragrance</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Essential Home Appliances</font></span></p><p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Eye Catchy Door Hanging</font></span></b></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">In Islamic tradition, the stars and moon are regarded\r\n                as holy, giving them a major emblem in the Eid festival. As a result, there’s a\r\n                simple trick. To give the right festive feel, choose door hangings carved into\r\n                magnificent stars and moons.</font></span></p><p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Dazzling Lights to Illuminate Your Home</font></span></b></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Without magnificent lights, a home is never ready to\r\n                greet the Eid festival. This Eid, use lights to brighten up your home and spread\r\n                pleasant energy. Lanterns can be a great choice for smooth lighting for your\r\n                house</font></span></p><p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Gorgeous Curtains</font></span></b></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Whatever wall decoration you have, you can’t avoid the\r\n                curtain to decorate your indoors. The colorful and vibrant curtains bring out\r\n                an amazing festive look.</font></span></p><p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Attractive Wall Decoration</font></span></b></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">If you have an empty wall that you can’t seem to fill,\r\n                a gorgeous garland with the words “Eid Mubarak” across it will do the trick to\r\n                make it more fascinating. Hanging artwork and calligraphy, for example, will\r\n                offer a beautiful Eid touch.</font></span></p><p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Decor Your House with Furniture</font></span></b></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">One of the most pleasurable aspects of Eid is\r\n                welcoming guests with wonderful food or dessert and sharing a feast with\r\n                friends and family.</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">For this reason, an attractive dining table design can\r\n                enhance the beauty of your work. Food preparation is an art, and table\r\n                decoration is essential to make it more appealing. Besides, several essential\r\n                home decoration furniture is required.</font></span></p><p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Cozy &amp; Comfy Floor Decoration</font></span></b></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">You know, the floor decoration always focuses on how\r\n                comfortable it is including beautification. Carpets and rugs are essential in\r\n                this case to decorate your floor.</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Having one for your home, regardless of which you\r\n                choose, is one of the greatest Eid home decor ideas.</font></span></p><p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Enticing Flower Vase</font></span></b></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Flowers are a terrific way to make a statement to a\r\n                loved one. You can use flowers to beautify your home this Eid. Your bouquet can\r\n                be placed in a vase. Utensils made of glass, crystal, or simple porcelain are\r\n                all good options.</font></span></p><p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Sweet Fragrance</font></span></b></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">The sweet fragrance grows the festive look of your\r\n                house. Fragrance enhances the spirits of your guest as well as refreshes the mind\r\n                of everyone.</font></span></p><p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Focus on Essential Home Appliances</font></span></b></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Make sure that your kitchen and home appliances are\r\n                ready to serve you appropriately during the Eid. The most important home\r\n                appliance in Eid ul Adha is Refrigerator as you have to store the meat and other\r\n                food items during this time to a great extent.</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Besides, several essential appliances are on-demand\r\n                during the Eid festival including small and large appliances which are also\r\n                part of your home decoration.</font></span></p><p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Last Words</font></span></b></p><p class=\"MsoNormal\">\r\n                </p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">These Eid decorating ideas can add glitz and beauty to\r\n                your home. You are free to decorate your home however you want. And to complete\r\n                your eid shopping with lucrative deals, you can visit the grand eid fest\r\n                campaign now. So, what are you waiting for? Try the above-mentioned Eid\r\n                decorating ideas and say “Eid Mubarak” to your loved ones with enthusiasm.</font></span></p>','Active',3,'2024-08-02 11:55:00',NULL),(27,10,1,'3 Self-Defense Tips That Make You A Stronger','3-self-defense-tips-that-make-you-a-stronger-woman','Self-defense training for women is very important. Women should take self-defense classes or at least equip themselves with some handy moves that they can use should the need arise','<p class=\"MsoNormal\"><span style=\"font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">The world\r\n                is not a safe place, especially for our women. Every day, women from all around\r\n                the world have to go through unimaginable situations that reassert it’s not\r\n                safe for women. But hiding from reality will get us nowhere. We’ve to take our\r\n                safety into our own hands and do what we can to stay safe – because if we\r\n                don’t, nobody will.</font></span></p><p class=\"MsoNormal\"><span style=\"font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Let us all\r\n                come together and vow to protect our women in every way possible. Let us never\r\n                turn a blind eye and a deaf ear to a woman in trouble. In fact, let us never\r\n                ignore when any person is seemingly in trouble, man or woman!</font></span></p><p class=\"MsoNormal\"><span style=\"font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">With\r\n                International Women’s Day approaching, let’s look at some of the most critical\r\n                self-defense tactics for females that you may use to protect yourself in any\r\n                situation.</font></span></p><p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Self Defense Training</font></span></b></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">One of the first things that every female should know\r\n                are some basic self defense moves. Self defense training can give you the\r\n                confidence to try and overpower if, God forbid, you’re ever assaulted.</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">You should start with memorizing the vulnerable spots:</font></span><span><img src=\"https://i.ibb.co/fNbQ5mB/b376b7593d8b6ea94a2f45eacd.jpg\" style=\"width: 50%; float: right;\" class=\"note-float-right\"><br></span><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\"></font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Once you have memorized these sensitive spots, you can\r\n                try and focus your strength at them to overpower the attacker. The most\r\n                effective and simple self-defense techniques are:</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Grab the wrist: Grab the ring finger and pinky finger\r\n                with one hand, and use the other hand to grab the middle and index finger. Then\r\n                bend the wrist forward and this will make any giant person squirm in pain!</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Hit between collar bones or into Adam’s apple: Use\r\n                your fingers or fist to do this and you’ll be able to disorient the attacker.\r\n                This should give you enough time to escape before they come back to sense.</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Aim for the groin: This one is obvious. It’ll paralyze\r\n                the attacker, giving you enough time to run.</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Hit the Nose: If you were attacked from the front, use\r\n                your fists to create some room in between and then hit the nose of the attacker\r\n                with your forehead. Then using your knee, hit him in the groin!</font></span></p><p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Keep a Pepper Spray on You</font></span></b></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">A pepper spray will come in very handy in a situation\r\n                like this. Every woman should keep pepper spray in their purses so that, God\r\n                forbid in case of such a situation, they can spray the attacker with it to\r\n                defend themselves. The pepper spray price in Bangladesh is very reasonable, so\r\n                you don’t have to worry about having to spend a fortune on it!</font></span></p><p class=\"MsoNormal\"><b><span style=\"font-size:16.0pt;line-height:107%;\r\n                font-family:\" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Use ‘SOS’ Feature on Phone to Alert Others</font></span></b></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\"> Here’s how you\r\n                can activate on iPhone</font></span></p><p><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Settings</font></span></p><p><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Emergency SOS</font></span></p><p><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Turn it on</font></span></p><p><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Add trusted contacts</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">The phone activation of SOS lets you send an SOS\r\n                message in emergency. In most phones, you have to press the power button\r\n                multiple times to activate the feature. Every phone specifies on their feature\r\n                page about how many times you’ll have to tap.</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">When you tap this feature to activate it, it’ll\r\n                automatically send your location to your chosen contacts. As you can see, it\r\n                can also share audio and pictures.</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Self-defense training for women is very important.\r\n                Women should take self-defense classes or at least equip themselves with some\r\n                handy moves that they can use should the need arise (God forbid!). Other tips\r\n                that we’ve mentioned above, especially the SOS feature, can be really helpful!</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">You can check women’s survival kits, security tools\r\n                and self-defense equipment in daraz online shop at the best price. Order and\r\n                enjoy the fastest home delivery in Bangladesh.</font></span></p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\">Lastly, we’d just like to say to always be alert and\r\n                careful – after all, in a world like this, you can never be too careful!</font></span></p><p data-spm-anchor-id=\"a2a0e.blog-642642-60847.0.i0.36b434f7cxXllP\" pt=\"\" serif\";\"=\"\" style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; font-size: 16px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; padding: 0px; border: 0px; outline: 0px; vertical-align: baseline;\">\r\n                </p><p class=\"MsoNormal\"><span style=\"font-size:12.0pt;line-height:107%;font-family:\r\n                \" times=\"\" new=\"\" roman\",serif\"=\"\"><font color=\"#424242\"> </font></span></p>','Active',2,'2024-08-20 04:41:09',NULL),(28,11,1,'Pared Down European Style in a Living & Dining Space','pared-down-european-style-in-a-living--dining-space','Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui. Nulla quis lorem ut libero malesuada feugiat.','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:648px;\"><img src=\"https://lh3.googleusercontent.com/79rhC4KumDv1uLF0yB1LCLfeylT_BCWd44iI9mTpZ45lzYeY7st6UiEFN9kOg0YKvpsUxyIEwxXs0svlMDFtMNdtBfA98LRp50Zur49bXwV32ZrdkKOlfI_749r2Q6Fz8ACksuARjta70K8woynRwMWjl2QVKDoW1cda0EDEydt0Hihd0fOfR3_zi60iSQ\" width=\"864\" height=\"648\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh5.googleusercontent.com/Ihdr-_mvjkfBjtV-zfwJpWT_rdcYQsiYZPiDfhFBXA98SX4ahk061BphE-vYW67PTkpn6lFhp1DiSZ-j7azHoj5egh1QeNdMWTCO-_v2NVXo969zsqD1xTVsBb5bXa6KzTMA82DDP9L_qVX0Qr_2Q5T-8i0Ccra5JTEBPem2FaLhCW3grLTHWwD2HXiGdA\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh3.googleusercontent.com/moE8xk5h-_Xb3Q5OLpdroMv0NBKoxUJfR1P-8oF44mxHzYxtwfkMFZ1U5ed0cyFVHh7rLomqUcOnV9zxk-utoxf7aK3AWFLarmCF9EEt4-jwwn9WL8NuO0j-FzqHnsD07f5bVBH1mjVBRcO8sdO7dj0VoPf1HJwINhqRxQMVzNMrB0if8HcZTUq0rWD5nw\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p>','Active',1,'2024-08-29 21:51:47',NULL),(29,11,1,'A Bold But Classic Loft Living Room','a-bold-but-classic-loft-living-room','Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Proin eget tortor risus.','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><span style=\"background-color: transparent; color: rgb(0, 0, 0); font-family: Arial; font-size: 11pt; white-space: pre-wrap; text-align: left;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:331px;\"><img src=\"https://lh4.googleusercontent.com/akSv4Irn607him26pjoAV_XdoD9W5-C_zwtQvM8cSOtL7VvmJ1h2VLRlDTVfJDi47fIs0In5qE-dZfF63CQNbdQkGg_eABYP385RLXQNBAJmTm55wpHRl7oNwm2Q-nHMvawORR5cnM1aS2sk0-812ClfvL4Dhn3X8D4clNI1KchP7j2xNg4RdrC-9AweEw\" width=\"864\" height=\"331\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:576px;\"><img src=\"https://lh3.googleusercontent.com/5wQWKWYG2q55MO6Q8_NSIJCO0D4Qq2MI7L8kLKir_x09jYwven4NGrMuuub4EZurW--BkgIMSnfOUe3O5b5j86hSEHoO-RiET_MdgVQJrRyqQyuT_Iryq5kzdS-lFnEU7Vk87QCfBD9cXsKqfLm0j_SSKjXzhlHwnRJIjvrvR3XOKjWBhUWrMlRf6gM-2w\" width=\"864\" height=\"576\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br></p>','Active',1,'2024-09-02 17:35:25',NULL),(30,11,1,'This Soho Apartment Filled with Antiques Feels Incredibly Fresh','this-soho-apartment-filled-with-antiques-feels-incredibly-fresh','Quisque velit nisi, pretium ut lacinia in, elementum id enim. Cras ultricies ligula sed magna dictum porta.','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><span style=\"color: rgb(0, 0, 0); font-family: Arial; font-size: 14.6667px; text-align: left; white-space: pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat</span><span style=\"color: rgb(0, 0, 0); font-family: Arial; font-size: 14.6667px; white-space: pre-wrap; text-align: left;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat</span><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:573px;\"><img src=\"https://lh3.googleusercontent.com/BQzzUR7wvyPW24ZX0tO1trE_kqfyoDOEO3cVSam8k3AA9Tq5yKYVO-0LClmUPbirtmn2uRpZMNzGR0UFGzD60lcCvnhv8TkNgHJ47TDTEKZ49FcR4P96HEXphVl74W6Z3JCsjoZmBJvE7b-S3RZ3tqpA6FFnz1YV3QwVJP3T6lUlKD3UZikP5sfrrna8EA\" width=\"864\" height=\"573\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-69691edf-7fff-eef5-5671-8defb31032aa\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh5.googleusercontent.com/4Zkca7mBVo5VP_pZU00q4IydMeLe_3Q9XN9w07kZqVJG-J44kPiXR17DkATSMuTEiZiXxMwjFGPeaIVTGh7T41EL2vXxUynInnwxbkEiz-H8mWCXGnNpvIUYEvTntaWvOCkeDN9CMMEhnvQv8t8mymWIUNlnCThOxhmtKuqo6CNO8WgnG5RFB4CUC8bddQ\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:504px;\"><img src=\"https://lh6.googleusercontent.com/v5NU9ul3sR_fDx23Ng0mtxw_4rIGtiQwCu4sUFdCXMH_xBHEnOLeF1iB_TjWDR2JxrH9_kPgcz4FJwUmUrfDlsZsGoEx8XK5A-cY53JqTVaRQTUfrYG62opYGxF84hEk8J8KgX696C0EmFmRK1xhx5hb4w8JF7YCC2bndvPijya_19RMVXGfmv__QPea_g\" width=\"864\" height=\"504\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','Active',2,'2024-08-31 21:25:05',NULL),(31,12,1,'Cras ultricies ligula sed magna dictum porta.','cras-ultricies-ligula-sed-magna-dictum-porta','Donec sollicitudin molestie malesuada. Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui.','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><span style=\"color: rgb(0, 0, 0); font-family: Arial; font-size: 14.6667px; text-align: left; white-space: pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh6.googleusercontent.com/X9dK_1p-F-yX7heFy6Q5rv2ugaFTQjulIxG07tHejQkkMzjd-RFP_kRxtJksoCF62JxIcB_h-u7hA8HLmJnhnPEq-6Lc72VwL75EhdC64hvDSBqTKKfdtP2j6TiQw2BXxyW8WUptEplhNhOE4qS7_7jg1gs1yNVXVJ3Vc_aTpOVU3W45YE2V_z8_vFWo4w\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh6.googleusercontent.com/5-e9B2fkjbk0KVE5IZWSfjRSFuWSOSqz5dTY6OXr_RCVx1qzlGXf2WGCLzGX0rh6XbRQ7067v0-TlIKpUbab3zZdwQR7VUyZH-WdT-6sm4Lfkl9aHT3XUo4wDHXI_JX8lr-ZA4innFQMXOq7cxrJcVAbf2Xhm1Hs5UsxFQ33_6AKfrmzIjGn3vLDSLGaRQ\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh5.googleusercontent.com/OL1tWxEdBXEFIvixHY9ykWEgL2dEJpvOEGEaNdz_EZJ_hify_od4kl8FO4e7ZaskxWn4Lhh7ciSkh4ONy88uV44JESomMUmOKKRXQZ8HwPA9dHTvRVYM1VLYzfVoljtRmBpJctcocJSh8aYlND-Oq5y7V5uoT3od2VxzaCHs3db565xa_EoxFLU7KkrKQQ\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br><br></p>','Active',0,'2024-08-08 10:02:32',NULL),(32,12,1,'Nulla porttitor accumsan tincidunt. Donec rutrum congue leo eget malesuada.','nulla-porttitor-accumsan-tincidunt-donec-rutrum-congue-leo-eget-malesuada','Donec rutrum congue leo eget malesuada. Sed porttitor lectus nibh.','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><span style=\"color: rgb(0, 0, 0); font-family: Arial; font-size: 14.6667px; text-align: left; white-space: pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh5.googleusercontent.com/Wd0Bd7TvWhLrTLoNqDfBaY_gc7zjKUo1gIWNeLPtDt3T1Xrb8xxAbSnn4q3baDwPrrQzJYSPGBS6SCu9kJV2CHphPjw_pt8mPAYkMoaq2squnJdQneO0Nd0aHBme2Kr7qEBap3BFPDm-7k3gZWvn-KzAl2G9_eTrBN_Ybi__nM9GqGA9HG6Dk9piKYCG0Q\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-3f4b95e7-7fff-c1d6-20e1-429dc3d3ae8b\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh5.googleusercontent.com/WqQ7A7Lhf3tQRLi98FoO6bme8xNX1FBVonfgIaGC0e937Nrl1yVou6ZzsgRbC4FQq1GeP6D1odXT_qK1NXQaMyvJlaUFdakweaayCBk5FUy50XmTerLgiZ9qXJNgCJJSHRVlzKH_FtIiRS8XA8_5LVUn9VYX9aLQTRCSigVisz85H3ZgUnHV6MQZNIYD9w\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br><br></p>','Active',1,'2024-08-08 21:14:45',NULL),(33,12,1,'Donec sollicitudin molestie malesuada. Donec sollicitudin molestie malesuada.','donec-sollicitudin-molestie-malesuada-donec-sollicitudin-molestie-malesuada','Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a. Sed porttitor lectus nibh.','<p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><span id=\"docs-internal-guid-3483be1f-7fff-8838-76b9-293a9f9ffa42\"></span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh5.googleusercontent.com/grgUUQ1UAhb8BVpfLCZSltsYgf52z8IevB3F-zEZthG4qcPvWzSWUqsYpXSqTcvvUv-ZP5a9HC_0A12ucIDuUvbRfJRdsuTafi1i7UZpdVR5tP-7ZUqTOn-AxxQwGp16_ptbOQvWAP_ttbYmk7Dk7kqt-wVJnKejkMAwdHEZL0M8bG0WNwR2SknzfDqacQ\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-57886499-7fff-d04e-d280-aeb8d2b382d6\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh6.googleusercontent.com/Vo5mPU7z2R6LrSHjlOaBFerOJVuoGq5cKjgpL9CTYzR1KBSSIorgm99bTjrdKyaOIocH9PjehiniiM24H3djLTKJXUDZxNqF13WjSjxSL0mzZWQsTkwmhZ9x3muK2GAYm6vY0UHqb9i_4pvJC1rS0Vw-DqBwt3u6iw0drnGKDO0wDEjkkb6LoT55Ft9n2Q\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','Active',1,'2024-09-09 11:58:32',NULL);
/*!40000 ALTER TABLE `blogs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `brand_stats`
--

DROP TABLE IF EXISTS `brand_stats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `brand_stats` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `brand_id` bigint unsigned NOT NULL,
  `count_views` int NOT NULL DEFAULT '0',
  `count_sales` int NOT NULL DEFAULT '0',
  `date` date NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `brand_stats_brand_id_date_unique` (`brand_id`,`date`)
) ENGINE=InnoDB AUTO_INCREMENT=81 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `brand_stats`
--

LOCK TABLES `brand_stats` WRITE;
/*!40000 ALTER TABLE `brand_stats` DISABLE KEYS */;
INSERT INTO `brand_stats` VALUES (1,29,0,4,'2024-09-17'),(2,50,0,1,'2024-09-14'),(3,4,1,2,'2024-09-19'),(4,18,0,2,'2024-09-15'),(5,35,0,1,'2024-09-14'),(6,16,0,4,'2024-09-16'),(7,14,0,1,'2024-09-14'),(9,2,0,4,'2024-09-16'),(11,21,0,2,'2024-09-17'),(12,8,0,2,'2024-09-18'),(16,23,0,1,'2024-09-15'),(18,5,0,2,'2024-09-18'),(19,22,0,1,'2024-09-15'),(24,31,0,1,'2024-09-16'),(28,46,0,1,'2024-09-16'),(29,38,0,1,'2024-09-17'),(30,3,0,1,'2024-09-16'),(31,29,1,3,'2024-09-19'),(32,50,1,1,'2024-09-19'),(34,18,1,2,'2024-09-19'),(35,35,0,1,'2024-09-19'),(36,16,0,2,'2024-09-19'),(37,14,0,1,'2024-09-19'),(39,2,0,2,'2024-09-19'),(41,21,0,1,'2024-09-19'),(42,8,1,1,'2024-09-19'),(45,23,1,1,'2024-09-19'),(46,5,0,2,'2024-09-19'),(47,22,0,1,'2024-09-19'),(50,31,0,1,'2024-09-19'),(51,46,0,1,'2024-09-19'),(52,38,16,1,'2024-09-19'),(53,3,5,1,'2024-09-19');
/*!40000 ALTER TABLE `brand_stats` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `brands`
--

DROP TABLE IF EXISTS `brands`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `brands` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `vendor_id` bigint DEFAULT NULL,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `status` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Active',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `brands_name_unique` (`name`),
  KEY `brands_vendor_id_foreign_idx` (`vendor_id`),
  KEY `brands_status_index` (`status`),
  CONSTRAINT `brands_vendor_id_foreign` FOREIGN KEY (`vendor_id`) REFERENCES `vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=51 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `brands`
--

LOCK TABLES `brands` WRITE;
/*!40000 ALTER TABLE `brands` DISABLE KEYS */;
INSERT INTO `brands` VALUES (1,1,'Apple','These are the top brands of tablet computers – the best-selling tablet brands that make the best tablets but sometimes have premium prices.','Active','2024-09-19 06:34:28',NULL),(2,1,'Samsung','A giant South Korean conglomerate that is involved in a vast range of manufacturing.','Active','2024-09-19 06:34:28',NULL),(3,1,'Huawei','A giant Chinese company based in Shenzen that makes a wide range of telecommunications devices. It has 170,000 employees, a whopping 76,000 of which are in Research and Development.','Active','2024-09-19 06:34:28',NULL),(4,1,'Whirlpool','According to Yale Appliance statistics, Whirlpool was determined to be the most reliable household appliance brand.','Active','2024-09-19 06:34:28',NULL),(5,1,'LG Brand','If you’re mostly familiar with their electronics, you might not think of LG as an appliance manufacturer.','Active','2024-09-19 06:34:28',NULL),(6,1,'Frigidaire','According to the community survey website Ranker, consumers have Frigidaire ranked as the best appliance brand by a wide margin.','Active','2024-09-19 06:34:28',NULL),(7,1,'Reeses',NULL,'Active','2024-09-19 06:34:28',NULL),(8,1,'Realme',NULL,'Active','2024-09-19 06:34:28',NULL),(9,1,'HP Laptop',NULL,'Active','2024-09-19 06:34:28',NULL),(10,1,'Lever Ayush','Lever ayush is formulated with 5000 years of Ayurvedic wisdom to solve modern day beauty problems. We have carefully curated a range of beauty products made with recipes prescribed in the ancient Granthas to help solve your modern day beauty problems.','Active','2024-09-19 06:34:28',NULL),(11,1,'Lux','Since 1925, Lux has been serving women who take pride and pleasure in their beauty. We offer them not just quality beauty soaps at an affordable price but also an unapologetic expression of beauty and femininity, built around pleasure and modern glamour.','Active','2024-09-19 06:34:28',NULL),(12,1,'Veet','Veet, formerly called Neet and Immac, is a Canadian brand of chemical depilatory products manufactured by the British company Reckitt. Hair removal cream, gel, mousse, and wax products are produced under this brand, with differing variants being sold internationally.','Active','2024-09-19 06:34:28',NULL),(13,1,'Umidigi','Umidigi (formerly known as UMI) is a Chinese smartphone manufacturer based in Shenzhen City that produces budget Android smartphones, smartwatches, and other mobile electronics.','Active','2024-09-19 06:34:28',NULL),(14,1,'Aarong','Aarong is the top lifestyle retailer in Bangladesh operating under BRAC, a non-profit NGO. The word Aarong means ‘village fair’ and it was formed to uphold native culture, heritage, crafts and styles to empower rural artisans. Usually, they made a co-operative group, train up poor villagers especially women and collect their crafts to merchandise. Though the style and design are unique the price is a little bit higher.','Active','2024-09-19 06:34:28',NULL),(15,1,'Cats Eye','Cats Eye is one of the leading fashion houses of Bangladesh. It is popular for unique and trendsetting fashion. It is the pioneer in design for men’s clothing in Bangladesh.','Active','2024-09-19 06:34:28',NULL),(16,1,'Richman','It is popular for men’s wear. Lubnan Trade Consortium Ltd is the mother company of Richman. You will find various lifestyle products under Richman brand. “Committed to Quality” is our only success story, where we stand. Starting from Richman at Bashundhara City Shopping mall, fashion-forwarded formal & casual Menswear in addition makes us different in the market. Currently Lubnan Trade Consortium ltd. is making all kinds of ethnic wear, casual wear, formal wear, ladies wear & kids wear under brand name LUBNAN, RICHMAN & INFINITY.','Active','2024-09-19 06:34:28',NULL),(17,1,'NogorPolli','NogorPolli (নগর পল্লী) is Apparel & Clothing store. Mostly focus high quality and unique design T-Shirt, Polo T-Shirt, Design & Formal Shirt, Panjabi, Sweater for Young & Fashionable products. NogorPolli (নগর পল্লী) Offers the best quality wholesale t-shirts with Free Shipping.','Active','2024-09-19 06:34:28',NULL),(18,1,'Yellow','Yellow is a Bangladesh-based fashion brand and clothing retailer owned by Beximco. Yellow is the recent trends among young, so it is the trendiest fashion brand from Bangladesh, is mostly distinguished by its true international quality designs and fabrics. It is sister concern of Beximco.','Active','2024-09-19 06:34:28',NULL),(19,1,'Ecstasy','Ecstasy is a famous Bangladeshi fashion house. Its dress is very popular among the youths for its modern design. As a result, Ecstasy has quickly become one of the nation’s largest fashion retailers.','Active','2024-09-19 06:34:28',NULL),(20,1,'Freeland','Freeland came to the fashion scenario on 2003 in Bangladesh bringing a total new sense of design and style for the young generation. Freeland has the vision to set the benchmark of youth fashion that expresses freedom, joy and passion- with the innovative design ideas, use of colors and quality of elements. As a brand, Freeland already established itself as an emblem of youthful passion that resonated with the very spirit of Bangladeshi young generation that are making positive changes everywhere. The core brand messages Freeland conveys are Freedom, Change and Adventure. Official Fan Page for Freeland. Retail fashion chain stores across the country ‘Bangladesh’, promoting itself to be the most popular domestic brand.','Active','2024-09-19 06:34:28',NULL),(21,1,'DorjiBari','Dorjibari is a renowned fashion house in Bangladesh. It has become one of the leading manufacturers & exporters high fashion apparel & accessories for Men, Women & Kids. All our plants leveraging on cutting-edge technology that holds to the highest quality parameters while also being environment friendly. To ensure quality & service first. We created fusion among east and western culture and set a new trend among teenager. We have such a diverse product and varieties to customers across age groups, occasions and styles.','Active','2024-09-19 06:34:28',NULL),(22,1,'LeReve','Le Reve is fashion for everyone for every occasion. Synonymous with grace and effortless style, Le Reve offers value fashion for Men, Women, Kids. Le Reve presents a complete wardrobe of uniquely crafted Ethnic Wear, Casuals, Edgy Denims, & Accessories inspired from the most contemporary fashion trends across the globe in an exciting mix of silhouettes, colors & styles. Le Reve is part of REVE Tex Ltd, one of the members of REVE family. Le Reve is fashion for everyone for every occasion. Synonymous with grace and effortless style, Le Reve offers value fashion for Men, Women, & kids.','Active','2024-09-19 06:34:28',NULL),(23,1,'KayKraft','Kay Kraft is a leading brand in the fashion industry of Bangladesh. It is a retailer and wholesaler of Bangladeshi Fashion Wear for Women, Men, and Kids. Kay Kraft is a retailer and wholesaler of fashion wear, fashion accessories, home textiles, handicraft and hand loom based products of Bangladesh. The initiative was primarily targeted to the young demography of Dhaka city and within a short span of time became popular among middle class young professionals and students.','Active','2024-09-19 06:34:28',NULL),(24,1,'Anjan\'s','Anjan’s is a famous Bangladeshi fashion house. So, Anjan’s contribution is not only in the making fashion line rather has also arranged work arena among the poor village women. These prime causes Anjan’s clicked in the generals as well as fashionable customers. Besides male, female and babies garments Anjan’s making also home textiles and handicrafts that marketing run only on Anjan’s showrooms. In the line on Bangladesh fashion design Anjan’s wing reached over the mass peoples','Active','2024-09-19 06:34:28',NULL),(25,1,'Rang','Rang is another top leading fashion house in Bangladesh. It is an exclusive fashion brand to patronize local hand-loom and handicraft industry. The word of rang means enlightens something by color. Their main motto is to make visible our traditional heritage by colorful painting on clothing. Rang has a keen interest to do an experiment by fabrics and colors while developing fashion products for consumers.','Active','2024-09-19 06:34:28',NULL),(26,1,'Easy Fashion','These prime causes EASY’s clicked in the generals as well as fashionable customers. Besides young & fashionable products EASY’s making College & University Students based fashionable products that marketing run only on EASY’s showrooms. Most popular men fashion clothing in Easy fashion ltd Bangladesh. Popular fashion house in Bangladesh','Active','2024-09-19 06:34:28',NULL),(27,1,'SadaKalo','Sadakalo means black and white. Sadakalo brand established to deliver something special with the combination of two monochrome colors “Black and White”. Sadakalo has proved that aesthetic fashion wearer can be made with the help of only two colors. One is black and another is white. Their main motto is to produce fascinated fashion goods for consumers by matching black and white color. Sadakalo Is A Unique Clothing Brand','Active','2024-09-19 06:34:28',NULL),(28,1,'TexMart','Texmart is one of the top fashion retail brand in Bangladesh. Fashionable clothing & accessories for style men, women & kid.','Active','2024-09-19 06:34:28',NULL),(29,1,'Smartex','Fashion clothing for men, women and children. Comfortable, affordable, trendy designs make us the no.1 brand in Bangladesh. Like our page to stay updated on latest products and offers. Our mission is to spread fashion to all sectors of Banlgadesh at an affordable rate. Quality Clothes and impressive designs comparatively efficient production with the strength of Fast Retailing, we set our goal to become the number one fashion brand for clothing in Bangladesh. We have various products of various designs for various trends. Our main motto is to supply the best product to the people who needs the best in right price. Thus we regularly adds new products in our existing line to stay updated with the trends where we committed to give the best service to our customers through Quality.','Active','2024-09-19 06:34:28',NULL),(30,1,'Trendz','TRENDZ started its voyage, keeping in mind the changing trends of the fashion industry. It is the store which puts the customers’ needs before its own and keeps pace with the buzzing fashion planet. It began its journey with the first outlet in Bashundhara City on 14th October, 2004. Its mother company is Babylon Group. Now TRENDZ have 8 outlets in Bangladesh. Wanna stand out? Well now you know where to go! With the most happening trends of today’s fashion world, edged up by our very own traditional style, Trendz collection is an absolute stunner!','Active','2024-09-19 06:34:28',NULL),(31,1,'Sailor','Sailor is a lifestyle brand based in Bangladesh and a sister concern of Epyllion Group. Sailor will make the fashion enthusiastic more colourful for men & women. Fashionable men & women like sailor clothing.','Active','2024-09-19 06:34:28',NULL),(32,1,'Xiaomi','The company largely sells its phones via flash sales in India. Xiaomi\'s latest mobile launch is the Redmi Note 11 Pro 5G.','Active','2024-09-19 06:34:28',NULL),(33,1,'OPPO','OPPO, a mobile phone brand enjoyed by young people around the world, specializes in designing innovative mobile photography technology.','Active','2024-09-19 06:34:28',NULL),(34,1,'Vivo','Headquartered in Dongguan, Vivo is a Chinese electronics brand founded by Shen Wei in 2009. Owned by BBK Electronics, Vivo designs and sells smartphones, software and phone accessories.','Active','2024-09-19 06:34:28',NULL),(35,1,'Infinix','Infinix Mobile is a Hong Kong-based smartphone company founded in 2013 by Transsion Holdings.','Active','2024-09-19 06:34:28',NULL),(36,1,'Motorola','Motorola Mobility LLC, marketed as Motorola, is an American consumer electronics and telecommunications company, and a subsidiary of Chinese multinational technology company Lenovo.','Active','2024-09-19 06:34:28',NULL),(37,1,'Tecno','TECNO is a premium smartphone and AIoT devices brand from TRANSSION Holdings.','Active','2024-09-19 06:34:28',NULL),(38,1,'Walton',NULL,'Active','2024-09-19 06:34:28',NULL),(39,1,'Nokia','Nokia Corporation is a Finnish multinational telecommunications, information technology, and consumer electronics company, founded in 1865. Nokia\'s main headquarters are in Espoo, Finland, in the greater Helsinki metropolitan area, but the company\'s actual roots are in the Tampere region of Pirkanmaa','Active','2024-09-19 06:34:28',NULL),(40,NULL,'Nike','It is a sports brand','Active','2024-09-19 06:34:28',NULL),(41,NULL,'Addidas','It is a sports brand','Active','2024-09-19 06:34:28',NULL),(42,1,'Asus','ASUSTek Computer Inc. is a Taiwanese multinational computer and phone hardware and electronics company headquartered in Beitou District, Taipei, Taiwan.','Active','2024-09-19 06:34:28',NULL),(43,1,'Dell','Dell is an American company that develops, sells, repairs, and supports computers and related products and services, and is owned by its parent company of Dell Technologies.','Active','2024-09-19 06:34:28',NULL),(44,1,'Lenovo','Lenovo Group Limited, often shortened to Lenovo  is a Chinese multinational technology company specializing in designing, manufacturing, and marketing consumer electronics, personal computers, software, business solutions, and related services.','Active','2024-09-19 06:34:28',NULL),(45,1,'Acer','Acer is a Taiwanese multinational company that is in the hardware and electronics business.','Active','2024-09-19 06:34:28',NULL),(46,1,'Canon','Canon Inc is a Japanese multinational corporation headquartered in Ōta, Tokyo, Japan, specializing in optical, imaging, and industrial products.','Active','2024-09-19 06:34:28',NULL),(47,1,'Fujifilm','FUJIFILM Corporation, trading as Fujifilm, or simply Fuji, is a Japanese multinational conglomerate headquartered in Tokyo, Japan, operating in the realms of photography, optics, office and medical electronics, biotechnology, and chemicals.','Active','2024-09-19 06:34:28',NULL),(48,1,'Sony','Sony Group Corporation, commonly known as Sony and stylized as SONY, is a Japanese multinational conglomerate corporation headquartered in Kōnan, Minato, Tokyo, Japan','Active','2024-09-19 06:34:28',NULL),(49,1,'SJCAM','SJCAM (HK) Limited and its sister company, Shenzhen HongFeng Century Technology Limited is a leading sports camera manufacturer based in Shenzhen, China and the sole owner of the SJCAMHD.com and SJCAM Trademarks.','Active','2024-09-19 06:34:28',NULL),(50,NULL,'Nima','Nima is a world class Japanese brand','Active','2024-09-19 06:34:28',NULL);
/*!40000 ALTER TABLE `brands` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `canned_links`
--

DROP TABLE IF EXISTS `canned_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `canned_links` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(190) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int unsigned NOT NULL,
  `created_type` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `canned_links_title_index` (`title`),
  KEY `canned_links_link_index` (`link`),
  KEY `canned_links_created_by_foreign_idx` (`created_by`),
  KEY `canned_links_created_type_index` (`created_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `canned_links`
--

LOCK TABLES `canned_links` WRITE;
/*!40000 ALTER TABLE `canned_links` DISABLE KEYS */;
/*!40000 ALTER TABLE `canned_links` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `canned_messages`
--

DROP TABLE IF EXISTS `canned_messages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `canned_messages` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(190) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `message` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int unsigned NOT NULL,
  `created_type` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `canned_messages_title_index` (`title`),
  KEY `canned_messages_created_by_foreign_idx` (`created_by`),
  KEY `canned_messages_created_type_index` (`created_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `canned_messages`
--

LOCK TABLES `canned_messages` WRITE;
/*!40000 ALTER TABLE `canned_messages` DISABLE KEYS */;
/*!40000 ALTER TABLE `canned_messages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `categories`
--

DROP TABLE IF EXISTS `categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `categories` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent_id` int DEFAULT NULL,
  `order_by` int unsigned NOT NULL,
  `is_searchable` tinyint(1) NOT NULL DEFAULT '0',
  `is_featured` tinyint(1) NOT NULL DEFAULT '0',
  `product_counts` int unsigned DEFAULT '0',
  `sell_commissions` decimal(16,8) DEFAULT NULL,
  `status` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Active',
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `is_global` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `categories_name_index` (`name`),
  KEY `categories_slug_index` (`slug`),
  KEY `categories_parent_id_foreign_idx` (`parent_id`),
  KEY `categories_order_by_index` (`order_by`),
  KEY `categories_is_searchable_index` (`is_searchable`),
  KEY `categories_is_featured_index` (`is_featured`),
  KEY `categories_sell_commissions_index` (`sell_commissions`),
  KEY `categories_status_index` (`status`),
  CONSTRAINT `categories_parent_id_foreign` FOREIGN KEY (`parent_id`) REFERENCES `categories` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=534 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categories`
--

LOCK TABLES `categories` WRITE;
/*!40000 ALTER TABLE `categories` DISABLE KEYS */;
INSERT INTO `categories` VALUES (1,'Uncategorized','uncategorized',NULL,1,1,0,0,NULL,'Active','2024-09-19 06:34:28','2024-09-21 02:47:50',1),(38,'Electronic Devices','electronic-devices',NULL,6,1,0,4,NULL,'Active','2024-09-19 06:34:28','2024-09-21 02:47:50',1),(39,'Electronic Accessories','electronic-accessories',NULL,7,1,0,8,NULL,'Active','2024-09-19 06:34:28','2024-09-19 06:34:29',1),(41,'Health & Beauty','health--beauty',NULL,9,1,0,5,NULL,'Active','2024-09-19 06:34:28','2024-09-19 06:34:29',1),(42,'Babies & Toys','babies--toys',NULL,10,1,0,8,NULL,'Active','2024-09-19 06:34:28','2024-09-19 06:34:29',1),(46,'Fashion','all-fashion',NULL,14,1,0,2,NULL,'Active','2024-09-19 06:34:28','2024-09-19 06:34:29',1),(47,'Watches & Accessories','watches--accessories',NULL,15,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(48,'Sports & Outdoor','sports--outdoor',NULL,16,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(49,'Automotive & Motorbike','automotive--motorbike',NULL,17,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(50,'Smartphones','smartphones',38,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(51,'Feature Phone','feature-phone',38,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(53,'Laptops','laptops',38,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(56,'Cameras','cameras',38,7,1,0,1,NULL,'Active','2024-09-19 06:34:28','2024-09-19 06:34:29',1),(57,'Security Cameras','security-cameras',38,8,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(58,'Mobile Accessories','mobile-accessories',39,1,1,0,1,NULL,'Active','2024-09-19 06:34:28','2024-09-19 06:34:29',1),(59,'Audio','audio',39,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(60,'Wearable','wearable',39,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(61,'Console Accessories','console-accessories',39,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(62,'Camera Accessories','camera-accessories',39,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(63,'Computer Accessories','computer-accessories',39,6,1,0,1,NULL,'Active','2024-09-19 06:34:28',NULL,1),(64,'Storage','storage',39,7,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(65,'Printer','printer',39,8,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(66,'Computer Components','computer-components',39,9,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(67,'Network Components','network-components',39,10,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(68,'Software','software',39,11,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(79,'Bath & Body','bath--body',41,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(80,'Beauty Tools','beauty-tools',41,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(81,'Fragrances','fragrances',41,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(82,'Hair Care','hair-care',41,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(84,'Men\'s Care','mens-care',41,6,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(85,'Personal Care','personal-care',41,7,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(86,'Skin Care','skin-care',41,8,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(87,'Food Supplements','food-supplements',41,9,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(88,'Medical Supplies','medical-supplies',41,10,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(91,'Feeding','feeding',42,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(92,'Diapering & Potty','diapering--potty',42,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(93,'Baby Gear','baby-gear',42,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(94,'Baby Personal Care','baby-personal-care',42,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(95,'Clothing & Accessories','clothing--accessories',42,6,1,0,3,NULL,'Active','2024-09-19 06:34:28','2024-09-19 06:34:29',1),(96,'Nursery','nursery',42,7,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(97,'Toys & Games','toys--games',42,8,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(99,'Remote Control & Vehicles','remote-control--vehicles',42,10,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(100,'Sport & Outdoor Play','sport--outdoor-play',42,11,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(101,'Traditional Games','traditional-games',42,12,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(147,'Men\'s Watch','mens-watch',47,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(148,'Women\'s Watch','womens-watch',47,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(149,'Women\'s Jewelleries','womens-jewelleries',47,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(150,'Men\'s Jewelleries','mens-jewelleries',47,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(154,'Sunglasses','sunglasses',47,8,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(155,'Eyeglasses','eyeglasses',47,9,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(160,'Cycling','cycling',48,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(161,'Boxing, Martial Arts & MMA','boxing-martial-arts--mma',48,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(162,'Men Shoes & Clothing','men-shoes--clothing',48,6,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(163,'Outdoor Recreation','outdoor-recreation',48,7,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(164,'Exercise & Fitness','exercise--fitness',48,8,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(165,'Racket Sports','racket-sports',48,9,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(166,'Team Sports','team-sports',48,10,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(167,'Camping & Hiking','camping--hiking',48,11,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(169,'Automobile','automobile',49,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(170,'Auto Oils & Fluids','auto-oils--fluids',49,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(171,'Interior Accessories','interior-accessories',49,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(172,'Exterior Accessories','exterior-accessories',49,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(173,'Exterior Vehicle Care','exterior-vehicle-care',49,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(174,'Interior Vehicle Care','interior-vehicle-care',49,6,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(176,'Car Audio','car-audio',49,8,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(177,'Motorcycle','motorcycle',49,9,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(179,'Motorcycle Riding Gear','motorcycle-riding-gear',49,11,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(180,'Realme Phones','realme-phones',50,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(181,'Samsung Phones','samsung-phones',50,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(182,'Xiaomi Phones','xiaomi-phones',50,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(183,'OPPO Phones','oppo-phones',50,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(184,'Vivo Phones','vivo-phones',50,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(185,'Infinix Phones','infinix-phones',50,6,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(186,'Motorola Phones','motorola-phones',50,7,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(187,'Tecno Phones','tecno-phones',50,8,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(190,'Nokia Feature Phone','nokia-feature-phone',51,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(191,'Samsung Feature Phone','samsung-feature-phone',51,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(197,'HP Laptops','hp-laptops',53,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(198,'Asus Laptops','asus-laptops',53,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(199,'Dell Laptops','dell-laptops',53,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(200,'Lenovo Laptops','lenovo-laptops',53,6,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(202,'Acer Laptops','acer-laptops',53,8,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(212,'DSLR','dslr',56,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(213,'Mirrorless','mirrorless',56,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(214,'Point & Shoot','point--shoot',56,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(216,'Car Cameras','car-cameras',56,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(217,'Action/Video Cameras','actionvideo-cameras',56,6,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(218,'IP Security Cameras','ip-security-cameras',57,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(220,'CCTV Security Cameras','cctv-security-cameras',57,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(222,'Phone Cases','phone-cases',58,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(223,'Power Banks','power-banks',58,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(224,'Cables & Converters','cables--converters',58,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(225,'Wall Chargers','wall-chargers',58,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(226,'Wireless Chargers','wireless-chargers',58,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(227,'Headphones & Headset','headphones--headset',59,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(228,'Home Entertainment','home-entertainment',59,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(229,'Bluetooth Speakers','bluetooth-speakers',59,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(230,'Live sound & Stage Equipment','live-sound--stage-equipment',59,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(231,'Smartwatches','smartwatches',60,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(232,'Virtual Reality','virtual-reality',60,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(233,'Playstation Controllers','playstation--controllers',61,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(234,'Other Gaming Accessories','other-gaming-accessories',61,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(235,'Memory Cards','memory-cards',62,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(236,'DSLR Lens','dslr-lens',62,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(237,'Mirrorless Lens','mirrorless-lens',62,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(238,'Special Camera Lens','special-camera-lens',62,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(239,'Tripods & Monopods','tripods--monopods',62,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(240,'Camera Cases, Covers and Bags','camera-cases-covers-and-bags',62,6,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(241,'Lighting & Studio Equipment','lighting--studio-equipment',62,7,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(242,'Dry Box','dry-box',62,8,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(243,'Batteries','batteries',62,9,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(244,'Monitors','monitors',63,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(245,'Mice','mice',63,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(246,'PC Audio','pc-audio',63,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(247,'Keyboards','keyboards',63,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(248,'Mice & Keyboard Combos','mice--keyboard-combos',63,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(249,'Power Cord & Adaptors','power-cord--adaptors',63,6,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(250,'External Hard Drives','external-hard-drives',64,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(251,'Internal Hard Drives','internal-hard-drives',64,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(252,'Flash Drives','flash-drives',64,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(253,'OTG Drives','otg-drives',64,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(254,'Printers','printers',65,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(255,'Ink & Toners','ink--toners',65,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(256,'Printer Stands','printer-stands',65,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(257,'Fax Machines','fax-machines',65,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(258,'Graphic Cards','graphic-cards',66,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(259,'Desktop Casings','desktop-casings',66,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(260,'Motherboards','motherboards',66,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(261,'Fans & Heatsinks','fans--heatsinks',66,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(262,'RAM','ram',66,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(263,'Processors','processors',66,6,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(264,'Access Points','access-points',67,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(265,'Modems','modems',67,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(266,'Network Interface Cards','network-interface-cards',67,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(267,'Network Switches','network-switches',67,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(268,'Routers','routers',67,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(269,'Wireless USB Adapters','wireless-usb-adapters',67,6,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(270,'Educational Media','educational-media',68,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(271,'Operating System','operating-system',68,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(272,'PC Games','pc-games',68,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(273,'Security Software','security-software',68,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(274,'Imported Cars','imported-cars',169,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(275,'Sedans','sedans',169,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(276,'SUVs','suvs',169,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(277,'Trucks','trucks',169,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(279,'Transmission Fluids','transmission-fluids',170,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(280,'Seat Covers & Accessories','seat-covers--accessories',171,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(282,'Air Fresheners','air-fresheners',171,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(283,'Covers','covers',172,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(284,'Car Polishes & Waxes','car-polishes--waxes',173,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(285,'Vacuums','vacuums',174,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(286,'Speakers','speakers',176,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(288,'Standard Bikes','standard-bikes',177,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(292,'Helmet','helmet',179,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(293,'Gloves','gloves',179,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(294,'Eyewear','eyewear',179,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(295,'Bicycle','bicycle',160,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(296,'Bicycle Accessories','bicycle-accessories',160,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(297,'Boxing Gloves','boxing-gloves',161,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(298,'Boxing Protective gear','boxing-protective-gear',161,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(300,'Punching Bags & Accessories','punching-bags--accessories',161,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(301,'Clothing','clothing--',162,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(302,'Shoes','shoes',162,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(303,'Accessories','accessories',162,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(304,'Bags','bags',162,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(305,'Golf','golf',163,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(306,'Fishing','fishing',163,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(307,'Skateboards','skateboards',163,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(308,'Water Sports','water-sports',163,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(309,'Exercise Bikes','exercise-bikes',164,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(310,'Elliptical Trainers','elliptical-trainers',164,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(311,'Strength Training Equipment','strength-training-equipment',164,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(312,'Badminton','badminton',165,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(313,'Squash','squash',165,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(314,'Football','football',166,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(315,'Cricket','cricket',166,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(316,'Basketball','basketball',166,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(317,'Volleyball','volleyball',166,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(318,'Tents','tents',167,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(319,'Sleeping Bags','sleeping-bags',167,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(320,'Cooking Essentials','cooking-essentials',167,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(321,'Hiking Backpacks','hiking-backpacks',167,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(322,'Body & Massage Oils','body--massage-oils',79,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(323,'Body Moisturizers','body-moisturizers',79,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(324,'Body Scrubs','body-scrubs',79,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(325,'Body Soaps & Shower Gels','body-soaps--shower-gels',79,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(326,'Foot Care','foot-care',79,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(327,'Hair Removal','hair-removal',79,6,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(328,'Hand Care','hand-care',79,7,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(329,'Sun Care for Body','sun-care-for-body',79,8,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(330,'Bath & Body Accessories','bath--body-accessories',79,9,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(331,'Curling Irons & Wands','curling-irons--wands',80,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(332,'Flat Irons','flat-irons',80,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(333,'Multi-stylers','multi-stylers',80,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(334,'Hair Dryers','hair-dryers',80,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(335,'Face Skin Care Tools','face-skin-care-tools',80,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(336,'Foot Relief Tools','foot-relief-tools',80,6,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(337,'Hair Removal Accessories','hair-removal-accessories',80,7,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(338,'Slimming & Electric Massagers','slimming--electric-massagers',80,8,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(339,'Women Fragrances','women-fragrances',81,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(340,'Men Fragrances','men-fragrances',81,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(341,'Unisex Fragrances','unisex-fragrances',81,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(342,'Shampoo','shampoo',82,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(343,'Hair Treatments','hair-treatments',82,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(344,'Hair Care Accessories','hair-care-accessories',82,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(345,'Hair Brushes & Combs','hair-brushes--combs',82,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(346,'Hair Coloring','hair-coloring',82,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(347,'Hair Conditioner','hair-conditioner',82,6,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(348,'Wig & Hair Extensions & Pads','wig--hair-extensions--pads',82,7,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(357,'Deodorants','deodorants',84,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(360,'Hair Care','hair--care',84,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(361,'Shaving & Grooming','shaving--grooming',84,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(362,'Skin Care','skin--care',84,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(365,'Oral Care','oral-care',85,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(366,'Personal Safety & Security','personal-safety--security',85,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(367,'Moisturizers & Creams','moisturizers--creams',86,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(368,'Serum & Essence','serum--essence',86,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(369,'Face Mask & Packs','face-mask--packs',86,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(370,'Face Scrubs & Exfoliators','face-scrubs--exfoliators',86,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(371,'Facial Cleansers','facial-cleansers',86,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(372,'Lip Balm & Treatments','lip-balm--treatments',86,6,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(373,'Toner & Mists','toner--mists',86,7,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(374,'Beauty Supplements','beauty-supplements',87,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(375,'Multivitamins','multivitamins',87,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(376,'Sports Nutrition','sports-nutrition',87,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(377,'Well Being','well-being',87,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(378,'Sexual Health Vitamins','sexual-health-vitamins',87,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(379,'First Aid Supplies','first-aid-supplies',88,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(380,'Health Accessories','health-accessories',88,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(381,'Health Monitors & Tests','health-monitors--tests',88,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(382,'Injury Support & Braces','injury-support--braces',88,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(383,'Medical Tests','medical-tests',88,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(384,'Nebulizers & Aspirators','nebulizers--aspirators',88,6,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(385,'Ointments & Creams','ointments--creams',88,7,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(386,'Scales & Body Fat Analyzers','scales--body-fat-analyzers',88,8,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(387,'Wheelchairs','wheelchairs',88,9,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(388,'Baby & Toddler Foods','baby--toddler-foods',91,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(389,'Milk Formula','milk-formula',91,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(390,'Cloth Diapers & Accessories','cloth-diapers--accessories',92,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(391,'Diaper Bags','diaper-bags',92,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(392,'Wipes & Holders','wipes--holders',92,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(393,'Disposable Diapers','disposable-diapers',92,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(394,'Baby Walkers','baby-walkers',93,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(395,'Backpacks & Carriers','backpacks--carriers',93,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(396,'Strollers','strollers',93,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(397,'Swings, Jumpers & Bouncers','swings-jumpers--bouncers',93,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(398,'Baby Bath','baby-bath',94,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(399,'Bathing Tubs & Seats','bathing-tubs--seats',94,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(400,'Shampoo & Conditioners','shampoo--conditioners',94,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(401,'Soaps, Cleansers & Bodywash','soaps-cleansers--bodywash',94,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(402,'Girls Clothing','girls-clothing',95,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(403,'Girls Shoes','girls-shoes',95,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(404,'Boys Clothing','boys-clothing',95,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(405,'Maternity Wear','maternity-wear',95,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(406,'New Born Unisex (Zero - Six months)','new-born-unisex-zero---six-months',95,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(407,'New Born Body Suits','new-born-body-suits',95,6,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(408,'New Born Sets & Packs','new-born-sets--packs',95,7,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(409,'Bathroom Safety','bathroom-safety',96,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(410,'Mattresses & Bedding','mattresses--bedding',96,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(411,'Sanitizers','sanitizers',96,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(412,'Action Figures & Collectibles','action-figures--collectibles',97,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(413,'Arts & Crafts for Kids','arts--crafts-for-kids',97,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(414,'Ball Prit & Accessories','ball-prit--accessories',97,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(415,'Block & Building Toys','block--building-toys',97,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(416,'Doll & Accessories','doll--accessories',97,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(417,'Dress Up & Pretend Play','dress-up--pretend-play',97,6,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(418,'Electronic toys','electronic-toys',97,7,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(420,'Party Supplies','party-supplies',97,9,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(421,'Puzzle','puzzle',97,10,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(422,'Slime & Squishy Toys','slime--squishy-toys',97,11,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(423,'Stuffed Toys','stuffed-toys',97,12,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(432,'Die-Cast Vehicles','die-cast-vehicles',99,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(433,'RC Vehicles & Batteries','rc-vehicles--batteries',99,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(434,'Play Trains & Railway Sets','play-trains--railway-sets',99,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(435,'Play Vehicles','play-vehicles',99,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(436,'Drones & Accessories','drones--accessories',99,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(438,'Kids Bikes & Accessories','kids-bikes--accessories',100,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(440,'Outdoor Toys','outdoor-toys',100,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(442,'Boxing','boxing',100,6,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(445,'Kids Tricycles','kids-tricycles',100,9,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(446,'Toys Sports','toys-sports',100,10,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(447,'Board Games','board-games',101,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(448,'Card Games','card-games',101,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(449,'Game Room Games','game-room-games',101,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(450,'Casual','casual',147,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(451,'Business','business',147,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(452,'Fashion','fashion',147,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(453,'Sport','sport',147,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(454,'Casual','casual-',148,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(455,'Business','business-',148,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(456,'Fashion-','fashion-',148,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(457,'Rings','rings',149,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(458,'Necklaces','necklaces',149,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(459,'Pendants','pendants',149,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(460,'Earrings','earrings',149,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(461,'Jewellery Sets','jewellery-sets',149,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(462,'Bracelets','bracelets',149,6,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(463,'Rings','rings-',150,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(464,'Necklaces & Pendants','necklaces--pendants',150,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(465,'Bracelets','bracelets-',150,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(466,'Men Sunglasses','men-sunglasses',154,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(467,'Women Sunglasses','women-sunglasses',154,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(468,'Kids Sunglasses','kids-sunglasses',154,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(469,'Men Eyeglasses','men-eyeglasses',155,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(470,'Women Eyeglasses','women-eyeglasses',155,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(503,'iphone','iphone',50,10,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(504,'Home Appliances','home-appliances',NULL,18,1,0,7,NULL,'Active','2024-09-19 06:34:28','2024-09-19 06:34:29',1),(507,'Small Kitchen Appliances','small-kitchen-appliances',504,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(508,'Food Preparation','food-preparation',507,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(509,'Stuffed Toys','stuffed-toy',42,13,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(510,'Man Fashion','man-fashion',46,1,1,0,3,NULL,'Active','2024-09-19 06:34:28','2024-09-19 06:34:29',1),(511,'Woman Fashion','woman-fashion',46,2,1,0,22,NULL,'Active','2024-09-19 06:34:28','2024-09-19 06:34:29',1),(512,'Kid Fashion','kid-fashion',46,3,1,0,2,NULL,'Active','2024-09-19 06:34:28','2024-09-19 06:34:29',1),(513,'Jackets & Coats','jackets---coats',511,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(514,'Pant','woman-pant',511,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(515,'Bags','woman-bags',511,3,1,0,1,NULL,'Active','2024-09-19 06:34:28','2024-09-19 06:34:29',1),(516,'Shoes','woman-shoes',511,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(517,'Accessories','woman-accessories',511,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(518,'Clothing','woman-clothing',511,6,1,0,1,NULL,'Active','2024-09-19 06:34:28',NULL,1),(519,'Jackets & Coats','jackets--coats',510,1,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(520,'Pant','pant',510,2,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(521,'Bags','man-bags',510,3,1,0,2,NULL,'Active','2024-09-19 06:34:28','2024-09-19 06:34:29',1),(522,'Shoes','shoes-',510,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(523,'Accessories','accessories-',510,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(524,'Clothing','clothing',510,6,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(525,'Digital Product','digital-product',NULL,19,1,0,1,NULL,'Active','2024-09-19 06:34:28','2024-09-19 06:34:29',1),(526,'HTML','html',525,1,1,0,1,NULL,'Active','2024-09-19 06:34:28','2024-09-19 06:34:29',1),(527,'WordPress','wordpress',525,2,1,0,1,NULL,'Active','2024-09-19 06:34:28','2024-09-19 06:34:29',1),(528,'Magento','magento',525,3,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(529,'Drupal','drupal',525,4,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(530,'Android','android',525,5,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(531,'Apple','apple',525,6,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(532,'Windows','windows',525,7,1,0,0,NULL,'Active','2024-09-19 06:34:28',NULL,1),(533,'Envato','envato',525,8,1,0,3,NULL,'Active','2024-09-19 06:34:28','2024-09-19 06:34:29',1);
/*!40000 ALTER TABLE `categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `category_attributes`
--

DROP TABLE IF EXISTS `category_attributes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `category_attributes` (
  `category_id` int NOT NULL,
  `attribute_id` bigint NOT NULL,
  KEY `category_attributes_category_id_foreign_idx` (`category_id`),
  KEY `category_attributes_attribute_id_foreign_idx` (`attribute_id`),
  CONSTRAINT `category_attributes_attribute_id_foreign` FOREIGN KEY (`attribute_id`) REFERENCES `attributes` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `category_attributes_category_id_foreign` FOREIGN KEY (`category_id`) REFERENCES `categories` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `category_attributes`
--

LOCK TABLES `category_attributes` WRITE;
/*!40000 ALTER TABLE `category_attributes` DISABLE KEYS */;
/*!40000 ALTER TABLE `category_attributes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `category_stats`
--

DROP TABLE IF EXISTS `category_stats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `category_stats` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `category_id` bigint unsigned NOT NULL,
  `count_views` int NOT NULL DEFAULT '0',
  `count_sales` int NOT NULL DEFAULT '0',
  `date` date NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `category_stats_category_id_date_unique` (`category_id`,`date`)
) ENGINE=InnoDB AUTO_INCREMENT=60 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `category_stats`
--

LOCK TABLES `category_stats` WRITE;
/*!40000 ALTER TABLE `category_stats` DISABLE KEYS */;
INSERT INTO `category_stats` VALUES (1,504,0,7,'2024-09-17'),(4,518,0,1,'2024-09-17'),(5,38,0,3,'2024-09-18'),(6,511,0,5,'2024-09-18'),(7,510,0,1,'2024-09-14'),(9,39,0,6,'2024-09-15'),(11,512,0,2,'2024-09-18'),(13,526,0,2,'2024-09-14'),(15,95,0,1,'2024-09-18'),(17,521,0,1,'2024-09-15'),(30,56,0,1,'2024-09-15'),(31,58,0,1,'2024-09-18'),(32,63,0,1,'2024-09-16'),(33,58,16,0,'2024-09-19'),(35,504,3,0,'2024-09-19'),(38,518,1,0,'2024-09-19'),(39,38,1,0,'2024-09-19'),(40,42,1,0,'2024-09-19'),(41,63,5,0,'2024-09-19');
/*!40000 ALTER TABLE `category_stats` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `commissions`
--

DROP TABLE IF EXISTS `commissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `commissions` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `is_active` tinyint(1) NOT NULL DEFAULT '0',
  `is_category_based` tinyint(1) NOT NULL DEFAULT '0',
  `amount` double(16,8) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `commissions`
--

LOCK TABLES `commissions` WRITE;
/*!40000 ALTER TABLE `commissions` DISABLE KEYS */;
INSERT INTO `commissions` VALUES (1,1,1,3.00000000,'2024-09-19 06:34:35',NULL);
/*!40000 ALTER TABLE `commissions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `component_properties`
--

DROP TABLE IF EXISTS `component_properties`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `component_properties` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `component_id` bigint unsigned NOT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  UNIQUE KEY `component_properties_name_component_id_unique` (`name`,`component_id`),
  KEY `component_properties_component_id_foreign_idx` (`component_id`),
  CONSTRAINT `component_properties_component_id_foreign` FOREIGN KEY (`component_id`) REFERENCES `components` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3512 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component_properties`
--

LOCK TABLES `component_properties` WRITE;
/*!40000 ALTER TABLE `component_properties` DISABLE KEYS */;
INSERT INTO `component_properties` VALUES (4,2,'title','string','{\"en\":\"Top Categories of the Month\",\"bn\":\"মাসের শীর্ষ বিভাগ\",\"fr\":\"Top catégories du mois\",\"zh\":\"本月热门分类\",\"ar\":\"أفضل الفئات للشهر\",\"be\":\"Лепшыя катэгорыі месяца\",\"bg\":\"Най-добрите категории на месеца\",\"ca\":\"Principals categories del mes\",\"et\":\"Kuu peamised kategooriad\",\"nl\":\"Topcategorieën van de maand\"}'),(5,2,'category_type','string','selectedCategories'),(6,2,'categories','array','[\"38\",\"39\",\"41\",\"42\",\"46\",\"47\",\"49\"]'),(7,3,'title','string','{\"en\":\"BEST DEALS OF THE WEEK\",\"bn\":\"সপ্তাহের সেরা অফার\",\"fr\":\"MEILLEURES OFFRES DE LA SEMAINE\",\"zh\":\"本周最佳优惠\",\"ar\":\"أفضل العروض في الأسبوع\",\"be\":\"ЛЕПШЫЯ ПРАПАНОВЫ ТЫДНЯ\",\"bg\":\"НАЙ-ДОБРИТЕ ДЕАЛИ НА СЕДМИЦАТА\",\"ca\":\"MILLORS OFERTES DE LA SETMANA\",\"et\":\"NÄDALA PARIMAD PAKKUMISED\",\"nl\":\"BESTE DEALS VAN DE WEEK\"}'),(8,3,'see_more','string','0'),(9,3,'more_link','string',''),(10,3,'sidebar','string','slider'),(11,3,'sidebar_position','string','left'),(12,3,'showcase_type','string','newArrivals'),(13,3,'total_products','string','8'),(14,3,'slide','array','{\"en\":\"{\\\"u_subtitle\\\":\\\"LIVING & LIFESTYLE\\\",\\\"l_subtitle\\\":\\\"DECORATE\\\",\\\"title\\\":\\\"YOUR HOME\\\",\\\"image\\\":\\\"20221123\\/b05bc24c3a122d465099a05a24d2fa3b.webp\\\",\\\"button\\\":\\\"SHOW NOW\\\",\\\"link\\\":\\\"http:\\\\\\/\\\\\\/google.com\\\"}\",\"bn\":\"{\\\"u_subtitle\\\":\\\"\\u099c\\u09c0\\u09ac\\u09a8\\u09af\\u09be\\u09aa\\u09a8 \\u0993 \\u099c\\u09c0\\u09ac\\u09a8\\u09a7\\u09be\\u09b0\\u09be\\\",\\\"l_subtitle\\\":\\\"\\u09b8\\u09be\\u099c\\u09be\\u09a8\\\",\\\"title\\\":\\\"\\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u09ac\\u09be\\u09a1\\u09bc\\u09bf\\\",\\\"image\\\":\\\"20221123\\/b05bc24c3a122d465099a05a24d2fa3b.webp\\\",\\\"button\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"link\\\":\\\"http:\\\\\\/\\\\\\/google.com\\\"}\",\"fr\":\"{\\\"u_subtitle\\\":\\\"VIE ET STYLE DE VIE\\\",\\\"l_subtitle\\\":\\\"D\\u00c9CORER\\\",\\\"title\\\":\\\"VOTRE MAISON\\\",\\\"image\\\":\\\"20221123\\/b05bc24c3a122d465099a05a24d2fa3b.webp\\\",\\\"button\\\":\\\"ACHETEZ MAINTENANT\\\",\\\"link\\\":\\\"http:\\\\\\/\\\\\\/google.com\\\"}\",\"zh\":\"{\\\"u_subtitle\\\":\\\"\\u751f\\u6d3b\\u4e0e\\u751f\\u6d3b\\u65b9\\u5f0f\\\",\\\"l_subtitle\\\":\\\"\\u88c5\\u9970\\\",\\\"title\\\":\\\"\\u4f60\\u7684\\u5bb6\\\",\\\"image\\\":\\\"20221123\\/b05bc24c3a122d465099a05a24d2fa3b.webp\\\",\\\"button\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"link\\\":\\\"http:\\\\\\/\\\\\\/google.com\\\"}\",\"ar\":\"{\\\"u_subtitle\\\":\\\"\\u0627\\u0644\\u062d\\u064a\\u0627\\u0629 \\u0648\\u0623\\u0633\\u0644\\u0648\\u0628 \\u0627\\u0644\\u062d\\u064a\\u0627\\u0629\\\",\\\"l_subtitle\\\":\\\"\\u0632\\u062e\\u0631\\u0641\\\",\\\"title\\\":\\\"\\u0645\\u0646\\u0632\\u0644\\u0643\\\",\\\"image\\\":\\\"20221123\\/b05bc24c3a122d465099a05a24d2fa3b.webp\\\",\\\"button\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"link\\\":\\\"http:\\\\\\/\\\\\\/google.com\\\"}\",\"be\":\"{\\\"u_subtitle\\\":\\\"\\u0416\\u042b\\u0426\\u0426\\u0401 \\u0406 \\u041b\\u0410\\u0414 \\u0416\\u042b\\u0426\\u0426\\u042f\\\",\\\"l_subtitle\\\":\\\"\\u0414\\u042d\\u041a\\u0410\\u0420\\u0410\\u0426\\u042b\\u042f\\\",\\\"title\\\":\\\"\\u0412\\u0410\\u0428\\u0410 \\u0414\\u041e\\u041c\\\",\\\"image\\\":\\\"20221123\\/b05bc24c3a122d465099a05a24d2fa3b.webp\\\",\\\"button\\\":\\\"\\u041a\\u0423\\u041f\\u0406\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"link\\\":\\\"http:\\\\\\/\\\\\\/google.com\\\"}\",\"bg\":\"{\\\"u_subtitle\\\":\\\"\\u0416\\u0418\\u0412\\u041e\\u0422 \\u0418 \\u041d\\u0410\\u0427\\u0418\\u041d \\u041d\\u0410 \\u0416\\u0418\\u0412\\u041e\\u0422\\\",\\\"l_subtitle\\\":\\\"\\u0414\\u0415\\u041a\\u041e\\u0420\\u0418\\u0420\\u0410\\u041d\\u0415\\\",\\\"title\\\":\\\"\\u0412\\u0410\\u0428\\u0418\\u042f\\u0422 \\u0414\\u041e\\u041c\\\",\\\"image\\\":\\\"20221123\\/b05bc24c3a122d465099a05a24d2fa3b.webp\\\",\\\"button\\\":\\\"\\u041f\\u0410\\u0417\\u0410\\u0420\\u0423\\u0412\\u0410\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"link\\\":\\\"http:\\\\\\/\\\\\\/google.com\\\"}\",\"ca\":\"{\\\"u_subtitle\\\":\\\"VIDA I ESTIL DE VIDA\\\",\\\"l_subtitle\\\":\\\"DECORAR\\\",\\\"title\\\":\\\"LA TEVA CASA\\\",\\\"image\\\":\\\"20221123\\/b05bc24c3a122d465099a05a24d2fa3b.webp\\\",\\\"button\\\":\\\"COMPRA ARA\\\",\\\"link\\\":\\\"http:\\\\\\/\\\\\\/google.com\\\"}\",\"et\":\"{\\\"u_subtitle\\\":\\\"ELAMINE JA ELUSTIIL\\\",\\\"l_subtitle\\\":\\\"DEKOREERI\\\",\\\"title\\\":\\\"SINU KODU\\\",\\\"image\\\":\\\"20221123\\/b05bc24c3a122d465099a05a24d2fa3b.webp\\\",\\\"button\\\":\\\"OSTA KOHE\\\",\\\"link\\\":\\\"http:\\\\\\/\\\\\\/google.com\\\"}\",\"nl\":\"{\\\"u_subtitle\\\":\\\"LEVEN & LEVENSSTIJL\\\",\\\"l_subtitle\\\":\\\"VERSIEREN\\\",\\\"title\\\":\\\"JOUW HUIS\\\",\\\"image\\\":\\\"20221123\\/b05bc24c3a122d465099a05a24d2fa3b.webp\\\",\\\"button\\\":\\\"KOOP NU\\\",\\\"link\\\":\\\"http:\\\\\\/\\\\\\/google.com\\\"}\"}'),(15,3,'slider','array','{\"en\":\"[{\\\"u_subtitle\\\":\\\"ORGANIC\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">HEALTHY<\\\\\\/span> LIFE \\\",\\\"title\\\":\\\"ADVENTURES\\\",\\\"image\\\":\\\"20221205\\/bdf1b2983bbb8fdd1660117bad20b550.webp\\\",\\\"button_text\\\":\\\"Explore Now\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Woman%20Fashion\\\"},{\\\"u_subtitle\\\":\\\"ORGANIC\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">HEALTHY<\\\\\\/span> LIFE \\\",\\\"title\\\":\\\"ADVENTURES\\\",\\\"image\\\":\\\"20221205\\/b54581f3631b4160ebca1b7abdd43615.webp\\\",\\\"button_text\\\":\\\"Visit\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"u_subtitle\\\":\\\"ORGANIC\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">HEALTHY<\\\\\\/span> LIFE \\\",\\\"title\\\":\\\"ADVENTURES\\\",\\\"image\\\":\\\"20221205\\/df0c8982b5edc94493c84fe23c95c5e2.webp\\\",\\\"button_text\\\":\\\"Shop Now\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Man%20Fashion\\\"},{\\\"u_subtitle\\\":\\\"ORGANIC\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">HEALTHY<\\\\\\/span> LIFE \\\",\\\"title\\\":\\\"ADVENTURES\\\",\\\"image\\\":\\\"20221205\\/3701e828742af4336f96019823e8faba.webp\\\",\\\"button_text\\\":\\\"Buy Now\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"}]\",\"bn\":\"[{\\\"u_subtitle\\\":\\\"\\u099c\\u09c8\\u09ac\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u09b8\\u09c1\\u09b8\\u09cd\\u09a5<\\\\\\/span> \\u099c\\u09c0\\u09ac\\u09a8 \\\",\\\"title\\\":\\\"\\u0985\\u09ad\\u09bf\\u09af\\u09be\\u09a8\\\",\\\"image\\\":\\\"20221205\\/bdf1b2983bbb8fdd1660117bad20b550.webp\\\",\\\"button_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0985\\u09a8\\u09cd\\u09ac\\u09c7\\u09b7\\u09a3 \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Woman%20Fashion\\\"},{\\\"u_subtitle\\\":\\\"\\u099c\\u09c8\\u09ac\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u09b8\\u09c1\\u09b8\\u09cd\\u09a5<\\\\\\/span> \\u099c\\u09c0\\u09ac\\u09a8 \\\",\\\"title\\\":\\\"\\u0985\\u09ad\\u09bf\\u09af\\u09be\\u09a8\\\",\\\"image\\\":\\\"20221205\\/b54581f3631b4160ebca1b7abdd43615.webp\\\",\\\"button_text\\\":\\\"Visit\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"u_subtitle\\\":\\\"\\u099c\\u09c8\\u09ac\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u09b8\\u09c1\\u09b8\\u09cd\\u09a5<\\\\\\/span> \\u099c\\u09c0\\u09ac\\u09a8 \\\",\\\"title\\\":\\\"\\u0985\\u09ad\\u09bf\\u09af\\u09be\\u09a8\\\",\\\"image\\\":\\\"20221205\\/df0c8982b5edc94493c84fe23c95c5e2.webp\\\",\\\"button_text\\\":\\\"Shop Now\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Man%20Fashion\\\"},{\\\"u_subtitle\\\":\\\"\\u099c\\u09c8\\u09ac\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u09b8\\u09c1\\u09b8\\u09cd\\u09a5<\\\\\\/span> \\u099c\\u09c0\\u09ac\\u09a8 \\\",\\\"title\\\":\\\"\\u0985\\u09ad\\u09bf\\u09af\\u09be\\u09a8\\\",\\\"image\\\":\\\"20221205\\/3701e828742af4336f96019823e8faba.webp\\\",\\\"button_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09c7\\u09a8\\u09c1\\u09a8\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"}]\",\"fr\":\"[{\\\"u_subtitle\\\":\\\"BIOLOGIQUE\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">SAINE<\\\\\\/span> VIE \\\",\\\"title\\\":\\\"AVENTURES\\\",\\\"image\\\":\\\"20221205\\/bdf1b2983bbb8fdd1660117bad20b550.webp\\\",\\\"button_text\\\":\\\"Explorez maintenant\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Woman%20Fashion\\\"},{\\\"u_subtitle\\\":\\\"BIOLOGIQUE\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">SAINE<\\\\\\/span> VIE \\\",\\\"title\\\":\\\"AVENTURES\\\",\\\"image\\\":\\\"20221205\\/b54581f3631b4160ebca1b7abdd43615.webp\\\",\\\"button_text\\\":\\\"Visit\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"u_subtitle\\\":\\\"BIOLOGIQUE\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">SAINE<\\\\\\/span> VIE \\\",\\\"title\\\":\\\"AVENTURES\\\",\\\"image\\\":\\\"20221205\\/df0c8982b5edc94493c84fe23c95c5e2.webp\\\",\\\"button_text\\\":\\\"Shop Now\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Man%20Fashion\\\"},{\\\"u_subtitle\\\":\\\"BIOLOGIQUE\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">SAINE<\\\\\\/span> VIE \\\",\\\"title\\\":\\\"AVENTURES\\\",\\\"image\\\":\\\"20221205\\/3701e828742af4336f96019823e8faba.webp\\\",\\\"button_text\\\":\\\"Achetez maintenant\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"}]\",\"zh\":\"[{\\\"u_subtitle\\\":\\\"\\u6709\\u673a\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u5065\\u5eb7<\\\\\\/span> \\u751f\\u6d3b \\\",\\\"title\\\":\\\"\\u5192\\u9669\\\",\\\"image\\\":\\\"20221205\\/bdf1b2983bbb8fdd1660117bad20b550.webp\\\",\\\"button_text\\\":\\\"\\u7acb\\u5373\\u63a2\\u7d22\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Woman%20Fashion\\\"},{\\\"u_subtitle\\\":\\\"\\u6709\\u673a\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u5065\\u5eb7<\\\\\\/span> \\u751f\\u6d3b \\\",\\\"title\\\":\\\"\\u5192\\u9669\\\",\\\"image\\\":\\\"20221205\\/b54581f3631b4160ebca1b7abdd43615.webp\\\",\\\"button_text\\\":\\\"Visit\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"u_subtitle\\\":\\\"\\u6709\\u673a\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u5065\\u5eb7<\\\\\\/span> \\u751f\\u6d3b \\\",\\\"title\\\":\\\"\\u5192\\u9669\\\",\\\"image\\\":\\\"20221205\\/df0c8982b5edc94493c84fe23c95c5e2.webp\\\",\\\"button_text\\\":\\\"Shop Now\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Man%20Fashion\\\"},{\\\"u_subtitle\\\":\\\"\\u6709\\u673a\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u5065\\u5eb7<\\\\\\/span> \\u751f\\u6d3b \\\",\\\"title\\\":\\\"\\u5192\\u9669\\\",\\\"image\\\":\\\"20221205\\/3701e828742af4336f96019823e8faba.webp\\\",\\\"button_text\\\":\\\"\\u7acb\\u5373\\u8d2d\\u4e70\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"}]\",\"ar\":\"[{\\\"u_subtitle\\\":\\\"\\u0639\\u0636\\u0648\\u064a\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u0635\\u062d\\u064a<\\\\\\/span> \\u062d\\u064a\\u0627\\u0629 \\\",\\\"title\\\":\\\"\\u0645\\u063a\\u0627\\u0645\\u0631\\u0627\\u062a\\\",\\\"image\\\":\\\"20221205\\/bdf1b2983bbb8fdd1660117bad20b550.webp\\\",\\\"button_text\\\":\\\"\\u0627\\u0633\\u062a\\u0643\\u0634\\u0627\\u0641 \\u0627\\u0644\\u0622\\u0646\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Woman%20Fashion\\\"},{\\\"u_subtitle\\\":\\\"\\u0639\\u0636\\u0648\\u064a\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u0635\\u062d\\u064a<\\\\\\/span> \\u062d\\u064a\\u0627\\u0629 \\\",\\\"title\\\":\\\"\\u0645\\u063a\\u0627\\u0645\\u0631\\u0627\\u062a\\\",\\\"image\\\":\\\"20221205\\/b54581f3631b4160ebca1b7abdd43615.webp\\\",\\\"button_text\\\":\\\"Visit\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"u_subtitle\\\":\\\"\\u0639\\u0636\\u0648\\u064a\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u0635\\u062d\\u064a<\\\\\\/span> \\u062d\\u064a\\u0627\\u0629 \\\",\\\"title\\\":\\\"\\u0645\\u063a\\u0627\\u0645\\u0631\\u0627\\u062a\\\",\\\"image\\\":\\\"20221205\\/df0c8982b5edc94493c84fe23c95c5e2.webp\\\",\\\"button_text\\\":\\\"Shop Now\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Man%20Fashion\\\"},{\\\"u_subtitle\\\":\\\"\\u0639\\u0636\\u0648\\u064a\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u0635\\u062d\\u064a<\\\\\\/span> \\u062d\\u064a\\u0627\\u0629 \\\",\\\"title\\\":\\\"\\u0645\\u063a\\u0627\\u0645\\u0631\\u0627\\u062a\\\",\\\"image\\\":\\\"20221205\\/3701e828742af4336f96019823e8faba.webp\\\",\\\"button_text\\\":\\\"\\u0627\\u0634\\u062a\\u0631\\u064a \\u0627\\u0644\\u0622\\u0646\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"}]\",\"be\":\"[{\\\"u_subtitle\\\":\\\"\\u041e\\u0420\\u0413\\u0410\\u041d\\u0406\\u0427\\u041d\\u042b\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u0417\\u0414\\u0410\\u0420\\u041e\\u040e<\\\\\\/span> \\u0416\\u042b\\u0426\\u0426\\u0401 \\\",\\\"title\\\":\\\"\\u0410\\u0414\\u0412\\u0415\\u041d\\u0422\\u042b\\\",\\\"image\\\":\\\"20221205\\/bdf1b2983bbb8fdd1660117bad20b550.webp\\\",\\\"button_text\\\":\\\"\\u0414\\u0430\\u0441\\u043b\\u0435\\u0434\\u0430\\u0432\\u0430\\u0446\\u044c \\u0437\\u0430\\u0440\\u0430\\u0437\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Woman%20Fashion\\\"},{\\\"u_subtitle\\\":\\\"\\u041e\\u0420\\u0413\\u0410\\u041d\\u0406\\u0427\\u041d\\u042b\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u0417\\u0414\\u0410\\u0420\\u041e\\u040e<\\\\\\/span> \\u0416\\u042b\\u0426\\u0426\\u0401 \\\",\\\"title\\\":\\\"\\u0410\\u0414\\u0412\\u0415\\u041d\\u0422\\u042b\\\",\\\"image\\\":\\\"20221205\\/b54581f3631b4160ebca1b7abdd43615.webp\\\",\\\"button_text\\\":\\\"Visit\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"u_subtitle\\\":\\\"\\u041e\\u0420\\u0413\\u0410\\u041d\\u0406\\u0427\\u041d\\u042b\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u0417\\u0414\\u0410\\u0420\\u041e\\u040e<\\\\\\/span> \\u0416\\u042b\\u0426\\u0426\\u0401 \\\",\\\"title\\\":\\\"\\u0410\\u0414\\u0412\\u0415\\u041d\\u0422\\u042b\\\",\\\"image\\\":\\\"20221205\\/df0c8982b5edc94493c84fe23c95c5e2.webp\\\",\\\"button_text\\\":\\\"Shop Now\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Man%20Fashion\\\"},{\\\"u_subtitle\\\":\\\"\\u041e\\u0420\\u0413\\u0410\\u041d\\u0406\\u0427\\u041d\\u042b\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u0417\\u0414\\u0410\\u0420\\u041e\\u040e<\\\\\\/span> \\u0416\\u042b\\u0426\\u0426\\u0401 \\\",\\\"title\\\":\\\"\\u0410\\u0414\\u0412\\u0415\\u041d\\u0422\\u042b\\\",\\\"image\\\":\\\"20221205\\/3701e828742af4336f96019823e8faba.webp\\\",\\\"button_text\\\":\\\"\\u041a\\u0443\\u043f\\u043b\\u044f\\u0439\\u0446\\u0435 \\u0437\\u0430\\u0440\\u0430\\u0437\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"}]\",\"bg\":\"[{\\\"u_subtitle\\\":\\\"\\u041e\\u0420\\u0413\\u0410\\u041d\\u0418\\u0427\\u0415\\u041d\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u0417\\u0414\\u0420\\u0410\\u0412\\u041e\\u0421\\u041b\\u041e\\u0412\\u0415\\u041d<\\\\\\/span> \\u0416\\u0418\\u0412\\u041e\\u0422 \\\",\\\"title\\\":\\\"\\u041f\\u0420\\u0418\\u041a\\u041b\\u042e\\u0427\\u0415\\u041d\\u0418\\u042f\\\",\\\"image\\\":\\\"20221205\\/bdf1b2983bbb8fdd1660117bad20b550.webp\\\",\\\"button_text\\\":\\\"\\u0418\\u0437\\u0441\\u043b\\u0435\\u0434\\u0432\\u0430\\u0439\\u0442\\u0435 \\u0441\\u0435\\u0433\\u0430\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Woman%20Fashion\\\"},{\\\"u_subtitle\\\":\\\"\\u041e\\u0420\\u0413\\u0410\\u041d\\u0418\\u0427\\u0415\\u041d\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u0417\\u0414\\u0420\\u0410\\u0412\\u041e\\u0421\\u041b\\u041e\\u0412\\u0415\\u041d<\\\\\\/span> \\u0416\\u0418\\u0412\\u041e\\u0422 \\\",\\\"title\\\":\\\"\\u041f\\u0420\\u0418\\u041a\\u041b\\u042e\\u0427\\u0415\\u041d\\u0418\\u042f\\\",\\\"image\\\":\\\"20221205\\/b54581f3631b4160ebca1b7abdd43615.webp\\\",\\\"button_text\\\":\\\"Visit\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"u_subtitle\\\":\\\"\\u041e\\u0420\\u0413\\u0410\\u041d\\u0418\\u0427\\u0415\\u041d\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u0417\\u0414\\u0420\\u0410\\u0412\\u041e\\u0421\\u041b\\u041e\\u0412\\u0415\\u041d<\\\\\\/span> \\u0416\\u0418\\u0412\\u041e\\u0422 \\\",\\\"title\\\":\\\"\\u041f\\u0420\\u0418\\u041a\\u041b\\u042e\\u0427\\u0415\\u041d\\u0418\\u042f\\\",\\\"image\\\":\\\"20221205\\/df0c8982b5edc94493c84fe23c95c5e2.webp\\\",\\\"button_text\\\":\\\"Shop Now\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Man%20Fashion\\\"},{\\\"u_subtitle\\\":\\\"\\u041e\\u0420\\u0413\\u0410\\u041d\\u0418\\u0427\\u0415\\u041d\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u0417\\u0414\\u0420\\u0410\\u0412\\u041e\\u0421\\u041b\\u041e\\u0412\\u0415\\u041d<\\\\\\/span> \\u0416\\u0418\\u0412\\u041e\\u0422 \\\",\\\"title\\\":\\\"\\u041f\\u0420\\u0418\\u041a\\u041b\\u042e\\u0427\\u0415\\u041d\\u0418\\u042f\\\",\\\"image\\\":\\\"20221205\\/3701e828742af4336f96019823e8faba.webp\\\",\\\"button_text\\\":\\\"\\u041a\\u0443\\u043f\\u0435\\u0442\\u0435 \\u0441\\u0435\\u0433\\u0430\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"}]\",\"ca\":\"[{\\\"u_subtitle\\\":\\\"ORG\\u00c0NIC\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">SALUDABLE<\\\\\\/span> VIDA \\\",\\\"title\\\":\\\"AVENTURES\\\",\\\"image\\\":\\\"20221205\\/bdf1b2983bbb8fdd1660117bad20b550.webp\\\",\\\"button_text\\\":\\\"Explora ara\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Woman%20Fashion\\\"},{\\\"u_subtitle\\\":\\\"ORG\\u00c0NIC\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">SALUDABLE<\\\\\\/span> VIDA \\\",\\\"title\\\":\\\"AVENTURES\\\",\\\"image\\\":\\\"20221205\\/b54581f3631b4160ebca1b7abdd43615.webp\\\",\\\"button_text\\\":\\\"Visit\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"u_subtitle\\\":\\\"ORG\\u00c0NIC\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">SALUDABLE<\\\\\\/span> VIDA \\\",\\\"title\\\":\\\"AVENTURES\\\",\\\"image\\\":\\\"20221205\\/df0c8982b5edc94493c84fe23c95c5e2.webp\\\",\\\"button_text\\\":\\\"Shop Now\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Man%20Fashion\\\"},{\\\"u_subtitle\\\":\\\"ORG\\u00c0NIC\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">SALUDABLE<\\\\\\/span> VIDA \\\",\\\"title\\\":\\\"AVENTURES\\\",\\\"image\\\":\\\"20221205\\/3701e828742af4336f96019823e8faba.webp\\\",\\\"button_text\\\":\\\"Compra ara\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"}]\",\"et\":\"[{\\\"u_subtitle\\\":\\\"ORGANILINE\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">TERVE<\\\\\\/span> ELU \\\",\\\"title\\\":\\\"SEIKLUSED\\\",\\\"image\\\":\\\"20221205\\/bdf1b2983bbb8fdd1660117bad20b550.webp\\\",\\\"button_text\\\":\\\"Uuri kohe\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Woman%20Fashion\\\"},{\\\"u_subtitle\\\":\\\"ORGANILINE\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">TERVE<\\\\\\/span> ELU \\\",\\\"title\\\":\\\"SEIKLUSED\\\",\\\"image\\\":\\\"20221205\\/b54581f3631b4160ebca1b7abdd43615.webp\\\",\\\"button_text\\\":\\\"Visit\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"u_subtitle\\\":\\\"ORGANILINE\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">TERVE<\\\\\\/span> ELU \\\",\\\"title\\\":\\\"SEIKLUSED\\\",\\\"image\\\":\\\"20221205\\/df0c8982b5edc94493c84fe23c95c5e2.webp\\\",\\\"button_text\\\":\\\"Shop Now\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Man%20Fashion\\\"},{\\\"u_subtitle\\\":\\\"ORGANILINE\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">TERVE<\\\\\\/span> ELU \\\",\\\"title\\\":\\\"SEIKLUSED\\\",\\\"image\\\":\\\"20221205\\/3701e828742af4336f96019823e8faba.webp\\\",\\\"button_text\\\":\\\"Osta kohe\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"}]\",\"nl\":\"[{\\\"u_subtitle\\\":\\\"BIOLOGISCH\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">GEZOND<\\\\\\/span> LEVEN \\\",\\\"title\\\":\\\"AVONTUREN\\\",\\\"image\\\":\\\"20221205\\/bdf1b2983bbb8fdd1660117bad20b550.webp\\\",\\\"button_text\\\":\\\"Verken nu\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Woman%20Fashion\\\"},{\\\"u_subtitle\\\":\\\"BIOLOGISCH\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">GEZOND<\\\\\\/span> LEVEN \\\",\\\"title\\\":\\\"AVONTUREN\\\",\\\"image\\\":\\\"20221205\\/b54581f3631b4160ebca1b7abdd43615.webp\\\",\\\"button_text\\\":\\\"Visit\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"u_subtitle\\\":\\\"BIOLOGISCH\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">GEZOND<\\\\\\/span> LEVEN \\\",\\\"title\\\":\\\"AVONTUREN\\\",\\\"image\\\":\\\"20221205\\/df0c8982b5edc94493c84fe23c95c5e2.webp\\\",\\\"button_text\\\":\\\"Shop Now\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Man%20Fashion\\\"},{\\\"u_subtitle\\\":\\\"BIOLOGISCH\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">GEZOND<\\\\\\/span> LEVEN \\\",\\\"title\\\":\\\"AVONTUREN\\\",\\\"image\\\":\\\"20221205\\/3701e828742af4336f96019823e8faba.webp\\\",\\\"button_text\\\":\\\"Koop nu\\\",\\\"button_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"}]\"}'),(16,3,'flash','array','{\"badge_text\":\"\"}'),(30,4,'title','string','{\"en\":\"Flash Sale\",\"bn\":\"ফ্ল্যাশ বিক্রয়\",\"fr\":\"Vente Flash\",\"zh\":\"闪购\",\"ar\":\"بيع مفاجئ\",\"be\":\"ФЛЭШ-ПРОДАЖ\",\"bg\":\"Флаш Продажба\",\"ca\":\"Venda Flash\",\"et\":\"Flash Sale\",\"nl\":\"Flashverkoop\"}'),(31,4,'see_more','string','0'),(32,4,'more_link','string','#'),(33,4,'sidebar','string','flash_sale'),(34,4,'sidebar_position','string','left'),(35,4,'showcase_type','string','flashSales'),(36,4,'total_products','string','9'),(37,4,'slide','array','{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button\":\"\",\"link\":\"\"}'),(38,4,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(39,4,'flash','array','{\"en\":\"{\\\"badge_text\\\":\\\"Deal Of The Day\\\"}\",\"bn\":\"{\\\"badge_text\\\":\\\"\\u09a6\\u09bf\\u09a8\\u09c7\\u09b0 \\u099a\\u09c1\\u0995\\u09cd\\u09a4\\u09bf\\\"}\",\"fr\":\"{\\\"badge_text\\\":\\\"Offre du jour\\\"}\",\"zh\":\"{\\\"badge_text\\\":\\\"\\u4eca\\u65e5\\u7279\\u60e0\\\"}\",\"ar\":\"{\\\"badge_text\\\":\\\"\\u0635\\u0641\\u0642\\u0629 \\u0627\\u0644\\u064a\\u0648\\u0645\\\"}\",\"be\":\"{\\\"badge_text\\\":\\\"\\u0417\\u0434\\u0437\\u0435\\u043b\\u043a\\u0430 \\u0434\\u043d\\u044f\\\"}\",\"bg\":\"{\\\"badge_text\\\":\\\"\\u0421\\u0434\\u0435\\u043b\\u043a\\u0430 \\u043d\\u0430 \\u0434\\u0435\\u043d\\u044f\\\"}\",\"ca\":\"{\\\"badge_text\\\":\\\"Oferta del dia\\\"}\",\"et\":\"{\\\"badge_text\\\":\\\"P\\u00e4eva pakkumine\\\"}\",\"nl\":\"{\\\"badge_text\\\":\\\"Aanbieding van de dag\\\"}\"}'),(56,6,'upper_st','string','{\"en\":\"Best in Electronics\",\"bn\":\"ইলেক্ট্রনিক্সে সেরা\",\"fr\":\"Meilleur en électronique\",\"zh\":\"电子产品最佳\",\"ar\":\"الأفضل في الإلكترونيات\",\"be\":\"ЛЕПШЫЯ ЭЛЕКТРОНІКА\",\"bg\":\"НАЙ-ДОБРОТО В ЕЛЕКТРОНИКАТА\",\"ca\":\"El millor en electrònica\",\"et\":\"Parim elektroonikas\",\"nl\":\"Beste in elektronica\"}'),(57,6,'lower_st','string','{\"en\":\"Starting from only <span style=\\\"color: #FA886A\\\">$9.99<\\/span>\",\"bn\":\"\\u09b6\\u09c1\\u09a7\\u09c1\\u09ae\\u09be\\u09a4\\u09cd\\u09b0 \\u09b6\\u09c1\\u09b0\\u09c1 \\u09b9\\u099a\\u09cd\\u099b\\u09c7 <span style=\\\"color: #FA886A\\\">$9.99<\\/span>\",\"fr\":\"\\u00c0 partir de seulement <span style=\\\"color: #FA886A\\\">$9.99<\\/span>\",\"zh\":\"\\u4ec5\\u8d77\\u4ef7 <span style=\\\"color: #FA886A\\\">$9.99<\\/span>\",\"ar\":\"\\u0627\\u0628\\u062a\\u062f\\u0627\\u0621 \\u0645\\u0646 \\u0641\\u0642\\u0637 <span style=\\\"color: #FA886A\\\">$9.99<\\/span>\",\"be\":\"\\u041f\\u0430\\u0447\\u044b\\u043d\\u0430\\u044e\\u0447\\u044b \\u0442\\u043e\\u043b\\u044c\\u043a\\u0456 \\u0437 <span style=\\\"color: #FA886A\\\">$9.99<\\/span>\",\"bg\":\"\\u0417\\u0430\\u043f\\u043e\\u0447\\u0432\\u0430 \\u043e\\u0442 \\u0441\\u0430\\u043c\\u043e <span style=\\\"color: #FA886A\\\">$9.99<\\/span>\",\"ca\":\"A partir de nom\\u00e9s <span style=\\\"color: #FA886A\\\">$9.99<\\/span>\",\"et\":\"Alates ainult <span style=\\\"color: #FA886A\\\">$9.99<\\/span>\",\"nl\":\"Beginnend vanaf slechts <span style=\\\"color: #FA886A\\\">$9.99<\\/span>\"}'),(58,6,'title','string',' {\"en\":\"Gadget Town\",\"bn\":\"গ্যাজেট টাউন\",\"fr\":\"Ville des gadgets\",\"zh\":\"小工具城\",\"ar\":\"بلدة الأجهزة\",\"be\":\"ГАДЖЭТ ГОРАД\",\"bg\":\"Град Гаджети\",\"ca\":\"Poble de gadgets\",\"et\":\"Tehnikalinn\",\"nl\":\"Gadgetstad\"}'),(59,6,'btn_text','string','{\"en\":\"Shop Now\",\"bn\":\"এখন কেনাকাটা করুন\",\"fr\":\"Achetez maintenant\",\"zh\":\"现在购物\",\"ar\":\"تسوق الآن\",\"be\":\"КУПІЦЬ ЗАРАЗ\",\"bg\":\"Пазарувайте сега\",\"ca\":\"Compreu ara\",\"et\":\"Osta kohe\",\"nl\":\"Koop nu\"}'),(60,6,'btn_link','string','http://localhost/multi-vendor/search-products?categories=Electronic%20Devices'),(61,6,'image','string','20221205\\2dcff5a961eb2a3127b2fe3b87861d99.webp'),(70,15,'cta','array','{\"en\":\"[{\\\"upper_st\\\":\\\"ELECTRONICS\\\",\\\"lower_st\\\":\\\"ELECTROFY\\\",\\\"title\\\":\\\"YOUR LIFE\\\",\\\"image\\\":\\\"20220831\\/ad58f57577ee2331b94298ef8301a918.webp\\\",\\\"btn_text\\\":\\\"SHOP NOW\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"},{\\\"upper_st\\\":\\\"SHOES\\\",\\\"lower_st\\\":\\\"ADD STYLES TO\\\",\\\"title\\\":\\\"YOUR FEET\\\",\\\"image\\\":\\\"20220831\\/138b95f17cd98bb837051dfbe54bf64d.webp\\\",\\\"btn_text\\\":\\\"SHOP NOW\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"bn\":\"[{\\\"upper_st\\\":\\\"\\u0987\\u09b2\\u09c7\\u0995\\u099f\\u09cd\\u09b0\\u09a8\\u09bf\\u0995\\u09cd\\u09b8\\\",\\\"lower_st\\\":\\\"\\u09ac\\u09c8\\u09a6\\u09cd\\u09af\\u09c1\\u09a4\\u09bf\\u0995 \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"title\\\":\\\"\\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u099c\\u09c0\\u09ac\\u09a8\\\",\\\"image\\\":\\\"20220831\\/ad58f57577ee2331b94298ef8301a918.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8 \\u0995\\u09c7\\u09a8\\u09be\\u0995\\u09be\\u099f\\u09be \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"},{\\\"upper_st\\\":\\\"\\u099c\\u09c1\\u09a4\\u09be\\\",\\\"lower_st\\\":\\\"\\u09b8\\u09cd\\u099f\\u09be\\u0987\\u09b2 \\u09af\\u09cb\\u0997 \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"title\\\":\\\"\\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u09aa\\u09be\\\",\\\"image\\\":\\\"20220831\\/138b95f17cd98bb837051dfbe54bf64d.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"fr\":\"[{\\\"upper_st\\\":\\\"\\u00c9LECTRONIQUE\\\",\\\"lower_st\\\":\\\"\\u00c9LECTRIFIEZ\\\",\\\"title\\\":\\\"VOTRE VIE\\\",\\\"image\\\":\\\"20220831\\/ad58f57577ee2331b94298ef8301a918.webp\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"},{\\\"upper_st\\\":\\\"CHAUSSURES\\\",\\\"lower_st\\\":\\\"AJOUTEZ DU STYLE \\u00c0\\\",\\\"title\\\":\\\"VOS PIEDS\\\",\\\"image\\\":\\\"20220831\\/138b95f17cd98bb837051dfbe54bf64d.webp\\\",\\\"btn_text\\\":\\\"ACHETEZ MAINTENANT\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"zh\":\"[{\\\"upper_st\\\":\\\"\\u7535\\u5b50\\u4ea7\\u54c1\\\",\\\"lower_st\\\":\\\"\\u7535\\u6c14\\u5316\\\",\\\"title\\\":\\\"\\u4f60\\u7684\\u751f\\u6d3b\\\",\\\"image\\\":\\\"20220831\\/ad58f57577ee2331b94298ef8301a918.webp\\\",\\\"btn_text\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"},{\\\"upper_st\\\":\\\"\\u978b\\u5b50\\\",\\\"lower_st\\\":\\\"\\u6dfb\\u52a0\\u98ce\\u683c\\u5230\\\",\\\"title\\\":\\\"\\u4f60\\u7684\\u811a\\\",\\\"image\\\":\\\"20220831\\/138b95f17cd98bb837051dfbe54bf64d.webp\\\",\\\"btn_text\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"ar\":\"[{\\\"upper_st\\\":\\\"\\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\u0627\\u062a\\\",\\\"lower_st\\\":\\\"\\u0643\\u0647\\u0631\\u0628\\u0627\\u0621\\\",\\\"title\\\":\\\"Y\\u062d\\u064a\\u0627\\u062a\\u0643\\\",\\\"image\\\":\\\"20220831\\/ad58f57577ee2331b94298ef8301a918.webp\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"},{\\\"upper_st\\\":\\\"\\u0623\\u062d\\u0630\\u064a\\u0629\\\",\\\"lower_st\\\":\\\"\\u0623\\u0636\\u0641 \\u0623\\u0646\\u0645\\u0627\\u0637 \\u0625\\u0644\\u0649\\\",\\\"title\\\":\\\"\\u0642\\u062f\\u0645\\u064a\\u0643\\\",\\\"image\\\":\\\"20220831\\/138b95f17cd98bb837051dfbe54bf64d.webp\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"be\":\"[{\\\"upper_st\\\":\\\"\\u042d\\u041b\\u0415\\u041a\\u0422\\u0420\\u041e\\u041d\\u0406\\u041a\\u0410\\\",\\\"lower_st\\\":\\\"\\u042d\\u041b\\u0415\\u041a\\u0422\\u0420\\u0410\\u0424\\u0406\\u041a\\u0410\\u0426\\u042b\\u042f\\\",\\\"title\\\":\\\"\\u0412\\u0410\\u0428\\u0410 \\u0416\\u042b\\u0426\\u0426\\u0401\\\",\\\"image\\\":\\\"20220831\\/ad58f57577ee2331b94298ef8301a918.webp\\\",\\\"btn_text\\\":\\\"\\u041a\\u0423\\u041f\\u0406\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"},{\\\"upper_st\\\":\\\"\\u0411\\u0423\\u0426\\u042c\\u0426\\u0415\\\",\\\"lower_st\\\":\\\"\\u0414\\u0410\\u0414\\u0410\\u0426\\u042c \\u0421\\u0422\\u042b\\u041b\\u0406 \\u0414\\u0410\\\",\\\"title\\\":\\\"\\u0412\\u0410\\u0428\\u042b \\u041d\\u041e\\u0413\\u0406\\\",\\\"image\\\":\\\"20220831\\/138b95f17cd98bb837051dfbe54bf64d.webp\\\",\\\"btn_text\\\":\\\"\\u041a\\u0423\\u041f\\u0406\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"bg\":\"[{\\\"upper_st\\\":\\\"\\u0415\\u041b\\u0415\\u041a\\u0422\\u0420\\u041e\\u041d\\u0418\\u041a\\u0410\\\",\\\"lower_st\\\":\\\"\\u0415\\u041b\\u0415\\u041a\\u0422\\u0420\\u0418\\u0424\\u0418\\u0426\\u0418\\u0420\\u0410\\u0419\\u0422\\u0415\\\",\\\"title\\\":\\\"Y\\u0412\\u0410\\u0428\\u0418\\u042f\\u0422 \\u0416\\u0418\\u0412\\u041e\\u0422\\\",\\\"image\\\":\\\"20220831\\/ad58f57577ee2331b94298ef8301a918.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u0410\\u0417\\u0410\\u0420\\u0423\\u0412\\u0410\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"},{\\\"upper_st\\\":\\\"\\u041e\\u0411\\u0423\\u0412\\u041a\\u0418\\\",\\\"lower_st\\\":\\\"\\u0414\\u041e\\u0411\\u0410\\u0412\\u0415\\u0422\\u0415 \\u0421\\u0422\\u0418\\u041b\\u041e\\u0412\\u0415 \\u041a\\u042a\\u041c\\\",\\\"title\\\":\\\"\\u0412\\u0410\\u0428\\u0418\\u0422\\u0415 \\u041a\\u0420\\u0410\\u041a\\u0410\\\",\\\"image\\\":\\\"20220831\\/138b95f17cd98bb837051dfbe54bf64d.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u0410\\u0417\\u0410\\u0420\\u0423\\u0412\\u0410\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"ca\":\"[{\\\"upper_st\\\":\\\"ELECTR\\u00d2NICA\\\",\\\"lower_st\\\":\\\"ELECTRIFICA\\\",\\\"title\\\":\\\"LA TEVA VIDA\\\",\\\"image\\\":\\\"20220831\\/ad58f57577ee2331b94298ef8301a918.webp\\\",\\\"btn_text\\\":\\\"COMPRA ARA\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"},{\\\"upper_st\\\":\\\"SABATES\\\",\\\"lower_st\\\":\\\"AFEGEIX ESTILS A\\\",\\\"title\\\":\\\"ELS TEUS PEUS\\\",\\\"image\\\":\\\"20220831\\/138b95f17cd98bb837051dfbe54bf64d.webp\\\",\\\"btn_text\\\":\\\"COMPRA ARA\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"et\":\"[{\\\"upper_st\\\":\\\"ELEKTROONIKA\\\",\\\"lower_st\\\":\\\"ELEKTRIFITSEERI\\\",\\\"title\\\":\\\"SINU ELU\\\",\\\"image\\\":\\\"20220831\\/ad58f57577ee2331b94298ef8301a918.webp\\\",\\\"btn_text\\\":\\\"OSTA KOHE\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"},{\\\"upper_st\\\":\\\"KINGAD\\\",\\\"lower_st\\\":\\\"LISA STIILID\\\",\\\"title\\\":\\\"SINU JALAD\\\",\\\"image\\\":\\\"20220831\\/138b95f17cd98bb837051dfbe54bf64d.webp\\\",\\\"btn_text\\\":\\\"OSTA KOHE\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"nl\":\"[{\\\"upper_st\\\":\\\"ELEKTRONICA\\\",\\\"lower_st\\\":\\\"ELEKTRIFICEER\\\",\\\"title\\\":\\\"JE LEVEN\\\",\\\"image\\\":\\\"20220831\\/ad58f57577ee2331b94298ef8301a918.webp\\\",\\\"btn_text\\\":\\\"KOOP NU\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"},{\\\"upper_st\\\":\\\"SCHOENEN\\\",\\\"lower_st\\\":\\\"VOEG STIJLEN TOE AAN\\\",\\\"title\\\":\\\"JE VOETEN\\\",\\\"image\\\":\\\"20220831\\/138b95f17cd98bb837051dfbe54bf64d.webp\\\",\\\"btn_text\\\":\\\"KOOP NU\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\"}'),(74,16,'title','string','{\"en\":\"Popular Departments\",\"bn\":\"জনপ্রিয় বিভাগ\",\"fr\":\"Départements populaires\",\"zh\":\"热门部门\",\"ar\":\"الأقسام الشعبية\",\"be\":\"ПАПУЛЯРНЫЯ АДДЗЕЛЫ\",\"bg\":\"Популярни отдели\",\"ca\":\"Departaments populars\",\"et\":\"Populaarsed osakonnad\",\"nl\":\"Populaire afdelingen\"}'),(75,16,'disp_categories','array','[\"newArrivals\",\"popularProducts\",\"featureProducts\",\"flashSales\"]'),(76,16,'max','string','15'),(80,17,'title','string','{\"en\":\"Furniture ZONE\",\"bn\":\"ফার্নিচার জোন\",\"fr\":\"ZONE Meubles\",\"zh\":\"家具区\",\"ar\":\"منطقة الأثاث\",\"be\":\"МЕБЛІ ЗОНА\",\"bg\":\"Зона Мебели\",\"ca\":\"Zona de mobles\",\"et\":\"Mööblitsoon\",\"nl\":\"Meubelzone\"}'),(81,17,'see_more','string','1'),(82,17,'more_link','string','http://localhost/multi-vendor/search-products?categories=categories=Home%20Appliances'),(83,17,'sidebar','string','slide'),(84,17,'sidebar_position','string','left'),(85,17,'showcase_type','string','queryProducts'),(86,17,'total_products','string','6'),(87,17,'slide','array','{\"en\":\"{\\\"u_subtitle\\\":\\\"Take A Look\\\",\\\"l_subtitle\\\":\\\"On Our\\\",\\\"title\\\":\\\"Furnitures\\\",\\\"image\\\":\\\"20221203\\/4549648a85ebfff095bba62a585ddf9b.webp\\\",\\\"button\\\":\\\"Shop Now\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=categories=Home%20Appliances\\\"}\",\"bn\":\"{\\\"u_subtitle\\\":\\\"\\u098f\\u0995\\u09ac\\u09be\\u09b0 \\u09a6\\u09c7\\u0996\\u09c1\\u09a8\\\",\\\"l_subtitle\\\":\\\"\\u0986\\u09ae\\u09be\\u09a6\\u09c7\\u09b0 \\u0989\\u09aa\\u09b0\\\",\\\"title\\\":\\\"\\u0986\\u09b8\\u09ac\\u09be\\u09ac\\u09aa\\u09a4\\u09cd\\u09b0\\\",\\\"image\\\":\\\"20221203\\/4549648a85ebfff095bba62a585ddf9b.webp\\\",\\\"button\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=categories=Home%20Appliances\\\"}\",\"fr\":\"{\\\"u_subtitle\\\":\\\"Jetez un coup d\'\\u0153il\\\",\\\"l_subtitle\\\":\\\"Sur notre\\\",\\\"title\\\":\\\"Meubles\\\",\\\"image\\\":\\\"20221203\\/4549648a85ebfff095bba62a585ddf9b.webp\\\",\\\"button\\\":\\\"Achetez maintenant\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=categories=Home%20Appliances\\\"}\",\"zh\":\"{\\\"u_subtitle\\\":\\\"\\u770b\\u770b\\\",\\\"l_subtitle\\\":\\\"\\u5728\\u6211\\u4eec\\u7684\\\",\\\"title\\\":\\\"\\u5bb6\\u5177\\\",\\\"image\\\":\\\"20221203\\/4549648a85ebfff095bba62a585ddf9b.webp\\\",\\\"button\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=categories=Home%20Appliances\\\"}\",\"ar\":\"{\\\"u_subtitle\\\":\\\"\\u0623\\u0644\\u0642\\u0650 \\u0646\\u0638\\u0631\\u0629\\\",\\\"l_subtitle\\\":\\\"\\u0639\\u0644\\u0649 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627\\\",\\\"title\\\":\\\"\\u0627\\u0644\\u0623\\u062b\\u0627\\u062b\\\",\\\"image\\\":\\\"20221203\\/4549648a85ebfff095bba62a585ddf9b.webp\\\",\\\"button\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=categories=Home%20Appliances\\\"}\",\"be\":\"{\\\"u_subtitle\\\":\\\"\\u0417\\u0456\\u0440\\u043d\\u0456\\u0446\\u0435\\\",\\\"l_subtitle\\\":\\\"\\u041d\\u0430 \\u043d\\u0430\\u0448\\u044b\\u043c\\\",\\\"title\\\":\\\"\\u041c\\u044d\\u0431\\u043b\\u044f\\\",\\\"image\\\":\\\"20221203\\/4549648a85ebfff095bba62a585ddf9b.webp\\\",\\\"button\\\":\\\"\\u041a\\u0443\\u043f\\u0456\\u0446\\u044c \\u0437\\u0430\\u0440\\u0430\\u0437\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=categories=Home%20Appliances\\\"}\",\"bg\":\"{\\\"u_subtitle\\\":\\\"\\u0425\\u0432\\u044a\\u0440\\u043b\\u0438 \\u0435\\u0434\\u043d\\u043e \\u043e\\u043a\\u043e\\\",\\\"l_subtitle\\\":\\\"\\u041d\\u0430 \\u043d\\u0430\\u0448\\u0438\\u044f\\\",\\\"title\\\":\\\"\\u041c\\u0435\\u0431\\u0435\\u043b\\u0438\\\",\\\"image\\\":\\\"20221203\\/4549648a85ebfff095bba62a585ddf9b.webp\\\",\\\"button\\\":\\\"\\u041f\\u0430\\u0437\\u0430\\u0440\\u0443\\u0432\\u0430\\u0439\\u0442\\u0435 \\u0441\\u0435\\u0433\\u0430\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=categories=Home%20Appliances\\\"}\",\"ca\":\"{\\\"u_subtitle\\\":\\\"Fes una ullada\\\",\\\"l_subtitle\\\":\\\"En el nostre\\\",\\\"title\\\":\\\"Mobles\\\",\\\"image\\\":\\\"20221203\\/4549648a85ebfff095bba62a585ddf9b.webp\\\",\\\"button\\\":\\\"Compra ara\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=categories=Home%20Appliances\\\"}\",\"et\":\"{\\\"u_subtitle\\\":\\\"Vaata\\\",\\\"l_subtitle\\\":\\\"Meie\\\",\\\"title\\\":\\\"M\\u00f6\\u00f6bel\\\",\\\"image\\\":\\\"20221203\\/4549648a85ebfff095bba62a585ddf9b.webp\\\",\\\"button\\\":\\\"Osta kohe\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=categories=Home%20Appliances\\\"}\",\"nl\":\"{\\\"u_subtitle\\\":\\\"Neem een kijkje\\\",\\\"l_subtitle\\\":\\\"Op onze\\\",\\\"title\\\":\\\"Meubels\\\",\\\"image\\\":\\\"20221203\\/4549648a85ebfff095bba62a585ddf9b.webp\\\",\\\"button\\\":\\\"Koop nu\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=categories=Home%20Appliances\\\"}\"}'),(88,17,'slider','array','{\"en\":\"[{\\\"u_subtitle\\\":\\\"SPORTS\\\",\\\"l_subtitle\\\":\\\"SAFEGUARD YOUR\\\",\\\"title\\\":\\\"ADVENTURES\\\",\\\"image\\\":\\\"20221123\\/8aef5c1a8f0cb9c5f4dbf783ee501d47.webp\\\",\\\"button_text\\\":\\\"Shop Now\\\",\\\"button_link\\\":\\\"#\\\"},{\\\"u_subtitle\\\":\\\"SPORTS\\\",\\\"l_subtitle\\\":\\\"SAFEGUARD YOUR\\\",\\\"title\\\":\\\"ADVENTURES\\\",\\\"image\\\":\\\"20221123\\/11c41cfbe3e9f892e149b7715a0d9200.webp\\\",\\\"button_text\\\":\\\"Shop Now\\\",\\\"button_link\\\":\\\"#\\\"}]\",\"bn\":\"[{\\\"u_subtitle\\\":\\\"\\u0996\\u09c7\\u09b2\\u09be\\u09a7\\u09c1\\u09b2\\u09be\\\",\\\"l_subtitle\\\":\\\"\\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u09b8\\u09c1\\u09b0\\u0995\\u09cd\\u09b7\\u09be\\\",\\\"title\\\":\\\"\\u0985\\u09cd\\u09af\\u09be\\u09a1\\u09ad\\u09c7\\u099e\\u09cd\\u099a\\u09be\\u09b0\\\",\\\"image\\\":\\\"20221123\\/8aef5c1a8f0cb9c5f4dbf783ee501d47.webp\\\",\\\"button_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"button_link\\\":\\\"#\\\"},{\\\"u_subtitle\\\":\\\"\\u0996\\u09c7\\u09b2\\u09be\\u09a7\\u09c1\\u09b2\\u09be\\\",\\\"l_subtitle\\\":\\\"\\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u09b8\\u09c1\\u09b0\\u0995\\u09cd\\u09b7\\u09be\\\",\\\"title\\\":\\\"\\u0985\\u09cd\\u09af\\u09be\\u09a1\\u09ad\\u09c7\\u099e\\u09cd\\u099a\\u09be\\u09b0\\\",\\\"image\\\":\\\"20221123\\/11c41cfbe3e9f892e149b7715a0d9200.webp\\\",\\\"button_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"button_link\\\":\\\"#\\\"}]\",\"fr\":\"[{\\\"u_subtitle\\\":\\\"SPORTS\\\",\\\"l_subtitle\\\":\\\"PROT\\u00c9GEZ VOTRE\\\",\\\"title\\\":\\\"AVENTURES\\\",\\\"image\\\":\\\"20221123\\/8aef5c1a8f0cb9c5f4dbf783ee501d47.webp\\\",\\\"button_text\\\":\\\"Achetez maintenant\\\",\\\"button_link\\\":\\\"#\\\"},{\\\"u_subtitle\\\":\\\"SPORTS\\\",\\\"l_subtitle\\\":\\\"PROT\\u00c9GEZ VOTRE\\\",\\\"title\\\":\\\"AVENTURES\\\",\\\"image\\\":\\\"20221123\\/11c41cfbe3e9f892e149b7715a0d9200.webp\\\",\\\"button_text\\\":\\\"Achetez maintenant\\\",\\\"button_link\\\":\\\"#\\\"}]\",\"zh\":\"[{\\\"u_subtitle\\\":\\\"\\u4f53\\u80b2\\\",\\\"l_subtitle\\\":\\\"\\u4fdd\\u62a4\\u60a8\\u7684\\\",\\\"title\\\":\\\"\\u5192\\u9669\\\",\\\"image\\\":\\\"20221123\\/8aef5c1a8f0cb9c5f4dbf783ee501d47.webp\\\",\\\"button_text\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"button_link\\\":\\\"#\\\"},{\\\"u_subtitle\\\":\\\"\\u4f53\\u80b2\\\",\\\"l_subtitle\\\":\\\"\\u4fdd\\u62a4\\u60a8\\u7684\\\",\\\"title\\\":\\\"\\u5192\\u9669\\\",\\\"image\\\":\\\"20221123\\/11c41cfbe3e9f892e149b7715a0d9200.webp\\\",\\\"button_text\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"button_link\\\":\\\"#\\\"}]\",\"ar\":\"[{\\\"u_subtitle\\\":\\\"\\u0631\\u064a\\u0627\\u0636\\u0627\\u062a\\\",\\\"l_subtitle\\\":\\\"\\u0627\\u062d\\u0645\\u0650\\\",\\\"title\\\":\\\"\\u0645\\u063a\\u0627\\u0645\\u0631\\u0627\\u062a\\\",\\\"image\\\":\\\"20221123\\/8aef5c1a8f0cb9c5f4dbf783ee501d47.webp\\\",\\\"button_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"button_link\\\":\\\"#\\\"},{\\\"u_subtitle\\\":\\\"\\u0631\\u064a\\u0627\\u0636\\u0627\\u062a\\\",\\\"l_subtitle\\\":\\\"\\u0627\\u062d\\u0645\\u0650\\\",\\\"title\\\":\\\"\\u0645\\u063a\\u0627\\u0645\\u0631\\u0627\\u062a\\\",\\\"image\\\":\\\"20221123\\/11c41cfbe3e9f892e149b7715a0d9200.webp\\\",\\\"button_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"button_link\\\":\\\"#\\\"}]\",\"be\":\"[{\\\"u_subtitle\\\":\\\"\\u0421\\u041f\\u041e\\u0420\\u0422\\\",\\\"l_subtitle\\\":\\\"\\u0410\\u0411\\u0410\\u0420\\u0410\\u041d\\u0406\\u0426\\u042c \\u0412\\u0410\\u0428\\\",\\\"title\\\":\\\"\\u041f\\u0420\\u042b\\u0413\\u041e\\u0414\\u042b\\\",\\\"image\\\":\\\"20221123\\/8aef5c1a8f0cb9c5f4dbf783ee501d47.webp\\\",\\\"button_text\\\":\\\"\\u041a\\u0443\\u043f\\u0456\\u0446\\u044c \\u0437\\u0430\\u0440\\u0430\\u0437\\\",\\\"button_link\\\":\\\"#\\\"},{\\\"u_subtitle\\\":\\\"\\u0421\\u041f\\u041e\\u0420\\u0422\\\",\\\"l_subtitle\\\":\\\"\\u0410\\u0411\\u0410\\u0420\\u0410\\u041d\\u0406\\u0426\\u042c \\u0412\\u0410\\u0428\\\",\\\"title\\\":\\\"\\u041f\\u0420\\u042b\\u0413\\u041e\\u0414\\u042b\\\",\\\"image\\\":\\\"20221123\\/11c41cfbe3e9f892e149b7715a0d9200.webp\\\",\\\"button_text\\\":\\\"\\u041a\\u0443\\u043f\\u0456\\u0446\\u044c \\u0437\\u0430\\u0440\\u0430\\u0437\\\",\\\"button_link\\\":\\\"#\\\"}]\",\"bg\":\"[{\\\"u_subtitle\\\":\\\"\\u0421\\u041f\\u041e\\u0420\\u0422\\\",\\\"l_subtitle\\\":\\\"\\u0417\\u0410\\u0429\\u0418\\u0422\\u0415\\u0422\\u0415 \\u0412\\u0410\\u0428\\u0418\\u042f\\\",\\\"title\\\":\\\"\\u041f\\u0420\\u0418\\u041a\\u041b\\u042e\\u0427\\u0415\\u041d\\u0418\\u042f\\\",\\\"image\\\":\\\"20221123\\/8aef5c1a8f0cb9c5f4dbf783ee501d47.webp\\\",\\\"button_text\\\":\\\"\\u041f\\u0430\\u0437\\u0430\\u0440\\u0443\\u0432\\u0430\\u0439\\u0442\\u0435 \\u0441\\u0435\\u0433\\u0430\\\",\\\"button_link\\\":\\\"#\\\"},{\\\"u_subtitle\\\":\\\"\\u0421\\u041f\\u041e\\u0420\\u0422\\\",\\\"l_subtitle\\\":\\\"\\u0417\\u0410\\u0429\\u0418\\u0422\\u0415\\u0422\\u0415 \\u0412\\u0410\\u0428\\u0418\\u042f\\\",\\\"title\\\":\\\"\\u041f\\u0420\\u0418\\u041a\\u041b\\u042e\\u0427\\u0415\\u041d\\u0418\\u042f\\\",\\\"image\\\":\\\"20221123\\/11c41cfbe3e9f892e149b7715a0d9200.webp\\\",\\\"button_text\\\":\\\"\\u041f\\u0430\\u0437\\u0430\\u0440\\u0443\\u0432\\u0430\\u0439\\u0442\\u0435 \\u0441\\u0435\\u0433\\u0430\\\",\\\"button_link\\\":\\\"#\\\"}]\",\"ca\":\"[{\\\"u_subtitle\\\":\\\"ESPORTS\\\",\\\"l_subtitle\\\":\\\"PROTEGEIX EL TEU\\\",\\\"title\\\":\\\"AVENTURES\\\",\\\"image\\\":\\\"20221123\\/8aef5c1a8f0cb9c5f4dbf783ee501d47.webp\\\",\\\"button_text\\\":\\\"Compra ara\\\",\\\"button_link\\\":\\\"#\\\"},{\\\"u_subtitle\\\":\\\"ESPORTS\\\",\\\"l_subtitle\\\":\\\"PROTEGEIX EL TEU\\\",\\\"title\\\":\\\"AVENTURES\\\",\\\"image\\\":\\\"20221123\\/11c41cfbe3e9f892e149b7715a0d9200.webp\\\",\\\"button_text\\\":\\\"Compra ara\\\",\\\"button_link\\\":\\\"#\\\"}]\",\"et\":\"[{\\\"u_subtitle\\\":\\\"SPORT\\\",\\\"l_subtitle\\\":\\\"KAITSE OMA\\\",\\\"title\\\":\\\"SEIKLUSED\\\",\\\"image\\\":\\\"20221123\\/8aef5c1a8f0cb9c5f4dbf783ee501d47.webp\\\",\\\"button_text\\\":\\\"Osta kohe\\\",\\\"button_link\\\":\\\"#\\\"},{\\\"u_subtitle\\\":\\\"SPORT\\\",\\\"l_subtitle\\\":\\\"KAITSE OMA\\\",\\\"title\\\":\\\"SEIKLUSED\\\",\\\"image\\\":\\\"20221123\\/11c41cfbe3e9f892e149b7715a0d9200.webp\\\",\\\"button_text\\\":\\\"Osta kohe\\\",\\\"button_link\\\":\\\"#\\\"}]\",\"nl\":\"[{\\\"u_subtitle\\\":\\\"SPORTS\\\",\\\"l_subtitle\\\":\\\"BESCHERM UW\\\",\\\"title\\\":\\\"AVONTUREN\\\",\\\"image\\\":\\\"20221123\\/8aef5c1a8f0cb9c5f4dbf783ee501d47.webp\\\",\\\"button_text\\\":\\\"Koop nu\\\",\\\"button_link\\\":\\\"#\\\"},{\\\"u_subtitle\\\":\\\"SPORTS\\\",\\\"l_subtitle\\\":\\\"BESCHERM UW\\\",\\\"title\\\":\\\"AVONTUREN\\\",\\\"image\\\":\\\"20221123\\/11c41cfbe3e9f892e149b7715a0d9200.webp\\\",\\\"button_text\\\":\\\"Koop nu\\\",\\\"button_link\\\":\\\"#\\\"}]\"}'),(89,17,'flash','array','{\"badge_text\":\"\"}'),(100,18,'title','string','{\"en\":\"TOP BRANDS\",\"bn\":\"শীর্ষ ব্র্যান্ড\",\"fr\":\"MARQUES PRINCIPALES\",\"zh\":\"顶级品牌\",\"ar\":\"أفضل العلامات التجارية\",\"be\":\"ЛІДЭРСКІЯ БРЭНДЫ\",\"bg\":\"ТОП МАРКИ\",\"ca\":\"MARQUES SUPERIORS\",\"et\":\"TOP BRÄNDID\",\"nl\":\"TOPMERKEN\"}'),(101,18,'brand_type','string','selectedBrands'),(102,18,'brand_limit','string','9'),(103,19,'sidebox','array','{\"en\":\"{\\\"title\\\":\\\"New Here?\\\",\\\"sidetext\\\":\\\"Get Coupon\\\",\\\"description\\\":\\\"Use coupon <span class=\\\\\\\"primary-text-color font-medium\\\\\\\">\\\\u2018BUYNOW01\\\\u2019<\\\\\\/span> and get up to $200 on your first purchase.\\\"}\",\"bn\":\"{\\\"title\\\":\\\"\\u098f\\u0996\\u09be\\u09a8\\u09c7 \\u09a8\\u09a4\\u09c1\\u09a8?\\\",\\\"sidetext\\\":\\\"\\u0995\\u09c1\\u09aa\\u09a8 \\u09aa\\u09be\\u09a8\\\",\\\"description\\\":\\\"\\u0995\\u09c1\\u09aa\\u09a8 \\u09ac\\u09cd\\u09af\\u09ac\\u09b9\\u09be\\u09b0 \\u0995\\u09b0\\u09c1\\u09a8 <span class=\\\\\\\"primary-text-color font-medium\\\\\\\">\\\\u2018BUYNOW01\\\\u2019<\\\\\\/span> \\u098f\\u09ac\\u0982 \\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u09aa\\u09cd\\u09b0\\u09a5\\u09ae \\u0995\\u09c7\\u09a8\\u09be\\u09b0 \\u099c\\u09a8\\u09cd\\u09af \\u09aa\\u09cd\\u09b0\\u09be\\u09aa\\u09cd\\u09a4 \\u0995\\u09b0\\u09c1\\u09a8 \\u09b8\\u09b0\\u09cd\\u09ac\\u09cb\\u099a\\u09cd\\u099a $200\\u0964\\\"}\",\"fr\":\"{\\\"title\\\":\\\"Nouveau ici?\\\",\\\"sidetext\\\":\\\"Obtenez un coupon\\\",\\\"description\\\":\\\"Utilisez le coupon <span class=\\\\\\\"primary-text-color font-medium\\\\\\\">\\\\u2018BUYNOW01\\\\u2019<\\\\\\/span> et obtenez jusqu\'\\u00e0 200 $ sur votre premier achat.\\\"}\",\"zh\":\"{\\\"title\\\":\\\"\\u65b0\\u6765\\u7684\\uff1f\\\",\\\"sidetext\\\":\\\"\\u83b7\\u53d6\\u4f18\\u60e0\\u5238\\\",\\\"description\\\":\\\"\\u4f7f\\u7528\\u4f18\\u60e0\\u5238 <span class=\\\\\\\"primary-text-color font-medium\\\\\\\">\\\\u2018BUYNOW01\\\\u2019<\\\\\\/span> \\u5e76\\u5728\\u60a8\\u7684\\u9996\\u6b21\\u8d2d\\u4e70\\u65f6\\u83b7\\u5f97\\u9ad8\\u8fbe200\\u7f8e\\u5143\\u3002\\\"}\",\"ar\":\"{\\\"title\\\":\\\"\\u062c\\u062f\\u064a\\u062f \\u0647\\u0646\\u0627\\u061f\\\",\\\"sidetext\\\":\\\"\\u0627\\u062d\\u0635\\u0644 \\u0639\\u0644\\u0649 \\u0643\\u0648\\u0628\\u0648\\u0646\\\",\\\"description\\\":\\\"\\u0627\\u0633\\u062a\\u062e\\u062f\\u0645 \\u0627\\u0644\\u0643\\u0648\\u0628\\u0648\\u0646 <span class=\\\\\\\"primary-text-color font-medium\\\\\\\">\\\\u2018BUYNOW01\\\\u2019<\\\\\\/span> \\u0648\\u0627\\u062d\\u0635\\u0644 \\u0639\\u0644\\u0649 \\u0645\\u0627 \\u064a\\u0635\\u0644 \\u0625\\u0644\\u0649 200 \\u062f\\u0648\\u0644\\u0627\\u0631 \\u0641\\u064a \\u0639\\u0645\\u0644\\u064a\\u0629 \\u0627\\u0644\\u0634\\u0631\\u0627\\u0621 \\u0627\\u0644\\u0623\\u0648\\u0644\\u0649 \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 \\u0628\\u0643.\\\"}\",\"be\":\"{\\\"title\\\":\\\"\\u041d\\u043e\\u0432\\u044b \\u0442\\u0443\\u0442?\\\",\\\"sidetext\\\":\\\"\\u0410\\u0442\\u0440\\u044b\\u043c\\u0430\\u0446\\u044c \\u043a\\u0443\\u043f\\u043e\\u043d\\\",\\\"description\\\":\\\"\\u0412\\u044b\\u043a\\u0430\\u0440\\u044b\\u0441\\u0442\\u043e\\u045e\\u0432\\u0430\\u0439\\u0446\\u0435 \\u043a\\u0443\\u043f\\u043e\\u043d <span class=\\\\\\\"primary-text-color font-medium\\\\\\\">\\\\u2018BUYNOW01\\\\u2019<\\\\\\/span> \\u0456 \\u0430\\u0442\\u0440\\u044b\\u043c\\u0430\\u0446\\u044c \\u0434\\u0430 $200 \\u043d\\u0430 \\u0432\\u0430\\u0448\\u044b\\u043c \\u043f\\u0435\\u0440\\u0448\\u044b\\u043c \\u043f\\u0430\\u043a\\u0443\\u043f\\u043a\\u0456.\\\"}\",\"bg\":\"{\\\"title\\\":\\\"\\u041d\\u043e\\u0432 \\u0442\\u0443\\u043a?\\\",\\\"sidetext\\\":\\\"\\u0412\\u0437\\u0435\\u043c\\u0435\\u0442\\u0435 \\u043a\\u0443\\u043f\\u043e\\u043d\\\",\\\"description\\\":\\\"\\u0418\\u0437\\u043f\\u043e\\u043b\\u0437\\u0432\\u0430\\u0439\\u0442\\u0435 \\u043a\\u0443\\u043f\\u043e\\u043d <span class=\\\\\\\"primary-text-color font-medium\\\\\\\">\\\\u2018BUYNOW01\\\\u2019<\\\\\\/span> \\u0438 \\u043f\\u043e\\u043b\\u0443\\u0447\\u0435\\u0442\\u0435 \\u0434\\u043e 200 \\u0434\\u043e\\u043b\\u0430\\u0440\\u0430 \\u043f\\u0440\\u0438 \\u043f\\u044a\\u0440\\u0432\\u0430\\u0442\\u0430 \\u0441\\u0438 \\u043f\\u043e\\u043a\\u0443\\u043f\\u043a\\u0430.\\\"}\",\"ca\":\"{\\\"title\\\":\\\"Nou aqu\\u00ed?\\\",\\\"sidetext\\\":\\\"Obt\\u00e9n un cup\\u00f3\\\",\\\"description\\\":\\\"Utilitzeu el cup\\u00f3 <span class=\\\\\\\"primary-text-color font-medium\\\\\\\">\\\\u2018BUYNOW01\\\\u2019<\\\\\\/span> i obteniu fins a 200 $ en la vostra primera compra.\\\"}\",\"et\":\"{\\\"title\\\":\\\"Uus siin?\\\",\\\"sidetext\\\":\\\"Saage kupong\\\",\\\"description\\\":\\\"Kasutage kupongi <span class=\\\\\\\"primary-text-color font-medium\\\\\\\">\\\\u2018BUYNOW01\\\\u2019<\\\\\\/span> ja saate oma esimese ostu eest kuni 200 dollarit.\\\"}\",\"nl\":\"{\\\"title\\\":\\\"Nieuw hier?\\\",\\\"sidetext\\\":\\\"Krijg een coupon\\\",\\\"description\\\":\\\"Gebruik coupon <span class=\\\\\\\"primary-text-color font-medium\\\\\\\">\\\\u2018BUYNOW01\\\\u2019<\\\\\\/span> en ontvang tot $200 bij uw eerste aankoop.\\\"}\"}'),(105,19,'sidebox_show','string','1'),(106,19,'iconbox','array','{\"en\":\"[{\\\"image\\\":\\\"20220912\\/80a6e899c44b684664e32cbc47082f60.webp\\\",\\\"title\\\":\\\"Free Shipping Worldwide\\\",\\\"subtitle\\\":\\\"For all orders over $350\\\"},{\\\"image\\\":\\\"20220912\\/7fb4c55cfbf6fbaebeb7f3fcde4536c0.webp\\\",\\\"title\\\":\\\"Secured Online Payment\\\",\\\"subtitle\\\":\\\"Payment protection guaranteed\\\"},{\\\"image\\\":\\\"20220912\\/857c4980e5995df0ff3cbddab4a76ef0.webp\\\",\\\"title\\\":\\\"Money Back Guarantee\\\",\\\"subtitle\\\":\\\"If goods have problems\\\"}]\",\"bn\":\"[{\\\"image\\\":\\\"20220912\\/80a6e899c44b684664e32cbc47082f60.webp\\\",\\\"title\\\":\\\"\\u09b8\\u09ae\\u0997\\u09cd\\u09b0\\u09c7 \\u09a8\\u09bf\\u09b6\\u09c1\\u09b2\\u09cd\\u0995 \\u09b6\\u09bf\\u09aa\\u09bf\\u0982\\\",\\\"subtitle\\\":\\\"$350 \\u098f\\u09b0 \\u0989\\u09aa\\u09b0\\u09c7\\u09b0 \\u09b8\\u09ae\\u09b8\\u09cd\\u09a4 \\u0986\\u09a6\\u09c7\\u09b6\\u09c7\\u09b0 \\u099c\\u09a8\\u09cd\\u09af\\\"},{\\\"image\\\":\\\"20220912\\/7fb4c55cfbf6fbaebeb7f3fcde4536c0.webp\\\",\\\"title\\\":\\\"\\u09a8\\u09bf\\u09b0\\u09be\\u09aa\\u09a6 \\u0985\\u09a8\\u09b2\\u09be\\u0987\\u09a8 \\u09aa\\u09c7\\u09ae\\u09c7\\u09a8\\u09cd\\u099f\\\",\\\"subtitle\\\":\\\"\\u0985\\u09b0\\u09cd\\u09a5 \\u09b8\\u0982\\u09b0\\u0995\\u09cd\\u09b7\\u09a3 \\u09a8\\u09bf\\u09b6\\u09cd\\u099a\\u09bf\\u09a4\\\"},{\\\"image\\\":\\\"20220912\\/857c4980e5995df0ff3cbddab4a76ef0.webp\\\",\\\"title\\\":\\\"\\u0985\\u09b0\\u09cd\\u09a5 \\u09ab\\u09c7\\u09b0\\u09a4 \\u0997\\u09cd\\u09af\\u09be\\u09b0\\u09be\\u09a8\\u09cd\\u099f\\u09bf\\\",\\\"subtitle\\\":\\\"\\u09af\\u09a6\\u09bf \\u09aa\\u09a3\\u09cd\\u09af\\u09c7 \\u09b8\\u09ae\\u09b8\\u09cd\\u09af\\u09be \\u09a5\\u09be\\u0995\\u09c7\\\"}]\",\"fr\":\"[{\\\"image\\\":\\\"20220912\\/80a6e899c44b684664e32cbc47082f60.webp\\\",\\\"title\\\":\\\"Livraison gratuite dans le monde entier\\\",\\\"subtitle\\\":\\\"Pour toutes les commandes de plus de 350 $\\\"},{\\\"image\\\":\\\"20220912\\/7fb4c55cfbf6fbaebeb7f3fcde4536c0.webp\\\",\\\"title\\\":\\\"Paiement en ligne s\\u00e9curis\\u00e9\\\",\\\"subtitle\\\":\\\"Protection des paiements garantie\\\"},{\\\"image\\\":\\\"20220912\\/857c4980e5995df0ff3cbddab4a76ef0.webp\\\",\\\"title\\\":\\\"Garantie de remboursement\\\",\\\"subtitle\\\":\\\"Si les marchandises ont des probl\\u00e8mes\\\"}]\",\"zh\":\"[{\\\"image\\\":\\\"20220912\\/80a6e899c44b684664e32cbc47082f60.webp\\\",\\\"title\\\":\\\"\\u5168\\u7403\\u514d\\u8d39\\u9001\\u8d27\\\",\\\"subtitle\\\":\\\"\\u6240\\u6709\\u8ba2\\u5355\\u8d85\\u8fc7$350\\\"},{\\\"image\\\":\\\"20220912\\/7fb4c55cfbf6fbaebeb7f3fcde4536c0.webp\\\",\\\"title\\\":\\\"\\u5b89\\u5168\\u7684\\u5728\\u7ebf\\u652f\\u4ed8\\\",\\\"subtitle\\\":\\\"\\u4ed8\\u6b3e\\u4fdd\\u62a4\\u4fdd\\u8bc1\\\"},{\\\"image\\\":\\\"20220912\\/857c4980e5995df0ff3cbddab4a76ef0.webp\\\",\\\"title\\\":\\\"\\u9000\\u6b3e\\u4fdd\\u8bc1\\\",\\\"subtitle\\\":\\\"\\u5982\\u679c\\u5546\\u54c1\\u6709\\u95ee\\u9898\\\"}]\",\"ar\":\"[{\\\"image\\\":\\\"20220912\\/80a6e899c44b684664e32cbc47082f60.webp\\\",\\\"title\\\":\\\"\\u0634\\u062d\\u0646 \\u0645\\u062c\\u0627\\u0646\\u064a \\u0644\\u062c\\u0645\\u064a\\u0639 \\u0623\\u0646\\u062d\\u0627\\u0621 \\u0627\\u0644\\u0639\\u0627\\u0644\\u0645\\\",\\\"subtitle\\\":\\\"\\u0644\\u062c\\u0645\\u064a\\u0639 \\u0627\\u0644\\u0637\\u0644\\u0628\\u0627\\u062a \\u0627\\u0644\\u062a\\u064a \\u062a\\u0632\\u064a\\u062f \\u0639\\u0646 350 \\u062f\\u0648\\u0644\\u0627\\u0631\\\"},{\\\"image\\\":\\\"20220912\\/7fb4c55cfbf6fbaebeb7f3fcde4536c0.webp\\\",\\\"title\\\":\\\"\\u0627\\u0644\\u062f\\u0641\\u0639 \\u0627\\u0644\\u0622\\u0645\\u0646 \\u0639\\u0628\\u0631 \\u0627\\u0644\\u0625\\u0646\\u062a\\u0631\\u0646\\u062a\\\",\\\"subtitle\\\":\\\"\\u0636\\u0645\\u0627\\u0646 \\u062d\\u0645\\u0627\\u064a\\u0629 \\u0627\\u0644\\u062f\\u0641\\u0639\\\"},{\\\"image\\\":\\\"20220912\\/857c4980e5995df0ff3cbddab4a76ef0.webp\\\",\\\"title\\\":\\\"\\u0636\\u0645\\u0627\\u0646 \\u0627\\u0633\\u062a\\u0639\\u0627\\u062f\\u0629 \\u0627\\u0644\\u0623\\u0645\\u0648\\u0627\\u0644\\\",\\\"subtitle\\\":\\\"\\u0625\\u0630\\u0627 \\u0643\\u0627\\u0646\\u062a \\u0627\\u0644\\u0633\\u0644\\u0639 \\u062a\\u0648\\u0627\\u062c\\u0647 \\u0645\\u0634\\u0643\\u0644\\u0629\\\"}]\",\"be\":\"[{\\\"image\\\":\\\"20220912\\/80a6e899c44b684664e32cbc47082f60.webp\\\",\\\"title\\\":\\\"\\u0411\\u044f\\u0441\\u043f\\u043b\\u0430\\u0442\\u043d\\u0430\\u044f \\u0434\\u0430\\u0441\\u0442\\u0430\\u045e\\u043a\\u0430 \\u043f\\u0430 \\u045e\\u0441\\u0456\\u043c \\u0441\\u0432\\u0435\\u0446\\u0435\\\",\\\"subtitle\\\":\\\"\\u0414\\u043b\\u044f \\u045e\\u0441\\u0456\\u0445 \\u0437\\u0430\\u043a\\u0430\\u0437\\u0430\\u045e \\u043d\\u0430 \\u0441\\u0443\\u043c\\u0443 \\u0431\\u043e\\u043b\\u044c\\u0448 \\u0437\\u0430 $350\\\"},{\\\"image\\\":\\\"20220912\\/7fb4c55cfbf6fbaebeb7f3fcde4536c0.webp\\\",\\\"title\\\":\\\"\\u0411\\u044f\\u0441\\u043f\\u0435\\u0447\\u043d\\u0430\\u044f \\u0430\\u043d\\u043b\\u0430\\u0439\\u043d-\\u0430\\u043f\\u043b\\u0430\\u0442\\u0430\\\",\\\"subtitle\\\":\\\"\\u0413\\u0430\\u0440\\u0430\\u043d\\u0442\\u044b\\u044f \\u0430\\u0431\\u0430\\u0440\\u043e\\u043d\\u044b \\u043f\\u043b\\u0430\\u0446\\u044f\\u0436\\u0443\\\"},{\\\"image\\\":\\\"20220912\\/857c4980e5995df0ff3cbddab4a76ef0.webp\\\",\\\"title\\\":\\\"\\u0413\\u0430\\u0440\\u0430\\u043d\\u0442\\u044b\\u044f \\u0432\\u044f\\u0440\\u0442\\u0430\\u043d\\u043d\\u044f \\u0433\\u0440\\u043e\\u0448\\u0430\\u0439\\\",\\\"subtitle\\\":\\\"\\u041a\\u0430\\u043b\\u0456 \\u0451\\u0441\\u0446\\u044c \\u043f\\u0440\\u0430\\u0431\\u043b\\u0435\\u043c\\u044b \\u0437 \\u0442\\u0430\\u0432\\u0430\\u0440\\u0430\\u043c\\u0456\\\"}]\",\"bg\":\"[{\\\"image\\\":\\\"20220912\\/80a6e899c44b684664e32cbc47082f60.webp\\\",\\\"title\\\":\\\"\\u0411\\u0435\\u0437\\u043f\\u043b\\u0430\\u0442\\u043d\\u0430 \\u0434\\u043e\\u0441\\u0442\\u0430\\u0432\\u043a\\u0430 \\u043f\\u043e \\u0446\\u0435\\u043b\\u0438\\u044f \\u0441\\u0432\\u044f\\u0442\\\",\\\"subtitle\\\":\\\"\\u0417\\u0430 \\u0432\\u0441\\u0438\\u0447\\u043a\\u0438 \\u043f\\u043e\\u0440\\u044a\\u0447\\u043a\\u0438 \\u043d\\u0430\\u0434 $350\\\"},{\\\"image\\\":\\\"20220912\\/7fb4c55cfbf6fbaebeb7f3fcde4536c0.webp\\\",\\\"title\\\":\\\"\\u0421\\u0438\\u0433\\u0443\\u0440\\u043d\\u043e \\u043e\\u043d\\u043b\\u0430\\u0439\\u043d \\u043f\\u043b\\u0430\\u0449\\u0430\\u043d\\u0435\\\",\\\"subtitle\\\":\\\"\\u0413\\u0430\\u0440\\u0430\\u043d\\u0442\\u0438\\u0440\\u0430\\u043d\\u0430 \\u0437\\u0430\\u0449\\u0438\\u0442\\u0430 \\u043d\\u0430 \\u043f\\u043b\\u0430\\u0449\\u0430\\u043d\\u0435\\u0442\\u043e\\\"},{\\\"image\\\":\\\"20220912\\/857c4980e5995df0ff3cbddab4a76ef0.webp\\\",\\\"title\\\":\\\"\\u0413\\u0430\\u0440\\u0430\\u043d\\u0446\\u0438\\u044f \\u0437\\u0430 \\u0432\\u0440\\u044a\\u0449\\u0430\\u043d\\u0435 \\u043d\\u0430 \\u043f\\u0430\\u0440\\u0438\\u0442\\u0435\\\",\\\"subtitle\\\":\\\"\\u0410\\u043a\\u043e \\u0441\\u0442\\u043e\\u043a\\u0438\\u0442\\u0435 \\u0438\\u043c\\u0430\\u0442 \\u043f\\u0440\\u043e\\u0431\\u043b\\u0435\\u043c\\u0438\\\"}]\",\"ca\":\"[{\\\"image\\\":\\\"20220912\\/80a6e899c44b684664e32cbc47082f60.webp\\\",\\\"title\\\":\\\"Env\\u00edo gratis a todo el mundo\\\",\\\"subtitle\\\":\\\"Per a totes les comandes superiors a 350 $\\\"},{\\\"image\\\":\\\"20220912\\/7fb4c55cfbf6fbaebeb7f3fcde4536c0.webp\\\",\\\"title\\\":\\\"Pagament en l\\u00ednia segur\\\",\\\"subtitle\\\":\\\"Garantia de protecci\\u00f3 del pagament\\\"},{\\\"image\\\":\\\"20220912\\/857c4980e5995df0ff3cbddab4a76ef0.webp\\\",\\\"title\\\":\\\"Garantia de devoluci\\u00f3 de diners\\\",\\\"subtitle\\\":\\\"Si els productes tenen problemes\\\"}]\",\"et\":\"[{\\\"image\\\":\\\"20220912\\/80a6e899c44b684664e32cbc47082f60.webp\\\",\\\"title\\\":\\\"Tasuta kohaletoimetamine \\u00fcle maailma\\\",\\\"subtitle\\\":\\\"K\\u00f5igi tellimuste puhul \\u00fcle $350\\\"},{\\\"image\\\":\\\"20220912\\/7fb4c55cfbf6fbaebeb7f3fcde4536c0.webp\\\",\\\"title\\\":\\\"Turvaline veebimakse\\\",\\\"subtitle\\\":\\\"Maksekaitsmise tagatud\\\"},{\\\"image\\\":\\\"20220912\\/857c4980e5995df0ff3cbddab4a76ef0.webp\\\",\\\"title\\\":\\\"Raha tagastamise garantii\\\",\\\"subtitle\\\":\\\"Kui kaupadel on probleeme\\\"}]\",\"nl\":\"[{\\\"image\\\":\\\"20220912\\/80a6e899c44b684664e32cbc47082f60.webp\\\",\\\"title\\\":\\\"Gratis verzending wereldwijd\\\",\\\"subtitle\\\":\\\"Voor alle bestellingen boven $350\\\"},{\\\"image\\\":\\\"20220912\\/7fb4c55cfbf6fbaebeb7f3fcde4536c0.webp\\\",\\\"title\\\":\\\"Veilige online betaling\\\",\\\"subtitle\\\":\\\"Betaalbescherming gegarandeerd\\\"},{\\\"image\\\":\\\"20220912\\/857c4980e5995df0ff3cbddab4a76ef0.webp\\\",\\\"title\\\":\\\"Geld-terug-garantie\\\",\\\"subtitle\\\":\\\"Als de goederen problemen hebben\\\"}]\"}'),(113,3,'row','string','2'),(114,3,'column','string','4'),(125,4,'row','string','2'),(126,4,'column','string','4'),(144,16,'row','string','3'),(145,16,'column','string','5'),(149,17,'row','string','2'),(150,17,'column','string','3'),(151,20,'slider','string','fashion'),(152,20,'full','string','0'),(155,21,'slider','string','mixed'),(156,21,'full','string','1'),(159,22,'cta','array','{\"en\":\"[{\\\"upper_st\\\":\\\"NEW ARRIVALS\\\",\\\"lower_st\\\":\\\"FOR THE <span style=\\\\\\\"color:#E43147\\\\\\\" >HIP HOP<\\\\\\/span>\\\",\\\"title\\\":\\\"HIPSTERS\\\",\\\"image\\\":\\\"20221107\\/e2e47ed6286ed709cde3f1dd21188386.webp\\\",\\\"btn_text\\\":\\\"Shop Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"},{\\\"upper_st\\\":\\\"WINTER\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\" >IMPORTED<\\\\\\/span> DENIM\\\",\\\"title\\\":\\\"JACKETS\\\",\\\"image\\\":\\\"20221107\\/2d8f9415456127a43268173e85fb11d9.webp\\\",\\\"btn_text\\\":\\\"Shop Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"}]\",\"bn\":\"[{\\\"upper_st\\\":\\\"\\u09a8\\u09a4\\u09c1\\u09a8 \\u0986\\u0997\\u09ae\\u09a8\\\",\\\"lower_st\\\":\\\"\\u099c\\u09a8\\u09cd\\u09af <span style=\\\\\\\"color:#E43147\\\\\\\" >\\u09b9\\u09bf\\u09aa \\u09b9\\u09aa<\\\\\\/span>\\\",\\\"title\\\":\\\"\\u09b9\\u09bf\\u09aa\\u09b8\\u09cd\\u099f\\u09be\\u09b0\\\",\\\"image\\\":\\\"20221107\\/e2e47ed6286ed709cde3f1dd21188386.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"},{\\\"upper_st\\\":\\\"\\u09b6\\u09c0\\u09a4\\u0995\\u09be\\u09b2\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\" >\\u0986\\u09ae\\u09a6\\u09be\\u09a8\\u09bf<\\\\\\/span> \\u09a1\\u09c7\\u09a8\\u09bf\\u09ae\\\",\\\"title\\\":\\\"\\u099c\\u09cd\\u09af\\u09be\\u0995\\u09c7\\u099f\\\",\\\"image\\\":\\\"20221107\\/2d8f9415456127a43268173e85fb11d9.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"}]\",\"fr\":\"[{\\\"upper_st\\\":\\\"NOUVEAUT\\u00c9S\\\",\\\"lower_st\\\":\\\"POUR LES <span style=\\\\\\\"color:#E43147\\\\\\\" >HIP HOP<\\\\\\/span>\\\",\\\"title\\\":\\\"HIPSTERS\\\",\\\"image\\\":\\\"20221107\\/e2e47ed6286ed709cde3f1dd21188386.webp\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"},{\\\"upper_st\\\":\\\"HIVER\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\" >IMPORT\\u00c9<\\\\\\/span> DENIM\\\",\\\"title\\\":\\\"VESTES\\\",\\\"image\\\":\\\"20221107\\/2d8f9415456127a43268173e85fb11d9.webp\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"}]\",\"zh\":\"[{\\\"upper_st\\\":\\\"\\u65b0\\u54c1\\u4e0a\\u5e02\\\",\\\"lower_st\\\":\\\"\\u4e3a\\u4e86 <span style=\\\\\\\"color:#E43147\\\\\\\" >\\u563b\\u54c8<\\\\\\/span>\\\",\\\"title\\\":\\\"\\u65f6\\u5c1a\\u6f6e\\u4eba\\\",\\\"image\\\":\\\"20221107\\/e2e47ed6286ed709cde3f1dd21188386.webp\\\",\\\"btn_text\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"},{\\\"upper_st\\\":\\\"\\u51ac\\u5b63\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\" >\\u8fdb\\u53e3<\\\\\\/span> \\u725b\\u4ed4\\u5e03\\\",\\\"title\\\":\\\"\\u5939\\u514b\\\",\\\"image\\\":\\\"20221107\\/2d8f9415456127a43268173e85fb11d9.webp\\\",\\\"btn_text\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"}]\",\"ar\":\"[{\\\"upper_st\\\":\\\"\\u0648\\u0635\\u0644 \\u062d\\u062f\\u064a\\u062b\\u0627\\\",\\\"lower_st\\\":\\\"\\u0644\\u0644 <span style=\\\\\\\"color:#E43147\\\\\\\" >\\u0647\\u064a\\u0628 \\u0647\\u0648\\u0628<\\\\\\/span>\\\",\\\"title\\\":\\\"\\u0647\\u064a\\u0628\\u0633\\u062a\\u0631\\u0632\\\",\\\"image\\\":\\\"20221107\\/e2e47ed6286ed709cde3f1dd21188386.webp\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"},{\\\"upper_st\\\":\\\"\\u0634\\u062a\\u0627\\u0621\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\" >\\u0645\\u0633\\u062a\\u0648\\u0631\\u062f<\\\\\\/span> \\u062f\\u0646\\u064a\\u0645\\\",\\\"title\\\":\\\"\\u062c\\u0627\\u0643\\u064a\\u062a\\u0627\\u062a\\\",\\\"image\\\":\\\"20221107\\/2d8f9415456127a43268173e85fb11d9.webp\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"}]\",\"be\":\"[{\\\"upper_st\\\":\\\"\\u041d\\u041e\\u0412\\u042b\\u042f \\u041f\\u0410\\u0421\\u0422\\u0410\\u040e\\u041a\\u0406\\\",\\\"lower_st\\\":\\\"\\u0414\\u041b\\u042f <span style=\\\\\\\"color:#E43147\\\\\\\" >\\u0425\\u0406\\u041f-\\u0425\\u041e\\u041f<\\\\\\/span>\\\",\\\"title\\\":\\\"\\u0425\\u0406\\u041f\\u0421\\u0422\\u0410\\u0420\\u042b\\\",\\\"image\\\":\\\"20221107\\/e2e47ed6286ed709cde3f1dd21188386.webp\\\",\\\"btn_text\\\":\\\"\\u041a\\u0423\\u041f\\u0406\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"},{\\\"upper_st\\\":\\\"\\u0417\\u0406\\u041c\\u0410\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\" >\\u0406\\u041c\\u041f\\u041e\\u0420\\u0422<\\\\\\/span> \\u0414\\u0416\\u0418\\u041d\\u0421\\\",\\\"title\\\":\\\"\\u041a\\u0423\\u0420\\u0422\\u041a\\u0406\\\",\\\"image\\\":\\\"20221107\\/2d8f9415456127a43268173e85fb11d9.webp\\\",\\\"btn_text\\\":\\\"\\u041a\\u0423\\u041f\\u0406\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"}]\",\"bg\":\"[{\\\"upper_st\\\":\\\"\\u041d\\u041e\\u0412\\u0418 \\u041f\\u0420\\u0418\\u0411\\u0418\\u0416\\u0412\\u0410\\u041d\\u0418\\u042f\\\",\\\"lower_st\\\":\\\"\\u0417\\u0410 <span style=\\\\\\\"color:#E43147\\\\\\\" >\\u0425\\u0418\\u041f \\u0425\\u041e\\u041f<\\\\\\/span>\\\",\\\"title\\\":\\\"\\u0425\\u0418\\u041f\\u0421\\u0422\\u042a\\u0420\\u0418\\\",\\\"image\\\":\\\"20221107\\/e2e47ed6286ed709cde3f1dd21188386.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u0410\\u0417\\u0410\\u0420\\u0423\\u0412\\u0410\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"},{\\\"upper_st\\\":\\\"\\u0417\\u0418\\u041c\\u0410\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\" >\\u0418\\u041c\\u041f\\u041e\\u0420\\u0422\\u0418\\u0420\\u0410\\u041d\\u0418<\\\\\\/span> \\u0414\\u042a\\u041d\\u041a\\u0418\\\",\\\"title\\\":\\\"\\u042f\\u041a\\u0415\\u0422\\u0410\\\",\\\"image\\\":\\\"20221107\\/2d8f9415456127a43268173e85fb11d9.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u0410\\u0417\\u0410\\u0420\\u0423\\u0412\\u0410\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"}]\",\"ca\":\"[{\\\"upper_st\\\":\\\"NOVES ARREPLEGATS\\\",\\\"lower_st\\\":\\\"PER A <span style=\\\\\\\"color:#E43147\\\\\\\" >HIP HOP<\\\\\\/span>\\\",\\\"title\\\":\\\"HIPSTERS\\\",\\\"image\\\":\\\"20221107\\/e2e47ed6286ed709cde3f1dd21188386.webp\\\",\\\"btn_text\\\":\\\"Compra ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"},{\\\"upper_st\\\":\\\"HIVERN\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\" >IMPORTAT<\\\\\\/span> DENIM\\\",\\\"title\\\":\\\"JAQUETES\\\",\\\"image\\\":\\\"20221107\\/2d8f9415456127a43268173e85fb11d9.webp\\\",\\\"btn_text\\\":\\\"Compra ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"}]\",\"et\":\"[{\\\"upper_st\\\":\\\"UUED SAABUMISED\\\",\\\"lower_st\\\":\\\"S\\u00dcNDMUSTEKS <span style=\\\\\\\"color:#E43147\\\\\\\" >HIP HOP<\\\\\\/span>\\\",\\\"title\\\":\\\"HIPSTERID\\\",\\\"image\\\":\\\"20221107\\/e2e47ed6286ed709cde3f1dd21188386.webp\\\",\\\"btn_text\\\":\\\"Osta kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"},{\\\"upper_st\\\":\\\"TALV\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\" >IMPORTEERITUD<\\\\\\/span> DENIM\\\",\\\"title\\\":\\\"JOPED\\\",\\\"image\\\":\\\"20221107\\/2d8f9415456127a43268173e85fb11d9.webp\\\",\\\"btn_text\\\":\\\"Osta kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"}]\",\"nl\":\"[{\\\"upper_st\\\":\\\"NIEUWE AANKOMSTEN\\\",\\\"lower_st\\\":\\\"VOOR DE <span style=\\\\\\\"color:#E43147\\\\\\\" >HIP HOP<\\\\\\/span>\\\",\\\"title\\\":\\\"HIPSTERS\\\",\\\"image\\\":\\\"20221107\\/e2e47ed6286ed709cde3f1dd21188386.webp\\\",\\\"btn_text\\\":\\\"Koop nu\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"},{\\\"upper_st\\\":\\\"WINTER\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\" >GE\\u00cfMPORTEERD<\\\\\\/span> DENIM\\\",\\\"title\\\":\\\"JASSEN\\\",\\\"image\\\":\\\"20221107\\/2d8f9415456127a43268173e85fb11d9.webp\\\",\\\"btn_text\\\":\\\"Koop nu\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"}]\"}'),(161,23,'title','string','{\"en\":\"All Categories\",\"bn\":\"সমস্ত বিভাগ\",\"fr\":\"Toutes catégories\",\"zh\":\"所有类别\",\"ar\":\"جميع الفئات\",\"be\":\"Усе катэгорыі\",\"bg\":\"Всички категории\",\"ca\":\"Totes les categories\",\"et\":\"Kõik kategooriad\",\"nl\":\"Alle categorieën\"}'),(162,23,'category_type','string','selectedCategories'),(168,25,'title','string','{\"en\":\"NEW ARRIVALS\",\"bn\":\"নতুন আগমন\",\"fr\":\"NOUVELLES ARRIVÉES\",\"zh\":\"新品到货\",\"ar\":\"وصل حديثاً\",\"be\":\"НОВЫЯ ПАСТУПЛЕННІ\",\"bg\":\"НОВИ ПРИСТИГНАЛИ\",\"ca\":\"NOVES ARREPLEGATS\",\"et\":\"UUED SAABUMISED\",\"nl\":\"Nieuwkomers\"}'),(169,25,'see_more','string','1'),(170,25,'more_link','string','#'),(171,25,'sidebar','string','0'),(172,25,'sidebar_position','string','left'),(173,25,'showcase_type','string','newArrivals'),(174,25,'row','string','2'),(175,25,'column','string','5'),(176,25,'total_products','string','10'),(177,25,'slide','array','{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button\":\"\",\"link\":\"\"}'),(178,25,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(179,25,'flash','array','{\"badge_text\":\"\"}'),(228,26,'cta','array','{\"en\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color:#ffffff\\\\\\\">EYEWEAR<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">LOOK<\\\\\\/span><span> <span style=\\\\\\\"color: #fcca19\\\\\\\">COOL<\\\\\\/span> <span style=\\\\\\\"color:#ffffff\\\\\\\">WITH<\\\\\\/span> \\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">SUNGLASSES<\\\\\\/span>\\\",\\\"image\\\":\\\"20221107\\/d1113f342bf7753ecf8688fd0dbde093.webp\\\",\\\"btn_text\\\":\\\"Shop Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"},{\\\"upper_st\\\":\\\"FOOTWEAR\\\",\\\"lower_st\\\":\\\"MAN ON THE MIRROR\\\",\\\"title\\\":\\\"SNEAKERS\\\",\\\"image\\\":\\\"20221107\\/30be31d0d269ece9d671efcacc592d19.webp\\\",\\\"btn_text\\\":\\\"Shop Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"}]\",\"bn\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color:#ffffff\\\\\\\">\\u099a\\u09b6\\u09ae\\u09be<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u09a6\\u09c7\\u0996\\u09be<\\\\\\/span><span> <span style=\\\\\\\"color: #fcca19\\\\\\\">\\u09b6\\u09c0\\u09a4\\u09b2<\\\\\\/span> <span style=\\\\\\\"color:#ffffff\\\\\\\">\\u09b8\\u0999\\u09cd\\u0997\\u09c7<\\\\\\/span> \\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u09b8\\u09be\\u09a8\\u0997\\u09cd\\u09b2\\u09be\\u09b8<\\\\\\/span>\\\",\\\"image\\\":\\\"20221107\\/d1113f342bf7753ecf8688fd0dbde093.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"},{\\\"upper_st\\\":\\\"\\u09aa\\u09be\\u09af\\u09bc\\u09c7\\u09b0 \\u099c\\u09c1\\u09a4\\u09be\\\",\\\"lower_st\\\":\\\"\\u09ae\\u09bf\\u09b0\\u09b0\\u09c7 \\u09ae\\u09be\\u09a8\\u09c1\\u09b7\\\",\\\"title\\\":\\\"\\u09b8\\u09cd\\u09a8\\u09bf\\u0995\\u09be\\u09b0\\u09cd\\u09b8\\\",\\\"image\\\":\\\"20221107\\/30be31d0d269ece9d671efcacc592d19.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"}]\",\"fr\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color:#ffffff\\\\\\\">LUNETTES<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">REGARDEZ<\\\\\\/span><span> <span style=\\\\\\\"color: #fcca19\\\\\\\">COOL<\\\\\\/span> <span style=\\\\\\\"color:#ffffff\\\\\\\">AVEC<\\\\\\/span> \\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">LUNETTES DE SOLEIL<\\\\\\/span>\\\",\\\"image\\\":\\\"20221107\\/d1113f342bf7753ecf8688fd0dbde093.webp\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"},{\\\"upper_st\\\":\\\"CHAUSSURES\\\",\\\"lower_st\\\":\\\"L\'HOMME DANS LE MIROIR\\\",\\\"title\\\":\\\"BASKETS\\\",\\\"image\\\":\\\"20221107\\/30be31d0d269ece9d671efcacc592d19.webp\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"}]\",\"zh\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color:#ffffff\\\\\\\">\\u773c\\u955c<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u770b<\\\\\\/span><span> <span style=\\\\\\\"color: #fcca19\\\\\\\">\\u9177<\\\\\\/span> <span style=\\\\\\\"color:#ffffff\\\\\\\">\\u7528<\\\\\\/span> \\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u592a\\u9633\\u955c<\\\\\\/span>\\\",\\\"image\\\":\\\"20221107\\/d1113f342bf7753ecf8688fd0dbde093.webp\\\",\\\"btn_text\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"},{\\\"upper_st\\\":\\\"\\u978b\\\",\\\"lower_st\\\":\\\"\\u955c\\u4e2d\\u4eba\\\",\\\"title\\\":\\\"\\u8fd0\\u52a8\\u978b\\\",\\\"image\\\":\\\"20221107\\/30be31d0d269ece9d671efcacc592d19.webp\\\",\\\"btn_text\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"}]\",\"ar\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color:#ffffff\\\\\\\">\\u0646\\u0638\\u0627\\u0631\\u0627\\u062a<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u0627\\u0646\\u0638\\u0631<\\\\\\/span><span> <span style=\\\\\\\"color: #fcca19\\\\\\\">\\u0628\\u0627\\u0631\\u062f<\\\\\\/span> <span style=\\\\\\\"color:#ffffff\\\\\\\">\\u0645\\u0639<\\\\\\/span> \\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u0646\\u0638\\u0627\\u0631\\u0627\\u062a \\u0634\\u0645\\u0633\\u064a\\u0629<\\\\\\/span>\\\",\\\"image\\\":\\\"20221107\\/d1113f342bf7753ecf8688fd0dbde093.webp\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"},{\\\"upper_st\\\":\\\"\\u0623\\u062d\\u0630\\u064a\\u0629\\\",\\\"lower_st\\\":\\\"\\u0627\\u0644\\u0631\\u062c\\u0644 \\u0641\\u064a \\u0627\\u0644\\u0645\\u0631\\u0622\\u0629\\\",\\\"title\\\":\\\"\\u062d\\u0630\\u0627\\u0621 \\u0631\\u064a\\u0627\\u0636\\u064a\\\",\\\"image\\\":\\\"20221107\\/30be31d0d269ece9d671efcacc592d19.webp\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"}]\",\"be\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color:#ffffff\\\\\\\">\\u0410\\u041a\\u0421\\u042d\\u0421\\u0423\\u0410\\u0420\\u042b \\u0414\\u041b\\u042f \\u0412\\u0410\\u0421<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u0413\\u041b\\u042f\\u0414\\u0417\\u0415\\u0426\\u042c<\\\\\\/span><span> <span style=\\\\\\\"color: #fcca19\\\\\\\">\\u041a\\u0423\\u041b\\u042c<\\\\\\/span> <span style=\\\\\\\"color:#ffffff\\\\\\\">\\u0417<\\\\\\/span> \\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u0421\\u041e\\u041b\\u041d\\u0426\\u0410\\u0412\\u042b\\u042f \\u0410\\u041a\\u0421\\u042d\\u0421\\u0423\\u0410\\u0420\\u042b<\\\\\\/span>\\\",\\\"image\\\":\\\"20221107\\/d1113f342bf7753ecf8688fd0dbde093.webp\\\",\\\"btn_text\\\":\\\"\\u041a\\u0423\\u041f\\u0406\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"},{\\\"upper_st\\\":\\\"\\u0410\\u0411\\u0423\\u0412\\u042b\\\",\\\"lower_st\\\":\\\"\\u0427\\u0410\\u041b\\u0410\\u0412\\u0415\\u041a \\u0423 \\u0417\\u042f\\u0420\\u041a\\u0410\\u041b\\u0415\\\",\\\"title\\\":\\\"\\u0421\\u041f\\u041e\\u0420\\u0422\\u0428\\u0423\\u0417\\u042b\\\",\\\"image\\\":\\\"20221107\\/30be31d0d269ece9d671efcacc592d19.webp\\\",\\\"btn_text\\\":\\\"\\u041a\\u0423\\u041f\\u0406\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"}]\",\"bg\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color:#ffffff\\\\\\\">\\u041e\\u0427\\u0418\\u041b\\u0410<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u0413\\u041b\\u0415\\u0414\\u0410\\u041c<\\\\\\/span><span> <span style=\\\\\\\"color: #fcca19\\\\\\\">\\u041f\\u0420\\u0418\\u041b\\u0418\\u0427\\u0415\\u041d<\\\\\\/span> <span style=\\\\\\\"color:#ffffff\\\\\\\">\\u0421<\\\\\\/span> \\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u0421\\u041b\\u042a\\u041d\\u0427\\u0415\\u0412\\u0418 \\u041e\\u0427\\u0418\\u041b\\u0410<\\\\\\/span>\\\",\\\"image\\\":\\\"20221107\\/d1113f342bf7753ecf8688fd0dbde093.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u0410\\u0417\\u0410\\u0420\\u0423\\u0412\\u0410\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"},{\\\"upper_st\\\":\\\"\\u041e\\u0411\\u0423\\u0412\\u041a\\u0418\\\",\\\"lower_st\\\":\\\"\\u0427\\u041e\\u0412\\u0415\\u041a\\u042a\\u0422 \\u0412 \\u041e\\u0413\\u041b\\u0415\\u0414\\u0410\\u041b\\u041e\\u0422\\u041e\\\",\\\"title\\\":\\\"\\u041c\\u0410\\u0420\\u0410\\u0422\\u041e\\u041d\\u041a\\u0418\\\",\\\"image\\\":\\\"20221107\\/30be31d0d269ece9d671efcacc592d19.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u0410\\u0417\\u0410\\u0420\\u0423\\u0412\\u0410\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"}]\",\"ca\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color:#ffffff\\\\\\\">ULLERES<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">MIRA<\\\\\\/span><span> <span style=\\\\\\\"color: #fcca19\\\\\\\">FRED<\\\\\\/span> <span style=\\\\\\\"color:#ffffff\\\\\\\">AMB<\\\\\\/span> \\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">ULLERES DE SOL<\\\\\\/span>\\\",\\\"image\\\":\\\"20221107\\/d1113f342bf7753ecf8688fd0dbde093.webp\\\",\\\"btn_text\\\":\\\"Compra ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"},{\\\"upper_st\\\":\\\"CAL\\u00c7AT\\\",\\\"lower_st\\\":\\\"HOME AL MIRALL\\\",\\\"title\\\":\\\"SNEAKERS\\\",\\\"image\\\":\\\"20221107\\/30be31d0d269ece9d671efcacc592d19.webp\\\",\\\"btn_text\\\":\\\"Compra ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"}]\",\"et\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color:#ffffff\\\\\\\">PRILLID<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">VAATA<\\\\\\/span><span> <span style=\\\\\\\"color: #fcca19\\\\\\\">JAHED<\\\\\\/span> <span style=\\\\\\\"color:#ffffff\\\\\\\">KOOS<\\\\\\/span> \\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">P\\u00c4IKSEPRILLID<\\\\\\/span>\\\",\\\"image\\\":\\\"20221107\\/d1113f342bf7753ecf8688fd0dbde093.webp\\\",\\\"btn_text\\\":\\\"Osta kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"},{\\\"upper_st\\\":\\\"JALAN\\u00d5UD\\\",\\\"lower_st\\\":\\\"MEES PEILIS\\\",\\\"title\\\":\\\"JALGRATAS\\\",\\\"image\\\":\\\"20221107\\/30be31d0d269ece9d671efcacc592d19.webp\\\",\\\"btn_text\\\":\\\"Osta kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"}]\",\"nl\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color:#ffffff\\\\\\\">BRILLEN<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">KIJK<\\\\\\/span><span> <span style=\\\\\\\"color: #fcca19\\\\\\\">KOEL<\\\\\\/span> <span style=\\\\\\\"color:#ffffff\\\\\\\">MET<\\\\\\/span> \\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">ZONNEBRILLEN<\\\\\\/span>\\\",\\\"image\\\":\\\"20221107\\/d1113f342bf7753ecf8688fd0dbde093.webp\\\",\\\"btn_text\\\":\\\"Koop nu\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"},{\\\"upper_st\\\":\\\"SCHOEISEL\\\",\\\"lower_st\\\":\\\"MAN IN DE SPIEGEL\\\",\\\"title\\\":\\\"SNEAKERS\\\",\\\"image\\\":\\\"20221107\\/30be31d0d269ece9d671efcacc592d19.webp\\\",\\\"btn_text\\\":\\\"Koop nu\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA\\\"}]\"}'),(232,27,'title','string','{\"en\":\"BEST DEALS OF THE WEEK\",\"bn\":\"সপ্তাহের সেরা অফার\",\"fr\":\"MEILLEURES OFFRES DE LA SEMAINE\",\"zh\":\"本周最佳优惠\",\"ar\":\"أفضل العروض في الأسبوع\",\"be\":\"ЛЕПШЫЯ ПРАПАНОВЫ ТЫДНЯ\",\"bg\":\"НАЙ-ДОБРИТЕ ДЕАЛИ НА СЕДМИЦАТА\",\"ca\":\"MILLORS OFERTES DE LA SETMANA\",\"et\":\"NÄDALA PARIMAD PAKKUMISED\",\"nl\":\"BESTE DEALS VAN DE WEEK\"}'),(233,27,'see_more','string','0'),(234,27,'more_link','string',''),(235,27,'sidebar','string','0'),(236,27,'sidebar_position','string','left'),(237,27,'showcase_type','string','newArrivals'),(238,27,'row','string','2'),(239,27,'column','string','6'),(240,27,'total_products','string','12'),(241,27,'slide','array','{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button\":\"\",\"link\":\"\"}'),(242,27,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(243,27,'flash','array','{\"badge_text\":\"\"}'),(244,27,'query','array','[{\"type\":\"where\",\"column\":\"tag\",\"operation\":\"in\",\"value\":[\"54\"]}]'),(245,28,'slider','string','fashion-accessories'),(246,28,'full','string','0'),(247,29,'title','string','{\"en\":\"JUST FOR MEN\",\"bn\":\"পুরুষদের জন্য\",\"fr\":\"JUSTE POUR LES HOMMES\",\"zh\":\"专为男士\",\"ar\":\"للرجال فقط\",\"be\":\"ТОЛЬКІ ДЛЯ МУЖЧЫН\",\"bg\":\"САМО ЗА МЪЖЕТЕ\",\"ca\":\"NOMÉS PER A HOMES\",\"et\":\"AINULT MEESTELE\",\"nl\":\"ALLEEN VOOR MANNEN\"}'),(248,29,'see_more','string','1'),(249,29,'more_link','string','http://localhost/multi-vendor/search-products?categories=Fashion'),(250,29,'sidebar','string','slide'),(251,29,'sidebar_position','string','right'),(252,29,'showcase_type','string','queryProducts'),(253,29,'row','string',''),(254,29,'column','string',''),(255,29,'total_products','string','0'),(256,29,'slide','array','{\"en\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"color:#2c2c2c\\\\\\\">For Men<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"SPREAD <span style=\\\\\\\"color:red\\\\\\\">Handsome<\\\\\\/span> \\\",\\\"title\\\":\\\"Outfit\\\",\\\"image\\\":\\\"20221123\\/a032be4f9f09a82934d28c9879b1e156.webp\\\",\\\"button\\\":\\\"Shop Now\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"bn\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"color:#2c2c2c\\\\\\\">\\u09aa\\u09c1\\u09b0\\u09c1\\u09b7\\u09a6\\u09c7\\u09b0 \\u099c\\u09a8\\u09cd\\u09af<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"\\u099b\\u09a1\\u09bc\\u09be\\u09a8 <span style=\\\\\\\"color:red\\\\\\\">\\u09b8\\u09c1\\u09a8\\u09cd\\u09a6\\u09b0<\\\\\\/span> \\\",\\\"title\\\":\\\"\\u0986\\u0989\\u099f\\u09ab\\u09bf\\u099f\\\",\\\"image\\\":\\\"20221123\\/a032be4f9f09a82934d28c9879b1e156.webp\\\",\\\"button\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"fr\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"color:#2c2c2c\\\\\\\">Pour les hommes<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"\\u00c9TALER <span style=\\\\\\\"color:red\\\\\\\">Beau<\\\\\\/span> \\\",\\\"title\\\":\\\"Tenue\\\",\\\"image\\\":\\\"20221123\\/a032be4f9f09a82934d28c9879b1e156.webp\\\",\\\"button\\\":\\\"Achetez maintenant\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"zh\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"color:#2c2c2c\\\\\\\">\\u7537\\u58eb<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"\\u5c55\\u5f00 <span style=\\\\\\\"color:red\\\\\\\">\\u82f1\\u4fca<\\\\\\/span> \\\",\\\"title\\\":\\\"\\u88c5\\u5907\\\",\\\"image\\\":\\\"20221123\\/a032be4f9f09a82934d28c9879b1e156.webp\\\",\\\"button\\\":\\\"\\u7acb\\u5373\\u8d2d\\u4e70\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"ar\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"color:#2c2c2c\\\\\\\">\\u0644\\u0644\\u0631\\u062c\\u0627\\u0644<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"\\u0627\\u0646\\u062a\\u0634\\u0627\\u0631 <span style=\\\\\\\"color:red\\\\\\\">\\u0648\\u0633\\u064a\\u0645<\\\\\\/span> \\\",\\\"title\\\":\\\"\\u0632\\u064a\\\",\\\"image\\\":\\\"20221123\\/a032be4f9f09a82934d28c9879b1e156.webp\\\",\\\"button\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"be\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"color:#2c2c2c\\\\\\\">\\u0414\\u041b\\u042f \\u041c\\u0423\\u0416\\u0427\\u042b\\u041d<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"\\u0420\\u0410\\u0421\\u041f\\u0410\\u040e\\u0421\\u0426\\u0406 <span style=\\\\\\\"color:red\\\\\\\">\\u0421\\u0426\\u0406\\u0428\\u0410\\u041d\\u042b<\\\\\\/span> \\\",\\\"title\\\":\\\"\\u0412\\u041e\\u0414\\u0417\\u0415\\u041d\\u041d\\u0415\\\",\\\"image\\\":\\\"20221123\\/a032be4f9f09a82934d28c9879b1e156.webp\\\",\\\"button\\\":\\\"\\u041a\\u0443\\u043f\\u043b\\u044f\\u0439\\u0446\\u0435 \\u0437\\u0430\\u0440\\u0430\\u0437\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"bg\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"color:#2c2c2c\\\\\\\">\\u0417\\u0410 \\u041c\\u042a\\u0416\\u0415<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"\\u0420\\u0410\\u0417\\u041f\\u0420\\u041e\\u0421\\u0422\\u0420\\u0410\\u041d\\u0415\\u041d\\u0418\\u0415 <span style=\\\\\\\"color:red\\\\\\\">\\u041a\\u0420\\u0410\\u0421\\u0418\\u0412<\\\\\\/span> \\\",\\\"title\\\":\\\"\\u041e\\u0411\\u041b\\u0415\\u041a\\u041b\\u041e\\\",\\\"image\\\":\\\"20221123\\/a032be4f9f09a82934d28c9879b1e156.webp\\\",\\\"button\\\":\\\"\\u041f\\u0430\\u0437\\u0430\\u0440\\u0443\\u0432\\u0430\\u0439\\u0442\\u0435 \\u0441\\u0435\\u0433\\u0430\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"ca\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"color:#2c2c2c\\\\\\\">Per als homes<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"ESTENDRE <span style=\\\\\\\"color:red\\\\\\\">GUAP<\\\\\\/span> \\\",\\\"title\\\":\\\"CONJUNT\\\",\\\"image\\\":\\\"20221123\\/a032be4f9f09a82934d28c9879b1e156.webp\\\",\\\"button\\\":\\\"Compra ara\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"et\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"color:#2c2c2c\\\\\\\">Mehed<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"LAOTUS <span style=\\\\\\\"color:red\\\\\\\">KENA<\\\\\\/span> \\\",\\\"title\\\":\\\"RIIETUS\\\",\\\"image\\\":\\\"20221123\\/a032be4f9f09a82934d28c9879b1e156.webp\\\",\\\"button\\\":\\\"Osta kohe\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"nl\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"color:#2c2c2c\\\\\\\">Voor mannen<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"VERSPREIDEN <span style=\\\\\\\"color:red\\\\\\\">Knap<\\\\\\/span> \\\",\\\"title\\\":\\\"Outfit\\\",\\\"image\\\":\\\"20221123\\/a032be4f9f09a82934d28c9879b1e156.webp\\\",\\\"button\\\":\\\"Winkel nu\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\"}'),(257,29,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(258,29,'flash','array','{\"badge_text\":\"\"}'),(259,29,'query','array','[{\"type\":\"where\",\"column\":\"category\",\"operation\":\"in\",\"value\":[\"46\",\"293\",\"301\",\"332\",\"395\",\"404\"]}]'),(286,30,'title','string','{\"en\":\"Latest News\",\"bn\":\"সর্বশেষ সংবাদ\",\"fr\":\"Dernières nouvelles\",\"zh\":\"最新消息\",\"ar\":\"آخر الأخبار\",\"be\":\"АКТУАЛЬНЫЯ НОВАСЦІ\",\"bg\":\"ПОСЛЕДНИ НОВИНИ\",\"ca\":\"ÚLTIMES NOTÍCIES\",\"et\":\"Viimased uudised\",\"nl\":\"Laatste nieuws\"}'),(287,30,'blog_type','string','selectedBlogs'),(288,30,'blog_limit','string','3'),(289,31,'slider','string','grocery'),(290,31,'full','string','0'),(291,20,'mt','string','30px'),(292,20,'mb','string','0px'),(293,20,'rounded','string','1'),(306,22,'mt','string','30px'),(307,22,'mb','string','0px'),(308,22,'rounded','string','1'),(309,22,'full_link','string','0'),(311,23,'mt','string','30px'),(312,23,'mb','string','0px'),(315,25,'mt','string','42'),(316,25,'mb','string','0px'),(329,26,'mt','string','60px'),(330,26,'mb','string','0px'),(331,26,'rounded','string','1'),(332,26,'full_link','string','0'),(334,27,'mt','string','60px'),(335,27,'mb','string','0px'),(349,28,'mt','string','60px'),(350,28,'mb','string','0px'),(351,28,'rounded','string','1'),(354,29,'mt','string','60px'),(355,29,'mb','string','0px'),(369,30,'mt','string','60px'),(370,30,'mb','string','0px'),(457,31,'mt','string','20px'),(458,31,'mb','string','0px'),(459,31,'rounded','string','1'),(467,32,'cta','array','{\"en\":\"[{\\\"upper_st\\\":\\\"MOST POPULAR\\\",\\\"lower_st\\\":\\\"HEALTHY <span style=\\\\\\\"color: #E43147\\\\\\\">DIET<\\\\\\/span> \\\",\\\"title\\\":\\\"FRUITS & VEGGIES\\\",\\\"image\\\":\\\"20221115\\/47669d2f2236f1218e924d7c9c443e8c.webp\\\",\\\"btn_text\\\":\\\"Shop Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"SEAFOOD\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #E43147\\\\\\\">IMPORTED<\\\\\\/span> FROM \\\",\\\"title\\\":\\\"AUSTRALIA\\\",\\\"image\\\":\\\"20221115\\/1e6c50bf9437f5cf4f86f9fe025547b8.webp\\\",\\\"btn_text\\\":\\\"Shop Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"bn\":\"[{\\\"upper_st\\\":\\\"\\u09b8\\u09ac\\u099a\\u09c7\\u09af\\u09bc\\u09c7 \\u099c\\u09a8\\u09aa\\u09cd\\u09b0\\u09bf\\u09af\\u09bc\\\",\\\"lower_st\\\":\\\"\\u09b8\\u09c1\\u09b8\\u09cd\\u09a5 <span style=\\\\\\\"color: #E43147\\\\\\\">\\u09a1\\u09be\\u09af\\u09bc\\u09c7\\u099f<\\\\\\/span> \\\",\\\"title\\\":\\\"\\u09ab\\u09b2 \\u098f\\u09ac\\u0982 \\u09b6\\u09be\\u0995\\u09b8\\u09ac\\u099c\\u09bf\\\",\\\"image\\\":\\\"20221115\\/47669d2f2236f1218e924d7c9c443e8c.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u09b8\\u09ae\\u09c1\\u09a6\\u09cd\\u09b0\\u09c0 \\u0996\\u09be\\u09ac\\u09be\\u09b0\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #E43147\\\\\\\">\\u0986\\u09ae\\u09a6\\u09be\\u09a8\\u09bf<\\\\\\/span> \\u09a5\\u09c7\\u0995\\u09c7 \\\",\\\"title\\\":\\\"AUSTRALIA\\\",\\\"image\\\":\\\"20221115\\/1e6c50bf9437f5cf4f86f9fe025547b8.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"fr\":\"[{\\\"upper_st\\\":\\\"LES PLUS POPULAIRES\\\",\\\"lower_st\\\":\\\"SAIN <span style=\\\\\\\"color: #E43147\\\\\\\">R\\u00c9GIME<\\\\\\/span> \\\",\\\"title\\\":\\\"FRUITS ET L\\u00c9GUMES\\\",\\\"image\\\":\\\"20221115\\/47669d2f2236f1218e924d7c9c443e8c.webp\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"FRUITS DE MER\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #E43147\\\\\\\">IMPORT\\u00c9<\\\\\\/span> DE \\\",\\\"title\\\":\\\"AUSTRALIA\\\",\\\"image\\\":\\\"20221115\\/1e6c50bf9437f5cf4f86f9fe025547b8.webp\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"zh\":\"[{\\\"upper_st\\\":\\\"\\u6700\\u53d7\\u6b22\\u8fce\\\",\\\"lower_st\\\":\\\"\\u5065\\u5eb7 <span style=\\\\\\\"color: #E43147\\\\\\\">\\u996e\\u98df<\\\\\\/span> \\\",\\\"title\\\":\\\"\\u6c34\\u679c\\u548c\\u852c\\u83dc\\\",\\\"image\\\":\\\"20221115\\/47669d2f2236f1218e924d7c9c443e8c.webp\\\",\\\"btn_text\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u6d77\\u9c9c\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #E43147\\\\\\\">\\u8fdb\\u53e3<\\\\\\/span> \\u4ece \\\",\\\"title\\\":\\\"AUSTRALIA\\\",\\\"image\\\":\\\"20221115\\/1e6c50bf9437f5cf4f86f9fe025547b8.webp\\\",\\\"btn_text\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"ar\":\"[{\\\"upper_st\\\":\\\"\\u0627\\u0644\\u0623\\u0643\\u062b\\u0631 \\u0634\\u064a\\u0648\\u0639\\u0627\\\",\\\"lower_st\\\":\\\"\\u0635\\u062d\\u064a <span style=\\\\\\\"color: #E43147\\\\\\\">\\u062d\\u0645\\u064a\\u0629<\\\\\\/span> \\\",\\\"title\\\":\\\"\\u0641\\u0648\\u0627\\u0643\\u0647 \\u0648\\u062e\\u0636\\u0631\\u0648\\u0627\\u062a\\\",\\\"image\\\":\\\"20221115\\/47669d2f2236f1218e924d7c9c443e8c.webp\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u0645\\u0623\\u0643\\u0648\\u0644\\u0627\\u062a \\u0628\\u062d\\u0631\\u064a\\u0629\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #E43147\\\\\\\">\\u0645\\u0633\\u062a\\u0648\\u0631\\u062f<\\\\\\/span> \\u0645\\u0646 \\\",\\\"title\\\":\\\"AUSTRALIA\\\",\\\"image\\\":\\\"20221115\\/1e6c50bf9437f5cf4f86f9fe025547b8.webp\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"be\":\"[{\\\"upper_st\\\":\\\"\\u0421\\u0410\\u041c\\u042b\\u042f \\u041f\\u0410\\u041f\\u0423\\u041b\\u042f\\u0420\\u041d\\u042b\\u042f\\\",\\\"lower_st\\\":\\\"\\u0417\\u0414\\u0410\\u0420\\u041e\\u0412\\u0410\\u0415 <span style=\\\\\\\"color: #E43147\\\\\\\">\\u0414\\u042b\\u0415\\u0422\\u0410<\\\\\\/span> \\\",\\\"title\\\":\\\"\\u0424\\u0420\\u0423\\u041a\\u0422\\u042b \\u0406 \\u0421\\u0410\\u041b\\u0410\\u0422\\u042b\\\",\\\"image\\\":\\\"20221115\\/47669d2f2236f1218e924d7c9c443e8c.webp\\\",\\\"btn_text\\\":\\\"\\u041a\\u0423\\u041f\\u0406\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u041c\\u041e\\u0420\\u0421\\u041a\\u0406\\u042f \\u041f\\u0420\\u0410\\u0414\\u0423\\u041a\\u0426\\u042b\\u0406\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #E43147\\\\\\\">\\u0406\\u041c\\u041f\\u041e\\u0420\\u0422<\\\\\\/span> \\u0417 \\\",\\\"title\\\":\\\"AUSTRALIA\\\",\\\"image\\\":\\\"20221115\\/1e6c50bf9437f5cf4f86f9fe025547b8.webp\\\",\\\"btn_text\\\":\\\"\\u041a\\u0423\\u041f\\u0406\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"bg\":\"[{\\\"upper_st\\\":\\\"\\u041d\\u0410\\u0419-\\u041f\\u041e\\u041f\\u0423\\u041b\\u042f\\u0420\\u041d\\u0418\\\",\\\"lower_st\\\":\\\"\\u0417\\u0414\\u0420\\u0410\\u0412\\u041e\\u0421\\u041b\\u041e\\u0412\\u0415\\u041d <span style=\\\\\\\"color: #E43147\\\\\\\">\\u0414\\u0418\\u0415\\u0422\\u0410<\\\\\\/span> \\\",\\\"title\\\":\\\"\\u041f\\u041b\\u041e\\u0414\\u041e\\u0412\\u0415 \\u0418 \\u0417\\u0415\\u041b\\u0415\\u041d\\u0427\\u0423\\u0426\\u0418\\\",\\\"image\\\":\\\"20221115\\/47669d2f2236f1218e924d7c9c443e8c.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u0410\\u0417\\u0410\\u0420\\u0423\\u0412\\u0410\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u041c\\u041e\\u0420\\u0421\\u041a\\u0418 \\u0414\\u0410\\u0420\\u041e\\u0412\\u0415\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #E43147\\\\\\\">\\u0418\\u041c\\u041f\\u041e\\u0420\\u0422\\u0418\\u0420\\u0410\\u041d\\u0418<\\\\\\/span> \\u041e\\u0422 \\\",\\\"title\\\":\\\"AUSTRALIA\\\",\\\"image\\\":\\\"20221115\\/1e6c50bf9437f5cf4f86f9fe025547b8.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u0410\\u0417\\u0410\\u0420\\u0423\\u0412\\u0410\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"ca\":\"[{\\\"upper_st\\\":\\\"ELS M\\u00c9S POPULARS\\\",\\\"lower_st\\\":\\\"SALUDABLE <span style=\\\\\\\"color: #E43147\\\\\\\">DIETA<\\\\\\/span> \\\",\\\"title\\\":\\\"FRUITES I VERDURES\\\",\\\"image\\\":\\\"20221115\\/47669d2f2236f1218e924d7c9c443e8c.webp\\\",\\\"btn_text\\\":\\\"Compra ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"MARISC\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #E43147\\\\\\\">IMPORTAT<\\\\\\/span> DES DE \\\",\\\"title\\\":\\\"AUSTRALIA\\\",\\\"image\\\":\\\"20221115\\/1e6c50bf9437f5cf4f86f9fe025547b8.webp\\\",\\\"btn_text\\\":\\\"Compra ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"et\":\"[{\\\"upper_st\\\":\\\"ENIM POPULAARNE\\\",\\\"lower_st\\\":\\\"TERVE <span style=\\\\\\\"color: #E43147\\\\\\\">TOITUMINE<\\\\\\/span> \\\",\\\"title\\\":\\\"PUUVILJAD JA K\\u00d6\\u00d6GIVILJAD\\\",\\\"image\\\":\\\"20221115\\/47669d2f2236f1218e924d7c9c443e8c.webp\\\",\\\"btn_text\\\":\\\"Osta kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"MERETOIDUD\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #E43147\\\\\\\">IMPORTEERITUD<\\\\\\/span> ALATES \\\",\\\"title\\\":\\\"AUSTRALIA\\\",\\\"image\\\":\\\"20221115\\/1e6c50bf9437f5cf4f86f9fe025547b8.webp\\\",\\\"btn_text\\\":\\\"Osta kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"nl\":\"[{\\\"upper_st\\\":\\\"MEEST POPULAIR\\\",\\\"lower_st\\\":\\\"GEZOND <span style=\\\\\\\"color: #E43147\\\\\\\">DIEET<\\\\\\/span> \\\",\\\"title\\\":\\\"FRUIT EN GROENTEN\\\",\\\"image\\\":\\\"20221115\\/47669d2f2236f1218e924d7c9c443e8c.webp\\\",\\\"btn_text\\\":\\\"Koop nu\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"ZEEVRUCHTEN\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #E43147\\\\\\\">GE\\u00cfMPORTEERD<\\\\\\/span> VAN \\\",\\\"title\\\":\\\"AUSTRALIA\\\",\\\"image\\\":\\\"20221115\\/1e6c50bf9437f5cf4f86f9fe025547b8.webp\\\",\\\"btn_text\\\":\\\"Koop nu\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\"}'),(468,32,'mt','string','30px'),(469,32,'mb','string','0px'),(470,32,'rounded','string','1'),(471,32,'full_link','string','0'),(482,33,'iconbox','array','{\"en\":\"[{\\\"image\\\":\\\"20221115\\/de33eec9500a50ee5d6f714d31e98094.webp\\\",\\\"title\\\":\\\"Free Shipping Worldwide\\\",\\\"subtitle\\\":\\\"For all orders over $350\\\"},{\\\"image\\\":\\\"20221115\\/4357b3a08c4e65913301c7a2f57fcaac.webp\\\",\\\"title\\\":\\\"Secured Online Payment\\\",\\\"subtitle\\\":\\\"Payment protection guaranteed\\\"},{\\\"image\\\":\\\"20221115\\/343206d91dbb2e9ad17f2d2d38230c75.webp\\\",\\\"title\\\":\\\"Money Back Guarantee\\\",\\\"subtitle\\\":\\\"If goods have problems\\\"}]\",\"bn\":\"[{\\\"image\\\":\\\"20221115\\/de33eec9500a50ee5d6f714d31e98094.webp\\\",\\\"title\\\":\\\"\\u09ac\\u09bf\\u09b6\\u09cd\\u09ac\\u09ac\\u09cd\\u09af\\u09be\\u09aa\\u09c0 \\u09ac\\u09bf\\u09a8\\u09be\\u09ae\\u09c2\\u09b2\\u09cd\\u09af\\u09c7 \\u09b6\\u09bf\\u09aa\\u09bf\\u0982\\\",\\\"subtitle\\\":\\\"$350 \\u098f\\u09b0 \\u0989\\u09aa\\u09b0\\u09c7\\u09b0 \\u09b8\\u09ae\\u09b8\\u09cd\\u09a4 \\u0986\\u09a6\\u09c7\\u09b6\\u09c7\\u09b0 \\u099c\\u09a8\\u09cd\\u09af\\\"},{\\\"image\\\":\\\"20221115\\/4357b3a08c4e65913301c7a2f57fcaac.webp\\\",\\\"title\\\":\\\"\\u09a8\\u09bf\\u09b0\\u09be\\u09aa\\u09a6 \\u0985\\u09a8\\u09b2\\u09be\\u0987\\u09a8 \\u09aa\\u09c7\\u09ae\\u09c7\\u09a8\\u09cd\\u099f\\\",\\\"subtitle\\\":\\\"\\u0985\\u09b0\\u09cd\\u09a5 \\u09b8\\u0982\\u09b0\\u0995\\u09cd\\u09b7\\u09a3 \\u09a8\\u09bf\\u09b6\\u09cd\\u099a\\u09bf\\u09a4\\\"},{\\\"image\\\":\\\"20221115\\/343206d91dbb2e9ad17f2d2d38230c75.webp\\\",\\\"title\\\":\\\"\\u0985\\u09b0\\u09cd\\u09a5 \\u09ab\\u09c7\\u09b0\\u09a4 \\u0997\\u09cd\\u09af\\u09be\\u09b0\\u09be\\u09a8\\u09cd\\u099f\\u09bf\\\",\\\"subtitle\\\":\\\"\\u09af\\u09a6\\u09bf \\u09aa\\u09a3\\u09cd\\u09af\\u09c7 \\u09b8\\u09ae\\u09b8\\u09cd\\u09af\\u09be \\u09a5\\u09be\\u0995\\u09c7\\\"}]\",\"fr\":\"[{\\\"image\\\":\\\"20221115\\/de33eec9500a50ee5d6f714d31e98094.webp\\\",\\\"title\\\":\\\"Livraison gratuite dans le monde entier\\\",\\\"subtitle\\\":\\\"Pour toutes les commandes de plus de 350 $\\\"},{\\\"image\\\":\\\"20221115\\/4357b3a08c4e65913301c7a2f57fcaac.webp\\\",\\\"title\\\":\\\"Paiement en ligne s\\u00e9curis\\u00e9\\\",\\\"subtitle\\\":\\\"Protection des paiements garantie\\\"},{\\\"image\\\":\\\"20221115\\/343206d91dbb2e9ad17f2d2d38230c75.webp\\\",\\\"title\\\":\\\"Garantie de remboursement\\\",\\\"subtitle\\\":\\\"Si les marchandises ont des probl\\u00e8mes\\\"}]\",\"zh\":\"[{\\\"image\\\":\\\"20221115\\/de33eec9500a50ee5d6f714d31e98094.webp\\\",\\\"title\\\":\\\"\\u5168\\u7403\\u514d\\u8d39\\u9001\\u8d27\\\",\\\"subtitle\\\":\\\"\\u6240\\u6709\\u8ba2\\u5355\\u8d85\\u8fc7$350\\\"},{\\\"image\\\":\\\"20221115\\/4357b3a08c4e65913301c7a2f57fcaac.webp\\\",\\\"title\\\":\\\"\\u5b89\\u5168\\u7684\\u5728\\u7ebf\\u652f\\u4ed8\\\",\\\"subtitle\\\":\\\"\\u4ed8\\u6b3e\\u4fdd\\u62a4\\u4fdd\\u8bc1\\\"},{\\\"image\\\":\\\"20221115\\/343206d91dbb2e9ad17f2d2d38230c75.webp\\\",\\\"title\\\":\\\"\\u9000\\u6b3e\\u4fdd\\u8bc1\\\",\\\"subtitle\\\":\\\"\\u5982\\u679c\\u5546\\u54c1\\u6709\\u95ee\\u9898\\\"}]\",\"ar\":\"[{\\\"image\\\":\\\"20221115\\/de33eec9500a50ee5d6f714d31e98094.webp\\\",\\\"title\\\":\\\"\\u0627\\u0644\\u0634\\u062d\\u0646 \\u0627\\u0644\\u0645\\u062c\\u0627\\u0646\\u064a \\u0641\\u064a \\u062c\\u0645\\u064a\\u0639 \\u0623\\u0646\\u062d\\u0627\\u0621 \\u0627\\u0644\\u0639\\u0627\\u0644\\u0645\\\",\\\"subtitle\\\":\\\"\\u0644\\u062c\\u0645\\u064a\\u0639 \\u0627\\u0644\\u0637\\u0644\\u0628\\u0627\\u062a \\u0627\\u0644\\u062a\\u064a \\u062a\\u0632\\u064a\\u062f \\u0639\\u0646 350 \\u062f\\u0648\\u0644\\u0627\\u0631\\\"},{\\\"image\\\":\\\"20221115\\/4357b3a08c4e65913301c7a2f57fcaac.webp\\\",\\\"title\\\":\\\"\\u0627\\u0644\\u062f\\u0641\\u0639 \\u0627\\u0644\\u0622\\u0645\\u0646 \\u0639\\u0628\\u0631 \\u0627\\u0644\\u0625\\u0646\\u062a\\u0631\\u0646\\u062a\\\",\\\"subtitle\\\":\\\"\\u0636\\u0645\\u0627\\u0646 \\u062d\\u0645\\u0627\\u064a\\u0629 \\u0627\\u0644\\u062f\\u0641\\u0639\\\"},{\\\"image\\\":\\\"20221115\\/343206d91dbb2e9ad17f2d2d38230c75.webp\\\",\\\"title\\\":\\\"\\u0636\\u0645\\u0627\\u0646 \\u0627\\u0633\\u062a\\u0639\\u0627\\u062f\\u0629 \\u0627\\u0644\\u0623\\u0645\\u0648\\u0627\\u0644\\\",\\\"subtitle\\\":\\\"\\u0625\\u0630\\u0627 \\u0643\\u0627\\u0646\\u062a \\u0627\\u0644\\u0633\\u0644\\u0639 \\u062a\\u0648\\u0627\\u062c\\u0647 \\u0645\\u0634\\u0643\\u0644\\u0629\\\"}]\",\"be\":\"[{\\\"image\\\":\\\"20221115\\/de33eec9500a50ee5d6f714d31e98094.webp\\\",\\\"title\\\":\\\"\\u0411\\u044f\\u0441\\u043f\\u043b\\u0430\\u0442\\u043d\\u0430\\u044f \\u0434\\u0430\\u0441\\u0442\\u0430\\u045e\\u043a\\u0430 \\u043f\\u0430 \\u045e\\u0441\\u0456\\u043c \\u0441\\u0432\\u0435\\u0446\\u0435\\\",\\\"subtitle\\\":\\\"\\u0414\\u043b\\u044f \\u045e\\u0441\\u0456\\u0445 \\u0437\\u0430\\u043a\\u0430\\u0437\\u0430\\u045e \\u043d\\u0430 \\u0441\\u0443\\u043c\\u0443 \\u0431\\u043e\\u043b\\u044c\\u0448 \\u0437\\u0430 $350\\\"},{\\\"image\\\":\\\"20221115\\/4357b3a08c4e65913301c7a2f57fcaac.webp\\\",\\\"title\\\":\\\"\\u0411\\u044f\\u0441\\u043f\\u0435\\u0447\\u043d\\u0430\\u044f \\u0430\\u043d\\u043b\\u0430\\u0439\\u043d-\\u0430\\u043f\\u043b\\u0430\\u0442\\u0430\\\",\\\"subtitle\\\":\\\"\\u0413\\u0430\\u0440\\u0430\\u043d\\u0442\\u044b\\u044f \\u0430\\u0431\\u0430\\u0440\\u043e\\u043d\\u044b \\u043f\\u043b\\u0430\\u0446\\u044f\\u0436\\u0443\\\"},{\\\"image\\\":\\\"20221115\\/343206d91dbb2e9ad17f2d2d38230c75.webp\\\",\\\"title\\\":\\\"\\u0413\\u0430\\u0440\\u0430\\u043d\\u0442\\u044b\\u044f \\u0432\\u044f\\u0440\\u0442\\u0430\\u043d\\u043d\\u044f \\u0433\\u0440\\u043e\\u0448\\u0430\\u0439\\\",\\\"subtitle\\\":\\\"\\u041a\\u0430\\u043b\\u0456 \\u0451\\u0441\\u0446\\u044c \\u043f\\u0440\\u0430\\u0431\\u043b\\u0435\\u043c\\u044b \\u0437 \\u0442\\u0430\\u0432\\u0430\\u0440\\u0430\\u043c\\u0456\\\"}]\",\"bg\":\"[{\\\"image\\\":\\\"20221115\\/de33eec9500a50ee5d6f714d31e98094.webp\\\",\\\"title\\\":\\\"\\u0411\\u0435\\u0437\\u043f\\u043b\\u0430\\u0442\\u043d\\u0430 \\u0434\\u043e\\u0441\\u0442\\u0430\\u0432\\u043a\\u0430 \\u043f\\u043e \\u0446\\u0435\\u043b\\u0438\\u044f \\u0441\\u0432\\u044f\\u0442\\\",\\\"subtitle\\\":\\\"\\u0417\\u0430 \\u0432\\u0441\\u0438\\u0447\\u043a\\u0438 \\u043f\\u043e\\u0440\\u044a\\u0447\\u043a\\u0438 \\u043d\\u0430\\u0434 $350\\\"},{\\\"image\\\":\\\"20221115\\/4357b3a08c4e65913301c7a2f57fcaac.webp\\\",\\\"title\\\":\\\"\\u0421\\u0438\\u0433\\u0443\\u0440\\u043d\\u043e \\u043e\\u043d\\u043b\\u0430\\u0439\\u043d \\u043f\\u043b\\u0430\\u0449\\u0430\\u043d\\u0435\\\",\\\"subtitle\\\":\\\"\\u0413\\u0430\\u0440\\u0430\\u043d\\u0442\\u0438\\u0440\\u0430\\u043d\\u0430 \\u0437\\u0430\\u0449\\u0438\\u0442\\u0430 \\u043d\\u0430 \\u043f\\u043b\\u0430\\u0449\\u0430\\u043d\\u0435\\u0442\\u043e\\\"},{\\\"image\\\":\\\"20221115\\/343206d91dbb2e9ad17f2d2d38230c75.webp\\\",\\\"title\\\":\\\"\\u0413\\u0430\\u0440\\u0430\\u043d\\u0446\\u0438\\u044f \\u0437\\u0430 \\u0432\\u0440\\u044a\\u0449\\u0430\\u043d\\u0435 \\u043d\\u0430 \\u043f\\u0430\\u0440\\u0438\\u0442\\u0435\\\",\\\"subtitle\\\":\\\"\\u0410\\u043a\\u043e \\u0441\\u0442\\u043e\\u043a\\u0438\\u0442\\u0435 \\u0438\\u043c\\u0430\\u0442 \\u043f\\u0440\\u043e\\u0431\\u043b\\u0435\\u043c\\u0438\\\"}]\",\"ca\":\"[{\\\"image\\\":\\\"20221115\\/de33eec9500a50ee5d6f714d31e98094.webp\\\",\\\"title\\\":\\\"Env\\u00edo gratis a todo el mundo\\\",\\\"subtitle\\\":\\\"Per a totes les comandes superiors a 350 $\\\"},{\\\"image\\\":\\\"20221115\\/4357b3a08c4e65913301c7a2f57fcaac.webp\\\",\\\"title\\\":\\\"Pagament en l\\u00ednia segur\\\",\\\"subtitle\\\":\\\"Garantia de protecci\\u00f3 del pagament\\\"},{\\\"image\\\":\\\"20221115\\/343206d91dbb2e9ad17f2d2d38230c75.webp\\\",\\\"title\\\":\\\"Garantia de devoluci\\u00f3 de diners\\\",\\\"subtitle\\\":\\\"Si els productes tenen problemes\\\"}]\",\"et\":\"[{\\\"image\\\":\\\"20221115\\/de33eec9500a50ee5d6f714d31e98094.webp\\\",\\\"title\\\":\\\"Tasuta kohaletoimetamine \\u00fcle maailma\\\",\\\"subtitle\\\":\\\"K\\u00f5igi tellimuste puhul \\u00fcle $350\\\"},{\\\"image\\\":\\\"20221115\\/4357b3a08c4e65913301c7a2f57fcaac.webp\\\",\\\"title\\\":\\\"Turvaline veebimakse\\\",\\\"subtitle\\\":\\\"Maksekaitsmise tagatud\\\"},{\\\"image\\\":\\\"20221115\\/343206d91dbb2e9ad17f2d2d38230c75.webp\\\",\\\"title\\\":\\\"Raha tagastamise garantii\\\",\\\"subtitle\\\":\\\"Kui kaupadel on probleeme\\\"}]\",\"nl\":\"[{\\\"image\\\":\\\"20221115\\/de33eec9500a50ee5d6f714d31e98094.webp\\\",\\\"title\\\":\\\"Gratis verzending wereldwijd\\\",\\\"subtitle\\\":\\\"Voor alle bestellingen boven $350\\\"},{\\\"image\\\":\\\"20221115\\/4357b3a08c4e65913301c7a2f57fcaac.webp\\\",\\\"title\\\":\\\"Veilige online betaling\\\",\\\"subtitle\\\":\\\"Betaalbescherming gegarandeerd\\\"},{\\\"image\\\":\\\"20221115\\/343206d91dbb2e9ad17f2d2d38230c75.webp\\\",\\\"title\\\":\\\"Geld-terug-garantie\\\",\\\"subtitle\\\":\\\"Als de goederen problemen hebben\\\"}]\"}'),(483,33,'sidebox_show','string','1'),(484,33,'sidebox','array','{\"en\":\"{\\\"title\\\":\\\"New Here?\\\",\\\"sidetext\\\":\\\"Get Coupon\\\",\\\"description\\\":\\\"Use coupon <strong>\\\\u2018BUYNOW01\\\\u2019<\\\\\\/strong>\\\\r\\\\nand get up to $200 on your\\\\r\\\\nfirst purchase.\\\"}\",\"bn\":\"{\\\"title\\\":\\\"\\u098f\\u0996\\u09be\\u09a8\\u09c7 \\u09a8\\u09a4\\u09c1\\u09a8?\\\",\\\"sidetext\\\":\\\"\\u0995\\u09c1\\u09aa\\u09a8 \\u09aa\\u09be\\u09a8\\\",\\\"description\\\":\\\"\\u0995\\u09c1\\u09aa\\u09a8 \\u09ac\\u09cd\\u09af\\u09ac\\u09b9\\u09be\\u09b0 \\u0995\\u09b0\\u09c1\\u09a8 <strong>\\\\u2018BUYNOW01\\\\u2019<\\\\\\/strong>\\\\r\\\\n\\u098f\\u09ac\\u0982 \\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u0989\\u09aa\\u09b0 \\u09aa\\u09cc\\u0981\\u099b\\u09c7 \\u09af\\u09be\\u09a8 $200\\\\r\\\\n\\u09aa\\u09cd\\u09b0\\u09a5\\u09ae \\u0995\\u09cd\\u09b0\\u09af\\u09bc\\u0964\\\"}\",\"fr\":\"{\\\"title\\\":\\\"Nouveau ici ?\\\",\\\"sidetext\\\":\\\"Obtenez le coupon\\\",\\\"description\\\":\\\"Utiliser le coupon <strong>\\\\u2018BUYNOW01\\\\u2019<\\\\\\/strong>\\\\r\\\\net obtenez jusqu\'\\u00e0 200 $ sur votre\\\\r\\\\npremier achat.\\\"}\",\"zh\":\"{\\\"title\\\":\\\"\\u65b0\\u6765\\u7684\\uff1f\\\",\\\"sidetext\\\":\\\"\\u83b7\\u53d6\\u4f18\\u60e0\\u5238\\\",\\\"description\\\":\\\"\\u4f7f\\u7528\\u4f18\\u60e0\\u5238 <strong>\\\\u2018BUYNOW01\\\\u2019<\\\\\\/strong>\\\\r\\\\n\\u5e76\\u5728\\u60a8\\u7684\\u4e0a\\u83b7\\u5f97\\u9ad8\\u8fbe$200\\\\r\\\\n\\u7b2c\\u4e00\\u6b21\\u8d2d\\u4e70\\u3002\\\"}\",\"ar\":\"{\\\"title\\\":\\\"\\u0647\\u0644 \\u0623\\u0646\\u062a \\u062c\\u062f\\u064a\\u062f \\u0647\\u0646\\u0627\\u061f\\\",\\\"sidetext\\\":\\\"\\u0627\\u062d\\u0635\\u0644 \\u0639\\u0644\\u0649 \\u0627\\u0644\\u0642\\u0633\\u064a\\u0645\\u0629\\\",\\\"description\\\":\\\"\\u0627\\u0633\\u062a\\u062e\\u062f\\u0645 \\u0627\\u0644\\u0642\\u0633\\u064a\\u0645\\u0629 <strong>\\\\u2018BUYNOW01\\\\u2019<\\\\\\/strong>\\\\r\\\\n\\u0648\\u0627\\u062d\\u0635\\u0644 \\u0639\\u0644\\u0649 \\u0645\\u0627 \\u064a\\u0635\\u0644 \\u0625\\u0644\\u0649 200 \\u062f\\u0648\\u0644\\u0627\\u0631 \\u0639\\u0644\\u0649\\\\r\\\\n\\u0627\\u0644\\u0634\\u0631\\u0627\\u0621 \\u0627\\u0644\\u0623\\u0648\\u0644.\\\"}\",\"be\":\"{\\\"title\\\":\\\"\\u041d\\u043e\\u0432\\u044b \\u0442\\u0443\\u0442?\\\",\\\"sidetext\\\":\\\"\\u0410\\u0442\\u0440\\u044b\\u043c\\u0430\\u0446\\u044c \\u043a\\u0443\\u043f\\u043e\\u043d\\\",\\\"description\\\":\\\"\\u0412\\u044b\\u043a\\u0430\\u0440\\u044b\\u0441\\u0442\\u043e\\u045e\\u0432\\u0430\\u0439\\u0446\\u0435 \\u043a\\u0443\\u043f\\u043e\\u043d <strong>\\\\u2018BUYNOW01\\\\u2019<\\\\\\/strong>\\\\r\\\\n\\u0456 \\u0430\\u0442\\u0440\\u044b\\u043c\\u043b\\u0456\\u0432\\u0430\\u0446\\u044c \\u0434\\u0430 $200 \\u043d\\u0430 \\u0432\\u0430\\u0448\\\\r\\\\n\\u043f\\u0435\\u0440\\u0448\\u0430 \\u043f\\u0430\\u043a\\u0443\\u043f\\u043a\\u0430.\\\"}\",\"bg\":\"{\\\"title\\\":\\\"\\u041d\\u043e\\u0432 \\u0442\\u0443\\u043a?\\\",\\\"sidetext\\\":\\\"\\u0412\\u0437\\u0435\\u043c\\u0435\\u0442\\u0435 \\u043a\\u0443\\u043f\\u043e\\u043d\\\",\\\"description\\\":\\\"\\u0418\\u0437\\u043f\\u043e\\u043b\\u0437\\u0432\\u0430\\u0439\\u0442\\u0435 \\u043a\\u0443\\u043f\\u043e\\u043d\\u0430 <strong>\\\\u2018BUYNOW01\\\\u2019<\\\\\\/strong>\\\\r\\\\n\\u0438 \\u043f\\u043e\\u043b\\u0443\\u0447\\u0435\\u0442\\u0435 \\u0434\\u043e $200 \\u043d\\u0430 \\u0432\\u0430\\u0448\\u0430\\u0442\\u0430\\\\r\\\\n\\u043f\\u044a\\u0440\\u0432\\u0430\\u0442\\u0430 \\u043f\\u043e\\u043a\\u0443\\u043f\\u043a\\u0430.\\\"}\",\"ca\":\"{\\\"title\\\":\\\"Nou aqu\\u00ed?\\\",\\\"sidetext\\\":\\\"Aconsegueix el cup\\u00f3\\\",\\\"description\\\":\\\"Utilitza el cup\\u00f3 <strong>\\\\u2018BUYNOW01\\\\u2019<\\\\\\/strong>\\\\r\\\\ni aconsegueix fins a 200 $ en el teu\\\\r\\\\nprimera compra.\\\"}\",\"et\":\"{\\\"title\\\":\\\"Uus siin?\\\",\\\"sidetext\\\":\\\"Saage kupong\\\",\\\"description\\\":\\\"Kasutage kupongi <strong>\\\\u2018BUYNOW01\\\\u2019<\\\\\\/strong>\\\\r\\\\nja saate kuni 200 $ oma\\\\r\\\\nesimene ost.\\\"}\",\"nl\":\"{\\\"title\\\":\\\"Nieuw hier?\\\",\\\"sidetext\\\":\\\"Krijg coupon\\\",\\\"description\\\":\\\"Gebruik coupon <strong>\\\\u2018BUYNOW01\\\\u2019<\\\\\\/strong>\\\\r\\\\nen krijg tot $200 op uw\\\\r\\\\neerste aankoop.\\\"}\"}'),(485,33,'mt','string','30px'),(486,33,'mb','string','0px'),(487,33,'rounded','string','1'),(576,34,'title','string','{\"en\":\"Top Categories of the Month\",\"bn\":\"মাসের শীর্ষ বিভাগ\",\"fr\":\"Top catégories du mois\",\"zh\":\"本月热门分类\",\"ar\":\"أفضل الفئات للشهر\",\"be\":\"Лепшыя катэгорыі месяца\",\"bg\":\"Най-добрите категории на месеца\",\"ca\":\"Principals categories del mes\",\"et\":\"Kuu peamised kategooriad\",\"nl\":\"Topcategorieën van de maand\"}'),(577,34,'category_type','string','selectedCategories'),(578,34,'mt','string','52px'),(579,34,'mb','string','0px'),(580,35,'title','string','{\"en\":\"BEST DEALS OF THE WEEK\",\"bn\":\"সপ্তাহের সেরা অফার\",\"fr\":\"MEILLEURES OFFRES DE LA SEMAINE\",\"zh\":\"本周最佳优惠\",\"ar\":\"أفضل العروض في الأسبوع\",\"be\":\"ЛЕПШЫЯ ПРАПАНОВЫ ТЫДНЯ\",\"bg\":\"НАЙ-ДОБРИТЕ ДЕАЛИ НА СЕДМИЦАТА\",\"ca\":\"MILLORS OFERTES DE LA SETMANA\",\"et\":\"NÄDALA PARIMAD PAKKUMISED\",\"nl\":\"BESTE DEALS VAN DE WEEK\"}'),(581,35,'see_more','string','0'),(582,35,'more_link','string',''),(583,35,'sidebar','string','0'),(584,35,'sidebar_position','string','left'),(585,35,'showcase_type','string','bestSeller'),(586,35,'row','string','3'),(587,35,'column','string','6'),(588,35,'total_products','string','18'),(589,35,'mt','string','52px'),(590,35,'mb','string','0px'),(591,35,'slide','array','{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button\":\"\",\"link\":\"\"}'),(592,35,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(593,35,'flash','array','{\"badge_text\":\"\"}'),(594,36,'title','string','{\"en\":\"Mid Granny’s Bakery\",\"bn\":\"মধ্যবয়স্ক দাদিমা পেষ্টরি\",\"fr\":\"La boulangerie de Granny\",\"zh\":\"中间奶奶的烘焙店\",\"ar\":\"مخبز جدة المتوسط\",\"be\":\"Сярэдняя пякарня бабулі\",\"bg\":\"Пекарна с баба-баба\",\"ca\":\"Forn de la àvia Mitjana\",\"et\":\"Keskmise vanaema pagaritöökoda\",\"nl\":\"De bakkerij van Middelgrote Oma\"}'),(595,36,'upper_st','string','{\"en\":\"New in town\",\"bn\":\"নগরে নতুন\",\"fr\":\"Nouveau en ville\",\"zh\":\"城市新宠\",\"ar\":\"جديد في المدينة\",\"be\":\"НОВАЕ У ГОРАДЗЕ\",\"bg\":\"НОВ В ГРАДА\",\"ca\":\"Nou en la ciutat\",\"et\":\"Uus linnas\",\"nl\":\"Nieuw in de stad\"}'),(596,36,'lower_st','string','{\"en\":\"Starting from only <span style=\\\"color: #FA886A\\\">$2.99<\\\\\\/span>\",\"bn\":\"\\u09b6\\u09c1\\u09b0\\u09c1 \\u0995\\u09b0\\u09c1\\u09a8 \\u09ae\\u09be\\u09a4\\u09cd\\u09b0 <span style=\\\"color: #FA886A\\\">$2.99<\\\\\\/span>\",\"fr\":\"\\u00c0 partir de seulement <span style=\\\"color: #FA886A\\\">$2.99<\\\\\\/span>\",\"zh\":\"\\u4ec5\\u552e <span style=\\\"color: #FA886A\\\">$2.99<\\\\\\/span>\",\"ar\":\"\\u0627\\u0628\\u062a\\u062f\\u0627\\u0621 \\u0645\\u0646 \\u0641\\u0642\\u0637 <span style=\\\"color: #FA886A\\\">$2.99<\\\\\\/span>\",\"be\":\"\\u041f\\u0430\\u0447\\u044b\\u043d\\u0430\\u044e\\u0447\\u044b \\u0430\\u0434 \\u0442\\u043e\\u043b\\u044c\\u043a\\u0456 <span style=\\\"color: #FA886A\\\">$2.99<\\\\\\/span>\",\"bg\":\"\\u0417\\u0430\\u043f\\u043e\\u0447\\u0432\\u0430\\u0439\\u043a\\u0438 \\u0441\\u0430\\u043c\\u043e \\u043e\\u0442 <span style=\\\"color: #FA886A\\\">$2.99<\\\\\\/span>\",\"ca\":\"A partir de nom\\u00e9s <span style=\\\"color: #FA886A\\\">$2.99<\\\\\\/span>\",\"et\":\"Ainult alates <span style=\\\"color: #FA886A\\\">$2.99<\\\\\\/span>\",\"nl\":\"Vanaf slechts <span style=\\\"color: #FA886A\\\">$2.99<\\\\\\/span>\"}'),(597,36,'btn_text','string','{\"en\":\"Shop Now\",\"bn\":\"এখন কেনাকাটা করুন\",\"fr\":\"Achetez maintenant\",\"zh\":\"现在购物\",\"ar\":\"تسوق الآن\",\"be\":\"КУПІЦЬ ЗАРАЗ\",\"bg\":\"Пазарувайте сега\",\"ca\":\"Compreu ara\",\"et\":\"Osta kohe\",\"nl\":\"Koop nu\"}'),(598,36,'btn_link','string','http://localhost/multi-vendor/search-products?categories=Home%20Appliances'),(599,36,'image','string','20221115\\c4ea54a3ed18a0d186acfd344ab35b7d.webp'),(600,36,'mt','string','52px'),(601,36,'mb','string','0px'),(602,36,'full','string','0'),(603,36,'rounded','string','1'),(604,36,'full_link','string','0'),(638,38,'cta','array','{\"en\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"font-size: 18px;\\\\\\\">Organic<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"font-size: 33px;\\\\\\\">Coconut Oil from Sri Lanka<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 16px; text-transform:none;\\\\\\\">Starting from only <span style=\\\\\\\"color: #FA886A\\\\\\\">$12.49<\\\\\\/span><\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/cbf367882d17b2df4f93572aa4b4e2f1.webp\\\",\\\"btn_text\\\":\\\"Shop Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"bn\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"font-size: 18px;\\\\\\\">\\u099c\\u09c8\\u09ac<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"font-size: 33px;\\\\\\\">\\u09b6\\u09cd\\u09b0\\u09c0\\u09b2\\u0999\\u09cd\\u0995\\u09be \\u09a5\\u09c7\\u0995\\u09c7 \\u09a8\\u09be\\u09b0\\u09bf\\u0995\\u09c7\\u09b2\\u09c7\\u09b0 \\u09a4\\u09c7\\u09b2<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 16px; text-transform:none;\\\\\\\">\\u09b6\\u09c1\\u09b0\\u09c1 \\u0995\\u09b0\\u09c7 \\u0995\\u09c7\\u09ac\\u09b2 <span style=\\\\\\\"color: #FA886A\\\\\\\">$12.49<\\\\\\/span><\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/cbf367882d17b2df4f93572aa4b4e2f1.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"fr\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"font-size: 18px;\\\\\\\">Bio<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"font-size: 33px;\\\\\\\">Huile de noix de coco du Sri Lanka<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 16px; text-transform:none;\\\\\\\">\\u00c0 partir de seulement <span style=\\\\\\\"color: #FA886A\\\\\\\">$12.49<\\\\\\/span><\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/cbf367882d17b2df4f93572aa4b4e2f1.webp\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"zh\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"font-size: 18px;\\\\\\\">\\u6709\\u673a<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"font-size: 33px;\\\\\\\">\\u65af\\u91cc\\u5170\\u5361\\u6930\\u5b50\\u6cb9<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 16px; text-transform:none;\\\\\\\">\\u4ec5\\u552e <span style=\\\\\\\"color: #FA886A\\\\\\\">$12.49<\\\\\\/span><\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/cbf367882d17b2df4f93572aa4b4e2f1.webp\\\",\\\"btn_text\\\":\\\"\\u7acb\\u5373\\u8d2d\\u4e70\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"ar\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"font-size: 18px;\\\\\\\">\\u0639\\u0636\\u0648\\u064a<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"font-size: 33px;\\\\\\\">\\u0632\\u064a\\u062a \\u062c\\u0648\\u0632 \\u0627\\u0644\\u0647\\u0646\\u062f \\u0645\\u0646 \\u0633\\u0631\\u064a \\u0644\\u0627\\u0646\\u0643\\u0627<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 16px; text-transform:none;\\\\\\\">\\u0627\\u0628\\u062a\\u062f\\u0627\\u0621 \\u0645\\u0646 \\u0641\\u0642\\u0637 <span style=\\\\\\\"color: #FA886A\\\\\\\">$12.49<\\\\\\/span><\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/cbf367882d17b2df4f93572aa4b4e2f1.webp\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"be\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"font-size: 18px;\\\\\\\">\\u041e\\u0440\\u0433\\u0430\\u043d\\u0456\\u0447\\u043d\\u044b<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"font-size: 33px;\\\\\\\">\\u041a\\u0430\\u043a\\u043e\\u0441\\u0430\\u0432\\u0430\\u0435 \\u043c\\u0430\\u0441\\u043b\\u0430 \\u0437 \\u0428\\u0440\\u044b-\\u041b\\u0430\\u043d\\u043a\\u0456<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 16px; text-transform:none;\\\\\\\">\\u041f\\u0430\\u0447\\u044b\\u043d\\u0430\\u044e\\u0447\\u044b \\u0442\\u043e\\u043b\\u044c\\u043a\\u0456 \\u0430\\u0434 <span style=\\\\\\\"color: #FA886A\\\\\\\">$12.49<\\\\\\/span><\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/cbf367882d17b2df4f93572aa4b4e2f1.webp\\\",\\\"btn_text\\\":\\\"\\u041a\\u0443\\u043f\\u043b\\u044f\\u0439\\u0446\\u0435 \\u0437\\u0430\\u0440\\u0430\\u0437\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"bg\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"font-size: 18px;\\\\\\\">\\u041e\\u0440\\u0433\\u0430\\u043d\\u0438\\u0447\\u0435\\u043d<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"font-size: 33px;\\\\\\\">\\u041a\\u043e\\u043a\\u043e\\u0441\\u043e\\u0432\\u043e \\u043c\\u0430\\u0441\\u043b\\u043e \\u043e\\u0442 \\u0428\\u0440\\u0438 \\u041b\\u0430\\u043d\\u043a\\u0430<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 16px; text-transform:none;\\\\\\\">\\u0417\\u0430\\u043f\\u043e\\u0447\\u0432\\u0430\\u0439\\u043a\\u0438 \\u0441\\u0430\\u043c\\u043e \\u043e\\u0442 <span style=\\\\\\\"color: #FA886A\\\\\\\">$12.49<\\\\\\/span><\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/cbf367882d17b2df4f93572aa4b4e2f1.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u0430\\u0437\\u0430\\u0440\\u0443\\u0432\\u0430\\u0439\\u0442\\u0435 \\u0441\\u0435\\u0433\\u0430\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"ca\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"font-size: 18px;\\\\\\\">Org\\u00e0nic<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"font-size: 33px;\\\\\\\">Oli de coco del Sri Lanka<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 16px; text-transform:none;\\\\\\\">Comen\\u00e7ant nom\\u00e9s per <span style=\\\\\\\"color: #FA886A\\\\\\\">$12.49<\\\\\\/span><\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/cbf367882d17b2df4f93572aa4b4e2f1.webp\\\",\\\"btn_text\\\":\\\"Compra ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"et\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"font-size: 18px;\\\\\\\">Orgaaniline<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"font-size: 33px;\\\\\\\">Kookos\\u00f5li Sri Lankalt<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 16px; text-transform:none;\\\\\\\">Alustades ainult <span style=\\\\\\\"color: #FA886A\\\\\\\">$12.49<\\\\\\/span><\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/cbf367882d17b2df4f93572aa4b4e2f1.webp\\\",\\\"btn_text\\\":\\\"Osta kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"nl\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"font-size: 18px;\\\\\\\">Biologisch<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"font-size: 33px;\\\\\\\">Kokosolie uit Sri Lanka<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 16px; text-transform:none;\\\\\\\">Alleen vanaf <span style=\\\\\\\"color: #FA886A\\\\\\\">$12.49<\\\\\\/span><\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/cbf367882d17b2df4f93572aa4b4e2f1.webp\\\",\\\"btn_text\\\":\\\"Winkel nu\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\"}'),(639,38,'mt','string','30px'),(640,38,'mb','string','0px'),(641,38,'rounded','string','1'),(642,38,'full_link','string','0'),(683,39,'title','string','{\"en\":\"PURE SEASONAL\",\"bn\":\"পুরো মৌসুমি\",\"fr\":\"PURE SAISONNIER\",\"zh\":\"纯季节性\",\"ar\":\"موسمي نقي\",\"be\":\"ЧЫСТА СЕЗОННАСЦЬ\",\"bg\":\"ЧИСТ СЕЗОН\",\"ca\":\"PURA ESTACIONAL\",\"et\":\"PUHAS HOOAJALINE\",\"nl\":\"PURE SEIZOEN\"}'),(684,39,'see_more','string','1'),(685,39,'more_link','string','http://localhost/multi-vendor/search-products?categories=Home%20Appliances'),(686,39,'sidebar','string','slide'),(687,39,'sidebar_position','string','right'),(688,39,'showcase_type','string','newArrivals'),(689,39,'row','string','2'),(690,39,'column','string','5'),(691,39,'total_products','string','10'),(692,39,'mt','string','60px'),(693,39,'mb','string','0px'),(694,39,'slide','array','{\"en\":\"{\\\"u_subtitle\\\":\\\"ORGANIC\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">HEALTHY<\\\\\\/span> LIFE \\\",\\\"title\\\":\\\"ADVENTURES\\\",\\\"image\\\":\\\"20221123\\/70fe548781b9bc65fba1f565a4b9852b.webp\\\",\\\"button\\\":\\\"Shop Now\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}\",\"bn\":\"{\\\"u_subtitle\\\":\\\"\\u099c\\u09c8\\u09ac\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u09b8\\u09c1\\u09b8\\u09cd\\u09a5<\\\\\\/span> \\u099c\\u09c0\\u09ac\\u09a8 \\\",\\\"title\\\":\\\"\\u0985\\u09ad\\u09bf\\u09af\\u09be\\u09a8\\\",\\\"image\\\":\\\"20221123\\/70fe548781b9bc65fba1f565a4b9852b.webp\\\",\\\"button\\\":\\\"Shop Now\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}\",\"fr\":\"{\\\"u_subtitle\\\":\\\"BIO\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">SAIN<\\\\\\/span> VIE \\\",\\\"title\\\":\\\"AVENTURES\\\",\\\"image\\\":\\\"20221123\\/70fe548781b9bc65fba1f565a4b9852b.webp\\\",\\\"button\\\":\\\"Shop Now\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}\",\"zh\":\"{\\\"u_subtitle\\\":\\\"\\u6709\\u673a\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u5065\\u5eb7<\\\\\\/span> \\u751f\\u6d3b \\\",\\\"title\\\":\\\"\\u5192\\u9669\\\",\\\"image\\\":\\\"20221123\\/70fe548781b9bc65fba1f565a4b9852b.webp\\\",\\\"button\\\":\\\"Shop Now\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}\",\"ar\":\"{\\\"u_subtitle\\\":\\\"\\u0639\\u0636\\u0648\\u064a\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u0635\\u062d\\u064a<\\\\\\/span> \\u062d\\u064a\\u0627\\u0629 \\\",\\\"title\\\":\\\"\\u0645\\u063a\\u0627\\u0645\\u0631\\u0627\\u062a\\\",\\\"image\\\":\\\"20221123\\/70fe548781b9bc65fba1f565a4b9852b.webp\\\",\\\"button\\\":\\\"Shop Now\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}\",\"be\":\"{\\\"u_subtitle\\\":\\\"\\u041e\\u0420\\u0413\\u0410\\u041d\\u0406\\u0427\\u041d\\u042b\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u0417\\u0414\\u0410\\u0420\\u041e\\u040e<\\\\\\/span> \\u0416\\u042b\\u0426\\u0426\\u0401 \\\",\\\"title\\\":\\\"\\u0410\\u0414\\u0412\\u0415\\u041d\\u0422\\u042b\\\",\\\"image\\\":\\\"20221123\\/70fe548781b9bc65fba1f565a4b9852b.webp\\\",\\\"button\\\":\\\"Shop Now\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}\",\"bg\":\"{\\\"u_subtitle\\\":\\\"\\u041e\\u0420\\u0413\\u0410\\u041d\\u0418\\u0427\\u0415\\u041d\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">\\u0417\\u0414\\u0420\\u0410\\u0412\\u041e\\u0421\\u041b\\u041e\\u0412\\u0415\\u041d<\\\\\\/span> \\u0416\\u0418\\u0412\\u041e\\u0422 \\\",\\\"title\\\":\\\"\\u041f\\u0420\\u0418\\u041a\\u041b\\u042e\\u0427\\u0415\\u041d\\u0418\\u042f\\\",\\\"image\\\":\\\"20221123\\/70fe548781b9bc65fba1f565a4b9852b.webp\\\",\\\"button\\\":\\\"Shop Now\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}\",\"ca\":\"{\\\"u_subtitle\\\":\\\"ORG\\u00c0NIC\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">SALUDABLE<\\\\\\/span> VIDA \\\",\\\"title\\\":\\\"AVENTURES\\\",\\\"image\\\":\\\"20221123\\/70fe548781b9bc65fba1f565a4b9852b.webp\\\",\\\"button\\\":\\\"Shop Now\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}\",\"et\":\"{\\\"u_subtitle\\\":\\\"ORGANILINE\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">TERVE<\\\\\\/span> ELU \\\",\\\"title\\\":\\\"SEIKLUSED\\\",\\\"image\\\":\\\"20221123\\/70fe548781b9bc65fba1f565a4b9852b.webp\\\",\\\"button\\\":\\\"Shop Now\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}\",\"nl\":\"{\\\"u_subtitle\\\":\\\"BIOLOGISCH\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #F81B4D\\\\\\\">GEZOND<\\\\\\/span> LEVEN \\\",\\\"title\\\":\\\"AVONTUREN\\\",\\\"image\\\":\\\"20221123\\/70fe548781b9bc65fba1f565a4b9852b.webp\\\",\\\"button\\\":\\\"Shop Now\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}\"}'),(695,39,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(696,39,'flash','array','{\"badge_text\":\"\"}'),(711,40,'cta','array','{\"en\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">CANDY<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">FOR YOUR<\\\\\\/span> <span style=\\\\\\\"color: #FFDD65\\\\\\\">SWEET TOOTH <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">JAEDO SWEETS<\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/c63276d804ca3ae64d13cf253cd4af2c.webp\\\",\\\"btn_text\\\":\\\"Shop Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"MEAT\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">ASIA\\\\u2019S<\\\\\\/span> FAMOUS \\\",\\\"title\\\":\\\"SAOLA BEEF\\\",\\\"image\\\":\\\"20221115\\/9bda56104303d4d958ef32b8543cb31a.webp\\\",\\\"btn_text\\\":\\\"Shop Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"bn\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u09ae\\u09bf\\u09b7\\u09cd\\u099f\\u09bf<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u099c\\u09a8\\u09cd\\u09af<\\\\\\/span> <span style=\\\\\\\"color: #FFDD65\\\\\\\">\\u09ae\\u09bf\\u09b7\\u09cd\\u099f\\u09bf \\u09aa\\u099a\\u09a8\\u09cd\\u09a6 <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">JAEDO \\u09ae\\u09bf\\u09b7\\u09cd\\u099f\\u09bf<\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/c63276d804ca3ae64d13cf253cd4af2c.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u09ae\\u09be\\u0982\\u09b8\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">\\u098f\\u09b6\\u09bf\\u09af\\u09bc\\u09be\\\\u2019S<\\\\\\/span> \\u09ac\\u09bf\\u0996\\u09cd\\u09af\\u09be\\u09a4 \\\",\\\"title\\\":\\\"SAOLA \\u0997\\u09b0\\u09c1\\u09b0 \\u09ae\\u09be\\u0982\\u09b8\\\",\\\"image\\\":\\\"20221115\\/9bda56104303d4d958ef32b8543cb31a.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"fr\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">BONBON<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">POUR VOTRE<\\\\\\/span> <span style=\\\\\\\"color: #FFDD65\\\\\\\">GOURMANDISE <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">SUCRERIES JAEDO<\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/c63276d804ca3ae64d13cf253cd4af2c.webp\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"VIANDE\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">ASIE\\\\u2019S<\\\\\\/span> FAMEUX \\\",\\\"title\\\":\\\"SAOLA BOEUF\\\",\\\"image\\\":\\\"20221115\\/9bda56104303d4d958ef32b8543cb31a.webp\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"zh\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u7cd6\\u679c<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u4e3a\\u60a8\\u7684<\\\\\\/span> <span style=\\\\\\\"color: #FFDD65\\\\\\\">\\u751c\\u871c\\u7684\\u7259\\u9f7f <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">JAEDO\\u7cd6\\u679c<\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/c63276d804ca3ae64d13cf253cd4af2c.webp\\\",\\\"btn_text\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u8089\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">\\u4e9a\\u6d32\\\\u2019S<\\\\\\/span> \\u8457\\u540d\\u7684 \\\",\\\"title\\\":\\\"SAOLA \\u725b\\u8089\\\",\\\"image\\\":\\\"20221115\\/9bda56104303d4d958ef32b8543cb31a.webp\\\",\\\"btn_text\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"ar\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u062d\\u0644\\u0648\\u0649<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u0644\\u0643<\\\\\\/span> <span style=\\\\\\\"color: #FFDD65\\\\\\\">\\u0645\\u062d\\u0628\\u0648\\u0628 \\u0627\\u0644\\u062d\\u0644\\u0648\\u0649 <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u062d\\u0644\\u0648\\u0649 JAEDO<\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/c63276d804ca3ae64d13cf253cd4af2c.webp\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u0644\\u062d\\u0648\\u0645\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">\\u0622\\u0633\\u064a\\u0627\\\\u2019S<\\\\\\/span> \\u0645\\u0634\\u0647\\u0648\\u0631 \\\",\\\"title\\\":\\\"SAOLA \\u0644\\u062d\\u0645 \\u0628\\u0642\\u0631\\u064a\\\",\\\"image\\\":\\\"20221115\\/9bda56104303d4d958ef32b8543cb31a.webp\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"be\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u0426\\u0423\\u041a\\u0415\\u0420\\u041a\\u0406<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u0414\\u041b\\u042f \\u0422\\u0412\\u0410\\u0401\\u0413\\u0410<\\\\\\/span> <span style=\\\\\\\"color: #FFDD65\\\\\\\">\\u0421\\u041b\\u0410\\u0414\\u041a\\u0410\\u042f \\u0427\\u042d\\u041c\\u041f\\u0406\\u0401\\u041d <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u0426\\u0423\\u041a\\u0415\\u0420\\u041a\\u0406 JAEDO<\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/c63276d804ca3ae64d13cf253cd4af2c.webp\\\",\\\"btn_text\\\":\\\"\\u041a\\u0423\\u041f\\u0406\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u041c\\u042f\\u0421\\u0410\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">\\u0410\\u0417\\u0406\\u042f\\\\u2019S<\\\\\\/span> \\u0417\\u041d\\u0410\\u041c\\u0415\\u041d\\u0406\\u0422\\u042b \\\",\\\"title\\\":\\\"SAOLA \\u041c\\u042f\\u0421\\u0410\\\",\\\"image\\\":\\\"20221115\\/9bda56104303d4d958ef32b8543cb31a.webp\\\",\\\"btn_text\\\":\\\"\\u041a\\u0423\\u041f\\u0406\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"bg\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u0411\\u041e\\u041d\\u0411\\u041e\\u041d\\u0418<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u0417\\u0410 \\u0422\\u0412\\u041e\\u0415\\u0422\\u041e<\\\\\\/span> <span style=\\\\\\\"color: #FFDD65\\\\\\\">\\u0421\\u041b\\u0410\\u0414\\u041a\\u0410\\u0420\\u0421\\u041a\\u0418 \\u041f\\u0420\\u0415\\u0414\\u041f\\u041e\\u0427\\u0418\\u0422\\u0410\\u041d\\u0418\\u042f <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u0411\\u041e\\u041d\\u0411\\u041e\\u041d\\u0418 JAEDO<\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/c63276d804ca3ae64d13cf253cd4af2c.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u0410\\u0417\\u0410\\u0420\\u0423\\u0412\\u0410\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u041c\\u0415\\u0421\\u041e\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">\\u0410\\u0417\\u0418\\u042f\\\\u2019S<\\\\\\/span> \\u0418\\u0417\\u0412\\u0415\\u0421\\u0422\\u041d\\u0418 \\\",\\\"title\\\":\\\"SAOLA \\u0413\\u041e\\u0412\\u0415\\u0416\\u0414\\u0418\\u041d\\u0410\\\",\\\"image\\\":\\\"20221115\\/9bda56104303d4d958ef32b8543cb31a.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u0410\\u0417\\u0410\\u0420\\u0423\\u0412\\u0410\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"ca\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">CARAMEL\\u00b7LA<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">PER A<\\\\\\/span> <span style=\\\\\\\"color: #FFDD65\\\\\\\">DOL\\u00c7A DENT <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">CARAMELS JAEDO<\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/c63276d804ca3ae64d13cf253cd4af2c.webp\\\",\\\"btn_text\\\":\\\"Compra ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"CARN\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">\\u00c0SIA\\\\u2019S<\\\\\\/span> FAM\\u00d3S \\\",\\\"title\\\":\\\"SAOLA BOV\\u00cd\\\",\\\"image\\\":\\\"20221115\\/9bda56104303d4d958ef32b8543cb31a.webp\\\",\\\"btn_text\\\":\\\"Compra ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"et\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">MAIUSTUSED<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">SINULE<\\\\\\/span> <span style=\\\\\\\"color: #FFDD65\\\\\\\">MAGUS HAMMAS <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">MAGUSAD KOMMID JAEDO<\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/c63276d804ca3ae64d13cf253cd4af2c.webp\\\",\\\"btn_text\\\":\\\"Osta kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"LIHA\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">AASIA\\\\u2019S<\\\\\\/span> TUNTUD \\\",\\\"title\\\":\\\"SAOLA VEISELIHA\\\",\\\"image\\\":\\\"20221115\\/9bda56104303d4d958ef32b8543cb31a.webp\\\",\\\"btn_text\\\":\\\"Osta kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"nl\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">SNOEP<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">VOOR JE<\\\\\\/span> <span style=\\\\\\\"color: #FFDD65\\\\\\\">ZOEKTOCHT NAAR ZOETIGHEID <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">JAEDO SNOEPJES<\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/c63276d804ca3ae64d13cf253cd4af2c.webp\\\",\\\"btn_text\\\":\\\"Koop nu\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"VLEES\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">AZI\\u00cb\\\\u2019S<\\\\\\/span> Beroemd \\\",\\\"title\\\":\\\"SAOLA RUNDVLEES\\\",\\\"image\\\":\\\"20221115\\/9bda56104303d4d958ef32b8543cb31a.webp\\\",\\\"btn_text\\\":\\\"Koop nu\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\"}'),(712,40,'mt','string','45px'),(713,40,'mb','string','0px'),(714,40,'rounded','string','1'),(715,40,'full_link','string','0'),(726,41,'title','string','{\"en\":\"Top Brands / Seller\",\"bn\":\"শীর্ষ ব্র্যান্ড / বিক্রেতা\",\"fr\":\"Meilleures marques / Vendeur\",\"zh\":\"顶级品牌/卖家\",\"ar\":\"أفضل العلامات التجارية / البائع\",\"be\":\"ЛІДЭРСКІЯ БРЭНДЫ / ПРАДАВЕЦ\",\"bg\":\"ТОП МАРКИ / ПРОДАВАЧ\",\"ca\":\"Marques superiors / Venedor\",\"et\":\"Parimad brändid / Müüja\",\"nl\":\"Topmerken / Verkoper\"}'),(727,41,'brand_type','string','randomBrands'),(728,41,'brand_limit','string','9'),(729,41,'mt','string','60px'),(730,41,'mb','string','0px'),(731,42,'title','string','{\"en\":\"Latest News\",\"bn\":\"সর্বশেষ সংবাদ\",\"fr\":\"Dernières nouvelles\",\"zh\":\"最新消息\",\"ar\":\"آخر الأخبار\",\"be\":\"АКТУАЛЬНЫЯ НОВАСЦІ\",\"bg\":\"ПОСЛЕДНИ НОВИНИ\",\"ca\":\"ÚLTIMES NOTÍCIES\",\"et\":\"Viimased uudised\",\"nl\":\"Laatste nieuws\"}'),(732,42,'blog_type','string','selectedBlogs'),(733,42,'blog_limit','string','3'),(734,42,'mt','string','60px'),(735,42,'mb','string','0px'),(736,43,'title','string','{\"en\":\"Subscribe to our Newsletter\",\"bn\":\"আমাদের সংবাদপত্রে সাবস্ক্রাইব করুন\",\"fr\":\"Abonnez-vous à notre newsletter\",\"zh\":\"订阅我们的通讯\",\"ar\":\"اشترك في النشرة الإخبارية لدينا\",\"be\":\"ПАДПІСАЦЦА НА НАШУ НАВІНУ\",\"bg\":\"АБОНИРАЙТЕ СЕ НА НАШИЯ БЮЛЕТИН\",\"ca\":\"Subscriu-te al nostre butlletí\",\"et\":\"Tellige meie uudiskiri\",\"nl\":\"Abonneer op onze nieuwsbrief\"}'),(737,43,'message','string','Get 10% off on your first purchase and stay updated with latest offers,\r\nitems, news and much more'),(738,43,'mt','string','60px'),(739,43,'mb','string','-20px'),(748,21,'mt','string','-1px'),(749,21,'mb','string','0px'),(750,21,'rounded','string','0'),(758,44,'title','string','{\"en\":\"All Categories\",\"bn\":\"সমস্ত বিভাগ\",\"fr\":\"Toutes catégories\",\"zh\":\"所有类别\",\"ar\":\"جميع الفئات\",\"be\":\"Усе катэгорыі\",\"bg\":\"Всички категории\",\"ca\":\"Totes les categories\",\"et\":\"Kõik kategooriad\",\"nl\":\"Alle categorieën\"}'),(759,44,'category_type','string','selectedCategories'),(760,44,'mt','string','30px'),(761,44,'mb','string','0px'),(762,45,'cta','array','{\"en\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">NEW ARRIVALS<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">FOR THE<\\\\\\/span> <span style=\\\\\\\"color: #FCCA19\\\\\\\">HIP HOP<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">EYE GLASSES<\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/889abd76efd884e3f75378f0eebb8dca.webp\\\",\\\"btn_text\\\":\\\"Shop Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"WINTER\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">IMPORTED<\\\\\\/span> DENIM\\\",\\\"title\\\":\\\"JACKETS\\\",\\\"image\\\":\\\"20221115\\/4217f404a18a9c0f1d63d6f780c0ffad.webp\\\",\\\"btn_text\\\":\\\"Shop Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"bn\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u09a8\\u09a4\\u09c1\\u09a8 \\u0986\\u0997\\u09ae\\u09a8<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u099c\\u09a8\\u09cd\\u09af<\\\\\\/span> <span style=\\\\\\\"color: #FCCA19\\\\\\\">\\u09b9\\u09bf\\u09aa \\u09b9\\u09aa<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u099a\\u09b6\\u09ae\\u09be<\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/889abd76efd884e3f75378f0eebb8dca.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"\\u09b6\\u09c0\\u09a4\\u0995\\u09be\\u09b2\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">\\u0986\\u09ae\\u09a6\\u09be\\u09a8\\u09bf<\\\\\\/span> \\u09a1\\u09c7\\u09a8\\u09bf\\u09ae\\\",\\\"title\\\":\\\"\\u099c\\u09cd\\u09af\\u09be\\u0995\\u09c7\\u099f\\\",\\\"image\\\":\\\"20221115\\/4217f404a18a9c0f1d63d6f780c0ffad.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"fr\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">NOUVEAUT\\u00c9S<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">POUR LE<\\\\\\/span> <span style=\\\\\\\"color: #FCCA19\\\\\\\">HIP HOP<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">LUNETTES<\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/889abd76efd884e3f75378f0eebb8dca.webp\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"HIVER\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">IMPORT\\u00c9<\\\\\\/span> DENIM\\\",\\\"title\\\":\\\"VESTES\\\",\\\"image\\\":\\\"20221115\\/4217f404a18a9c0f1d63d6f780c0ffad.webp\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"zh\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u65b0\\u54c1\\u4e0a\\u5e02<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u4e3a\\u4e86<\\\\\\/span> <span style=\\\\\\\"color: #FCCA19\\\\\\\">\\u563b\\u54c8<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u773c\\u955c<\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/889abd76efd884e3f75378f0eebb8dca.webp\\\",\\\"btn_text\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"\\u51ac\\u5b63\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">\\u8fdb\\u53e3<\\\\\\/span> \\u725b\\u4ed4\\u5e03\\\",\\\"title\\\":\\\"\\u5939\\u514b\\\",\\\"image\\\":\\\"20221115\\/4217f404a18a9c0f1d63d6f780c0ffad.webp\\\",\\\"btn_text\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"ar\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u0648\\u0635\\u0644 \\u062d\\u062f\\u064a\\u062b\\u0627<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u0644\\u0644<\\\\\\/span> <span style=\\\\\\\"color: #FCCA19\\\\\\\">\\u0627\\u0644\\u0647\\u064a\\u0628 \\u0647\\u0648\\u0628<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u0646\\u0638\\u0627\\u0631\\u0627\\u062a<\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/889abd76efd884e3f75378f0eebb8dca.webp\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"\\u0627\\u0644\\u0634\\u062a\\u0627\\u0621\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">\\u0645\\u0633\\u062a\\u0648\\u0631\\u062f<\\\\\\/span> \\u0627\\u0644\\u062f\\u064a\\u0646\\u064a\\u0645\\\",\\\"title\\\":\\\"\\u0633\\u062a\\u0631\\u0627\\u062a\\\",\\\"image\\\":\\\"20221115\\/4217f404a18a9c0f1d63d6f780c0ffad.webp\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"be\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u041d\\u041e\\u0412\\u042b\\u042f \\u041f\\u0420\\u042b\\u0411\\u042b\\u0426\\u0426\\u0406<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u0414\\u041b\\u042f<\\\\\\/span> <span style=\\\\\\\"color: #FCCA19\\\\\\\">\\u0425\\u0406\\u041f-\\u0425\\u041e\\u041f<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u0410\\u041a\\u0421\\u042d\\u0421\\u0423\\u0410\\u0420\\u042b \\u0414\\u041b\\u042f \\u0412\\u0410\\u0421<\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/889abd76efd884e3f75378f0eebb8dca.webp\\\",\\\"btn_text\\\":\\\"\\u041a\\u0423\\u041f\\u0406\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"\\u0417\\u0406\\u041c\\u0410\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">\\u0406\\u041c\\u041f\\u041e\\u0420\\u0422<\\\\\\/span> \\u0414\\u042d\\u041d\\u0406\\u041c\\\",\\\"title\\\":\\\"\\u041a\\u0423\\u0420\\u0422\\u041a\\u0406\\\",\\\"image\\\":\\\"20221115\\/4217f404a18a9c0f1d63d6f780c0ffad.webp\\\",\\\"btn_text\\\":\\\"\\u041a\\u0423\\u041f\\u0406\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"bg\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u041d\\u041e\\u0412\\u0418 \\u041f\\u0420\\u0418\\u0411\\u0418\\u0416\\u0412\\u0410\\u041d\\u0418\\u042f<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u0417\\u0410<\\\\\\/span> <span style=\\\\\\\"color: #FCCA19\\\\\\\">\\u0425\\u0418\\u041f \\u0425\\u041e\\u041f<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">\\u041e\\u0427\\u0418\\u041b\\u0410<\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/889abd76efd884e3f75378f0eebb8dca.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u0410\\u0417\\u0410\\u0420\\u0423\\u0412\\u0410\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"\\u0417\\u0418\\u041c\\u0410\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">\\u0418\\u041c\\u041f\\u041e\\u0420\\u0422\\u0418\\u0420\\u0410\\u041d\\u0418<\\\\\\/span> \\u0414\\u042a\\u041d\\u041a\\u0418\\\",\\\"title\\\":\\\"\\u042f\\u041a\\u0415\\u0422\\u0410\\\",\\\"image\\\":\\\"20221115\\/4217f404a18a9c0f1d63d6f780c0ffad.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u0410\\u0417\\u0410\\u0420\\u0423\\u0412\\u0410\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"ca\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">NOVETATS<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">PER A<\\\\\\/span> <span style=\\\\\\\"color: #FCCA19\\\\\\\">HIP HOP<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">ULLERES<\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/889abd76efd884e3f75378f0eebb8dca.webp\\\",\\\"btn_text\\\":\\\"Compra ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"HIVERN\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">IMPORTAT<\\\\\\/span> DENIM\\\",\\\"title\\\":\\\"JACKETS\\\",\\\"image\\\":\\\"20221115\\/4217f404a18a9c0f1d63d6f780c0ffad.webp\\\",\\\"btn_text\\\":\\\"Compra ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"et\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">UUED SAABUMISED<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">JAOKS<\\\\\\/span> <span style=\\\\\\\"color: #FCCA19\\\\\\\">HIP HOP<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">PRILLID<\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/889abd76efd884e3f75378f0eebb8dca.webp\\\",\\\"btn_text\\\":\\\"Osta kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"TALV\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">IMPORTEERITUD<\\\\\\/span> TEKSAD\\\",\\\"title\\\":\\\"JOPED\\\",\\\"image\\\":\\\"20221115\\/4217f404a18a9c0f1d63d6f780c0ffad.webp\\\",\\\"btn_text\\\":\\\"Osta kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"nl\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">NIEUWE AANKOMSTEN<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">VOOR DE<\\\\\\/span> <span style=\\\\\\\"color: #FCCA19\\\\\\\">HIP HOP<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #ffffff\\\\\\\">BRILLEN<\\\\\\/span>\\\",\\\"image\\\":\\\"20221115\\/889abd76efd884e3f75378f0eebb8dca.webp\\\",\\\"btn_text\\\":\\\"Koop nu\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"WINTER\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">GE\\u00cfMPORTEERD<\\\\\\/span> DENIM\\\",\\\"title\\\":\\\"JASSEN\\\",\\\"image\\\":\\\"20221115\\/4217f404a18a9c0f1d63d6f780c0ffad.webp\\\",\\\"btn_text\\\":\\\"Koop nu\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\"}'),(763,45,'mt','string','30px'),(764,45,'mb','string','0px'),(765,45,'rounded','string','1'),(766,45,'full_link','string','0'),(777,46,'title','string','{\"en\":\"NEW ARRIVALS\",\"bn\":\"নতুন আগমন\",\"fr\":\"NOUVELLES ARRIVÉES\",\"zh\":\"新品到货\",\"ar\":\"وصل حديثاً\",\"be\":\"НОВЫЯ ПАСТУПЛЕННІ\",\"bg\":\"НОВИ ПРИСТИГНАЛИ\",\"ca\":\"NOVES ARREPLEGATS\",\"et\":\"UUED SAABUMISED\",\"nl\":\"Nieuwkomers\"}'),(778,46,'see_more','string','1'),(779,46,'more_link','string','http://localhost/multi-vendor/search-products?categories=Fashion'),(780,46,'sidebar','string','0'),(781,46,'sidebar_position','string','left'),(782,46,'showcase_type','string','newArrivals'),(783,46,'row','string','2'),(784,46,'column','string','5'),(785,46,'total_products','string','10'),(786,46,'mt','string','45px'),(787,46,'mb','string','0px'),(788,46,'slide','array','{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button\":\"\",\"link\":\"\"}'),(789,46,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(790,46,'flash','array','{\"badge_text\":\"\"}'),(791,47,'slider','string','fashion-accessories'),(792,47,'mt','string','45px'),(793,47,'mb','string','0px'),(794,47,'full','string','0'),(795,47,'rounded','string','1'),(796,48,'title','string','{\"en\":\"BEST DEALS OF THE WEEK\",\"bn\":\"সপ্তাহের সেরা অফার\",\"fr\":\"MEILLEURES OFFRES DE LA SEMAINE\",\"zh\":\"本周最佳优惠\",\"ar\":\"أفضل العروض في الأسبوع\",\"be\":\"ЛЕПШЫЯ ПРАПАНОВЫ ТЫДНЯ\",\"bg\":\"НАЙ-ДОБРИТЕ ДЕАЛИ НА СЕДМИЦАТА\",\"ca\":\"MILLORS OFERTES DE LA SETMANA\",\"et\":\"NÄDALA PARIMAD PAKKUMISED\",\"nl\":\"BESTE DEALS VAN DE WEEK\"}'),(797,48,'see_more','string','0'),(798,48,'more_link','string',''),(799,48,'sidebar','string','0'),(800,48,'sidebar_position','string','left'),(801,48,'showcase_type','string','newArrivals'),(802,48,'row','string','2'),(803,48,'column','string','6'),(804,48,'total_products','string','12'),(805,48,'mt','string','60px'),(806,48,'mb','string','0px'),(807,48,'slide','array','{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button\":\"\",\"link\":\"\"}'),(808,48,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(809,48,'flash','array','{\"badge_text\":\"\"}'),(810,49,'cta','array','{\"en\":\"[{\\\"upper_st\\\":\\\"SPORTS\\\",\\\"lower_st\\\":\\\"COMING <span style=\\\\\\\"color: #E43147\\\\\\\">THIS WINTER <span>\\\",\\\"title\\\":\\\"X-SPORTS ZONE\\\",\\\"image\\\":\\\"20221115\\/2b7c80046bfaa9c555a878de6da85cbd.webp\\\",\\\"btn_text\\\":\\\"Shop Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"},{\\\"upper_st\\\":\\\"TOYS\\\",\\\"lower_st\\\":\\\"PUT A <span style=\\\\\\\"color: #E43147\\\\\\\">SMILE<\\\\\\/span> ON \\\",\\\"title\\\":\\\"YOUR CHILD\\\",\\\"image\\\":\\\"20221115\\/f7599dd4257cab7744c95817c5dd055e.webp\\\",\\\"btn_text\\\":\\\"Shop Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"}]\",\"bn\":\"[{\\\"upper_st\\\":\\\"SPORTS\\\",\\\"lower_st\\\":\\\"\\u0986\\u09b8\\u099b\\u09c7 <span style=\\\\\\\"color: #E43147\\\\\\\">\\u098f\\u0987 \\u09b6\\u09c0\\u09a4\\u09c7 <span>\\\",\\\"title\\\":\\\"\\u098f\\u0995\\u09cd\\u09b8-\\u09b8\\u09cd\\u09aa\\u09cb\\u09b0\\u09cd\\u099f\\u09b8 \\u099c\\u09cb\\u09a8\\\",\\\"image\\\":\\\"20221115\\/2b7c80046bfaa9c555a878de6da85cbd.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"},{\\\"upper_st\\\":\\\"\\u0996\\u09c7\\u09b2\\u09a8\\u09be\\\",\\\"lower_st\\\":\\\"\\u098f\\u0995\\u099f\\u09bf <span style=\\\\\\\"color: #E43147\\\\\\\">\\u09b9\\u09be\\u09b8\\u09bf<\\\\\\/span> \\u0989\\u09aa\\u09b0 \\\",\\\"title\\\":\\\"\\u09a4\\u09cb\\u09ae\\u09be\\u09b0 \\u09b6\\u09bf\\u09b6\\u09c1\\\",\\\"image\\\":\\\"20221115\\/f7599dd4257cab7744c95817c5dd055e.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"}]\",\"fr\":\"[{\\\"upper_st\\\":\\\"SPORTS\\\",\\\"lower_st\\\":\\\"ARRIV\\u00c9E <span style=\\\\\\\"color: #E43147\\\\\\\">CET HIVER <span>\\\",\\\"title\\\":\\\"ZSURE X-SPORTS\\\",\\\"image\\\":\\\"20221115\\/2b7c80046bfaa9c555a878de6da85cbd.webp\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"},{\\\"upper_st\\\":\\\"JOUETS\\\",\\\"lower_st\\\":\\\"METTRE UN <span style=\\\\\\\"color: #E43147\\\\\\\">SOURIRE<\\\\\\/span> SUR \\\",\\\"title\\\":\\\"VOTRE ENFANT\\\",\\\"image\\\":\\\"20221115\\/f7599dd4257cab7744c95817c5dd055e.webp\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"}]\",\"zh\":\"[{\\\"upper_st\\\":\\\"SPORTS\\\",\\\"lower_st\\\":\\\"\\u5373\\u5c06\\u5230\\u6765 <span style=\\\\\\\"color: #E43147\\\\\\\">\\u8fd9\\u4e2a\\u51ac\\u5929 <span>\\\",\\\"title\\\":\\\"X-\\u8fd0\\u52a8\\u533a\\\",\\\"image\\\":\\\"20221115\\/2b7c80046bfaa9c555a878de6da85cbd.webp\\\",\\\"btn_text\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"},{\\\"upper_st\\\":\\\"\\u73a9\\u5177\\\",\\\"lower_st\\\":\\\"\\u653e\\u4e00\\u4e2a <span style=\\\\\\\"color: #E43147\\\\\\\">\\u5fae\\u7b11<\\\\\\/span> \\u4e0a \\\",\\\"title\\\":\\\"\\u4f60\\u7684\\u5b69\\u5b50\\\",\\\"image\\\":\\\"20221115\\/f7599dd4257cab7744c95817c5dd055e.webp\\\",\\\"btn_text\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"}]\",\"ar\":\"[{\\\"upper_st\\\":\\\"SPORTS\\\",\\\"lower_st\\\":\\\"\\u0642\\u0627\\u062f\\u0645 <span style=\\\\\\\"color: #E43147\\\\\\\">\\u0647\\u0630\\u0627 \\u0627\\u0644\\u0634\\u062a\\u0627\\u0621 <span>\\\",\\\"title\\\":\\\"\\u0645\\u0646\\u0637\\u0642\\u0629 \\u0627\\u0644\\u0631\\u064a\\u0627\\u0636\\u0629 X\\\",\\\"image\\\":\\\"20221115\\/2b7c80046bfaa9c555a878de6da85cbd.webp\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"},{\\\"upper_st\\\":\\\"\\u0627\\u0644\\u0623\\u0644\\u0639\\u0627\\u0628\\\",\\\"lower_st\\\":\\\"\\u0648\\u0636\\u0639 <span style=\\\\\\\"color: #E43147\\\\\\\">\\u0627\\u0628\\u062a\\u0633\\u0627\\u0645\\u0629<\\\\\\/span> \\u0639\\u0644\\u0649 \\\",\\\"title\\\":\\\"\\u0637\\u0641\\u0644\\u0643\\\",\\\"image\\\":\\\"20221115\\/f7599dd4257cab7744c95817c5dd055e.webp\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"}]\",\"be\":\"[{\\\"upper_st\\\":\\\"SPORTS\\\",\\\"lower_st\\\":\\\"\\u041f\\u0420\\u042b\\u0415\\u0417\\u0414 <span style=\\\\\\\"color: #E43147\\\\\\\">\\u0413\\u042d\\u0422\\u0410 \\u0417\\u0406\\u041c\\u0410 <span>\\\",\\\"title\\\":\\\"X-\\u0417\\u041e\\u041d\\u0410 \\u0421\\u041f\\u041e\\u0420\\u0422\\u0423\\\",\\\"image\\\":\\\"20221115\\/2b7c80046bfaa9c555a878de6da85cbd.webp\\\",\\\"btn_text\\\":\\\"\\u041a\\u0423\\u041f\\u0406\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"},{\\\"upper_st\\\":\\\"\\u0406\\u0413\\u0420\\u0410\\u0428\\u041a\\u0406\\\",\\\"lower_st\\\":\\\"\\u041f\\u0410\\u0421\\u0422\\u0410\\u0412\\u0406\\u0426\\u042c <span style=\\\\\\\"color: #E43147\\\\\\\">\\u0423\\u0421\\u041c\\u0406\\u0425<\\\\\\/span> \\u041d\\u0430 \\\",\\\"title\\\":\\\"\\u0412\\u0410\\u0428\\u0410\\u0415 \\u0414\\u0417\\u042f\\u0426\\u042f\\\",\\\"image\\\":\\\"20221115\\/f7599dd4257cab7744c95817c5dd055e.webp\\\",\\\"btn_text\\\":\\\"\\u041a\\u0423\\u041f\\u0406\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"}]\",\"bg\":\"[{\\\"upper_st\\\":\\\"SPORTS\\\",\\\"lower_st\\\":\\\"\\u041f\\u0420\\u0418\\u0428\\u0415\\u041b\\u0415\\u0426 <span style=\\\\\\\"color: #E43147\\\\\\\">\\u0422\\u041e\\u0417\\u0418 \\u0417\\u0418\\u041c\\u0410 <span>\\\",\\\"title\\\":\\\"X-\\u0421\\u041f\\u041e\\u0420\\u0422\\u041d\\u0410 \\u0417\\u041e\\u041d\\u0410\\\",\\\"image\\\":\\\"20221115\\/2b7c80046bfaa9c555a878de6da85cbd.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u0410\\u0417\\u0410\\u0420\\u0423\\u0412\\u0410\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"},{\\\"upper_st\\\":\\\"\\u0418\\u0413\\u0420\\u0410\\u0427\\u041a\\u0418\\\",\\\"lower_st\\\":\\\"\\u041f\\u041e\\u0421\\u0422\\u0410\\u0412\\u0415\\u0422\\u0415 \\u0415\\u0414\\u0418\\u041d <span style=\\\\\\\"color: #E43147\\\\\\\">\\u0423\\u0421\\u041c\\u0418\\u0412\\u041a\\u0410<\\\\\\/span> \\u0412\\u042a\\u0420\\u0425\\u0423 \\\",\\\"title\\\":\\\"\\u0422\\u0412\\u041e\\u0415\\u0422\\u041e \\u0414\\u0415\\u0422\\u0415\\\",\\\"image\\\":\\\"20221115\\/f7599dd4257cab7744c95817c5dd055e.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u0410\\u0417\\u0410\\u0420\\u0423\\u0412\\u0410\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"}]\",\"ca\":\"[{\\\"upper_st\\\":\\\"SPORTS\\\",\\\"lower_st\\\":\\\"VENINT <span style=\\\\\\\"color: #E43147\\\\\\\">AQUEST HIVERN <span>\\\",\\\"title\\\":\\\"ZENA D\'ESPORTS X\\\",\\\"image\\\":\\\"20221115\\/2b7c80046bfaa9c555a878de6da85cbd.webp\\\",\\\"btn_text\\\":\\\"Compra ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"},{\\\"upper_st\\\":\\\"JUGUETS\\\",\\\"lower_st\\\":\\\"POSAR UN <span style=\\\\\\\"color: #E43147\\\\\\\">Somriure<\\\\\\/span> EN \\\",\\\"title\\\":\\\"EL TEU FIL\\\",\\\"image\\\":\\\"20221115\\/f7599dd4257cab7744c95817c5dd055e.webp\\\",\\\"btn_text\\\":\\\"Compra ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"}]\",\"et\":\"[{\\\"upper_st\\\":\\\"SPORTS\\\",\\\"lower_st\\\":\\\"TULEMAS <span style=\\\\\\\"color: #E43147\\\\\\\">SEE TALV <span>\\\",\\\"title\\\":\\\"X-SPORDI TSOPEALE\\\",\\\"image\\\":\\\"20221115\\/2b7c80046bfaa9c555a878de6da85cbd.webp\\\",\\\"btn_text\\\":\\\"Osta kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"},{\\\"upper_st\\\":\\\"M\\u00c4NGUASJAD\\\",\\\"lower_st\\\":\\\"PANE <span style=\\\\\\\"color: #E43147\\\\\\\">NAERATUS<\\\\\\/span> PEALE \\\",\\\"title\\\":\\\"SINU LAPSE\\\",\\\"image\\\":\\\"20221115\\/f7599dd4257cab7744c95817c5dd055e.webp\\\",\\\"btn_text\\\":\\\"Osta kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"}]\",\"nl\":\"[{\\\"upper_st\\\":\\\"SPORTS\\\",\\\"lower_st\\\":\\\"KOMT ERAAN <span style=\\\\\\\"color: #E43147\\\\\\\">DEZE WINTER <span>\\\",\\\"title\\\":\\\"X-SPORTZOPE\\\",\\\"image\\\":\\\"20221115\\/2b7c80046bfaa9c555a878de6da85cbd.webp\\\",\\\"btn_text\\\":\\\"Koop nu\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"},{\\\"upper_st\\\":\\\"SPEELGOED\\\",\\\"lower_st\\\":\\\"ZET EEN <span style=\\\\\\\"color: #E43147\\\\\\\">GLIMLACH<\\\\\\/span> OP \\\",\\\"title\\\":\\\"JE KIND\\\",\\\"image\\\":\\\"20221115\\/f7599dd4257cab7744c95817c5dd055e.webp\\\",\\\"btn_text\\\":\\\"Koop nu\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"}]\"}'),(811,49,'mt','string','60px'),(812,49,'mb','string','0px'),(813,49,'rounded','string','1'),(814,49,'full_link','string','0'),(820,50,'title','string',''),(821,50,'see_more','string','0'),(822,50,'more_link','string',''),(823,50,'sidebar','string','0'),(824,50,'sidebar_position','string','left'),(825,50,'showcase_type','string','newArrivals'),(826,50,'row','string','2'),(827,50,'column','string','6'),(828,50,'total_products','string','12'),(829,50,'mt','string','45px'),(830,50,'mb','string','0px'),(831,50,'slide','array','{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button\":\"\",\"link\":\"\"}'),(832,50,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(833,50,'flash','array','{\"badge_text\":\"\"}'),(834,51,'title','string','{\"en\":\"Flash Sale\",\"bn\":\"ফ্ল্যাশ বিক্রয়\",\"fr\":\"Vente Flash\",\"zh\":\"闪购\",\"ar\":\"بيع مفاجئ\",\"be\":\"ФЛЭШ-ПРОДАЖ\",\"bg\":\"Флаш Продажба\",\"ca\":\"Venda Flash\",\"et\":\"Flash Sale\",\"nl\":\"Flashverkoop\"}'),(835,51,'see_more','string','1'),(836,51,'more_link','string','http://localhost/multi-vendor/search-products?categories=Fashion'),(837,51,'sidebar','string','slide'),(838,51,'sidebar_position','string','left'),(839,51,'showcase_type','string','flashSales'),(840,51,'row','string','2'),(841,51,'column','string','4'),(842,51,'total_products','string','8'),(843,51,'mt','string','60px'),(844,51,'mb','string','0px'),(845,51,'slide','array','{\"en\":\"{\\\"u_subtitle\\\":\\\"SALES\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #E43147\\\\\\\">DISCOUNT<\\\\\\/span>  UP TO\\\",\\\"title\\\":\\\"50% OFF\\\",\\\"image\\\":\\\"20221123\\/57f19d8d2afae6da03b1c11642fda166.webp\\\",\\\"button\\\":\\\"Shop Now\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"bn\":\"{\\\"u_subtitle\\\":\\\"\\u09ac\\u09bf\\u0995\\u09cd\\u09b0\\u09af\\u09bc\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #E43147\\\\\\\">\\u09a1\\u09bf\\u09b8\\u0995\\u09be\\u0989\\u09a8\\u09cd\\u099f<\\\\\\/span>  \\u09aa\\u09b0\\u09cd\\u09af\\u09a8\\u09cd\\u09a4\\\",\\\"title\\\":\\\"50% \\u099b\\u09be\\u09dc\\\",\\\"image\\\":\\\"20221123\\/57f19d8d2afae6da03b1c11642fda166.webp\\\",\\\"button\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"fr\":\"{\\\"u_subtitle\\\":\\\"VENTES\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #E43147\\\\\\\">R\\u00c9DUCTION<\\\\\\/span>  JUSQU\'\\u00c0\\\",\\\"title\\\":\\\"50% DE R\\u00c9DUCTION\\\",\\\"image\\\":\\\"20221123\\/57f19d8d2afae6da03b1c11642fda166.webp\\\",\\\"button\\\":\\\"Achetez maintenant\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"zh\":\"{\\\"u_subtitle\\\":\\\"\\u9500\\u552e\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #E43147\\\\\\\">\\u6298\\u6263<\\\\\\/span>  \\u6700\\u9ad8\\u8fbe\\\",\\\"title\\\":\\\"50%\\u6298\\u6263\\\",\\\"image\\\":\\\"20221123\\/57f19d8d2afae6da03b1c11642fda166.webp\\\",\\\"button\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"ar\":\"{\\\"u_subtitle\\\":\\\"\\u0645\\u0628\\u064a\\u0639\\u0627\\u062a\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #E43147\\\\\\\">\\u062e\\u0635\\u0645<\\\\\\/span>  \\u062d\\u062a\\u0649\\\",\\\"title\\\":\\\"\\u062e\\u0635\\u0645 50%\\\",\\\"image\\\":\\\"20221123\\/57f19d8d2afae6da03b1c11642fda166.webp\\\",\\\"button\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"be\":\"{\\\"u_subtitle\\\":\\\"\\u041f\\u0420\\u041e\\u0414\\u0410\\u0416\\u042b\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #E43147\\\\\\\">\\u0421\\u041a\\u0406\\u0414\\u041a\\u0410<\\\\\\/span>  \\u0414\\u0410\\\",\\\"title\\\":\\\"\\u0417\\u041d\\u0406\\u0416\\u041a\\u0410 50%\\\",\\\"image\\\":\\\"20221123\\/57f19d8d2afae6da03b1c11642fda166.webp\\\",\\\"button\\\":\\\"\\u041a\\u0423\\u041f\\u0406\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"bg\":\"{\\\"u_subtitle\\\":\\\"\\u041f\\u0420\\u041e\\u0414\\u0410\\u0416\\u0411\\u0418\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #E43147\\\\\\\">\\u041e\\u0422\\u0421\\u0422\\u042a\\u041f\\u041a\\u0410<\\\\\\/span>  \\u0414\\u041e\\\",\\\"title\\\":\\\"50% \\u041e\\u0422\\u0421\\u0422\\u042a\\u041f\\u041a\\u0410\\\",\\\"image\\\":\\\"20221123\\/57f19d8d2afae6da03b1c11642fda166.webp\\\",\\\"button\\\":\\\"\\u041f\\u0410\\u0417\\u0410\\u0420\\u0423\\u0412\\u0410\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"ca\":\"{\\\"u_subtitle\\\":\\\"VENDES\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #E43147\\\\\\\">DESCOMPTE<\\\\\\/span>  FINS A\\\",\\\"title\\\":\\\"DESCOMPTE DEL 50%\\\",\\\"image\\\":\\\"20221123\\/57f19d8d2afae6da03b1c11642fda166.webp\\\",\\\"button\\\":\\\"Compra ara\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"et\":\"{\\\"u_subtitle\\\":\\\"M\\u00dc\\u00dcK\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #E43147\\\\\\\">ALLAHINDLUS<\\\\\\/span>  KUNI\\\",\\\"title\\\":\\\"50% ALLAHINDLUS\\\",\\\"image\\\":\\\"20221123\\/57f19d8d2afae6da03b1c11642fda166.webp\\\",\\\"button\\\":\\\"Osta kohe\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"nl\":\"{\\\"u_subtitle\\\":\\\"VERKOOP\\\",\\\"l_subtitle\\\":\\\"<span style=\\\\\\\"color: #E43147\\\\\\\">KORTING<\\\\\\/span>  TOT\\\",\\\"title\\\":\\\"50% KORTING\\\",\\\"image\\\":\\\"20221123\\/57f19d8d2afae6da03b1c11642fda166.webp\\\",\\\"button\\\":\\\"Koop nu\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\"}'),(846,51,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(847,51,'flash','array','{\"badge_text\":\"\"}'),(862,52,'title','string','{\"en\":\"TOP BRANDS\",\"bn\":\"শীর্ষ ব্র্যান্ড\",\"fr\":\"MARQUES PRINCIPALES\",\"zh\":\"顶级品牌\",\"ar\":\"أفضل العلامات التجارية\",\"be\":\"ЛІДЭРСКІЯ БРЭНДЫ\",\"bg\":\"ТОП МАРКИ\",\"ca\":\"MARQUES SUPERIORS\",\"et\":\"TOP BRÄNDID\",\"nl\":\"TOPMERKEN\"}'),(863,52,'brand_type','string','randomBrands'),(864,52,'brand_limit','string','9'),(865,52,'mt','string','60px'),(866,52,'mb','string','0px'),(867,53,'iconbox','array','{\"en\":\"[{\\\"image\\\":\\\"20221115\\/1ca14385d26b77fde54795e153171f43.webp\\\",\\\"title\\\":\\\"Free Shipping <br> Worldwide\\\",\\\"subtitle\\\":\\\"For all orders over $350\\\"},{\\\"image\\\":\\\"20221115\\/ffd9701a8c39fd929f2425cef82f3182.webp\\\",\\\"title\\\":\\\"Secured Online <br> Payment\\\",\\\"subtitle\\\":\\\"Payment protection guaranteed\\\"},{\\\"image\\\":\\\"20221115\\/25bc0b939a75406c6e341f55936ff5d1.webp\\\",\\\"title\\\":\\\"Money Back <br> Guarantee\\\",\\\"subtitle\\\":\\\"If goods have problems\\\"}]\",\"bn\":\"[{\\\"image\\\":\\\"20221115\\/1ca14385d26b77fde54795e153171f43.webp\\\",\\\"title\\\":\\\"\\u09ac\\u09bf\\u09a8\\u09be\\u09ae\\u09c2\\u09b2\\u09cd\\u09af\\u09c7 \\u09b6\\u09bf\\u09aa\\u09bf\\u0982 <br> \\u09ac\\u09bf\\u09b6\\u09cd\\u09ac\\u09ac\\u09cd\\u09af\\u09be\\u09aa\\u09c0\\\",\\\"subtitle\\\":\\\"\\u09b8\\u09ae\\u09b8\\u09cd\\u09a4 \\u0985\\u09b0\\u09cd\\u09a1\\u09be\\u09b0\\u09c7\\u09b0 \\u099c\\u09a8\\u09cd\\u09af \\u09aa\\u09cd\\u09b0\\u09af\\u09cb\\u099c\\u09cd\\u09af $350 \\u098f\\u09b0 \\u0989\\u09aa\\u09b0\\u09c7\\\"},{\\\"image\\\":\\\"20221115\\/ffd9701a8c39fd929f2425cef82f3182.webp\\\",\\\"title\\\":\\\"\\u09a8\\u09bf\\u09b0\\u09be\\u09aa\\u09a6 \\u0985\\u09a8\\u09b2\\u09be\\u0987\\u09a8\\u09c7 <br> Payment\\\",\\\"subtitle\\\":\\\"\\u0985\\u09b0\\u09cd\\u09a5 \\u09aa\\u09cd\\u09b0\\u09a6\\u09be\\u09a8 \\u09b8\\u09c1\\u09b0\\u0995\\u09cd\\u09b7\\u09be \\u09a8\\u09bf\\u09b6\\u09cd\\u099a\\u09bf\\u09a4\\\"},{\\\"image\\\":\\\"20221115\\/25bc0b939a75406c6e341f55936ff5d1.webp\\\",\\\"title\\\":\\\"\\u099f\\u09be\\u0995\\u09be \\u09aa\\u09bf\\u099b\\u09a8\\u09c7 \\u09a6\\u09bf\\u09a8 <br> \\u0997\\u09cd\\u09af\\u09be\\u09b0\\u09be\\u09a8\\u09cd\\u099f\\u09bf\\\",\\\"subtitle\\\":\\\"\\u09af\\u09a6\\u09bf \\u09ae\\u09be\\u09b2 \\u09b8\\u09ae\\u09b8\\u09cd\\u09af\\u09be \\u09a5\\u09be\\u0995\\u09c7\\\"}]\",\"fr\":\"[{\\\"image\\\":\\\"20221115\\/1ca14385d26b77fde54795e153171f43.webp\\\",\\\"title\\\":\\\"Livraison gratuite <br> Mondial\\\",\\\"subtitle\\\":\\\"Pour toutes les commandes de plus de 350 $\\\"},{\\\"image\\\":\\\"20221115\\/ffd9701a8c39fd929f2425cef82f3182.webp\\\",\\\"title\\\":\\\"En ligne s\\u00e9curis\\u00e9 <br> Payment\\\",\\\"subtitle\\\":\\\"Protection de paiement garantie\\\"},{\\\"image\\\":\\\"20221115\\/25bc0b939a75406c6e341f55936ff5d1.webp\\\",\\\"title\\\":\\\"Argent remis <br> Garantie\\\",\\\"subtitle\\\":\\\"Si les produits ont des probl\\u00e8mes\\\"}]\",\"zh\":\"[{\\\"image\\\":\\\"20221115\\/1ca14385d26b77fde54795e153171f43.webp\\\",\\\"title\\\":\\\"\\u514d\\u8d39\\u8fd0\\u9001 <br> \\u5168\\u7403\\\",\\\"subtitle\\\":\\\"\\u6240\\u6709\\u8ba2\\u5355\\u6ee1350\\u7f8e\\u5143\\u514d\\u90ae\\u8d39\\\"},{\\\"image\\\":\\\"20221115\\/ffd9701a8c39fd929f2425cef82f3182.webp\\\",\\\"title\\\":\\\"\\u5728\\u7ebf\\u4fdd\\u62a4 <br> Payment\\\",\\\"subtitle\\\":\\\"\\u652f\\u4ed8\\u4fdd\\u62a4\\u6709\\u4fdd\\u969c\\\"},{\\\"image\\\":\\\"20221115\\/25bc0b939a75406c6e341f55936ff5d1.webp\\\",\\\"title\\\":\\\"\\u9000\\u6b3e <br> \\u4fdd\\u8bc1\\\",\\\"subtitle\\\":\\\"\\u5982\\u679c\\u5546\\u54c1\\u6709\\u95ee\\u9898\\\"}]\",\"ar\":\"[{\\\"image\\\":\\\"20221115\\/1ca14385d26b77fde54795e153171f43.webp\\\",\\\"title\\\":\\\"\\u0627\\u0644\\u0634\\u062d\\u0646 \\u0645\\u062c\\u0627\\u0646\\u0627 <br> \\u0639\\u0627\\u0644\\u0645\\u064a\\\",\\\"subtitle\\\":\\\"\\u0644\\u062c\\u0645\\u064a\\u0639 \\u0627\\u0644\\u0637\\u0644\\u0628\\u0627\\u062a \\u0627\\u0644\\u062a\\u064a \\u062a\\u0632\\u064a\\u062f \\u0639\\u0646 350 \\u062f\\u0648\\u0644\\u0627\\u0631\\u064b\\u0627\\\"},{\\\"image\\\":\\\"20221115\\/ffd9701a8c39fd929f2425cef82f3182.webp\\\",\\\"title\\\":\\\"\\u0639\\u0628\\u0631 \\u0627\\u0644\\u0625\\u0646\\u062a\\u0631\\u0646\\u062a \\u0628\\u0623\\u0645\\u0627\\u0646 <br> Payment\\\",\\\"subtitle\\\":\\\"\\u0636\\u0645\\u0627\\u0646 \\u062d\\u0645\\u0627\\u064a\\u0629 \\u0627\\u0644\\u062f\\u0641\\u0639\\\"},{\\\"image\\\":\\\"20221115\\/25bc0b939a75406c6e341f55936ff5d1.webp\\\",\\\"title\\\":\\\"\\u0627\\u0633\\u062a\\u0631\\u062f\\u0627\\u062f \\u0627\\u0644\\u0623\\u0645\\u0648\\u0627\\u0644 <br> \\u0636\\u0645\\u0627\\u0646\\\",\\\"subtitle\\\":\\\"\\u0625\\u0630\\u0627 \\u0643\\u0627\\u0646\\u062a \\u0627\\u0644\\u0633\\u0644\\u0639 \\u0644\\u062f\\u064a\\u0647\\u0627 \\u0645\\u0634\\u0627\\u0643\\u0644\\\"}]\",\"be\":\"[{\\\"image\\\":\\\"20221115\\/1ca14385d26b77fde54795e153171f43.webp\\\",\\\"title\\\":\\\"\\u0411\\u044f\\u0441\\u043f\\u043b\\u0430\\u0442\\u043d\\u0430\\u044f \\u0434\\u0430\\u0441\\u0442\\u0430\\u045e\\u043a\\u0430 <br> \\u041f\\u0430 \\u045e\\u0441\\u0456\\u043c \\u0441\\u0432\\u0435\\u0446\\u0435\\\",\\\"subtitle\\\":\\\"\\u0414\\u043b\\u044f \\u045e\\u0441\\u0456\\u0445 \\u0437\\u0430\\u043a\\u0430\\u0437\\u0430\\u045e \\u043f\\u0430 $350 \\u0456 \\u0431\\u043e\\u043b\\u044c\\u0448\\\"},{\\\"image\\\":\\\"20221115\\/ffd9701a8c39fd929f2425cef82f3182.webp\\\",\\\"title\\\":\\\"\\u0411\\u044f\\u0441\\u043f\\u0435\\u0447\\u043d\\u0430\\u0435 \\u043e\\u043d\\u043b\\u0430\\u0439\\u043d <br> Payment\\\",\\\"subtitle\\\":\\\"\\u0413\\u0430\\u0440\\u0430\\u043d\\u0442\\u0430\\u0432\\u0430\\u043d\\u0430\\u044f \\u0430\\u0431\\u0430\\u0440\\u043e\\u043d\\u0430 \\u0430\\u043f\\u043b\\u0430\\u0442\\u044b\\\"},{\\\"image\\\":\\\"20221115\\/25bc0b939a75406c6e341f55936ff5d1.webp\\\",\\\"title\\\":\\\"\\u0413\\u0440\\u043e\\u0448\\u044b \\u043d\\u0430\\u0437\\u0430\\u0434 <br> \\u0413\\u0430\\u0440\\u0430\\u043d\\u0442\\u044b\\u044f\\\",\\\"subtitle\\\":\\\"\\u041a\\u0430\\u043b\\u0456 \\u0442\\u0430\\u0432\\u0430\\u0440\\u044b \\u043c\\u0430\\u044e\\u0446\\u044c \\u043f\\u0440\\u0430\\u0431\\u043b\\u0435\\u043c\\u044b\\\"}]\",\"bg\":\"[{\\\"image\\\":\\\"20221115\\/1ca14385d26b77fde54795e153171f43.webp\\\",\\\"title\\\":\\\"\\u0411\\u0435\\u0437\\u043f\\u043b\\u0430\\u0442\\u043d\\u0430 \\u0434\\u043e\\u0441\\u0442\\u0430\\u0432\\u043a\\u0430 <br> \\u0421\\u0432\\u0435\\u0442\\u043e\\u0432\\u0435\\u043d\\\",\\\"subtitle\\\":\\\"\\u0417\\u0430 \\u0432\\u0441\\u0438\\u0447\\u043a\\u0438 \\u043f\\u043e\\u0440\\u044a\\u0447\\u043a\\u0438 \\u043d\\u0430\\u0434 $350\\\"},{\\\"image\\\":\\\"20221115\\/ffd9701a8c39fd929f2425cef82f3182.webp\\\",\\\"title\\\":\\\"\\u041e\\u043d\\u043b\\u0430\\u0439\\u043d \\u0437\\u0430\\u0449\\u0438\\u0442\\u0435\\u043d\\u043e <br> Payment\\\",\\\"subtitle\\\":\\\"\\u0413\\u0430\\u0440\\u0430\\u043d\\u0442\\u0438\\u0440\\u0430\\u043d\\u0430 \\u0437\\u0430\\u0449\\u0438\\u0442\\u0430 \\u043d\\u0430 \\u043f\\u043b\\u0430\\u0449\\u0430\\u043d\\u0435\\u0442\\u043e\\\"},{\\\"image\\\":\\\"20221115\\/25bc0b939a75406c6e341f55936ff5d1.webp\\\",\\\"title\\\":\\\"\\u0412\\u0440\\u044a\\u0449\\u0430\\u043d\\u0435 \\u043d\\u0430 \\u043f\\u0430\\u0440\\u0438 <br> \\u0413\\u0430\\u0440\\u0430\\u043d\\u0446\\u0438\\u044f\\\",\\\"subtitle\\\":\\\"\\u0410\\u043a\\u043e \\u0441\\u0442\\u043e\\u043a\\u0438\\u0442\\u0435 \\u0438\\u043c\\u0430\\u0442 \\u043f\\u0440\\u043e\\u0431\\u043b\\u0435\\u043c\\u0438\\\"}]\",\"ca\":\"[{\\\"image\\\":\\\"20221115\\/1ca14385d26b77fde54795e153171f43.webp\\\",\\\"title\\\":\\\"Enviament gratu\\u00eft <br> A nivell mundial\\\",\\\"subtitle\\\":\\\"Per a totes les comandes superiors a 350 $\\\"},{\\\"image\\\":\\\"20221115\\/ffd9701a8c39fd929f2425cef82f3182.webp\\\",\\\"title\\\":\\\"En l\\u00ednia segura <br> Payment\\\",\\\"subtitle\\\":\\\"Protecci\\u00f3 del pagament garantida\\\"},{\\\"image\\\":\\\"20221115\\/25bc0b939a75406c6e341f55936ff5d1.webp\\\",\\\"title\\\":\\\"Devoluci\\u00f3 de diners <br> Garantia\\\",\\\"subtitle\\\":\\\"Si els productes tenen problemes\\\"}]\",\"et\":\"[{\\\"image\\\":\\\"20221115\\/1ca14385d26b77fde54795e153171f43.webp\\\",\\\"title\\\":\\\"Tasuta kohaletoimetamine <br> Kogu maailmas\\\",\\\"subtitle\\\":\\\"K\\u00f5igi tellimuste eest \\u00fcle 350 dollari\\\"},{\\\"image\\\":\\\"20221115\\/ffd9701a8c39fd929f2425cef82f3182.webp\\\",\\\"title\\\":\\\"Turvaline veebis <br> Payment\\\",\\\"subtitle\\\":\\\"Makse kaitse tagatud\\\"},{\\\"image\\\":\\\"20221115\\/25bc0b939a75406c6e341f55936ff5d1.webp\\\",\\\"title\\\":\\\"Raha tagasi <br> Garantii\\\",\\\"subtitle\\\":\\\"Kui kaubad on probleeme\\\"}]\",\"nl\":\"[{\\\"image\\\":\\\"20221115\\/1ca14385d26b77fde54795e153171f43.webp\\\",\\\"title\\\":\\\"Gratis verzending <br> Wereldwijd\\\",\\\"subtitle\\\":\\\"Voor alle bestellingen van meer dan $350\\\"},{\\\"image\\\":\\\"20221115\\/ffd9701a8c39fd929f2425cef82f3182.webp\\\",\\\"title\\\":\\\"Veilig online <br> Payment\\\",\\\"subtitle\\\":\\\"Betalingbescherming gegarandeerd\\\"},{\\\"image\\\":\\\"20221115\\/25bc0b939a75406c6e341f55936ff5d1.webp\\\",\\\"title\\\":\\\"Geld terug <br> Garantie\\\",\\\"subtitle\\\":\\\"Als er problemen zijn met de goederen\\\"}]\"}'),(868,53,'sidebox_show','string','0'),(869,53,'sidebox','array','{\"title\":\"\",\"sidetext\":\"\",\"description\":\"\"}'),(870,53,'mt','string','45px'),(871,53,'mb','string','0px'),(872,53,'rounded','string','1'),(873,54,'cta','array','{\"en\":\"[{\\\"upper_st\\\":\\\"NEW ARRIVALS\\\",\\\"lower_st\\\":\\\"FOR THE <span style=\\\\\\\"color:#E43147\\\\\\\">LITTLE<\\\\\\/span> \\\",\\\"title\\\":\\\"GENERATION\\\",\\\"image\\\":\\\"20221117\\/8bb982bae02e596721bad953fd608a88.webp\\\",\\\"btn_text\\\":\\\"Shop Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"MOST POPULAR\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">WINTER<\\\\\\/span> IMPORTED \\\",\\\"title\\\":\\\"JACKETS\\\",\\\"image\\\":\\\"20221117\\/3da9cf6e2d7830531e5fd19f488bb7ce.webp\\\",\\\"btn_text\\\":\\\"Shop Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"bn\":\"[{\\\"upper_st\\\":\\\"\\u09a8\\u09a4\\u09c1\\u09a8 \\u0986\\u0997\\u09ae\\u09a8\\\",\\\"lower_st\\\":\\\"\\u099c\\u09a8\\u09cd\\u09af <span style=\\\\\\\"color:#E43147\\\\\\\">\\u099b\\u09cb\\u099f<\\\\\\/span> \\\",\\\"title\\\":\\\"\\u09aa\\u09cd\\u09b0\\u099c\\u09a8\\u09cd\\u09ae\\\",\\\"image\\\":\\\"20221117\\/8bb982bae02e596721bad953fd608a88.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"\\u09b8\\u09ac\\u099a\\u09c7\\u09af\\u09bc\\u09c7 \\u099c\\u09a8\\u09aa\\u09cd\\u09b0\\u09bf\\u09af\\u09bc\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">\\u09b6\\u09c0\\u09a4\\u0995\\u09be\\u09b2<\\\\\\/span> \\u0986\\u09ae\\u09a6\\u09be\\u09a8\\u09bf \\\",\\\"title\\\":\\\"\\u099c\\u09cd\\u09af\\u09be\\u0995\\u09c7\\u099f\\\",\\\"image\\\":\\\"20221117\\/3da9cf6e2d7830531e5fd19f488bb7ce.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"fr\":\"[{\\\"upper_st\\\":\\\"NOUVEAUT\\u00c9S\\\",\\\"lower_st\\\":\\\"POUR LE <span style=\\\\\\\"color:#E43147\\\\\\\">PETIT<\\\\\\/span> \\\",\\\"title\\\":\\\"G\\u00c9N\\u00c9RATION\\\",\\\"image\\\":\\\"20221117\\/8bb982bae02e596721bad953fd608a88.webp\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"LE PLUS POPULAIRE\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">HIVER<\\\\\\/span> IMPORT\\u00c9 \\\",\\\"title\\\":\\\"VESTES\\\",\\\"image\\\":\\\"20221117\\/3da9cf6e2d7830531e5fd19f488bb7ce.webp\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"zh\":\"[{\\\"upper_st\\\":\\\"\\u65b0\\u54c1\\u4e0a\\u5e02\\\",\\\"lower_st\\\":\\\"\\u4e3a\\u4e86 <span style=\\\\\\\"color:#E43147\\\\\\\">\\u5c0f<\\\\\\/span> \\\",\\\"title\\\":\\\"\\u4ee3\\\",\\\"image\\\":\\\"20221117\\/8bb982bae02e596721bad953fd608a88.webp\\\",\\\"btn_text\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"\\u6700\\u53d7\\u6b22\\u8fce\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">\\u51ac\\u5b63<\\\\\\/span> \\u8fdb\\u53e3 \\\",\\\"title\\\":\\\"\\u5939\\u514b\\\",\\\"image\\\":\\\"20221117\\/3da9cf6e2d7830531e5fd19f488bb7ce.webp\\\",\\\"btn_text\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"ar\":\"[{\\\"upper_st\\\":\\\"\\u0648\\u0635\\u0644 \\u062d\\u062f\\u064a\\u062b\\u0627\\\",\\\"lower_st\\\":\\\"\\u0644\\u0644 <span style=\\\\\\\"color:#E43147\\\\\\\">\\u0642\\u0644\\u064a\\u0644<\\\\\\/span> \\\",\\\"title\\\":\\\"\\u062c\\u064a\\u0644\\\",\\\"image\\\":\\\"20221117\\/8bb982bae02e596721bad953fd608a88.webp\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"\\u0627\\u0644\\u0623\\u0643\\u062b\\u0631 \\u0634\\u0639\\u0628\\u064a\\u0629\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">\\u0627\\u0644\\u0634\\u062a\\u0627\\u0621<\\\\\\/span> \\u0645\\u0633\\u062a\\u0648\\u0631\\u062f \\\",\\\"title\\\":\\\"\\u0633\\u062a\\u0631\\u0627\\u062a\\\",\\\"image\\\":\\\"20221117\\/3da9cf6e2d7830531e5fd19f488bb7ce.webp\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"be\":\"[{\\\"upper_st\\\":\\\"\\u041d\\u041e\\u0412\\u042b\\u042f \\u041f\\u0420\\u042b\\u0411\\u042b\\u0426\\u0426\\u0406\\\",\\\"lower_st\\\":\\\"\\u0414\\u041b\\u042f <span style=\\\\\\\"color:#E43147\\\\\\\">\\u041c\\u0410\\u041b\\u0415\\u041d\\u042c\\u041a\\u0406<\\\\\\/span> \\\",\\\"title\\\":\\\"\\u041f\\u0410\\u041a\\u0410\\u041b\\u0415\\u041d\\u041d\\u0415\\\",\\\"image\\\":\\\"20221117\\/8bb982bae02e596721bad953fd608a88.webp\\\",\\\"btn_text\\\":\\\"\\u041a\\u0423\\u041f\\u0406\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"\\u041d\\u0410\\u0419\\u041f\\u0410\\u041f\\u0423\\u041b\\u042f\\u0420\\u041d\\u0406\\u0428\\u042b\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">\\u0417\\u0406\\u041c\\u0410<\\\\\\/span> \\u0406\\u041c\\u041f\\u041e\\u0420\\u0422 \\\",\\\"title\\\":\\\"\\u041a\\u0423\\u0420\\u0422\\u041a\\u0406\\\",\\\"image\\\":\\\"20221117\\/3da9cf6e2d7830531e5fd19f488bb7ce.webp\\\",\\\"btn_text\\\":\\\"\\u041a\\u0423\\u041f\\u0406\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"bg\":\"[{\\\"upper_st\\\":\\\"\\u041d\\u041e\\u0412\\u0418 \\u041f\\u0420\\u0418\\u0411\\u0418\\u0416\\u0412\\u0410\\u041d\\u0418\\u042f\\\",\\\"lower_st\\\":\\\"\\u0417\\u0410 <span style=\\\\\\\"color:#E43147\\\\\\\">\\u041c\\u0410\\u041b\\u042a\\u041a<\\\\\\/span> \\\",\\\"title\\\":\\\"\\u041f\\u041e\\u041a\\u041e\\u041b\\u0415\\u041d\\u0418\\u0415\\\",\\\"image\\\":\\\"20221117\\/8bb982bae02e596721bad953fd608a88.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u0410\\u0417\\u0410\\u0420\\u0423\\u0412\\u0410\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"\\u041d\\u0410\\u0419-\\u041f\\u041e\\u041f\\u0423\\u041b\\u042f\\u0420\\u0415\\u041d\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">\\u0417\\u0418\\u041c\\u0410<\\\\\\/span> \\u0418\\u041c\\u041f\\u041e\\u0420\\u0422\\u0418\\u0420\\u0410\\u041d\\u0418 \\\",\\\"title\\\":\\\"\\u042f\\u041a\\u0415\\u0422\\u0410\\\",\\\"image\\\":\\\"20221117\\/3da9cf6e2d7830531e5fd19f488bb7ce.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u0410\\u0417\\u0410\\u0420\\u0423\\u0412\\u0410\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"ca\":\"[{\\\"upper_st\\\":\\\"NOVETATS\\\",\\\"lower_st\\\":\\\"PER A <span style=\\\\\\\"color:#E43147\\\\\\\">PEU<\\\\\\/span> \\\",\\\"title\\\":\\\"GENERACI\\u00d3\\\",\\\"image\\\":\\\"20221117\\/8bb982bae02e596721bad953fd608a88.webp\\\",\\\"btn_text\\\":\\\"Compra ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"M\\u00c9S POPULAR\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">HIVERN<\\\\\\/span> IMPORTAT \\\",\\\"title\\\":\\\"JACKETS\\\",\\\"image\\\":\\\"20221117\\/3da9cf6e2d7830531e5fd19f488bb7ce.webp\\\",\\\"btn_text\\\":\\\"Compra ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"et\":\"[{\\\"upper_st\\\":\\\"UUED SAABUMISED\\\",\\\"lower_st\\\":\\\"JAOKS <span style=\\\\\\\"color:#E43147\\\\\\\">V\\u00c4IKE<\\\\\\/span> \\\",\\\"title\\\":\\\"P\\u00d5LVKOND\\\",\\\"image\\\":\\\"20221117\\/8bb982bae02e596721bad953fd608a88.webp\\\",\\\"btn_text\\\":\\\"Osta kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"ENIM LEVINUD\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">TALV<\\\\\\/span> IMPORTEERITUD \\\",\\\"title\\\":\\\"JOPED\\\",\\\"image\\\":\\\"20221117\\/3da9cf6e2d7830531e5fd19f488bb7ce.webp\\\",\\\"btn_text\\\":\\\"Osta kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"nl\":\"[{\\\"upper_st\\\":\\\"NIEUWE AANKOMSTEN\\\",\\\"lower_st\\\":\\\"VOOR DE <span style=\\\\\\\"color:#E43147\\\\\\\">KLEIN<\\\\\\/span> \\\",\\\"title\\\":\\\"GENERATIE\\\",\\\"image\\\":\\\"20221117\\/8bb982bae02e596721bad953fd608a88.webp\\\",\\\"btn_text\\\":\\\"Koop nu\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"MEEST POPULAIR\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color:#E43147\\\\\\\">WINTER<\\\\\\/span> GE\\u00cfMPORTEERD \\\",\\\"title\\\":\\\"JASSEN\\\",\\\"image\\\":\\\"20221117\\/3da9cf6e2d7830531e5fd19f488bb7ce.webp\\\",\\\"btn_text\\\":\\\"Koop nu\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\"}'),(874,54,'mt','string','70px'),(875,54,'mb','string','0px'),(876,54,'rounded','string','1'),(877,54,'full_link','string','0'),(878,55,'title','string','{\"en\":\"EXCLUSIVE PRODUCTS\",\"bn\":\"এক্সক্লুসিভ পণ্য\",\"fr\":\"PRODUITS EXCLUSIFS\",\"zh\":\"独家产品\",\"ar\":\"منتجات حصرية\",\"be\":\"Эксклюзіўныя прадукты\",\"bg\":\"Ексклузивни продукти\",\"ca\":\"Productes exclusius\",\"et\":\"Eksklusiivsed tooted\",\"nl\":\"Exclusieve producten\"}'),(879,55,'disp_categories','array','[\"newArrivals\",\"featureProducts\",\"popularProducts\",\"bestSeller\"]'),(880,55,'row','string','2'),(881,55,'column','string','4'),(882,55,'max','string','8'),(883,55,'mt','string','90px'),(884,55,'mb','string','0px'),(899,56,'title','string','{\"en\":\"EXCLUSIVE PRODUCTS\",\"bn\":\"এক্সক্লুসিভ পণ্য\",\"fr\":\"PRODUITS EXCLUSIFS\",\"zh\":\"独家产品\",\"ar\":\"منتجات حصرية\",\"be\":\"Эксклюзіўныя прадукты\",\"bg\":\"Ексклузивни продукти\",\"ca\":\"Productes exclusius\",\"et\":\"Eksklusiivsed tooted\",\"nl\":\"Exclusieve producten\"}'),(900,56,'see_more','string','0'),(901,56,'more_link','string',''),(902,56,'sidebar','string','0'),(903,56,'sidebar_position','string','left'),(904,56,'showcase_type','string','newArrivals'),(905,56,'row','string','1'),(906,56,'column','string','5'),(907,56,'total_products','string','5'),(908,56,'mt','string','80px'),(909,56,'mb','string','0px'),(910,56,'slide','array','{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button\":\"\",\"link\":\"\"}'),(911,56,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(912,56,'flash','array','{\"badge_text\":\"\"}'),(927,57,'iconbox','array','{\"en\":\"[{\\\"image\\\":\\\"20221117\\/9f816dddcdedacc18c5ed3b39cefc5bf.webp\\\",\\\"title\\\":\\\"Free Shipping <br> Worldwide\\\",\\\"subtitle\\\":\\\"For all orders over $350\\\"},{\\\"image\\\":\\\"20221117\\/05a073d480ed4ccaa7407b408291a633.webp\\\",\\\"title\\\":\\\"Secured Online <br> Payment\\\",\\\"subtitle\\\":\\\"Payment protection guaranteed\\\"},{\\\"image\\\":\\\"20221117\\/c2ef7099bd48eb02a90d73d8d988107e.webp\\\",\\\"title\\\":\\\"Money Back <br> Guarantee\\\",\\\"subtitle\\\":\\\"If goods have problems\\\"}]\",\"bn\":\"[{\\\"image\\\":\\\"20221117\\/9f816dddcdedacc18c5ed3b39cefc5bf.webp\\\",\\\"title\\\":\\\"\\u09ac\\u09bf\\u09a8\\u09be\\u09ae\\u09c2\\u09b2\\u09cd\\u09af\\u09c7 \\u09b6\\u09bf\\u09aa\\u09bf\\u0982 <br> \\u09ac\\u09bf\\u09b6\\u09cd\\u09ac\\u09ac\\u09cd\\u09af\\u09be\\u09aa\\u09c0\\\",\\\"subtitle\\\":\\\"\\u09b8\\u09ae\\u09b8\\u09cd\\u09a4 \\u0985\\u09b0\\u09cd\\u09a1\\u09be\\u09b0\\u09c7\\u09b0 \\u099c\\u09a8\\u09cd\\u09af \\u09aa\\u09cd\\u09b0\\u09af\\u09cb\\u099c\\u09cd\\u09af $350 \\u098f\\u09b0 \\u0989\\u09aa\\u09b0\\u09c7\\\"},{\\\"image\\\":\\\"20221117\\/05a073d480ed4ccaa7407b408291a633.webp\\\",\\\"title\\\":\\\"\\u09a8\\u09bf\\u09b0\\u09be\\u09aa\\u09a6 \\u0985\\u09a8\\u09b2\\u09be\\u0987\\u09a8\\u09c7 <br> \\u09aa\\u09c7\\u09ae\\u09c7\\u09a8\\u09cd\\u099f\\\",\\\"subtitle\\\":\\\"\\u09aa\\u09c7\\u09ae\\u09c7\\u09a8\\u09cd\\u099f protection guaranteed\\\"},{\\\"image\\\":\\\"20221117\\/c2ef7099bd48eb02a90d73d8d988107e.webp\\\",\\\"title\\\":\\\"\\u099f\\u09be\\u0995\\u09be \\u09aa\\u09bf\\u099b\\u09a8\\u09c7 \\u09a6\\u09bf\\u09a8 <br> \\u0997\\u09cd\\u09af\\u09be\\u09b0\\u09be\\u09a8\\u09cd\\u099f\\u09bf\\\",\\\"subtitle\\\":\\\"\\u09af\\u09a6\\u09bf \\u09ae\\u09be\\u09b2 \\u09b8\\u09ae\\u09b8\\u09cd\\u09af\\u09be \\u09a5\\u09be\\u0995\\u09c7\\\"}]\",\"fr\":\"[{\\\"image\\\":\\\"20221117\\/9f816dddcdedacc18c5ed3b39cefc5bf.webp\\\",\\\"title\\\":\\\"Livraison gratuite <br> Mondial\\\",\\\"subtitle\\\":\\\"Pour toutes les commandes de plus de 350 $\\\"},{\\\"image\\\":\\\"20221117\\/05a073d480ed4ccaa7407b408291a633.webp\\\",\\\"title\\\":\\\"En ligne s\\u00e9curis\\u00e9 <br> Paiement\\\",\\\"subtitle\\\":\\\"Paiement protection guaranteed\\\"},{\\\"image\\\":\\\"20221117\\/c2ef7099bd48eb02a90d73d8d988107e.webp\\\",\\\"title\\\":\\\"Argent remis <br> Garantie\\\",\\\"subtitle\\\":\\\"Si les produits ont des probl\\u00e8mes\\\"}]\",\"zh\":\"[{\\\"image\\\":\\\"20221117\\/9f816dddcdedacc18c5ed3b39cefc5bf.webp\\\",\\\"title\\\":\\\"\\u514d\\u8d39\\u8fd0\\u9001 <br> \\u5168\\u7403\\\",\\\"subtitle\\\":\\\"\\u6240\\u6709\\u8ba2\\u5355\\u6ee1350\\u7f8e\\u5143\\u514d\\u90ae\\u8d39\\\"},{\\\"image\\\":\\\"20221117\\/05a073d480ed4ccaa7407b408291a633.webp\\\",\\\"title\\\":\\\"\\u5728\\u7ebf\\u4fdd\\u62a4 <br> \\u4ed8\\u6b3e\\\",\\\"subtitle\\\":\\\"\\u4ed8\\u6b3e protection guaranteed\\\"},{\\\"image\\\":\\\"20221117\\/c2ef7099bd48eb02a90d73d8d988107e.webp\\\",\\\"title\\\":\\\"\\u9000\\u6b3e <br> \\u4fdd\\u8bc1\\\",\\\"subtitle\\\":\\\"\\u5982\\u679c\\u5546\\u54c1\\u6709\\u95ee\\u9898\\\"}]\",\"ar\":\"[{\\\"image\\\":\\\"20221117\\/9f816dddcdedacc18c5ed3b39cefc5bf.webp\\\",\\\"title\\\":\\\"\\u0627\\u0644\\u0634\\u062d\\u0646 \\u0645\\u062c\\u0627\\u0646\\u0627 <br> \\u0639\\u0627\\u0644\\u0645\\u064a\\\",\\\"subtitle\\\":\\\"\\u0644\\u062c\\u0645\\u064a\\u0639 \\u0627\\u0644\\u0637\\u0644\\u0628\\u0627\\u062a \\u0627\\u0644\\u062a\\u064a \\u062a\\u0632\\u064a\\u062f \\u0639\\u0646 350 \\u062f\\u0648\\u0644\\u0627\\u0631\\u064b\\u0627\\\"},{\\\"image\\\":\\\"20221117\\/05a073d480ed4ccaa7407b408291a633.webp\\\",\\\"title\\\":\\\"\\u0639\\u0628\\u0631 \\u0627\\u0644\\u0625\\u0646\\u062a\\u0631\\u0646\\u062a \\u0628\\u0623\\u0645\\u0627\\u0646 <br> \\u0627\\u0644\\u062f\\u0641\\u0639\\\",\\\"subtitle\\\":\\\"\\u0627\\u0644\\u062f\\u0641\\u0639 protection guaranteed\\\"},{\\\"image\\\":\\\"20221117\\/c2ef7099bd48eb02a90d73d8d988107e.webp\\\",\\\"title\\\":\\\"\\u0627\\u0633\\u062a\\u0631\\u062f\\u0627\\u062f \\u0627\\u0644\\u0623\\u0645\\u0648\\u0627\\u0644 <br> \\u0636\\u0645\\u0627\\u0646\\\",\\\"subtitle\\\":\\\"\\u0625\\u0630\\u0627 \\u0643\\u0627\\u0646\\u062a \\u0627\\u0644\\u0633\\u0644\\u0639 \\u0644\\u062f\\u064a\\u0647\\u0627 \\u0645\\u0634\\u0627\\u0643\\u0644\\\"}]\",\"be\":\"[{\\\"image\\\":\\\"20221117\\/9f816dddcdedacc18c5ed3b39cefc5bf.webp\\\",\\\"title\\\":\\\"\\u0411\\u044f\\u0441\\u043f\\u043b\\u0430\\u0442\\u043d\\u0430\\u044f \\u0434\\u0430\\u0441\\u0442\\u0430\\u045e\\u043a\\u0430 <br> \\u041f\\u0430 \\u045e\\u0441\\u0456\\u043c \\u0441\\u0432\\u0435\\u0446\\u0435\\\",\\\"subtitle\\\":\\\"\\u0414\\u043b\\u044f \\u045e\\u0441\\u0456\\u0445 \\u0437\\u0430\\u043a\\u0430\\u0437\\u0430\\u045e \\u043f\\u0430 $350 \\u0456 \\u0431\\u043e\\u043b\\u044c\\u0448\\\"},{\\\"image\\\":\\\"20221117\\/05a073d480ed4ccaa7407b408291a633.webp\\\",\\\"title\\\":\\\"\\u0411\\u044f\\u0441\\u043f\\u0435\\u0447\\u043d\\u0430\\u0435 \\u043e\\u043d\\u043b\\u0430\\u0439\\u043d <br> \\u041f\\u041b\\u0410\\u0422\\u0410\\\",\\\"subtitle\\\":\\\"\\u041f\\u041b\\u0410\\u0422\\u0410 protection guaranteed\\\"},{\\\"image\\\":\\\"20221117\\/c2ef7099bd48eb02a90d73d8d988107e.webp\\\",\\\"title\\\":\\\"\\u0413\\u0440\\u043e\\u0448\\u044b \\u043d\\u0430\\u0437\\u0430\\u0434 <br> \\u0413\\u0430\\u0440\\u0430\\u043d\\u0442\\u044b\\u044f\\\",\\\"subtitle\\\":\\\"\\u041a\\u0430\\u043b\\u0456 \\u0442\\u0430\\u0432\\u0430\\u0440\\u044b \\u043c\\u0430\\u044e\\u0446\\u044c \\u043f\\u0440\\u0430\\u0431\\u043b\\u0435\\u043c\\u044b\\\"}]\",\"bg\":\"[{\\\"image\\\":\\\"20221117\\/9f816dddcdedacc18c5ed3b39cefc5bf.webp\\\",\\\"title\\\":\\\"\\u0411\\u0435\\u0437\\u043f\\u043b\\u0430\\u0442\\u043d\\u0430 \\u0434\\u043e\\u0441\\u0442\\u0430\\u0432\\u043a\\u0430 <br> \\u0421\\u0432\\u0435\\u0442\\u043e\\u0432\\u0435\\u043d\\\",\\\"subtitle\\\":\\\"\\u0417\\u0430 \\u0432\\u0441\\u0438\\u0447\\u043a\\u0438 \\u043f\\u043e\\u0440\\u044a\\u0447\\u043a\\u0438 \\u043d\\u0430\\u0434 $350\\\"},{\\\"image\\\":\\\"20221117\\/05a073d480ed4ccaa7407b408291a633.webp\\\",\\\"title\\\":\\\"\\u041e\\u043d\\u043b\\u0430\\u0439\\u043d \\u0437\\u0430\\u0449\\u0438\\u0442\\u0435\\u043d\\u043e <br> \\u041f\\u041b\\u0410\\u0429\\u0410\\u041d\\u0415\\\",\\\"subtitle\\\":\\\"\\u041f\\u041b\\u0410\\u0429\\u0410\\u041d\\u0415 protection guaranteed\\\"},{\\\"image\\\":\\\"20221117\\/c2ef7099bd48eb02a90d73d8d988107e.webp\\\",\\\"title\\\":\\\"\\u0412\\u0440\\u044a\\u0449\\u0430\\u043d\\u0435 \\u043d\\u0430 \\u043f\\u0430\\u0440\\u0438 <br> \\u0413\\u0430\\u0440\\u0430\\u043d\\u0446\\u0438\\u044f\\\",\\\"subtitle\\\":\\\"\\u0410\\u043a\\u043e \\u0441\\u0442\\u043e\\u043a\\u0438\\u0442\\u0435 \\u0438\\u043c\\u0430\\u0442 \\u043f\\u0440\\u043e\\u0431\\u043b\\u0435\\u043c\\u0438\\\"}]\",\"ca\":\"[{\\\"image\\\":\\\"20221117\\/9f816dddcdedacc18c5ed3b39cefc5bf.webp\\\",\\\"title\\\":\\\"Enviament gratu\\u00eft <br> A nivell mundial\\\",\\\"subtitle\\\":\\\"Per a totes les comandes superiors a 350 $\\\"},{\\\"image\\\":\\\"20221117\\/05a073d480ed4ccaa7407b408291a633.webp\\\",\\\"title\\\":\\\"En l\\u00ednia segura <br> Pagament\\\",\\\"subtitle\\\":\\\"Pagament protection guaranteed\\\"},{\\\"image\\\":\\\"20221117\\/c2ef7099bd48eb02a90d73d8d988107e.webp\\\",\\\"title\\\":\\\"Devoluci\\u00f3 de diners <br> Garantia\\\",\\\"subtitle\\\":\\\"Si els productes tenen problemes\\\"}]\",\"et\":\"[{\\\"image\\\":\\\"20221117\\/9f816dddcdedacc18c5ed3b39cefc5bf.webp\\\",\\\"title\\\":\\\"Tasuta kohaletoimetamine <br> Kogu maailmas\\\",\\\"subtitle\\\":\\\"K\\u00f5igi tellimuste eest \\u00fcle 350 dollari\\\"},{\\\"image\\\":\\\"20221117\\/05a073d480ed4ccaa7407b408291a633.webp\\\",\\\"title\\\":\\\"Turvaline veebis <br> Makse\\\",\\\"subtitle\\\":\\\"Makse protection guaranteed\\\"},{\\\"image\\\":\\\"20221117\\/c2ef7099bd48eb02a90d73d8d988107e.webp\\\",\\\"title\\\":\\\"Raha tagasi <br> Garantii\\\",\\\"subtitle\\\":\\\"Kui kaubad on probleeme\\\"}]\",\"nl\":\"[{\\\"image\\\":\\\"20221117\\/9f816dddcdedacc18c5ed3b39cefc5bf.webp\\\",\\\"title\\\":\\\"Gratis verzending <br> Wereldwijd\\\",\\\"subtitle\\\":\\\"Voor alle bestellingen van meer dan $350\\\"},{\\\"image\\\":\\\"20221117\\/05a073d480ed4ccaa7407b408291a633.webp\\\",\\\"title\\\":\\\"Veilig online <br> Betaling\\\",\\\"subtitle\\\":\\\"Betaling protection guaranteed\\\"},{\\\"image\\\":\\\"20221117\\/c2ef7099bd48eb02a90d73d8d988107e.webp\\\",\\\"title\\\":\\\"Geld terug <br> Garantie\\\",\\\"subtitle\\\":\\\"Als er problemen zijn met de goederen\\\"}]\"}'),(928,57,'sidebox_show','string','0'),(929,57,'sidebox','array','{\"title\":\"\",\"sidetext\":\"\",\"description\":\"\"}'),(930,57,'mt','string','80px'),(931,57,'mb','string','0px'),(932,57,'rounded','string','0'),(933,58,'title','string','{\"en\":\"READ OUR BLOGS\",\"bn\":\"আমাদের ব্লগ পড়ুন\",\"fr\":\"LISEZ NOS BLOGS\",\"zh\":\"阅读我们的博客\",\"ar\":\"اقرأ مدوناتنا\",\"be\":\"Чытаць нашыя блогі\",\"bg\":\"Четете нашите блогове\",\"ca\":\"Llegeix els nostres blogs\",\"et\":\"Loe meie blogisid\",\"nl\":\"Lees onze blogs\"}'),(934,58,'blog_type','string','selectedBlogs'),(935,58,'blog_limit','string','3'),(936,58,'mt','string','60px'),(937,58,'mb','string','60px'),(954,59,'slider','string','fashion-v2-primary'),(955,59,'mt','string','0px'),(956,59,'mb','string','0px'),(957,59,'full','string','1'),(958,59,'rounded','string','1'),(976,60,'slider','string','fashion-v2-secondary'),(977,60,'mt','string','100px'),(978,60,'mb','string','0px'),(979,60,'full','string','1'),(980,60,'rounded','string','1'),(981,61,'slider','string','fashion-v31'),(982,61,'full','string','1'),(983,61,'mt','string','-4px'),(984,61,'mb','string','0px'),(985,61,'height','string','830'),(986,61,'rounded','string','0'),(993,62,'title','string','{\"en\":\"NEW ARRIVALS\",\"bn\":\"নতুন আগমন\",\"fr\":\"NOUVELLES ARRIVÉES\",\"zh\":\"新品到货\",\"ar\":\"وصل حديثاً\",\"be\":\"НОВЫЯ ПАСТУПЛЕННІ\",\"bg\":\"НОВИ ПРИСТИГНАЛИ\",\"ca\":\"NOVES ARREPLEGATS\",\"et\":\"UUED SAABUMISED\",\"nl\":\"Nieuwkomers\"}'),(994,62,'see_more','string','0'),(995,62,'more_link','string',''),(996,62,'sidebar','string','0'),(997,62,'sidebar_position','string','left'),(998,62,'showcase_type','string','queryProducts'),(999,62,'row','string','1'),(1000,62,'column','string','3'),(1001,62,'total_products','string','3'),(1002,62,'mt','string','120px'),(1003,62,'mb','string','0px'),(1004,62,'card_height','string','550'),(1005,62,'slide','array','{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button\":\"\",\"link\":\"\"}'),(1006,62,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(1007,62,'flash','array','{\"badge_text\":\"\"}'),(1008,62,'query','array','[{\"type\":\"where\",\"column\":\"tag\",\"operation\":\"in\",\"value\":[\"54\"]}]'),(1057,63,'slider','string','fashion-v32'),(1058,63,'full','string','1'),(1059,63,'mt','string','100px'),(1060,63,'mb','string','0px'),(1061,63,'height','string','620'),(1062,63,'rounded','string','0'),(1081,64,'title','string','{\"en\":\"Flash Sales\",\"bn\":\"ফ্ল্যাশ বিক্রয়\",\"fr\":\"Ventes flash\",\"zh\":\"闪卖\",\"ar\":\"مبيعات فلاش\",\"be\":\"Флэш-продажы\",\"bg\":\"Флаш Продажби\",\"ca\":\"Vendes flash\",\"et\":\"Välkmüügid\",\"nl\":\"Flashverkopen\"}'),(1082,64,'see_more','string','0'),(1083,64,'more_link','string',''),(1084,64,'sidebar','string','0'),(1085,64,'sidebar_position','string','left'),(1086,64,'showcase_type','string','queryProducts'),(1087,64,'row','string','2'),(1088,64,'column','string','5'),(1089,64,'total_products','string','10'),(1090,64,'mt','string','100px'),(1091,64,'mb','string','0px'),(1092,64,'card_height','string',''),(1093,64,'slide','array','{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button\":\"\",\"link\":\"\"}'),(1094,64,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(1095,64,'flash','array','{\"badge_text\":\"\"}'),(1096,64,'query','array','[{\"type\":\"where\",\"column\":\"tag\",\"operation\":\"in\",\"value\":[\"53\"]}]'),(1097,65,'title','string','Featured'),(1098,65,'see_more','string','0'),(1099,65,'more_link','string',''),(1100,65,'sidebar','string','0'),(1101,65,'sidebar_position','string','left'),(1102,65,'showcase_type','string','queryProducts'),(1103,65,'row','string','1'),(1104,65,'column','string','4'),(1105,65,'total_products','string','4'),(1106,65,'mt','string','100px'),(1107,65,'mb','string','0px'),(1108,65,'card_height','string','400'),(1109,65,'slide','array','{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button\":\"\",\"link\":\"\"}'),(1110,65,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(1111,65,'flash','array','{\"badge_text\":\"\"}'),(1112,65,'query','array','[{\"type\":\"where\",\"column\":\"tag\",\"operation\":\"in\",\"value\":[\"54\"]}]'),(1177,66,'slider','string','fashion-v33'),(1178,66,'full','string','1'),(1179,66,'mt','string','100px'),(1180,66,'mb','string','0px'),(1181,66,'height','string','650'),(1182,66,'rounded','string','0'),(1255,67,'slider','string','fashion-v34'),(1256,67,'full','string','1'),(1257,67,'mt','string','100px'),(1258,67,'mb','string','0px'),(1259,67,'height','string','700'),(1260,67,'rounded','string','0'),(1291,68,'title','string','{\"en\":\"Latest News\",\"bn\":\"সর্বশেষ সংবাদ\",\"fr\":\"Dernières nouvelles\",\"zh\":\"最新消息\",\"ar\":\"آخر الأخبار\",\"be\":\"АКТУАЛЬНЫЯ НОВАСЦІ\",\"bg\":\"ПОСЛЕДНИ НОВИНИ\",\"ca\":\"ÚLTIMES NOTÍCIES\",\"et\":\"Viimased uudised\",\"nl\":\"Laatste nieuws\"}'),(1292,68,'blog_type','string','selectedBlogs'),(1293,68,'blog_limit','string','3'),(1294,68,'mt','string','100px'),(1295,68,'mb','string','0px'),(1301,69,'slider','string','fashion-v35'),(1302,69,'full','string','0'),(1303,69,'mt','string','100px'),(1304,69,'mb','string','0px'),(1305,69,'height','string',''),(1306,69,'rounded','string','0'),(1307,70,'title','string','{\"en\":\"Newsletter\",\"bn\":\"নিউজলেটার\",\"fr\":\"Bulletin d\'information\",\"zh\":\"时事通讯\",\"ar\":\"النشرة الإخبارية\",\"be\":\"Навінны ліст\",\"bg\":\"Бюлетин\",\"ca\":\"Butlletí\",\"et\":\"Uudiskiri\",\"nl\":\"Nieuwsbrief\"}'),(1308,70,'message','string','{\"en\":\"Be the first to get the latest news about trends, promotions, and much more!\",\"bn\":\"প্রথমে ট্রেন্ড, প্রমোশন এবং অনেক আরও সম্পর্কে সর্বশেষ সংবাদ পেতে হন!\",\"fr\":\"Soyez le premier à obtenir les dernières nouvelles sur les tendances, les promotions et bien plus encore!\",\"zh\":\"第一时间获取有关趋势、促销等最新资讯！\",\"ar\":\"كن الأول في الحصول على آخر الأخبار حول الاتجاهات والعروض الترويجية وأكثر من ذلك بكثير!\",\"be\":\"Будзьце першымі, хто атрымае апошнія навіны пра тэндэнцыі, прамацыі і шмат іншага!\",\"bg\":\"Бъдете първият, който ще получи най-новите новини за тенденциите, промоции и още много други неща!\",\"ca\":\"Sigui el primer a obtenir les últimes notícies sobre tendències, promocions i molt més!\",\"et\":\"Ole esimene, kes saab viimaseid uudiseid suundumuste, reklaamide ja palju muu kohta!\",\"nl\":\"Wees de eerste om het laatste nieuws te krijgen over trends, promoties en nog veel meer!\"}'),(1309,70,'mt','string','100px'),(1310,70,'mb','string','-20px'),(1311,71,'slider','string','furniture-v11'),(1312,71,'full','string','1'),(1313,71,'mt','string','0px'),(1314,71,'mb','string','0px'),(1315,71,'height','string','764'),(1316,71,'rounded','string','0'),(1317,72,'cta','array','{\"en\":\"[{\\\"upper_st\\\":\\\"SMALL & MINIMAL\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">FURNITURE<\\\\\\/span> FOR \\\",\\\"title\\\":\\\"BOOKWORMS\\\",\\\"image\\\":\\\"20221122\\/47eadab8eb9dbe8488be6c064c690a66.webp\\\",\\\"btn_text\\\":\\\"Shop Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"FANCY SOFAS\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">LUXURIOUS<\\\\\\/span> \\\",\\\"title\\\":\\\"COMFORT\\\",\\\"image\\\":\\\"20221122\\/49bb66273ff65064402ae5caebc6a5d7.webp\\\",\\\"btn_text\\\":\\\"Shop Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"bn\":\"[{\\\"upper_st\\\":\\\"\\u099b\\u09cb\\u099f \\u098f\\u09ac\\u0982 \\u09b8\\u09be\\u09ae\\u09be\\u09a8\\u09cd\\u09af\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">\\u09ab\\u09be\\u09b0\\u09cd\\u09a8\\u09bf\\u099a\\u09be\\u09b0<\\\\\\/span> \\u099c\\u09a8\\u09cd\\u09af \\\",\\\"title\\\":\\\"\\u09ac\\u0987\\u09aa\\u09be\\u09a0\\u0995\\\",\\\"image\\\":\\\"20221122\\/47eadab8eb9dbe8488be6c064c690a66.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u09ab\\u09cd\\u09af\\u09be\\u09a8\\u09cd\\u09b8\\u09bf \\u09b8\\u09cb\\u09ab\\u09be\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">\\u09aa\\u09cd\\u09b0\\u09ad\\u09be\\u09ac\\u09b6\\u09be\\u09b2\\u09c0<\\\\\\/span> \\\",\\\"title\\\":\\\"COM\\u099c\\u09a8\\u09cd\\u09afT\\\",\\\"image\\\":\\\"20221122\\/49bb66273ff65064402ae5caebc6a5d7.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"fr\":\"[{\\\"upper_st\\\":\\\"PETIT & MINIMAL\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">MEUBLES<\\\\\\/span> POUR \\\",\\\"title\\\":\\\"LIVRES\\\",\\\"image\\\":\\\"20221122\\/47eadab8eb9dbe8488be6c064c690a66.webp\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"CANAP\\u00c9S DE LUXE\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">LUXUEUX<\\\\\\/span> \\\",\\\"title\\\":\\\"COMPOURT\\\",\\\"image\\\":\\\"20221122\\/49bb66273ff65064402ae5caebc6a5d7.webp\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"zh\":\"[{\\\"upper_st\\\":\\\"\\u5c0f\\u5de7\\u7b80\\u7ea6\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">\\u5bb6\\u5177<\\\\\\/span> \\u4e3a \\\",\\\"title\\\":\\\"\\u7231\\u4e66\\u4e4b\\u4eba\\\",\\\"image\\\":\\\"20221122\\/47eadab8eb9dbe8488be6c064c690a66.webp\\\",\\\"btn_text\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u82b1\\u54e8\\u6c99\\u53d1\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">\\u5962\\u534e\\u7684<\\\\\\/span> \\\",\\\"title\\\":\\\"COM\\u4e3aT\\\",\\\"image\\\":\\\"20221122\\/49bb66273ff65064402ae5caebc6a5d7.webp\\\",\\\"btn_text\\\":\\\"\\u73b0\\u5728\\u8d2d\\u7269\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"ar\":\"[{\\\"upper_st\\\":\\\"\\u0635\\u063a\\u064a\\u0631\\u0629 \\u0648\\u0623\\u0646\\u064a\\u0642\\u0629\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">\\u0623\\u062b\\u0627\\u062b<\\\\\\/span> \\u0644\\u0640 \\\",\\\"title\\\":\\\"\\u0645\\u062f\\u0645\\u0646\\u064a \\u0627\\u0644\\u0643\\u062a\\u0628\\\",\\\"image\\\":\\\"20221122\\/47eadab8eb9dbe8488be6c064c690a66.webp\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u0623\\u0631\\u0627\\u0626\\u0643 \\u0641\\u0627\\u062e\\u0631\\u0629\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">\\u0641\\u062e\\u0645\\u0629<\\\\\\/span> \\\",\\\"title\\\":\\\"COM\\u0644\\u0640T\\\",\\\"image\\\":\\\"20221122\\/49bb66273ff65064402ae5caebc6a5d7.webp\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"be\":\"[{\\\"upper_st\\\":\\\"\\u041c\\u0410\\u041b\\u0415\\u041d\\u042c\\u041a\\u0406 \\u0406 \\u041c\\u0406\\u041d\\u0406\\u041c\\u0410\\u041b\\u042c\\u041d\\u042b\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">\\u041c\\u0415\\u0411\\u041b\\u0406<\\\\\\/span> \\u0414\\u041b\\u042f \\\",\\\"title\\\":\\\"\\u041a\\u041d\\u0406\\u0413\\u0410\\u041b\\u0410\\u0417\\u042b\\\",\\\"image\\\":\\\"20221122\\/47eadab8eb9dbe8488be6c064c690a66.webp\\\",\\\"btn_text\\\":\\\"\\u041a\\u0423\\u041f\\u0406\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u0424\\u0410\\u041d\\u0422\\u0410\\u0417\\u0406\\u0419\\u041d\\u042b\\u042f \\u041a\\u0410\\u041d\\u0410\\u041f\\u042b\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">\\u0420\\u0410\\u0421\\u041a\\u0410\\u0428\\u042d\\u041b\\u0406<\\\\\\/span> \\\",\\\"title\\\":\\\"COM\\u0414\\u041b\\u042fT\\\",\\\"image\\\":\\\"20221122\\/49bb66273ff65064402ae5caebc6a5d7.webp\\\",\\\"btn_text\\\":\\\"\\u041a\\u0423\\u041f\\u0406\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"bg\":\"[{\\\"upper_st\\\":\\\"\\u041c\\u0410\\u041b\\u041a\\u041e \\u0418 \\u041c\\u0418\\u041d\\u0418\\u041c\\u0410\\u041b\\u0418\\u0421\\u0422\\u0418\\u0427\\u041d\\u041e\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">\\u041c\\u0415\\u0411\\u0415\\u041b\\u0418<\\\\\\/span> \\u0417\\u0410 \\\",\\\"title\\\":\\\"\\u041a\\u041d\\u0418\\u0416\\u041e\\u0412\\u041d\\u0418\\u0426\\u0418\\\",\\\"image\\\":\\\"20221122\\/47eadab8eb9dbe8488be6c064c690a66.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u0410\\u0417\\u0410\\u0420\\u0423\\u0412\\u0410\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u0424\\u0410\\u041d\\u0422\\u0410\\u0417\\u0418\\u0419\\u041d\\u0418 \\u0421\\u041e\\u0424\\u0418\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">\\u0420\\u0410\\u0417\\u041a\\u041e\\u0428\\u0415\\u041d<\\\\\\/span> \\\",\\\"title\\\":\\\"COM\\u0417\\u0410T\\\",\\\"image\\\":\\\"20221122\\/49bb66273ff65064402ae5caebc6a5d7.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u0410\\u0417\\u0410\\u0420\\u0423\\u0412\\u0410\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"ca\":\"[{\\\"upper_st\\\":\\\"PETIT I MINIMALISTA\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">MOBLES<\\\\\\/span> PER \\\",\\\"title\\\":\\\"VERNACLE\\\",\\\"image\\\":\\\"20221122\\/47eadab8eb9dbe8488be6c064c690a66.webp\\\",\\\"btn_text\\\":\\\"Compra ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"SOF\\u00c0S DE FANTASIA\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">LUXOSOS<\\\\\\/span> \\\",\\\"title\\\":\\\"COMPERT\\\",\\\"image\\\":\\\"20221122\\/49bb66273ff65064402ae5caebc6a5d7.webp\\\",\\\"btn_text\\\":\\\"Compra ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"et\":\"[{\\\"upper_st\\\":\\\"V\\u00c4IKE & MINIMAALNE\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">M\\u00d6\\u00d6BEL<\\\\\\/span> JAOKS \\\",\\\"title\\\":\\\"RAAMATULUGEJAD\\\",\\\"image\\\":\\\"20221122\\/47eadab8eb9dbe8488be6c064c690a66.webp\\\",\\\"btn_text\\\":\\\"Osta kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"EKSKLUSIIVSED SOFAD\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">LUKSUSLIK<\\\\\\/span> \\\",\\\"title\\\":\\\"COMJAOKST\\\",\\\"image\\\":\\\"20221122\\/49bb66273ff65064402ae5caebc6a5d7.webp\\\",\\\"btn_text\\\":\\\"Osta kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"nl\":\"[{\\\"upper_st\\\":\\\"KLEIN & MINIMAAL\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">MEUBELS<\\\\\\/span> VOOR \\\",\\\"title\\\":\\\"BOEKENWORMEN\\\",\\\"image\\\":\\\"20221122\\/47eadab8eb9dbe8488be6c064c690a66.webp\\\",\\\"btn_text\\\":\\\"Koop nu\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"CHIQUE BANKEN\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">LUXUEUS<\\\\\\/span> \\\",\\\"title\\\":\\\"COMVOORT\\\",\\\"image\\\":\\\"20221122\\/49bb66273ff65064402ae5caebc6a5d7.webp\\\",\\\"btn_text\\\":\\\"Koop nu\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\"}'),(1318,72,'mt','string','80px'),(1319,72,'mb','string','0px'),(1320,72,'height','string','284'),(1321,72,'rounded','string','1'),(1322,72,'full_link','string','0'),(1329,73,'title','string','{\"en\":\"FEATURED PRODUCTS\",\"bn\":\"বৈশিষ্ট্যযুক্ত পণ্য\",\"fr\":\"PRODUITS EN VEDETTE\",\"zh\":\"特色产品\",\"ar\":\"منتجات مميزة\",\"be\":\"ўдзельныя прадукты\",\"bg\":\"избрани продукти\",\"ca\":\"productes destacats\",\"et\":\"esiletõstetud tooted\",\"nl\":\"uitgelichte producten\"}'),(1330,73,'see_more','string','0'),(1331,73,'more_link','string',''),(1332,73,'sidebar','string','0'),(1333,73,'sidebar_position','string','left'),(1334,73,'showcase_type','string','queryProducts'),(1335,73,'row','string','1'),(1336,73,'column','string','4'),(1337,73,'total_products','string','4'),(1338,73,'mt','string','100px'),(1339,73,'mb','string','0px'),(1340,73,'card_height','string','270'),(1341,73,'slide','array','{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button\":\"\",\"link\":\"\"}'),(1342,73,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(1343,73,'flash','array','{\"badge_text\":\"\"}'),(1344,74,'slider','string','furniture-v12'),(1345,74,'full','string','0'),(1346,74,'mt','string','100px'),(1347,74,'mb','string','0px'),(1348,74,'height','string','336'),(1349,74,'rounded','string','1'),(1350,75,'cta','array','{\"en\":\"[{\\\"upper_st\\\":\\\"NEW ARRIVALS\\\",\\\"lower_st\\\":\\\"ALL ABOUT <span style=\\\\\\\"color: #FF693A\\\\\\\">MINIMAL<\\\\\\/span> \\\",\\\"title\\\":\\\"WOODS\\\",\\\"image\\\":\\\"20221122\\/62e53a0d5a8eec51d190eafbcfec7cba.webp\\\",\\\"btn_text\\\":\\\"Visit Shop\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"LIGHTS\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">BRIGHTEN<\\\\\\/span> YOUR \\\",\\\"title\\\":\\\"SWEET HOME\\\",\\\"image\\\":\\\"20221122\\/d5b1f9096b507899efbf1255afc4cb7e.webp\\\",\\\"btn_text\\\":\\\"Visit Shop\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"bn\":\"[{\\\"upper_st\\\":\\\"\\u09a8\\u09a4\\u09c1\\u09a8 \\u0986\\u0997\\u09ae\\u09a8\\\",\\\"lower_st\\\":\\\"\\u09b8\\u09ae\\u09cd\\u09aa\\u09b0\\u09cd\\u0995\\u09c7 \\u09b8\\u09ac <span style=\\\\\\\"color: #FF693A\\\\\\\">\\u09b8\\u09be\\u09ae\\u09be\\u09a8\\u09cd\\u09af<\\\\\\/span> \\\",\\\"title\\\":\\\"\\u09ac\\u09a8\\\",\\\"image\\\":\\\"20221122\\/62e53a0d5a8eec51d190eafbcfec7cba.webp\\\",\\\"btn_text\\\":\\\"\\u09a6\\u09cb\\u0995\\u09be\\u09a8 \\u09a6\\u09c7\\u0996\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u09b0\\u09cb\\u09b6\\u09a8\\u09bf\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">\\u0989\\u099c\\u09cd\\u099c\\u09cd\\u09ac\\u09b2 \\u0995\\u09b0\\u09be<\\\\\\/span> \\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\\",\\\"title\\\":\\\"\\u09ae\\u09bf\\u09b7\\u09cd\\u099f\\u09bf \\u09ac\\u09be\\u09a1\\u09bc\\u09bf\\\",\\\"image\\\":\\\"20221122\\/d5b1f9096b507899efbf1255afc4cb7e.webp\\\",\\\"btn_text\\\":\\\"\\u09a6\\u09cb\\u0995\\u09be\\u09a8 \\u09a6\\u09c7\\u0996\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"fr\":\"[{\\\"upper_st\\\":\\\"NOUVEAUT\\u00c9S\\\",\\\"lower_st\\\":\\\"TOUT SUR <span style=\\\\\\\"color: #FF693A\\\\\\\">MINIMAL<\\\\\\/span> \\\",\\\"title\\\":\\\"BOIS\\\",\\\"image\\\":\\\"20221122\\/62e53a0d5a8eec51d190eafbcfec7cba.webp\\\",\\\"btn_text\\\":\\\"Visitez la boutique\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"LUMI\\u00c8RES\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">\\u00c9CLAIRER<\\\\\\/span> VOTRE \\\",\\\"title\\\":\\\"DOUCE MAISON\\\",\\\"image\\\":\\\"20221122\\/d5b1f9096b507899efbf1255afc4cb7e.webp\\\",\\\"btn_text\\\":\\\"Visitez la boutique\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"zh\":\"[{\\\"upper_st\\\":\\\"\\u65b0\\u54c1\\u4e0a\\u5e02\\\",\\\"lower_st\\\":\\\"\\u6240\\u6709\\u5173\\u4e8e <span style=\\\\\\\"color: #FF693A\\\\\\\">\\u6781\\u7b80<\\\\\\/span> \\\",\\\"title\\\":\\\"\\u6728\\u6750\\\",\\\"image\\\":\\\"20221122\\/62e53a0d5a8eec51d190eafbcfec7cba.webp\\\",\\\"btn_text\\\":\\\"\\u8bbf\\u95ee\\u5546\\u5e97\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u706f\\u5149\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">\\u7167\\u4eae<\\\\\\/span> \\u60a8\\u7684 \\\",\\\"title\\\":\\\"\\u751c\\u871c\\u7684\\u5bb6\\\",\\\"image\\\":\\\"20221122\\/d5b1f9096b507899efbf1255afc4cb7e.webp\\\",\\\"btn_text\\\":\\\"\\u8bbf\\u95ee\\u5546\\u5e97\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"ar\":\"[{\\\"upper_st\\\":\\\"\\u0648\\u0635\\u0644 \\u062d\\u062f\\u064a\\u062b\\u0627\\\",\\\"lower_st\\\":\\\"\\u0643\\u0644 \\u0634\\u064a\\u0621 \\u062d\\u0648\\u0644 <span style=\\\\\\\"color: #FF693A\\\\\\\">\\u062d\\u062f \\u0623\\u062f\\u0646\\u0649<\\\\\\/span> \\\",\\\"title\\\":\\\"\\u0627\\u0644\\u063a\\u0627\\u0628\\u0627\\u062a\\\",\\\"image\\\":\\\"20221122\\/62e53a0d5a8eec51d190eafbcfec7cba.webp\\\",\\\"btn_text\\\":\\\"\\u0632\\u064a\\u0627\\u0631\\u0629 \\u0627\\u0644\\u0645\\u062a\\u062c\\u0631\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u0623\\u0636\\u0648\\u0627\\u0621\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">\\u062a\\u062d\\u0648\\u0644 \\u0625\\u0644\\u0649 \\u0627\\u0644\\u0633\\u0637\\u0648\\u0639<\\\\\\/span> \\u0644\\u0643 \\\",\\\"title\\\":\\\"\\u0645\\u0646\\u0632\\u0644 \\u062d\\u0644\\u0648\\\",\\\"image\\\":\\\"20221122\\/d5b1f9096b507899efbf1255afc4cb7e.webp\\\",\\\"btn_text\\\":\\\"\\u0632\\u064a\\u0627\\u0631\\u0629 \\u0627\\u0644\\u0645\\u062a\\u062c\\u0631\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"be\":\"[{\\\"upper_st\\\":\\\"\\u041d\\u041e\\u0412\\u042b\\u042f \\u041f\\u0420\\u042b\\u0411\\u042b\\u0426\\u0426\\u0406\\\",\\\"lower_st\\\":\\\"\\u0423\\u0421\\u0401 \\u0410\\u0411 <span style=\\\\\\\"color: #FF693A\\\\\\\">\\u041c\\u0406\\u041d\\u0406\\u041c\\u0410\\u041b\\u042c\\u041d\\u042b<\\\\\\/span> \\\",\\\"title\\\":\\\"\\u041b\\u042f\\u0421\\u042b\\\",\\\"image\\\":\\\"20221122\\/62e53a0d5a8eec51d190eafbcfec7cba.webp\\\",\\\"btn_text\\\":\\\"\\u041d\\u0410\\u0412\\u0415\\u0421\\u0426\\u0406 \\u041c\\u0410\\u0413\\u0410\\u0417\\u0406\\u041d\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u0421\\u0412\\u0415\\u0422\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">\\u0421\\u0412\\u0415\\u0422\\u041b\\u0415\\u0419<\\\\\\/span> \\u0412\\u0410\\u0428 \\\",\\\"title\\\":\\\"\\u0421\\u041b\\u0410\\u0414\\u041a\\u0406 \\u0414\\u041e\\u041c\\\",\\\"image\\\":\\\"20221122\\/d5b1f9096b507899efbf1255afc4cb7e.webp\\\",\\\"btn_text\\\":\\\"\\u041d\\u0410\\u0412\\u0415\\u0421\\u0426\\u0406 \\u041c\\u0410\\u0413\\u0410\\u0417\\u0406\\u041d\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"bg\":\"[{\\\"upper_st\\\":\\\"\\u041d\\u041e\\u0412\\u0418 \\u041f\\u0420\\u0418\\u0411\\u0418\\u0416\\u0412\\u0410\\u041d\\u0418\\u042f\\\",\\\"lower_st\\\":\\\"\\u0412\\u0421\\u0418\\u0427\\u041a\\u041e \\u0417\\u0410 <span style=\\\\\\\"color: #FF693A\\\\\\\">\\u041c\\u0418\\u041d\\u0418\\u041c\\u0410\\u041b\\u0415\\u041d<\\\\\\/span> \\\",\\\"title\\\":\\\"\\u0414\\u042a\\u0420\\u0412\\u0415\\u0422\\u0410\\\",\\\"image\\\":\\\"20221122\\/62e53a0d5a8eec51d190eafbcfec7cba.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u041e\\u0421\\u0415\\u0422\\u0415\\u0422\\u0415 \\u041c\\u0410\\u0413\\u0410\\u0417\\u0418\\u041d\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u0421\\u0412\\u0415\\u0422\\u041b\\u0418\\u041d\\u0418\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">\\u041f\\u0420\\u041e\\u0421\\u0412\\u0415\\u0422\\u041b\\u0415\\u0422\\u0415<\\\\\\/span> \\u0422\\u0412\\u041e\\u0419 \\\",\\\"title\\\":\\\"\\u0421\\u041b\\u0410\\u0414\\u042a\\u041a \\u0414\\u041e\\u041c\\\",\\\"image\\\":\\\"20221122\\/d5b1f9096b507899efbf1255afc4cb7e.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u041e\\u0421\\u0415\\u0422\\u0415\\u0422\\u0415 \\u041c\\u0410\\u0413\\u0410\\u0417\\u0418\\u041d\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"ca\":\"[{\\\"upper_st\\\":\\\"NOVETATS\\\",\\\"lower_st\\\":\\\"TOT SOBRE <span style=\\\\\\\"color: #FF693A\\\\\\\">MINIMALISTA<\\\\\\/span> \\\",\\\"title\\\":\\\"BOSCOS\\\",\\\"image\\\":\\\"20221122\\/62e53a0d5a8eec51d190eafbcfec7cba.webp\\\",\\\"btn_text\\\":\\\"VISITA LA BOTIGA\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"LLUMS\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">IL\\u00b7LUMINAR<\\\\\\/span> TEU \\\",\\\"title\\\":\\\"DOL\\u00c7A CASA\\\",\\\"image\\\":\\\"20221122\\/d5b1f9096b507899efbf1255afc4cb7e.webp\\\",\\\"btn_text\\\":\\\"VISITA LA BOTIGA\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"et\":\"[{\\\"upper_st\\\":\\\"UUED SAABUMISED\\\",\\\"lower_st\\\":\\\"K\\u00d5IK UMBES <span style=\\\\\\\"color: #FF693A\\\\\\\">MINIMAALNE<\\\\\\/span> \\\",\\\"title\\\":\\\"PUIT\\\",\\\"image\\\":\\\"20221122\\/62e53a0d5a8eec51d190eafbcfec7cba.webp\\\",\\\"btn_text\\\":\\\"K\\u00dcLASTA KAUPA\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"VALGUSTUS\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">VALGUSTAGE<\\\\\\/span> SINU \\\",\\\"title\\\":\\\"MAGUS KODU\\\",\\\"image\\\":\\\"20221122\\/d5b1f9096b507899efbf1255afc4cb7e.webp\\\",\\\"btn_text\\\":\\\"K\\u00dcLASTA KAUPA\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"nl\":\"[{\\\"upper_st\\\":\\\"NIEUWE AANKOMSTEN\\\",\\\"lower_st\\\":\\\"ALLES OVER <span style=\\\\\\\"color: #FF693A\\\\\\\">MINIMAAL<\\\\\\/span> \\\",\\\"title\\\":\\\"HOUT\\\",\\\"image\\\":\\\"20221122\\/62e53a0d5a8eec51d190eafbcfec7cba.webp\\\",\\\"btn_text\\\":\\\"BEZOEK WINKEL\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"LICHTEN\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #FF693A\\\\\\\">VERLICHTEN<\\\\\\/span> JOuw \\\",\\\"title\\\":\\\"Zoet Huis\\\",\\\"image\\\":\\\"20221122\\/d5b1f9096b507899efbf1255afc4cb7e.webp\\\",\\\"btn_text\\\":\\\"BEZOEK WINKEL\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\"}'),(1351,75,'mt','string','60px'),(1352,75,'mb','string','0px'),(1353,75,'height','string','250'),(1354,75,'rounded','string','1'),(1355,75,'full_link','string','0'),(1364,77,'title','string','{\"en\":\"LATEST FROM OUR BLOGS\",\"bn\":\"আমাদের ব্লগ থেকে সর্বশেষ\",\"fr\":\"DERNIERS DE NOS BLOGS\",\"zh\":\"来自我们博客的最新消息\",\"ar\":\"آخر من مدوناتنا\",\"be\":\"АКТУАЛЬНАЕ З НАШЫХ БЛОГАЎ\",\"bg\":\"НАЙ-НОВОТО ОТ НАШИТЕ БЛОГОВЕ\",\"ca\":\"ÚLTIMS DELS NOSTRES BLOGS\",\"et\":\"VIIMANE MEIE BLOGIDEST\",\"nl\":\"LAATSTE VAN ONZE BLOGS\"}'),(1365,77,'blog_type','string','selectedBlogs'),(1366,77,'blog_limit','string','3'),(1367,77,'mt','string','100px'),(1368,77,'mb','string','0px'),(1369,78,'slider','string','furniture-v13'),(1370,78,'full','string','1'),(1371,78,'mt','string','92px'),(1372,78,'mb','string','0px'),(1373,78,'height','string','600'),(1374,78,'rounded','string','0'),(1375,73,'query','array','[{\"type\":\"where\",\"column\":\"tag\",\"operation\":\"in\",\"value\":[\"55\"]}]'),(1391,79,'title','string','{\"en\":\"EXCLUSIVE PRODUCT\",\"bn\":\"এক্সক্লুসিভ পণ্য\",\"fr\":\"PRODUIT EXCLUSIF\",\"zh\":\"独家产品\",\"ar\":\"منتج حصري\",\"be\":\"ЭКСКЛЮЗІЎНЫ ПРАДУКТ\",\"bg\":\"ЕКСКЛУЗИВЕН ПРОДУКТ\",\"ca\":\"PRODUCTE EXCLUSIU\",\"et\":\"EKSKLUSIIVNE TOODE\",\"nl\":\"EXCLUSIEF PRODUCT\"}'),(1392,79,'see_more','string','0'),(1393,79,'more_link','string',''),(1394,79,'sidebar','string','0'),(1395,79,'sidebar_position','string','left'),(1396,79,'showcase_type','string','queryProducts'),(1397,79,'row','string','2'),(1398,79,'column','string','3'),(1399,79,'total_products','string','6'),(1400,79,'mt','string','94px'),(1401,79,'mb','string','0px'),(1402,79,'card_height','string','363'),(1403,79,'slide','array','{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button\":\"\",\"link\":\"\"}'),(1404,79,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(1405,79,'flash','array','{\"badge_text\":\"\"}'),(1406,79,'query','array','[{\"type\":\"where\",\"column\":\"tag\",\"operation\":\"in\",\"value\":[\"55\"]}]'),(1474,23,'row','string','1'),(1475,23,'column','string','7'),(1476,23,'max','string','7'),(1477,23,'full','string','0'),(1482,3,'mt','string',''),(1483,3,'mb','string',''),(1484,3,'card_height','string','241'),(1497,17,'mt','string','100px'),(1498,17,'mb','string','0px'),(1499,17,'card_height','string','210'),(1512,39,'card_height','string',''),(1532,29,'card_height','string',''),(1564,51,'card_height','string',''),(1594,44,'row','string','1'),(1595,44,'column','string','7'),(1596,44,'max','string','7'),(1597,44,'full','string','0'),(1602,21,'height','string',''),(1608,34,'categories','array','[\"39\",\"41\",\"42\",\"46\",\"47\",\"49\"]'),(1609,34,'row','string','1'),(1610,34,'column','string','6'),(1611,34,'max','string','6'),(1612,34,'full','string','0'),(1626,23,'categories','array','[\"38\",\"39\",\"41\",\"42\",\"46\",\"48\",\"49\"]'),(1635,27,'card_height','string',''),(1699,44,'categories','array','[\"49\",\"47\",\"46\",\"42\",\"41\",\"39\",\"38\"]'),(1708,48,'card_height','string',''),(1728,60,'height','string','550'),(1740,2,'row','string','1'),(1741,2,'column','string','7'),(1742,2,'max','string','7'),(1743,2,'full','string','0'),(1744,2,'mt','string',''),(1745,2,'mb','string',''),(1782,4,'mt','string','100px'),(1783,4,'mb','string','0px'),(1784,4,'card_height','string','171'),(1797,16,'mt','string',''),(1798,16,'mb','string',''),(1799,16,'card_height','string',''),(1800,80,'slider','string','fashion-v41'),(1801,80,'full','string','1'),(1802,80,'mt','string','0px'),(1803,80,'mb','string','0px'),(1804,80,'height','string','830'),(1805,80,'rounded','string','0'),(1818,81,'content','string','<div class=\"grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-3\">\r\n<div class=\"relative\">\r\n<div  class=\"w-full h-80 overflow-hidden\">\r\n<img class=\"transition-all delay-150 transform h-full w-full object-cover ease-in-out cursor-pointer  hover:translate-y-1 hover:scale-125 duration-1000\" src=\"https://rovercrm-codecanyan-description.techvill.org/martvill/jacket.jpg\" alt=\"\">\r\n<span class=\"absolute -mt-12 ml-5\">\r\n<a  href=\"#\"><span class=\"font-mono capitalize font-medium text-xl leading-5 hover:text-green-500\">Jacket</span></a>\r\n</span>\r\n</div>\r\n</div>\r\n<div  class=\"w-full h-80 overflow-hidden\">\r\n<img class=\"transition-all delay-150 transform h-full w-full object-cover ease-in-out cursor-pointer  hover:translate-y-1 hover:scale-125 duration-1000\" src=\"https://rovercrm-codecanyan-description.techvill.org/martvill/men.jpg\" alt=\"\">\r\n<span class=\"absolute -mt-12 ml-5\">\r\n<a  href=\"#\"><span class=\"font-mono capitalize font-medium text-xl leading-5 hover:text-green-500\">Man</span></a>\r\n</span>\r\n</div>\r\n<div  class=\"w-full h-80 overflow-hidden\">\r\n<img class=\"transition-all delay-150 transform h-full w-full object-cover ease-in-out cursor-pointer  hover:translate-y-1 hover:scale-125 duration-1000\" src=\"https://rovercrm-codecanyan-description.techvill.org/martvill/women.jpg\" alt=\"\">\r\n\r\n<span class=\"absolute -mt-12 ml-5\">\r\n<a  href=\"#\"><span class=\"font-mono capitalize font-medium text-xl leading-5 hover:text-green-500\">Women</span></a>\r\n</span>\r\n</div>\r\n</div>'),(1819,81,'full','string','1'),(1820,81,'mt','string','10px'),(1821,81,'mb','string','0px'),(1826,82,'title','string','{\"en\":\"Welcome to Store\",\"bn\":\"স্টোরে আপনাকে স্বাগতম\",\"fr\":\"Bienvenue au magasin\",\"zh\":\"欢迎来到商店\",\"ar\":\"مرحبًا بك في المتجر\",\"be\":\"Сардэчна запрашаем у краму\",\"bg\":\"Добре дошли в магазина\",\"ca\":\"Benvingut a la botiga\",\"et\":\"Tere tulemast poodi\",\"nl\":\"Welkom in de winkel\"}'),(1827,82,'see_more','string','0'),(1828,82,'more_link','string',''),(1829,82,'sidebar','string','0'),(1830,82,'sidebar_position','string','left'),(1831,82,'showcase_type','string','queryProducts'),(1832,82,'row','string','1'),(1833,82,'column','string','4'),(1834,82,'total_products','string','4'),(1835,82,'mt','string','100px'),(1836,82,'mb','string','0px'),(1837,82,'card_height','string','330'),(1838,82,'slide','array','{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button\":\"\",\"link\":\"\"}'),(1839,82,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(1840,82,'flash','array','{\"badge_text\":\"\"}'),(1841,82,'query','array','[{\"type\":\"where\",\"column\":\"tag\",\"operation\":\"in\",\"value\":[\"56\"]}]'),(1858,83,'cta','array','{\"en\":\"[{\\\"upper_st\\\":\\\"\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"font-size: 24px\\\\\\\">Complete Your Look<\\\\\\/span> <br>\\\",\\\"title\\\":\\\"<p style=\\\\\\\"margin-bottom: 350px; color: #444; margin-top: 10px; font-size: 18px;\\\\\\\">The world\'s most stylish <br> women are buying right <br> now<\\\\\\/p>\\\",\\\"image\\\":\\\"20221127\\/e2db8acd9877f20ec050a62c64b91fc2.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff; font-size: 24px;\\\\\\\">TOP TRENDING  Product <\\\\\\/span><br>\\\",\\\"title\\\":\\\"<p style=\\\\\\\"margin-bottom: 350px; color: #ddd; margin-top: 10px; font-size: 18px;\\\\\\\">The world\'s most stylish <br> women are buying right <br> now<\\\\\\/p>\\\",\\\"image\\\":\\\"20221127\\/fab76bf50492b107744b371a8719d9f4.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"bn\":\"[{\\\"upper_st\\\":\\\"\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"font-size: 24px\\\\\\\">\\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u09a6\\u09c7\\u0996\\u09be\\u09b6\\u09c7\\u09b7 \\u0995\\u09b0\\u09c1\\u09a8<\\\\\\/span> <br>\\\",\\\"title\\\":\\\"<p style=\\\\\\\"margin-bottom: 350px; color: #444; margin-top: 10px; font-size: 18px;\\\\\\\">\\u09ac\\u09bf\\u09b6\\u09cd\\u09ac\\u09c7\\u09b0 \\u09b8\\u09ac\\u099a\\u09c7\\u09af\\u09bc\\u09c7 \\u09b8\\u09cd\\u099f\\u09be\\u0987\\u09b2\\u09bf\\u09b6 <br> \\u09a8\\u09be\\u09b0\\u09c0\\u09b0\\u09be \\u098f\\u0996\\u09a8 \\u0995\\u09bf\\u09a8\\u099b\\u09c7 <br> \\u098f\\u0996\\u09a8<\\\\\\/p>\\\",\\\"image\\\":\\\"20221127\\/e2db8acd9877f20ec050a62c64b91fc2.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff; font-size: 24px;\\\\\\\">\\u09b6\\u09c0\\u09b0\\u09cd\\u09b7 \\u099f\\u09cd\\u09b0\\u09c7\\u09a8\\u09cd\\u09a1\\u09bf\\u0982 \\u09aa\\u09cd\\u09b0\\u09cb\\u09a1\\u09be\\u0995\\u09cd\\u099f <\\\\\\/span><br>\\\",\\\"title\\\":\\\"<p style=\\\\\\\"margin-bottom: 350px; color: #ddd; margin-top: 10px; font-size: 18px;\\\\\\\">\\u09ac\\u09bf\\u09b6\\u09cd\\u09ac\\u09c7\\u09b0 \\u09b8\\u09ac\\u099a\\u09c7\\u09af\\u09bc\\u09c7 \\u09b8\\u09cd\\u099f\\u09be\\u0987\\u09b2\\u09bf\\u09b6 <br> \\u09a8\\u09be\\u09b0\\u09c0\\u09b0\\u09be \\u098f\\u0996\\u09a8 \\u0995\\u09bf\\u09a8\\u099b\\u09c7 <br> \\u098f\\u0996\\u09a8<\\\\\\/p>\\\",\\\"image\\\":\\\"20221127\\/fab76bf50492b107744b371a8719d9f4.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"fr\":\"[{\\\"upper_st\\\":\\\"\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"font-size: 24px\\\\\\\">Compl\\u00e9tez votre look<\\\\\\/span> <br>\\\",\\\"title\\\":\\\"<p style=\\\\\\\"margin-bottom: 350px; color: #444; margin-top: 10px; font-size: 18px;\\\\\\\">Les plus \\u00e9l\\u00e9gants du monde <br> les femmes ach\\u00e8tent en ce moment <br> maintenant<\\\\\\/p>\\\",\\\"image\\\":\\\"20221127\\/e2db8acd9877f20ec050a62c64b91fc2.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff; font-size: 24px;\\\\\\\">PRODUIT EN HAUSSE EN HAUT <\\\\\\/span><br>\\\",\\\"title\\\":\\\"<p style=\\\\\\\"margin-bottom: 350px; color: #ddd; margin-top: 10px; font-size: 18px;\\\\\\\">Les plus \\u00e9l\\u00e9gants du monde <br> les femmes ach\\u00e8tent en ce moment <br> maintenant<\\\\\\/p>\\\",\\\"image\\\":\\\"20221127\\/fab76bf50492b107744b371a8719d9f4.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"zh\":\"[{\\\"upper_st\\\":\\\"\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"font-size: 24px\\\\\\\">\\u5b8c\\u5584\\u60a8\\u7684\\u9020\\u578b<\\\\\\/span> <br>\\\",\\\"title\\\":\\\"<p style=\\\\\\\"margin-bottom: 350px; color: #444; margin-top: 10px; font-size: 18px;\\\\\\\">\\u4e16\\u754c\\u4e0a\\u6700\\u65f6\\u5c1a\\u7684 <br> \\u5973\\u6027\\u6b63\\u5728\\u8d2d\\u4e70 <br> \\u73b0\\u5728<\\\\\\/p>\\\",\\\"image\\\":\\\"20221127\\/e2db8acd9877f20ec050a62c64b91fc2.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff; font-size: 24px;\\\\\\\">\\u70ed\\u95e8\\u4ea7\\u54c1 <\\\\\\/span><br>\\\",\\\"title\\\":\\\"<p style=\\\\\\\"margin-bottom: 350px; color: #ddd; margin-top: 10px; font-size: 18px;\\\\\\\">\\u4e16\\u754c\\u4e0a\\u6700\\u65f6\\u5c1a\\u7684 <br> \\u5973\\u6027\\u6b63\\u5728\\u8d2d\\u4e70 <br> \\u73b0\\u5728<\\\\\\/p>\\\",\\\"image\\\":\\\"20221127\\/fab76bf50492b107744b371a8719d9f4.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"ar\":\"[{\\\"upper_st\\\":\\\"\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"font-size: 24px\\\\\\\">\\u0623\\u0643\\u0645\\u0644\\u064a \\u0645\\u0638\\u0647\\u0631\\u0643<\\\\\\/span> <br>\\\",\\\"title\\\":\\\"<p style=\\\\\\\"margin-bottom: 350px; color: #444; margin-top: 10px; font-size: 18px;\\\\\\\">\\u0627\\u0644\\u0623\\u0643\\u062b\\u0631 \\u0623\\u0646\\u0627\\u0642\\u0629 \\u0641\\u064a \\u0627\\u0644\\u0639\\u0627\\u0644\\u0645 <br> \\u0627\\u0644\\u0646\\u0633\\u0627\\u0621 \\u064a\\u0634\\u062a\\u0631\\u064a\\u0646 \\u0627\\u0644\\u0622\\u0646 <br> \\u0627\\u0644\\u0622\\u0646<\\\\\\/p>\\\",\\\"image\\\":\\\"20221127\\/e2db8acd9877f20ec050a62c64b91fc2.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff; font-size: 24px;\\\\\\\">\\u0623\\u0639\\u0644\\u0649 \\u0627\\u0644\\u0645\\u0646\\u062a\\u062c\\u0627\\u062a \\u0627\\u0644\\u0634\\u0627\\u0626\\u0639\\u0629 <\\\\\\/span><br>\\\",\\\"title\\\":\\\"<p style=\\\\\\\"margin-bottom: 350px; color: #ddd; margin-top: 10px; font-size: 18px;\\\\\\\">\\u0627\\u0644\\u0623\\u0643\\u062b\\u0631 \\u0623\\u0646\\u0627\\u0642\\u0629 \\u0641\\u064a \\u0627\\u0644\\u0639\\u0627\\u0644\\u0645 <br> \\u0627\\u0644\\u0646\\u0633\\u0627\\u0621 \\u064a\\u0634\\u062a\\u0631\\u064a\\u0646 \\u0627\\u0644\\u0622\\u0646 <br> \\u0627\\u0644\\u0622\\u0646<\\\\\\/p>\\\",\\\"image\\\":\\\"20221127\\/fab76bf50492b107744b371a8719d9f4.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"be\":\"[{\\\"upper_st\\\":\\\"\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"font-size: 24px\\\\\\\">\\u041f\\u041e\\u0411\\u0423\\u0414\\u0423\\u0419\\u0426\\u0415 \\u0421\\u0412\\u0410\\u0419 \\u0410\\u0411\\u0420\\u0410\\u0417<\\\\\\/span> <br>\\\",\\\"title\\\":\\\"<p style=\\\\\\\"margin-bottom: 350px; color: #444; margin-top: 10px; font-size: 18px;\\\\\\\">\\u0421\\u0410\\u041c\\u042b \\u041c\\u0410\\u0414\\u041d\\u042b\\u042f \\u0406 \\u0421\\u0412\\u0415\\u0422\\u0423 <br> \\u0436\\u0430\\u043d\\u0447\\u044b\\u043d\\u044b \\u0437\\u0430\\u0440\\u0430\\u0437 \\u043a\\u0443\\u043f\\u043b\\u0456\\u0432\\u0430\\u044e\\u0446\\u044c <br> \\u0446\\u044f\\u043f\\u0435\\u0440<\\\\\\/p>\\\",\\\"image\\\":\\\"20221127\\/e2db8acd9877f20ec050a62c64b91fc2.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff; font-size: 24px;\\\\\\\">\\u0422\\u0410\\u041f\\u0410\\u0412\\u0410\\u042f \\u041f\\u0420\\u041e\\u0414\\u0423\\u041a\\u0426\\u042b\\u042f <\\\\\\/span><br>\\\",\\\"title\\\":\\\"<p style=\\\\\\\"margin-bottom: 350px; color: #ddd; margin-top: 10px; font-size: 18px;\\\\\\\">\\u0421\\u0410\\u041c\\u042b \\u041c\\u0410\\u0414\\u041d\\u042b\\u042f \\u0406 \\u0421\\u0412\\u0415\\u0422\\u0423 <br> \\u0436\\u0430\\u043d\\u0447\\u044b\\u043d\\u044b \\u0437\\u0430\\u0440\\u0430\\u0437 \\u043a\\u0443\\u043f\\u043b\\u0456\\u0432\\u0430\\u044e\\u0446\\u044c <br> \\u0446\\u044f\\u043f\\u0435\\u0440<\\\\\\/p>\\\",\\\"image\\\":\\\"20221127\\/fab76bf50492b107744b371a8719d9f4.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"bg\":\"[{\\\"upper_st\\\":\\\"\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"font-size: 24px\\\\\\\">\\u0417\\u0410\\u0412\\u042a\\u0420\\u0428\\u0415\\u0422\\u0415 \\u0421\\u0412\\u041e\\u042f \\u0412\\u0418\\u0414<\\\\\\/span> <br>\\\",\\\"title\\\":\\\"<p style=\\\\\\\"margin-bottom: 350px; color: #444; margin-top: 10px; font-size: 18px;\\\\\\\">\\u041d\\u0430\\u0439-\\u0441\\u0442\\u0438\\u043b\\u043d\\u0438\\u0442\\u0435 \\u0432 \\u0441\\u0432\\u0435\\u0442\\u0430 <br> \\u0436\\u0435\\u043d\\u0438\\u0442\\u0435 \\u0432 \\u043c\\u043e\\u043c\\u0435\\u043d\\u0442\\u0430 \\u043a\\u0443\\u043f\\u0443\\u0432\\u0430\\u0442 <br> \\u0441\\u0435\\u0433\\u0430<\\\\\\/p>\\\",\\\"image\\\":\\\"20221127\\/e2db8acd9877f20ec050a62c64b91fc2.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff; font-size: 24px;\\\\\\\">\\u0422\\u041e\\u041f \\u0422\\u0420\\u0415\\u041d\\u0414\\u041e\\u0412\\u0418 \\u041f\\u0420\\u041e\\u0414\\u0423\\u041a\\u0422\\u0418 <\\\\\\/span><br>\\\",\\\"title\\\":\\\"<p style=\\\\\\\"margin-bottom: 350px; color: #ddd; margin-top: 10px; font-size: 18px;\\\\\\\">\\u041d\\u0430\\u0439-\\u0441\\u0442\\u0438\\u043b\\u043d\\u0438\\u0442\\u0435 \\u0432 \\u0441\\u0432\\u0435\\u0442\\u0430 <br> \\u0436\\u0435\\u043d\\u0438\\u0442\\u0435 \\u0432 \\u043c\\u043e\\u043c\\u0435\\u043d\\u0442\\u0430 \\u043a\\u0443\\u043f\\u0443\\u0432\\u0430\\u0442 <br> \\u0441\\u0435\\u0433\\u0430<\\\\\\/p>\\\",\\\"image\\\":\\\"20221127\\/fab76bf50492b107744b371a8719d9f4.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"ca\":\"[{\\\"upper_st\\\":\\\"\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"font-size: 24px\\\\\\\">Complementeu el vostre look<\\\\\\/span> <br>\\\",\\\"title\\\":\\\"<p style=\\\\\\\"margin-bottom: 350px; color: #444; margin-top: 10px; font-size: 18px;\\\\\\\">els m\\u00e9s estilosos del m\\u00f3n <br> les dones estan comprant ara <br> ara<\\\\\\/p>\\\",\\\"image\\\":\\\"20221127\\/e2db8acd9877f20ec050a62c64b91fc2.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff; font-size: 24px;\\\\\\\">PRODUCTE M\\u00c9S TEND\\u00c8NCIA <\\\\\\/span><br>\\\",\\\"title\\\":\\\"<p style=\\\\\\\"margin-bottom: 350px; color: #ddd; margin-top: 10px; font-size: 18px;\\\\\\\">els m\\u00e9s estilosos del m\\u00f3n <br> les dones estan comprant ara <br> ara<\\\\\\/p>\\\",\\\"image\\\":\\\"20221127\\/fab76bf50492b107744b371a8719d9f4.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"et\":\"[{\\\"upper_st\\\":\\\"\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"font-size: 24px\\\\\\\">T\\u00e4iendage oma v\\u00e4limust<\\\\\\/span> <br>\\\",\\\"title\\\":\\\"<p style=\\\\\\\"margin-bottom: 350px; color: #444; margin-top: 10px; font-size: 18px;\\\\\\\">maailma k\\u00f5ige stiilsemad <br> naised ostavad praegu <br> praegu<\\\\\\/p>\\\",\\\"image\\\":\\\"20221127\\/e2db8acd9877f20ec050a62c64b91fc2.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff; font-size: 24px;\\\\\\\">K\\u00d5RGEIM T\\u00d5USEV TOODE <\\\\\\/span><br>\\\",\\\"title\\\":\\\"<p style=\\\\\\\"margin-bottom: 350px; color: #ddd; margin-top: 10px; font-size: 18px;\\\\\\\">maailma k\\u00f5ige stiilsemad <br> naised ostavad praegu <br> praegu<\\\\\\/p>\\\",\\\"image\\\":\\\"20221127\\/fab76bf50492b107744b371a8719d9f4.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"nl\":\"[{\\\"upper_st\\\":\\\"\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"font-size: 24px\\\\\\\">Maak je look compleet<\\\\\\/span> <br>\\\",\\\"title\\\":\\\"<p style=\\\\\\\"margin-bottom: 350px; color: #444; margin-top: 10px; font-size: 18px;\\\\\\\">De meest stijlvolle ter wereld <br> vrouwen zijn nu aan het kopen <br> nu<\\\\\\/p>\\\",\\\"image\\\":\\\"20221127\\/e2db8acd9877f20ec050a62c64b91fc2.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff; font-size: 24px;\\\\\\\">TOP TRENDING Product <\\\\\\/span><br>\\\",\\\"title\\\":\\\"<p style=\\\\\\\"margin-bottom: 350px; color: #ddd; margin-top: 10px; font-size: 18px;\\\\\\\">De meest stijlvolle ter wereld <br> vrouwen zijn nu aan het kopen <br> nu<\\\\\\/p>\\\",\\\"image\\\":\\\"20221127\\/fab76bf50492b107744b371a8719d9f4.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\"}'),(1859,83,'mt','string','100px'),(1860,83,'mb','string','0px'),(1861,83,'height','string','618'),(1862,83,'rounded','string','0'),(1863,83,'full_link','string','0'),(1966,84,'title','string','{\"en\":\"Special OfferCTS\",\"bn\":\"বিশেষ অফারসমূহ\",\"fr\":\"Offres spéciales\",\"zh\":\"特别优惠\",\"ar\":\"عروض خاصة\",\"be\":\"Асаблівыя прапановы\",\"bg\":\"Специални оферти\",\"ca\":\"Ofertes especials\",\"et\":\"Eripakkumised\",\"nl\":\"Speciale aanbiedingen\"}'),(1967,84,'see_more','string','0'),(1968,84,'more_link','string',''),(1969,84,'sidebar','string','0'),(1970,84,'sidebar_position','string','left'),(1971,84,'showcase_type','string','queryProducts'),(1972,84,'row','string','1'),(1973,84,'column','string','3'),(1974,84,'total_products','string','3'),(1975,84,'mt','string','100px'),(1976,84,'mb','string','0px'),(1977,84,'card_height','string','450'),(1978,84,'slide','array','{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button\":\"\",\"link\":\"\"}'),(1979,84,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(1980,84,'flash','array','{\"badge_text\":\"\"}'),(1981,84,'query','array','[{\"type\":\"where\",\"column\":\"tag\",\"operation\":\"in\",\"value\":[\"57\"]}]'),(1998,85,'cta','array','{\"en\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"margin-top: -250px; display:block; font-size: 18px; font-weight: 800;\\\\\\\">COMPLETE YOUR LOOK<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"display: block; font-size: 36px; margin-top: 18px;margin-bottom: 8px;\\\\\\\">Kid\\\\u2019s<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 18px; color: #777;font-family: monospace;\\\\\\\" >Here to bring your life style<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/77e9e64017e9afadce542d07a7d4c2b3.webp\\\",\\\"btn_text\\\":\\\"DISCOVER NOW\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"margin-top: -250px; display:block; font-size: 18px; font-weight: 800;\\\\\\\">TOP TRENDING STYLES<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"display: block; font-size: 36px; margin-top: 18px;margin-bottom: 8px;\\\\\\\">Women\'s<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 18px; color: #777; line-height: 24px;font-family: monospace;\\\\\\\">Distinguished. Individual.<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/a54efc1c8d9e94c19070456dca2a78b9.webp\\\",\\\"btn_text\\\":\\\"DISCOVER NOW\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"bn\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"margin-top: -250px; display:block; font-size: 18px; font-weight: 800;\\\\\\\">\\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u09a6\\u09c7\\u0996\\u09be\\u09b6\\u09c7\\u09b7 \\u0995\\u09b0\\u09c1\\u09a8<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"display: block; font-size: 36px; margin-top: 18px;margin-bottom: 8px;\\\\\\\">\\u09b6\\u09bf\\u09b6\\u09c1\\\\u2019s<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 18px; color: #777;font-family: monospace;\\\\\\\" >\\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u099c\\u09c0\\u09ac\\u09a8\\u09af\\u09be\\u09aa\\u09a8 \\u0986\\u09a8\\u09a4\\u09c7 \\u098f\\u0996\\u09be\\u09a8\\u09c7<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/77e9e64017e9afadce542d07a7d4c2b3.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8 \\u0986\\u09ac\\u09bf\\u09b7\\u09cd\\u0995\\u09be\\u09b0 \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"margin-top: -250px; display:block; font-size: 18px; font-weight: 800;\\\\\\\">\\u09b6\\u09c0\\u09b0\\u09cd\\u09b7 \\u099f\\u09cd\\u09b0\\u09c7\\u09a8\\u09cd\\u09a1\\u09bf\\u0982 \\u09b8\\u09cd\\u099f\\u09be\\u0987\\u09b2<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"display: block; font-size: 36px; margin-top: 18px;margin-bottom: 8px;\\\\\\\">\\u09ae\\u09b9\\u09bf\\u09b2\\u09be\\u09a6\\u09c7\\u09b0<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 18px; color: #777; line-height: 24px;font-family: monospace;\\\\\\\">\\u09ac\\u09bf\\u09ad\\u09bf\\u09a8\\u09cd\\u09a8\\u0964 \\u09ac\\u09cd\\u09af\\u0995\\u09cd\\u09a4\\u09bf\\u0997\\u09a4\\u0964<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/a54efc1c8d9e94c19070456dca2a78b9.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8 \\u0986\\u09ac\\u09bf\\u09b7\\u09cd\\u0995\\u09be\\u09b0 \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"fr\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"margin-top: -250px; display:block; font-size: 18px; font-weight: 800;\\\\\\\">COMPL\\u00c9TEZ VOTRE LOOK<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"display: block; font-size: 36px; margin-top: 18px;margin-bottom: 8px;\\\\\\\">ENFANT\\\\u2019s<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 18px; color: #777;font-family: monospace;\\\\\\\" >Ici pour apporter votre style de vie<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/77e9e64017e9afadce542d07a7d4c2b3.webp\\\",\\\"btn_text\\\":\\\"D\\u00c9COUVREZ MAINTENANT\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"margin-top: -250px; display:block; font-size: 18px; font-weight: 800;\\\\\\\">STYLES LES PLUS TENDANCES<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"display: block; font-size: 36px; margin-top: 18px;margin-bottom: 8px;\\\\\\\">FEMMES<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 18px; color: #777; line-height: 24px;font-family: monospace;\\\\\\\">Distingu\\u00e9. Individuel.<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/a54efc1c8d9e94c19070456dca2a78b9.webp\\\",\\\"btn_text\\\":\\\"D\\u00c9COUVREZ MAINTENANT\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"zh\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"margin-top: -250px; display:block; font-size: 18px; font-weight: 800;\\\\\\\">\\u5b8c\\u5584\\u60a8\\u7684\\u9020\\u578b<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"display: block; font-size: 36px; margin-top: 18px;margin-bottom: 8px;\\\\\\\">\\u5b69\\u5b50\\\\u2019s<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 18px; color: #777;font-family: monospace;\\\\\\\" >\\u5728\\u8fd9\\u91cc\\u5e26\\u6765\\u60a8\\u7684\\u751f\\u6d3b\\u65b9\\u5f0f<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/77e9e64017e9afadce542d07a7d4c2b3.webp\\\",\\\"btn_text\\\":\\\"\\u7acb\\u5373\\u53d1\\u73b0\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"margin-top: -250px; display:block; font-size: 18px; font-weight: 800;\\\\\\\">\\u70ed\\u95e8\\u65f6\\u5c1a\\u98ce\\u683c<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"display: block; font-size: 36px; margin-top: 18px;margin-bottom: 8px;\\\\\\\">\\u5973\\u6027\\u7684<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 18px; color: #777; line-height: 24px;font-family: monospace;\\\\\\\">\\u6770\\u51fa\\u7684\\u3002\\u4e2a\\u4eba\\u3002<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/a54efc1c8d9e94c19070456dca2a78b9.webp\\\",\\\"btn_text\\\":\\\"\\u7acb\\u5373\\u53d1\\u73b0\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"ar\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"margin-top: -250px; display:block; font-size: 18px; font-weight: 800;\\\\\\\">\\u0623\\u0643\\u0645\\u0644\\u064a \\u0645\\u0638\\u0647\\u0631\\u0643<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"display: block; font-size: 36px; margin-top: 18px;margin-bottom: 8px;\\\\\\\">\\u0637\\u0641\\u0644\\\\u2019s<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 18px; color: #777;font-family: monospace;\\\\\\\" >\\u0647\\u0646\\u0627 \\u0644\\u0646\\u0642\\u0644 \\u0646\\u0645\\u0637 \\u062d\\u064a\\u0627\\u062a\\u0643<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/77e9e64017e9afadce542d07a7d4c2b3.webp\\\",\\\"btn_text\\\":\\\"\\u0627\\u0643\\u062a\\u0634\\u0641 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"margin-top: -250px; display:block; font-size: 18px; font-weight: 800;\\\\\\\">\\u0623\\u0647\\u0645 \\u0623\\u0646\\u0645\\u0627\\u0637 \\u0627\\u0644\\u0627\\u062a\\u062c\\u0627\\u0647\\u0627\\u062a<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"display: block; font-size: 36px; margin-top: 18px;margin-bottom: 8px;\\\\\\\">\\u0644\\u0644\\u0646\\u0633\\u0627\\u0621<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 18px; color: #777; line-height: 24px;font-family: monospace;\\\\\\\">\\u0645\\u062a\\u0645\\u064a\\u0632\\u0629. \\u0641\\u0631\\u062f\\u064a\\u0629.<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/a54efc1c8d9e94c19070456dca2a78b9.webp\\\",\\\"btn_text\\\":\\\"\\u0627\\u0643\\u062a\\u0634\\u0641 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"be\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"margin-top: -250px; display:block; font-size: 18px; font-weight: 800;\\\\\\\">\\u041f\\u041e\\u0411\\u0423\\u0414\\u0423\\u0419\\u0426\\u0415 \\u0421\\u0412\\u0410\\u0419 \\u0410\\u0411\\u0420\\u0410\\u0417<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"display: block; font-size: 36px; margin-top: 18px;margin-bottom: 8px;\\\\\\\">\\u0414\\u0417\\u0415\\u0426\\u0406\\\\u2019s<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 18px; color: #777;font-family: monospace;\\\\\\\" >\\u0422\\u0423\\u0422, \\u041a\\u0410\\u0411 \\u041f\\u0420\\u042b\\u041d\\u042f\\u0426\\u042c \\u0421\\u0412\\u0410\\u0419 \\u0421\\u0422\\u0410\\u0419\\u041b \\u0416\\u042b\\u0426\\u0426\\u042f<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/77e9e64017e9afadce542d07a7d4c2b3.webp\\\",\\\"btn_text\\\":\\\"\\u0410\\u0411\\u0410\\u0412\\u042f\\u0417\\u0410\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"margin-top: -250px; display:block; font-size: 18px; font-weight: 800;\\\\\\\">\\u0422\\u0410\\u041f\\u0410\\u0412\\u042b\\u042f \\u0422\\u042d\\u041d\\u0414\\u042d\\u041d\\u0426\\u042b\\u042f\\u041d\\u042b\\u042f \\u0421\\u0422\\u042b\\u041b\\u0406<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"display: block; font-size: 36px; margin-top: 18px;margin-bottom: 8px;\\\\\\\">\\u0416\\u0410\\u041d\\u0427\\u042b\\u041d<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 18px; color: #777; line-height: 24px;font-family: monospace;\\\\\\\">\\u0412\\u044b\\u0434\\u0430\\u0442\\u043d\\u044b. \\u0406\\u043d\\u0434\\u044b\\u0432\\u0456\\u0434\\u0443\\u0430\\u043b\\u044c\\u043d\\u044b.<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/a54efc1c8d9e94c19070456dca2a78b9.webp\\\",\\\"btn_text\\\":\\\"\\u0410\\u0411\\u0410\\u0412\\u042f\\u0417\\u0410\\u0426\\u042c \\u0417\\u0410\\u0420\\u0410\\u0417\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"bg\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"margin-top: -250px; display:block; font-size: 18px; font-weight: 800;\\\\\\\">\\u0417\\u0410\\u0412\\u042a\\u0420\\u0428\\u0415\\u0422\\u0415 \\u0421\\u0412\\u041e\\u042f \\u0412\\u0418\\u0414<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"display: block; font-size: 36px; margin-top: 18px;margin-bottom: 8px;\\\\\\\">\\u0414\\u0415\\u0422\\u0415\\\\u2019s<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 18px; color: #777;font-family: monospace;\\\\\\\" >\\u0422\\u0423\\u041a, \\u0417\\u0410 \\u0414\\u0410 \\u0414\\u041e\\u041d\\u0415\\u0421\\u0415 \\u0412\\u0410\\u0428\\u0418\\u042f\\u0422 \\u0416\\u0418\\u0412\\u041e\\u0422\\u041e\\u0421\\u0422\\u0418\\u041b<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/77e9e64017e9afadce542d07a7d4c2b3.webp\\\",\\\"btn_text\\\":\\\"\\u041e\\u0422\\u041a\\u0420\\u0418\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"margin-top: -250px; display:block; font-size: 18px; font-weight: 800;\\\\\\\">\\u041d\\u0410\\u0419-\\u0422\\u0420\\u0415\\u041d\\u0414\\u041e\\u0412\\u0418 \\u0421\\u0422\\u0418\\u041b\\u041e\\u0412\\u0415<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"display: block; font-size: 36px; margin-top: 18px;margin-bottom: 8px;\\\\\\\">\\u0417\\u0410 \\u0416\\u0415\\u041d\\u0418<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 18px; color: #777; line-height: 24px;font-family: monospace;\\\\\\\">\\u0418\\u0437\\u0438\\u0441\\u043a\\u0430\\u043d. \\u0418\\u043d\\u0434\\u0438\\u0432\\u0438\\u0434\\u0443\\u0430\\u043b\\u0435\\u043d.<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/a54efc1c8d9e94c19070456dca2a78b9.webp\\\",\\\"btn_text\\\":\\\"\\u041e\\u0422\\u041a\\u0420\\u0418\\u0419\\u0422\\u0415 \\u0421\\u0415\\u0413\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"ca\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"margin-top: -250px; display:block; font-size: 18px; font-weight: 800;\\\\\\\">COMPLEMENTA EL TEU LOOK<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"display: block; font-size: 36px; margin-top: 18px;margin-bottom: 8px;\\\\\\\">NEN\\\\u2019s<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 18px; color: #777;font-family: monospace;\\\\\\\" >Aqu\\u00ed per portar el vostre estil de vida<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/77e9e64017e9afadce542d07a7d4c2b3.webp\\\",\\\"btn_text\\\":\\\"DESCOBREIX-LO ARA\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"margin-top: -250px; display:block; font-size: 18px; font-weight: 800;\\\\\\\">ESTILS M\\u00c9S TEND\\u00c8NCIA<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"display: block; font-size: 36px; margin-top: 18px;margin-bottom: 8px;\\\\\\\">DE DONES<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 18px; color: #777; line-height: 24px;font-family: monospace;\\\\\\\">Distingit. Individual.<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/a54efc1c8d9e94c19070456dca2a78b9.webp\\\",\\\"btn_text\\\":\\\"DESCOBREIX-LO ARA\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"et\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"margin-top: -250px; display:block; font-size: 18px; font-weight: 800;\\\\\\\">T\\u00c4IENDAGE OMA V\\u00c4LIMUST<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"display: block; font-size: 36px; margin-top: 18px;margin-bottom: 8px;\\\\\\\">LAPS\\\\u2019s<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 18px; color: #777;font-family: monospace;\\\\\\\" >Siin, et tuua teie elustiil<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/77e9e64017e9afadce542d07a7d4c2b3.webp\\\",\\\"btn_text\\\":\\\"AVASTA KOHE\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"margin-top: -250px; display:block; font-size: 18px; font-weight: 800;\\\\\\\">TOP TRENDIKAD STIILID<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"display: block; font-size: 36px; margin-top: 18px;margin-bottom: 8px;\\\\\\\">NAISTE<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 18px; color: #777; line-height: 24px;font-family: monospace;\\\\\\\">Erip\\u00e4rane. Individuaalne.<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/a54efc1c8d9e94c19070456dca2a78b9.webp\\\",\\\"btn_text\\\":\\\"AVASTA KOHE\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\",\"nl\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"margin-top: -250px; display:block; font-size: 18px; font-weight: 800;\\\\\\\">MAAK JE LOOK COMPLEET<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"display: block; font-size: 36px; margin-top: 18px;margin-bottom: 8px;\\\\\\\">KIND\\\\u2019s<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 18px; color: #777;font-family: monospace;\\\\\\\" >Hier om je levensstijl te brengen<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/77e9e64017e9afadce542d07a7d4c2b3.webp\\\",\\\"btn_text\\\":\\\"ONTDEK NU\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"margin-top: -250px; display:block; font-size: 18px; font-weight: 800;\\\\\\\">TOP TRENDING STIJLEN<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"display: block; font-size: 36px; margin-top: 18px;margin-bottom: 8px;\\\\\\\">VROUWEN<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"font-size: 18px; color: #777; line-height: 24px;font-family: monospace;\\\\\\\">Onderscheiden. Individueel.<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/a54efc1c8d9e94c19070456dca2a78b9.webp\\\",\\\"btn_text\\\":\\\"ONTDEK NU\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}]\"}'),(1999,85,'mt','string','100px'),(2000,85,'mb','string','0px'),(2001,85,'height','string','620'),(2002,85,'rounded','string','0'),(2003,85,'full_link','string','0'),(2004,83,'full','string','1'),(2011,85,'full','string','1'),(2012,86,'slider','string','digital-v11'),(2013,86,'full','string','1'),(2014,86,'mt','string','0px'),(2015,86,'mb','string','0px'),(2016,86,'height','string','540'),(2017,86,'rounded','string','0'),(2018,87,'slider','string','digital-v12'),(2019,87,'full','string','1'),(2020,87,'mt','string','120px'),(2021,87,'mb','string','0px'),(2022,87,'height','string','500'),(2023,87,'rounded','string','0'),(2024,88,'title','string','{\"en\":\"BROWSE CATEGORIES\",\"bn\":\"বিভাগ ব্রাউজ করুন\",\"fr\":\"Parcourir les catégories\",\"zh\":\"浏览类别\",\"ar\":\"تصفح الفئات\",\"be\":\"Праглядзець катэгорыі\",\"bg\":\"Разглеждане на категории\",\"ca\":\"Navegueu per categories\",\"et\":\"Sirvige kategooriaid\",\"nl\":\"Bladeren door categorieën\"}'),(2025,88,'category_type','string','selectedCategories'),(2026,88,'categories','array','[\"526\",\"527\",\"528\",\"529\",\"530\",\"531\",\"532\",\"533\"]'),(2027,88,'row','string','2'),(2028,88,'column','string','4'),(2029,88,'max','string','8'),(2030,88,'full','string','0'),(2031,88,'mt','string','80px'),(2032,88,'mb','string','0px'),(2054,89,'title','string','{\"en\":\"PRODUCTS ON SALE\",\"bn\":\"বিক্রয়ের জন্য পণ্য\",\"fr\":\"PRODUITS EN VENTE\",\"zh\":\"热卖产品\",\"ar\":\"منتجات للبيع\",\"be\":\"ПРАДУКТЫ НА ПРАДАЖУ\",\"bg\":\"ПРОДУКТИ НА ПРОДАЖБА\",\"ca\":\"PRODUCTES EN VENDA\",\"et\":\"MÜÜGIL OLEVAD TOOTED\",\"nl\":\"PRODUCTEN IN DE UITVERKOOP\"}'),(2055,89,'see_more','string','1'),(2056,89,'more_link','string','http://localhost/multi-vendor/search-products?categories=Digital%20Product'),(2057,89,'sidebar','string','0'),(2058,89,'sidebar_position','string','left'),(2059,89,'showcase_type','string','queryProducts'),(2060,89,'row','string','1'),(2061,89,'column','string','2'),(2062,89,'total_products','string','2'),(2063,89,'mt','string','100px'),(2064,89,'mb','string','0px'),(2065,89,'card_height','string','360'),(2066,89,'slide','array','{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button\":\"\",\"link\":\"\"}'),(2067,89,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(2068,89,'flash','array','{\"badge_text\":\"\"}'),(2120,90,'cta','array','[{\"upper_st\":\"\",\"lower_st\":\"\",\"title\":\"\",\"image\":\"20221127/1da81227afe1aeb7cf29ffb6cf966a80.webp\",\"btn_text\":\"\",\"btn_link\":\"\"},{\"upper_st\":\"\",\"lower_st\":\"\",\"title\":\"\",\"image\":\"20221127/60243e4dc79d74f5f3a6c019654d180b.webp\",\"btn_text\":\"\",\"btn_link\":\"\"},{\"upper_st\":\"\",\"lower_st\":\"\",\"title\":\"\",\"image\":\"20221127/e0e5b0aec6bcd398bfd0aae16f3a05f7.webp\",\"btn_text\":\"\",\"btn_link\":\"\"},{\"upper_st\":\"\",\"lower_st\":\"\",\"title\":\"\",\"image\":\"20221127/1d97e1ec28523318e5bf5a9645c7917e.webp\",\"btn_text\":\"\",\"btn_link\":\"\"}]'),(2121,90,'full','string','0'),(2122,90,'mt','string','200px'),(2123,90,'mb','string','0px'),(2124,90,'height','string','280'),(2125,90,'rounded','string','1'),(2126,90,'full_link','string','0'),(2177,91,'title','string','{\"en\":\"ALL OUR PRODUCTS\",\"bn\":\"সমস্ত আমাদের পণ্য\",\"fr\":\"TOUS NOS PRODUITS\",\"zh\":\"我们的所有产品\",\"ar\":\"كل منتجاتنا\",\"be\":\"УСЕ НАШЫ ПРАДУКЦЫІ\",\"bg\":\"ВСИЧКИ НАШИ ПРОДУКТИ\",\"ca\":\"TOTS ELS NOSTRES PRODUCTES\",\"et\":\"KÕIK MEIE TOOTED\",\"nl\":\"AL ONZE PRODUCTEN\"}'),(2178,91,'see_more','string','0'),(2179,91,'more_link','string',''),(2180,91,'sidebar','string','0'),(2181,91,'sidebar_position','string','left'),(2182,91,'showcase_type','string','queryProducts'),(2183,91,'row','string','2'),(2184,91,'column','string','3'),(2185,91,'total_products','string','6'),(2186,91,'mt','string','100px'),(2187,91,'mb','string','0px'),(2188,91,'card_height','string','260'),(2189,91,'slide','array','{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button\":\"\",\"link\":\"\"}'),(2190,91,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(2191,91,'flash','array','{\"badge_text\":\"\"}'),(2192,92,'cta','array','{\"en\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">MOBILE<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">CUSTOMIZED<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">IOS APPS<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/ae16685af1c819def9c014d01a6b3b91.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">DESIGN<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">DECORATE YOUR <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">SYSTEM<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/490cad1f920ffcb3f6bb097224231d30.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">AWARDS<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">HEART WINNING <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">PRODUCTS<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/763ba674d3346b48c4f308c6413bdf39.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"bn\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u09ae\\u09cb\\u09ac\\u09be\\u0987\\u09b2<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0995\\u09be\\u09b8\\u09cd\\u099f\\u09ae\\u09be\\u0987\\u099c\\u09a1<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">IOS \\u0985\\u09cd\\u09af\\u09be\\u09aa<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/ae16685af1c819def9c014d01a6b3b91.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u09a1\\u09bf\\u099c\\u09be\\u0987\\u09a8<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u09b8\\u09be\\u099c\\u09be\\u09a8\\u09cb <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u09b8\\u09bf\\u09b8\\u09cd\\u099f\\u09c7\\u09ae<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/490cad1f920ffcb3f6bb097224231d30.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u09aa\\u09c1\\u09b0\\u09b8\\u09cd\\u0995\\u09be\\u09b0<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u09b9\\u09be\\u09b0\\u09cd\\u099f \\u099c\\u09af\\u09bc \\u0995\\u09b0\\u09be <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u09aa\\u09a3\\u09cd\\u09af<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/763ba674d3346b48c4f308c6413bdf39.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"fr\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">MOBILE<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">PERSONNALIS\\u00c9<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">APPLICATIONS IOS<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/ae16685af1c819def9c014d01a6b3b91.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">CONCEPTION<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">D\\u00c9COREZ VOTRE <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">SYST\\u00c8ME<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/490cad1f920ffcb3f6bb097224231d30.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">PRIX<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">GAGNANT DE C\\u0152UR <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">PRODUITS<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/763ba674d3346b48c4f308c6413bdf39.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"zh\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u624b\\u673a<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u5b9a\\u5236<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">IOS \\u5e94\\u7528<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/ae16685af1c819def9c014d01a6b3b91.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u8bbe\\u8ba1<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u88c5\\u9970\\u60a8\\u7684 <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u7cfb\\u7edf<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/490cad1f920ffcb3f6bb097224231d30.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u5956<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u5fc3\\u83b7\\u80dc <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u5236\\u54c1<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/763ba674d3346b48c4f308c6413bdf39.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"ar\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0627\\u0644\\u0647\\u0627\\u062a\\u0641 \\u0627\\u0644\\u0645\\u062d\\u0645\\u0648\\u0644<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0645\\u062e\\u0635\\u0635<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u062a\\u0637\\u0628\\u064a\\u0642\\u0627\\u062a IOS<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/ae16685af1c819def9c014d01a6b3b91.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u062a\\u0635\\u0645\\u064a\\u0645<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0632\\u064a\\u0646\\u064a \\u0627\\u0644\\u062e\\u0627\\u0635 \\u0628\\u0643 <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0646\\u0638\\u0627\\u0645<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/490cad1f920ffcb3f6bb097224231d30.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u062c\\u0648\\u0627\\u0626\\u0632<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0641\\u0648\\u0632 \\u0628\\u0627\\u0644\\u0642\\u0644\\u0628 <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0645\\u0646\\u062a\\u062c\\u0627\\u062a<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/763ba674d3346b48c4f308c6413bdf39.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"be\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u041c\\u0410\\u0411\\u0406\\u041b\\u042c\\u041d\\u042b<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u041a\\u0410\\u0421\\u0422\\u0410\\u041c\\u0406\\u0417\\u0410\\u0412\\u0410\\u041d\\u042b<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">IOS \\u041f\\u0420\\u042b\\u041b\\u041e\\u0416\\u0415\\u041d\\u041d\\u0406<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/ae16685af1c819def9c014d01a6b3b91.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0414\\u0417\\u042f\\u0420\\u0416\\u0410\\u0412\\u0410<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0423\\u0417\\u0414\\u0417\\u0415\\u041b\\u042c\\u041d\\u0406\\u0426\\u042c \\u0421\\u0412\\u0410\\u0419 <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0421\\u0406\\u0421\\u0422\\u042d\\u041c\\u0410<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/490cad1f920ffcb3f6bb097224231d30.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u041d\\u0410\\u0413\\u0420\\u0410\\u0414\\u042b<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0421\\u0415\\u0420\\u0426\\u0410 \\u0412\\u0406\\u041d <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u041f\\u0420\\u041e\\u0414\\u0423\\u041a\\u0426\\u042b\\u042f<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/763ba674d3346b48c4f308c6413bdf39.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"bg\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u041c\\u041e\\u0411\\u0418\\u041b\\u0415\\u041d<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u041f\\u0415\\u0420\\u0421\\u041e\\u041d\\u0410\\u041b\\u0418\\u0417\\u0418\\u0420\\u0410\\u041d<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u041f\\u0420\\u0418\\u041b\\u041e\\u0416\\u0415\\u041d\\u0418\\u042f IOS<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/ae16685af1c819def9c014d01a6b3b91.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0414\\u0418\\u0417\\u0410\\u0419\\u041d<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0423\\u041a\\u0420\\u0410\\u0421\\u042f\\u0412\\u0410\\u0419\\u0422\\u0415 \\u0421\\u0418 <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0421\\u0418\\u0421\\u0422\\u0415\\u041c\\u0410<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/490cad1f920ffcb3f6bb097224231d30.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u041d\\u0410\\u0413\\u0420\\u0410\\u0414\\u0418<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0421\\u042a\\u0420\\u0426\\u0415 \\u041f\\u041e\\u0411\\u0415\\u0414\\u0418\\u0422\\u0415\\u041b <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u041f\\u0420\\u041e\\u0414\\u0423\\u041a\\u0422\\u0418<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/763ba674d3346b48c4f308c6413bdf39.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"ca\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">M\\u00d2BIL<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">PERSONALITZAT<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">APLICACIONS IOS<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/ae16685af1c819def9c014d01a6b3b91.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">DISSENY<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">DECORA EL TEU <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">SISTEMA<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/490cad1f920ffcb3f6bb097224231d30.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">PREMIS<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">GUANYADOR DEL COR <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">PRODUCTES<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/763ba674d3346b48c4f308c6413bdf39.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"et\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">MOBIIL<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">KOHANDATUD<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">IOS RAKENDUSED<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/ae16685af1c819def9c014d01a6b3b91.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">DISAIN<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">KAUNISTA OMA <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">S\\u00dcSTEEM<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/490cad1f920ffcb3f6bb097224231d30.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">AUHINNAD<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">S\\u00dcDAME V\\u00d5ITMINE <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">TOOTED<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/763ba674d3346b48c4f308c6413bdf39.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"nl\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">MOBIEL<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">AANGEPAST<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">IOS-APPS<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/ae16685af1c819def9c014d01a6b3b91.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">ONTWERP<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">DECOREER UW <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">SYSTEEM<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/490cad1f920ffcb3f6bb097224231d30.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">PRIJZEN<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">HARTWINS <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">PRODUCTEN<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\/763ba674d3346b48c4f308c6413bdf39.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\"}'),(2193,92,'full','string','0'),(2194,92,'mt','string','100px'),(2195,92,'mb','string','0px'),(2196,92,'height','string','284'),(2197,92,'rounded','string','1'),(2198,92,'full_link','string','0'),(2227,93,'title','string','{\"en\":\"LATEST FROM OUR BLOGS\",\"bn\":\"আমাদের ব্লগ থেকে সর্বশেষ\",\"fr\":\"DERNIERS DE NOS BLOGS\",\"zh\":\"来自我们博客的最新消息\",\"ar\":\"آخر من مدوناتنا\",\"be\":\"АКТУАЛЬНАЕ З НАШЫХ БЛОГАЎ\",\"bg\":\"НАЙ-НОВОТО ОТ НАШИТЕ БЛОГОВЕ\",\"ca\":\"ÚLTIMS DELS NOSTRES BLOGS\",\"et\":\"VIIMANE MEIE BLOGIDEST\",\"nl\":\"LAATSTE VAN ONZE BLOGS\"}'),(2228,93,'blog_type','string','selectedBlogs'),(2229,93,'blog_limit','string','3'),(2230,93,'mt','string','100px'),(2231,93,'mb','string','0px'),(2232,94,'title','string','{\"en\":\"<span style=\\\"color: #fff\\\">Subscribe to our Newsletter<\\/span>\",\"bn\":\"<span style=\\\"color: #fff\\\">\\u0986\\u09ae\\u09be\\u09a6\\u09c7\\u09b0 \\u09a8\\u09bf\\u0989\\u099c\\u09b2\\u09c7\\u099f\\u09be\\u09b0 \\u09b8\\u09be\\u09ac\\u09b8\\u09cd\\u0995\\u09cd\\u09b0\\u09be\\u0987\\u09ac \\u0995\\u09b0\\u09c1\\u09a8<\\/span>\",\"fr\":\"<span style=\\\"color: #fff\\\">Abonnez-vous \\u00e0 notre newsletter<\\/span>\",\"zh\":\"<span style=\\\"color: #fff\\\">\\u8ba2\\u9605\\u6211\\u4eec\\u7684\\u65b0\\u95fb\\u901a\\u8baf<\\/span>\",\"ar\":\"<span style=\\\"color: #fff\\\">\\u0627\\u0634\\u062a\\u0631\\u0643 \\u0641\\u064a \\u0646\\u0634\\u0631\\u062a\\u0646\\u0627 \\u0627\\u0644\\u0625\\u062e\\u0628\\u0627\\u0631\\u064a\\u0629<\\/span>\",\"be\":\"<span style=\\\"color: #fff\\\">\\u041f\\u0430\\u0434\\u043f\\u0456\\u0448\\u044b\\u0446\\u0435\\u0441\\u044f \\u043d\\u0430 \\u043d\\u0430\\u0448\\u0443 \\u0440\\u0430\\u0441\\u0441\\u044b\\u043b\\u043a\\u0443<\\/span>\",\"bg\":\"<span style=\\\"color: #fff\\\">\\u0410\\u0431\\u043e\\u043d\\u0438\\u0440\\u0430\\u0439\\u0442\\u0435 \\u0441\\u0435 \\u0437\\u0430 \\u043d\\u0430\\u0448\\u0438\\u044f \\u0431\\u044e\\u043b\\u0435\\u0442\\u0438\\u043d<\\/span>\",\"ca\":\"<span style=\\\"color: #fff\\\">Subscriu-te al nostre butllet\\u00ed<\\/span>\",\"et\":\"<span style=\\\"color: #fff\\\">Telli meie uudiskiri<\\/span>\",\"nl\":\"<span style=\\\"color: #fff\\\">Abonneer je op onze nieuwsbrief<\\/span>\"}'),(2233,94,'message','string','<span style=\"color: #fff\">Get 10% off on your first purchase and stay updated with latest offers,\r\nitems, news and much more</span>'),(2234,94,'mt','string','80px'),(2235,94,'mb','string','-20px'),(2236,89,'query','array','[{\"type\":\"where\",\"column\":\"tag\",\"operation\":\"in\",\"value\":[\"70\"]}]'),(2252,91,'query','array','[{\"type\":\"where\",\"column\":\"tag\",\"operation\":\"in\",\"value\":[\"69\"]}]'),(2283,95,'title','string','{\"en\":\"Electronics\",\"bn\":\"ইলেকট্রনিক্স\",\"fr\":\"Électronique\",\"zh\":\"电子产品\",\"ar\":\"الإلكترونيات\",\"be\":\"Электроніка\",\"bg\":\"Електроника\",\"ca\":\"Electrònica\",\"et\":\"Elektroonika\",\"nl\":\"Elektronica\"}'),(2284,95,'see_more','string','1'),(2285,95,'more_link','string','http://localhost/multi-vendor/search-products?categories=Electronic%20Devices'),(2286,95,'sidebar','string','slide'),(2287,95,'sidebar_position','string','right'),(2288,95,'showcase_type','string','queryProducts'),(2289,95,'row','string','2'),(2290,95,'column','string','4'),(2291,95,'total_products','string','8'),(2292,95,'mt','string','100px'),(2293,95,'mb','string','0px'),(2294,95,'card_height','string',''),(2295,95,'slide','array','{\"en\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"color: #000;\\\\\\\">Visit<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"Electronic\\\",\\\"title\\\":\\\"Accessories\\\",\\\"image\\\":\\\"20221205\\/cba5deddcae3205d94259425a9ff5bbe.webp\\\",\\\"button\\\":\\\"Shop Now\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"}\",\"bn\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"color: #000;\\\\\\\">\\u09aa\\u09b0\\u09bf\\u09a6\\u09b0\\u09cd\\u09b6\\u09a8 \\u0995\\u09b0\\u09c1\\u09a8<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"\\u0987\\u09b2\\u09c7\\u0995\\u099f\\u09cd\\u09b0\\u09a8\\u09bf\\u0995\\\",\\\"title\\\":\\\"\\u0989\\u09aa\\u0995\\u09b0\\u09a3\\\",\\\"image\\\":\\\"20221205\\/cba5deddcae3205d94259425a9ff5bbe.webp\\\",\\\"button\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=\\u0987\\u09b2\\u09c7\\u0995\\u099f\\u09cd\\u09b0\\u09a8\\u09bf\\u0995%20Devices\\\"}\",\"fr\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"color: #000;\\\\\\\">Visitez<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"\\u00c9lectronique\\\",\\\"title\\\":\\\"Accessoires\\\",\\\"image\\\":\\\"20221205\\/cba5deddcae3205d94259425a9ff5bbe.webp\\\",\\\"button\\\":\\\"Achetez maintenant\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=\\u00c9lectronique%20Devices\\\"}\",\"zh\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"color: #000;\\\\\\\">\\u8bbf\\u95ee<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"\\u7535\\u5b50\\\",\\\"title\\\":\\\"\\u914d\\u4ef6\\\",\\\"image\\\":\\\"20221205\\/cba5deddcae3205d94259425a9ff5bbe.webp\\\",\\\"button\\\":\\\"\\u7acb\\u5373\\u8d2d\\u4e70\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=\\u7535\\u5b50%20Devices\\\"}\",\"ar\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"color: #000;\\\\\\\">\\u0632\\u064a\\u0627\\u0631\\u0629<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\\",\\\"title\\\":\\\"\\u0645\\u0644\\u062d\\u0642\\u0627\\u062a\\\",\\\"image\\\":\\\"20221205\\/cba5deddcae3205d94259425a9ff5bbe.webp\\\",\\\"button\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a%20Devices\\\"}\",\"be\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"color: #000;\\\\\\\">\\u041d\\u0430\\u0432\\u0435\\u0434\\u0430\\u0446\\u044c<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"\\u042d\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u044b\\\",\\\"title\\\":\\\"\\u0410\\u043a\\u0441\\u044d\\u0441\\u0443\\u0430\\u0440\\u044b\\\",\\\"image\\\":\\\"20221205\\/cba5deddcae3205d94259425a9ff5bbe.webp\\\",\\\"button\\\":\\\"\\u041a\\u0443\\u043f\\u043b\\u044f\\u0439\\u0446\\u0435 \\u0437\\u0430\\u0440\\u0430\\u0437\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=\\u042d\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u044b%20Devices\\\"}\",\"bg\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"color: #000;\\\\\\\">\\u041f\\u043e\\u0441\\u0435\\u0442\\u0435\\u0442\\u0435<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"\\u0415\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u0435\\u043d\\\",\\\"title\\\":\\\"\\u0410\\u043a\\u0441\\u0435\\u0441\\u043e\\u0430\\u0440\\u0438\\\",\\\"image\\\":\\\"20221205\\/cba5deddcae3205d94259425a9ff5bbe.webp\\\",\\\"button\\\":\\\"\\u041f\\u0430\\u0437\\u0430\\u0440\\u0443\\u0432\\u0430\\u0439\\u0442\\u0435 \\u0441\\u0435\\u0433\\u0430\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=\\u0415\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u0435\\u043d%20Devices\\\"}\",\"ca\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"color: #000;\\\\\\\">Visita<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"Electr\\u00f2nic\\\",\\\"title\\\":\\\"Accessoris\\\",\\\"image\\\":\\\"20221205\\/cba5deddcae3205d94259425a9ff5bbe.webp\\\",\\\"button\\\":\\\"Compra ara\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electr\\u00f2nic%20Devices\\\"}\",\"et\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"color: #000;\\\\\\\">K\\u00fclastage<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"Elektrooniline\\\",\\\"title\\\":\\\"Tarvikud\\\",\\\"image\\\":\\\"20221205\\/cba5deddcae3205d94259425a9ff5bbe.webp\\\",\\\"button\\\":\\\"Osta kohe\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Elektrooniline%20Devices\\\"}\",\"nl\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"color: #000;\\\\\\\">Bezoek<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"Elektronisch\\\",\\\"title\\\":\\\"Accessoires\\\",\\\"image\\\":\\\"20221205\\/cba5deddcae3205d94259425a9ff5bbe.webp\\\",\\\"button\\\":\\\"Winkel nu\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Elektronisch%20Devices\\\"}\"}'),(2296,95,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(2297,95,'flash','array','{\"badge_text\":\"\"}'),(2298,95,'query','array','[{\"type\":\"where\",\"column\":\"tag\",\"operation\":\"in\",\"value\":[\"73\"]}]'),(2299,19,'mt','string',''),(2300,19,'mb','string',''),(2301,19,'rounded','string','0'),(2360,6,'full','string','0'),(2361,6,'mt','string',''),(2362,6,'mb','string',''),(2363,6,'height','string','270'),(2364,6,'rounded','string','0'),(2365,6,'full_link','string','0'),(2372,15,'full','string','0'),(2373,15,'mt','string',''),(2374,15,'mb','string',''),(2375,15,'height','string',''),(2376,15,'rounded','string','0'),(2377,15,'full_link','string','0'),(2402,18,'mt','string',''),(2403,18,'mb','string',''),(2439,96,'title','string','{\"en\":\"Fashions\",\"bn\":\"ফ্যাশন\",\"fr\":\"Mode\",\"zh\":\"时尚\",\"ar\":\"موضة\",\"be\":\"Моды\",\"bg\":\"Мода\",\"ca\":\"Moda\",\"et\":\"Moed\",\"nl\":\"Mode\"}'),(2440,96,'see_more','string','1'),(2441,96,'more_link','string','http://localhost/multi-vendor/search-products?categories=Fashion'),(2442,96,'sidebar','string','slide'),(2443,96,'sidebar_position','string','left'),(2444,96,'showcase_type','string','queryProducts'),(2445,96,'row','string','2'),(2446,96,'column','string','4'),(2447,96,'total_products','string','8'),(2448,96,'mt','string','100px'),(2449,96,'mb','string','0px'),(2450,96,'card_height','string','252'),(2451,96,'slide','array','{\"en\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"margin-top: 400px; display: block;\\\\\\\">SALES<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"DISCOUNT UP TO\\\",\\\"title\\\":\\\"50% OFF\\\",\\\"image\\\":\\\"20221120\\\\\\/8dbc149374c1046c5177438df2a021c7.webp\\\",\\\"button\\\":\\\"Shop Now\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"bn\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"margin-top: 400px; display: block;\\\\\\\">\\u09ac\\u09bf\\u0995\\u09cd\\u09b0\\u09af\\u09bc<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"\\u099b\\u09be\\u09a1\\u09bc \\u09aa\\u09b0\\u09cd\\u09af\\u09a8\\u09cd\\u09a4\\\",\\\"title\\\":\\\"\\u09eb\\u09e6% \\u099b\\u09be\\u09a1\\u09bc\\\",\\\"image\\\":\\\"20221120\\\\\\/8dbc149374c1046c5177438df2a021c7.webp\\\",\\\"button\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"fr\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"margin-top: 400px; display: block;\\\\\\\">VENTES<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"REMISE JUSQU\'\\u00c0\\\",\\\"title\\\":\\\"50% DE R\\u00c9DUCTION\\\",\\\"image\\\":\\\"20221120\\\\\\/8dbc149374c1046c5177438df2a021c7.webp\\\",\\\"button\\\":\\\"Achetez maintenant\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"zh\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"margin-top: 400px; display: block;\\\\\\\">\\u9500\\u552e<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"\\u6298\\u6263\\u9ad8\\u8fbe\\\",\\\"title\\\":\\\"5\\u6298\\u4f18\\u60e0\\\",\\\"image\\\":\\\"20221120\\\\\\/8dbc149374c1046c5177438df2a021c7.webp\\\",\\\"button\\\":\\\"\\u7acb\\u5373\\u8d2d\\u4e70\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"ar\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"margin-top: 400px; display: block;\\\\\\\">\\u0645\\u0628\\u064a\\u0639\\u0627\\u062a<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"\\u062e\\u0635\\u0645 \\u064a\\u0635\\u0644 \\u0625\\u0644\\u0649\\\",\\\"title\\\":\\\"\\u062e\\u0635\\u0645 50\\u066a\\\",\\\"image\\\":\\\"20221120\\\\\\/8dbc149374c1046c5177438df2a021c7.webp\\\",\\\"button\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"be\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"margin-top: 400px; display: block;\\\\\\\">\\u041f\\u0420\\u041e\\u0414\\u0410\\u0416\\u042b<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"\\u0417\\u041d\\u0406\\u0416\\u041a\\u0410 \\u0414\\u0410\\\",\\\"title\\\":\\\"50% \\u0417\\u041d\\u0406\\u0416\\u041a\\u0406\\\",\\\"image\\\":\\\"20221120\\\\\\/8dbc149374c1046c5177438df2a021c7.webp\\\",\\\"button\\\":\\\"\\u041a\\u0443\\u043f\\u043b\\u044f\\u0439\\u0446\\u0435 \\u0437\\u0430\\u0440\\u0430\\u0437\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"bg\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"margin-top: 400px; display: block;\\\\\\\">\\u041f\\u0420\\u041e\\u0414\\u0410\\u0416\\u0411\\u0418<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"\\u041e\\u0422\\u0421\\u0422\\u042a\\u041f\\u041a\\u0410 \\u0414\\u041e\\\",\\\"title\\\":\\\"50% \\u041e\\u0422\\u0421\\u0422\\u042a\\u041f\\u041a\\u0410\\\",\\\"image\\\":\\\"20221120\\\\\\/8dbc149374c1046c5177438df2a021c7.webp\\\",\\\"button\\\":\\\"\\u041f\\u0430\\u0437\\u0430\\u0440\\u0443\\u0432\\u0430\\u0439\\u0442\\u0435 \\u0441\\u0435\\u0433\\u0430\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"ca\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"margin-top: 400px; display: block;\\\\\\\">VENDES<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"DESCOMPTE FINS A\\\",\\\"title\\\":\\\"50% DE DESCOMPTE\\\",\\\"image\\\":\\\"20221120\\\\\\/8dbc149374c1046c5177438df2a021c7.webp\\\",\\\"button\\\":\\\"Compra ara\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"et\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"margin-top: 400px; display: block;\\\\\\\">M\\u00dc\\u00dcK<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"SOODUSTUS KUNI\\\",\\\"title\\\":\\\"50% ALLAHINDLUS\\\",\\\"image\\\":\\\"20221120\\\\\\/8dbc149374c1046c5177438df2a021c7.webp\\\",\\\"button\\\":\\\"Osta kohe\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\",\"nl\":\"{\\\"u_subtitle\\\":\\\"<span style=\\\\\\\"margin-top: 400px; display: block;\\\\\\\">VERKOOP<\\\\\\/span>\\\",\\\"l_subtitle\\\":\\\"KORTING TOT\\\",\\\"title\\\":\\\"50% KORTING\\\",\\\"image\\\":\\\"20221120\\\\\\/8dbc149374c1046c5177438df2a021c7.webp\\\",\\\"button\\\":\\\"Winkel nu\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"}\"}'),(2452,96,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(2453,96,'flash','array','{\"badge_text\":\"\"}'),(2454,96,'query','array','[{\"type\":\"where\",\"column\":\"tag\",\"operation\":\"in\",\"value\":[\"71\"]}]'),(2675,17,'query','array','[{\"type\":\"where\",\"column\":\"tag\",\"operation\":\"in\",\"value\":[\"55\"]}]'),(2691,18,'brands','array','[\"14\",\"2\",\"3\",\"16\",\"18\",\"21\",\"23\",\"29\",\"31\"]'),(2692,97,'cta','array','{\"en\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">MOBILE<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">CUSTOMIZED<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">IOS APPS<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/ae16685af1c819def9c014d01a6b3b91.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">DESIGN<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">DECORATE YOUR <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">SYSTEM<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/490cad1f920ffcb3f6bb097224231d30.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">AWARDS<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">HEART WINNING <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">PRODUCTS<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/763ba674d3346b48c4f308c6413bdf39.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"bn\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u09ae\\u09cb\\u09ac\\u09be\\u0987\\u09b2<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0995\\u09be\\u09b8\\u09cd\\u099f\\u09ae\\u09be\\u0987\\u099c\\u09a1<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0986\\u0987\\u0993\\u098f\\u09b8 \\u0985\\u09cd\\u09af\\u09be\\u09aa\\u09b8<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/ae16685af1c819def9c014d01a6b3b91.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">DESIGN<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u09b8\\u09be\\u099c\\u09be\\u09a8 <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u09b8\\u09bf\\u09b8\\u09cd\\u099f\\u09c7\\u09ae<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/490cad1f920ffcb3f6bb097224231d30.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u09aa\\u09c1\\u09b0\\u09b8\\u09cd\\u0995\\u09be\\u09b0<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u09ae\\u09a8\\u09c7\\u09b0 \\u099c\\u09af\\u09bc <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u09aa\\u09a3\\u09cd\\u09af<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/763ba674d3346b48c4f308c6413bdf39.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"fr\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">MOBILE<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">PERSONNALIS\\u00c9<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">APPLICATIONS IOS<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/ae16685af1c819def9c014d01a6b3b91.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">DESIGN<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">D\\u00c9COREZ VOTRE <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">SYST\\u00c8ME<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/490cad1f920ffcb3f6bb097224231d30.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">R\\u00c9COMPENSES<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">COEUR GAGNANT <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">PRODUITS<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/763ba674d3346b48c4f308c6413bdf39.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"zh\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u624b\\u673a<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u5b9a\\u5236<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">iOS \\u5e94\\u7528\\u7a0b\\u5e8f<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/ae16685af1c819def9c014d01a6b3b91.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">DESIGN<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u88c5\\u9970\\u4f60\\u7684 <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u7cfb\\u7edf<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/490cad1f920ffcb3f6bb097224231d30.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u5956\\u9879<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u6253\\u52a8\\u4eba\\u5fc3\\u7684 <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u4ea7\\u54c1<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/763ba674d3346b48c4f308c6413bdf39.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"ar\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0627\\u0644\\u0647\\u0627\\u062a\\u0641 \\u0627\\u0644\\u0645\\u062d\\u0645\\u0648\\u0644<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0645\\u062e\\u0635\\u0635<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u062a\\u0637\\u0628\\u064a\\u0642\\u0627\\u062a IOS<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/ae16685af1c819def9c014d01a6b3b91.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">DESIGN<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0632\\u062e\\u0631\\u0641 <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0646\\u0638\\u0627\\u0645<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/490cad1f920ffcb3f6bb097224231d30.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0627\\u0644\\u062c\\u0648\\u0627\\u0626\\u0632<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0627\\u0644\\u0641\\u0648\\u0632 \\u0628\\u0627\\u0644\\u0642\\u0644\\u0648\\u0628 <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0627\\u0644\\u0645\\u0646\\u062a\\u062c\\u0627\\u062a<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/763ba674d3346b48c4f308c6413bdf39.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"be\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u041c\\u0410\\u0411\\u0406\\u041b\\u042c\\u041d\\u042b<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u041a\\u0410\\u0421\\u0422\\u0410\\u041c\\u0406\\u0417\\u0410\\u0412\\u0410\\u041d\\u042b<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">IOS \\u0414\\u0410\\u0414\\u0410\\u0422\\u041a\\u0406<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/ae16685af1c819def9c014d01a6b3b91.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">DESIGN<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0423\\u041f\\u0420\\u042b\\u0413\\u041e\\u0414\\u042c\\u0426\\u0415 \\u0421\\u0412\\u0410\\u0415 <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0421\\u0406\\u0421\\u0422\\u042d\\u041c\\u0410<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/490cad1f920ffcb3f6bb097224231d30.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0423\\u0417\\u041d\\u0410\\u0413\\u0410\\u0420\\u041e\\u0414\\u042b<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0421\\u042d\\u0420\\u0426\\u0410 \\u0412\\u042b\\u0413\\u0420\\u0410\\u0412\\u0410\\u0415 <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u041f\\u0420\\u0410\\u0414\\u0423\\u041a\\u0422\\u042b<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/763ba674d3346b48c4f308c6413bdf39.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"bg\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u041c\\u041e\\u0411\\u0418\\u041b\\u0415\\u041d<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u041f\\u0415\\u0420\\u0421\\u041e\\u041d\\u0410\\u041b\\u0418\\u0417\\u0418\\u0420\\u0410\\u041d<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u041f\\u0420\\u0418\\u041b\\u041e\\u0416\\u0415\\u041d\\u0418\\u042f \\u0417\\u0410 IOS<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/ae16685af1c819def9c014d01a6b3b91.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">DESIGN<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0423\\u041a\\u0420\\u0410\\u0421\\u0415\\u0422\\u0415 \\u0412\\u0410\\u0428\\u0418\\u042f <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0421\\u0418\\u0421\\u0422\\u0415\\u041c\\u0410<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/490cad1f920ffcb3f6bb097224231d30.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u041d\\u0410\\u0413\\u0420\\u0410\\u0414\\u0418<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u0421\\u041f\\u0415\\u0427\\u0415\\u041b\\u0412\\u0410\\u041d\\u0415 \\u041d\\u0410 \\u0421\\u042a\\u0420\\u0426\\u0415 <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">\\u041f\\u0420\\u041e\\u0414\\u0423\\u041a\\u0422\\u0418<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/763ba674d3346b48c4f308c6413bdf39.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"ca\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">M\\u00d2BIL<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">PERSONALITZAT<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">APLICACIONS IOS<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/ae16685af1c819def9c014d01a6b3b91.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">DESIGN<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">DECOREU EL VOSTRE <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">SISTEMA<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/490cad1f920ffcb3f6bb097224231d30.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">PREMIS<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">COR GUANYADOR <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">PRODUCTES<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/763ba674d3346b48c4f308c6413bdf39.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"et\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">MOBIIL<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">KOHANDATUD<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">IOS RAKENDUSED<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/ae16685af1c819def9c014d01a6b3b91.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">DESIGN<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">KAUNISTA OMA <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">S\\u00dcSTEEM<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/490cad1f920ffcb3f6bb097224231d30.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">AUHINNAD<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">S\\u00dcDAME V\\u00d5ITMINE <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">TOOTED<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/763ba674d3346b48c4f308c6413bdf39.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\",\"nl\":\"[{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">MOBIEL<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">AANGEPAST<\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">IOS-APPS<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/ae16685af1c819def9c014d01a6b3b91.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">DESIGN<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">DECOREER UW <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">SYSTEEM<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/490cad1f920ffcb3f6bb097224231d30.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"},{\\\"upper_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">PRIJZEN<\\\\\\/span>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">HARTWINNEND <\\\\\\/span>\\\",\\\"title\\\":\\\"<span style=\\\\\\\"color: #fff\\\\\\\">PRODUCTEN<\\\\\\/span>\\\",\\\"image\\\":\\\"20221127\\\\\\/763ba674d3346b48c4f308c6413bdf39.webp\\\",\\\"btn_text\\\":\\\"\\\",\\\"btn_link\\\":\\\"\\\"}]\"}'),(2693,97,'full','string','0'),(2694,97,'mt','string','100px'),(2695,97,'mb','string','0px'),(2696,97,'height','string','284'),(2697,97,'rounded','string','1'),(2698,97,'full_link','string','0'),(2832,98,'title','string','{\"en\":\"DIGITAL PRODUCTS\",\"bn\":\"ডিজিটাল পণ্য\",\"fr\":\"PRODUITS NUMÉRIQUES\",\"zh\":\"数字产品\",\"ar\":\"المنتجات الرقمية\",\"be\":\"ЦЫФРАВЫЯ ПРАДУКТЫ\",\"bg\":\"ЦИФРОВИ ПРОДУКТИ\",\"ca\":\"PRODUCTES DIGITALS\",\"et\":\"DIGITAALSED TOOTED\",\"nl\":\"DIGITALE PRODUCTEN\"}'),(2833,98,'see_more','string','1'),(2834,98,'more_link','string','http://localhost/multi-vendor/search-products?categories=Digital%20Product'),(2835,98,'sidebar','string','0'),(2836,98,'sidebar_position','string','left'),(2837,98,'showcase_type','string','queryProducts'),(2838,98,'row','string','1'),(2839,98,'column','string','2'),(2840,98,'total_products','string','2'),(2841,98,'mt','string','100px'),(2842,98,'mb','string','0px'),(2843,98,'card_height','string','360'),(2844,98,'slide','array','{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button\":\"\",\"link\":\"\"}'),(2845,98,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(2846,98,'flash','array','{\"badge_text\":\"\"}'),(2847,98,'query','array','[{\"type\":\"where\",\"column\":\"tag\",\"operation\":\"in\",\"value\":[\"70\"]}]'),(2997,99,'title','string','{\"en\":\"LATEST FROM OUR BLOGS\",\"bn\":\"আমাদের ব্লগ থেকে সর্বশেষ\",\"fr\":\"DERNIERS DE NOS BLOGS\",\"zh\":\"来自我们博客的最新消息\",\"ar\":\"آخر من مدوناتنا\",\"be\":\"АКТУАЛЬНАЕ З НАШЫХ БЛОГАЎ\",\"bg\":\"НАЙ-НОВОТО ОТ НАШИТЕ БЛОГОВЕ\",\"ca\":\"ÚLTIMS DELS NOSTRES BLOGS\",\"et\":\"VIIMANE MEIE BLOGIDEST\",\"nl\":\"LAATSTE VAN ONZE BLOGS\"}'),(2998,99,'blog_type','string','latestBlogs'),(2999,99,'blog_limit','string','3'),(3000,99,'mt','string','100px'),(3001,99,'mb','string','0px'),(3171,68,'blogs','array','[\"19\",\"20\",\"22\"]'),(3177,77,'blogs','array','[\"28\",\"29\",\"30\"]'),(3183,58,'blogs','array','[\"20\",\"22\",\"23\"]'),(3189,93,'blogs','array','[\"31\",\"32\",\"33\"]'),(3195,42,'blogs','array','[\"23\",\"24\",\"25\"]'),(3201,30,'blogs','array','[\"19\",\"27\",\"28\"]'),(3209,72,'full','string','0'),(3216,75,'full','string','0'),(3230,54,'full','string','0'),(3231,54,'height','string',''),(3237,40,'full','string','0'),(3238,40,'height','string',''),(3260,46,'card_height','string',''),(3275,49,'full','string','0'),(3276,49,'height','string',''),(3329,36,'height','string',''),(3341,38,'full','string','0'),(3342,38,'height','string',''),(3379,45,'full','string','0'),(3380,45,'height','string',''),(3381,100,'slider','string','fashion-v51'),(3382,100,'full','string','1'),(3383,100,'mt','string','0px'),(3384,100,'mb','string','0px'),(3385,100,'height','string','749'),(3386,100,'rounded','string','0'),(3387,101,'slider','string','fashion-v52'),(3388,101,'full','string','1'),(3389,101,'mt','string','0px'),(3390,101,'mb','string','0px'),(3391,101,'height','string','903'),(3392,101,'rounded','string','0'),(3393,102,'slider','string','fashion-v53'),(3394,102,'full','string','1'),(3395,102,'mt','string','0px'),(3396,102,'mb','string','0px'),(3397,102,'height','string','631'),(3398,102,'rounded','string','0'),(3399,103,'slider','string','fashion-v5-primary'),(3400,103,'full','string','1'),(3401,103,'mt','string','0px'),(3402,103,'mb','string','0px'),(3403,103,'height','string','750'),(3404,103,'rounded','string','0'),(3405,104,'slider','string','fashion-v54'),(3406,104,'full','string','1'),(3407,104,'mt','string','0px'),(3408,104,'mb','string','0px'),(3409,104,'height','string','631'),(3410,104,'rounded','string','0'),(3411,105,'slider','string','fashion-v55'),(3412,105,'full','string','1'),(3413,105,'mt','string','0px'),(3414,105,'mb','string','0px'),(3415,105,'height','string','631'),(3416,105,'rounded','string','0'),(3417,106,'iconbox','array','{\"en\":\"[{\\\"image\\\":\\\"20230508\\\\\\\\72911ed50cb98c54b7dd269a763d788d.png\\\",\\\"title\\\":\\\"Free Shipping Worldwide\\\",\\\"subtitle\\\":\\\"For all orders over $350\\\"},{\\\"image\\\":\\\"20230508\\\\\\\\9b51a4ca185894d42c25cc22db2e2b78.png\\\",\\\"title\\\":\\\"Secured Online Payment\\\",\\\"subtitle\\\":\\\"Payment protection guaranteed\\\"},{\\\"image\\\":\\\"20230508\\\\\\\\e28c3efa16347662b4f3f3877dc49741.png\\\",\\\"title\\\":\\\"Money Back Guarantee\\\",\\\"subtitle\\\":\\\"If goods have problems\\\"}]\",\"bn\":\"[{\\\"image\\\":\\\"20230508\\\\\\\\72911ed50cb98c54b7dd269a763d788d.png\\\",\\\"title\\\":\\\"\\u09ac\\u09bf\\u09b6\\u09cd\\u09ac\\u09ac\\u09cd\\u09af\\u09be\\u09aa\\u09c0 \\u09ac\\u09bf\\u09a8\\u09be\\u09ae\\u09c2\\u09b2\\u09cd\\u09af\\u09c7 \\u09b6\\u09bf\\u09aa\\u09bf\\u0982\\\",\\\"subtitle\\\":\\\"\\u09b8\\u09ae\\u09b8\\u09cd\\u09a4 \\u0985\\u09b0\\u09cd\\u09a1\\u09be\\u09b0\\u09c7\\u09b0 \\u099c\\u09a8\\u09cd\\u09af $350-\\u098f\\u09b0 \\u09ac\\u09c7\\u09b6\\u09bf\\\"},{\\\"image\\\":\\\"20230508\\\\\\\\9b51a4ca185894d42c25cc22db2e2b78.png\\\",\\\"title\\\":\\\"\\u09a8\\u09bf\\u09b0\\u09be\\u09aa\\u09a6 \\u0985\\u09a8\\u09b2\\u09be\\u0987\\u09a8 \\u09aa\\u09c7\\u09ae\\u09c7\\u09a8\\u09cd\\u099f\\\",\\\"subtitle\\\":\\\"\\u09aa\\u09c7\\u09ae\\u09c7\\u09a8\\u09cd\\u099f \\u09b8\\u09c1\\u09b0\\u0995\\u09cd\\u09b7\\u09be \\u09a8\\u09bf\\u09b6\\u09cd\\u099a\\u09bf\\u09a4\\\"},{\\\"image\\\":\\\"20230508\\\\\\\\e28c3efa16347662b4f3f3877dc49741.png\\\",\\\"title\\\":\\\"\\u099f\\u09be\\u0995\\u09be \\u09ab\\u09c7\\u09b0\\u09a4 \\u0997\\u09cd\\u09af\\u09be\\u09b0\\u09be\\u09a8\\u09cd\\u099f\\u09bf\\\",\\\"subtitle\\\":\\\"\\u09af\\u09a6\\u09bf \\u09aa\\u09a3\\u09cd\\u09af\\u09c7\\u09b0 \\u09b8\\u09ae\\u09b8\\u09cd\\u09af\\u09be \\u09b9\\u09af\\u09bc\\\"}]\",\"fr\":\"[{\\\"image\\\":\\\"20230508\\\\\\\\72911ed50cb98c54b7dd269a763d788d.png\\\",\\\"title\\\":\\\"Livraison gratuite dans le monde entier\\\",\\\"subtitle\\\":\\\"Pour toutes les commandes de plus de 350 $\\\"},{\\\"image\\\":\\\"20230508\\\\\\\\9b51a4ca185894d42c25cc22db2e2b78.png\\\",\\\"title\\\":\\\"Paiement en ligne s\\u00e9curis\\u00e9\\\",\\\"subtitle\\\":\\\"Protection des paiements garantie\\\"},{\\\"image\\\":\\\"20230508\\\\\\\\e28c3efa16347662b4f3f3877dc49741.png\\\",\\\"title\\\":\\\"Garantie de remboursement\\\",\\\"subtitle\\\":\\\"Si les marchandises ont des probl\\u00e8mes\\\"}]\",\"zh\":\"[{\\\"image\\\":\\\"20230508\\\\\\\\72911ed50cb98c54b7dd269a763d788d.png\\\",\\\"title\\\":\\\"\\u5168\\u7403\\u514d\\u8d39\\u9001\\u8d27\\\",\\\"subtitle\\\":\\\"\\u6240\\u6709\\u8d85\\u8fc7350\\u7f8e\\u5143\\u7684\\u8ba2\\u5355\\\"},{\\\"image\\\":\\\"20230508\\\\\\\\9b51a4ca185894d42c25cc22db2e2b78.png\\\",\\\"title\\\":\\\"\\u5b89\\u5168\\u7684\\u5728\\u7ebf\\u652f\\u4ed8\\\",\\\"subtitle\\\":\\\"\\u4ed8\\u6b3e\\u4fdd\\u62a4\\u6709\\u4fdd\\u969c\\\"},{\\\"image\\\":\\\"20230508\\\\\\\\e28c3efa16347662b4f3f3877dc49741.png\\\",\\\"title\\\":\\\"\\u9000\\u6b3e\\u4fdd\\u8bc1\\\",\\\"subtitle\\\":\\\"\\u5982\\u679c\\u5546\\u54c1\\u6709\\u95ee\\u9898\\\"}]\",\"ar\":\"[{\\\"image\\\":\\\"20230508\\\\\\\\72911ed50cb98c54b7dd269a763d788d.png\\\",\\\"title\\\":\\\"\\u0634\\u062d\\u0646 \\u0645\\u062c\\u0627\\u0646\\u064a \\u0641\\u064a \\u062c\\u0645\\u064a\\u0639 \\u0623\\u0646\\u062d\\u0627\\u0621 \\u0627\\u0644\\u0639\\u0627\\u0644\\u0645\\\",\\\"subtitle\\\":\\\"\\u0644\\u0643\\u0644 \\u0627\\u0644\\u0637\\u0644\\u0628\\u0627\\u062a \\u0627\\u0644\\u062a\\u064a \\u062a\\u0632\\u064a\\u062f \\u0639\\u0646 350 \\u062f\\u0648\\u0644\\u0627\\u0631\\u064b\\u0627\\\"},{\\\"image\\\":\\\"20230508\\\\\\\\9b51a4ca185894d42c25cc22db2e2b78.png\\\",\\\"title\\\":\\\"\\u062f\\u0641\\u0639 \\u0622\\u0645\\u0646 \\u0639\\u0628\\u0631 \\u0627\\u0644\\u0625\\u0646\\u062a\\u0631\\u0646\\u062a\\\",\\\"subtitle\\\":\\\"\\u062d\\u0645\\u0627\\u064a\\u0629 \\u0627\\u0644\\u062f\\u0641\\u0639 \\u0645\\u0636\\u0645\\u0648\\u0646\\u0629\\\"},{\\\"image\\\":\\\"20230508\\\\\\\\e28c3efa16347662b4f3f3877dc49741.png\\\",\\\"title\\\":\\\"\\u0636\\u0645\\u0627\\u0646 \\u0627\\u0633\\u062a\\u0639\\u0627\\u062f\\u0629 \\u0627\\u0644\\u0627\\u0645\\u0648\\u0627\\u0644\\\",\\\"subtitle\\\":\\\"\\u0625\\u0630\\u0627 \\u0643\\u0627\\u0646\\u062a \\u0627\\u0644\\u0628\\u0636\\u0627\\u0626\\u0639 \\u0628\\u0647\\u0627 \\u0645\\u0634\\u0627\\u0643\\u0644\\\"}]\",\"be\":\"[{\\\"image\\\":\\\"20230508\\\\\\\\72911ed50cb98c54b7dd269a763d788d.png\\\",\\\"title\\\":\\\"\\u0411\\u044f\\u0441\\u043f\\u043b\\u0430\\u0442\\u043d\\u0430\\u044f \\u0434\\u0430\\u0441\\u0442\\u0430\\u045e\\u043a\\u0430 \\u043f\\u0430 \\u045e\\u0441\\u0456\\u043c \\u0441\\u0432\\u0435\\u0446\\u0435\\\",\\\"subtitle\\\":\\\"\\u0414\\u043b\\u044f \\u045e\\u0441\\u0456\\u0445 \\u0437\\u0430\\u043a\\u0430\\u0437\\u0430\\u045e \\u043d\\u0430 \\u0441\\u0443\\u043c\\u0443 \\u0431\\u043e\\u043b\\u044c\\u0448 \\u0437\\u0430 350 \\u0434\\u043e\\u043b\\u0430\\u0440\\u0430\\u045e\\\"},{\\\"image\\\":\\\"20230508\\\\\\\\9b51a4ca185894d42c25cc22db2e2b78.png\\\",\\\"title\\\":\\\"\\u0411\\u044f\\u0441\\u043f\\u0435\\u0447\\u043d\\u0430\\u044f \\u0430\\u043f\\u043b\\u0430\\u0442\\u0430 \\u043e\\u043d\\u043b\\u0430\\u0439\\u043d\\\",\\\"subtitle\\\":\\\"\\u0413\\u0430\\u0440\\u0430\\u043d\\u0442\\u0430\\u0432\\u0430\\u043d\\u0430\\u044f \\u0430\\u0431\\u0430\\u0440\\u043e\\u043d\\u0430 \\u043f\\u043b\\u0430\\u0446\\u044f\\u0436\\u043e\\u045e\\\"},{\\\"image\\\":\\\"20230508\\\\\\\\e28c3efa16347662b4f3f3877dc49741.png\\\",\\\"title\\\":\\\"\\u0413\\u0430\\u0440\\u0430\\u043d\\u0442\\u044b\\u044f \\u0432\\u044f\\u0440\\u0442\\u0430\\u043d\\u043d\\u044f \\u0433\\u0440\\u043e\\u0448\\u0430\\u0439\\\",\\\"subtitle\\\":\\\"\\u041a\\u0430\\u043b\\u0456 \\u0451\\u0441\\u0446\\u044c \\u043f\\u0440\\u0430\\u0431\\u043b\\u0435\\u043c\\u044b \\u0437 \\u0442\\u0430\\u0432\\u0430\\u0440\\u0430\\u043c\\\"}]\",\"bg\":\"[{\\\"image\\\":\\\"20230508\\\\\\\\72911ed50cb98c54b7dd269a763d788d.png\\\",\\\"title\\\":\\\"\\u0411\\u0435\\u0437\\u043f\\u043b\\u0430\\u0442\\u043d\\u0430 \\u0434\\u043e\\u0441\\u0442\\u0430\\u0432\\u043a\\u0430 \\u043f\\u043e \\u0446\\u0435\\u043b\\u0438\\u044f \\u0441\\u0432\\u044f\\u0442\\\",\\\"subtitle\\\":\\\"\\u0417\\u0430 \\u0432\\u0441\\u0438\\u0447\\u043a\\u0438 \\u043f\\u043e\\u0440\\u044a\\u0447\\u043a\\u0438 \\u043d\\u0430\\u0434 350 \\u0434\\u043e\\u043b\\u0430\\u0440\\u0430\\\"},{\\\"image\\\":\\\"20230508\\\\\\\\9b51a4ca185894d42c25cc22db2e2b78.png\\\",\\\"title\\\":\\\"\\u0417\\u0430\\u0449\\u0438\\u0442\\u0435\\u043d\\u043e \\u043e\\u043d\\u043b\\u0430\\u0439\\u043d \\u043f\\u043b\\u0430\\u0449\\u0430\\u043d\\u0435\\\",\\\"subtitle\\\":\\\"\\u0413\\u0430\\u0440\\u0430\\u043d\\u0442\\u0438\\u0440\\u0430\\u043d\\u0430 \\u0437\\u0430\\u0449\\u0438\\u0442\\u0430 \\u043d\\u0430 \\u043f\\u043b\\u0430\\u0449\\u0430\\u043d\\u0438\\u044f\\u0442\\u0430\\\"},{\\\"image\\\":\\\"20230508\\\\\\\\e28c3efa16347662b4f3f3877dc49741.png\\\",\\\"title\\\":\\\"\\u0413\\u0430\\u0440\\u0430\\u043d\\u0446\\u0438\\u044f \\u0437\\u0430 \\u0432\\u0440\\u044a\\u0449\\u0430\\u043d\\u0435 \\u043d\\u0430 \\u043f\\u0430\\u0440\\u0438\\u0442\\u0435\\\",\\\"subtitle\\\":\\\"\\u0410\\u043a\\u043e \\u0441\\u0442\\u043e\\u043a\\u0438\\u0442\\u0435 \\u0438\\u043c\\u0430\\u0442 \\u043f\\u0440\\u043e\\u0431\\u043b\\u0435\\u043c\\u0438\\\"}]\",\"ca\":\"[{\\\"image\\\":\\\"20230508\\\\\\\\72911ed50cb98c54b7dd269a763d788d.png\\\",\\\"title\\\":\\\"Enviament gratu\\u00eft a tot el m\\u00f3n\\\",\\\"subtitle\\\":\\\"Per a totes les comandes superiors a 350 $\\\"},{\\\"image\\\":\\\"20230508\\\\\\\\9b51a4ca185894d42c25cc22db2e2b78.png\\\",\\\"title\\\":\\\"Pagament en l\\u00ednia segur\\\",\\\"subtitle\\\":\\\"Protecci\\u00f3 de pagament garantida\\\"},{\\\"image\\\":\\\"20230508\\\\\\\\e28c3efa16347662b4f3f3877dc49741.png\\\",\\\"title\\\":\\\"Garantia de devoluci\\u00f3 de diners\\\",\\\"subtitle\\\":\\\"Si els productes tenen problemes\\\"}]\",\"et\":\"[{\\\"image\\\":\\\"20230508\\\\\\\\72911ed50cb98c54b7dd269a763d788d.png\\\",\\\"title\\\":\\\"Tasuta saatmine \\u00fcle maailma\\\",\\\"subtitle\\\":\\\"K\\u00f5igi \\u00fcle 350-dollariliste tellimuste puhul\\\"},{\\\"image\\\":\\\"20230508\\\\\\\\9b51a4ca185894d42c25cc22db2e2b78.png\\\",\\\"title\\\":\\\"Turvaline veebimakse\\\",\\\"subtitle\\\":\\\"Maksekaitse garanteeritud\\\"},{\\\"image\\\":\\\"20230508\\\\\\\\e28c3efa16347662b4f3f3877dc49741.png\\\",\\\"title\\\":\\\"Raha tagasi garantii\\\",\\\"subtitle\\\":\\\"Kui kaupadega on probleeme\\\"}]\",\"nl\":\"[{\\\"image\\\":\\\"20230508\\\\\\\\72911ed50cb98c54b7dd269a763d788d.png\\\",\\\"title\\\":\\\"Gratis verzending wereldwijd\\\",\\\"subtitle\\\":\\\"Voor alle bestellingen boven de $350\\\"},{\\\"image\\\":\\\"20230508\\\\\\\\9b51a4ca185894d42c25cc22db2e2b78.png\\\",\\\"title\\\":\\\"Beveiligde online betaling\\\",\\\"subtitle\\\":\\\"Betalingsbescherming gegarandeerd\\\"},{\\\"image\\\":\\\"20230508\\\\\\\\e28c3efa16347662b4f3f3877dc49741.png\\\",\\\"title\\\":\\\"Geld-terug-garantie\\\",\\\"subtitle\\\":\\\"Als er problemen zijn met goederen\\\"}]\"}'),(3418,106,'sidebox_show','string','0'),(3419,106,'sidebox','array','{\"title\":\"\",\"sidetext\":\"\",\"description\":\"\"}'),(3420,106,'mt','string','70px'),(3421,106,'mb','string','70px'),(3422,106,'rounded','string','1'),(3423,107,'title','string','{\"en\":\"Feature Product\",\"bn\":\"বৈশিষ্ট্যযুক্ত পণ্য\",\"fr\":\"Produit vedette\",\"zh\":\"特色产品\",\"ar\":\"منتج مميز\",\"be\":\"Асаблівы прадукт\",\"bg\":\"Избран продукт\",\"ca\":\"Producte destacat\",\"et\":\"Esiletõstetud toode\",\"nl\":\"Uitgelicht product\"}'),(3424,107,'see_more','string','0'),(3425,107,'more_link','string',''),(3426,107,'sidebar','string','0'),(3427,107,'sidebar_position','string','left'),(3428,107,'showcase_type','string','queryProducts'),(3429,107,'row','string','1'),(3430,107,'column','string','5'),(3431,107,'total_products','string','5'),(3432,107,'mt','string',''),(3433,107,'mb','string',''),(3434,107,'card_height','string',''),(3435,107,'slide','array','{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button\":\"\",\"link\":\"\"}'),(3436,107,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(3437,107,'flash','array','{\"badge_text\":\"\"}'),(3438,107,'query','array','[{\"type\":\"where\",\"column\":\"vendor\",\"operation\":\"in\",\"value\":[\"1\"]}]'),(3439,108,'cta','array','{\"en\":\"[{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">On Sale This Week<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">Stay Active and <br> Connected<\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\31c1b66368166e8a196561ad96bffec5.png\\\",\\\"btn_text\\\":\\\"Shop Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/smart-bracelet-sports-bracelet-d13-color-screen-bracelet-sports-pedometer-bluetooth-reminder-heart-rate-blood-pressure\\\"},{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">On Sale This Week<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">Enhanced Gaming <br> Experience <\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\14a0cd1cb520e380c38bffca9329fec9.jpg\\\",\\\"btn_text\\\":\\\"Shop Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/wireless-game-controller-for-switch-pro-lite-olde-gamepad-joystick-for-pc-game-controller\\\"},{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">On Sale This Week<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">Fast Charging <br> Data Cable<\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\731ba00c478644c7b71124ff75fb1514.png\\\",\\\"btn_text\\\":\\\"Show Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/usb-type-c-cable-2-in-1-fast-charging-cord-data-sync-charger-line-speed-transfer\\\"}]\",\"bn\":\"[{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">\\u098f\\u0987 \\u09b8\\u09aa\\u09cd\\u09a4\\u09be\\u09b9\\u09c7 \\u09ac\\u09bf\\u0995\\u09cd\\u09b0\\u09bf\\u09a4\\u09c7<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">\\u09b8\\u0995\\u09cd\\u09b0\\u09bf\\u09af\\u09bc \\u09a5\\u09be\\u0995\\u09c1\\u09a8 \\u098f\\u09ac\\u0982 <br> \\u09b8\\u0982\\u09af\\u09c1\\u0995\\u09cd\\u09a4<\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\31c1b66368166e8a196561ad96bffec5.png\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/smart-bracelet-sports-bracelet-d13-color-screen-bracelet-sports-pedometer-bluetooth-reminder-heart-rate-blood-pressure\\\"},{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">\\u098f\\u0987 \\u09b8\\u09aa\\u09cd\\u09a4\\u09be\\u09b9\\u09c7 \\u09ac\\u09bf\\u0995\\u09cd\\u09b0\\u09bf\\u09a4\\u09c7<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">\\u0989\\u09a8\\u09cd\\u09a8\\u09a4 \\u0997\\u09c7\\u09ae\\u09bf\\u0982 <br> \\u0985\\u09ad\\u09bf\\u099c\\u09cd\\u099e\\u09a4\\u09be <\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\14a0cd1cb520e380c38bffca9329fec9.jpg\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/wireless-game-controller-for-switch-pro-lite-olde-gamepad-joystick-for-pc-game-controller\\\"},{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">\\u098f\\u0987 \\u09b8\\u09aa\\u09cd\\u09a4\\u09be\\u09b9\\u09c7 \\u09ac\\u09bf\\u0995\\u09cd\\u09b0\\u09bf\\u09a4\\u09c7<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">\\u09a6\\u09cd\\u09b0\\u09c1\\u09a4 \\u099a\\u09be\\u09b0\\u09cd\\u099c\\u09bf\\u0982 <br> \\u09a1\\u09c7\\u099f\\u09be \\u0995\\u09c7\\u09ac\\u09b2<\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\731ba00c478644c7b71124ff75fb1514.png\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8 \\u09a6\\u09c7\\u0996\\u09be\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/usb-type-c-cable-2-in-1-fast-charging-cord-data-sync-charger-line-speed-transfer\\\"}]\",\"fr\":\"[{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">En vente cette semaine<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">Restez actif et <br> Connect\\u00e9<\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\31c1b66368166e8a196561ad96bffec5.png\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/smart-bracelet-sports-bracelet-d13-color-screen-bracelet-sports-pedometer-bluetooth-reminder-heart-rate-blood-pressure\\\"},{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">En vente cette semaine<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">Jeu am\\u00e9lior\\u00e9 <br> Exp\\u00e9rience <\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\14a0cd1cb520e380c38bffca9329fec9.jpg\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/wireless-game-controller-for-switch-pro-lite-olde-gamepad-joystick-for-pc-game-controller\\\"},{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">En vente cette semaine<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">Charge rapide <br> C\\u00e2ble de donn\\u00e9es<\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\731ba00c478644c7b71124ff75fb1514.png\\\",\\\"btn_text\\\":\\\"Afficher maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/usb-type-c-cable-2-in-1-fast-charging-cord-data-sync-charger-line-speed-transfer\\\"}]\",\"zh\":\"[{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">\\u672c\\u5468\\u7279\\u5356<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">\\u4fdd\\u6301\\u6d3b\\u8dc3\\u5e76\\u4e14 <br> \\u8fde\\u63a5\\u7684<\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\31c1b66368166e8a196561ad96bffec5.png\\\",\\\"btn_text\\\":\\\"\\u7acb\\u5373\\u8d2d\\u4e70\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/smart-bracelet-sports-bracelet-d13-color-screen-bracelet-sports-pedometer-bluetooth-reminder-heart-rate-blood-pressure\\\"},{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">\\u672c\\u5468\\u7279\\u5356<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">\\u589e\\u5f3a\\u7684\\u6e38\\u620f <br> \\u4f53\\u9a8c <\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\14a0cd1cb520e380c38bffca9329fec9.jpg\\\",\\\"btn_text\\\":\\\"\\u7acb\\u5373\\u8d2d\\u4e70\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/wireless-game-controller-for-switch-pro-lite-olde-gamepad-joystick-for-pc-game-controller\\\"},{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">\\u672c\\u5468\\u7279\\u5356<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">\\u5feb\\u901f\\u5145\\u7535 <br> \\u6570\\u636e\\u7ebf<\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\731ba00c478644c7b71124ff75fb1514.png\\\",\\\"btn_text\\\":\\\"\\u7acb\\u5373\\u663e\\u793a\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/usb-type-c-cable-2-in-1-fast-charging-cord-data-sync-charger-line-speed-transfer\\\"}]\",\"ar\":\"[{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">\\u0644\\u0644\\u0628\\u064a\\u0639 \\u0647\\u0630\\u0627 \\u0627\\u0644\\u0623\\u0633\\u0628\\u0648\\u0639<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">\\u0627\\u0628\\u0642 \\u0646\\u0634\\u064a\\u0637\\u0627 \\u0648 <br> \\u0645\\u062a\\u0635\\u0644<\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\31c1b66368166e8a196561ad96bffec5.png\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/smart-bracelet-sports-bracelet-d13-color-screen-bracelet-sports-pedometer-bluetooth-reminder-heart-rate-blood-pressure\\\"},{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">\\u0644\\u0644\\u0628\\u064a\\u0639 \\u0647\\u0630\\u0627 \\u0627\\u0644\\u0623\\u0633\\u0628\\u0648\\u0639<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">\\u0623\\u0644\\u0639\\u0627\\u0628 \\u0645\\u062d\\u0633\\u0651\\u0646\\u0629 <br> \\u062a\\u062c\\u0631\\u0628\\u0629 <\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\14a0cd1cb520e380c38bffca9329fec9.jpg\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/wireless-game-controller-for-switch-pro-lite-olde-gamepad-joystick-for-pc-game-controller\\\"},{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">\\u0644\\u0644\\u0628\\u064a\\u0639 \\u0647\\u0630\\u0627 \\u0627\\u0644\\u0623\\u0633\\u0628\\u0648\\u0639<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">\\u0634\\u062d\\u0646 \\u0633\\u0631\\u064a\\u0639 <br> \\u0643\\u0627\\u0628\\u0644 \\u0628\\u064a\\u0627\\u0646\\u0627\\u062a<\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\731ba00c478644c7b71124ff75fb1514.png\\\",\\\"btn_text\\\":\\\"\\u0627\\u0639\\u0631\\u0636 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/usb-type-c-cable-2-in-1-fast-charging-cord-data-sync-charger-line-speed-transfer\\\"}]\",\"be\":\"[{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">\\u041d\\u0430 \\u043f\\u0440\\u043e\\u0434\\u0430\\u0436\\u044b \\u043d\\u0430 \\u0433\\u044d\\u0442\\u044b\\u043c \\u0442\\u044b\\u0434\\u043d\\u0456<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">\\u0417\\u0430\\u0441\\u0442\\u0430\\u0432\\u0430\\u0439\\u0446\\u0435\\u0441\\u044f \\u0430\\u043a\\u0442\\u044b\\u045e\\u043d\\u044b\\u043c\\u0456 \\u0456 <br> \\u041f\\u0430\\u0434\\u043a\\u043b\\u044e\\u0447\\u0430\\u043d\\u044b<\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\31c1b66368166e8a196561ad96bffec5.png\\\",\\\"btn_text\\\":\\\"\\u041a\\u0443\\u043f\\u043b\\u044f\\u0439\\u0446\\u0435 \\u0437\\u0430\\u0440\\u0430\\u0437\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/smart-bracelet-sports-bracelet-d13-color-screen-bracelet-sports-pedometer-bluetooth-reminder-heart-rate-blood-pressure\\\"},{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">\\u041d\\u0430 \\u043f\\u0440\\u043e\\u0434\\u0430\\u0436\\u044b \\u043d\\u0430 \\u0433\\u044d\\u0442\\u044b\\u043c \\u0442\\u044b\\u0434\\u043d\\u0456<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">\\u041f\\u0430\\u043b\\u0435\\u043f\\u0448\\u0430\\u043d\\u0430\\u044f \\u0433\\u0443\\u043b\\u044c\\u043d\\u044f <br> \\u0412\\u043e\\u043f\\u044b\\u0442 <\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\14a0cd1cb520e380c38bffca9329fec9.jpg\\\",\\\"btn_text\\\":\\\"\\u041a\\u0443\\u043f\\u043b\\u044f\\u0439\\u0446\\u0435 \\u0437\\u0430\\u0440\\u0430\\u0437\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/wireless-game-controller-for-switch-pro-lite-olde-gamepad-joystick-for-pc-game-controller\\\"},{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">\\u041d\\u0430 \\u043f\\u0440\\u043e\\u0434\\u0430\\u0436\\u044b \\u043d\\u0430 \\u0433\\u044d\\u0442\\u044b\\u043c \\u0442\\u044b\\u0434\\u043d\\u0456<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">\\u0425\\u0443\\u0442\\u043a\\u0430\\u044f \\u0437\\u0430\\u0440\\u0430\\u0434\\u043a\\u0430 <br> \\u0414\\u0430\\u0434\\u0430\\u0442\\u043a\\u043e\\u0432\\u044b \\u043a\\u0430\\u0431\\u0435\\u043b\\u044c<\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\731ba00c478644c7b71124ff75fb1514.png\\\",\\\"btn_text\\\":\\\"\\u041f\\u0430\\u043a\\u0430\\u0437\\u0430\\u0446\\u044c \\u0437\\u0430\\u0440\\u0430\\u0437\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/usb-type-c-cable-2-in-1-fast-charging-cord-data-sync-charger-line-speed-transfer\\\"}]\",\"bg\":\"[{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">\\u0412 \\u043f\\u0440\\u043e\\u0434\\u0430\\u0436\\u0431\\u0430 \\u0442\\u0430\\u0437\\u0438 \\u0441\\u0435\\u0434\\u043c\\u0438\\u0446\\u0430<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">\\u041e\\u0441\\u0442\\u0430\\u043d\\u0435\\u0442\\u0435 \\u0430\\u043a\\u0442\\u0438\\u0432\\u043d\\u0438 \\u0438 <br> \\u0421\\u0432\\u044a\\u0440\\u0437\\u0430\\u043d<\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\31c1b66368166e8a196561ad96bffec5.png\\\",\\\"btn_text\\\":\\\"\\u041f\\u0430\\u0437\\u0430\\u0440\\u0443\\u0432\\u0430\\u0439\\u0442\\u0435 \\u0441\\u0435\\u0433\\u0430\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/smart-bracelet-sports-bracelet-d13-color-screen-bracelet-sports-pedometer-bluetooth-reminder-heart-rate-blood-pressure\\\"},{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">\\u0412 \\u043f\\u0440\\u043e\\u0434\\u0430\\u0436\\u0431\\u0430 \\u0442\\u0430\\u0437\\u0438 \\u0441\\u0435\\u0434\\u043c\\u0438\\u0446\\u0430<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">\\u041f\\u043e\\u0434\\u043e\\u0431\\u0440\\u0435\\u043d\\u0430 \\u0438\\u0433\\u0440\\u0430 <br> \\u041e\\u043f\\u0438\\u0442 <\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\14a0cd1cb520e380c38bffca9329fec9.jpg\\\",\\\"btn_text\\\":\\\"\\u041f\\u0430\\u0437\\u0430\\u0440\\u0443\\u0432\\u0430\\u0439\\u0442\\u0435 \\u0441\\u0435\\u0433\\u0430\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/wireless-game-controller-for-switch-pro-lite-olde-gamepad-joystick-for-pc-game-controller\\\"},{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">\\u0412 \\u043f\\u0440\\u043e\\u0434\\u0430\\u0436\\u0431\\u0430 \\u0442\\u0430\\u0437\\u0438 \\u0441\\u0435\\u0434\\u043c\\u0438\\u0446\\u0430<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">\\u0411\\u044a\\u0440\\u0437\\u043e \\u0437\\u0430\\u0440\\u0435\\u0436\\u0434\\u0430\\u043d\\u0435 <br> \\u041a\\u0430\\u0431\\u0435\\u043b \\u0437\\u0430 \\u0434\\u0430\\u043d\\u043d\\u0438<\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\731ba00c478644c7b71124ff75fb1514.png\\\",\\\"btn_text\\\":\\\"\\u041f\\u043e\\u043a\\u0430\\u0436\\u0438 \\u0441\\u0435\\u0433\\u0430\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/usb-type-c-cable-2-in-1-fast-charging-cord-data-sync-charger-line-speed-transfer\\\"}]\",\"ca\":\"[{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">En venda aquesta setmana<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">Mantingueu-vos actius i <br> Connectat<\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\31c1b66368166e8a196561ad96bffec5.png\\\",\\\"btn_text\\\":\\\"Compra ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/smart-bracelet-sports-bracelet-d13-color-screen-bracelet-sports-pedometer-bluetooth-reminder-heart-rate-blood-pressure\\\"},{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">En venda aquesta setmana<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">Joc millorat <br> Experi\\u00e8ncia <\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\14a0cd1cb520e380c38bffca9329fec9.jpg\\\",\\\"btn_text\\\":\\\"Compra ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/wireless-game-controller-for-switch-pro-lite-olde-gamepad-joystick-for-pc-game-controller\\\"},{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">En venda aquesta setmana<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">C\\u00e0rrega r\\u00e0pida <br> Cable de dades<\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\731ba00c478644c7b71124ff75fb1514.png\\\",\\\"btn_text\\\":\\\"Mostrar ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/usb-type-c-cable-2-in-1-fast-charging-cord-data-sync-charger-line-speed-transfer\\\"}]\",\"et\":\"[{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">M\\u00fc\\u00fcgil sel n\\u00e4dalal<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">Olge aktiivne ja <br> \\u00dchendatud<\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\31c1b66368166e8a196561ad96bffec5.png\\\",\\\"btn_text\\\":\\\"Osta kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/smart-bracelet-sports-bracelet-d13-color-screen-bracelet-sports-pedometer-bluetooth-reminder-heart-rate-blood-pressure\\\"},{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">M\\u00fc\\u00fcgil sel n\\u00e4dalal<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">T\\u00f5hustatud m\\u00e4ngimine <br> Kogemus <\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\14a0cd1cb520e380c38bffca9329fec9.jpg\\\",\\\"btn_text\\\":\\\"Osta kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/wireless-game-controller-for-switch-pro-lite-olde-gamepad-joystick-for-pc-game-controller\\\"},{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">M\\u00fc\\u00fcgil sel n\\u00e4dalal<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">Kiire laadimine <br> Andmekaabel<\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\731ba00c478644c7b71124ff75fb1514.png\\\",\\\"btn_text\\\":\\\"Kuva kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/usb-type-c-cable-2-in-1-fast-charging-cord-data-sync-charger-line-speed-transfer\\\"}]\",\"nl\":\"[{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">Deze week te koop<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">Blijf actief en <br> Verbonden<\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\31c1b66368166e8a196561ad96bffec5.png\\\",\\\"btn_text\\\":\\\"Winkel nu\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/smart-bracelet-sports-bracelet-d13-color-screen-bracelet-sports-pedometer-bluetooth-reminder-heart-rate-blood-pressure\\\"},{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">Deze week te koop<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">Verbeterd gamen <br> Ervaring <\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\14a0cd1cb520e380c38bffca9329fec9.jpg\\\",\\\"btn_text\\\":\\\"Winkel nu\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/wireless-game-controller-for-switch-pro-lite-olde-gamepad-joystick-for-pc-game-controller\\\"},{\\\"upper_st\\\":\\\"<p style=\\\\\\\\\\\"color: #fff;background: #ef233c;display: inline-block;padding: 2px 8px;border-radius: 5px;font-size: 12px;font-weight: bold;margin-bottom: 20px;\\\\\\\\\\\">Deze week te koop<\\\\\\\\\\/p>\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"font-size: 20px;\\\\\\\\\\\">Snel opladen <br> Datakabel<\\\\\\\\\\/span>\\\",\\\"title\\\":\\\"\\\",\\\"image\\\":\\\"20240319\\\\\\\\731ba00c478644c7b71124ff75fb1514.png\\\",\\\"btn_text\\\":\\\"Nu laten zien\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/products\\\\\\\\\\/usb-type-c-cable-2-in-1-fast-charging-cord-data-sync-charger-line-speed-transfer\\\"}]\"}'),(3440,108,'full','string','0'),(3441,108,'mt','string',''),(3442,108,'mb','string',''),(3443,108,'height','string',''),(3444,108,'rounded','string','0'),(3445,108,'full_link','string','0'),(3446,109,'title','string',''),(3447,109,'disp_categories','array','[\"popularProducts\",\"bestSeller\"]'),(3448,109,'row','string','1'),(3449,109,'column','string','3'),(3450,109,'max','string','3'),(3451,109,'mt','string',''),(3452,109,'mb','string',''),(3453,109,'card_height','string',''),(3454,110,'title','string','{\"en\":\"Search And Order All Your Phone <br> Parts  In One Location \",\"bn\":\"\\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u09b8\\u09ae\\u09b8\\u09cd\\u09a4 \\u09ab\\u09cb\\u09a8 \\u0985\\u09a8\\u09c1\\u09b8\\u09a8\\u09cd\\u09a7\\u09be\\u09a8 \\u0995\\u09b0\\u09c1\\u09a8 \\u098f\\u09ac\\u0982 \\u0985\\u09b0\\u09cd\\u09a1\\u09be\\u09b0 \\u0995\\u09b0\\u09c1\\u09a8 <br> Parts  In One Location \",\"fr\":\"Recherchez et commandez tous vos t\\u00e9l\\u00e9phones <br> Parts  In One Location \",\"zh\":\"\\u641c\\u7d22\\u5e76\\u8ba2\\u8d2d\\u60a8\\u7684\\u6240\\u6709\\u624b\\u673a <br> Parts  In One Location \",\"ar\":\"\\u0627\\u0628\\u062d\\u062b \\u0648\\u0627\\u0637\\u0644\\u0628 \\u062c\\u0645\\u064a\\u0639 \\u0647\\u0648\\u0627\\u062a\\u0641\\u0643 <br> Parts  In One Location \",\"be\":\"\\u0428\\u0443\\u043a\\u0430\\u0439\\u0446\\u0435 \\u0456 \\u0437\\u0430\\u043a\\u0430\\u0437\\u0432\\u0430\\u0439\\u0446\\u0435 \\u045e\\u0441\\u0435 \\u0432\\u0430\\u0448\\u044b\\u044f \\u0442\\u044d\\u043b\\u0435\\u0444\\u043e\\u043d\\u044b <br> Parts  In One Location \",\"bg\":\"\\u0422\\u044a\\u0440\\u0441\\u0435\\u0442\\u0435 \\u0438 \\u043f\\u043e\\u0440\\u044a\\u0447\\u0430\\u0439\\u0442\\u0435 \\u0432\\u0441\\u0438\\u0447\\u043a\\u0438 \\u0432\\u0430\\u0448\\u0438 \\u0442\\u0435\\u043b\\u0435\\u0444\\u043e\\u043d\\u0438 <br> Parts  In One Location \",\"ca\":\"Cerca i demana tots els teus tel\\u00e8fons <br> Parts  In One Location \",\"et\":\"Otsi ja telli k\\u00f5ik oma telefonid <br> Parts  In One Location \",\"nl\":\"Zoek en bestel al je telefoons <br> Parts  In One Location \"}'),(3455,110,'upper_st','string','{\"en\":\"<p class=\\\"text-lg font-medium text-gray-10 dm-sans\\\" style=\\\"color: red; margin-bottom: 20px; \\\">On Sale This Week<\\/p>\",\"bn\":\"<p class=\\\"text-lg font-medium text-gray-10 dm-sans\\\" style=\\\"color: red; margin-bottom: 20px; \\\">\\u098f\\u0987 \\u09b8\\u09aa\\u09cd\\u09a4\\u09be\\u09b9\\u09c7 \\u09ac\\u09bf\\u0995\\u09cd\\u09b0\\u09bf<\\/p>\",\"fr\":\"<p class=\\\"text-lg font-medium text-gray-10 dm-sans\\\" style=\\\"color: red; margin-bottom: 20px; \\\">En vente cette semaine<\\/p>\",\"zh\":\"<p class=\\\"text-lg font-medium text-gray-10 dm-sans\\\" style=\\\"color: red; margin-bottom: 20px; \\\">\\u672c\\u5468\\u7279\\u5356<\\/p>\",\"ar\":\"<p class=\\\"text-lg font-medium text-gray-10 dm-sans\\\" style=\\\"color: red; margin-bottom: 20px; \\\">\\u0644\\u0644\\u0628\\u064a\\u0639 \\u0647\\u0630\\u0627 \\u0627\\u0644\\u0623\\u0633\\u0628\\u0648\\u0639<\\/p>\",\"be\":\"<p class=\\\"text-lg font-medium text-gray-10 dm-sans\\\" style=\\\"color: red; margin-bottom: 20px; \\\">\\u041d\\u0430 \\u043f\\u0440\\u043e\\u0434\\u0430\\u0436\\u044b \\u043d\\u0430 \\u0433\\u044d\\u0442\\u044b\\u043c \\u0442\\u044b\\u0434\\u043d\\u0456<\\/p>\",\"bg\":\"<p class=\\\"text-lg font-medium text-gray-10 dm-sans\\\" style=\\\"color: red; margin-bottom: 20px; \\\">\\u0412 \\u043f\\u0440\\u043e\\u0434\\u0430\\u0436\\u0431\\u0430 \\u0442\\u0430\\u0437\\u0438 \\u0441\\u0435\\u0434\\u043c\\u0438\\u0446\\u0430<\\/p>\",\"ca\":\"<p class=\\\"text-lg font-medium text-gray-10 dm-sans\\\" style=\\\"color: red; margin-bottom: 20px; \\\">En venda aquesta setmana<\\/p>\",\"et\":\"<p class=\\\"text-lg font-medium text-gray-10 dm-sans\\\" style=\\\"color: red; margin-bottom: 20px; \\\">M\\u00fc\\u00fcgil sel n\\u00e4dalal<\\/p>\",\"nl\":\"<p class=\\\"text-lg font-medium text-gray-10 dm-sans\\\" style=\\\"color: red; margin-bottom: 20px; \\\">Deze week te koop<\\/p>\"}'),(3456,110,'lower_st','string','<p class=\"text-base dm-sans\" style=\"color: #555; margin-top: 20px;\">Plakrore maheten. Astronens ultranirad. Dod.</p>'),(3457,110,'btn_text','string',''),(3458,110,'btn_link','string',''),(3459,110,'image','string','20240319\\2f882f24b944ab5cd7e5a303466ba0a2.jpg'),(3460,110,'full','string','0'),(3461,110,'mt','string',''),(3462,110,'mb','string',''),(3463,110,'height','string','250'),(3464,110,'rounded','string','1'),(3465,110,'full_link','string','0'),(3466,111,'cta','array','{\"en\":\"[{\\\"upper_st\\\":\\\"SMALL & MINIMAL\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">FURNITURE<\\\\\\\\\\/span> FOR \\\",\\\"title\\\":\\\"BOOKWORMS\\\",\\\"image\\\":\\\"20240319\\\\\\\\dc65b5a163000b416d3e29baaf0e026e.webp\\\",\\\"btn_text\\\":\\\"Shop Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"FANCY SOFAS\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">LUXURIOUS<\\\\\\\\\\/span> \\\",\\\"title\\\":\\\"COMFORT\\\",\\\"image\\\":\\\"20240319\\\\\\\\cba7b005cb23101f7eeafcb15c3b49f6.webp\\\",\\\"btn_text\\\":\\\"Shop Now\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"bn\":\"[{\\\"upper_st\\\":\\\"\\u099b\\u09cb\\u099f \\u098f\\u09ac\\u0982 \\u09a8\\u09bf\\u09b0\\u09b2\\u09ae\\u09cd\\u09ac\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">\\u09ab\\u09be\\u09b0\\u09cd\\u09a8\\u09bf\\u099a\\u09be\\u09b0<\\\\\\\\\\/span> \\u099c\\u09a8\\u09cd\\u09af \\\",\\\"title\\\":\\\"\\u09ac\\u0987\\u09ae\\u09be\\u09a8\\u09c1\\u09b7\\\",\\\"image\\\":\\\"20240319\\\\\\\\dc65b5a163000b416d3e29baaf0e026e.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u09b2\\u0995\\u09cd\\u09b7\\u09c0\\u09af\\u09bc \\u09b8\\u09cb\\u09ab\\u09be\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">\\u09aa\\u09cd\\u09b0\\u09be\\u09a7\\u09be\\u09a8\\u09cd\\u09af\\u09aa\\u09c2\\u09b0\\u09cd\\u09a3<\\\\\\\\\\/span> \\\",\\\"title\\\":\\\"COM\\u099c\\u09a8\\u09cd\\u09afT\\\",\\\"image\\\":\\\"20240319\\\\\\\\cba7b005cb23101f7eeafcb15c3b49f6.webp\\\",\\\"btn_text\\\":\\\"\\u098f\\u0996\\u09a8\\u0987 \\u0995\\u09bf\\u09a8\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"fr\":\"[{\\\"upper_st\\\":\\\"PETIT ET MINIMALISTE\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">MEUBLES<\\\\\\\\\\/span> POUR \\\",\\\"title\\\":\\\"BIBLIOPHILES\\\",\\\"image\\\":\\\"20240319\\\\\\\\dc65b5a163000b416d3e29baaf0e026e.webp\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"CANAP\\u00c9S CHICS\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">LUXUEUX<\\\\\\\\\\/span> \\\",\\\"title\\\":\\\"COMPOURT\\\",\\\"image\\\":\\\"20240319\\\\\\\\cba7b005cb23101f7eeafcb15c3b49f6.webp\\\",\\\"btn_text\\\":\\\"Achetez maintenant\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"zh\":\"[{\\\"upper_st\\\":\\\"\\u5c0f\\u800c\\u7b80\\u7ea6\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">\\u5bb6\\u5177<\\\\\\\\\\/span> \\u4e3a \\\",\\\"title\\\":\\\"\\u4e66\\u866b\\\",\\\"image\\\":\\\"20240319\\\\\\\\dc65b5a163000b416d3e29baaf0e026e.webp\\\",\\\"btn_text\\\":\\\"\\u7acb\\u5373\\u8d2d\\u4e70\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u82b1\\u54e8\\u7684\\u6c99\\u53d1\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">\\u8c6a\\u534e\\u7684<\\\\\\\\\\/span> \\\",\\\"title\\\":\\\"COM\\u4e3aT\\\",\\\"image\\\":\\\"20240319\\\\\\\\cba7b005cb23101f7eeafcb15c3b49f6.webp\\\",\\\"btn_text\\\":\\\"\\u7acb\\u5373\\u8d2d\\u4e70\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"ar\":\"[{\\\"upper_st\\\":\\\"\\u0635\\u063a\\u064a\\u0631\\u0629 \\u0648\\u0628\\u0633\\u064a\\u0637\\u0629\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">\\u0623\\u062b\\u0627\\u062b<\\\\\\\\\\/span> \\u0645\\u0646 \\u0623\\u062c\\u0644 \\\",\\\"title\\\":\\\"\\u062f\\u0648\\u062f\\u0629 \\u0627\\u0644\\u0643\\u062a\\u0628\\\",\\\"image\\\":\\\"20240319\\\\\\\\dc65b5a163000b416d3e29baaf0e026e.webp\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u0623\\u0631\\u0627\\u0626\\u0643 \\u0641\\u0627\\u062e\\u0631\\u0629\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">\\u0641\\u062e\\u0645<\\\\\\\\\\/span> \\\",\\\"title\\\":\\\"COM\\u0645\\u0646 \\u0623\\u062c\\u0644T\\\",\\\"image\\\":\\\"20240319\\\\\\\\cba7b005cb23101f7eeafcb15c3b49f6.webp\\\",\\\"btn_text\\\":\\\"\\u062a\\u0633\\u0648\\u0642 \\u0627\\u0644\\u0622\\u0646\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"be\":\"[{\\\"upper_st\\\":\\\"\\u041c\\u0410\\u041b\\u0415\\u041d\\u041a\\u0406 \\u0406 \\u041c\\u0406\\u041d\\u0406\\u041c\\u0410\\u041b\\u042c\\u041d\\u042b\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">\\u041c\\u0415\\u0411\\u041b\\u0406<\\\\\\\\\\/span> \\u0414\\u041b\\u042f \\\",\\\"title\\\":\\\"\\u041a\\u041d\\u0406\\u0416\\u041d\\u042b\\u042f \\u0427\\u042d\\u0420\\u0412\\u0406\\\",\\\"image\\\":\\\"20240319\\\\\\\\dc65b5a163000b416d3e29baaf0e026e.webp\\\",\\\"btn_text\\\":\\\"\\u041a\\u0443\\u043f\\u043b\\u044f\\u0439\\u0446\\u0435 \\u0437\\u0430\\u0440\\u0430\\u0437\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u0424\\u0410\\u041d\\u0422\\u0410\\u0417\\u0406\\u0419\\u041d\\u042b\\u042f \\u0414\\u0406\\u0412\\u0410\\u041d\\u042b\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">\\u0420\\u0410\\u0417\\u041a\\u0410\\u0428\\u0410\\u041d\\u042b<\\\\\\\\\\/span> \\\",\\\"title\\\":\\\"COM\\u0414\\u041b\\u042fT\\\",\\\"image\\\":\\\"20240319\\\\\\\\cba7b005cb23101f7eeafcb15c3b49f6.webp\\\",\\\"btn_text\\\":\\\"\\u041a\\u0443\\u043f\\u043b\\u044f\\u0439\\u0446\\u0435 \\u0437\\u0430\\u0440\\u0430\\u0437\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"bg\":\"[{\\\"upper_st\\\":\\\"\\u041c\\u0410\\u041b\\u042a\\u041a \\u0418 \\u041c\\u0418\\u041d\\u0418\\u041c\\u0410\\u041b\\u0418\\u0421\\u0422\\u0418\\u0427\\u0415\\u041d\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">\\u041c\\u0415\\u0411\\u0415\\u041b\\u0418<\\\\\\\\\\/span> \\u0417\\u0410 \\\",\\\"title\\\":\\\"\\u041a\\u041d\\u0418\\u0416\\u041e\\u041c\\u0420\\u042a\\u0421\\u0422\\u0418\\\",\\\"image\\\":\\\"20240319\\\\\\\\dc65b5a163000b416d3e29baaf0e026e.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u0430\\u0437\\u0430\\u0440\\u0443\\u0432\\u0430\\u0439\\u0442\\u0435 \\u0441\\u0435\\u0433\\u0430\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u0424\\u0410\\u041d\\u0421\\u0418\\u0414\\u041d\\u0418 \\u0414\\u0418\\u0412\\u0410\\u041d\\u0418\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">\\u0420\\u0410\\u0417\\u041a\\u041e\\u0428\\u0415\\u041d<\\\\\\\\\\/span> \\\",\\\"title\\\":\\\"COM\\u0417\\u0410T\\\",\\\"image\\\":\\\"20240319\\\\\\\\cba7b005cb23101f7eeafcb15c3b49f6.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u0430\\u0437\\u0430\\u0440\\u0443\\u0432\\u0430\\u0439\\u0442\\u0435 \\u0441\\u0435\\u0433\\u0430\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"ca\":\"[{\\\"upper_st\\\":\\\"PETIT I MINIMALISTA\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">MOBLES<\\\\\\\\\\/span> PER \\\",\\\"title\\\":\\\"VERMELL\\u00d3 DE LLIBRES\\\",\\\"image\\\":\\\"20240319\\\\\\\\dc65b5a163000b416d3e29baaf0e026e.webp\\\",\\\"btn_text\\\":\\\"Compra ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"SOFA DE FANTASIA\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">LUXURIOSO<\\\\\\\\\\/span> \\\",\\\"title\\\":\\\"COMPERT\\\",\\\"image\\\":\\\"20240319\\\\\\\\cba7b005cb23101f7eeafcb15c3b49f6.webp\\\",\\\"btn_text\\\":\\\"Compra ara\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"et\":\"[{\\\"upper_st\\\":\\\"V\\u00c4IKE JA MINIMAALNE\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">M\\u00d6\\u00d6BEL<\\\\\\\\\\/span> JAOKS \\\",\\\"title\\\":\\\"RAAMATUT\\u00dc\\u00dcR\\\",\\\"image\\\":\\\"20240319\\\\\\\\dc65b5a163000b416d3e29baaf0e026e.webp\\\",\\\"btn_text\\\":\\\"Osta kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"FANTAASIA SOFAD\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">LUKSUSLIK<\\\\\\\\\\/span> \\\",\\\"title\\\":\\\"COMJAOKST\\\",\\\"image\\\":\\\"20240319\\\\\\\\cba7b005cb23101f7eeafcb15c3b49f6.webp\\\",\\\"btn_text\\\":\\\"Osta kohe\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"nl\":\"[{\\\"upper_st\\\":\\\"KLEIN EN MINIMAAL\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">MEUBILAIR<\\\\\\\\\\/span> VOOR \\\",\\\"title\\\":\\\"BOEKENWURMEN\\\",\\\"image\\\":\\\"20240319\\\\\\\\dc65b5a163000b416d3e29baaf0e026e.webp\\\",\\\"btn_text\\\":\\\"Winkel nu\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"FANTASIEVE SOFA\'S\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">LUXUEUS<\\\\\\\\\\/span> \\\",\\\"title\\\":\\\"COMVOORT\\\",\\\"image\\\":\\\"20240319\\\\\\\\cba7b005cb23101f7eeafcb15c3b49f6.webp\\\",\\\"btn_text\\\":\\\"Winkel nu\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\"}'),(3467,111,'full','string','0'),(3468,111,'mt','string',''),(3469,111,'mb','string',''),(3470,111,'height','string','284'),(3471,111,'rounded','string','1'),(3472,111,'full_link','string','0'),(3473,112,'title','string','{\"en\":\"FEATURED PRODUCTS\",\"bn\":\"বৈশিষ্ট্যযুক্ত পণ্য\",\"fr\":\"PRODUITS EN VEDETTE\",\"zh\":\"特色产品\",\"ar\":\"منتجات مميزة\",\"be\":\"ўдзельныя прадукты\",\"bg\":\"избрани продукти\",\"ca\":\"productes destacats\",\"et\":\"esiletõstetud tooted\",\"nl\":\"uitgelichte producten\"}'),(3474,112,'see_more','string','0'),(3475,112,'more_link','string',''),(3476,112,'sidebar','string','0'),(3477,112,'sidebar_position','string','left'),(3478,112,'showcase_type','string','queryProducts'),(3479,112,'row','string','1'),(3480,112,'column','string','4'),(3481,112,'total_products','string','4'),(3482,112,'mt','string','100px'),(3483,112,'mb','string','0px'),(3484,112,'card_height','string','270'),(3485,112,'slide','array','{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button\":\"\",\"link\":\"\"}'),(3486,112,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(3487,112,'flash','array','{\"badge_text\":\"\"}'),(3488,112,'query','array','[{\"type\":\"where\",\"column\":\"tag\",\"operation\":\"in\",\"value\":[\"55\"]}]'),(3489,113,'cta','array','{\"en\":\"[{\\\"upper_st\\\":\\\"NEW ARRIVALS\\\",\\\"lower_st\\\":\\\"ALL ABOUT <span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">MINIMAL<\\\\\\\\\\/span> \\\",\\\"title\\\":\\\"WOODS\\\",\\\"image\\\":\\\"20240319\\\\\\\\1ce486fbf78225853056d8159a3d8648.webp\\\",\\\"btn_text\\\":\\\"Visit Shop\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"LIGHTS\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">BRIGHTEN<\\\\\\\\\\/span> YOUR \\\",\\\"title\\\":\\\"SWEET HOME\\\",\\\"image\\\":\\\"20240319\\\\\\\\e3ebce6984437aee1fd4635b3733fc7f.webp\\\",\\\"btn_text\\\":\\\"Visit Shop\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"bn\":\"[{\\\"upper_st\\\":\\\"\\u09a8\\u09a4\\u09c1\\u09a8 \\u0986\\u0997\\u09ae\\u09a8\\\",\\\"lower_st\\\":\\\"\\u09b8\\u09ac \\u09b8\\u09ae\\u09cd\\u09aa\\u09b0\\u09cd\\u0995\\u09c7 <span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">\\u09b8\\u09be\\u09b0\\u09b2<\\\\\\\\\\/span> \\\",\\\"title\\\":\\\"\\u0995\\u09be\\u09a0\\u09c7\\u09b0\\\",\\\"image\\\":\\\"20240319\\\\\\\\1ce486fbf78225853056d8159a3d8648.webp\\\",\\\"btn_text\\\":\\\"\\u09a6\\u09cb\\u0995\\u09be\\u09a8 \\u09a6\\u09c7\\u0996\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u0986\\u09b2\\u09cb\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">\\u0989\\u099c\\u09cd\\u099c\\u09cd\\u09ac\\u09b2 \\u0995\\u09b0\\u09be<\\\\\\\\\\/span> \\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\\",\\\"title\\\":\\\"\\u09ae\\u09bf\\u09b7\\u09cd\\u099f\\u09bf \\u09ac\\u09be\\u09a1\\u09bc\\u09bf\\\",\\\"image\\\":\\\"20240319\\\\\\\\e3ebce6984437aee1fd4635b3733fc7f.webp\\\",\\\"btn_text\\\":\\\"\\u09a6\\u09cb\\u0995\\u09be\\u09a8 \\u09a6\\u09c7\\u0996\\u09c1\\u09a8\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"fr\":\"[{\\\"upper_st\\\":\\\"NOUVEAUT\\u00c9S\\\",\\\"lower_st\\\":\\\"TOUT SUR <span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">MINIMALISTE<\\\\\\\\\\/span> \\\",\\\"title\\\":\\\"BOIS\\\",\\\"image\\\":\\\"20240319\\\\\\\\1ce486fbf78225853056d8159a3d8648.webp\\\",\\\"btn_text\\\":\\\"Visitez la boutique\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"LUMI\\u00c8RES\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">\\u00c9CLAIRER<\\\\\\\\\\/span> VOTRE \\\",\\\"title\\\":\\\"DOUX FOYER\\\",\\\"image\\\":\\\"20240319\\\\\\\\e3ebce6984437aee1fd4635b3733fc7f.webp\\\",\\\"btn_text\\\":\\\"Visitez la boutique\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"zh\":\"[{\\\"upper_st\\\":\\\"\\u65b0\\u5230\\u8d27\\\",\\\"lower_st\\\":\\\"\\u4e00\\u5207\\u5173\\u4e8e <span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">\\u6781\\u7b80<\\\\\\\\\\/span> \\\",\\\"title\\\":\\\"\\u6728\\u6750\\\",\\\"image\\\":\\\"20240319\\\\\\\\1ce486fbf78225853056d8159a3d8648.webp\\\",\\\"btn_text\\\":\\\"\\u8bbf\\u95ee\\u5546\\u5e97\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u706f\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">\\u53d1\\u4eae<\\\\\\\\\\/span> \\u4f60\\u7684 \\\",\\\"title\\\":\\\"\\u751c\\u871c\\u7684\\u5bb6\\\",\\\"image\\\":\\\"20240319\\\\\\\\e3ebce6984437aee1fd4635b3733fc7f.webp\\\",\\\"btn_text\\\":\\\"\\u8bbf\\u95ee\\u5546\\u5e97\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"ar\":\"[{\\\"upper_st\\\":\\\"\\u0648\\u0627\\u0641\\u062f\\u0627\\u062a \\u062c\\u062f\\u064a\\u062f\\u0629\\\",\\\"lower_st\\\":\\\"\\u0643\\u0644 \\u0634\\u064a\\u0621 \\u0639\\u0646 <span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">\\u062d\\u062f \\u0627\\u0644\\u0623\\u062f\\u0646\\u0649<\\\\\\\\\\/span> \\\",\\\"title\\\":\\\"\\u062e\\u0634\\u0628\\\",\\\"image\\\":\\\"20240319\\\\\\\\1ce486fbf78225853056d8159a3d8648.webp\\\",\\\"btn_text\\\":\\\"\\u0632\\u064a\\u0627\\u0631\\u0629 \\u0627\\u0644\\u0645\\u062a\\u062c\\u0631\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u0623\\u0636\\u0648\\u0627\\u0621\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">\\u0625\\u0636\\u0627\\u0621\\u0629<\\\\\\\\\\/span> \\u0644\\u0643 \\\",\\\"title\\\":\\\"\\u0645\\u0646\\u0632\\u0644 \\u062d\\u0644\\u0648\\\",\\\"image\\\":\\\"20240319\\\\\\\\e3ebce6984437aee1fd4635b3733fc7f.webp\\\",\\\"btn_text\\\":\\\"\\u0632\\u064a\\u0627\\u0631\\u0629 \\u0627\\u0644\\u0645\\u062a\\u062c\\u0631\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"be\":\"[{\\\"upper_st\\\":\\\"\\u041d\\u041e\\u0412\\u042b\\u042f \\u041f\\u0420\\u042b\\u0411\\u042b\\u041b\\u0406\\\",\\\"lower_st\\\":\\\"\\u0423\\u0421\\u0401 \\u041f\\u0420\\u0410 <span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">\\u041c\\u0406\\u041d\\u0406\\u041c\\u0410\\u041b\\u042c\\u041d\\u042b<\\\\\\\\\\/span> \\\",\\\"title\\\":\\\"\\u0414\\u0420\\u042d\\u0412\\u0410\\\",\\\"image\\\":\\\"20240319\\\\\\\\1ce486fbf78225853056d8159a3d8648.webp\\\",\\\"btn_text\\\":\\\"\\u041d\\u0410\\u0412\\u0415\\u0421\\u0426\\u0406 \\u0414\\u0417\\u0415\\u0420\\u0416\\u0410\\u0412\\u0423\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u0421\\u0412\\u0415\\u0422\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">\\u0421\\u0412\\u0415\\u0422\\u041b\\u0410<\\\\\\\\\\/span> \\u0412\\u0410\\u0428 \\\",\\\"title\\\":\\\"\\u0421\\u041b\\u0410\\u0414\\u041a\\u0406 \\u0414\\u041e\\u041c\\\",\\\"image\\\":\\\"20240319\\\\\\\\e3ebce6984437aee1fd4635b3733fc7f.webp\\\",\\\"btn_text\\\":\\\"\\u041d\\u0410\\u0412\\u0415\\u0421\\u0426\\u0406 \\u0414\\u0417\\u0415\\u0420\\u0416\\u0410\\u0412\\u0423\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"bg\":\"[{\\\"upper_st\\\":\\\"\\u041d\\u041e\\u0412\\u0418 \\u041f\\u0420\\u0418\\u0428\\u0415\\u0421\\u0422\\u0412\\u0418\\u042f\\\",\\\"lower_st\\\":\\\"\\u0412\\u0421\\u0418\\u0427\\u041a\\u041e \\u0417\\u0410 <span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">\\u041c\\u0418\\u041d\\u0418\\u041c\\u0410\\u041b\\u0415\\u041d<\\\\\\\\\\/span> \\\",\\\"title\\\":\\\"\\u0414\\u0420\\u042a\\u0412\\u0426\\u0415\\\",\\\"image\\\":\\\"20240319\\\\\\\\1ce486fbf78225853056d8159a3d8648.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u041e\\u0421\\u0415\\u0422\\u0415\\u0422\\u0415 \\u041c\\u0410\\u0413\\u0410\\u0417\\u0418\\u041d\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"\\u0421\\u0412\\u0415\\u0422\\u041b\\u0418\\u041d\\u0418\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">\\u041e\\u0421\\u0412\\u0415\\u0422\\u041b\\u0415\\u041d\\u0418\\u0415<\\\\\\\\\\/span> \\u0422\\u0412\\u041e\\u0419 \\\",\\\"title\\\":\\\"\\u0421\\u041b\\u0410\\u0414\\u042a\\u041a \\u0414\\u041e\\u041c\\\",\\\"image\\\":\\\"20240319\\\\\\\\e3ebce6984437aee1fd4635b3733fc7f.webp\\\",\\\"btn_text\\\":\\\"\\u041f\\u041e\\u0421\\u0415\\u0422\\u0415\\u0422\\u0415 \\u041c\\u0410\\u0413\\u0410\\u0417\\u0418\\u041d\\u0410\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"ca\":\"[{\\\"upper_st\\\":\\\"NOVES ARREPLEGATS\\\",\\\"lower_st\\\":\\\"TOT SOBRE <span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">MINIMAL<\\\\\\\\\\/span> \\\",\\\"title\\\":\\\"BOSC\\\",\\\"image\\\":\\\"20240319\\\\\\\\1ce486fbf78225853056d8159a3d8648.webp\\\",\\\"btn_text\\\":\\\"VISITEU LA BOTIGA\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"LLUMS\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">BRILLANT<\\\\\\\\\\/span> TEU \\\",\\\"title\\\":\\\"DOL\\u00c7 HOGAR\\\",\\\"image\\\":\\\"20240319\\\\\\\\e3ebce6984437aee1fd4635b3733fc7f.webp\\\",\\\"btn_text\\\":\\\"VISITEU LA BOTIGA\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"et\":\"[{\\\"upper_st\\\":\\\"UUED SAABUMISED\\\",\\\"lower_st\\\":\\\"K\\u00d5IK KOHTA <span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">MINIMAALNE<\\\\\\\\\\/span> \\\",\\\"title\\\":\\\"PUUD\\\",\\\"image\\\":\\\"20240319\\\\\\\\1ce486fbf78225853056d8159a3d8648.webp\\\",\\\"btn_text\\\":\\\"K\\u00dcLASTA POODI\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"TULED\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">HELEDAMAKS<\\\\\\\\\\/span> SINU \\\",\\\"title\\\":\\\"MAGUS KODU\\\",\\\"image\\\":\\\"20240319\\\\\\\\e3ebce6984437aee1fd4635b3733fc7f.webp\\\",\\\"btn_text\\\":\\\"K\\u00dcLASTA POODI\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\",\"nl\":\"[{\\\"upper_st\\\":\\\"NIEUWE AANKOMSTEN\\\",\\\"lower_st\\\":\\\"ALLES OVER <span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">MINIMAAL<\\\\\\\\\\/span> \\\",\\\"title\\\":\\\"HOUT\\\",\\\"image\\\":\\\"20240319\\\\\\\\1ce486fbf78225853056d8159a3d8648.webp\\\",\\\"btn_text\\\":\\\"BEZOEK DE WINKEL\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"},{\\\"upper_st\\\":\\\"LICHTEN\\\",\\\"lower_st\\\":\\\"<span style=\\\\\\\\\\\"color: #FF693A\\\\\\\\\\\">VERLICHTEN<\\\\\\\\\\/span> JE \\\",\\\"title\\\":\\\"ZOET HUIS\\\",\\\"image\\\":\\\"20240319\\\\\\\\e3ebce6984437aee1fd4635b3733fc7f.webp\\\",\\\"btn_text\\\":\\\"BEZOEK DE WINKEL\\\",\\\"btn_link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Home%20Appliances\\\"}]\"}'),(3490,113,'full','string','0'),(3491,113,'mt','string','60px'),(3492,113,'mb','string','0px'),(3493,113,'height','string','250'),(3494,113,'rounded','string','1'),(3495,113,'full_link','string','0'),(3496,114,'title','string','{\"en\":\"EXCLUSIVE PRODUCT\",\"bn\":\"এক্সক্লুসিভ পণ্য\",\"fr\":\"PRODUIT EXCLUSIF\",\"zh\":\"独家产品\",\"ar\":\"منتج حصري\",\"be\":\"ЭКСКЛЮЗІЎНЫ ПРАДУКТ\",\"bg\":\"ЕКСКЛУЗИВЕН ПРОДУКТ\",\"ca\":\"PRODUCTE EXCLUSIU\",\"et\":\"EKSKLUSIIVNE TOODE\",\"nl\":\"EXCLUSIEF PRODUCT\"}'),(3497,114,'see_more','string','0'),(3498,114,'more_link','string',''),(3499,114,'sidebar','string','0'),(3500,114,'sidebar_position','string','left'),(3501,114,'showcase_type','string','queryProducts'),(3502,114,'row','string','2'),(3503,114,'column','string','3'),(3504,114,'total_products','string','6'),(3505,114,'mt','string','94px'),(3506,114,'mb','string','0px'),(3507,114,'card_height','string','363'),(3508,114,'slide','array','{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button\":\"\",\"link\":\"\"}'),(3509,114,'slider','array','[{\"u_subtitle\":\"\",\"l_subtitle\":\"\",\"title\":\"\",\"button_text\":\"\",\"button_link\":\"\"}]'),(3510,114,'flash','array','{\"badge_text\":\"\"}'),(3511,114,'query','array','[{\"type\":\"where\",\"column\":\"tag\",\"operation\":\"in\",\"value\":[\"55\"]}]');
/*!40000 ALTER TABLE `component_properties` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `components`
--

DROP TABLE IF EXISTS `components`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `components` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `page_id` bigint unsigned NOT NULL,
  `layout_id` bigint unsigned NOT NULL,
  `level` int DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `components_page_id_foreign_idx` (`page_id`),
  CONSTRAINT `components_page_id_foreign` FOREIGN KEY (`page_id`) REFERENCES `pages` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=115 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `components`
--

LOCK TABLES `components` WRITE;
/*!40000 ALTER TABLE `components` DISABLE KEYS */;
INSERT INTO `components` VALUES (2,5,5,2,NULL,NULL),(3,5,2,3,NULL,NULL),(4,5,2,6,NULL,NULL),(6,5,1,7,NULL,NULL),(15,5,4,8,NULL,NULL),(16,5,3,9,NULL,NULL),(17,5,2,10,NULL,NULL),(18,5,6,13,NULL,NULL),(19,5,8,1,NULL,NULL),(20,7,10,1,NULL,NULL),(21,8,10,1,NULL,NULL),(22,7,4,2,NULL,NULL),(23,7,5,3,NULL,NULL),(25,7,2,5,NULL,NULL),(26,7,4,4,NULL,NULL),(27,7,2,6,NULL,NULL),(28,7,10,7,NULL,NULL),(29,7,2,8,NULL,NULL),(30,7,7,9,NULL,NULL),(31,6,10,1,NULL,NULL),(32,6,4,2,NULL,NULL),(33,6,8,3,NULL,NULL),(34,6,5,4,NULL,NULL),(35,6,2,5,NULL,NULL),(36,6,1,6,NULL,NULL),(38,6,4,7,NULL,NULL),(39,6,2,8,NULL,NULL),(40,6,4,9,NULL,NULL),(41,6,6,10,NULL,NULL),(42,6,7,11,NULL,NULL),(43,6,9,12,NULL,NULL),(44,8,5,2,NULL,NULL),(45,8,4,3,NULL,NULL),(46,8,2,4,NULL,NULL),(47,8,10,5,NULL,NULL),(48,8,2,6,NULL,NULL),(49,8,4,7,NULL,NULL),(50,8,2,8,NULL,NULL),(51,8,2,9,NULL,NULL),(52,8,6,10,NULL,NULL),(53,8,8,11,NULL,NULL),(54,10,4,2,NULL,NULL),(55,10,3,3,NULL,NULL),(56,10,2,5,NULL,NULL),(57,10,8,6,NULL,NULL),(58,10,7,7,NULL,NULL),(59,10,10,1,NULL,NULL),(60,10,10,4,NULL,NULL),(61,11,10,1,NULL,NULL),(62,11,2,2,NULL,NULL),(63,11,10,3,NULL,NULL),(64,11,2,4,NULL,NULL),(65,11,2,6,NULL,NULL),(66,11,10,5,NULL,NULL),(67,11,10,7,NULL,NULL),(68,11,7,8,NULL,NULL),(69,11,10,9,NULL,NULL),(70,11,9,10,NULL,NULL),(71,12,10,1,NULL,NULL),(72,12,4,2,NULL,NULL),(73,12,2,3,NULL,NULL),(74,12,10,4,NULL,NULL),(75,12,4,5,NULL,NULL),(77,12,7,8,NULL,NULL),(78,12,10,9,NULL,NULL),(79,12,2,7,NULL,NULL),(80,13,10,1,NULL,NULL),(81,13,11,2,NULL,NULL),(82,13,2,3,NULL,NULL),(83,13,4,4,NULL,NULL),(84,13,2,5,NULL,NULL),(85,13,4,6,NULL,NULL),(86,14,10,1,NULL,NULL),(87,14,10,5,NULL,NULL),(88,14,5,2,NULL,NULL),(89,14,2,3,NULL,NULL),(90,14,4,4,NULL,NULL),(91,14,2,6,NULL,NULL),(92,14,4,7,NULL,NULL),(93,14,7,8,NULL,NULL),(94,14,9,9,NULL,NULL),(95,5,2,4,NULL,NULL),(96,5,2,5,NULL,NULL),(97,5,4,11,NULL,NULL),(98,5,2,12,NULL,NULL),(99,5,7,14,NULL,NULL),(100,15,10,2,NULL,NULL),(101,15,10,3,NULL,NULL),(102,15,10,4,NULL,NULL),(103,15,10,1,NULL,NULL),(104,15,10,5,NULL,NULL),(105,15,10,6,NULL,NULL),(106,15,8,8,NULL,NULL),(107,16,2,1,NULL,NULL),(108,16,4,2,NULL,NULL),(109,16,3,3,NULL,NULL),(110,16,1,4,NULL,NULL),(111,17,4,1,NULL,NULL),(112,17,2,2,NULL,NULL),(113,17,4,3,NULL,NULL),(114,17,2,4,NULL,NULL);
/*!40000 ALTER TABLE `components` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `countries`
--

DROP TABLE IF EXISTS `countries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `countries` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `code` varchar(5) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `countries_name_index` (`name`),
  KEY `countries_code_index` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=243 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `countries`
--

LOCK TABLES `countries` WRITE;
/*!40000 ALTER TABLE `countries` DISABLE KEYS */;
INSERT INTO `countries` VALUES (1,'United States','US'),(2,'Canada','CA'),(3,'Afghanistan','AF'),(4,'Albania','AL'),(5,'Algeria','DZ'),(6,'American Samoa','AS'),(7,'Andorra','AD'),(8,'Angola','AO'),(9,'Anguilla','AI'),(10,'Antarctica','AQ'),(11,'Antigua and/or Barbuda','AG'),(12,'Argentina','AR'),(13,'Armenia','AM'),(14,'Aruba','AW'),(15,'Australia','AU'),(16,'Austria','AT'),(17,'Azerbaijan','AZ'),(18,'Bahamas','BS'),(19,'Bahrain','BH'),(20,'Bangladesh','BD'),(21,'Barbados','BB'),(22,'Belarus','BY'),(23,'Belgium','BE'),(24,'Belize','BZ'),(25,'Benin','BJ'),(26,'Bermuda','BM'),(27,'Bhutan','BT'),(28,'Bolivia','BO'),(29,'Bosnia and Herzegovina','BA'),(30,'Botswana','BW'),(31,'Bouvet Island','BV'),(32,'Brazil','BR'),(33,'British lndian Ocean Territory','IO'),(34,'Brunei Darussalam','BN'),(35,'Bulgaria','BG'),(36,'Burkina Faso','BF'),(37,'Burundi','BI'),(38,'Cambodia','KH'),(39,'Cameroon','CM'),(40,'Cape Verde','CV'),(41,'Cayman Islands','KY'),(42,'Central African Republic','CF'),(43,'Chad','TD'),(44,'Chile','CL'),(45,'China','CN'),(46,'Christmas Island','CX'),(47,'Cocos (Keeling) Islands','CC'),(48,'Colombia','CO'),(49,'Comoros','KM'),(50,'Congo','CG'),(51,'Cook Islands','CK'),(52,'Costa Rica','CR'),(53,'Croatia (Hrvatska)','HR'),(54,'Cuba','CU'),(55,'Cyprus','CY'),(56,'Czech Republic','CZ'),(57,'Democratic Republic of Congo','CD'),(58,'Denmark','DK'),(59,'Djibouti','DJ'),(60,'Dominica','DM'),(61,'Dominican Republic','DO'),(62,'East Timor','TP'),(63,'Ecudaor','EC'),(64,'Egypt','EG'),(65,'El Salvador','SV'),(66,'Equatorial Guinea','GQ'),(67,'Eritrea','ER'),(68,'Estonia','EE'),(69,'Ethiopia','ET'),(70,'Falkland Islands (Malvinas)','FK'),(71,'Faroe Islands','FO'),(72,'Fiji','FJ'),(73,'Finland','FI'),(74,'France','FR'),(75,'France, Metropolitan','FX'),(76,'French Guiana','GF'),(77,'French Polynesia','PF'),(78,'French Southern Territories','TF'),(79,'Gabon','GA'),(80,'Gambia','GM'),(81,'Georgia','GE'),(82,'Germany','DE'),(83,'Ghana','GH'),(84,'Gibraltar','GI'),(85,'Greece','GR'),(86,'Greenland','GL'),(87,'Grenada','GD'),(88,'Guadeloupe','GP'),(89,'Guam','GU'),(90,'Guatemala','GT'),(91,'Guinea','GN'),(92,'Guinea-Bissau','GW'),(93,'Guyana','GY'),(94,'Haiti','HT'),(95,'Heard and Mc Donald Islands','HM'),(96,'Honduras','HN'),(97,'Hong Kong','HK'),(98,'Hungary','HU'),(99,'Iceland','IS'),(100,'India','IN'),(101,'Indonesia','ID'),(102,'Iran (Islamic Republic of)','IR'),(103,'Iraq','IQ'),(104,'Ireland','IE'),(105,'Israel','IL'),(106,'Italy','IT'),(107,'Ivory Coast','CI'),(108,'Jamaica','JM'),(109,'Japan','JP'),(110,'Jordan','JO'),(111,'Kazakhstan','KZ'),(112,'Kenya','KE'),(113,'Kiribati','KI'),(114,'Korea, Democratic People\'s Republic of','KP'),(115,'Korea, Republic of','KR'),(116,'Kuwait','KW'),(117,'Kyrgyzstan','KG'),(118,'Lao People\'s Democratic Republic','LA'),(119,'Latvia','LV'),(120,'Lebanon','LB'),(121,'Lesotho','LS'),(122,'Liberia','LR'),(123,'Libyan Arab Jamahiriya','LY'),(124,'Liechtenstein','LI'),(125,'Lithuania','LT'),(126,'Luxembourg','LU'),(127,'Macau','MO'),(128,'Macedonia','MK'),(129,'Madagascar','MG'),(130,'Malawi','MW'),(131,'Malaysia','MY'),(132,'Maldives','MV'),(133,'Mali','ML'),(134,'Malta','MT'),(135,'Marshall Islands','MH'),(136,'Martinique','MQ'),(137,'Mauritania','MR'),(138,'Mauritius','MU'),(139,'Mayotte','TY'),(140,'Mexico','MX'),(141,'Micronesia, Federated States of','FM'),(142,'Moldova, Republic of','MD'),(143,'Monaco','MC'),(144,'Mongolia','MN'),(145,'Montserrat','MS'),(146,'Morocco','MA'),(147,'Mozambique','MZ'),(148,'Myanmar','MM'),(149,'Namibia','NA'),(150,'Nauru','NR'),(151,'Nepal','NP'),(152,'Netherlands','NL'),(153,'Netherlands Antilles','AN'),(154,'New Caledonia','NC'),(155,'New Zealand','NZ'),(156,'Nicaragua','NI'),(157,'Niger','NE'),(158,'Nigeria','NG'),(159,'Niue','NU'),(160,'Norfork Island','NF'),(161,'Northern Mariana Islands','MP'),(162,'Norway','NO'),(163,'Oman','OM'),(164,'Pakistan','PK'),(165,'Palau','PW'),(166,'Panama','PA'),(167,'Papua New Guinea','PG'),(168,'Paraguay','PY'),(169,'Peru','PE'),(170,'Philippines','PH'),(171,'Pitcairn','PN'),(172,'Poland','PL'),(173,'Portugal','PT'),(174,'Puerto Rico','PR'),(175,'Qatar','QA'),(176,'Republic of South Sudan','SS'),(177,'Reunion','RE'),(178,'Romania','RO'),(179,'Russian Federation','RU'),(180,'Rwanda','RW'),(181,'Saint Kitts and Nevis','KN'),(182,'Saint Lucia','LC'),(183,'Saint Vincent and the Grenadines','VC'),(184,'Samoa','WS'),(185,'San Marino','SM'),(186,'Sao Tome and Principe','ST'),(187,'Saudi Arabia','SA'),(188,'Senegal','SN'),(189,'Serbia','RS'),(190,'Seychelles','SC'),(191,'Sierra Leone','SL'),(192,'Singapore','SG'),(193,'Slovakia','SK'),(194,'Slovenia','SI'),(195,'Solomon Islands','SB'),(196,'Somalia','SO'),(197,'South Africa','ZA'),(198,'South Georgia South Sandwich Islands','GS'),(199,'Spain','ES'),(200,'Sri Lanka','LK'),(201,'St. Helena','SH'),(202,'St. Pierre and Miquelon','PM'),(203,'Sudan','SD'),(204,'Suriname','SR'),(205,'Svalbarn and Jan Mayen Islands','SJ'),(206,'Swaziland','SZ'),(207,'Sweden','SE'),(208,'Switzerland','CH'),(209,'Syrian Arab Republic','SY'),(210,'Taiwan','TW'),(211,'Tajikistan','TJ'),(212,'Tanzania, United Republic of','TZ'),(213,'Thailand','TH'),(214,'Togo','TG'),(215,'Tokelau','TK'),(216,'Tonga','TO'),(217,'Trinidad and Tobago','TT'),(218,'Tunisia','TN'),(219,'Turkey','TR'),(220,'Turkmenistan','TM'),(221,'Turks and Caicos Islands','TC'),(222,'Tuvalu','TV'),(223,'Uganda','UG'),(224,'Ukraine','UA'),(225,'United Arab Emirates','AE'),(226,'United Kingdom','GB'),(227,'United States minor outlying islands','UM'),(228,'Uruguay','UY'),(229,'Uzbekistan','UZ'),(230,'Vanuatu','VU'),(231,'Vatican City State','VA'),(232,'Venezuela','VE'),(233,'Vietnam','VN'),(234,'Virgin Islands (British)','VG'),(235,'Virgin Islands (U.S.)','VI'),(236,'Wallis and Futuna Islands','WF'),(237,'Western Sahara','EH'),(238,'Yemen','YE'),(239,'Yugoslavia','YU'),(240,'Zaire','ZR'),(241,'Zambia','ZM'),(242,'Zimbabwe','ZW');
/*!40000 ALTER TABLE `countries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `coupon_redeems`
--

DROP TABLE IF EXISTS `coupon_redeems`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `coupon_redeems` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `coupon_id` bigint unsigned DEFAULT NULL,
  `coupon_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint DEFAULT NULL,
  `user_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order_id` bigint unsigned DEFAULT NULL,
  `order_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `discount_amount` decimal(16,8) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `coupon_redeems_coupon_id_index` (`coupon_id`),
  KEY `coupon_redeems_user_id_index` (`user_id`),
  KEY `coupon_redeems_order_id_index` (`order_id`),
  KEY `coupon_redeems_discount_amount_index` (`discount_amount`),
  CONSTRAINT `coupon_redeems_coupon_id_foreign` FOREIGN KEY (`coupon_id`) REFERENCES `coupons` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `coupon_redeems_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `coupon_redeems`
--

LOCK TABLES `coupon_redeems` WRITE;
/*!40000 ALTER TABLE `coupon_redeems` DISABLE KEYS */;
/*!40000 ALTER TABLE `coupon_redeems` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `coupon_redeems_AINS` AFTER INSERT ON `coupon_redeems` FOR EACH ROW UPDATE coupons SET usage_count = (select count(coupon_id) from coupon_redeems WHERE coupon_id = coupons.id) WHERE coupons.id = NEW.coupon_id */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `coupon_redeems_ADEL` AFTER DELETE ON `coupon_redeems` FOR EACH ROW UPDATE coupons SET usage_count = (select count(coupon_id) from coupon_redeems WHERE coupon_id = coupons.id) WHERE coupons.id = OLD.coupon_id */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `coupons`
--

DROP TABLE IF EXISTS `coupons`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `coupons` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `vendor_id` bigint DEFAULT NULL,
  `shop_id` bigint DEFAULT NULL,
  `usage_limit` int DEFAULT NULL,
  `minimum_spend` decimal(16,8) DEFAULT NULL,
  `usage_count` int DEFAULT NULL,
  `code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `discount_type` varchar(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `discount_amount` decimal(16,8) NOT NULL,
  `maximum_discount_amount` decimal(16,8) DEFAULT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `status` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Inactive',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `coupons_name_index` (`name`),
  KEY `coupons_vendor_id_index` (`vendor_id`),
  KEY `coupons_shop_id_index` (`shop_id`),
  KEY `coupons_usage_limit_index` (`usage_limit`),
  KEY `coupons_code_index` (`code`),
  KEY `coupons_discount_type_index` (`discount_type`),
  KEY `coupons_discount_amount_index` (`discount_amount`),
  KEY `coupons_start_date_index` (`start_date`),
  KEY `coupons_end_date_index` (`end_date`),
  KEY `coupons_status_index` (`status`),
  CONSTRAINT `coupons_shop_id_foreign` FOREIGN KEY (`shop_id`) REFERENCES `shops` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `coupons_vendor_id_foreign` FOREIGN KEY (`vendor_id`) REFERENCES `vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `coupons`
--

LOCK TABLES `coupons` WRITE;
/*!40000 ALTER TABLE `coupons` DISABLE KEYS */;
INSERT INTO `coupons` VALUES (2,'Coupon1',1,NULL,5,3000.00000000,NULL,'xyz012','Percentage',30.00000000,1000.00000000,'2024-09-08','2024-10-04','Active','2024-09-19 06:34:35',NULL),(3,'Eid Special',NULL,NULL,5,NULL,NULL,'EID012','Flat',500.00000000,NULL,'2024-09-11','2024-09-26','Active','2024-09-19 06:34:35',NULL),(4,'Eid coupon',1,NULL,7,3000.00000000,NULL,'ramadan55','Percentage',30.00000000,1500.00000000,'2024-08-22','2024-10-15','Active','2024-09-19 06:34:35',NULL),(5,'coupon2',NULL,NULL,2,5000.00000000,NULL,'xyz-12','Percentage',70.00000000,3000.00000000,'2024-08-22','2024-09-29','Active','2024-09-19 06:34:35',NULL),(6,'coupon3',1,NULL,1,3000.00000000,NULL,'code123','Percentage',99.00000000,1000.00000000,'2024-08-23','2024-09-24','Active','2024-09-19 06:34:35',NULL),(7,'coupon6',1,NULL,NULL,1000.00000000,NULL,'code--012','Flat',70.00000000,NULL,'2024-08-28','2024-09-27','Active','2024-09-19 06:34:35',NULL),(8,'coupon4',1,NULL,1,5000.00000000,NULL,'codexyz','Percentage',70.00000000,1000.00000000,'2024-08-20','2024-09-22','Active','2024-09-19 06:34:35',NULL),(9,'coupon5',1,NULL,4,5000.00000000,NULL,'code40','Flat',100.00000000,NULL,'2024-09-09','2024-09-30','Active','2024-09-19 06:34:35',NULL),(10,'coupon7',1,NULL,2,10000.00000000,NULL,'code50','Percentage',80.00000000,5000.00000000,'2024-09-14','2024-10-05','Active','2024-09-19 06:34:35',NULL),(11,'coupon8',1,NULL,3,NULL,NULL,'promo2022','Flat',70.00000000,NULL,'2024-09-10','2024-10-09','Active','2024-09-19 06:34:35',NULL),(12,'coupon9',1,NULL,10,10000.00000000,NULL,'coupon100','Percentage',60.00000000,500.00000000,'2024-09-14','2024-09-28','Active','2024-09-19 06:34:35',NULL),(13,'coupon10',1,NULL,10,NULL,NULL,'Flat50','Flat',50.00000000,NULL,'2024-09-15','2024-10-10','Active','2024-09-19 06:34:35',NULL),(14,'coupon11',1,NULL,NULL,1000.00000000,NULL,'couponcode','Percentage',40.00000000,500.00000000,'2024-09-19','2024-10-04','Active','2024-09-19 06:34:35',NULL),(15,'coupon13',1,NULL,8,1000.00000000,NULL,'code0000','Percentage',20.00000000,1000.00000000,'2024-09-05','2024-09-30','Active','2024-09-19 06:34:35',NULL),(16,'coupon15',1,NULL,NULL,1000.00000000,NULL,'coupon15','Flat',20.00000000,NULL,'2024-09-18','2024-09-25','Active','2024-09-19 06:34:35',NULL),(17,'coupon16',1,NULL,NULL,1000.00000000,NULL,'code60','Percentage',20.00000000,500.00000000,'2024-08-22','2024-10-12','Active','2024-09-19 06:34:35',NULL),(18,'Eid',1,NULL,1,200.00000000,NULL,'MOONeid','Flat',100.00000000,NULL,'2024-08-26','2024-10-15','Active','2024-09-19 06:34:35',NULL),(19,'Clark Dominguez',1,NULL,1,1000.00000000,NULL,'mkknkdMMr','Flat',100.00000000,NULL,'2024-08-28','2024-10-14','Active','2024-09-19 06:34:35',NULL),(20,'Clark Doominguez',1,NULL,1,1000.00000000,NULL,'MOOoNeid','Flat',100.00000000,NULL,'2024-08-23','2024-10-02','Active','2024-09-19 06:34:35',NULL),(21,'Picked Up',1,NULL,1,1000.00000000,NULL,'mkknkdMMr9','Flat',100.00000000,NULL,'2024-08-28','2024-09-23','Active','2024-09-19 06:34:35',NULL);
/*!40000 ALTER TABLE `coupons` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `coupons_meta`
--

DROP TABLE IF EXISTS `coupons_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `coupons_meta` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `coupon_id` bigint unsigned NOT NULL,
  `type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'null',
  `key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` varchar(5000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `coupons_meta_key_coupon_id_unique` (`key`,`coupon_id`),
  KEY `coupons_meta_coupon_id_foreign_idx` (`coupon_id`),
  KEY `coupons_meta_key_index` (`key`),
  CONSTRAINT `coupons_meta_coupon_id_foreign` FOREIGN KEY (`coupon_id`) REFERENCES `coupons` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `coupons_meta`
--

LOCK TABLES `coupons_meta` WRITE;
/*!40000 ALTER TABLE `coupons_meta` DISABLE KEYS */;
/*!40000 ALTER TABLE `coupons_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `currencies`
--

DROP TABLE IF EXISTS `currencies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `currencies` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `symbol` char(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `exchange_rate` decimal(16,8) DEFAULT NULL,
  `exchange_from` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `currencies_name_index` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=158 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `currencies`
--

LOCK TABLES `currencies` WRITE;
/*!40000 ALTER TABLE `currencies` DISABLE KEYS */;
INSERT INTO `currencies` VALUES (1,'BDT','৳',NULL,NULL),(2,'EUR','€',NULL,NULL),(3,'USD','$',NULL,NULL),(4,'GBP','£',NULL,NULL),(5,'RUB','₽',NULL,NULL),(6,'AFN','Afs',NULL,NULL),(7,'ALL','Lek',NULL,NULL),(8,'DZD','DA',NULL,NULL),(9,'AOA','Kz',NULL,NULL),(10,'XCD','$',NULL,NULL),(11,'ARS','$',NULL,NULL),(12,'AMD','֏',NULL,NULL),(13,'AWG','ƒ',NULL,NULL),(14,'SHP','£',NULL,NULL),(15,'AUD','$',NULL,NULL),(16,'AZN','₼',NULL,NULL),(17,'BSD','$',NULL,NULL),(18,'BHD','BD',NULL,NULL),(19,'BBD','$',NULL,NULL),(20,'BYN','Rbls',NULL,NULL),(21,'BZD','$',NULL,NULL),(22,'XOF','Fr',NULL,NULL),(23,'BMD','$',NULL,NULL),(24,'BTN','Nu',NULL,NULL),(25,'INR','₹',NULL,NULL),(26,'BOB','Bs',NULL,NULL),(27,'BAM','KM',NULL,NULL),(28,'BWP','P',NULL,NULL),(29,'BRL','R$',NULL,NULL),(30,'BND','$',NULL,NULL),(31,'SGD','$',NULL,NULL),(32,'BGN','Lev',NULL,NULL),(33,'BIF','Fr',NULL,NULL),(34,'KHR','CR',NULL,NULL),(35,'XAF','Fr',NULL,NULL),(36,'CAD','$',NULL,NULL),(37,'CVE','$',NULL,NULL),(38,'KYD','$',NULL,NULL),(39,'CLP','$',NULL,NULL),(40,'CNY','¥',NULL,NULL),(41,'COP','$',NULL,NULL),(42,'KMF','Fr',NULL,NULL),(43,'CDF','Fr',NULL,NULL),(44,'NZD','$',NULL,NULL),(45,'CRC','₡',NULL,NULL),(46,'HRK','kn',NULL,NULL),(47,'CUP','$',NULL,NULL),(48,'ANG','ƒ',NULL,NULL),(49,'CZK','Kč',NULL,NULL),(50,'DKK','kr',NULL,NULL),(51,'DJF','Fr',NULL,NULL),(52,'DOP','$',NULL,NULL),(53,'EGP','LE',NULL,NULL),(54,'ERN','Nkf',NULL,NULL),(55,'SZL','E',NULL,NULL),(56,'ZAR','R',NULL,NULL),(57,'ETB','Br',NULL,NULL),(58,'FKP','£',NULL,NULL),(59,'FJD','$',NULL,NULL),(60,'XPF','Fr',NULL,NULL),(61,'GMD','D',NULL,NULL),(62,'GEL','₾',NULL,NULL),(63,'GHS','₵',NULL,NULL),(64,'GIP','£',NULL,NULL),(65,'GTQ','Q',NULL,NULL),(66,'GNF','Fr',NULL,NULL),(67,'GYD','$',NULL,NULL),(68,'HTG','G',NULL,NULL),(69,'HNL','L',NULL,NULL),(70,'HKD','$',NULL,NULL),(71,'HUF','Ft',NULL,NULL),(72,'ISK','kr',NULL,NULL),(73,'IDR','Rp',NULL,NULL),(74,'IRR','Rls',NULL,NULL),(75,'IQD','ID',NULL,NULL),(76,'ILS','₪',NULL,NULL),(77,'JMD','$',NULL,NULL),(78,'JPY','¥',NULL,NULL),(79,'JOD','JD',NULL,NULL),(80,'KZT','₸',NULL,NULL),(81,'KES','KSh',NULL,NULL),(83,'KPW','₩',NULL,NULL),(84,'KRW','₩',NULL,NULL),(85,'KWD','KD',NULL,NULL),(86,'KGS','som',NULL,NULL),(87,'LAK','₭',NULL,NULL),(88,'LBP','LL',NULL,NULL),(89,'LSL','M',NULL,NULL),(90,'ZAR','R',NULL,NULL),(91,'LRD','$',NULL,NULL),(92,'LYD','LD',NULL,NULL),(93,'CHF','Fr',NULL,NULL),(94,'MOP','MOP$',NULL,NULL),(95,'MGA','Ar',NULL,NULL),(96,'MWK','K',NULL,NULL),(97,'MYR','RM',NULL,NULL),(98,'MVR','Rf',NULL,NULL),(99,'MRU','UM',NULL,NULL),(100,'MUR','Rs',NULL,NULL),(101,'MXN','$',NULL,NULL),(102,'MDL','Lei',NULL,NULL),(103,'MNT','₮',NULL,NULL),(104,'MAD','DH',NULL,NULL),(105,'MZN','Mt',NULL,NULL),(106,'MMK','Ks',NULL,NULL),(107,'NAD','$',NULL,NULL),(108,'NPR','Rs',NULL,NULL),(109,'NIO','C$',NULL,NULL),(110,'NGN','₦',NULL,NULL),(111,'MKD','DEN',NULL,NULL),(112,'TRY','₺',NULL,NULL),(113,'NOK','kr',NULL,NULL),(114,'OMR','RO',NULL,NULL),(115,'PKR','Rs',NULL,NULL),(116,'ILS','₪',NULL,NULL),(117,'PAB','B/',NULL,NULL),(118,'PGK','K',NULL,NULL),(119,'PYG','₲',NULL,NULL),(120,'PEN','S/',NULL,NULL),(121,'PHP','₱',NULL,NULL),(122,'PLN','zł',NULL,NULL),(123,'QAR','QR',NULL,NULL),(124,'RON','Lei',NULL,NULL),(125,'RWF','Fr',NULL,NULL),(126,'WST','$',NULL,NULL),(127,'STN','Db',NULL,NULL),(128,'SAR','Rls',NULL,NULL),(129,'RSD','DIN',NULL,NULL),(130,'SCR','Rs',NULL,NULL),(131,'SLE','Le',NULL,NULL),(132,'SBD','$',NULL,NULL),(133,'SOS','Shs',NULL,NULL),(134,'LKR','Rs',NULL,NULL),(135,'SDG','LS',NULL,NULL),(136,'SRD','$',NULL,NULL),(137,'SEK','kr',NULL,NULL),(138,'SYP','LS',NULL,NULL),(139,'TWD','$',NULL,NULL),(140,'TJS','TJS',NULL,NULL),(141,'TZS','Shs',NULL,NULL),(142,'THB','฿',NULL,NULL),(143,'TOP','T$',NULL,NULL),(144,'TTD','$',NULL,NULL),(145,'TND','DT',NULL,NULL),(146,'TMT','m',NULL,NULL),(147,'UGX','Shs',NULL,NULL),(148,'UAH','₴',NULL,NULL),(149,'AED','Dhs',NULL,NULL),(150,'UYU','$',NULL,NULL),(151,'UZS','soum',NULL,NULL),(152,'VUV','VT',NULL,NULL),(153,'VES','Bs.S',NULL,NULL),(154,'VED','Bs.D',NULL,NULL),(155,'VND','₫',NULL,NULL),(156,'YER','Rls',NULL,NULL),(157,'ZMW','K',NULL,NULL);
/*!40000 ALTER TABLE `currencies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `custom_field_metas`
--

DROP TABLE IF EXISTS `custom_field_metas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `custom_field_metas` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `custom_field_id` int unsigned NOT NULL,
  `key` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` varchar(10000) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `custom_field_metas_key_custom_field_id_unique` (`key`,`custom_field_id`),
  KEY `custom_field_metas_custom_field_id_index` (`custom_field_id`),
  KEY `custom_field_metas_key_index` (`key`),
  CONSTRAINT `custom_field_metas_custom_field_id_foreign` FOREIGN KEY (`custom_field_id`) REFERENCES `custom_fields` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `custom_field_metas`
--

LOCK TABLES `custom_field_metas` WRITE;
/*!40000 ALTER TABLE `custom_field_metas` DISABLE KEYS */;
/*!40000 ALTER TABLE `custom_field_metas` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `custom_field_values`
--

DROP TABLE IF EXISTS `custom_field_values`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `custom_field_values` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `rel_id` bigint NOT NULL,
  `field_id` int unsigned NOT NULL,
  `field_to` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `custom_field_values_rel_id_field_id_field_to_unique` (`rel_id`,`field_id`,`field_to`),
  KEY `custom_field_values_rel_id_index` (`rel_id`),
  KEY `custom_field_values_field_id_index` (`field_id`),
  CONSTRAINT `custom_field_values_field_id_foreign` FOREIGN KEY (`field_id`) REFERENCES `custom_fields` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `custom_field_values`
--

LOCK TABLES `custom_field_values` WRITE;
/*!40000 ALTER TABLE `custom_field_values` DISABLE KEYS */;
/*!40000 ALTER TABLE `custom_field_values` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `custom_fields`
--

DROP TABLE IF EXISTS `custom_fields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `custom_fields` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(30) COLLATE utf8mb4_unicode_ci NOT NULL,
  `options` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `field_to` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'refer table',
  `order` int DEFAULT NULL,
  `column` int NOT NULL,
  `default_value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `rules` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `custom_fields_slug_unique` (`slug`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `custom_fields`
--

LOCK TABLES `custom_fields` WRITE;
/*!40000 ALTER TABLE `custom_fields` DISABLE KEYS */;
/*!40000 ALTER TABLE `custom_fields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `departments`
--

DROP TABLE IF EXISTS `departments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `departments` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `departments_name_index` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `departments`
--

LOCK TABLES `departments` WRITE;
/*!40000 ALTER TABLE `departments` DISABLE KEYS */;
INSERT INTO `departments` VALUES (1,'Marketing'),(2,'Sales'),(3,'Technical');
/*!40000 ALTER TABLE `departments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `email_configurations`
--

DROP TABLE IF EXISTS `email_configurations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `email_configurations` (
  `id` int NOT NULL AUTO_INCREMENT,
  `protocol` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `encryption` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `smtp_host` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `smtp_port` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `smtp_email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `smtp_username` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `smtp_password` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `from_address` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `from_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '1= verified, 0= unverified',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `email_configurations`
--

LOCK TABLES `email_configurations` WRITE;
/*!40000 ALTER TABLE `email_configurations` DISABLE KEYS */;
/*!40000 ALTER TABLE `email_configurations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `email_templates`
--

DROP TABLE IF EXISTS `email_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `email_templates` (
  `id` int NOT NULL AUTO_INCREMENT,
  `parent_id` int DEFAULT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subject` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `body` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `sms_body` text COLLATE utf8mb4_unicode_ci,
  `language_id` int NOT NULL,
  `status` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `variables` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `email_templates_parent_id_language_id_unique` (`parent_id`,`language_id`),
  KEY `email_templates_name_index` (`name`),
  KEY `email_templates_slug_index` (`slug`),
  KEY `email_templates_subject_index` (`subject`),
  KEY `email_templates_language_id_idx` (`language_id`),
  CONSTRAINT `email_templates_language_id_foreign` FOREIGN KEY (`language_id`) REFERENCES `languages` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `email_templates`
--

LOCK TABLES `email_templates` WRITE;
/*!40000 ALTER TABLE `email_templates` DISABLE KEYS */;
INSERT INTO `email_templates` VALUES (2,NULL,'User','user','Welcome to {company_name} as an user','<!DOCTYPE html>\r\n<html>\r\n\r\n<head>\r\n<meta charset=\"utf-8\" />\r\n<meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\" />\r\n<title>10.NEW COUPON ADDED</title>\r\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\" />\r\n<style type=\"text/css\">\r\n@media screen {\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 700;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriASitCBimCw.woff2) format(\"woff2\");\r\n}\r\n\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 500;\r\nfont-style: normal;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriAWCrCBimCw.woff2) format(\"woff2\");\r\n}\r\n}\r\n\r\n.bodys,\r\n.tables,\r\ntd,\r\n.anchor-tag a {\r\n-ms-text-size-adjust: 100%;\r\n-webkit-text-size-adjust: 100%;\r\n}\r\n\r\n.tables,\r\ntd {\r\nmso-table-rspace: 0pt;\r\nmso-table-lspace: 0pt;\r\n}\r\n\r\n.anchor-tag a {\r\npadding: 1px;\r\nmargin: 1px;\r\n}\r\n\r\n.anchor-tag a[x-apple-data-detectors] {\r\nfont-family: inherit !important;\r\nfont-size: inherit !important;\r\nfont-weight: inherit !important;\r\nline-height: inherit !important;\r\ncolor: inherit !important;\r\ntext-decoration: none !important;\r\n}\r\n\r\n.bodys {\r\nwidth: 100% !important;\r\nheight: 100% !important;\r\npadding: 0 !important;\r\nmargin: 0 !important;\r\n}\r\n\r\n.tables {\r\nborder-collapse: collapse !important;\r\n}\r\n\r\n.logo-img {\r\nmargin: 26px 0px 19px 0px;\r\npadding: 0px;\r\nwidth: 207.98px;\r\nheight: 56px;\r\n}\r\n\r\n.anchor-tag a:focus,\r\n.anchor-tag a:hover {\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: none;\r\ntext-decoration-color: #fcca19;\r\n}\r\n</style>\r\n</head>\r\n\r\n<body class=\"bodys\" style=\"background-color: #e9ecef\">\r\n<div class=\"preheader\"\r\nstyle=\"display: none; max-width: 0; max-height: 0; margin: 0px; overflow: hidden; color: #fff; opacity: 0;\"></div>\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px\">\r\n<tr>\r\n<td align=\"center\" valign=\"top\" style=\"padding: 36px 24px\"></td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; margin-top: 100px\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<img class=\"logo-img\" src=\"{logo}\" alt=\"logo\" />\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#fff\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; letter-spacing: 0.255em; text-transform: uppercase; margin: 26px 0px;\r\nline-height: 25px; font-size: 0.8em !important; color: rgb(44, 44, 44); font-weight: 500 !important;\r\ncursor: default !important;\"></p>\r\n<p style=\"margin: 0px;text-align: center; line-height: 24px; font-size: 16px;\r\ncolor: #2c2c2c;\"> Dear {user_name} </p>\r\n<p style=\"margin: 0px; color: #898989; font-size: 14px; margin: 3px 50px 31px;\r\ntext-align: center; line-height: 24px;\">A warm welcome to {company_name} family, please login to the <a\r\nhref=\"{company_url}\" style=\"text-decoration: underline; cursor: pointer; color: #0060a9;\">portal</a>\r\nto see the details of your account.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<div>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 700;\r\nfont-size: 18px; line-height: 21px; margin-top: 37px; text-align: center;\r\ntext-transform: uppercase; color: #2c2c2c;\"> Keep in touch</p>\r\n</div>\r\n<div style=\"font-size: 14px; text-align: center; color: #898989;line-height: 22px; margin: 1px;\">\r\n<div style=\"font-size: 14px; text-align: center; color: #898989;line-height: 22px; margin: 1px;\">\r\n<p style=\"margin-top: 14px\">If you have any queries, concerns or suggestions,\r\n</p>\r\n<p style=\"margin: 0px; margin-top: 1px\">please email us:\r\n<span style=\"text-decoration: underline; cursor: pointer; color: #0060a9;\">{support_mail}</span>\r\n</p>\r\n</div>\r\n</div>\r\n<div style=\"margin-top: 32px; margin-bottom: 31px\">\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; display: inline-block; \"\r\nhref=\"https://www.facebook.com/\"><img src=\"https://i.ibb.co/fCZXxCC/Group-9380.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; display: inline-block;\"\r\nhref=\"https://twitter.com/?lang=en\"><img src=\"https://i.ibb.co/ZLgzjS0/twitter.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px;display: inline-block; \"\r\nhref=\"https://www.instagram.com/?hl=en\"><img src=\"https://i.ibb.co/WKyFkYz/instagramm.png\"\r\nalt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; display: inline-block; \"\r\nhref=\"https://www.whatsapp.com/\"><img src=\"https://i.ibb.co/6R7LWr1/watsapp.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; display: inline-block;\"\r\nhref=\"https://www.pioneer.eu/\"><img src=\"https://i.ibb.co/wYT6Tmg/pinterest.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; display: inline-block; \"\r\nhref=\"https://www.youtube.com/\"><img src=\"https://i.ibb.co/RT7Zns1/youtube.png\" alt=\"\" /></a>\r\n</div>\r\n<p style=\"border-top: 1px solid #dfdfdf;margin: 1px 20px 0px 20px; \"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500; margin-bottom: 200px; \">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<p style=\" text-align: center; line-height: 16px; color: #898989; font-size: 12px; margin: 13px 0px; \">\r\n&copy 2022, {company_name}. All rights reserved.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n</body>\r\n\r\n</html>','Welcome to {company_name}!\r\n\r\nLogin to view your account details.\r\n\r\nKEEP IN TOUCH\r\n\r\nFor questions or suggestions, email us: {support_mail}\r\n\r\n© 2024, {company_name}. All rights reserved.',1,'Active','logo,user_name, company_url, company_name,support_mail','2024-09-19 06:34:28','2024-09-19 06:34:32'),(4,NULL,'Email Verification','email-verification','Active user information','<!DOCTYPE html>\r\n<html>\r\n<head>\r\n<meta charset=\"utf-8\" />\r\n<meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\" />\r\n<title>2.otp</title>\r\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\" />\r\n<style type=\"text/css\">\r\n@media screen {\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 700;\r\nsrc:   url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriASitCBimCw.woff2)\r\nformat(\"woff2\");\r\n}\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 500;\r\nfont-style: normal;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriAWCrCBimCw.woff2)\r\nformat(\"woff2\");\r\n}\r\n}\r\n.bodys,\r\n.tables,\r\ntd,\r\n.anchor-tag a {\r\n-ms-text-size-adjust: 100%;\r\n-webkit-text-size-adjust: 100%;\r\n}\r\n.tables,\r\ntd {\r\nmso-table-rspace: 0pt;\r\nmso-table-lspace: 0pt;\r\n}\r\n.anchor-tag a {\r\npadding: 1px;\r\nmargin: 1px;\r\n}\r\n.anchor-tag a[x-apple-data-detectors] {\r\nfont-family: inherit !important;\r\nfont-size: inherit !important;\r\nfont-weight: inherit !important;\r\nline-height: inherit !important;\r\ncolor: inherit !important;\r\ntext-decoration: none !important;\r\n}\r\n.bodys {\r\nwidth: 100% !important;\r\nheight: 100% !important;\r\npadding: 0 !important;\r\nmargin: 0 !important;\r\n}\r\n.tables {\r\nborder-collapse: collapse !important;\r\n}\r\n.logo-img {\r\nmargin: 26px 0px 19px 0px;\r\npadding: 0px;\r\nwidth: 207.98px;\r\nheight: 56px;\r\n}\r\n.actives {\r\nbox-sizing: border-box;\r\ntext-decoration: none;\r\n-webkit-text-size-adjust: none;\r\ntext-align: center;\r\nborder-radius: 2px;\r\n-webkit-border-radius: 2px;\r\n-moz-border-radius: 2px;\r\n-khtml-border-radius: 2px;\r\n-o-border-radius: 2px;\r\n-ms-border-radius: 2px;\r\npadding: 10px 31px;\r\ncursor: pointer;\r\nbackground: #fcca19;\r\n}\r\n.anchor-tag a:focus,\r\n.anchor-tag a:hover {\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: none;\r\ntext-decoration-color: #fcca19;\r\n}\r\n</style>\r\n</head>\r\n<body class=\"bodys\" style=\"background-color: #e9ecef\">\r\n<div class=\"preheader\" style=\"display: none; max-width: 0; max-height: 0; margin: 0px; overflow: hidden; color: #fff; opacity: 0;\"></div>\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px\">\r\n<tr>\r\n<td align=\"center\" valign=\"top\" style=\"padding: 36px 24px\"></td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px; margin-top: 100px\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<img class=\"logo-img\" src=\"{logo}\" alt=\"logo\" />\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#fff\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; letter-spacing: 0.255em; text-transform: uppercase; margin: 26px 0px 20px 0px; line-height: 25px;\r\nfont-size:0.80em!important; color: rgb(44, 44, 44); font-weight: 500 !important; cursor: default !important;\">account confirmation</p>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-weight: 500 !important; font-style: normal; margin: 0px; color: #2C2C2C; font-size: 14px; margin: 15px 54px 28px; text-align: center; line-height: 24px;\"> You’re almost there! Please use the OTP code given or click on the button below to confirm your email address and enjoy exclusive services with us!\r\n</p>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 14px;line-height: 28px; text-align: center; color: #2C2C2C; margin-bottom: 8px; text-transform: uppercase; {otp_active}\">otp code</p>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 700;  font-size: 36px;\r\nline-height: 28px; text-align: center; letter-spacing: 0.375em; color: #2C2C2C; margin-bottom: 15px; {otp_active}\">{verification_otp}</p>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500;font-size: 14px; line-height: 24px; text-align: center; color: #898989; margin-bottom: 32px; text-transform: uppercase; {token_otp_active}\">or</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<div style=\"{token_active}\">\r\n<a href=\"{verification_url}\" aria-pressed=\"true\" class=\"actives anchor-tag\">\r\n<span style=\"text-decoration: none; color: #2C2C2C;\">Confirm Account</span>\r\n</a>\r\n</div>\r\n<div style=\"font-size: 14px; text-align: center; color: #898989; line-height: 22px; margin: 1px;\">\r\n<p style=\"margin-top: 54px\"> If you have any queries, concerns or suggestions,</p>\r\n<p style=\"margin: 0px; margin-top: 1px\"> please email us:\r\n<span style=\"text-decoration: underline; cursor: pointer; color: #0060a9;\">{support_mail}</span>\r\n</p>\r\n</div>\r\n<div style=\"margin-top: 25px; margin-bottom:14px;\">\r\n<a class=\"anchor-tag \"style=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\" href=\"https://www.facebook.com/\"><img src=\"https://i.ibb.co/fCZXxCC/Group-9380.png\" alt=\"\"/></a>\r\n<a class=\"anchor-tag \"style=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\" href=\"https://twitter.com/?lang=en\"><img src=\"https://i.ibb.co/ZLgzjS0/twitter.png\" alt=\"\"/></a>\r\n<a class=\"anchor-tag \"style=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\" href=\"https://www.instagram.com/?hl=en\"><img src=\"https://i.ibb.co/WKyFkYz/instagramm.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag \"style=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\" href=\"https://www.whatsapp.com/\"><img src=\"https://i.ibb.co/6R7LWr1/watsapp.png\" alt=\"\"/></a>\r\n<a class=\"anchor-tag \"style=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\" href=\"https://www.pioneer.eu/\"> <img style=\"margin: -2px;\" src=\"https://i.ibb.co/wYT6Tmg/pinterest.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag \"style=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\" href=\"https://www.youtube.com/\"><img style=\"margin: 1px;\" src=\"https://i.ibb.co/RT7Zns1/youtube.png\" alt=\"\"/></a>\r\n</div>\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table  class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"  width=\"100%\"style=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500; margin-bottom: 200px; \">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<p style=\"text-align: center; line-height: 16px; color: #898989; font-size: 12px; margin: 13px 0px;\" > &copy 2022, {company_name}. All rights reserved.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n</body>\r\n</html>\r\n','ACCOUNT CONFIRMATION\r\n\r\nUse OTP code {verification_otp} or click \'Confirm Account\' to verify your email and enjoy exclusive services with us!\r\n\r\nConfirm Account\r\n\r\nFor assistance, email us: {support_mail}\r\n\r\n© 2024, {company_name}. All rights reserved.',1,'Active','logo, verification_url, company_name,verification_otp,support_mail,otp_active,token_active,token_otp_active','2024-09-19 06:34:28','2024-09-19 06:34:32'),(5,NULL,'New Password Set','new-password-set','New Password Set','<!DOCTYPE html>\r\n<html>\r\n<head>\r\n<meta charset=\"utf-8\" />\r\n<meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\" />\r\n<title>1.Password Reset</title>\r\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\" />\r\n<style type=\"text/css\">\r\n@media screen {\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 700;\r\nsrc:   url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriASitCBimCw.woff2)\r\nformat(\"woff2\");\r\n}\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 500;\r\nfont-style: normal;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriAWCrCBimCw.woff2)\r\nformat(\"woff2\");\r\n}\r\n}\r\n.bodys,\r\n.tables,\r\ntd,\r\n.anchor-tag a {\r\n-ms-text-size-adjust: 100%;\r\n-webkit-text-size-adjust: 100%;\r\n}\r\n.tables,\r\ntd {\r\nmso-table-rspace: 0pt;\r\nmso-table-lspace: 0pt;\r\n}\r\n.anchor-tag a {\r\npadding: 1px;\r\nmargin: 1px;\r\n}\r\n.anchor-tag a[x-apple-data-detectors] {\r\nfont-family: inherit !important;\r\nfont-size: inherit !important;\r\nfont-weight: inherit !important;\r\nline-height: inherit !important;\r\ncolor: inherit !important;\r\ntext-decoration: none !important;\r\n}\r\n.bodys {\r\nwidth: 100% !important;\r\nheight: 100% !important;\r\npadding: 0 !important;\r\nmargin: 0 !important;\r\n}\r\n.tables {\r\nborder-collapse: collapse !important;\r\n}\r\n.logo-img {\r\nmargin: 26px 0px 19px 0px;\r\npadding: 0px;\r\nwidth: 207.98px;\r\nheight: 56px;\r\n}\r\n.actives {\r\nbox-sizing: border-box;\r\ntext-decoration: none;\r\n-webkit-text-size-adjust: none;\r\ntext-align: center;\r\nborder-radius: 2px;\r\n-webkit-border-radius: 2px;\r\n-moz-border-radius: 2px;\r\n-khtml-border-radius: 2px;\r\n-o-border-radius: 2px;\r\n-ms-border-radius: 2px;\r\npadding: 10px 31px;\r\ncursor: pointer;\r\nbackground: #fcca19;\r\n}\r\n.anchor-tag a:focus,\r\n.anchor-tag a:hover {\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: none;\r\ntext-decoration-color: #fcca19;\r\n}\r\n</style>\r\n</head>\r\n<body class=\"bodys\" style=\"background-color: #e9ecef\">\r\n<div class=\"preheader\" style=\"display: none; max-width: 0; max-height: 0; margin: 0px; overflow: hidden; color: #fff; opacity: 0;\"></div>\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px\">\r\n<tr>\r\n<td align=\"center\" valign=\"top\" style=\"padding: 36px 24px\"></td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px; margin-top: 100px\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<img class=\"logo-img\" src=\"{logo}\" alt=\"logo\" />\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#fff\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; letter-spacing: 0.255em; text-transform: uppercase; margin: 26px 0px; line-height: 25px;\r\nfont-size:0.80em!important; color: rgb(44, 44, 44); font-weight: 500 !important; cursor: default !important;\"> Updated Your Password</p>\r\n<p style=\"margin: 0px; text-align: center; line-height: 24px; font-size: 16px; color: #2c2c2c;\" > Dear {user_name}</p>\r\n<p style=\"margin: 0px; color: #898989; font-size: 14px; margin: 15px 54px 42px; text-align: center; line-height: 24px;\"> You have requested to reset the password of your {company_name} account. Your new password has been set. You can check the update going through the portal.\r\n</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n\r\n<div>\r\n<p style=\"color: #2C2C2C;\">Credentials:</p>\r\n<p style=\"margin: 0px; color: #898989; font-size: 14px; text-align: center; line-height: 24px;\">\r\n<span style=\"color: #2c2c2c; padding-right: 2px;\">Email:</span>{user_id}\r\n</p>\r\n<p style=\"margin: 0px; color: #898989; font-size: 14px; text-align: center; line-height: 24px;\">\r\n<span style=\"color: #2c2c2c; padding-right: 2px;\">Password:</span>{user_pass}\r\n</p>\r\n</div>\r\n\r\n<div style=\"font-size: 14px; text-align: center; color: #898989; line-height: 22px; margin: 1px;\">\r\n<p style=\"margin-top: 54px\"> If you have any queries, concerns or suggestions,</p>\r\n<p style=\"margin: 0px; margin-top: 1px\"> please email us:\r\n<span style=\"text-decoration: underline; cursor: pointer; color: #0060a9;\">{support_mail}</span>\r\n</p>\r\n</div>\r\n<div style=\" margin-top: 32px; margin-bottom:31px;\">\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; display: inline-block;\" href=\"https://www.facebook.com/\"><img src=\"https://i.ibb.co/fCZXxCC/Group-9380.png\" alt=\"\"/></a>\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; display: inline-block;\" href=\"https://twitter.com/?lang=en\"><img src=\"https://i.ibb.co/ZLgzjS0/twitter.png\" alt=\"\"/> </a>\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; display: inline-block;\" href=\"https://www.instagram.com/?hl=en\"><img src=\"https://i.ibb.co/WKyFkYz/instagramm.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; display: inline-block;\" href=\"https://www.whatsapp.com/\"><img src=\"https://i.ibb.co/6R7LWr1/watsapp.png\" alt=\"\"/></a>\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; display: inline-block;\" href=\"https://www.pioneer.eu/\"> <img src=\"https://i.ibb.co/wYT6Tmg/pinterest.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; display: inline-block;\"  href=\"https://www.youtube.com/\"><img src=\"https://i.ibb.co/RT7Zns1/youtube.png\" alt=\"\"/></a>\r\n</div>\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"style=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500; margin-bottom: 200px; \">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<p style=\"text-align: center; line-height: 16px; color: #898989; font-size: 12px; margin: 13px 0px;\" > &copy 2022, {company_name}. All rights reserved.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n</body>\r\n</html>\r\n','PASSWORD UPDATED\r\n\r\nDear {user_name},\r\n\r\nYour {company_name} account password has been reset.\r\n\r\nCredentials:\r\nEmail: {user_id}\r\nPassword: {user_pass}\r\n\r\nFor help, email: {support_mail}\r\n\r\n© 2024, {company_name}. All rights reserved.',1,'Active','user_name, company_url, user_id, user_pass, company_name,logo,support_mail','2024-09-19 06:34:28','2024-09-19 06:34:32'),(6,NULL,'Reset Password','reset-password','Reset Password','<!DOCTYPE html>\r\n<html>\r\n\r\n<head>\r\n<meta charset=\"utf-8\" />\r\n<meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\" />\r\n<title>2.otp</title>\r\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\" />\r\n<style type=\"text/css\">\r\n@media screen {\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 700;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriASitCBimCw.woff2) format(\"woff2\");\r\n}\r\n\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 500;\r\nfont-style: normal;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriAWCrCBimCw.woff2) format(\"woff2\");\r\n}\r\n}\r\n\r\n.bodys,\r\n.tables,\r\ntd,\r\n.anchor-tag a {\r\n-ms-text-size-adjust: 100%;\r\n-webkit-text-size-adjust: 100%;\r\n}\r\n\r\n.tables,\r\ntd {\r\nmso-table-rspace: 0pt;\r\nmso-table-lspace: 0pt;\r\n}\r\n\r\n.anchor-tag a {\r\npadding: 1px;\r\nmargin: 1px;\r\n}\r\n\r\n.anchor-tag a[x-apple-data-detectors] {\r\nfont-family: inherit !important;\r\nfont-size: inherit !important;\r\nfont-weight: inherit !important;\r\nline-height: inherit !important;\r\ncolor: inherit !important;\r\ntext-decoration: none !important;\r\n}\r\n\r\n.bodys {\r\nwidth: 100% !important;\r\nheight: 100% !important;\r\npadding: 0 !important;\r\nmargin: 0 !important;\r\n}\r\n\r\n.tables {\r\nborder-collapse: collapse !important;\r\n}\r\n\r\n.logo-img {\r\nmargin: 26px 0px 19px 0px;\r\npadding: 0px;\r\nwidth: 207.98px;\r\nheight: 56px;\r\n}\r\n\r\n.actives {\r\nbox-sizing: border-box;\r\ntext-decoration: none;\r\n-webkit-text-size-adjust: none;\r\ntext-align: center;\r\nborder-radius: 2px;\r\n-webkit-border-radius: 2px;\r\n-moz-border-radius: 2px;\r\n-khtml-border-radius: 2px;\r\n-o-border-radius: 2px;\r\n-ms-border-radius: 2px;\r\npadding: 10px 31px;\r\ncursor: pointer;\r\nbackground: #fcca19;\r\n}\r\n\r\n.anchor-tag a:focus,\r\n.anchor-tag a:hover {\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: none;\r\ntext-decoration-color: #fcca19;\r\n}\r\n</style>\r\n</head>\r\n\r\n<body class=\"bodys\" style=\"background-color: #e9ecef\">\r\n<div class=\"preheader\"\r\nstyle=\"display: none; max-width: 0; max-height: 0; margin: 0px; overflow: hidden; color: #fff; opacity: 0;\"></div>\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px\">\r\n<tr>\r\n<td align=\"center\" valign=\"top\" style=\"padding: 36px 24px\"></td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; margin-top: 100px\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<img class=\"logo-img\" src=\"{logo}\" alt=\"logo\" />\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#fff\">\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif; letter-spacing: 0.255em; text-transform: uppercase; margin: 26px 0px 20px 0px; line-height: 25px;\r\nfont-size:0.80em!important; color: rgb(44, 44, 44); font-weight: 500 !important; cursor: default !important;\">\r\nPASSWORD RECOVERY</p>\r\n<p style=\"margin: 0px;text-align: center; line-height: 24px; font-size: 16px; color: #2c2c2c;\">Dear\r\n{user_name} </p>\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-weight: 500 !important; font-style: normal; margin: 0px; color: #2C2C2C; font-size: 14px; margin: 15px 54px 28px; text-align: center; line-height: 24px;\">\r\nYou have requested to reset the password of your Martvill account. If you did not request a password\r\nreset, you can\r\ndisregard this email. No changes have been made to your account yet.\r\n</p>\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 14px;line-height: 28px; text-align: center; color: #2C2C2C; margin-bottom: 8px; text-transform: uppercase; {opt_active}\">\r\notp code</p>\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 700;  font-size: 36px;\r\nline-height: 28px; text-align: center; letter-spacing: 0.375em; color: #2C2C2C; margin-bottom: 15px; {otp_active}\">\r\n{verification_otp}</p>\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500;font-size: 14px; line-height: 24px; text-align: center; color: #898989; margin-bottom: 32px; text-transform: uppercase; {token_otp_active}\">\r\nor</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<div style=\"{token_active}\">\r\n<a href=\"{verification_url}\" aria-pressed=\"true\" class=\"actives anchor-tag\">\r\n<span style=\"text-decoration: none; color: #2C2C2C;\">Confirm Account</span>\r\n</a>\r\n</div>\r\n<div style=\"font-size: 14px; text-align: center; color: #898989; line-height: 22px; margin: 1px;\">\r\n<p style=\"margin-top: 54px\"> If you have any queries, concerns or suggestions,</p>\r\n<p style=\"margin: 0px; margin-top: 1px\"> please email us:\r\n<span style=\"text-decoration: underline; cursor: pointer; color: #0060a9;\">{support_mail}</span>\r\n</p>\r\n</div>\r\n<div style=\"margin-top: 25px; margin-bottom:14px;\">\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://www.facebook.com/\"><img src=\"https://i.ibb.co/fCZXxCC/Group-9380.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://twitter.com/?lang=en\"><img src=\"https://i.ibb.co/ZLgzjS0/twitter.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://www.instagram.com/?hl=en\"><img src=\"https://i.ibb.co/WKyFkYz/instagramm.png\"\r\nalt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://www.whatsapp.com/\"><img src=\"https://i.ibb.co/6R7LWr1/watsapp.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://www.pioneer.eu/\"> <img style=\"margin: -2px;\"\r\nsrc=\"https://i.ibb.co/wYT6Tmg/pinterest.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://www.youtube.com/\"><img style=\"margin: 1px;\" src=\"https://i.ibb.co/RT7Zns1/youtube.png\"\r\nalt=\"\" /></a>\r\n</div>\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500; margin-bottom: 200px; \">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<p style=\"text-align: center; line-height: 16px; color: #898989; font-size: 12px; margin: 13px 0px;\">\r\n&copy 2022, {company_name}. All rights reserved.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n</body>\r\n\r\n</html>','PASSWORD RECOVERY\r\n\r\nDear {user_name},\r\n\r\nIf you did not request a password reset, you can disregard this message. No changes have been made to your Martvill account.\r\n\r\nUse OTP code: {verification_otp} to confirm your password recovery.\r\n\r\nConfirm Account\r\n\r\nFor assistance, email us: {support_mail}\r\n\r\n© 2024, {company_name}. All rights reserved.',1,'Active','logo, verification_url, company_name,verification_otp,support_mail,user_name,otp_active,token_otp_active,token_active','2024-09-19 06:34:28','2024-09-19 06:34:32'),(7,NULL,'Accept refund request','accept-refund-request','Accept refund request','<!DOCTYPE html>\r\n<html>\r\n<head>\r\n<meta charset=\"utf-8\" />\r\n<meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\" />\r\n<title>7.Refund request accepted</title>\r\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\" />\r\n<style type=\"text/css\">\r\n@media screen {\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 700;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriASitCBimCw.woff2)\r\nformat(\"woff2\");\r\n}\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 500;\r\nfont-style: normal;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriAWCrCBimCw.woff2)\r\nformat(\"woff2\");\r\n}\r\n}\r\n.bodys,\r\n.tables,\r\ntd,\r\n.anchor-tag a {\r\n-ms-text-size-adjust: 100%;\r\n-webkit-text-size-adjust: 100%;\r\n}\r\n.tables,\r\ntd {\r\nmso-table-rspace: 0pt;\r\nmso-table-lspace: 0pt;\r\n}\r\n.anchor-tag a {\r\npadding: 1px;\r\nmargin: 1px;\r\n}\r\n.anchor-tag a[x-apple-data-detectors] {\r\nfont-family: inherit !important;\r\nfont-size: inherit !important;\r\nfont-weight: inherit !important;\r\nline-height: inherit !important;\r\ncolor: inherit !important;\r\ntext-decoration: none !important;\r\n}\r\n.bodys {\r\nwidth: 100% !important;\r\nheight: 100% !important;\r\npadding: 0 !important;\r\nmargin: 0 !important;\r\n}\r\n.tables {\r\nborder-collapse: collapse !important;\r\n}\r\n.logo-img {\r\nmargin: 26px 0px 19px 0px;\r\npadding: 0px;\r\nwidth: 207.98px;\r\nheight: 56px;\r\n}\r\n.actives {\r\nbox-sizing: border-box;\r\ntext-decoration: none;\r\n-webkit-text-size-adjust: none;\r\ntext-align: center;\r\nborder-radius: 2px;\r\n-webkit-border-radius: 2px;\r\n-moz-border-radius: 2px;\r\n-khtml-border-radius: 2px;\r\n-o-border-radius: 2px;\r\n-ms-border-radius: 2px;\r\npadding: 10px 31px;\r\ncursor: pointer;\r\nbackground: #fcca19;\r\n}\r\n.anchor-tag a:focus,\r\n.anchor-tag a:hover {\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: none;\r\ntext-decoration-color: #fcca19;\r\n}\r\n</style>\r\n</head>\r\n<body class=\"bodys\" style=\"background-color: #e9ecef\">\r\n<div class=\"preheader\" style=\"display: none; max-width: 0; max-height: 0; margin: 0px; overflow: hidden; color: #fff; opacity: 0;\"></div>\r\n<table  class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table  class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px\">\r\n<tr>\r\n<td align=\"center\" valign=\"top\" style=\"padding: 36px 24px\"></td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table  class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px; margin-top: 100px\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<img class=\"logo-img\" src=\"{logo}\" alt=\"logo\"/>\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table  class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#fff\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; letter-spacing: 0.255em; text-transform: uppercase; margin: 26px 0px; line-height: 25px; font-size: 0.8em !important; color: rgb(44, 44, 44); font-weight: 500 !important; cursor: default !important;\">Refund request accepted </p>\r\n<p style=\"margin: 0px;text-align: center; line-height: 24px; font-size: 16px; color: #2c2c2c;\">Dear {user_name} </p>\r\n<p style=\"color: #898989; font-size: 14px; margin: 3px 0px 0px; text-align: center; line-height: 24px;\">Your request for the refund of the product below is complete. </p>\r\n<p style=\"color: #898989; font-size: 14px; margin: 2px 0px 27px; text-align: center; line-height: 24px;\">Thank you for your patience.</p>\r\n<div style=\"margin-bottom: 19px\">\r\n<img style=\"padding: 21px; width: 56px; height: 56px; background-color: #f1f1f1; border-radius: 4px;\"src=\"{product_image}\" alt=\"\"/> </div>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 16px; line-height: 21px; text-align: center; color: #2c2c2c;\">{product_name}</p>\r\n<div style=\"display: inline-flex; text-align: center; margin-top: 8px; margin-bottom: 46px;\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 12px; line-height: 28px; color: #898989; text-align: center;\">{vendor_name}</p>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 12px; line-height: 28px; color: #898989; text-align: center; margin-left: 32px;\">Qty: {product_qty}</p>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 12px; line-height: 28px; color: #898989; text-align: center; margin-left: 32px;\">{currency_symbol}{price}</p>\r\n</div>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<div>\r\n<a href=\"{product_details_url}\" aria-pressed=\"true\" class=\"actives anchor-tag\">\r\n<span style=\"text-decoration: none; color: #2c2c2c\">Check Details</span\r\n><img style=\" height: 13px; margin-left: 6px; align-items: center; text-align: center; width: 13px;\" src=\"https://i.ibb.co/KbdnGPG/Group-9393.png\" alt=\"\"/> </a>\r\n</div>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; margin: 44px 0px 0px ; font-style: normal; font-weight: 500; font-size: 14px; line-height: 24px; text-align: center; color: #898989;\"> For further information, login to your account or call us: </p>\r\n<span style=\"color:#2c2c2c ; margin: 0px 0px 25px ; font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 14px; line-height: 24px; text-align:center;\"> {contact_number}.</span>\r\n<div>\r\n<p style=\" font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 700;\r\nfont-size: 18px; line-height: 21px; margin-top: 57px; text-align: center;\r\ntext-transform: uppercase; color: #2c2c2c;\"> Keep in touch</p>\r\n</div>\r\n<div style=\"font-size: 14px; text-align: center; color: #898989;line-height: 22px; margin: 3px;\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500;font-size: 14px;\r\nline-height: 24px; text-align: center; color: #898989; margin: 14px 44px 25px;\r\n\">Your request for a refund has been accepted. Please give us <span style=\"color: #2c2c2c ;margin: 0px 4px\">2-4 days</span>\r\nto send you your refund.  For further information, login to your account or call us: <span style=\"color:#2c2c2c; margin:0px 4px\">{contact_number}</span> .\r\n</p>\r\n<p style=\"margin: 0px; margin-top: 1px\">please email us:\r\n<span style=\"text-decoration: underline; cursor: pointer; color: #0060a9;\">{support_mail}</span></p>\r\n</div>\r\n<div style=\"margin-top: 32px; margin-bottom: 31px\">\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \" href=\"https://www.facebook.com/\"><img src=\"https://i.ibb.co/fCZXxCC/Group-9380.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block;\" href=\"https://twitter.com/?lang=en\"><img src=\"https://i.ibb.co/ZLgzjS0/twitter.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px;display: inline-block; \" href=\"https://www.instagram.com/?hl=en\"><img src=\"https://i.ibb.co/WKyFkYz/instagramm.png\" alt=\"\"\r\n/></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \" href=\"https://www.whatsapp.com/\"><img src=\"https://i.ibb.co/6R7LWr1/watsapp.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block;\" href=\"https://www.pioneer.eu/\" ><img src=\"https://i.ibb.co/wYT6Tmg/pinterest.png\" alt=\"\"/></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \" href=\"https://www.youtube.com/\"><img src=\"https://i.ibb.co/RT7Zns1/youtube.png\" alt=\"\"/></a>\r\n</div>\r\n<p style=\"border-top: 1px solid #dfdfdf;margin: 1px 20px 0px 20px; \" ></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500; margin-bottom: 200px; \">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<p style=\" text-align: center; line-height: 16px; color: #898989; font-size: 12px; margin: 13px 0px; \" > &copy 2022, {company_name}. All rights reserved.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n</body>\r\n</html>\r\n','REFUND ACCEPTED\r\n\r\nDear {user_name},\r\n\r\nYour product refund request is complete.\r\n\r\nProduct: {product_name}\r\nVendor: {vendor_name}\r\nQty: {product_qty}\r\nPrice: {currency_symbol}{price}\r\n\r\nDetails: Check Account\r\n\r\nRefund process may take 2-4 days. For assistance, login or call: {contact_number}.\r\n\r\nFor inquiries, email: {support_mail}\r\n\r\n© 2024, {company_name}. All rights reserved.',1,'Active','logo,user_name,product_image,product_name,vendor_name,product_qty,currency_symbol,price,contact_number,product_details_url,support_mail,company_name','2024-09-19 06:34:28','2024-09-19 06:34:32'),(8,NULL,'Decline refund request','decline-refund-request','Decline refund request','<!DOCTYPE html>\r\n<html>\r\n<head>\r\n<meta charset=\"utf-8\" />\r\n<meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\" />\r\n<title>8.refund complete</title>\r\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\" />\r\n<style type=\"text/css\">\r\n@media screen {\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 700;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriASitCBimCw.woff2)\r\nformat(\"woff2\");\r\n}\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 500;\r\nfont-style: normal;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriAWCrCBimCw.woff2)\r\nformat(\"woff2\");\r\n}\r\n}\r\n.bodys,\r\n.tables,\r\ntd,\r\n.anchor-tag a {\r\n-ms-text-size-adjust: 100%;\r\n-webkit-text-size-adjust: 100%;\r\n}\r\n.tables,\r\ntd {\r\nmso-table-rspace: 0pt;\r\nmso-table-lspace: 0pt;\r\n}\r\n.anchor-tag a {\r\npadding: 1px;\r\nmargin: 1px;\r\n}\r\n.anchor-tag a[x-apple-data-detectors] {\r\nfont-family: inherit !important;\r\nfont-size: inherit !important;\r\nfont-weight: inherit !important;\r\nline-height: inherit !important;\r\ncolor: inherit !important;\r\ntext-decoration: none !important;\r\n}\r\n.bodys {\r\nwidth: 100% !important;\r\nheight: 100% !important;\r\npadding: 0 !important;\r\nmargin: 0 !important;\r\n}\r\n.tables {\r\nborder-collapse: collapse !important;\r\n}\r\n.logo-img {\r\nmargin: 26px 0px 19px 0px;\r\npadding: 0px;\r\nwidth: 207.98px;\r\nheight: 56px;\r\n}\r\n.actives {\r\nbox-sizing: border-box;\r\ntext-decoration: none;\r\n-webkit-text-size-adjust: none;\r\ntext-align: center;\r\nborder-radius: 2px;\r\n-webkit-border-radius: 2px;\r\n-moz-border-radius: 2px;\r\n-khtml-border-radius: 2px;\r\n-o-border-radius: 2px;\r\n-ms-border-radius: 2px;\r\npadding: 10px 31px;\r\ncursor: pointer;\r\nbackground: #fcca19;\r\n}\r\n.anchor-tag a:focus,\r\n.anchor-tag a:hover {\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: none;\r\ntext-decoration-color: #fcca19;\r\n}\r\n</style>\r\n</head>\r\n<body class=\"bodys\" style=\"background-color: #e9ecef\">\r\n<div class=\"preheader\" style=\"display: none; max-width: 0; max-height: 0; margin: 0px; overflow: hidden; color: #fff; opacity: 0;\"></div>\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px\">\r\n<tr>\r\n<td align=\"center\" valign=\"top\" style=\"padding: 36px 24px\"></td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px; margin-top: 100px\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<img class=\"logo-img\" src=\"{logo}\" alt=\"logo\"/>\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#fff\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; letter-spacing: 0.255em; text-transform: uppercase; margin: 26px 0px; line-height: 25px; font-size: 0.8em !important; color: rgb(44, 44, 44); font-weight: 500 !important; cursor: default !important;\">Refund reject</p>\r\n<p style=\"margin: 0px;text-align: center; line-height: 24px; font-size: 16px; color: #2c2c2c;\">Dear {user_name} </p>\r\n<p  style=\"color: #898989; font-size: 14px; text-align: center;  margin: 7px 0px 0px ; line-height: 24px;\">Your request for the refund of the product below is rejected.</p>\r\n<p  style=\"color: #898989; font-size: 14px; text-align: center; margin: 2px 0px 29px ; line-height: 24px;\">Thank you for your patience.</p>\r\n<div style=\"margin-bottom: 20px\">\r\n<img style=\"padding: 21px; width: 56px; height: 56px; background-color: #f1f1f1; border-radius: 4px;\"src=\"{product_image}\" alt=\"\"/> </div>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 16px; line-height: 21px; text-align: center; color: #2c2c2c;\">{product_name}</p>\r\n<div style=\"display: inline-flex; text-align: center; margin-top: 8px; margin-bottom: 45px;\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 12px; line-height: 28px; color: #898989; text-align: center;\">{vendor_name}</p>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 12px; line-height: 28px; color: #898989; text-align: center; margin-left: 32px;\">Qty: {product_qty}</p>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 12px; line-height: 28px; color: #898989; text-align: center; margin-left: 32px;\">{currency_symbol}{price}</p>\r\n</div>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<div>\r\n<a href=\"{product_details_url}\" aria-pressed=\"true\" class=\"actives anchor-tag\">\r\n<span style=\"text-decoration: none; color: #2c2c2c\"\r\n>Check Details</span\r\n><img style=\" height: 13px; margin-left: 6px; align-items: center; text-align: center; width: 13px;\" src=\"https://i.ibb.co/KbdnGPG/Group-9393.png\" alt=\"\"/> </a>\r\n</div>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; margin: 44px 0px 0px ; font-style: normal; font-weight: 500; font-size: 14px; line-height: 24px; text-align: center; color: #898989;\"> For further information, login to your account or call us: </p>\r\n<span style=\"color:#2c2c2c ; margin: 0px 0px 25px ; font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 14px; line-height: 24px; text-align:center;\"> {contact_number}.</span>\r\n<div>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 18px; line-height: 21px; margin-top: 52px; text-align: center; text-transform: uppercase; color: #2c2c2c;\"> Keep in touch</p>\r\n</div>\r\n<div style=\" font-size: 14px; text-align: center; color: #898989;line-height: 22px; margin: 1px;\">\r\n<p style=\"margin-top: 12px\">If you have any queries, concerns or suggestions,\r\n</p>\r\n<p style=\"margin: 0px; margin-top: 1px\">please email us:\r\n<span style=\"text-decoration: underline; cursor: pointer; color: #0060a9;\">{support_mail}</span></p>\r\n</div>\r\n<div style=\"margin-top: 32px; margin-bottom: 31px\">\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \" href=\"https://www.facebook.com/\"><img src=\"https://i.ibb.co/fCZXxCC/Group-9380.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block;\" href=\"https://twitter.com/?lang=en\"><img src=\"https://i.ibb.co/ZLgzjS0/twitter.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px;display: inline-block; \" href=\"https://www.instagram.com/?hl=en\"><img src=\"https://i.ibb.co/WKyFkYz/instagramm.png\" alt=\"\"\r\n/></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \" href=\"https://www.whatsapp.com/\"><img src=\"https://i.ibb.co/6R7LWr1/watsapp.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block;\" href=\"https://www.pioneer.eu/\" ><img src=\"https://i.ibb.co/wYT6Tmg/pinterest.png\" alt=\"\"/></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \" href=\"https://www.youtube.com/\"><img src=\"https://i.ibb.co/RT7Zns1/youtube.png\" alt=\"\"/></a>\r\n</div>\r\n<p style=\"border-top: 1px solid #dfdfdf;margin: 1px 20px 0px 20px; \" ></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500; margin-bottom: 200px; \">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<p style=\" text-align: center; line-height: 16px; color: #898989; font-size: 12px; margin: 13px 0px; \" > &copy 2022, {company_name}. All rights reserved.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n</body>\r\n</html>\r\n','REFUND REJECTED\r\n\r\nDear {user_name},\r\n\r\nYour product refund request is rejected.\r\n\r\nProduct: {product_name}\r\nVendor: {vendor_name}\r\nQty: {product_qty}\r\nPrice: {currency_symbol}{price}\r\n\r\nDetails: Check Account\r\n\r\nFor further information, login or call: {contact_number}.\r\n\r\nFor inquiries, email: {support_mail}\r\n\r\n© 2024, {company_name}. All rights reserved.',1,'Active','logo,company_name, user_name, product_name,product_qty,product_image,support_mail,price,currancy_symbol,product_details_url,contact_number','2024-09-19 06:34:28','2024-09-19 06:34:32'),(9,NULL,'In Progress refund request','in-progress-refund-request','In-progress refund request','<!DOCTYPE html>\r\n<html>\r\n<head>\r\n<meta charset=\"utf-8\" />\r\n<meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\" />\r\n<title>8.refund in progress</title>\r\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\" />\r\n<style type=\"text/css\">\r\n@media screen {\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 700;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriASitCBimCw.woff2)\r\nformat(\"woff2\");\r\n}\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 500;\r\nfont-style: normal;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriAWCrCBimCw.woff2)\r\nformat(\"woff2\");\r\n}\r\n}\r\n.bodys,\r\n.tables,\r\ntd,\r\n.anchor-tag a {\r\n-ms-text-size-adjust: 100%;\r\n-webkit-text-size-adjust: 100%;\r\n}\r\n.tables,\r\ntd {\r\nmso-table-rspace: 0pt;\r\nmso-table-lspace: 0pt;\r\n}\r\n.anchor-tag a {\r\npadding: 1px;\r\nmargin: 1px;\r\n}\r\n.anchor-tag a[x-apple-data-detectors] {\r\nfont-family: inherit !important;\r\nfont-size: inherit !important;\r\nfont-weight: inherit !important;\r\nline-height: inherit !important;\r\ncolor: inherit !important;\r\ntext-decoration: none !important;\r\n}\r\n.bodys {\r\nwidth: 100% !important;\r\nheight: 100% !important;\r\npadding: 0 !important;\r\nmargin: 0 !important;\r\n}\r\n.tables {\r\nborder-collapse: collapse !important;\r\n}\r\n.logo-img {\r\nmargin: 26px 0px 19px 0px;\r\npadding: 0px;\r\nwidth: 207.98px;\r\nheight: 56px;\r\n}\r\n.actives {\r\nbox-sizing: border-box;\r\ntext-decoration: none;\r\n-webkit-text-size-adjust: none;\r\ntext-align: center;\r\nborder-radius: 2px;\r\n-webkit-border-radius: 2px;\r\n-moz-border-radius: 2px;\r\n-khtml-border-radius: 2px;\r\n-o-border-radius: 2px;\r\n-ms-border-radius: 2px;\r\npadding: 10px 31px;\r\ncursor: pointer;\r\nbackground: #fcca19;\r\n}\r\n.anchor-tag a:focus,\r\n.anchor-tag a:hover {\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: none;\r\ntext-decoration-color: #fcca19;\r\n}\r\n</style>\r\n</head>\r\n<body class=\"bodys\" style=\"background-color: #e9ecef\">\r\n<div class=\"preheader\" style=\"display: none; max-width: 0; max-height: 0; margin: 0px; overflow: hidden; color: #fff; opacity: 0;\"></div>\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px\">\r\n<tr>\r\n<td align=\"center\" valign=\"top\" style=\"padding: 36px 24px\"></td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px; margin-top: 100px\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<img class=\"logo-img\" src=\"{logo}\" alt=\"logo\"/>\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#fff\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; letter-spacing: 0.255em; text-transform: uppercase; margin: 26px 0px; line-height: 25px; font-size: 0.8em !important; color: rgb(44, 44, 44); font-weight: 500 !important; cursor: default !important;\">Refund in progress</p>\r\n<p style=\"margin: 0px;text-align: center; line-height: 24px; font-size: 16px; color: #2c2c2c;\">Dear {user_name} </p>\r\n<p  style=\"color: #898989; font-size: 14px; text-align: center;  margin: 7px 0px 0px ; line-height: 24px;\">Your request for the refund of the product below is in progress.</p>\r\n<p  style=\"color: #898989; font-size: 14px; text-align: center; margin: 2px 0px 29px ; line-height: 24px;\">Thank you for your patience.</p>\r\n<div style=\"margin-bottom: 20px\">\r\n<img style=\"padding: 21px; width: 56px; height: 56px; background-color: #f1f1f1; border-radius: 4px;\"src=\"{product_image}\" alt=\"\"/> </div>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 16px; line-height: 21px; text-align: center; color: #2c2c2c;\">{product_name}</p>\r\n<div style=\"display: inline-flex; text-align: center; margin-top: 8px; margin-bottom: 45px;\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 12px; line-height: 28px; color: #898989; text-align: center;\">{vendor_name}</p>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 12px; line-height: 28px; color: #898989; text-align: center; margin-left: 32px;\">Qty: {product_qty}</p>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 12px; line-height: 28px; color: #898989; text-align: center; margin-left: 32px;\">{currency_symbol}{price}</p>\r\n</div>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<div>\r\n<a href=\"{product_details_url}\" aria-pressed=\"true\" class=\"actives anchor-tag\">\r\n<span style=\"text-decoration: none; color: #2c2c2c\"\r\n>Check Details</span\r\n><img style=\" height: 13px; margin-left: 6px; align-items: center; text-align: center; width: 13px;\" src=\"https://i.ibb.co/KbdnGPG/Group-9393.png\" alt=\"\"/> </a>\r\n</div>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; margin: 44px 0px 0px ; font-style: normal; font-weight: 500; font-size: 14px; line-height: 24px; text-align: center; color: #898989;\"> For further information, login to your account or call us: </p>\r\n<span style=\"color:#2c2c2c ; margin: 0px 0px 25px ; font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 14px; line-height: 24px; text-align:center;\"> {contact_number}.</span>\r\n<div>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 18px; line-height: 21px; margin-top: 52px; text-align: center; text-transform: uppercase; color: #2c2c2c;\"> Keep in touch</p>\r\n</div>\r\n<div style=\" font-size: 14px; text-align: center; color: #898989;line-height: 22px; margin: 1px;\">\r\n<p style=\"margin-top: 12px\">If you have any queries, concerns or suggestions,\r\n</p>\r\n<p style=\"margin: 0px; margin-top: 1px\">please email us:\r\n<span style=\"text-decoration: underline; cursor: pointer; color: #0060a9;\">{support_mail}</span></p>\r\n</div>\r\n<div style=\"margin-top: 32px; margin-bottom: 31px\">\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \" href=\"https://www.facebook.com/\"><img src=\"https://i.ibb.co/fCZXxCC/Group-9380.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block;\" href=\"https://twitter.com/?lang=en\"><img src=\"https://i.ibb.co/ZLgzjS0/twitter.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px;display: inline-block; \" href=\"https://www.instagram.com/?hl=en\"><img src=\"https://i.ibb.co/WKyFkYz/instagramm.png\" alt=\"\"\r\n/></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \" href=\"https://www.whatsapp.com/\"><img src=\"https://i.ibb.co/6R7LWr1/watsapp.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block;\" href=\"https://www.pioneer.eu/\" ><img src=\"https://i.ibb.co/wYT6Tmg/pinterest.png\" alt=\"\"/></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \" href=\"https://www.youtube.com/\"><img src=\"https://i.ibb.co/RT7Zns1/youtube.png\" alt=\"\"/></a>\r\n</div>\r\n<p style=\"border-top: 1px solid #dfdfdf;margin: 1px 20px 0px 20px; \" ></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500; margin-bottom: 200px; \">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<p style=\" text-align: center; line-height: 16px; color: #898989; font-size: 12px; margin: 13px 0px; \" > &copy 2022, {company_name}. All rights reserved.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n</body>\r\n</html>\r\n','REFUND IN PROGRESS\r\n\r\nDear {user_name},\r\n\r\nYour product refund request is in progress.\r\n\r\nProduct: {product_name}\r\nVendor: {vendor_name}\r\nQty: {product_qty}\r\nPrice: {currency_symbol}{price}\r\n\r\nDetails: Check Account\r\n\r\nFor further information, login or call: {contact_number}.\r\n\r\nFor inquiries, email: {support_mail}\r\n\r\n© 2024, {company_name}. All rights reserved.',1,'Active','logo,user_name,product_image,product_name,vendor_name,product_qty,currency_symbol,price,product_details_url,contact_number,support_mail,company_name','2024-09-19 06:34:28','2024-09-19 06:34:32'),(10,NULL,'Subscriber','subscriber','Subscription for newsletter','<!DOCTYPE html>\r\n<html>\r\n<head>\r\n<meta charset=\"utf-8\" />\r\n<meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\" />\r\n<title>4.Voucher</title>\r\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\" />\r\n<style type=\"text/css\">\r\n@media screen {\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 700;\r\nsrc:   url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriASitCBimCw.woff2)\r\nformat(\"woff2\");\r\n}\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 500;\r\nfont-style: normal;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriAWCrCBimCw.woff2)\r\nformat(\"woff2\");\r\n}\r\n@font-face {\r\nfont-family: \'DM Sans\';\r\nfont-style: normal;\r\nfont-weight: 400;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Hp2ywxg089UriCZOIHQ.woff2) format(\'woff2\');\r\n}\r\n}\r\n.bodys,\r\n.tables,\r\ntd,\r\n.anchor-tag a {\r\n-ms-text-size-adjust: 100%;\r\n-webkit-text-size-adjust: 100%;\r\n}\r\n.tables,\r\ntd {\r\nmso-table-rspace: 0pt;\r\nmso-table-lspace: 0pt;\r\n}\r\n.anchor-tag a {\r\npadding: 1px;\r\nmargin: 1px;\r\n}\r\n.anchor-tag a[x-apple-data-detectors] {\r\nfont-family: inherit !important;\r\nfont-size: inherit !important;\r\nfont-weight: inherit !important;\r\nline-height: inherit !important;\r\ncolor: inherit !important;\r\ntext-decoration: none !important;\r\n}\r\n.bodys {\r\nwidth: 100% !important;\r\nheight: 100% !important;\r\npadding: 0 !important;\r\nmargin: 0 !important;\r\n}\r\n.tables {\r\nborder-collapse: collapse !important;\r\n}\r\n.logo-img {\r\nmargin: 26px 0px 19px 0px;\r\npadding: 0px;\r\nwidth: 207.98px;\r\nheight: 56px;\r\n}\r\n.actives {\r\nbox-sizing: border-box;\r\ntext-decoration: none;\r\n-webkit-text-size-adjust: none;\r\ntext-align: center;\r\nborder-radius: 2px;\r\n-webkit-border-radius: 2px;\r\n-moz-border-radius: 2px;\r\n-khtml-border-radius: 2px;\r\n-o-border-radius: 2px;\r\n-ms-border-radius: 2px;\r\npadding: 10px 31px;\r\ncursor: pointer;\r\nbackground: #fcca19;\r\n}\r\n.anchor-tag a:focus,\r\n.anchor-tag a:hover {\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: none;\r\ntext-decoration-color: #fcca19;\r\n}\r\n.unsubscribe:hover {\r\ncolor: #fff;\r\n}\r\n</style>\r\n</head>\r\n<body class=\"bodys\" style=\"background-color: #e9ecef\">\r\n<div class=\"preheader\" style=\"display: none; max-width: 0; max-height: 0; margin: 0px; overflow: hidden; color: #fff; opacity: 0;\"></div>\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px\">\r\n<tr>\r\n<td align=\"center\" valign=\"top\" style=\"padding: 36px 24px\"></td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px; margin-top: 100px\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#2c2c2c\">\r\n<img class=\"logo-img\" src=\"{logo}\" alt=\"logo\" />\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif;font-style: normal;font-weight: 400;font-size: 15px;line-height: 25px;text-align: center; color: #2C2C2C; margin: 40px 72px 44px;\">You’ve been added to our mailing list and will now be among the first to hear about new arrivals, big events and special offers.</p>\r\n<div style=\"margin-bottom: 58px;\">\r\n<a href=\"{home_url}\" aria-pressed=\"true\" class=\"actives anchor-tag\">\r\n<span style=\"text-decoration: none; color: #2C2C2C;\">Shop Now</span>\r\n</a>\r\n</div>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#2c2c2c\">\r\n<div style=\"font-size: 14px; text-align: center; color: #ffffff; line-height: 22px; margin: 1px;\">\r\n<p style=\"margin-top: 30px\"> If you have any queries, concerns or suggestions,</p>\r\n<p style=\"margin: 0px; margin-top: 1px\"> please email us:\r\n<span style=\"text-decoration: underline; cursor: pointer; color: #FCCA19;\">{support_mail}</span>\r\n</p>\r\n</div>\r\n<div style=\" margin-top: 32px;\">\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; display: inline-block;\" href=\"https://www.facebook.com/\"><img src=\"https://i.ibb.co/9T1qkwM/white-facebook.png\" alt=\"\"/></a>\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; display: inline-block;\" href=\"https://twitter.com/?lang=en\"><img src=\"https://i.ibb.co/ZhPHPhp/white-twitter.png\" alt=\"\"/> </a>\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; display: inline-block;\" href=\"https://www.instagram.com/?hl=en\"><img src=\"https://i.ibb.co/Hnx1Cww/white-instagram.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; display: inline-block;\" href=\"https://www.whatsapp.com/\"><img src=\"https://i.ibb.co/X7Fhw6Q/white-whatsapp.png\" alt=\"\"/></a>\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; display: inline-block;\" href=\"https://www.pioneer.eu/\"> <img style=\"margin: -2px;\" src=\"https://i.ibb.co/KwXSt44/white-pinterest.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\"margin-right: 9px; width: 32px; display: inline-block;\"  href=\"https://www.youtube.com/\"><img src=\"https://i.ibb.co/s9gY8Mt/white-youtube.png\" alt=\"\"/></a>\r\n</div>\r\n<div style=\" margin-bottom:31px;\">\r\n<a href=\"{unsubscribe}\" class=\"unsubscribe\" style=\"margin-right: 9px; display: inline-block; margin-top: 10px;\" >Unsubscribe</a>\r\n</div>\r\n<p style=\"border-top: 1px solid #464646; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"style=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500; margin-bottom: 200px; \">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#2c2c2c\">\r\n<p style=\"text-align: center; line-height: 16px; color: #898989; font-size: 12px; margin: 13px 0px;\" > &copy 2022, {company_name}. All rights reserved.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n</body>\r\n</html>\r\n','Welcome to our mailing list! 🎉 Be the first to know about new arrivals, events, and special offers.\r\n\r\nShop Now: {shop_link}\r\n\r\nFor assistance, email: {support_mail}\r\n\r\nTo unsubscribe, click: {unsubscribe_link}\r\n\r\n© 2024, {company_name}. All rights reserved.',1,'Active','logo,company_name,supprot_mail, home_url,unsubscribe','2024-09-19 06:34:28','2024-09-19 06:34:32'),(13,NULL,'Ticket Department','ticket-department','{ticket_subject} #Ticket ID: {ticket_no}','<!DOCTYPE html>\r\n<html>\r\n<head>\r\n<meta charset=\"utf-8\" />\r\n<meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\" />\r\n<title>Ticket-template-design</title>\r\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\" />\r\n<style type=\"text/css\">\r\n@media screen {\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 700;\r\nsrc:   url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriASitCBimCw.woff2)\r\nformat(\"woff2\");\r\n}\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 500;\r\nfont-style: normal;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriAWCrCBimCw.woff2)\r\nformat(\"woff2\");\r\n}\r\n}\r\n.bodys,\r\n.tables,\r\ntd,\r\n.anchor-tag a {\r\n-ms-text-size-adjust: 100%;\r\n-webkit-text-size-adjust: 100%;\r\n}\r\n.tables,\r\ntd {\r\nmso-table-rspace: 0pt;\r\nmso-table-lspace: 0pt;\r\n}\r\n.anchor-tag a {\r\npadding: 1px;\r\nmargin: 1px;\r\n}\r\n.anchor-tag a[x-apple-data-detectors] {\r\nfont-family: inherit !important;\r\nfont-size: inherit !important;\r\nfont-weight: inherit !important;\r\nline-height: inherit !important;\r\ncolor: inherit !important;\r\ntext-decoration: none !important;\r\n}\r\n.bodys {\r\nwidth: 100% !important;\r\nheight: 100% !important;\r\npadding: 0 !important;\r\nmargin: 0 !important;\r\n}\r\n.tables {\r\nborder-collapse: collapse !important;\r\n}\r\n.logo-img {\r\nmargin: 26px 0px 19px 0px;\r\npadding: 0px;\r\nwidth: 207.98px;\r\nheight: 56px;\r\n}\r\n.actives {\r\nbox-sizing: border-box;\r\ntext-decoration: none;\r\n-webkit-text-size-adjust: none;\r\ntext-align: center;\r\nborder-radius: 2px;\r\n-webkit-border-radius: 2px;\r\n-moz-border-radius: 2px;\r\n-khtml-border-radius: 2px;\r\n-o-border-radius: 2px;\r\n-ms-border-radius: 2px;\r\npadding: 10px 38px;\r\ncursor: pointer;\r\nbackground: #fcca19;\r\n}\r\n.anchor-tag a:focus,\r\n.anchor-tag a:hover {\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: none;\r\ntext-decoration-color: #fcca19;\r\n}\r\n</style>\r\n</head>\r\n<body class=\"bodys\" style=\"background-color: #e9ecef\">\r\n<div class=\"preheader\" style=\"display: none; max-width: 0; max-height: 0; margin: 0px; overflow: hidden; color: #fff; opacity: 0;\"></div>\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px\">\r\n<tr>\r\n<td align=\"center\" valign=\"top\" style=\"padding: 36px 24px\"></td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px; margin-top: 100px\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<img class=\"logo-img\" src=\"{logo}\" alt=\"logo\" />\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#fff\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; letter-spacing: 0.255em; text-transform: uppercase; margin: 26px 0px; line-height: 25px;\r\nfont-size:0.80em!important; color: rgb(44, 44, 44); font-weight: 500 !important; cursor: default !important;\">Ticket Module</p>\r\n<p style=\"margin: 0px; text-align: center; line-height: 24px; font-size: 16px; color: #2c2c2c;\" > Hello {member_name}</p>\r\n<p style=\"margin: 0px; color: #898989; font-size: 14px; margin: 7px 54px 0px; text-align: center; line-height: 24px;\">A new support ticket has been assigned.\r\n</p>\r\n<div style=\"background-color: #F3F3F3; border-radius:4px ; margin: 25px 78px\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: italic; font-weight: 500; font-size: 13px; line-height: 24px;text-align: center; color: #2C2C2C; padding: 24px 26px;\">‘{ticket_message}’</p>\r\n</div>\r\n<div style=\"margin: 20px 78px 58px; background: #FFFFFF; border: 1px solid #DFDFDF; border-radius: 4px; display: flex;padding: 16px;\">\r\n<div style=\" margin-right:60px; text-align: left;\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif;font-style: normal; font-weight: 500; font-size: 13px;line-height: 17px; color:#898989; word-break: break-all;\"><span style=\"color: #2c2c2c; padding-right: 2px;\">Ticket ID:</span>{ticket_no}</p>\r\n<p style=\"font-family: \'DM Sans\', sans-serif;font-style: normal; font-weight: 500; font-size: 13px;line-height: 17px; color:#898989; word-break: break-all;\"><span style=\"color: #2c2c2c; padding-right: 2px;\">Project Name:</span>{project_name}</p>\r\n</div>\r\n<div class=\" text-align: left;\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif;font-style: normal; font-weight: 500; font-size: 13px;line-height: 17px; color:#898989; text-align: left; word-break: break-all;\"><span style=\"color: #2c2c2c; padding-right: 2px;\">Subject:</span>{ticket_subject}</p>\r\n<p style=\"font-family: \'DM Sans\', sans-serif;font-style: normal;  text-align: left; font-weight: 500; margin-bottom: 0px; font-size: 13px; line-height: 17px; color:#898989; word-break: break-all;\"><span style=\"color: #2c2c2c; padding-right: 2px;\">Status:</span>{ticket_status}</p>\r\n</div>\r\n</div>\r\n\r\n</td>\r\n\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<div>\r\n<a href=\"{details}\" aria-pressed=\"true\" class=\"actives anchor-tag\">\r\n<span style=\"text-decoration: none; color: #2C2C2C;\">View Tickets</span>\r\n</a>\r\n</div>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 13px; line-height: 17px; text-align: center; color: #2C2C2C; margin-top: 62px;\">Thank You,</p>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500;padding-top: 2px; font-size: 13px;line-height: 17px; text-align: center;color: #898989;margin:0; margin-top: 12px; margin-bottom: 20px;\">{customer_name}</p>\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"style=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500; margin-bottom: 200px; \">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<p style=\"text-align: center; line-height: 16px; color: #898989; font-size: 12px; margin: 13px 0px;\" > &copy 2022, {company_name}. All rights reserved.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n</body>\r\n</html>\r\n','TICKET ALERT\r\n\r\nHello {member_name},\r\n\r\nNew support ticket assigned.\r\n\'{ticket_message}\'\r\n\r\nID: {ticket_no}\r\nProject: {project_name}\r\nSubject: {ticket_subject}\r\nStatus: {ticket_status}\r\n\r\nView Tickets: {tickets_link}\r\n\r\n© 2024, {company_name}. All rights reserved.',1,'Active','ticket_subject,ticket_no,customer_name,ticket_message,company_name,details,ticket_status,logo','2024-09-19 06:34:28','2024-09-19 06:34:32'),(14,NULL,'Ticket Vendor','ticket-vendor','{ticket_subject} #Ticket ID: {ticket_no}','<!DOCTYPE html>\r\n<html>\r\n<head>\r\n<meta charset=\"utf-8\" />\r\n<meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\" />\r\n<title>Ticket-template-design</title>\r\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\" />\r\n<style type=\"text/css\">\r\n@media screen {\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 700;\r\nsrc:   url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriASitCBimCw.woff2)\r\nformat(\"woff2\");\r\n}\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 500;\r\nfont-style: normal;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriAWCrCBimCw.woff2)\r\nformat(\"woff2\");\r\n}\r\n}\r\n.bodys,\r\n.tables,\r\ntd,\r\n.anchor-tag a {\r\n-ms-text-size-adjust: 100%;\r\n-webkit-text-size-adjust: 100%;\r\n}\r\n.tables,\r\ntd {\r\nmso-table-rspace: 0pt;\r\nmso-table-lspace: 0pt;\r\n}\r\n.anchor-tag a {\r\npadding: 1px;\r\nmargin: 1px;\r\n}\r\n.anchor-tag a[x-apple-data-detectors] {\r\nfont-family: inherit !important;\r\nfont-size: inherit !important;\r\nfont-weight: inherit !important;\r\nline-height: inherit !important;\r\ncolor: inherit !important;\r\ntext-decoration: none !important;\r\n}\r\n.bodys {\r\nwidth: 100% !important;\r\nheight: 100% !important;\r\npadding: 0 !important;\r\nmargin: 0 !important;\r\n}\r\n.tables {\r\nborder-collapse: collapse !important;\r\n}\r\n.logo-img {\r\nmargin: 26px 0px 19px 0px;\r\npadding: 0px;\r\nwidth: 207.98px;\r\nheight: 56px;\r\n}\r\n.actives {\r\nbox-sizing: border-box;\r\ntext-decoration: none;\r\n-webkit-text-size-adjust: none;\r\ntext-align: center;\r\nborder-radius: 2px;\r\n-webkit-border-radius: 2px;\r\n-moz-border-radius: 2px;\r\n-khtml-border-radius: 2px;\r\n-o-border-radius: 2px;\r\n-ms-border-radius: 2px;\r\npadding: 10px 38px;\r\ncursor: pointer;\r\nbackground: #fcca19;\r\n}\r\n.anchor-tag a:focus,\r\n.anchor-tag a:hover {\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: none;\r\ntext-decoration-color: #fcca19;\r\n}\r\n</style>\r\n</head>\r\n<body class=\"bodys\" style=\"background-color: #e9ecef\">\r\n<div class=\"preheader\" style=\"display: none; max-width: 0; max-height: 0; margin: 0px; overflow: hidden; color: #fff; opacity: 0;\"></div>\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px\">\r\n<tr>\r\n<td align=\"center\" valign=\"top\" style=\"padding: 36px 24px\"></td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px; margin-top: 100px\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<img class=\"logo-img\" src=\"{logo}\" alt=\"logo\" />\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#fff\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; letter-spacing: 0.255em; text-transform: uppercase; margin: 26px 0px; line-height: 25px;\r\nfont-size:0.80em!important; color: rgb(44, 44, 44); font-weight: 500 !important; cursor: default !important;\">Ticket Module</p>\r\n<p style=\"margin: 0px; text-align: center; line-height: 24px; font-size: 16px; color: #2c2c2c;\" > Hello {assignee_name}</p>\r\n<p style=\"margin: 0px; color: #898989; font-size: 14px; margin: 7px 54px 0px; text-align: center; line-height: 24px;\">A new support ticket has been assigned to you.\r\n</p>\r\n<div style=\"background-color: #F3F3F3; border-radius:4px ; margin: 25px 78px\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: italic; font-weight: 500; font-size: 13px; line-height: 24px;text-align: center; color: #2C2C2C; padding: 24px 26px;\">‘{ticket_message}’</p>\r\n</div>\r\n<div style=\"margin: 20px 78px 58px; background: #FFFFFF; border: 1px solid #DFDFDF; border-radius: 4px; display: flex;padding: 16px;\">\r\n<div style=\" margin-right:60px; text-align: left;\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif;font-style: normal; font-weight: 500; font-size: 13px;line-height: 17px; color:#898989; word-break: break-all;\"><span style=\"color: #2c2c2c; padding-right: 2px;\">Ticket ID:</span>{ticket_no}</p>\r\n<p style=\"font-family: \'DM Sans\', sans-serif;font-style: normal; font-weight: 500; font-size: 13px;line-height: 17px; color:#898989; word-break: break-all;margin-bottom: 0px;\"><span style=\"color: #2c2c2c; padding-right: 2px;\">Status:</span>{ticket_status}</p>\r\n</div>\r\n<div class=\" text-align: left;\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif;font-style: normal; font-weight: 500; font-size: 13px;line-height: 17px; color:#898989; text-align: left; word-break: break-all;\"><span style=\"color: #2c2c2c; padding-right: 2px;\">Customer ID:</span>{customer_id}</p>\r\n<p style=\"font-family: \'DM Sans\', sans-serif;font-style: normal;  text-align: left; font-weight: 500; margin-bottom: 0px; font-size: 13px; line-height: 17px; color:#898989; word-break: break-all;\"><span style=\"color: #2c2c2c; padding-right: 2px;\">Subject:</span>{ticket_subject}</p>\r\n</div>\r\n</div>\r\n\r\n</td>\r\n\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<div>\r\n<a href=\"{details}\" aria-pressed=\"true\" class=\"actives anchor-tag\">\r\n<span style=\"text-decoration: none; color: #2C2C2C;\">View Tickets</span>\r\n</a>\r\n</div>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 13px; line-height: 17px; text-align: center; color: #2C2C2C; margin-top: 62px;\">Thank You,</p>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; margin:0; font-weight: 500; font-size: 13px;line-height: 17px; text-align: center;color: #898989;\">{assigned_by_whom}</p>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500;padding-top: 2px; font-size: 13px;line-height: 17px; text-align: center;color: #898989;margin:0; margin-top: 12px; margin-bottom: 20px;\">{company_name}</p>\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"style=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500; margin-bottom: 200px; \">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<p style=\"text-align: center; line-height: 16px; color: #898989; font-size: 12px; margin: 13px 0px;\" > &copy 2022, {company_name}. All rights reserved.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n</body>\r\n</html>\r\n','TICKET ALERT\r\n\r\nHello {assignee_name},\r\n\r\nNew support ticket assigned.\r\n\'{ticket_message}\'\r\n\r\nID: {ticket_no}\r\nStatus: {ticket_status}\r\nCustomer ID: {customer_id}\r\nSubject: {ticket_subject}\r\n\r\nView Tickets: {tickets_link}\r\n\r\n{company_name}\r\n\r\n© 2024, {company_name}. All rights reserved.',1,'Active','company_name, email, company_url, ticket_message, ticket_subject, ticket_status,ticket_no,assignee_name,assigned_by_whom,logo','2024-09-19 06:34:28','2024-09-19 06:34:32'),(15,NULL,'Ticket Assignee','ticket-assignee','{ticket_subject} #Ticket ID: {ticket_no}','<!DOCTYPE html>\r\n<html>\r\n\r\n<head>\r\n<meta charset=\"utf-8\" />\r\n<meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\" />\r\n<title>Ticket-template-design</title>\r\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\" />\r\n<style type=\"text/css\">\r\n@media screen {\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 700;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriASitCBimCw.woff2) format(\"woff2\");\r\n}\r\n\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 500;\r\nfont-style: normal;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriAWCrCBimCw.woff2) format(\"woff2\");\r\n}\r\n}\r\n\r\n.bodys,\r\n.tables,\r\ntd,\r\n.anchor-tag a {\r\n-ms-text-size-adjust: 100%;\r\n-webkit-text-size-adjust: 100%;\r\n}\r\n\r\n.tables,\r\ntd {\r\nmso-table-rspace: 0pt;\r\nmso-table-lspace: 0pt;\r\n}\r\n\r\n.anchor-tag a {\r\npadding: 1px;\r\nmargin: 1px;\r\n}\r\n\r\n.anchor-tag a[x-apple-data-detectors] {\r\nfont-family: inherit !important;\r\nfont-size: inherit !important;\r\nfont-weight: inherit !important;\r\nline-height: inherit !important;\r\ncolor: inherit !important;\r\ntext-decoration: none !important;\r\n}\r\n\r\n.bodys {\r\nwidth: 100% !important;\r\nheight: 100% !important;\r\npadding: 0 !important;\r\nmargin: 0 !important;\r\n}\r\n\r\n.tables {\r\nborder-collapse: collapse !important;\r\n}\r\n\r\n.logo-img {\r\nmargin: 26px 0px 19px 0px;\r\npadding: 0px;\r\nwidth: 207.98px;\r\nheight: 56px;\r\n}\r\n\r\n.actives {\r\nbox-sizing: border-box;\r\ntext-decoration: none;\r\n-webkit-text-size-adjust: none;\r\ntext-align: center;\r\nborder-radius: 2px;\r\n-webkit-border-radius: 2px;\r\n-moz-border-radius: 2px;\r\n-khtml-border-radius: 2px;\r\n-o-border-radius: 2px;\r\n-ms-border-radius: 2px;\r\npadding: 10px 38px;\r\ncursor: pointer;\r\nbackground: #fcca19;\r\n}\r\n\r\n.anchor-tag a:focus,\r\n.anchor-tag a:hover {\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: none;\r\ntext-decoration-color: #fcca19;\r\n}\r\n</style>\r\n</head>\r\n\r\n<body class=\"bodys\" style=\"background-color: #e9ecef\">\r\n<div class=\"preheader\"\r\nstyle=\"display: none; max-width: 0; max-height: 0; margin: 0px; overflow: hidden; color: #fff; opacity: 0;\">\r\n</div>\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px\">\r\n<tr>\r\n<td align=\"center\" valign=\"top\" style=\"padding: 36px 24px\"></td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; margin-top: 100px\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<img class=\"logo-img\" src=\"{logo}\" alt=\"logo\" />\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#fff\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; letter-spacing: 0.255em; text-transform: uppercase; margin: 26px 0px; line-height: 25px;\r\nfont-size:0.80em!important; color: rgb(44, 44, 44); font-weight: 500 !important; cursor: default !important;\">Ticket\r\nModule</p>\r\n<p\r\nstyle=\"margin: 0px; text-align: center; line-height: 24px; font-size: 16px; color: #2c2c2c;\">\r\nHello {assignee_name}</p>\r\n<p\r\nstyle=\"margin: 0px; color: #898989; font-size: 14px; margin: 7px 54px 0px; text-align: center; line-height: 24px;\">\r\nA new support ticket has been assigned to you.\r\n</p>\r\n<div style=\"background-color: #F3F3F3; border-radius:4px ; margin: 25px 78px\">\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-style: italic; font-weight: 500; font-size: 13px; line-height: 24px;text-align: center; color: #2C2C2C; padding: 24px 26px;\">\r\n‘{ticket_message}’</p>\r\n</div>\r\n<div\r\nstyle=\"margin: 20px 78px 58px; background: #FFFFFF; border: 1px solid #DFDFDF; border-radius: 4px; display: flex;padding: 16px;\">\r\n<div style=\" margin-right:60px; text-align: left;\">\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif;font-style: normal; font-weight: 500; font-size: 13px;line-height: 17px; color:#898989; word-break: break-all;\">\r\n<span style=\"color: #2c2c2c; padding-right: 2px;\">Ticket ID:</span>{ticket_no}\r\n</p>\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif;font-style: normal; font-weight: 500; font-size: 13px;line-height: 17px; color:#898989; word-break: break-all;margin-bottom: 0px;\">\r\n<span style=\"color: #2c2c2c; padding-right: 2px;\">Status:</span>{ticket_status}\r\n</p>\r\n</div>\r\n<div class=\" text-align: left;\">\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif;font-style: normal; font-weight: 500; font-size: 13px;line-height: 17px; color:#898989; text-align: left; word-break: break-all;\">\r\n<span style=\"color: #2c2c2c; padding-right: 2px;\">Customer\r\nID:</span>{customer_id}\r\n</p>\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif;font-style: normal;  text-align: left; font-weight: 500; margin-bottom: 0px; font-size: 13px; line-height: 17px; color:#898989; word-break: break-all;\">\r\n<span\r\nstyle=\"color: #2c2c2c; padding-right: 2px;\">Subject:</span>{ticket_subject}\r\n</p>\r\n</div>\r\n</div>\r\n\r\n</td>\r\n\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<div>\r\n<a href=\"{details}\" aria-pressed=\"true\" class=\"actives anchor-tag\">\r\n<span style=\"text-decoration: none; color: #2C2C2C;\">View Tickets</span>\r\n</a>\r\n</div>\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 13px; line-height: 17px; text-align: center; color: #2C2C2C; margin-top: 62px;\">\r\nThank You,</p>\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-style: normal; margin:0; font-weight: 500; font-size: 13px;line-height: 17px; text-align: center;color: #898989;\">\r\n{assigned_by_whom}</p>\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500;padding-top: 2px; font-size: 13px;line-height: 17px; text-align: center;color: #898989;margin:0; margin-top: 12px; margin-bottom: 20px;\">\r\n{company_name}</p>\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500; margin-bottom: 200px; \">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<p\r\nstyle=\"text-align: center; line-height: 16px; color: #898989; font-size: 12px; margin: 13px 0px;\">\r\n&copy 2022, {company_name}. All rights reserved.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n</body>\r\n\r\n</html>','TICKET ALERT\r\n\r\nHello {assignee_name},\r\n\r\nNew support ticket assigned.\r\n\'{ticket_message}\'\r\n\r\nID: {ticket_no}\r\nStatus: {ticket_status}\r\nCustomer ID: {customer_id}\r\nSubject: {ticket_subject}\r\n\r\nView Tickets: {tickets_link}\r\n\r\n{company_name}\r\n\r\n© 2024, {company_name}. All rights reserved.',1,'Active','ticket_subject,ticket_no,customer_name,ticket_message,company_name,details,ticket_status,logo,project_name,logo','2024-09-19 06:34:28','2024-09-19 06:34:32'),(16,NULL,'Admin accepted seller request','admin-accepted-seller-request','Seller request accepted','<!DOCTYPE html>\r\n<html>\r\n\r\n<head>\r\n<meta charset=\"utf-8\" />\r\n<meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\" />\r\n<title>10.NEW COUPON ADDED</title>\r\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\" />\r\n<style type=\"text/css\">\r\n@media screen {\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 700;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriASitCBimCw.woff2) format(\"woff2\");\r\n}\r\n\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 500;\r\nfont-style: normal;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriAWCrCBimCw.woff2) format(\"woff2\");\r\n}\r\n}\r\n\r\n.bodys,\r\n.tables,\r\ntd,\r\n.anchor-tag a {\r\n-ms-text-size-adjust: 100%;\r\n-webkit-text-size-adjust: 100%;\r\n}\r\n\r\n.tables,\r\ntd {\r\nmso-table-rspace: 0pt;\r\nmso-table-lspace: 0pt;\r\n}\r\n\r\n.anchor-tag a {\r\npadding: 1px;\r\nmargin: 1px;\r\n}\r\n\r\n.anchor-tag a[x-apple-data-detectors] {\r\nfont-family: inherit !important;\r\nfont-size: inherit !important;\r\nfont-weight: inherit !important;\r\nline-height: inherit !important;\r\ncolor: inherit !important;\r\ntext-decoration: none !important;\r\n}\r\n\r\n.bodys {\r\nwidth: 100% !important;\r\nheight: 100% !important;\r\npadding: 0 !important;\r\nmargin: 0 !important;\r\n}\r\n\r\n.tables {\r\nborder-collapse: collapse !important;\r\n}\r\n\r\n.logo-img {\r\nmargin: 26px 0px 19px 0px;\r\npadding: 0px;\r\nwidth: 207.98px;\r\nheight: 56px;\r\n}\r\n\r\n.anchor-tag a:focus,\r\n.anchor-tag a:hover {\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: none;\r\ntext-decoration-color: #fcca19;\r\n}\r\n</style>\r\n</head>\r\n\r\n<body class=\"bodys\" style=\"background-color: #e9ecef\">\r\n<div class=\"preheader\"\r\nstyle=\"display: none; max-width: 0; max-height: 0; margin: 0px; overflow: hidden; color: #fff; opacity: 0;\"></div>\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px\">\r\n<tr>\r\n<td align=\"center\" valign=\"top\" style=\"padding: 36px 24px\"></td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; margin-top: 100px\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<img class=\"logo-img\" src=\"{logo}\" alt=\"logo\" />\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#fff\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; letter-spacing: 0.255em; text-transform: uppercase; margin: 26px 0px;\r\nline-height: 25px; font-size: 0.8em !important; color: rgb(44, 44, 44); font-weight: 500 !important;\r\ncursor: default !important;\"></p>\r\n<p style=\"margin: 0px;text-align: center; line-height: 24px; font-size: 16px;\r\ncolor: #2c2c2c;\"> Dear {user_name} </p>\r\n<p style=\" margin: 0px; color: #898989; font-size: 14px; margin: 3px 50px 31px;\r\ntext-align: center; line-height: 24px;\">Your status has been changed by the admin of {company_name},\r\nplease login to the <a href=\"{company_url}\"\r\nstyle=\"text-decoration: underline; cursor: pointer; color: #0060a9;\">portal</a> to see the details of\r\nyour\r\naccount.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<div>\r\n<p style=\" font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 700;\r\nfont-size: 18px; line-height: 21px; margin-top: 37px; text-align: center;\r\ntext-transform: uppercase; color: #2c2c2c;\"> Keep in touch</p>\r\n</div>\r\n<div style=\" font-size: 14px; text-align: center; color: #898989;line-height: 22px; margin: 1px;\">\r\n<div style=\" font-size: 14px; text-align: center; color: #898989;line-height: 22px; margin: 1px;\">\r\n<p style=\"margin-top: 14px\">If you have any queries, concerns or suggestions,\r\n</p>\r\n<p style=\"margin: 0px; margin-top: 1px\">please email us:\r\n<span style=\"text-decoration: underline; cursor: pointer; color: #0060a9;\">{support_mail}</span>\r\n</p>\r\n</div>\r\n</div>\r\n<div style=\"margin-top: 32px; margin-bottom: 31px\">\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \"\r\nhref=\"https://www.facebook.com/\"><img src=\"https://i.ibb.co/fCZXxCC/Group-9380.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block;\"\r\nhref=\"https://twitter.com/?lang=en\"><img src=\"https://i.ibb.co/ZLgzjS0/twitter.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px;display: inline-block; \"\r\nhref=\"https://www.instagram.com/?hl=en\"><img src=\"https://i.ibb.co/WKyFkYz/instagramm.png\"\r\nalt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \"\r\nhref=\"https://www.whatsapp.com/\"><img src=\"https://i.ibb.co/6R7LWr1/watsapp.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block;\"\r\nhref=\"https://www.pioneer.eu/\"><img src=\"https://i.ibb.co/wYT6Tmg/pinterest.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \"\r\nhref=\"https://www.youtube.com/\"><img src=\"https://i.ibb.co/RT7Zns1/youtube.png\" alt=\"\" /></a>\r\n</div>\r\n<p style=\"border-top: 1px solid #dfdfdf;margin: 1px 20px 0px 20px; \"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500; margin-bottom: 200px; \">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<p style=\" text-align: center; line-height: 16px; color: #898989; font-size: 12px; margin: 13px 0px; \">\r\n&copy 2022, {company_name}. All rights reserved.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n</body>\r\n\r\n</html>','STATUS UPDATE\r\n\r\nDear {user_name},\r\n\r\nYour status at {company_name} has changed. Login to your account for details.\r\n\r\nKEEP IN TOUCH\r\n\r\nFor assistance, email: {support_mail}\r\n\r\n© 2024, {company_name}. All rights reserved.',1,'Active','logo,company_url,user_name,company_name,support_mail','2024-09-19 06:34:28','2024-09-19 06:34:32'),(17,NULL,'Seller request for admin','seller-request-for-admin','Seller request for admin','<!DOCTYPE html>\r\n<html>\r\n\r\n<head>\r\n<meta charset=\"utf-8\" />\r\n<meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\" />\r\n<title>10.NEW COUPON ADDED</title>\r\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\" />\r\n<style type=\"text/css\">\r\n@media screen {\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 700;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriASitCBimCw.woff2) format(\"woff2\");\r\n}\r\n\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 500;\r\nfont-style: normal;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriAWCrCBimCw.woff2) format(\"woff2\");\r\n}\r\n}\r\n\r\n.bodys,\r\n.tables,\r\ntd,\r\n.anchor-tag a {\r\n-ms-text-size-adjust: 100%;\r\n-webkit-text-size-adjust: 100%;\r\n}\r\n\r\n.tables,\r\ntd {\r\nmso-table-rspace: 0pt;\r\nmso-table-lspace: 0pt;\r\n}\r\n\r\n.anchor-tag a {\r\npadding: 1px;\r\nmargin: 1px;\r\n}\r\n\r\n.anchor-tag a[x-apple-data-detectors] {\r\nfont-family: inherit !important;\r\nfont-size: inherit !important;\r\nfont-weight: inherit !important;\r\nline-height: inherit !important;\r\ncolor: inherit !important;\r\ntext-decoration: none !important;\r\n}\r\n\r\n.bodys {\r\nwidth: 100% !important;\r\nheight: 100% !important;\r\npadding: 0 !important;\r\nmargin: 0 !important;\r\n}\r\n\r\n.tables {\r\nborder-collapse: collapse !important;\r\n}\r\n\r\n.logo-img {\r\nmargin: 26px 0px 19px 0px;\r\npadding: 0px;\r\nwidth: 207.98px;\r\nheight: 56px;\r\n}\r\n\r\n.anchor-tag a:focus,\r\n.anchor-tag a:hover {\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: none;\r\ntext-decoration-color: #fcca19;\r\n}\r\n</style>\r\n</head>\r\n\r\n<body class=\"bodys\" style=\"background-color: #e9ecef\">\r\n<div class=\"preheader\"\r\nstyle=\"display: none; max-width: 0; max-height: 0; margin: 0px; overflow: hidden; color: #fff; opacity: 0;\">\r\n</div>\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px\">\r\n<tr>\r\n<td align=\"center\" valign=\"top\" style=\"padding: 36px 24px\"></td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; margin-top: 100px\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<img class=\"logo-img\" src=\"{logo}\" alt=\"logo\" />\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#fff\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; letter-spacing: 0.255em; text-transform: uppercase; margin: 26px 0px;\r\nline-height: 25px; font-size: 0.8em !important; color: rgb(44, 44, 44); font-weight: 500 !important;\r\ncursor: default !important;\"></p>\r\n<p style=\"margin: 0px;text-align: center; line-height: 24px; font-size: 16px;\r\ncolor: #2c2c2c;\"> Dear {user_name} </p>\r\n<p style=\" margin: 0px; color: #898989; font-size: 14px; margin: 3px 50px 31px;\r\ntext-align: center; line-height: 24px;\">A seller has requested to join {company_name} family. Please change the status of that seller.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<div>\r\n<p style=\" font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 700;\r\nfont-size: 18px; line-height: 21px; margin-top: 37px; text-align: center;\r\ntext-transform: uppercase; color: #2c2c2c;\"> Keep in touch</p>\r\n</div>\r\n<div\r\nstyle=\" font-size: 14px; text-align: center; color: #898989;line-height: 22px; margin: 1px;\">\r\n<div\r\nstyle=\" font-size: 14px; text-align: center; color: #898989;line-height: 22px; margin: 1px;\">\r\n<p style=\"margin-top: 14px\">If you have any queries, concerns or suggestions,\r\n</p>\r\n<p style=\"margin: 0px; margin-top: 1px\">please email us:\r\n<span\r\nstyle=\"text-decoration: underline; cursor: pointer; color: #0060a9;\">{support_mail}</span>\r\n</p>\r\n</div>\r\n</div>\r\n<div style=\"margin-top: 32px; margin-bottom: 31px\">\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \"\r\nhref=\"https://www.facebook.com/\"><img src=\"https://i.ibb.co/fCZXxCC/Group-9380.png\"\r\nalt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block;\"\r\nhref=\"https://twitter.com/?lang=en\"><img src=\"https://i.ibb.co/ZLgzjS0/twitter.png\"\r\nalt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px;display: inline-block; \"\r\nhref=\"https://www.instagram.com/?hl=en\"><img\r\nsrc=\"https://i.ibb.co/WKyFkYz/instagramm.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \"\r\nhref=\"https://www.whatsapp.com/\"><img src=\"https://i.ibb.co/6R7LWr1/watsapp.png\"\r\nalt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block;\"\r\nhref=\"https://www.pioneer.eu/\"><img src=\"https://i.ibb.co/wYT6Tmg/pinterest.png\"\r\nalt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \"\r\nhref=\"https://www.youtube.com/\"><img src=\"https://i.ibb.co/RT7Zns1/youtube.png\"\r\nalt=\"\" /></a>\r\n</div>\r\n<p style=\"border-top: 1px solid #dfdfdf;margin: 1px 20px 0px 20px; \"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500; margin-bottom: 200px; \">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<p\r\nstyle=\" text-align: center; line-height: 16px; color: #898989; font-size: 12px; margin: 13px 0px; \">\r\n&copy 2022, {company_name}. All rights reserved.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n</body>\r\n\r\n</html>','SELLER REQUEST\r\n\r\nDear {user_name},\r\n\r\nA seller wants to join {company_name}. Review and update their status.\r\n\r\nKEEP IN TOUCH\r\n\r\nFor assistance, email: {support_mail}\r\n\r\n© 2024, {company_name}. All rights reserved.',1,'Active','user_name,company_name,support_mail,logo','2024-09-19 06:34:28','2024-09-19 06:34:32'),(18,NULL,'Admin change seller status','admin-change-seller-status','Admin change your status','<!DOCTYPE html>\r\n<html>\r\n\r\n<head>\r\n<meta charset=\"utf-8\" />\r\n<meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\" />\r\n<title>10.NEW COUPON ADDED</title>\r\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\" />\r\n<style type=\"text/css\">\r\n@media screen {\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 700;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriASitCBimCw.woff2) format(\"woff2\");\r\n}\r\n\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 500;\r\nfont-style: normal;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriAWCrCBimCw.woff2) format(\"woff2\");\r\n}\r\n}\r\n\r\n.bodys,\r\n.tables,\r\ntd,\r\n.anchor-tag a {\r\n-ms-text-size-adjust: 100%;\r\n-webkit-text-size-adjust: 100%;\r\n}\r\n\r\n.tables,\r\ntd {\r\nmso-table-rspace: 0pt;\r\nmso-table-lspace: 0pt;\r\n}\r\n\r\n.anchor-tag a {\r\npadding: 1px;\r\nmargin: 1px;\r\n}\r\n\r\n.anchor-tag a[x-apple-data-detectors] {\r\nfont-family: inherit !important;\r\nfont-size: inherit !important;\r\nfont-weight: inherit !important;\r\nline-height: inherit !important;\r\ncolor: inherit !important;\r\ntext-decoration: none !important;\r\n}\r\n\r\n.bodys {\r\nwidth: 100% !important;\r\nheight: 100% !important;\r\npadding: 0 !important;\r\nmargin: 0 !important;\r\n}\r\n\r\n.tables {\r\nborder-collapse: collapse !important;\r\n}\r\n\r\n.logo-img {\r\nmargin: 26px 0px 19px 0px;\r\npadding: 0px;\r\nwidth: 207.98px;\r\nheight: 56px;\r\n}\r\n\r\n.anchor-tag a:focus,\r\n.anchor-tag a:hover {\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: none;\r\ntext-decoration-color: #fcca19;\r\n}\r\n</style>\r\n</head>\r\n\r\n<body class=\"bodys\" style=\"background-color: #e9ecef\">\r\n<div class=\"preheader\"\r\nstyle=\"display: none; max-width: 0; max-height: 0; margin: 0px; overflow: hidden; color: #fff; opacity: 0;\"></div>\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px\">\r\n<tr>\r\n<td align=\"center\" valign=\"top\" style=\"padding: 36px 24px\"></td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; margin-top: 100px\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<img class=\"logo-img\" src=\"{logo}\" alt=\"logo\" />\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#fff\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; letter-spacing: 0.255em; text-transform: uppercase; margin: 26px 0px;\r\nline-height: 25px; font-size: 0.8em !important; color: rgb(44, 44, 44); font-weight: 500 !important;\r\ncursor: default !important;\"></p>\r\n<p style=\"margin: 0px;text-align: center; line-height: 24px; font-size: 16px;\r\ncolor: #2c2c2c;\"> Dear {user_name} </p>\r\n<p style=\" margin: 0px; color: #898989; font-size: 14px; margin: 3px 50px 31px;\r\ntext-align: center; line-height: 24px;\">Your account has been deactivated. Please contact our administrator.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<div>\r\n<p style=\" font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 700;\r\nfont-size: 18px; line-height: 21px; margin-top: 37px; text-align: center;\r\ntext-transform: uppercase; color: #2c2c2c;\"> Keep in touch</p>\r\n</div>\r\n<div style=\" font-size: 14px; text-align: center; color: #898989;line-height: 22px; margin: 1px;\">\r\n<div style=\" font-size: 14px; text-align: center; color: #898989;line-height: 22px; margin: 1px;\">\r\n<p style=\"margin-top: 14px\">If you have any queries, concerns or suggestions,\r\n</p>\r\n<p style=\"margin: 0px; margin-top: 1px\">please email us:\r\n<span style=\"text-decoration: underline; cursor: pointer; color: #0060a9;\">{support_mail}</span>\r\n</p>\r\n</div>\r\n</div>\r\n<div style=\"margin-top: 32px; margin-bottom: 31px\">\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \"\r\nhref=\"https://www.facebook.com/\"><img src=\"https://i.ibb.co/fCZXxCC/Group-9380.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block;\"\r\nhref=\"https://twitter.com/?lang=en\"><img src=\"https://i.ibb.co/ZLgzjS0/twitter.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px;display: inline-block; \"\r\nhref=\"https://www.instagram.com/?hl=en\"><img src=\"https://i.ibb.co/WKyFkYz/instagramm.png\"\r\nalt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \"\r\nhref=\"https://www.whatsapp.com/\"><img src=\"https://i.ibb.co/6R7LWr1/watsapp.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block;\"\r\nhref=\"https://www.pioneer.eu/\"><img src=\"https://i.ibb.co/wYT6Tmg/pinterest.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \"\r\nhref=\"https://www.youtube.com/\"><img src=\"https://i.ibb.co/RT7Zns1/youtube.png\" alt=\"\" /></a>\r\n</div>\r\n<p style=\"border-top: 1px solid #dfdfdf;margin: 1px 20px 0px 20px; \"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500; margin-bottom: 200px; \">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<p style=\" text-align: center; line-height: 16px; color: #898989; font-size: 12px; margin: 13px 0px; \">\r\n&copy 2022, {company_name}. All rights reserved.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n</body>\r\n\r\n</html>','ACCOUNT DEACTIVATED\r\n\r\nDear {user_name},\r\n\r\nYour account at {company_name} has been deactivated. Contact our administrator for assistance.\r\n\r\nKEEP IN TOUCH\r\n\r\nFor inquiries, email: {support_mail}\r\n\r\n© 2024, {company_name}. All rights reserved.',1,'Active','logo,user_name,support_mail,company_name','2024-09-19 06:34:28','2024-09-19 06:34:32'),(19,NULL,'Popup Mail','popup-mail','Popup Mail','<!DOCTYPE html>\r\n<html>\r\n\r\n<head>\r\n<meta charset=\"utf-8\" />\r\n<meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\" />\r\n<title>10.NEW COUPON ADDED</title>\r\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\" />\r\n<style type=\"text/css\">\r\n@media screen {\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 700;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriASitCBimCw.woff2) format(\"woff2\");\r\n}\r\n\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 500;\r\nfont-style: normal;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriAWCrCBimCw.woff2) format(\"woff2\");\r\n}\r\n}\r\n\r\n.bodys,\r\n.tables,\r\ntd,\r\n.anchor-tag a {\r\n-ms-text-size-adjust: 100%;\r\n-webkit-text-size-adjust: 100%;\r\n}\r\n\r\n.tables,\r\ntd {\r\nmso-table-rspace: 0pt;\r\nmso-table-lspace: 0pt;\r\n}\r\n\r\n.anchor-tag a {\r\npadding: 1px;\r\nmargin: 1px;\r\n}\r\n\r\n.anchor-tag a[x-apple-data-detectors] {\r\nfont-family: inherit !important;\r\nfont-size: inherit !important;\r\nfont-weight: inherit !important;\r\nline-height: inherit !important;\r\ncolor: inherit !important;\r\ntext-decoration: none !important;\r\n}\r\n\r\n.bodys {\r\nwidth: 100% !important;\r\nheight: 100% !important;\r\npadding: 0 !important;\r\nmargin: 0 !important;\r\n}\r\n\r\n.tables {\r\nborder-collapse: collapse !important;\r\n}\r\n\r\n.logo-img {\r\nmargin: 26px 0px 19px 0px;\r\npadding: 0px;\r\nwidth: 207.98px;\r\nheight: 56px;\r\n}\r\n\r\n.anchor-tag a:focus,\r\n.anchor-tag a:hover {\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: none;\r\ntext-decoration-color: #fcca19;\r\n}\r\n</style>\r\n</head>\r\n\r\n<body class=\"bodys\" style=\"background-color: #e9ecef\">\r\n<div class=\"preheader\"\r\nstyle=\"display: none; max-width: 0; max-height: 0; margin: 0px; overflow: hidden; color: #fff; opacity: 0;\"></div>\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px\">\r\n<tr>\r\n<td align=\"center\" valign=\"top\" style=\"padding: 36px 24px\"></td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; margin-top: 100px\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<img class=\"logo-img\" src=\"{logo}\" alt=\"logo\" />\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#fff\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; letter-spacing: 0.255em; text-transform: uppercase; margin: 26px 0px;\r\nline-height: 25px; font-size: 0.8em !important; color: rgb(44, 44, 44); font-weight: 500 !important;\r\ncursor: default !important;\"></p>\r\n<p style=\" margin: 0px; color: #898989; font-size: 14px; margin: 3px 50px 31px;\r\ntext-align: center; line-height: 24px;\">{mail_content}</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<div>\r\n<p style=\" font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 700;\r\nfont-size: 18px; line-height: 21px; margin-top: 37px; text-align: center;\r\ntext-transform: uppercase; color: #2c2c2c;\"> Keep in touch</p>\r\n</div>\r\n<div style=\" font-size: 14px; text-align: center; color: #898989;line-height: 22px; margin: 1px;\">\r\n<div style=\" font-size: 14px; text-align: center; color: #898989;line-height: 22px; margin: 1px;\">\r\n<p style=\"margin-top: 14px\">If you have any queries, concerns or suggestions,\r\n</p>\r\n<p style=\"margin: 0px; margin-top: 1px\">please email us:\r\n<span style=\"text-decoration: underline; cursor: pointer; color: #0060a9;\">{support_mail}</span>\r\n</p>\r\n</div>\r\n</div>\r\n<div style=\"margin-top: 32px; margin-bottom: 31px\">\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \"\r\nhref=\"https://www.facebook.com/\"><img src=\"https://i.ibb.co/fCZXxCC/Group-9380.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block;\"\r\nhref=\"https://twitter.com/?lang=en\"><img src=\"https://i.ibb.co/ZLgzjS0/twitter.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px;display: inline-block; \"\r\nhref=\"https://www.instagram.com/?hl=en\"><img src=\"https://i.ibb.co/WKyFkYz/instagramm.png\"\r\nalt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \"\r\nhref=\"https://www.whatsapp.com/\"><img src=\"https://i.ibb.co/6R7LWr1/watsapp.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block;\"\r\nhref=\"https://www.pioneer.eu/\"><img src=\"https://i.ibb.co/wYT6Tmg/pinterest.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \"\r\nhref=\"https://www.youtube.com/\"><img src=\"https://i.ibb.co/RT7Zns1/youtube.png\" alt=\"\" /></a>\r\n</div>\r\n<p style=\"border-top: 1px solid #dfdfdf;margin: 1px 20px 0px 20px; \"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500; margin-bottom: 200px; \">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<p style=\" text-align: center; line-height: 16px; color: #898989; font-size: 12px; margin: 13px 0px; \">\r\n&copy 2022, {company_name}. All rights reserved.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n</body>\r\n\r\n</html>','{mail_content}\r\n\r\nKEEP IN TOUCH\r\n\r\nFor assistance, email: {support_mail}\r\n\r\n© 2024, {company_name}. All rights reserved.',1,'Active','logo,support_mail,company_name, mail_content','2024-09-19 06:34:28','2024-09-19 06:34:32'),(20,NULL,'ticket reply','ticket-reply','Ticket reply','<!DOCTYPE html>\r\n<html>\r\n<head>\r\n<meta charset=\"utf-8\" />\r\n<meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\" />\r\n<title>Ticket-template-design</title>\r\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\" />\r\n<style type=\"text/css\">\r\n@media screen {\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 700;\r\nsrc:   url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriASitCBimCw.woff2)\r\nformat(\"woff2\");\r\n}\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 500;\r\nfont-style: normal;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriAWCrCBimCw.woff2)\r\nformat(\"woff2\");\r\n}\r\n}\r\n.bodys,\r\n.tables,\r\ntd,\r\n.anchor-tag a {\r\n-ms-text-size-adjust: 100%;\r\n-webkit-text-size-adjust: 100%;\r\n}\r\n.tables,\r\ntd {\r\nmso-table-rspace: 0pt;\r\nmso-table-lspace: 0pt;\r\n}\r\n.anchor-tag a {\r\npadding: 1px;\r\nmargin: 1px;\r\n}\r\n.anchor-tag a[x-apple-data-detectors] {\r\nfont-family: inherit !important;\r\nfont-size: inherit !important;\r\nfont-weight: inherit !important;\r\nline-height: inherit !important;\r\ncolor: inherit !important;\r\ntext-decoration: none !important;\r\n}\r\n.bodys {\r\nwidth: 100% !important;\r\nheight: 100% !important;\r\npadding: 0 !important;\r\nmargin: 0 !important;\r\n}\r\n.tables {\r\nborder-collapse: collapse !important;\r\n}\r\n.logo-img {\r\nmargin: 26px 0px 19px 0px;\r\npadding: 0px;\r\nwidth: 207.98px;\r\nheight: 56px;\r\n}\r\n.actives {\r\nbox-sizing: border-box;\r\ntext-decoration: none;\r\n-webkit-text-size-adjust: none;\r\ntext-align: center;\r\nborder-radius: 2px;\r\n-webkit-border-radius: 2px;\r\n-moz-border-radius: 2px;\r\n-khtml-border-radius: 2px;\r\n-o-border-radius: 2px;\r\n-ms-border-radius: 2px;\r\npadding: 10px 38px;\r\ncursor: pointer;\r\nbackground: #fcca19;\r\n}\r\n.anchor-tag a:focus,\r\n.anchor-tag a:hover {\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: none;\r\ntext-decoration-color: #fcca19;\r\n}\r\n</style>\r\n</head>\r\n<body class=\"bodys\" style=\"background-color: #e9ecef\">\r\n<div class=\"preheader\" style=\"display: none; max-width: 0; max-height: 0; margin: 0px; overflow: hidden; color: #fff; opacity: 0;\"></div>\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px\">\r\n<tr>\r\n<td align=\"center\" valign=\"top\" style=\"padding: 36px 24px\"></td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px; margin-top: 100px\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<img class=\"logo-img\" src=\"{logo}\" alt=\"logo\" />\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#fff\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; letter-spacing: 0.255em; text-transform: uppercase; margin: 26px 0px; line-height: 25px;\r\nfont-size:0.80em!important; color: rgb(44, 44, 44); font-weight: 500 !important; cursor: default !important;\">Ticket Module</p>\r\n<p style=\"margin: 0px; text-align: center; line-height: 24px; font-size: 16px; color: #2c2c2c;\" > Hello {name}</p>\r\n<p style=\"margin: 0px; color: #898989; font-size: 14px; margin: 7px 54px 0px; text-align: center; line-height: 24px;\">You have a reply from the {team_member} of {company_name}.\r\n</p>\r\n<div style=\"background-color: #F3F3F3; border-radius:4px ; margin: 25px 78px\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: italic; font-weight: 500; font-size: 13px; line-height: 24px;text-align: center; color: #2C2C2C; padding: 24px 26px;\">‘{ticket_message}’</p>\r\n</div>\r\n<div style=\"margin: 20px 78px 58px; background: #FFFFFF; border: 1px solid #DFDFDF; border-radius: 4px; display: flex;padding: 16px;\">\r\n<div style=\" margin-right:60px; text-align: left;\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif;font-style: normal; font-weight: 500; font-size: 13px;line-height: 17px; color:#898989; word-break: break-all;\"><span style=\"color: #2c2c2c; padding-right: 2px;\">Ticket ID:</span>{ticket_no}</p>\r\n<p style=\"font-family: \'DM Sans\', sans-serif;font-style: normal;  text-align: left; font-weight: 500; margin-bottom: 0px; font-size: 13px; line-height: 17px; color:#898989; word-break: break-all;\"><span style=\"color: #2c2c2c; padding-right: 2px;\">Subject:</span>{ticket_subject}</p>\r\n</div>\r\n<div class=\" text-align: left;\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif;font-style: normal; font-weight: 500; font-size: 13px;line-height: 17px; color:#898989; word-break: break-all;margin-bottom: 0px;\"><span style=\"color: #2c2c2c; padding-right: 2px;\">Status:</span>{ticket_status}</p>\r\n</div>\r\n</div>\r\n\r\n</td>\r\n\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<div>\r\n<a href=\"{details}\" aria-pressed=\"true\" class=\"actives anchor-tag\">\r\n<span style=\"text-decoration: none; color: #2C2C2C;\">View Tickets</span>\r\n</a>\r\n</div>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 13px; line-height: 17px; text-align: center; color: #2C2C2C; margin-top: 46px; margin-bottom:12px\">Thank You,</p>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; margin:0; font-weight: 500; font-size: 13px;line-height: 17px; text-align: center;color: #898989;\">{team_member}</p>\r\n<p style=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500;font-size: 13px;line-height: 17px; text-align: center;color: #898989;margin:0; margin-top: 7px; margin-bottom: 20px;\">{company_name}</p>\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"style=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500; margin-bottom: 200px; \">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<p style=\"text-align: center; line-height: 16px; color: #898989; font-size: 12px; margin: 13px 0px;\" > &copy 2022, {company_name}. All rights reserved.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n</body>\r\n</html>\r\n','TICKET REPLY\r\n\r\nHello {name},\r\n\r\nReply from {team_member} at {company_name}.\r\n\'{ticket_message}\'\r\n\r\nID: {ticket_no}\r\nSubject: {ticket_subject}\r\nStatus: {ticket_status}\r\n\r\nView Tickets: {tickets_link}\r\n\r\n{company_name}\r\n\r\n© 2024, {company_name}. All rights reserved.',1,'Active','ticket_subject, ticket_no, customer_name, name, ticket_message, ticket_status, details, company_name','2024-09-19 06:34:28','2024-09-19 06:34:32'),(21,NULL,'Low Stock Threshold','low-stock-threshold','Low Stock Threshold Remembered','<!DOCTYPE html>\r\n<html>\r\n\r\n<head>\r\n<meta charset=\"utf-8\" />\r\n<meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\" />\r\n<title>10.NEW COUPON ADDED</title>\r\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\" />\r\n<style type=\"text/css\">\r\n@media screen {\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 700;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriASitCBimCw.woff2) format(\"woff2\");\r\n}\r\n\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 500;\r\nfont-style: normal;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriAWCrCBimCw.woff2) format(\"woff2\");\r\n}\r\n}\r\n\r\n.bodys,\r\n.tables,\r\ntd,\r\n.anchor-tag a {\r\n-ms-text-size-adjust: 100%;\r\n-webkit-text-size-adjust: 100%;\r\n}\r\n\r\n.tables,\r\ntd {\r\nmso-table-rspace: 0pt;\r\nmso-table-lspace: 0pt;\r\n}\r\n\r\n.anchor-tag a {\r\npadding: 1px;\r\nmargin: 1px;\r\n}\r\n\r\n.anchor-tag a[x-apple-data-detectors] {\r\nfont-family: inherit !important;\r\nfont-size: inherit !important;\r\nfont-weight: inherit !important;\r\nline-height: inherit !important;\r\ncolor: inherit !important;\r\ntext-decoration: none !important;\r\n}\r\n\r\n.bodys {\r\nwidth: 100% !important;\r\nheight: 100% !important;\r\npadding: 0 !important;\r\nmargin: 0 !important;\r\n}\r\n\r\n.tables {\r\nborder-collapse: collapse !important;\r\n}\r\n\r\n.logo-img {\r\nmargin: 26px 0px 19px 0px;\r\npadding: 0px;\r\nwidth: 207.98px;\r\nheight: 56px;\r\n}\r\n\r\n.anchor-tag a:focus,\r\n.anchor-tag a:hover {\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: none;\r\ntext-decoration-color: #fcca19;\r\n}\r\n</style>\r\n</head>\r\n\r\n<body class=\"bodys\" style=\"background-color: #e9ecef\">\r\n<div class=\"preheader\"\r\nstyle=\"display: none; max-width: 0; max-height: 0; margin: 0px; overflow: hidden; color: #fff; opacity: 0;\"></div>\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px\">\r\n<tr>\r\n<td align=\"center\" valign=\"top\" style=\"padding: 36px 24px\"></td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; margin-top: 100px\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<img class=\"logo-img\" src=\"{logo}\" alt=\"logo\" />\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#fff\">\r\n<p style=\"font-family: \'DM Sans\', sans-serif; letter-spacing: 0.255em; text-transform: uppercase; margin: 26px 0px;\r\nline-height: 25px; font-size: 0.8em !important; color: rgb(44, 44, 44); font-weight: 500 !important;\r\ncursor: default !important;\"></p>\r\n<p style=\"margin: 0px;text-align: center; line-height: 24px; font-size: 16px;\r\ncolor: #2c2c2c;\"> Hi {user_name} </p>\r\n<p style=\" margin: 0px; color: #898989; font-size: 14px; margin: 3px 50px 31px;\r\ntext-align: center; line-height: 24px;\">Below products has reached the low stock threshold value <br>\r\n{product_list}\r\n<br>Please add stock to this products</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<div>\r\n<p style=\" font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 700;\r\nfont-size: 18px; line-height: 21px; margin-top: 37px; text-align: center;\r\ntext-transform: uppercase; color: #2c2c2c;\"> Keep in touch</p>\r\n</div>\r\n<div style=\" font-size: 14px; text-align: center; color: #898989;line-height: 22px; margin: 1px;\">\r\n<div style=\" font-size: 14px; text-align: center; color: #898989;line-height: 22px; margin: 1px;\">\r\n<p style=\"margin-top: 14px\">If you have any queries, concerns or suggestions,\r\n</p>\r\n<p style=\"margin: 0px; margin-top: 1px\">please email us:\r\n<span style=\"text-decoration: underline; cursor: pointer; color: #0060a9;\">{support_mail}</span>\r\n</p>\r\n</div>\r\n</div>\r\n<div style=\"margin-top: 32px; margin-bottom: 31px\">\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \"\r\nhref=\"https://www.facebook.com/\"><img src=\"https://i.ibb.co/fCZXxCC/Group-9380.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block;\"\r\nhref=\"https://twitter.com/?lang=en\"><img src=\"https://i.ibb.co/ZLgzjS0/twitter.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px;display: inline-block; \"\r\nhref=\"https://www.instagram.com/?hl=en\"><img src=\"https://i.ibb.co/WKyFkYz/instagramm.png\"\r\nalt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \"\r\nhref=\"https://www.whatsapp.com/\"><img src=\"https://i.ibb.co/6R7LWr1/watsapp.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block;\"\r\nhref=\"https://www.pioneer.eu/\"><img src=\"https://i.ibb.co/wYT6Tmg/pinterest.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \"\r\nhref=\"https://www.youtube.com/\"><img src=\"https://i.ibb.co/RT7Zns1/youtube.png\" alt=\"\" /></a>\r\n</div>\r\n<p style=\"border-top: 1px solid #dfdfdf;margin: 1px 20px 0px 20px; \"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500; margin-bottom: 200px; \">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<p style=\" text-align: center; line-height: 16px; color: #898989; font-size: 12px; margin: 13px 0px; \">\r\n&copy 2022, {company_name}. All rights reserved.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n</body>\r\n\r\n</html>','LOW STOCK ALERT\r\n\r\nHi {user_name},\r\n\r\nProducts below threshold:\r\n{product_list}\r\n\r\nPlease add stock.\r\n\r\nKEEP IN TOUCH\r\n\r\nFor assistance, email: {support_mail}\r\n\r\n© 2024, {company_name}. All rights reserved.',1,'Active','logo,user_name, company_url, company_name,support_mail, product_list,','2024-09-19 06:34:28','2024-09-19 06:34:32'),(22,NULL,'order','order','Your Invoice # {invoice_reference_no} from {company_name} has been created.','<!DOCTYPE html>\r\n<html>\r\n\r\n<head>\r\n<meta charset=\"utf-8\" />\r\n<meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\" />\r\n<title>3.Invoice</title>\r\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\" />\r\n<style type=\"text/css\">\r\n@media screen {\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 700;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriASitCBimCw.woff2) format(\"woff2\");\r\n}\r\n\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 500;\r\nfont-style: normal;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriAWCrCBimCw.woff2) format(\"woff2\");\r\n}\r\n\r\n@font-face {\r\nfont-family: \'Roboto\';\r\nfont-style: normal;\r\nfont-weight: 500;\r\nsrc: url(https://fonts.gstatic.com/s/roboto/v30/KFOlCnqEu92Fr1MmEU9fBBc4.woff2) format(\'woff2\');\r\nunicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\r\n}\r\n}\r\n\r\n.bodys,\r\n.tables,\r\ntd,\r\n.anchor-tag a {\r\n-ms-text-size-adjust: 100%;\r\n-webkit-text-size-adjust: 100%;\r\n}\r\n\r\n.tables,\r\ntd {\r\nmso-table-rspace: 0pt;\r\nmso-table-lspace: 0pt;\r\n}\r\n\r\n.anchor-tag a {\r\npadding: 1px;\r\nmargin: 1px;\r\n}\r\n\r\n.anchor-tag a[x-apple-data-detectors] {\r\nfont-family: inherit !important;\r\nfont-size: inherit !important;\r\nfont-weight: inherit !important;\r\nline-height: inherit !important;\r\ncolor: inherit !important;\r\ntext-decoration: none !important;\r\n}\r\n\r\n.bodys {\r\nwidth: 100% !important;\r\nheight: 100% !important;\r\npadding: 0 !important;\r\nmargin: 0 !important;\r\n}\r\n\r\n.tables {\r\nborder-collapse: collapse !important;\r\n}\r\n\r\n.logo-img {\r\nmargin: 26px 0px 19px 0px;\r\npadding: 0px;\r\nwidth: 207.98px;\r\nheight: 56px;\r\n}\r\n\r\n.actives {\r\nbox-sizing: border-box;\r\ntext-decoration: none;\r\n-webkit-text-size-adjust: none;\r\ntext-align: center;\r\nborder-radius: 2px;\r\n-webkit-border-radius: 2px;\r\n-moz-border-radius: 2px;\r\n-khtml-border-radius: 2px;\r\n-o-border-radius: 2px;\r\n-ms-border-radius: 2px;\r\npadding: 10px 31px;\r\ncursor: pointer;\r\nbackground: #fcca19;\r\n}\r\n\r\n.anchor-tag a:focus,\r\n.anchor-tag a:hover {\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: none;\r\ntext-decoration-color: #fcca19;\r\n}\r\n#tracking-table {\r\n    width: 100%;\r\n    border-collapse: collapse;\r\n}\r\n\r\n#tracking-table th, #tracking-table td {\r\n    border: 1px solid black;\r\n    padding: 8px;\r\n}\r\n\r\n#tracking-table th {\r\n    text-align: left;\r\n    background-color: #f2f2f2;\r\n}\r\n\r\n#tracking-table td {\r\n    text-align: center;\r\n}\r\n\r\n#order-table {\r\n    width: 100%;\r\n    border-collapse: collapse;\r\n    margin-top: 20px;\r\n}\r\n\r\n#order-table th, #order-table td {\r\n    border: 1px solid #333;\r\n    padding: 10px;\r\n}\r\n\r\n#order-table th {\r\n    text-align: left;\r\n}\r\n\r\n#order-table td {\r\n    text-align: left;\r\n}\r\n</style>\r\n</head>\r\n\r\n<body class=\"bodys\" style=\"background-color: #e9ecef\">\r\n<div class=\"preheader\"\r\nstyle=\"display: none; max-width: 0; max-height: 0; margin: 0px; overflow: hidden; color: #fff; opacity: 0;\">\r\n</div>\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px\">\r\n<tr>\r\n<td align=\"center\" valign=\"top\" style=\"padding: 36px 24px\"></td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; margin-top: 100px\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<img class=\"logo-img\" src=\"{logo}\" alt=\"logo\" />\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#fff\">\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif; letter-spacing: 0.255em; text-transform: uppercase; margin: 28px 0px 20px 0px; line-height: 25px; font-size:14px !important; color: rgb(44, 44, 44); font-weight: 500 !important; cursor: default !important;\">\r\nYour Order is confirmed</p>\r\n<p\r\nstyle=\"margin: 0px; font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 14px; line-height: 28px; text-align: center; color: #2C2C2C;\">\r\nORDER INVOICE</p>\r\n<p style=\"margin-top: 5px;font-family: \'DM Sans\', sans-serif;  font-style: normal; font-weight: 700;\r\nfont-size: 32px; line-height: 28px; text-align: center; color: #2C2C2C;\">{order_number}\r\n</p>\r\n<p style=\"margin-top: 32px; padding:0px 30px 0px 37px; font-family: \'DM Sans\', sans-serif; text-align: left; font-style: normal; font-weight: 500; font-size: 14px; line-height: 24px; color: #898989;\r\n\"><span style=\"color: #2C2C2C;\">Dear {user_name},</span> your order placed on\r\n<a href=\"{company_url}\" style=\"color:#0060A9 ; text-decoration:underline;\">{company_name}</a>\r\nhas been\r\nconfirmed on <span style=\"color: #2C2C2C;\">{order_confirm_date}.</span> Your order is\r\nbeing prepared for delivery. To cancel your order or for further information, login to\r\nyour account or call us: <span style=\"color: #2C2C2C;\"> {contact_number}.</span></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<div style=\"margin: 29px 20px 0px 37px;\">\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 18px; margin-top: 2px; line-height: 28px; color: #2C2C2C; float: left; text-align: left; padding-top: 4px;\">\r\nORDER DETAILS</p>\r\n<a href=\"{order_track_url}\" aria-pressed=\"true\" class=\"actives anchor-tag\"\r\nstyle=\"font-family: \'DM Sans\',sans-serif; font-style: normal; display:flex; font-weight: 700; float:right; font-size: 14px; line-height: 28px; color: #2C2C2C;\">\r\nCheck Order<img\r\nstyle=\"height: 13px; margin-top: 8px; margin-left: 6px; align-items: center; text-align: center; width:13px;\"\r\nsrc=\"https://i.ibb.co/KbdnGPG/Group-9393.png\" alt=\"\"></a>\r\n</div>\r\n<div style=\"clear: both;\"></div>\r\n<div style=\"margin:14px 20px;\">\r\n<table class=\"tables\" id=\"customers\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"\r\nwidth=\"100%\" style=\"text-align: left;\">\r\n<tr style=\"align-items:left;\">\r\n<th style=\"padding-left: 18px;\">Items</th>\r\n<th>Seller</th>\r\n<th style=\"padding-left:18px;\">Qty</th>\r\n<th>Price</th>\r\n</tr>\r\n<tr>\r\n{products}\r\n<tr>\r\n<td></td>\r\n<td\r\nstyle=\"font-family:\'DM Sans\', sans-serif; border-bottom: 1px solid #DFDFDF; font-style: normal; font-weight: 500; font-size: 14px; line-height: 18px; color: #898989;\">\r\n<p style=\"margin: 1px; padding-top:24px;\">Subtotal </p>\r\n<p style=\"margin: 1px; padding-top:24px;\">Shipping </p>\r\n<p style=\"margin: 1px; padding-top:24px;\">Tax </p>\r\n<p style=\"margin: 1px; padding:16px 0px;\">Discount </p>\r\n</td>\r\n<td style=\"border-bottom: 1px solid #DFDFDF;\">\r\n</td>\r\n<td\r\nstyle=\"font-family:\'DM Sans\', sans-serif;  border-bottom: 1px solid #DFDFDF; font-style: normal; font-weight: 500; font-size: 14px; line-height: 18px; color: #898989;\">\r\n<p style=\"margin: 0; padding-top:24px; margin-top:1px;\">\r\n{currency_symbol}{subtotal}</p>\r\n<p style=\"margin: 0; padding-top:24px; margin-top:1px;\">\r\n{currency_symbol}{shipping_charge}</p>\r\n<p style=\"margin: 0; padding-top:24px; margin-top:1px;\">\r\n{currency_symbol}{tax_charge}</p>\r\n<p style=\"margin: 0;padding:16px 0px; margin-top:1px;\">\r\n{currency_symbol}{discount_amount}</p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-style: normal;font-weight:500; font-size: 14px;line-height: 18px; padding-top: 16px; color: #2C2C2C;\">\r\nGrand Total</td>\r\n<td></td>\r\n<td\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-style:normal; font-weight:500; font-size: 14px;line-height: 18px; padding-top: 16px; color: #2C2C2C;\">\r\n{currency_symbol}{grand_total}</td>\r\n</tr>\r\n</table>\r\n{download}\r\n</div>\r\n<div style=\"clear: both;\"></div>\r\n<div style=\"margin:14px 20px; {shipping_tracking_count}\">\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 18px; margin-top: 2px; line-height: 28px; color: #2C2C2C; float: left; text-align: left; padding-top: 4px;\">\r\nTracking Information</p>\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\" id=\"order-table\">\r\n  <thead>\r\n    <tr>\r\n      <th style=\"{shipping_item_name}\">Item</th>\r\n      <th style=\"{shipping_provider_name}\">Provider</th>\r\n      <th style=\"{shipping_tracking_number}\">Tracking Number</th>\r\n      <th style=\"{date_shipped}\">Date</th>\r\n      <th style=\"{shipping_tracking_url}\">Tracking Url</th>\r\n    </tr>\r\n  </thead>\r\n  <tbody>\r\n            {shipping_tracks}\r\n  </tbody>\r\n</table>\r\n</div>\r\n<div style=\"margin:30px 20px; background-color: #F3F3F3; border-radius: 4px;\">\r\n<div>\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 18px; line-height: 28px; padding: 20px 14px 11px 14px ; text-align: left; padding-left:14px; margin-right:14px;color: #2C2C2C; margin-top: 1px;\">\r\nCUSTOMER DETAILS</p>\r\n<p\r\nstyle=\"border-bottom: 1px solid #DFDFDF; margin-left:14px; margin-top:1px; margin-right:14px;\">\r\n</p>\r\n</div>\r\n<div style=\"display:flex;\">\r\n<div style=\"margin-right:50px\">\r\n<p\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 16px; line-height: 28px; padding: 20px 14px 0px 14px ; text-align: left; padding-left:14px; margin-right:14px;color: #2C2C2C; margin-top: 1px;\">\r\nSHIPPING ADDRESS</p>\r\n<div\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 400; font-size: 14px; line-height: 24px;color: #2C2C2C; padding: 5px 0px 43px 14px; text-align: left; width: 200px; margin-top: 1px; width: 200px;\">\r\n{shipping_address}\r\n</div>\r\n</div>\r\n<div style=\"padding-bottom: 24px; margin-left: 20px;\">\r\n<p\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 16px; line-height: 28px; padding: 26px 14px 0px 14px ; text-align: left; margin-right:14px;color: #2C2C2C; margin-top: 1px;\">\r\nPAYMENT</p>\r\n<p\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 400; font-size: 14px; line-height: 24px; color: #2C2C2C; padding: 5px 0px 0px 14px; text-align: left; margin-top: 1px;\">\r\n{payment_method}</p>\r\n<p\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 16px; line-height: 28px; padding: 26px 14px 0px 14px ; text-align: left; margin-right:14px;color: #2C2C2C; margin-top: 1px;\">\r\nTrack Code</p>\r\n<p\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 400; font-size: 14px; line-height: 24px; color: #2C2C2C; padding: 5px 0px 0px 14px; text-align: left; margin-top: 1px;\">\r\n{track_code}</p>\r\n</div>\r\n</div>\r\n</div>\r\n<div>\r\n<p\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 18px;line-height: 21px; margin-top:1px ;text-align:center; text-transform: uppercase; color: #2C2C2C;\">\r\nKeep in touch</p>\r\n</div>\r\n<div\r\nstyle=\"margin-top: 1px; font-size: 14px; text-align: center; color: #898989; line-height: 22px; margin: 1px;\">\r\n<p style=\"margin-top:14px\"> If you have any queries, concerns or suggestions,</p>\r\n<p style=\"margin:0px; margin-top:1px\"> please email us: <span\r\nstyle=\"cursor: pointer; color: #0060A9; text-decoration: underline;\">{support_mail}</span>\r\n</p>\r\n</div>\r\n<div style=\"margin-top: 25px; margin-bottom:14px;\">\r\n<a class=\"anchor-tag\"\r\nstyle=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://www.facebook.com/\"><img src=\"https://i.ibb.co/fCZXxCC/Group-9380.png\"\r\nalt=\"\" /></a>\r\n<a class=\"anchor-tag\"\r\nstyle=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://twitter.com/?lang=en\"><img src=\"https://i.ibb.co/ZLgzjS0/twitter.png\"\r\nalt=\"\" /></a>\r\n<a class=\"anchor-tag\"\r\nstyle=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://www.instagram.com/?hl=en\"><img\r\nsrc=\"https://i.ibb.co/WKyFkYz/instagramm.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\"\r\nstyle=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://www.whatsapp.com/\"><img src=\"https://i.ibb.co/6R7LWr1/watsapp.png\"\r\nalt=\"\" /></a>\r\n<a class=\"anchor-tag\"\r\nstyle=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://www.pioneer.eu/\"> <img style=\"margin: -2px;\"\r\nsrc=\"https://i.ibb.co/wYT6Tmg/pinterest.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\"\r\nstyle=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://www.youtube.com/\"><img style=\"margin: 1px;\"\r\nsrc=\"https://i.ibb.co/RT7Zns1/youtube.png\" alt=\"\" /></a>\r\n</div>\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500; margin-bottom: 200px;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<p\r\nstyle=\"text-align: center; line-height: 16px; color: #898989; font-size: 12px; margin: 13px 0px;\">\r\n&copy; 2022, {company_name}. All rights reserved.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n</body>\r\n\r\n</html>',NULL,1,'Active','logo,order_number,user_name,shipping_item_name,shipping_provider_name,shipping_tracking_number,shipping_tracking_url,date_shipped,company_url,order_confirm_date,contact_number,order_track_url,currency_symbol,subtotal,shipping_charge,grand_total,shipping_address,payment_method,support_mail,company_name,tax_charge,discount_amount,track_code,products','2024-09-19 06:34:32',NULL),(23,NULL,'Vendor Invoice','vendor-invoice','An Invoice # {invoice_reference_no} from {company_name} has been created.','<!DOCTYPE html>\r\n<html>\r\n\r\n<head>\r\n<meta charset=\"utf-8\" />\r\n<meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\" />\r\n<title>3.Invoice</title>\r\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\" />\r\n<style type=\"text/css\">\r\n@media screen {\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 700;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriASitCBimCw.woff2) format(\"woff2\");\r\n}\r\n\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 500;\r\nfont-style: normal;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriAWCrCBimCw.woff2) format(\"woff2\");\r\n}\r\n\r\n@font-face {\r\nfont-family: \'Roboto\';\r\nfont-style: normal;\r\nfont-weight: 500;\r\nsrc: url(https://fonts.gstatic.com/s/roboto/v30/KFOlCnqEu92Fr1MmEU9fBBc4.woff2) format(\'woff2\');\r\nunicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\r\n}\r\n}\r\n\r\n.bodys,\r\n.tables,\r\ntd,\r\n.anchor-tag a {\r\n-ms-text-size-adjust: 100%;\r\n-webkit-text-size-adjust: 100%;\r\n}\r\n\r\n.tables,\r\ntd {\r\nmso-table-rspace: 0pt;\r\nmso-table-lspace: 0pt;\r\n}\r\n\r\n.anchor-tag a {\r\npadding: 1px;\r\nmargin: 1px;\r\n}\r\n\r\n.anchor-tag a[x-apple-data-detectors] {\r\nfont-family: inherit !important;\r\nfont-size: inherit !important;\r\nfont-weight: inherit !important;\r\nline-height: inherit !important;\r\ncolor: inherit !important;\r\ntext-decoration: none !important;\r\n}\r\n\r\n.bodys {\r\nwidth: 100% !important;\r\nheight: 100% !important;\r\npadding: 0 !important;\r\nmargin: 0 !important;\r\n}\r\n\r\n.tables {\r\nborder-collapse: collapse !important;\r\n}\r\n\r\n.logo-img {\r\nmargin: 26px 0px 19px 0px;\r\npadding: 0px;\r\nwidth: 207.98px;\r\nheight: 56px;\r\n}\r\n\r\n.actives {\r\nbox-sizing: border-box;\r\ntext-decoration: none;\r\n-webkit-text-size-adjust: none;\r\ntext-align: center;\r\nborder-radius: 2px;\r\n-webkit-border-radius: 2px;\r\n-moz-border-radius: 2px;\r\n-khtml-border-radius: 2px;\r\n-o-border-radius: 2px;\r\n-ms-border-radius: 2px;\r\npadding: 10px 31px;\r\ncursor: pointer;\r\nbackground: #fcca19;\r\n}\r\n\r\n.anchor-tag a:focus,\r\n.anchor-tag a:hover {\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: none;\r\ntext-decoration-color: #fcca19;\r\n}\r\n</style>\r\n</head>\r\n\r\n<body class=\"bodys\" style=\"background-color: #e9ecef\">\r\n<div class=\"preheader\"\r\nstyle=\"display: none; max-width: 0; max-height: 0; margin: 0px; overflow: hidden; color: #fff; opacity: 0;\">\r\n</div>\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px\">\r\n<tr>\r\n<td align=\"center\" valign=\"top\" style=\"padding: 36px 24px\"></td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; margin-top: 100px\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<img class=\"logo-img\" src=\"{logo}\" alt=\"logo\" />\r\n<p style=\" border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#fff\">\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif; letter-spacing: 0.255em; text-transform: uppercase; margin: 28px 0px 20px 0px; line-height: 25px; font-size:14px !important; color: rgb(44, 44, 44); font-weight: 500 !important; cursor: default !important;\">\r\nYour Order is confirmed</p>\r\n<p\r\nstyle=\" margin: 0px; font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 14px; line-height: 28px; text-align: center; color: #2C2C2C;\">\r\nORDER INVOICE</p>\r\n<p style=\" margin-top: 5px;font-family: \'DM Sans\', sans-serif;  font-style: normal; font-weight: 700;\r\nfont-size: 32px; line-height: 28px; text-align: center; color: #2C2C2C;\">{order_number}\r\n</p>\r\n<p style=\"margin-top: 32px; padding:0px 30px 0px 37px; font-family: \'DM Sans\', sans-serif; text-align: left; font-style: normal; font-weight: 500; font-size: 14px; line-height: 24px; color: #898989;\r\n\"><span style=\" color: #2C2C2C;\">Dear {user_name},</span> your order placed on <span\r\nstyle=\"color:#0060A9 ; text-decoration:underline; \">{company_url}</span> has been\r\nconfirmed on <span style=\" color: #2C2C2C;\">{order_confirm_date}.</span> Your order is\r\nbeing prepared for delivery. To cancel your order or for further information, login to\r\nyour account or call us: <span style=\" color: #2C2C2C;\"> {contact_number}.</span></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<div style=\"margin: 29px 20px 0px 37px;\">\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 18px; margin-top: 2px; line-height: 28px; color: #2C2C2C; float: left; text-align: left; padding-top: 4px;\">\r\nORDER DETAILS</p>\r\n<a href=\"{order_details_url}\" aria-pressed=\"true\" class=\"actives anchor-tag\"\r\nstyle=\" font-family: \'DM Sans\',sans-serif; font-style: normal; display:flex; font-weight: 700; float:right; font-size: 14px; line-height: 28px; color: #2C2C2C;\">\r\nCheck Order<img\r\nstyle=\"height: 13px; margin-top: 8px; margin-left: 6px; align-items: center; text-align: center; width:13px;\"\r\nsrc=\"https://i.ibb.co/KbdnGPG/Group-9393.png\" alt=\"\"></a>\r\n</div>\r\n<div style=\"clear: both;\"></div>\r\n<div style=\"margin:14px 20px;\">\r\n<table class=\"tables\" id=\"customers\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"\r\nwidth=\"100%\" style=\"text-align: left;\">\r\n<tr style=\"align-items:left;\">\r\n<th style=\"padding-left: 18px;\">Items</th>\r\n<th>Seller</th>\r\n<th style=\"padding-left:18px;\">Qty</th>\r\n<th>Price</th>\r\n</tr>\r\n<tr>\r\n<td style=\"border-bottom: 1px solid #DFDFDF; width: 300px;\">\r\n<img style=\"width: 21px; height: 21px; padding: 10.5px; background-color: #F1F1F1; border-radius: 2px; margin-left: 18px; margin-top: 24px; margin-bottom: 24px;float:left\"\r\nsrc=\"{product_image}\" alt=\"\">\r\n<div style=\"float:left; width: 220px; padding-bottom: 24px;\">\r\n<p\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 14px; margin-left: 12px; line-height: 20px; color: #2C2C2C; margin-top: 27px;\">\r\n{product_name}</p>\r\n<p\r\nstyle=\"font-family: \'Roboto\', sans-serif; font-style: normal;font-weight: 500; font-size: 11px;line-height: 13px; color: #898989; margin-left: 12px; margin-top: 4px;\">\r\n{attributes}</p>\r\n</div>\r\n<div style=\"clear: both;\"></div>\r\n</td>\r\n<td\r\nstyle=\"font-family:\'DM Sans\', sans-serif; border-bottom: 1px solid #DFDFDF;font-style: normal; font-weight: 500; font-size: 11px; width: 100px; padding-top: 5px; line-height: 16px; color: #2C2C2C;\">\r\n{vendor_name}</td>\r\n<td\r\nstyle=\"font-family:\'DM Sans\', sans-serif; border-bottom: 1px solid #DFDFDF; font-style: normal; padding-left: 24px; font-weight: 500; font-size: 14px; line-height: 18px; text-align: left;  margin-left: 10px; color: #2C2C2C; padding-top: 4px;\">\r\n{product_qty}</td>\r\n<td\r\nstyle=\" font-family:\'DM Sans\', sans-serif;  border-bottom: 1px solid #DFDFDF; font-style: normal; margin-left: 10px;  padding-top: 4px; font-weight: 500;font-size: 14px;line-height: 18px;color: #2C2C2C;\">\r\n{currency_symbol}{product_price}</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td\r\nstyle=\"font-family:\'DM Sans\', sans-serif; border-bottom: 1px solid #DFDFDF; font-style: normal; font-weight: 500; font-size: 14px; line-height: 18px; color: #898989;\">\r\n<p style=\"margin: 1px; padding-top:24px;\">Subtotal </p>\r\n<p style=\"margin: 1px;padding:16px 0px;\">Shipping </p>\r\n</td>\r\n<td style=\"border-bottom: 1px solid #DFDFDF;\">\r\n</td>\r\n<td\r\nstyle=\"font-family:\'DM Sans\', sans-serif;  border-bottom: 1px solid #DFDFDF; font-style: normal; font-weight: 500; font-size: 14px; line-height: 18px; color: #898989;\">\r\n<p style=\"margin: 0; padding-top:24px; margin-top:1px;\">\r\n{currency_symbol}{subtotal}</p>\r\n<p style=\"margin: 0;padding:16px 0px; margin-top:1px;\">\r\n{currency_symbol}{shipping_charge}</p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-style: normal;font-weight:500; font-size: 14px;line-height: 18px; padding-top: 16px; color: #2C2C2C;\">\r\nGrand Total</td>\r\n<td></td>\r\n<td\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-style:normal; font-weight:500; font-size: 14px;line-height: 18px; padding-top: 16px; color: #2C2C2C;\">\r\n{currency_symbol}{grand_total}</td>\r\n</tr>\r\n</table>\r\n</div>\r\n\r\n<div style=\"clear: both;\"></div>\r\n<div style=\"margin:14px 20px; {shipping_tracking_count}\">\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 18px; margin-top: 2px; line-height: 28px; color: #2C2C2C; float: left; text-align: left; padding-top: 4px;\">\r\nTracking Information</p>\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\" id=\"order-table\">\r\n  <thead>\r\n    <tr>\r\n      <th style=\"{shipping_item_name}\">Item</th>\r\n      <th style=\"{shipping_provider_name}\">Provider</th>\r\n      <th style=\"{shipping_tracking_number}\">Tracking Number</th>\r\n      <th style=\"{date_shipped}\">Date</th>\r\n      <th style=\"{shipping_tracking_url}\">Tracking Url</th>\r\n    </tr>\r\n  </thead>\r\n  <tbody>\r\n            {shipping_tracks}\r\n  </tbody>\r\n</table>\r\n</div>\r\n\r\n<div style=\"margin:30px 20px; background-color: #F3F3F3; border-radius: 4px;\">\r\n<div>\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 18px; line-height: 28px; padding: 20px 14px 11px 14px ; text-align: left; padding-left:14px; margin-right:14px;color: #2C2C2C; margin-top: 1px;\">\r\nCUSTOMER DETAILS</p>\r\n<p\r\nstyle=\"border-bottom: 1px solid #DFDFDF; margin-left:14px; margin-top:1px; margin-right:14px;\">\r\n</p>\r\n</div>\r\n<div style=\"display:flex;\">\r\n<div style=\"margin-right:50px\">\r\n<p\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 16px; line-height: 28px; padding: 20px 14px 0px 14px ; text-align: left; padding-left:14px; margin-right:14px;color: #2C2C2C; margin-top: 1px;\">\r\nSHIPPING ADDRESS</p>\r\n<p\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 400; font-size: 14px; line-height: 24px;color: #2C2C2C; padding: 5px 0px 43px 14px; text-align: left; width: 200px; margin-top: 1px; width: 200px;\">\r\n{shipping_address}\r\n</p>\r\n</div>\r\n<div style=\"padding-bottom: 24px; margin-left: 20px;\">\r\n<p\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 16px; line-height: 28px; padding: 20px 14px 0px 14px ; text-align: left; padding-left:14px; margin-right:14px;color:#2C2C2C; margin-top: 1px;\">\r\nESTIMATED DELIVERY TIME</p>\r\n<p\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 400; font-size: 14px; line-height: 24px; color: #2C2C2C; padding: 5px 0px 0px 14px; text-align: left; margin-top: 1px;\">\r\n{estimated_delivery_time} Office Days</p>\r\n<p\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 16px; line-height: 28px; padding: 26px 14px 0px 14px ; text-align: left; margin-right:14px;color: #2C2C2C; margin-top: 1px;\">\r\nPAYMENT</p>\r\n<p\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 400; font-size: 14px; line-height: 24px; color: #2C2C2C; padding: 5px 0px 0px 14px; text-align: left; margin-top: 1px;\">\r\n{payment_method}</p>\r\n</div>\r\n</div>\r\n</div>\r\n<div>\r\n<p\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 18px;line-height: 21px; margin-top:1px ;text-align:center; text-transform: uppercase; color: #2C2C2C;\">\r\nKeep in touch</p>\r\n</div>\r\n<div\r\nstyle=\"margin-top: 1px; font-size: 14px; text-align: center; color: #898989; line-height: 22px; margin: 1px;\">\r\n<p style=\"margin-top:14px\"> If you have any queries, concerns or suggestions,</p>\r\n<p style=\"margin:0px; margin-top:1px\"> please email us: <span\r\nstyle=\"cursor: pointer; color: #0060A9; text-decoration: underline;\">{support_mail}</span>\r\n</p>\r\n</div>\r\n<div style=\"margin-top: 25px; margin-bottom:14px;\">\r\n<a class=\"anchor-tag\"\r\nstyle=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://www.facebook.com/\"><img src=\"https://i.ibb.co/fCZXxCC/Group-9380.png\"\r\nalt=\"\" /></a>\r\n<a class=\"anchor-tag\"\r\nstyle=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://twitter.com/?lang=en\"><img src=\"https://i.ibb.co/ZLgzjS0/twitter.png\"\r\nalt=\"\" /></a>\r\n<a class=\"anchor-tag\"\r\nstyle=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://www.instagram.com/?hl=en\"><img\r\nsrc=\"https://i.ibb.co/WKyFkYz/instagramm.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\"\r\nstyle=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://www.whatsapp.com/\"><img src=\"https://i.ibb.co/6R7LWr1/watsapp.png\"\r\nalt=\"\" /></a>\r\n<a class=\"anchor-tag\"\r\nstyle=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://www.pioneer.eu/\"> <img style=\"margin: -2px;\"\r\nsrc=\"https://i.ibb.co/wYT6Tmg/pinterest.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\"\r\nstyle=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://www.youtube.com/\"><img style=\"margin: 1px;\"\r\nsrc=\"https://i.ibb.co/RT7Zns1/youtube.png\" alt=\"\" /></a>\r\n</div>\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500; margin-bottom: 200px;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<p\r\nstyle=\"text-align: center; line-height: 16px; color: #898989; font-size: 12px; margin: 13px 0px;\">\r\n&copy 2022, {company_name}. All rights reserved.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n</body>\r\n\r\n</html>',NULL,1,'Active','logo,order_number,user_name,company_url,order_confirm_date,contact_number,order_details_url,product_image,product_name,attributes,vendor_name,vendor_name,currency_symbol,product_price,subtotal,shipping_charge,grand_total,shipping_address,estimated_delivery_time,payment_method,support_mail,company_name, shipping_item_name,shipping_provider_name,shipping_tracking_number,shipping_tracking_url,date_shipped,order_track_url','2024-09-19 06:34:32',NULL),(24,NULL,'Order specific mail','order-specific-mail','An Invoice # {invoice_reference_no} from {company_name} has been created.','<!DOCTYPE html>\r\n<html>\r\n\r\n<head>\r\n<meta charset=\"utf-8\" />\r\n<meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\" />\r\n<title>3.Invoice</title>\r\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\" />\r\n<style type=\"text/css\">\r\n@media screen {\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 700;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriASitCBimCw.woff2) format(\"woff2\");\r\n}\r\n\r\n@font-face {\r\nfont-family: \"DM Sans\";\r\nfont-weight: 500;\r\nfont-style: normal;\r\nsrc: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriAWCrCBimCw.woff2) format(\"woff2\");\r\n}\r\n\r\n@font-face {\r\nfont-family: \'Roboto\';\r\nfont-style: normal;\r\nfont-weight: 500;\r\nsrc: url(https://fonts.gstatic.com/s/roboto/v30/KFOlCnqEu92Fr1MmEU9fBBc4.woff2) format(\'woff2\');\r\nunicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\r\n}\r\n}\r\n\r\n.bodys,\r\n.tables,\r\ntd,\r\n.anchor-tag a {\r\n-ms-text-size-adjust: 100%;\r\n-webkit-text-size-adjust: 100%;\r\n}\r\n\r\n.tables,\r\ntd {\r\nmso-table-rspace: 0pt;\r\nmso-table-lspace: 0pt;\r\n}\r\n\r\n.anchor-tag a {\r\npadding: 1px;\r\nmargin: 1px;\r\n}\r\n\r\n.anchor-tag a[x-apple-data-detectors] {\r\nfont-family: inherit !important;\r\nfont-size: inherit !important;\r\nfont-weight: inherit !important;\r\nline-height: inherit !important;\r\ncolor: inherit !important;\r\ntext-decoration: none !important;\r\n}\r\n\r\n.bodys {\r\nwidth: 100% !important;\r\nheight: 100% !important;\r\npadding: 0 !important;\r\nmargin: 0 !important;\r\n}\r\n\r\n.tables {\r\nborder-collapse: collapse !important;\r\n}\r\n\r\n.logo-img {\r\nmargin: 26px 0px 19px 0px;\r\npadding: 0px;\r\nwidth: 207.98px;\r\nheight: 56px;\r\n}\r\n\r\n.actives {\r\nbox-sizing: border-box;\r\ntext-decoration: none;\r\n-webkit-text-size-adjust: none;\r\ntext-align: center;\r\nborder-radius: 2px;\r\n-webkit-border-radius: 2px;\r\n-moz-border-radius: 2px;\r\n-khtml-border-radius: 2px;\r\n-o-border-radius: 2px;\r\n-ms-border-radius: 2px;\r\npadding: 10px 31px;\r\ncursor: pointer;\r\nbackground: #fcca19;\r\n}\r\n\r\n.anchor-tag a:focus,\r\n.anchor-tag a:hover {\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: underline;\r\ntext-decoration-color: #fcca19;\r\n}\r\n\r\n.anchor-tag a:-webkit-any-link {\r\ncolor: -webkit-link;\r\ncursor: pointer;\r\ntext-decoration: none;\r\ntext-decoration-color: #fcca19;\r\n}\r\n</style>\r\n</head>\r\n\r\n<body class=\"bodys\" style=\"background-color: #e9ecef\">\r\n<div class=\"preheader\"\r\nstyle=\"display: none; max-width: 0; max-height: 0; margin: 0px; overflow: hidden; color: #fff; opacity: 0;\">\r\n</div>\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px\">\r\n<tr>\r\n<td align=\"center\" valign=\"top\" style=\"padding: 36px 24px\"></td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; margin-top: 100px\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<img class=\"logo-img\" src=\"{logo}\" alt=\"logo\" />\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#fff\">\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif; letter-spacing: 0.255em; text-transform: uppercase; margin: 28px 0px 20px 0px; line-height: 25px; font-size:14px !important; color: rgb(44, 44, 44); font-weight: 500 !important; cursor: default !important;\">\r\nYour Order is confirmed</p>\r\n<p\r\nstyle=\"margin: 0px; font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 500; font-size: 14px; line-height: 28px; text-align: center; color: #2C2C2C;\">\r\nORDER INVOICE</p>\r\n<p style=\"margin-top: 5px;font-family: \'DM Sans\', sans-serif;  font-style: normal; font-weight: 700;\r\nfont-size: 32px; line-height: 28px; text-align: center; color: #2C2C2C;\">{order_number}\r\n</p>\r\n<p style=\"margin-top: 32px; padding:0px 30px 0px 37px; font-family: \'DM Sans\', sans-serif; text-align: left; font-style: normal; font-weight: 500; font-size: 14px; line-height: 24px; color: #898989;\r\n\">An order placed on\r\n<a href=\"{company_url}\" style=\"color:#0060A9 ; text-decoration:underline;\">{company_name}</a>\r\nhas been\r\nconfirmed on <span style=\"color: #2C2C2C;\">{order_confirm_date}.</span> This order is\r\nbeing prepared for delivery.</span></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<div style=\"margin: 29px 20px 0px 37px;\">\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 18px; margin-top: 2px; line-height: 28px; color: #2C2C2C; float: left; text-align: left; padding-top: 4px;\">\r\nORDER DETAILS</p>\r\n<a href=\"{order_track_url}\" aria-pressed=\"true\" class=\"actives anchor-tag\"\r\nstyle=\"font-family: \'DM Sans\',sans-serif; font-style: normal; display:flex; font-weight: 700; float:right; font-size: 14px; line-height: 28px; color: #2C2C2C;\">\r\nCheck Order<img\r\nstyle=\"height: 13px; margin-top: 8px; margin-left: 6px; align-items: center; text-align: center; width:13px;\"\r\nsrc=\"https://i.ibb.co/KbdnGPG/Group-9393.png\" alt=\"\"></a>\r\n</div>\r\n<div style=\"clear: both;\"></div>\r\n<div style=\"margin:14px 20px;\">\r\n<table class=\"tables\" id=\"customers\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"\r\nwidth=\"100%\" style=\"text-align: left;\">\r\n<tr style=\"align-items:left;\">\r\n<th style=\"padding-left: 18px;\">Items</th>\r\n<th>Seller</th>\r\n<th style=\"padding-left:18px;\">Qty</th>\r\n<th>Price</th>\r\n</tr>\r\n<tr>\r\n{products}\r\n<tr>\r\n<td></td>\r\n<td\r\nstyle=\"font-family:\'DM Sans\', sans-serif; border-bottom: 1px solid #DFDFDF; font-style: normal; font-weight: 500; font-size: 14px; line-height: 18px; color: #898989;\">\r\n<p style=\"margin: 1px; padding-top:24px;\">Subtotal </p>\r\n<p style=\"margin: 1px; padding-top:24px;\">Shipping </p>\r\n<p style=\"margin: 1px; padding-top:24px;\">Tax </p>\r\n<p style=\"margin: 1px; padding:16px 0px;\">Discount </p>\r\n</td>\r\n<td style=\"border-bottom: 1px solid #DFDFDF;\">\r\n</td>\r\n<td\r\nstyle=\"font-family:\'DM Sans\', sans-serif;  border-bottom: 1px solid #DFDFDF; font-style: normal; font-weight: 500; font-size: 14px; line-height: 18px; color: #898989;\">\r\n<p style=\"margin: 0; padding-top:24px; margin-top:1px;\">\r\n{currency_symbol}{subtotal}</p>\r\n<p style=\"margin: 0; padding-top:24px; margin-top:1px;\">\r\n{currency_symbol}{shipping_charge}</p>\r\n<p style=\"margin: 0; padding-top:24px; margin-top:1px;\">\r\n{currency_symbol}{tax_charge}</p>\r\n<p style=\"margin: 0;padding:16px 0px; margin-top:1px;\">\r\n{currency_symbol}{discount_amount}</p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-style: normal;font-weight:500; font-size: 14px;line-height: 18px; padding-top: 16px; color: #2C2C2C;\">\r\nGrand Total</td>\r\n<td></td>\r\n<td\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-style:normal; font-weight:500; font-size: 14px;line-height: 18px; padding-top: 16px; color: #2C2C2C;\">\r\n{currency_symbol}{grand_total}</td>\r\n</tr>\r\n</table>\r\n{download}\r\n</div>\r\n<div style=\"margin:30px 20px; background-color: #F3F3F3; border-radius: 4px;\">\r\n<div>\r\n<p\r\nstyle=\"font-family: \'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 18px; line-height: 28px; padding: 20px 14px 11px 14px ; text-align: left; padding-left:14px; margin-right:14px;color: #2C2C2C; margin-top: 1px;\">\r\nCUSTOMER DETAILS</p>\r\n<p\r\nstyle=\"border-bottom: 1px solid #DFDFDF; margin-left:14px; margin-top:1px; margin-right:14px;\">\r\n</p>\r\n</div>\r\n<div style=\"display:flex;\">\r\n<div style=\"margin-right:50px\">\r\n<p\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 16px; line-height: 28px; padding: 20px 14px 0px 14px ; text-align: left; padding-left:14px; margin-right:14px;color: #2C2C2C; margin-top: 1px;\">\r\nSHIPPING ADDRESS</p>\r\n<div\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 400; font-size: 14px; line-height: 24px;color: #2C2C2C; padding: 5px 0px 43px 14px; text-align: left; width: 200px; margin-top: 1px; width: 200px;\">\r\n{shipping_address}\r\n</div>\r\n</div>\r\n<div style=\"padding-bottom: 24px; margin-left: 20px;\">\r\n<p\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 16px; line-height: 28px; padding: 26px 14px 0px 14px ; text-align: left; margin-right:14px;color: #2C2C2C; margin-top: 1px;\">\r\nPAYMENT</p>\r\n<p\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 400; font-size: 14px; line-height: 24px; color: #2C2C2C; padding: 5px 0px 0px 14px; text-align: left; margin-top: 1px;\">\r\n{payment_method}</p>\r\n<p\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 16px; line-height: 28px; padding: 26px 14px 0px 14px ; text-align: left; margin-right:14px;color: #2C2C2C; margin-top: 1px;\">\r\nTrack Code</p>\r\n<p\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 400; font-size: 14px; line-height: 24px; color: #2C2C2C; padding: 5px 0px 0px 14px; text-align: left; margin-top: 1px;\">\r\n{track_code}</p>\r\n</div>\r\n</div>\r\n</div>\r\n<div>\r\n<p\r\nstyle=\"font-family:\'DM Sans\', sans-serif; font-style: normal; font-weight: 700; font-size: 18px;line-height: 21px; margin-top:1px ;text-align:center; text-transform: uppercase; color: #2C2C2C;\">\r\nKeep in touch</p>\r\n</div>\r\n<div\r\nstyle=\"margin-top: 1px; font-size: 14px; text-align: center; color: #898989; line-height: 22px; margin: 1px;\">\r\n<p style=\"margin-top:14px\"> If you have any queries, concerns or suggestions,</p>\r\n<p style=\"margin:0px; margin-top:1px\"> please email us: <span\r\nstyle=\"cursor: pointer; color: #0060A9; text-decoration: underline;\">{support_mail}</span>\r\n</p>\r\n</div>\r\n<div style=\"margin-top: 25px; margin-bottom:14px;\">\r\n<a class=\"anchor-tag\"\r\nstyle=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://www.facebook.com/\"><img src=\"https://i.ibb.co/fCZXxCC/Group-9380.png\"\r\nalt=\"\" /></a>\r\n<a class=\"anchor-tag\"\r\nstyle=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://twitter.com/?lang=en\"><img src=\"https://i.ibb.co/ZLgzjS0/twitter.png\"\r\nalt=\"\" /></a>\r\n<a class=\"anchor-tag\"\r\nstyle=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://www.instagram.com/?hl=en\"><img\r\nsrc=\"https://i.ibb.co/WKyFkYz/instagramm.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\"\r\nstyle=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://www.whatsapp.com/\"><img src=\"https://i.ibb.co/6R7LWr1/watsapp.png\"\r\nalt=\"\" /></a>\r\n<a class=\"anchor-tag\"\r\nstyle=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://www.pioneer.eu/\"> <img style=\"margin: -2px;\"\r\nsrc=\"https://i.ibb.co/wYT6Tmg/pinterest.png\" alt=\"\" /></a>\r\n<a class=\"anchor-tag\"\r\nstyle=\"margin-right: 9px; width: 32px; height:32px; display: inline-block;\"\r\nhref=\"https://www.youtube.com/\"><img style=\"margin: 1px;\"\r\nsrc=\"https://i.ibb.co/RT7Zns1/youtube.png\" alt=\"\" /></a>\r\n</div>\r\n<p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#e9ecef\">\r\n<table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\nstyle=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500; margin-bottom: 200px;\">\r\n<tr>\r\n<td align=\"center\" bgcolor=\"#ffffff\">\r\n<p\r\nstyle=\"text-align: center; line-height: 16px; color: #898989; font-size: 12px; margin: 13px 0px;\">\r\n&copy; 2022, {company_name}. All rights reserved.</p>\r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n</body>\r\n\r\n</html>',NULL,1,'Active','logo,order_number,user_name,company_url,order_confirm_date,contact_number,order_track_url,currency_symbol,subtotal,shipping_charge,grand_total,shipping_address,payment_method,support_mail,company_name,tax_charge,discount_amount,track_code,products','2024-09-19 06:34:32',NULL),(25,NULL,'Database Backup Failed','database-backup-failed','Database Backup Failed','<!DOCTYPE html>\r\n                <html>\r\n\r\n                <head>\r\n                <meta charset=\"utf-8\" />\r\n                <meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\" />\r\n                <title>10.NEW COUPON ADDED</title>\r\n                <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\" />\r\n                <style type=\"text/css\">\r\n                @media screen {\r\n                @font-face {\r\n                font-family: \"DM Sans\";\r\n                font-weight: 700;\r\n                src: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriASitCBimCw.woff2) format(\"woff2\");\r\n                }\r\n\r\n                @font-face {\r\n                font-family: \"DM Sans\";\r\n                font-weight: 500;\r\n                font-style: normal;\r\n                src: url(https://fonts.gstatic.com/s/dmsans/v11/rP2Cp2ywxg089UriAWCrCBimCw.woff2) format(\"woff2\");\r\n                }\r\n                }\r\n\r\n                .bodys,\r\n                .tables,\r\n                td,\r\n                .anchor-tag a {\r\n                -ms-text-size-adjust: 100%;\r\n                -webkit-text-size-adjust: 100%;\r\n                }\r\n\r\n                .tables,\r\n                td {\r\n                mso-table-rspace: 0pt;\r\n                mso-table-lspace: 0pt;\r\n                }\r\n\r\n                .anchor-tag a {\r\n                padding: 1px;\r\n                margin: 1px;\r\n                }\r\n\r\n                .anchor-tag a[x-apple-data-detectors] {\r\n                font-family: inherit !important;\r\n                font-size: inherit !important;\r\n                font-weight: inherit !important;\r\n                line-height: inherit !important;\r\n                color: inherit !important;\r\n                text-decoration: none !important;\r\n                }\r\n\r\n                .bodys {\r\n                width: 100% !important;\r\n                height: 100% !important;\r\n                padding: 0 !important;\r\n                margin: 0 !important;\r\n                }\r\n\r\n                .tables {\r\n                border-collapse: collapse !important;\r\n                }\r\n\r\n                .logo-img {\r\n                margin: 26px 0px 19px 0px;\r\n                padding: 0px;\r\n                width: 207.98px;\r\n                height: 56px;\r\n                }\r\n\r\n                .anchor-tag a:focus,\r\n                .anchor-tag a:hover {\r\n                text-decoration: underline;\r\n                text-decoration-color: #fcca19;\r\n                }\r\n\r\n                .anchor-tag a:-webkit-any-link {\r\n                color: -webkit-link;\r\n                cursor: pointer;\r\n                text-decoration: underline;\r\n                text-decoration-color: #fcca19;\r\n                }\r\n\r\n                .anchor-tag a:-webkit-any-link {\r\n                color: -webkit-link;\r\n                cursor: pointer;\r\n                text-decoration: none;\r\n                text-decoration-color: #fcca19;\r\n                }\r\n                </style>\r\n                </head>\r\n\r\n                <body class=\"bodys\" style=\"background-color: #e9ecef\">\r\n                <div class=\"preheader\"\r\n                style=\"display: none; max-width: 0; max-height: 0; margin: 0px; overflow: hidden; color: #fff; opacity: 0;\"></div>\r\n                <table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n                <tr>\r\n                <td align=\"center\" bgcolor=\"#e9ecef\">\r\n                <table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"max-width: 640px\">\r\n                <tr>\r\n                <td align=\"center\" valign=\"top\" style=\"padding: 36px 24px\"></td>\r\n                </tr>\r\n                </table>\r\n                </td>\r\n                </tr>\r\n                <tr>\r\n                <td align=\"center\" bgcolor=\"#e9ecef\">\r\n                <table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\n                style=\"max-width: 640px; margin-top: 100px\">\r\n                <tr>\r\n                <td align=\"center\" bgcolor=\"#ffffff\">\r\n                <img class=\"logo-img\" src=\"{logo}\" alt=\"logo\" />\r\n                <p style=\"border-top: 1px solid #dfdfdf; margin: 1px 20px 0px 20px;\"></p>\r\n                </td>\r\n                </tr>\r\n                </table>\r\n                </td>\r\n                </tr>\r\n                <tr>\r\n                <td align=\"center\" bgcolor=\"#e9ecef\">\r\n                <table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\n                style=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n                <tr>\r\n                <td align=\"center\" bgcolor=\"#fff\">\r\n                <p style=\"font-family: \'DM Sans\', sans-serif; letter-spacing: 0.255em; text-transform: uppercase; margin: 26px 0px;\r\n                line-height: 25px; font-size: 0.8em !important; color: rgb(44, 44, 44); font-weight: 500 !important;\r\n                cursor: default !important;\"></p>\r\n                <p style=\"margin: 0px;text-align: center; line-height: 24px; font-size: 16px;\r\n                color: #2c2c2c;\"> Hi {user_name} </p>\r\n                <h4 style=\"text-align: center; line-height: 24px; margin: 3px 50px 31px;\">Database Backup Failed</h4>\r\n                <p style=\" margin: 0px; color: #898989; font-size: 14px; margin: 3px 50px 31px;\r\n                text-align: center; line-height: 24px;\">Note: run php artisan backup:run --only-db --disable-notifications to see full error message.\r\n                </p>\r\n                </td>\r\n                </tr>\r\n                </table>\r\n                </td>\r\n                </tr>\r\n                <tr>\r\n                <td align=\"center\" bgcolor=\"#e9ecef\">\r\n                <table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\n                style=\"max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500;\">\r\n                <tr>\r\n                <td align=\"center\" bgcolor=\"#ffffff\">\r\n\r\n                </div>\r\n                <div style=\"margin-top: 32px; margin-bottom: 31px\">\r\n                <a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \"\r\n                href=\"https://www.facebook.com/\"><img src=\"https://i.ibb.co/fCZXxCC/Group-9380.png\" alt=\"\" /></a>\r\n                <a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block;\"\r\n                href=\"https://twitter.com/?lang=en\"><img src=\"https://i.ibb.co/ZLgzjS0/twitter.png\" alt=\"\" /></a>\r\n                <a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px;display: inline-block; \"\r\n                href=\"https://www.instagram.com/?hl=en\"><img src=\"https://i.ibb.co/WKyFkYz/instagramm.png\"\r\n                alt=\"\" /></a>\r\n                <a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \"\r\n                href=\"https://www.whatsapp.com/\"><img src=\"https://i.ibb.co/6R7LWr1/watsapp.png\" alt=\"\" /></a>\r\n                <a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block;\"\r\n                href=\"https://www.pioneer.eu/\"><img src=\"https://i.ibb.co/wYT6Tmg/pinterest.png\" alt=\"\" /></a>\r\n                <a class=\"anchor-tag\" style=\" margin-right: 9px; width: 32px; display: inline-block; \"\r\n                href=\"https://www.youtube.com/\"><img src=\"https://i.ibb.co/RT7Zns1/youtube.png\" alt=\"\" /></a>\r\n                </div>\r\n                <p style=\"border-top: 1px solid #dfdfdf;margin: 1px 20px 0px 20px; \"></p>\r\n                </td>\r\n                </tr>\r\n                </table>\r\n                </td>\r\n                </tr>\r\n                <tr>\r\n                <td align=\"center\" bgcolor=\"#e9ecef\">\r\n                <table class=\"tables\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"\r\n                style=\" max-width: 640px; font-family: \'DM Sans\', sans-serif; font-weight: 500; margin-bottom: 200px; \">\r\n                <tr>\r\n                <td align=\"center\" bgcolor=\"#ffffff\">\r\n                <p style=\" text-align: center; line-height: 16px; color: #898989; font-size: 12px; margin: 13px 0px; \">\r\n                &copy 2024, {company_name}. All rights reserved.</p>\r\n                </td>\r\n                </tr>\r\n                </table>\r\n                </td>\r\n                </tr>\r\n                </table>\r\n                </body>\r\n\r\n                </html>',NULL,1,'Active','user_name, company_name, logo','2024-09-21 02:54:12',NULL);
/*!40000 ALTER TABLE `email_templates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `failed_jobs`
--

DROP TABLE IF EXISTS `failed_jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `failed_jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `connection` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `failed_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `failed_jobs_uuid_unique` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `failed_jobs`
--

LOCK TABLES `failed_jobs` WRITE;
/*!40000 ALTER TABLE `failed_jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `failed_jobs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `favourites`
--

DROP TABLE IF EXISTS `favourites`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `favourites` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned NOT NULL,
  `user_id` bigint NOT NULL,
  `ip_address` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `browser_agent` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `favourites_product_id_foreign_idx` (`product_id`),
  KEY `favourites_user_id_foreign_idx` (`user_id`),
  KEY `favourites_ip_address_index` (`ip_address`),
  KEY `favourites_browser_agent_index` (`browser_agent`),
  CONSTRAINT `favourites_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `favourites_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `favourites`
--

LOCK TABLES `favourites` WRITE;
/*!40000 ALTER TABLE `favourites` DISABLE KEYS */;
/*!40000 ALTER TABLE `favourites` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `files`
--

DROP TABLE IF EXISTS `files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `files` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `params` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `object_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `object_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `uploaded_by` int DEFAULT NULL,
  `file_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `file_size` double(8,2) DEFAULT NULL,
  `original_file_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2056 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `files`
--

LOCK TABLES `files` WRITE;
/*!40000 ALTER TABLE `files` DISABLE KEYS */;
INSERT INTO `files` VALUES (576,'{\"size\":5.81640625,\"type\":\"webp\"}','webp',NULL,1,'20220803/54a9717eb0ee5dd2df9501d2d2788aa2.webp',5.82,'Group 59.webp','2024-09-19 06:34:29'),(577,'{\"size\":2.6240234375,\"type\":\"webp\"}','webp',NULL,1,'20220803/04c5dd8f473f1ba24184d750355d0f06.webp',2.62,'googleplay.webp','2024-09-19 06:34:29'),(578,'{\"size\":2.025390625,\"type\":\"webp\"}','webp',NULL,1,'20220803/eb0d5577d653c151b73eed36b9ad150f.webp',2.03,'Group (1).webp','2024-09-19 06:34:29'),(579,'{\"size\":3.4951171875,\"type\":\"webp\"}','webp',NULL,1,'20220803/4cacc5a605e14ae7253e399ea1f66cd0.webp',3.50,'Group 94572.webp','2024-09-19 06:34:29'),(580,'{\"size\":3.720703125,\"type\":\"webp\"}','webp',NULL,1,'20220806/ffd1471ce8af5b3c05c5bb9185e5b026.webp',3.72,'martvill-logo.webp','2024-09-19 06:34:29'),(595,'{\"size\":0.810546875,\"type\":\"webp\"}','webp',NULL,1,'20220820/23aec61929155f355dc1887fb712c572.webp',0.81,'camera.webp','2024-09-19 06:34:29'),(596,'{\"size\":0.787109375,\"type\":\"webp\"}','webp',NULL,1,'20220820/cec8ec107035845274d74ce9b509271f.webp',0.79,'headphones (2).webp','2024-09-19 06:34:29'),(597,'{\"size\":0.4541015625,\"type\":\"webp\"}','webp',NULL,1,'20220820/4ae2b36e49c0f2e4319e66b880b58bb0.webp',0.45,'lipstick 1.webp','2024-09-19 06:34:29'),(598,'{\"size\":0.5927734375,\"type\":\"webp\"}','webp',NULL,1,'20220820/d3fb6a0f2345fd8baebb9fe083c56c00.webp',0.59,'polo.webp','2024-09-19 06:34:29'),(599,'{\"size\":0.939453125,\"type\":\"webp\"}','webp',NULL,1,'20220820/603bd00bef537fe73d2ab87034ce857e.webp',0.94,'joystick.webp','2024-09-19 06:34:29'),(600,'{\"size\":0.9921875,\"type\":\"webp\"}','webp',NULL,1,'20220820/b4a7f8c45228f03451855b04a92e1e40.webp',0.99,'watch (2).webp','2024-09-19 06:34:29'),(601,'{\"size\":0.974609375,\"type\":\"webp\"}','webp',NULL,1,'20220820/aee042cf48664defeda3b1fb3d9c33d2.webp',0.97,'basketball (1).webp','2024-09-19 06:34:29'),(602,'{\"size\":1.240234375,\"type\":\"webp\"}','webp',NULL,1,'20220820/2c5e2203165e9fd500e44cc603f00a40.webp',1.24,'steering-wheel (1).webp','2024-09-19 06:34:29'),(603,'{\"size\":72.7119140625,\"type\":\"webp\"}','webp',NULL,1,'20220820/80bfd0208498fd96701385a6905ae25a.webp',72.71,'5c20f7f2371ebd3d160d43b86c11f491_1_slidertwopng.webp','2024-09-19 06:34:29'),(606,'{\"size\":152.791015625,\"type\":\"webp\"}','webp',NULL,1,'20220820/35d9800f1a5d6f6475ad5c9c53dde19d.webp',152.79,'2364300a616482e0bca7b9b1753a34da_1_sliderthreepng.webp','2024-09-19 06:34:29'),(617,'{\"size\":31.7431640625,\"type\":\"webp\"}','jpg',NULL,1,'20220824/ebe800bd45d690a8016ea308532a4542.webp',31.74,'close-up-hand-touching-smartwatch-health-app-screen-gadget-fitness-active-lifestyle-204633170.webp','2024-09-19 06:34:29'),(618,'{\"size\":91.0078125,\"type\":\"webp\"}','webp',NULL,1,'20220824/c07b32f99c44fc3e9437262798d8cc73.webp',91.01,'skin-care-conceptsun-protection-happy-woman-using-sunblock-avoid-from-sunburn-damage-nice-beauty-skin_77116-1364.webp','2024-09-19 06:34:29'),(619,'{\"size\":1.9462890625,\"type\":\"webp\"}','jpg',NULL,1,'20220824/121ed93a0ac9055e9aca43af56446304.webp',1.95,'download.webp','2024-09-19 06:34:29'),(620,'{\"size\":548.4404296875,\"type\":\"webp\"}','webp',NULL,1,'20220824/e2185e790f0d397e5420afc125b89102.webp',548.44,'d5fd284323404df0960593718e18a077.webp','2024-09-19 06:34:29'),(621,'{\"size\":67.18359375,\"type\":\"webp\"}','jpg',NULL,1,'20220824/9441a1f051a3a8828d5b554243c6914b.webp',67.18,'istockphoto-1324478043-170667a.webp','2024-09-19 06:34:29'),(622,'{\"size\":84.662109375,\"type\":\"webp\"}','webp',NULL,1,'20220824/713c757722a939494f75724283174019.webp',84.66,'l253_3271638973306.webp','2024-09-19 06:34:29'),(623,'{\"size\":310.6962890625,\"type\":\"webp\"}','jpg',NULL,1,'20220824/80625e1e922490fe7cc2857570fa6673.webp',310.70,'a-chalkboard-with-the-text-balanced-diet-written-in-it-on-a-table-full-of-a-different-raw-fruits-and-vegetables-some-legumes-and-nuts-some-pieces-o-TA7AAM.webp','2024-09-19 06:34:29'),(624,'{\"size\":93.703125,\"type\":\"webp\"}','jpg',NULL,1,'20220824/15bb98286d4938e4525916885af3718e.webp',93.70,'green-coffee-beans-leaf-measuring-tape-vintage-dark-wooden-surface-concept-weight-loss-52677618.webp','2024-09-19 06:34:29'),(625,'{\"size\":47.373046875,\"type\":\"webp\"}','jpg',NULL,1,'20220824/d23729d91bf07ac5b030ad60d237021a.webp',47.37,'istockphoto-1190440285-612x612.webp','2024-09-19 06:34:29'),(626,'{\"size\":16.771484375,\"type\":\"webp\"}','jpg',NULL,1,'20220824/5dc7a1f0259bf5f7b5aa29c52301397f.webp',16.77,'karate-2578819_640-1.webp','2024-09-19 06:34:29'),(651,'{\"size\":2.1533203125,\"type\":\"webp\"}','webp',NULL,1,'20220904/d8f6694bc327798547b62d00cf81a971.webp',2.15,'Group 94691.webp','2024-09-19 06:34:29'),(652,'{\"size\":1.48046875,\"type\":\"webp\"}','webp',NULL,1,'20220904/06afe32505afa6003915b5b2934f51e7.webp',1.48,'Group 9162.webp','2024-09-19 06:34:29'),(653,'{\"size\":2.19140625,\"type\":\"webp\"}','webp',NULL,1,'20220904/b62712ef7733ddd98f49ac39385c339e.webp',2.19,'Group 9161.webp','2024-09-19 06:34:29'),(655,'{\"size\":342.6591796875,\"type\":\"webp\"}','webp',NULL,1,'20220831/4aa551e593f7e3c1c0bb63b626738eb2.webp',342.66,'unsplash_DmD8HVOjy4c.webp','2024-09-19 06:34:29'),(656,'{\"size\":82.92578125,\"type\":\"webp\"}','webp',NULL,1,'20220831/138b95f17cd98bb837051dfbe54bf64d.webp',82.93,'unsplash_JM-qKEd1GMI.webp','2024-09-19 06:34:29'),(657,'{\"size\":132.2373046875,\"type\":\"webp\"}','webp',NULL,1,'20220831/ad58f57577ee2331b94298ef8301a918.webp',132.24,'unsplash_PDX_a_82obo.webp','2024-09-19 06:34:29'),(663,'{\"size\":4.01953125,\"type\":\"webp\"}','webp',NULL,1,'20220912/80a6e899c44b684664e32cbc47082f60.webp',4.59,'chrome_wzR1GvNvVa.webp','2024-09-19 06:34:29'),(664,'{\"size\":4.1640625,\"type\":\"webp\"}','webp',NULL,1,'20220912/7fb4c55cfbf6fbaebeb7f3fcde4536c0.webp',4.16,'chrome_zpauxPSc4t.webp','2024-09-19 06:34:29'),(665,'{\"size\":4.5859375,\"type\":\"webp\"}','webp',NULL,1,'20220912/857c4980e5995df0ff3cbddab4a76ef0.webp',4.02,'chrome_vHweoDGzyt.webp','2024-09-19 06:34:29'),(666,'{\"size\":228.7119140625,\"type\":\"webp\"}','webp',NULL,1,'20221010/3d31dc001267229f58500e5a0a0b633b.webp',228.71,'Banner Static.webp','2024-09-19 06:34:29'),(667,'{\"size\":291.552734375,\"type\":\"webp\"}','webp',NULL,1,'20221010/f344eaaaa40173a23c693d1b4b24c794.webp',291.55,'wepik-photo-mode-2022910-12118 1.webp','2024-09-19 06:34:29'),(668,'{\"size\":288.1962890625,\"type\":\"webp\"}','webp',NULL,1,'20221010/6201fccfb042197c4e2ea92ad351f9a3.webp',288.20,'pic-10.webp','2024-09-19 06:34:29'),(669,'{\"size\":319.3583984375,\"type\":\"webp\"}','webp',NULL,1,'20221010/7b28339091f2b31678ef9e77fb9067a3.webp',319.36,'pic-6.webp','2024-09-19 06:34:29'),(670,'{\"size\":212.4853515625,\"type\":\"webp\"}','webp',NULL,1,'20221010/77cbd45f8be51b7a1748a7a559af0983.webp',212.49,'pic-12.webp','2024-09-19 06:34:29'),(672,'{\"size\":297.0341796875,\"type\":\"webp\"}','webp',NULL,1,'20221010/3628f6815018ee542f5979bb7750f873.webp',297.03,'pic-14.webp','2024-09-19 06:34:29'),(673,'{\"size\":256.986328125,\"type\":\"webp\"}','webp',NULL,1,'20221010/4c06550e9dc3926a7aa1c020c4c6d11f.webp',256.99,'pic-15.webp','2024-09-19 06:34:29'),(674,'{\"size\":397.021484375,\"type\":\"webp\"}','webp',NULL,1,'20221010/ef061cb28f978966bf51ade380640ee5.webp',397.02,'pic-5.webp','2024-09-19 06:34:29'),(675,'{\"size\":211.693359375,\"type\":\"webp\"}','webp',NULL,1,'20221010/50d21c161426b27d0ec3c7c6a0999905.webp',211.69,'pic-4.webp','2024-09-19 06:34:29'),(676,'{\"size\":276.2138671875,\"type\":\"webp\"}','webp',NULL,1,'20221010/b7ef4c2fe7f6176eca4309b14fabb10f.webp',276.21,'tender-feminine-woman-with-blue-eyes-smiles-pleasantly-has-toothy-smile-wears-white-comfortable-sweater-looks-directly-camera-isolated-pink-background 1.webp','2024-09-19 06:34:29'),(677,'{\"size\":333.68359375,\"type\":\"webp\"}','webp',NULL,1,'20221010/b9413981ec7bfcbdb1d271c930363f56.webp',333.68,'image 1.webp','2024-09-19 06:34:29'),(678,'{\"size\":282.533203125,\"type\":\"webp\"}','webp',NULL,1,'20221010/eeeaa3f1642f41cb4fd4018fc010582f.webp',282.53,'pic-13.webp','2024-09-19 06:34:29'),(679,'{\"size\":125.8583984375,\"type\":\"webp\"}','webp',NULL,1,'20221010/82ff6bfbf12d5cf5ac20834bb43b7fc0.webp',125.86,'pic-9.webp','2024-09-19 06:34:29'),(680,'{\"size\":335.158203125,\"type\":\"webp\"}','webp',NULL,1,'20221010/ca29aa8e24e3bb9bdfcbd83f8fbc3bb4.webp',335.16,'pic-3.webp','2024-09-19 06:34:29'),(681,'{\"size\":6.798828125,\"type\":\"webp\"}','webp',NULL,1,'20221011/086dc641835db6fc00df79148abad1e1.webp',6.80,'9c62242464e6dc3cbda2496d922208f9_1_image_2022_01_24t03_23_05_469zpng.webp','2024-09-19 06:34:29'),(682,'{\"size\":14.271484375,\"type\":\"webp\"}','jpg',NULL,1,'20221011/f33e4ccea0d5efaa143cd340521607c3.webp',14.27,'4d982011374c00de0a0c16eb10516ff3_1_applelogo2021jpg.webp','2024-09-19 06:34:29'),(683,'{\"size\":2.7763671875,\"type\":\"webp\"}','webp',NULL,1,'20221011/3ddae9aa4c83f0d8fbfb4c3adbcc8289.webp',2.78,'77d4aa2eba1364970153ec132784608a_1_pngclipartlogosamsunggalaxyj52016samsunggroupsamsungelectronicsoxforddevelopmentstudiesblueelectronicsthumbnailpng.webp','2024-09-19 06:34:29'),(684,'{\"size\":40.71484375,\"type\":\"webp\"}','jpg',NULL,1,'20221011/d1bc0ad704272f6cb4a4b589d6574412.webp',40.71,'d261e2a67a1dbd27538129974daf630a_1_kisspnglogobrandcompanylgelectronicsthailandplc5ba43a6fc0e5412658764415374895197901jpg.webp','2024-09-19 06:34:29'),(686,'{\"size\":21.3623046875,\"type\":\"webp\"}','jpg',NULL,1,'20221011/dcb37a52ebff8386b4eb78878bab611f.webp',21.36,'e21b0ee660ac2c79011abe9471863056_1_hplogovectordownloadjpg.webp','2024-09-19 06:34:29'),(687,'{\"size\":5.515625,\"type\":\"webp\"}','jpg',NULL,1,'20221011/80f85d406391d9266be72fae11a1a383.webp',5.52,'6b079fd7b80992d1b3a96a02346e3bee_1_imagesjpg.webp','2024-09-19 06:34:29'),(688,'{\"size\":8.2939453125,\"type\":\"webp\"}','jpg',NULL,1,'20221011/d39bd95b2804adfee78d2c242e5a5a6c.webp',8.29,'6d49ee6a1314c8821a91681b299c5197_1_lever_ayushjpg.webp','2024-09-19 06:34:29'),(689,'{\"size\":3.33203125,\"type\":\"webp\"}','webp',NULL,1,'20221011/2740f234dc257a53ee66b6a6f5562987.webp',3.33,'6b222bbe8ced0f0ac721e8ae8f90a6c3_1_downloadpng.webp','2024-09-19 06:34:29'),(690,'{\"size\":90.7646484375,\"type\":\"webp\"}','jpg',NULL,1,'20221011/8a8ffd836eeb17e150b4e3ebcc82d5f2.webp',90.76,'d634e597b380986ed16337cf67c677d6_1_whirlpoollogochromemetalsurfaceonbackground2agr4wpjpg.webp','2024-09-19 06:34:29'),(691,'{\"size\":11.720703125,\"type\":\"webp\"}','jpeg',NULL,1,'20221011/fb117a99e7c96c602fa3257a7d922a38.webp',11.72,'9f52bd449efd9839b2a4b19b79d0e297_1_4b9cffa0d29aa968ddb30f4e25c36fc2jpeg.webp','2024-09-19 06:34:29'),(692,'{\"size\":4.619140625,\"type\":\"webp\"}','jpg',NULL,1,'20221011/0ad32d1e6b8ffbf2b5d8791440eae4bb.webp',4.62,'6683934a283a83a1032311c210f3a521_1_logo_400x200jpg.webp','2024-09-19 06:34:29'),(693,'{\"size\":153.126953125,\"type\":\"webp\"}','webp',NULL,1,'20221011/7ebe3c645aad66b9f90221afb9b9566e.webp',153.13,'a1236efdecba653dd4b346f1d74b4d4d_1_image_2022_01_24t03_12_57_246zpng.webp','2024-09-19 06:34:29'),(694,'{\"size\":246.197265625,\"type\":\"webp\"}','webp',NULL,1,'20221011/9b136f3f4ab0b92988c4ed09de2574a0.webp',246.20,'58a90b5f25d147f3fa8c061fd505a71b_1_image_2022_01_24t03_15_42_955zpng.webp','2024-09-19 06:34:29'),(695,'{\"size\":100.576171875,\"type\":\"webp\"}','webp',NULL,1,'20221011/5e721dc30c8661aec7dd6413432d1b9b.webp',100.58,'e0d19bdaed86a7cfe2ffe84c826794cb_1_image_2022_01_24t03_16_19_920zpng.webp','2024-09-19 06:34:29'),(696,'{\"size\":141.486328125,\"type\":\"webp\"}','webp',NULL,1,'20221011/74bb8fa91929a6d4e2a587873a91d153.webp',141.49,'5dcb0a380e813a13311363654d230768_1_image_2022_01_24t03_20_19_421zpng.webp','2024-09-19 06:34:29'),(697,'{\"size\":70.884765625,\"type\":\"webp\"}','webp',NULL,1,'20221011/2776926d255c1e683e8b0294302582b0.webp',70.88,'59e07c68fbd7a7ec5990e990336d65ab_1_image_2022_01_24t03_20_49_867zpng.webp','2024-09-19 06:34:29'),(698,'{\"size\":9.470703125,\"type\":\"webp\"}','webp',NULL,1,'20221011/c5aa0f328f80090ed187a30fb1132fa1.webp',9.47,'a3f5a9bddf661af471b064936add9c2b_1_image_2022_01_24t03_21_26_609zpng.webp','2024-09-19 06:34:29'),(699,'{\"size\":20.3759765625,\"type\":\"webp\"}','webp',NULL,1,'20221011/57c1f5345c241c969ae66d36b32ac4ea.webp',20.38,'a72691c5d5dc4e3aae5c00f0104f41ed_1_image_2022_01_24t03_23_32_012zpng.webp','2024-09-19 06:34:29'),(700,'{\"size\":30.3837890625,\"type\":\"webp\"}','webp',NULL,1,'20221011/710e913f57d2411066c613942c7705a1.webp',30.38,'54b46b9079ec94cfefa30737666d86cf_1_image_2022_01_24t03_23_58_794zpng.webp','2024-09-19 06:34:29'),(701,'{\"size\":6.736328125,\"type\":\"webp\"}','webp',NULL,1,'20221011/6eab59c862f4a977c03d97efc7a68ea0.webp',6.74,'db37a5a0e0acc6787a555481cae018af_1_image_2022_01_24t03_24_26_524zpng.webp','2024-09-19 06:34:29'),(702,'{\"size\":142.59375,\"type\":\"webp\"}','jpg',NULL,1,'20221011/1c15503b890382d85b5d2c5ea29e9cb3.webp',142.59,'7cd81f301556ef929465638fcdff2849_1_topogjpg.webp','2024-09-19 06:34:29'),(703,'{\"size\":72.59375,\"type\":\"webp\"}','jpg',NULL,1,'20221011/4a1006a89f9679edc2695940fa6c7726.webp',72.59,'05754e4a4bba670b15489d4d76d70a8c_1_canonlogo1956presentjpg.webp','2024-09-19 06:34:29'),(704,'{\"size\":69.5849609375,\"type\":\"webp\"}','webp',NULL,1,'20221011/853ae734d8e2434975379eed3b41dc1b.webp',69.58,'96b0aa8d07c8b4fd49601cd540499fdb_1_sjcamlogopng.webp','2024-09-19 06:34:29'),(705,'{\"size\":5.4453125,\"type\":\"webp\"}','webp',NULL,1,'20221011/a0b3d8fcaf0f51c45dae5b5a6e4a4264.webp',5.45,'17938e4d649c416a99f618025b1df18a_1_image_2022_01_24t03_24_49_755zpng.webp','2024-09-19 06:34:29'),(706,'{\"size\":27.869140625,\"type\":\"webp\"}','webp',NULL,1,'20221011/fb329d6a4b9027af69e90eb2f0bb7374.webp',27.87,'91fdd990c2c651a748b24791025fbf98_1_image_2022_01_24t03_25_22_527zpng.webp','2024-09-19 06:34:29'),(707,'{\"size\":126.087890625,\"type\":\"webp\"}','webp',NULL,1,'20221011/15150cf40529fb940eb441d3524a6d7a.webp',126.09,'af2beb72852ae76dfe92b47daa7b060c_1_image_2022_01_24t03_25_47_021zpng.webp','2024-09-19 06:34:29'),(708,'{\"size\":59.3193359375,\"type\":\"webp\"}','webp',NULL,1,'20221011/fade893586086725063167775e0915cd.webp',59.32,'48bbcea868d934f1e78a9d64829bdf9d_1_image_2022_01_24t03_26_15_270zpng.webp','2024-09-19 06:34:29'),(709,'{\"size\":5.97265625,\"type\":\"webp\"}','webp',NULL,1,'20221011/9278818df3e5dc9424ae3bee59420f11.webp',5.97,'66efc7253fdfd59cac2439960756ceea_1_image_2022_01_24t03_28_12_164zpng.webp','2024-09-19 06:34:29'),(710,'{\"size\":71.9150390625,\"type\":\"webp\"}','webp',NULL,1,'20221011/b507c36e8756cf3f644b43209412fef2.webp',71.92,'77bbd336e4b5742319039a3c0138834c_1_image_2022_01_24t03_28_53_038zpng.webp','2024-09-19 06:34:29'),(711,'{\"size\":12.4677734375,\"type\":\"webp\"}','webp',NULL,1,'20221011/ea839ad7a318665d9fa07fab318bac62.webp',12.47,'d4370fbe9337a4d18bf496be42c2f9fd_1_image_2022_01_24t03_29_20_692zpng.webp','2024-09-19 06:34:29'),(712,'{\"size\":4.1005859375,\"type\":\"webp\"}','jpg',NULL,1,'20221011/f6f1fa403443098ac398ee1f201105cf.webp',4.10,'2f8e788772ca81990eaa71e49dfab03d_1_downloadjpg.webp','2024-09-19 06:34:29'),(713,'{\"size\":59.9365234375,\"type\":\"webp\"}','webp',NULL,1,'20221011/4a433105500ef52bb552514d6b795f67.webp',59.94,'4260b4456f7e0322d6f64cec739af449_1_image_2022_01_24t03_30_03_092zpng.webp','2024-09-19 06:34:29'),(714,'{\"size\":2.884765625,\"type\":\"webp\"}','webp',NULL,1,'20221011/d27bd51292315be198b21572e49829bb.webp',2.88,'426d9ab4e449107238113693ff75fd07_1_downloadpng.webp','2024-09-19 06:34:29'),(715,'{\"size\":66.525390625,\"type\":\"webp\"}','webp',NULL,1,'20221011/553d867417be073523fd8dc1e5a1dbe2.webp',66.53,'d24bf140beee29172edafdc00c5c3ce8_1_dellpng.webp','2024-09-19 06:34:29'),(716,'{\"size\":108.7880859375,\"type\":\"webp\"}','webp',NULL,1,'20221011/c5a822dc6e3fd2b685a965cf97f66b28.webp',108.79,'801c197821b168fe08055031a0ae8a50_1_image_2022_02_17t05_50_20_337zpng.webp','2024-09-19 06:34:29'),(717,'{\"size\":17.7451171875,\"type\":\"webp\"}','webp',NULL,1,'20221011/5ab8a23103c230fc39dce50a53e6c142.webp',17.75,'fec703291c6642ce5bfefc402c19d324_1_asuslogo1995presentpng.webp','2024-09-19 06:34:29'),(718,'{\"size\":3.630859375,\"type\":\"webp\"}','webp',NULL,1,'20221011/181895c4e80297db23cf135bf2c909aa.webp',3.63,'f12868c74708eb6b0ee361af62f97207_1_addidaspng.webp','2024-09-19 06:34:29'),(719,'{\"size\":210.40625,\"type\":\"webp\"}','webp',NULL,1,'20221011/548bbeabd0340f8948a16372917fc393.webp',210.41,'732efb742c6016d8c2e800ac08de8882_1_image_2022_01_24t03_27_02_533zpng.webp','2024-09-19 06:34:29'),(720,'{\"size\":16.42578125,\"type\":\"webp\"}','webp',NULL,1,'20221011/90e3ca3e401ba6dd48fe100b491a1d25.webp',16.43,'358cbf585ba8efc989f646062bbaf728_1_nokialogopng.webp','2024-09-19 06:34:29'),(721,'{\"size\":32.466796875,\"type\":\"webp\"}','jpg',NULL,1,'20221011/3f881282dfe9717c6c9a74ecd268a4b0.webp',32.47,'990e4a80ac3383952d7ced246f04735b_1_tecnomobilelogojpg.webp','2024-09-19 06:34:29'),(722,'{\"size\":56.111328125,\"type\":\"webp\"}','jpg',NULL,1,'20221011/f3f05ac1dbeb0128f6f5caa8c4440479.webp',56.11,'6b14bfaf0f379a2c538f73457f6bc2eb_1_xiaomilogo2019presentjpg.webp','2024-09-19 06:34:29'),(723,'{\"size\":9.931640625,\"type\":\"webp\"}','webp',NULL,1,'20221011/68ee45a236ab3582292a547a093a656f.webp',9.93,'7e5c9809dac0ba70398d6356137dcdfe_1_oppologobeca4f3eabseeklogocompng.webp','2024-09-19 06:34:29'),(724,'{\"size\":97.10546875,\"type\":\"webp\"}','jpg',NULL,1,'20221011/71132dae6359f72651051db06b4d4fff.webp',97.11,'fc07e17f8918e5f1a8227aa97e550ed9_1_vivologothumbnailscaledjpg.webp','2024-09-19 06:34:29'),(725,'{\"size\":20.244140625,\"type\":\"webp\"}','jpg',NULL,1,'20221011/86f5eadf61250cb6779f1204749d750b.webp',20.24,'e02d63673693e5b33e10012ea67fadb3_1_lenovotophaseouticonicbrandnamemotorolajpg.webp','2024-09-19 06:34:29'),(726,'{\"size\":42.697265625,\"type\":\"webp\"}','webp',NULL,1,'20221011/b68737e06be2252284f68aed717181c1.webp',42.70,'3a8b109c4b5a7e24466583767076e4e2_1_image_2022_01_24t03_31_08_332z_1png.webp','2024-09-19 06:34:29'),(727,'{\"size\":249.3203125,\"type\":\"webp\"}','webp',NULL,1,'20221011/9af3b8604526e1f65fda43fba3a27e83.webp',249.32,'f8a94d1b29934d3b693f497071cd40f8_1_logo_of_infinixpng.webp','2024-09-19 06:34:29'),(728,'{\"size\":6.583984375,\"type\":\"webp\"}','jpg',NULL,1,'20221011/344dc8d4d0e9091847c1380434a63ae5.webp',6.58,'d2d81ed39d250f1855bb919d098b637e_1_downloadjpg.webp','2024-09-19 06:34:29'),(729,'{\"size\":60.1396484375,\"type\":\"webp\"}','webp',NULL,1,'20221011/2f789afcbb21bbdf9b5eaf8628e6c74c.webp',60.14,'logo.webp','2024-09-19 06:34:29'),(730,'{\"size\":4.361328125,\"type\":\"webp\"}','webp',NULL,1,'20221011/2afbf81d31b953ff0dc5fc4229f8328b.webp',4.36,'download.webp','2024-09-19 06:34:29'),(731,'{\"size\":29.4052734375,\"type\":\"webp\"}','jpg',NULL,1,'20221011/e4db370f45929746a1b9fd6181b85649.webp',29.41,'trendz-clothing.webp','2024-09-19 06:34:29'),(732,'{\"size\":46.958984375,\"type\":\"webp\"}','webp',NULL,1,'20221011/0c0e523246dc1f0c9ba45287f1d2bd32.webp',46.96,'Rectangle 10.webp','2024-09-19 06:34:29'),(733,'{\"size\":228.71875,\"type\":\"webp\"}','webp',NULL,1,'20221011/b8a195ab6f25367e2e81928354e3ed0e.webp',228.72,'Banner Static (1).webp','2024-09-19 06:34:29'),(734,'{\"size\":286.8642578125,\"type\":\"webp\"}','webp',NULL,3,'20221011/1db983e50049371df20496ead1ded6fb.webp',286.86,'Rectangle 4276.webp','2024-09-19 06:34:29'),(735,'{\"size\":60.2412109375,\"type\":\"webp\"}','webp',NULL,3,'20221011/9fc645587d663b00682d11d0458bab0e.webp',60.24,'Rectangle 11.webp','2024-09-19 06:34:29'),(737,'{\"size\":97.744140625,\"type\":\"webp\"}','webp',NULL,1,'20221011/5f1fc1597f4dad8a61c9ee5eae278b1c.webp',97.74,'Rectangle 13.webp','2024-09-19 06:34:29'),(738,'{\"size\":72.298828125,\"type\":\"webp\"}','webp',NULL,15,'20221011/58651ed1c4f4db9916922ad62c287c80.webp',72.30,'Rectangle 12.webp','2024-09-19 06:34:29'),(739,'{\"size\":121.166015625,\"type\":\"webp\"}','webp',NULL,15,'20221011/f0021375db5dd79eebd3024aca1b8aa4.webp',121.17,'cover-7.webp','2024-09-19 06:34:29'),(740,'{\"size\":40.388671875,\"type\":\"webp\"}','webp',NULL,16,'20221011/ccdb487c28f253a9a304d3dd8af3c668.webp',40.39,'Rectangle 17.webp','2024-09-19 06:34:29'),(741,'{\"size\":228.7587890625,\"type\":\"webp\"}','webp',NULL,16,'20221011/eaff3256230895fe1e9bb1dc5cc4d6bc.webp',228.76,'cover-holistic.webp','2024-09-19 06:34:29'),(742,'{\"size\":44.2744140625,\"type\":\"webp\"}','webp',NULL,17,'20221011/f5db3a97f00a0d1022cb63c89f8e8066.webp',44.27,'Rectangle 16.webp','2024-09-19 06:34:29'),(743,'{\"size\":365.7890625,\"type\":\"webp\"}','webp',NULL,17,'20221011/493dd35ccbbbe43fd4a2659ce6af62a6.webp',365.79,'cover-istanbul.webp','2024-09-19 06:34:29'),(744,'{\"size\":22.25390625,\"type\":\"webp\"}','webp',NULL,18,'20221011/ba0550599277cfa232ec4d17ffa28f26.webp',22.25,'Rectangle 15.webp','2024-09-19 06:34:29'),(745,'{\"size\":379.5654296875,\"type\":\"webp\"}','webp',NULL,18,'20221011/c3af9486b14e6d6cd702324da85dea00.webp',379.57,'cover-minimal.webp','2024-09-19 06:34:29'),(746,'{\"size\":12.3359375,\"type\":\"webp\"}','webp',NULL,19,'20221011/088fef0d6449a9ddcb7ad9a38d2c9ebc.webp',12.34,'Rectangle 14.webp','2024-09-19 06:34:29'),(747,'{\"size\":444.087890625,\"type\":\"webp\"}','webp',NULL,19,'20221011/6edc650a2ee490bc359c66244e56fabe.webp',444.09,'cover-sports.webp','2024-09-19 06:34:29'),(751,'{\"size\":103.8994140625,\"type\":\"webp\"}','jpg',NULL,1,'20221016/8dc9421b8c86a553ba292296963c20e5.webp',103.90,'91708aadeadbed4f3692a5774ae31624.webp','2024-09-19 06:34:29'),(752,'{\"size\":179.3359375,\"type\":\"webp\"}','webp',NULL,1,'20221016/f2da6c8c915128eb3bae9c971c465c93.webp',179.34,'pf-af67ed32--cover-image-2 (1).webp','2024-09-19 06:34:29'),(753,'{\"size\":137.076171875,\"type\":\"webp\"}','jpg',NULL,1,'20221016/dde2d81dee3ca1fbaa911498a3ccb954.webp',137.08,'REF-Category-Banner-Mobile_750-X-300pix.webp','2024-09-19 06:34:29'),(754,'{\"size\":37.490234375,\"type\":\"webp\"}','jpg',NULL,1,'20221016/5e32b94d51000c44959bbaeed71ad92b.webp',37.49,'10-skincare-recipes-homemade-feature.webp','2024-09-19 06:34:29'),(755,'{\"size\":171.2666015625,\"type\":\"webp\"}','jpg',NULL,1,'20221016/64a76c80cc9c3242195ea2ebb0eedcdf.webp',171.27,'Decor-trends-that-will-define-2018-FB-1200x700-compressed.webp','2024-09-19 06:34:29'),(756,'{\"size\":34.3212890625,\"type\":\"webp\"}','jpg',NULL,1,'20221016/40e1c3d8730c295b61b62d5ea65f45ad.webp',34.32,'b376b7593d8b6ea94a2f45eacd.webp','2024-09-19 06:34:29'),(757,'{\"size\":104.83984375,\"type\":\"webp\"}','webp',NULL,1,'20221016/6cc6f5c643bfe8c55593fdab813b0d05.webp',104.84,'88048361.webp','2024-09-19 06:34:29'),(758,'{\"size\":76.376953125,\"type\":\"webp\"}','webp',NULL,1,'20221016/4af4c25577bf845003661bb4043b75a4.webp',76.38,'Nutrition_tips_GettyImages1173408954_Header-1024x575.webp','2024-09-19 06:34:29'),(759,'{\"size\":499.62890625,\"type\":\"webp\"}','jpg',NULL,1,'20221016/b8506e1539f24c0dcff0be6efb8c559e.webp',499.63,'Homemade-Facial-Scrub.webp','2024-09-19 06:34:29'),(760,'{\"size\":301.9228515625,\"type\":\"webp\"}','jpg',NULL,1,'20221023/dd326c71b2a82a9648147e04807b91d9.webp',301.92,'young-attractive-handsome-guy-looks-delighted-gladden-amazed 1.webp','2024-09-19 06:34:29'),(761,'{\"size\":2.3095703125,\"type\":\"webp\"}','webp',NULL,1,'20221023/1f0fb1ee921c463d4757efbc8dd98a69.webp',2.31,'Group 9374.webp','2024-09-19 06:34:29'),(762,'{\"size\":2.572265625,\"type\":\"webp\"}','webp',NULL,1,'20221023/68f648ec43d5a9e5002cf8b72ee9f0dc.webp',2.57,'Group 9382.webp','2024-09-19 06:34:29'),(763,'{\"size\":2.4326171875,\"type\":\"webp\"}','webp',NULL,1,'20221023/b044a39009ee314f1acff53343429022.webp',2.43,'Group 9373.webp','2024-09-19 06:34:29'),(764,'{\"size\":2.0224609375,\"type\":\"webp\"}','webp',NULL,1,'20221023/e89eb4b2bbcdd836c8ad8652b66007ad.webp',2.02,'Group 331.webp','2024-09-19 06:34:29'),(765,'{\"size\":1.6171875,\"type\":\"webp\"}','webp',NULL,1,'20221023/08099ace02ba37e041fd6ee2d80fedbd.webp',1.62,'Group 328.webp','2024-09-19 06:34:29'),(766,'{\"size\":2.166015625,\"type\":\"webp\"}','webp',NULL,1,'20221023/3e57b0ba98149f2efad21559619dd907.webp',2.17,'Group 329.webp','2024-09-19 06:34:29'),(767,'{\"size\":2.060546875,\"type\":\"webp\"}','webp',NULL,1,'20221023/e6e4462aa3fe59341ab24cfd2b27138c.webp',2.06,'Group 315.webp','2024-09-19 06:34:29'),(768,'{\"size\":516.5517578125,\"type\":\"webp\"}','webp',NULL,1,'20221107/7a2deafd0b01e84659ee938de05e653c.webp',516.55,'unsplash_cOJgO4Zzs-w.webp','2024-09-19 06:34:29'),(769,'{\"size\":513.16796875,\"type\":\"webp\"}','webp',NULL,1,'20221107/5c8e27a8e9c7e3e42a6c679ac1425859.webp',513.17,'unsplash_cOJgO4Zzs-w (1).webp','2024-09-19 06:34:29'),(770,'{\"size\":659.880859375,\"type\":\"webp\"}','webp',NULL,1,'20221107/48f3a054eda426d6927d1b30f58873aa.webp',659.88,'unsplash_cOJgO4Zzs-w (2).webp','2024-09-19 06:34:29'),(771,'{\"size\":167.51171875,\"type\":\"webp\"}','webp',NULL,1,'20221107/5fbe45a856c8c148f3d96af20dd688cb.webp',167.51,'unsplash_cOJgO4Zzs-w (3).webp','2024-09-19 06:34:29'),(772,'{\"size\":363.568359375,\"type\":\"webp\"}','webp',NULL,1,'20221107/2beb5a92c02131b889f1f9b632f68818.webp',363.57,'unsplash_cOJgO4Zzs-w (4).webp','2024-09-19 06:34:29'),(773,'{\"size\":677.47265625,\"type\":\"webp\"}','webp',NULL,1,'20221107/0f7901706e3ee3037bd5f85eb7197e3b.webp',677.47,'unsplash_cOJgO4Zzs-w (5).webp','2024-09-19 06:34:29'),(774,'{\"size\":756.4716796875,\"type\":\"webp\"}','webp',NULL,1,'20221107/901a805939dcd8473a4a046083662af0.webp',756.47,'unsplash_cOJgO4Zzs-w (6).webp','2024-09-19 06:34:29'),(775,'{\"size\":587.72265625,\"type\":\"webp\"}','webp',NULL,1,'20221107/983401fbb6956913e977b239472115fc.webp',587.72,'unsplash_cOJgO4Zzs-w (7).webp','2024-09-19 06:34:29'),(776,'{\"size\":597.8994140625,\"type\":\"webp\"}','webp',NULL,1,'20221107/1f77412cd5d4999766b4a907fc8f9eca.webp',597.90,'unsplash_cOJgO4Zzs-w (8).webp','2024-09-19 06:34:29'),(777,'{\"size\":215.859375,\"type\":\"webp\"}','webp',NULL,1,'20221107/7c14aeddc26ae48b2f070831398ab81b.webp',215.86,'unsplash_cOJgO4Zzs-w (9).webp','2024-09-19 06:34:29'),(778,'{\"size\":392.8447265625,\"type\":\"webp\"}','webp',NULL,1,'20221107/b2c091f9244154859697953549491738.webp',392.84,'unsplash_cOJgO4Zzs-w (10).webp','2024-09-19 06:34:29'),(779,'{\"size\":1434.6259765625,\"type\":\"webp\"}','webp',NULL,1,'20221107/cb6a813f77c31f7180630522d56fc9cc.webp',1434.63,'unsplash_cOJgO4Zzs-w (12).webp','2024-09-19 06:34:29'),(780,'{\"size\":784.06640625,\"type\":\"webp\"}','webp',NULL,1,'20221107/c201447fbf3121b60d85de6a0f3005df.webp',784.07,'unsplash_cOJgO4Zzs-w (13).webp','2024-09-19 06:34:29'),(781,'{\"size\":1448.580078125,\"type\":\"webp\"}','webp',NULL,1,'20221107/74b02ba0179cb1dc64263d3de4a9efa6.webp',1448.58,'unsplash_cOJgO4Zzs-w (14).webp','2024-09-19 06:34:29'),(782,'{\"size\":1442.6259765625,\"type\":\"webp\"}','webp',NULL,1,'20221107/5f07dc23cf8c3eaed37b5e7ea533a0f7.webp',1442.63,'unsplash_cOJgO4Zzs-w (15).webp','2024-09-19 06:34:29'),(783,'{\"size\":585.9326171875,\"type\":\"webp\"}','webp',NULL,1,'20221107/57d42da2607607787058dd13b8fd1342.webp',585.93,'unsplash_cOJgO4Zzs-w (16).webp','2024-09-19 06:34:29'),(784,'{\"size\":149.1923828125,\"type\":\"webp\"}','webp',NULL,1,'20221107/5ec29326d5b11dea73cc90d08e76f2e5.webp',149.19,'unsplash_cOJgO4Zzs-w (17).webp','2024-09-19 06:34:29'),(785,'{\"size\":101.03125,\"type\":\"webp\"}','webp',NULL,1,'20221107/636e08f7971781328415390d438d9559.webp',101.03,'unsplash_cOJgO4Zzs-w (18).webp','2024-09-19 06:34:29'),(786,'{\"size\":106.9677734375,\"type\":\"webp\"}','webp',NULL,1,'20221107/c5bc500b9573542dfc7082fd9a574bda.webp',106.97,'unsplash_cOJgO4Zzs-w (19).webp','2024-09-19 06:34:29'),(787,'{\"size\":178.07421875,\"type\":\"webp\"}','webp',NULL,1,'20221107/e2e47ed6286ed709cde3f1dd21188386.webp',178.07,'unsplash_PDX_a_82obo.webp','2024-09-19 06:34:29'),(788,'{\"size\":161.8798828125,\"type\":\"webp\"}','webp',NULL,1,'20221107/2d8f9415456127a43268173e85fb11d9.webp',161.88,'unsplash_JM-qKEd1GMI.webp','2024-09-19 06:34:29'),(789,'{\"size\":133.1640625,\"type\":\"webp\"}','webp',NULL,1,'20221107/d1113f342bf7753ecf8688fd0dbde093.webp',133.16,'unsplash_PDX_a_82obo (1).webp','2024-09-19 06:34:29'),(790,'{\"size\":117.37109375,\"type\":\"webp\"}','webp',NULL,1,'20221107/30be31d0d269ece9d671efcacc592d19.webp',117.37,'unsplash_JM-qKEd1GMI (1).webp','2024-09-19 06:34:29'),(792,'{\"size\":16.1396484375,\"type\":\"png\"}','png',NULL,1,'20221108/20d20c52d903d8d09681b6143df36fbf.png',16.14,'a1eed8f8ce9b836ec6ea1180bd2a3072.png','2024-09-19 06:34:29'),(793,'{\"size\":179.841796875,\"type\":\"ico\"}','ico',NULL,1,'20221108/08baa7c9b296a9354e9e2748987bec91.ico',179.84,'5817379764108dec761bd0a17371951f.ico','2024-09-19 06:34:29'),(794,'{\"size\":3.2685546875,\"type\":\"webp\"}','webp',NULL,1,'20221108/44cf14744905e02c5b25644c8fb8a89e.webp',3.27,'martvill-logo (1).webp','2024-09-19 06:34:29'),(795,'{\"size\":3.2841796875,\"type\":\"webp\"}','webp',NULL,1,'20221108/ff701c6b4814c451912ca18405f83e83.webp',3.28,'Group 94691.webp','2024-09-19 06:34:29'),(796,'{\"size\":3.40234375,\"type\":\"webp\"}','webp',NULL,1,'20221108/6cb8f58f3534ce7a598c4570bce30ae1.webp',3.40,'martvill-logo (2).webp','2024-09-19 06:34:29'),(797,'{\"size\":3.349609375,\"type\":\"webp\"}','webp',NULL,1,'20221108/3972eebb9cd55a6589b19207b8b7491a.webp',3.35,'Group 94691 (1).webp','2024-09-19 06:34:29'),(798,'{\"size\":3.7177734375,\"type\":\"webp\"}','webp',NULL,1,'20221108/e32fde26a2e1cb008df1fe4a2cf896d3.webp',3.72,'martvill-logo (3).webp','2024-09-19 06:34:29'),(799,'{\"size\":3.349609375,\"type\":\"webp\"}','webp',NULL,1,'20221108/1c7d72b18a7048fe78d656ae238b6624.webp',3.35,'Group 94691 (2).webp','2024-09-19 06:34:29'),(800,'{\"size\":102.595703125,\"type\":\"webp\"}','webp',NULL,1,'20221115/47669d2f2236f1218e924d7c9c443e8c.webp',102.60,'unsplash_JM-qKEd1GMI (2).webp','2024-09-19 06:34:29'),(801,'{\"size\":180.4736328125,\"type\":\"webp\"}','webp',NULL,1,'20221115/1e6c50bf9437f5cf4f86f9fe025547b8.webp',180.47,'Group 95060.webp','2024-09-19 06:34:29'),(803,'{\"size\":2.45703125,\"type\":\"webp\"}','webp',NULL,1,'20221115/de33eec9500a50ee5d6f714d31e98094.webp',2.46,'Group 175.webp','2024-09-19 06:34:29'),(804,'{\"size\":2.0078125,\"type\":\"webp\"}','webp',NULL,1,'20221115/4357b3a08c4e65913301c7a2f57fcaac.webp',2.01,'Group 173.webp','2024-09-19 06:34:29'),(805,'{\"size\":2.1044921875,\"type\":\"webp\"}','webp',NULL,1,'20221115/343206d91dbb2e9ad17f2d2d38230c75.webp',2.10,'Group 174.webp','2024-09-19 06:34:29'),(806,'{\"size\":520.3876953125,\"type\":\"webp\"}','webp',NULL,1,'20221115/c4ea54a3ed18a0d186acfd344ab35b7d.webp',520.39,'unsplash_DmD8HVOjy4c.webp','2024-09-19 06:34:29'),(807,'{\"size\":332.802734375,\"type\":\"webp\"}','webp',NULL,1,'20221115/cbf367882d17b2df4f93572aa4b4e2f1.webp',332.80,'unsplash_DmD8HVOjy4c (1).webp','2024-09-19 06:34:29'),(809,'{\"size\":99.0048828125,\"type\":\"webp\"}','webp',NULL,1,'20221115/c63276d804ca3ae64d13cf253cd4af2c.webp',99.00,'unsplash_PDX_a_82obo (2).webp','2024-09-19 06:34:29'),(810,'{\"size\":129.07421875,\"type\":\"webp\"}','webp',NULL,1,'20221115/9bda56104303d4d958ef32b8543cb31a.webp',129.07,'unsplash_JM-qKEd1GMI (3).webp','2024-09-19 06:34:29'),(811,'{\"size\":115.189453125,\"type\":\"webp\"}','webp',NULL,1,'20221115/889abd76efd884e3f75378f0eebb8dca.webp',115.19,'unsplash_PDX_a_82obo (4).webp','2024-09-19 06:34:29'),(812,'{\"size\":161.8798828125,\"type\":\"webp\"}','webp',NULL,1,'20221115/4217f404a18a9c0f1d63d6f780c0ffad.webp',161.88,'unsplash_JM-qKEd1GMI (4).webp','2024-09-19 06:34:29'),(813,'{\"size\":77.9501953125,\"type\":\"webp\"}','webp',NULL,1,'20221115/2b7c80046bfaa9c555a878de6da85cbd.webp',77.95,'unsplash_PDX_a_82obo (5).webp','2024-09-19 06:34:29'),(814,'{\"size\":51.7080078125,\"type\":\"webp\"}','webp',NULL,1,'20221115/f7599dd4257cab7744c95817c5dd055e.webp',51.71,'unsplash_JM-qKEd1GMI (5).webp','2024-09-19 06:34:29'),(816,'{\"size\":2.4228515625,\"type\":\"webp\"}','webp',NULL,1,'20221115/1ca14385d26b77fde54795e153171f43.webp',2.42,'Group 175 (1).webp','2024-09-19 06:34:29'),(817,'{\"size\":1.978515625,\"type\":\"webp\"}','webp',NULL,1,'20221115/ffd9701a8c39fd929f2425cef82f3182.webp',1.98,'Group 173 (1).webp','2024-09-19 06:34:29'),(818,'{\"size\":2.0361328125,\"type\":\"webp\"}','webp',NULL,1,'20221115/25bc0b939a75406c6e341f55936ff5d1.webp',2.04,'Group 174 (1).webp','2024-09-19 06:34:29'),(819,'{\"size\":300.8427734375,\"type\":\"webp\"}','webp',NULL,1,'20221108/cd8aeaddd2fd7721626e5c0a2edb942c.webp',300.84,'happy-boy-receives-package-from-online-shop-order-happy-surprised-expression 1.webp','2024-09-19 06:34:29'),(820,'{\"size\":33.3564453125,\"type\":\"webp\"}','webp',NULL,1,'20221108/afa834353adb5b10a753ac2e749a2eca.webp',33.36,'Rectangle 4642.webp','2024-09-19 06:34:29'),(821,'{\"size\":168.384765625,\"type\":\"webp\"}','webp',NULL,1,'20221108/b3e1d94f80452656f64823e35f5f7195.webp',168.38,'Rectangle 4646.webp','2024-09-19 06:34:29'),(822,'{\"size\":96.9248046875,\"type\":\"webp\"}','webp',NULL,1,'20221108/af797af08d0215d5bdc177a2daf2ec2e.webp',96.92,'Rectangle 4641.webp','2024-09-19 06:34:29'),(823,'{\"size\":289.328125,\"type\":\"webp\"}','webp',NULL,1,'20221108/c986fe071b7e25f4b47f4f0baff8aace.webp',289.33,'Rectangle 4640.webp','2024-09-19 06:34:29'),(825,'{\"size\":153.87890625,\"type\":\"webp\"}','webp',NULL,1,'20221108/ccb67e86dc5d6f19d397dc8f1267b572.webp',153.88,'Rectangle 4639.webp','2024-09-19 06:34:29'),(826,'{\"size\":435.7529296875,\"type\":\"webp\"}','webp',NULL,1,'20221108/3f73cb299d19c3c11f5f7d92595efab5.webp',435.75,'food-delivery-boy-driving-scooter-with-box-with-food-wearing-mask 1.webp','2024-09-19 06:34:29'),(827,'{\"size\":69.3271484375,\"type\":\"webp\"}','webp',NULL,1,'20221107/685fc429c29496e8dc6d1dbc097d0d0b.webp',69.33,'Group.webp','2024-09-19 06:34:29'),(828,'{\"size\":1.6962890625,\"type\":\"webp\"}','webp',NULL,1,'20221107/61c22bf29805ead0515ee9f3a25fe423.webp',1.70,'Group 8652.webp','2024-09-19 06:34:29'),(829,'{\"size\":6.2021484375,\"type\":\"webp\"}','webp',NULL,1,'20221107/2fee49fc8d7015087033817ba0e8652a.webp',6.20,'Group 8654.webp','2024-09-19 06:34:29'),(830,'{\"size\":2.076171875,\"type\":\"webp\"}','webp',NULL,1,'20221107/3fa5a5377a6b9e29cefd1d4b98c5d4ac.webp',2.08,'Group.webp','2024-09-19 06:34:29'),(831,'{\"size\":2.1669921875,\"type\":\"webp\"}','webp',NULL,1,'20221107/f690d3b6a6d4ff3132ea63bbec084576.webp',2.17,'Group 8650.webp','2024-09-19 06:34:29'),(832,'{\"size\":1.5029296875,\"type\":\"webp\"}','webp',NULL,1,'20221107/098e77ff7f3c2e30744173339bc59f79.webp',1.50,'Group 8657.webp','2024-09-19 06:34:29'),(833,'{\"size\":1.6552734375,\"type\":\"webp\"}','webp',NULL,1,'20221107/5888c7a26a62ee10fe84b84c71040be2.webp',1.66,'Group 222.webp','2024-09-19 06:34:29'),(834,'{\"size\":0.38671875,\"type\":\"webp\"}','webp',NULL,1,'20221114/4212b4d6425b622bf5391387b5446cea.webp',0.39,'youtube.webp','2024-09-19 06:34:29'),(835,'{\"size\":0.556640625,\"type\":\"webp\"}','webp',NULL,1,'20221114/b4bf139f125acf287becce5bbb4c96f6.webp',0.56,'pinterest.webp','2024-09-19 06:34:29'),(836,'{\"size\":0.544921875,\"type\":\"webp\"}','webp',NULL,1,'20221114/c9d20e7377473a90fdcb58637f74c458.webp',0.54,'watsapp.webp','2024-09-19 06:34:29'),(837,'{\"size\":0.4794921875,\"type\":\"webp\"}','webp',NULL,1,'20221114/fff0c6e58139ddbfc3c8ff2980db1b1e.webp',0.48,'instagramm.webp','2024-09-19 06:34:29'),(838,'{\"size\":0.5361328125,\"type\":\"webp\"}','webp',NULL,1,'20221114/cf2e05536d870bf7dd728006ec4f0293.webp',0.54,'twitter.webp','2024-09-19 06:34:29'),(839,'{\"size\":0.310546875,\"type\":\"webp\"}','webp',NULL,1,'20221114/d509d72e02f0391123fc304d8b4fae99.webp',0.31,'facebook-2 logo.webp','2024-09-19 06:34:29'),(840,'{\"size\":0.4453125,\"type\":\"webp\"}','webp',NULL,1,'20221114/82f880076d18bafc3bdb1fdd7988f547.webp',0.45,'Group 50.webp','2024-09-19 06:34:29'),(841,'{\"size\":0.6669921875,\"type\":\"webp\"}','webp',NULL,1,'20221114/d3d95c9685b6785cdaabc5ea207175af.webp',0.67,'Vector 189 (Stroke).webp','2024-09-19 06:34:29'),(842,'{\"size\":0.869140625,\"type\":\"webp\"}','webp',NULL,1,'20221114/84214fc7d8147f994367bad5e360fb05.webp',0.87,'Subtract (Stroke).webp','2024-09-19 06:34:29'),(843,'{\"size\":581.4609375,\"type\":\"webp\"}','webp',NULL,1,'20221114/2e782eb90a0f43efbcd964050fbd8929.webp',581.46,'i-have-solution-your-problem-cropped-shot-call-center-agent-sitting-his-desk-with-his-colleague-blurred-background 1.webp','2024-09-19 06:34:29'),(844,'{\"size\":538.94140625,\"type\":\"webp\"}','webp',NULL,1,'20221116/dc3ecec9d2406223f5045339e668ae3d.webp',538.94,'TechVill_15_November_2022_05_09_46_453_PM.webp','2024-09-19 06:34:29'),(845,'{\"size\":565.0712890625,\"type\":\"webp\"}','webp',NULL,1,'20221116/d8be4961fc58751888180bf34a778088.webp',565.07,'TechVill_15_November_2022_05_10_08_730_PM.webp','2024-09-19 06:34:29'),(846,'{\"size\":839.064453125,\"type\":\"webp\"}','webp',NULL,1,'20221116/80e9b0d199208d79df3869c1c248acc7.webp',839.06,'TechVill_15_November_2022_05_10_33_321_PM.webp','2024-09-19 06:34:29'),(847,'{\"size\":43.908203125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/313d19c284cc9f024d7e6292e770e0e2.webp',43.91,'Women Dress Weave Sleeveless Strapless Diamonds Slim Sling Formal1.webp','2024-09-19 06:34:29'),(848,'{\"size\":63.01953125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/89f985fd1fb8a6591caed23273d0046c.webp',63.02,'Women Dress Weave Sleeveless Strapless Diamonds Slim Sling Formal.webp','2024-09-19 06:34:29'),(849,'{\"size\":72.060546875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/151424cd2adfcb8c20a8f444d0732ee8.webp',72.06,'Women Dress Weave Sleeveless Strapless Diamonds Slim Sling Formal2.webp','2024-09-19 06:34:29'),(850,'{\"size\":74.77734375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/d88525f61f2a10b68b30cc13b24b18c1.webp',74.78,'Summer-New-Women-T-Shirts-Harajuku-Kawaii-Cute-animal-Flamingo-Printing-T-shirt-Causal-O-Neck.webp_Q90.webp','2024-09-19 06:34:29'),(851,'{\"size\":50.798828125,\"type\":\"webp\"}','webp',NULL,1,'20221116/333e70339c86361d61ea7dc2d5497d09.webp',50.80,'Summer-New-Women-T-Shirts-Harajuku-Kawaii-Cute-animal-Flamingo-Printing-T-shirt-Causal-O-Neck.webp_Q90.webp_.webp','2024-09-19 06:34:29'),(852,'{\"size\":52.97265625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/9faffed73bd4c60e3ade0a8fd7311a78.webp',52.97,'Summer-New-Women-T-Shirts-Harajuku-Kawaii-Cute-animal-Flamingo-Printing-T-shirt-Causal-O-Neck.webp_Q92.webp','2024-09-19 06:34:29'),(853,'{\"size\":55.890625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/2c21d3637144e137fb364ecb9bedaeab.webp',55.89,'Summer-New-Women-T-Shirts-Harajuku-Kawaii-Cute-animal-Flamingo-Printing-T-shirt-Causal-O-Neck.webp_Q901.webp','2024-09-19 06:34:29'),(854,'{\"size\":29.96484375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/862c541768fde4c00286165736e7842e.webp',29.96,'Summer-New-Women-T-Shirts-Harajuku-Kawaii-Cute-animal-Flamingo-Printing-T-shirt-Causal-O-Neck.webp_Q904.webp','2024-09-19 06:34:29'),(855,'{\"size\":33.30859375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/39491453c1e23216ec2a0737c7f52bb9.webp',33.31,'Summer-New-Women-T-Shirts-Harajuku-Kawaii-Cute-animal-Flamingo-Printing-T-shirt-Causal-O-Neck.webp_Q905.webp','2024-09-19 06:34:29'),(856,'{\"size\":513.6884765625,\"type\":\"webp\"}','webp',NULL,1,'20221116/0b02718dd8afafb4da8edef07ac833db.webp',513.69,'WOMANK~3.webp','2024-09-19 06:34:29'),(857,'{\"size\":682.9814453125,\"type\":\"webp\"}','webp',NULL,1,'20221116/15d29e911d327529118a2f354ddb557d.webp',682.98,'WOMANK~4.webp','2024-09-19 06:34:29'),(858,'{\"size\":950.7568359375,\"type\":\"webp\"}','webp',NULL,1,'20221116/4a1b06dd9b139659fb2ed2d8b08365be.webp',950.76,'WO1987~1.webp','2024-09-19 06:34:29'),(859,'{\"size\":944.1044921875,\"type\":\"webp\"}','webp',NULL,1,'20221116/1f6a7f963c45fdf2697c4395d2d987ee.webp',944.10,'Woman Korean O-neck Knitted Pullovers Thick Autumn Winter Candy Color Loose Hoodies Solid Wo (.webp','2024-09-19 06:34:29'),(860,'{\"size\":1087.72265625,\"type\":\"webp\"}','webp',NULL,1,'20221116/970d6e8b2e0d034418d7197168221218.webp',1087.72,'WOF032~1.webp','2024-09-19 06:34:29'),(861,'{\"size\":537.455078125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/cba16a8447201689120bc7d39c2a3cc0.webp',537.46,'2022-Autumn-Winter-New-Baby-Retro-Thicken-Plus-Fleece-Embroidery-Wheat-Romper-Girl-Boy-Infant-Cotton.webp_Q90.webp','2024-09-19 06:34:29'),(862,'{\"size\":37.32421875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/2fbbf87e374ab44d3d43e4d9143b9b87.webp',37.32,'2022-Autumn-Winter-New-Baby-Retro-Thicken-Plus-Fleece-Embroidery-Wheat-Romper-Girl-Boy-Infant-Cotton.webp','2024-09-19 06:34:29'),(863,'{\"size\":42.833984375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/27fabac9a6e3c6ab8f81c414acc5a1b5.webp',42.83,'2022-Autumn-Winter-New-Baby-Retro-Thicken-Plus-Fleece-Embroidery-Wheat-Romper-Girl-Boy-Infant-Cotton1.webp','2024-09-19 06:34:29'),(864,'{\"size\":859.326171875,\"type\":\"webp\"}','webp',NULL,1,'20221116/c06f58d02e8f56491a84a3467fc7d2d5.webp',859.33,'TechVill_15_November_2022_05_06_19_778_PM.webp','2024-09-19 06:34:29'),(865,'{\"size\":597.6025390625,\"type\":\"webp\"}','webp',NULL,1,'20221116/62c02178575b62bc052e3e04faed7b7a.webp',597.60,'TechVill_15_November_2022_05_06_40_583_PM.webp','2024-09-19 06:34:29'),(866,'{\"size\":736.4453125,\"type\":\"webp\"}','webp',NULL,1,'20221116/41e08cd219ae9a5315e7ee1e3c09eb66.webp',736.45,'TechVill_15_November_2022_05_06_53_419_PM.webp','2024-09-19 06:34:29'),(867,'{\"size\":914.2197265625,\"type\":\"webp\"}','webp',NULL,1,'20221116/db0834262a141bd35649d8b5dee355d8.webp',914.22,'TechVill_15_November_2022_05_07_15_612_PM.webp','2024-09-19 06:34:29'),(868,'{\"size\":119.23046875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/6b31906332e193e981bd2669fd2cc5c1.webp',119.23,'2020-summer-lady-Summer-thin-loose-cartoon-printed-short-sleeved-shirt.webp_Q94.webp','2024-09-19 06:34:29'),(869,'{\"size\":96.447265625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/9a0f7b551a14b40abbb4d6c330feedd9.webp',96.45,'2020-summer-lady-Summer-thin-loose-cartoon-printed-short-sleeved-shirt.webp_Q90.webp','2024-09-19 06:34:29'),(870,'{\"size\":92.13671875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/e67ae001c862e4f8e2cb3eb2c500f35b.webp',92.14,'2020-summer-lady-Summer-thin-loose-cartoon-printed-short-sleeved-shirt.webp_Q902.webp','2024-09-19 06:34:29'),(871,'{\"size\":89.634765625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/d4f97b603be255fe3854e3b7d7980c47.webp',89.63,'2020-summer-lady-Summer-thin-loose-cartoon-printed-short-sleeved-shirt.webp_Q901.webp','2024-09-19 06:34:29'),(872,'{\"size\":90.875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/22008cbc2db861e19f2788ffde364ea9.webp',90.88,'2020-summer-lady-Summer-thin-loose-cartoon-printed-short-sleeved-shirt.webp_Q903.webp','2024-09-19 06:34:29'),(873,'{\"size\":15.306640625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/0afb2cf13cc211bed62dc96ebec80148.webp',15.31,'2022-Women-Chiffon-Solid-Pure-Basic-Soft-Red-Blouses-Tops-Summer-Top-Casual-Loose-Short-Sleeve.webp','2024-09-19 06:34:29'),(874,'{\"size\":41.111328125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/69b2374fc9f15df44cd820af5da34eb3.webp',41.11,'2022-Women-Chiffon-Solid-Pure-Basic-Soft-Red-Blouses-Tops-Summer-Top-Casual-Loose-Short-Sleeve.webp_Q901.webp','2024-09-19 06:34:29'),(875,'{\"size\":19.40625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/9bb2d571c26fe0a58b9659aa0c7b263a.webp',19.41,'2022-Women-Chiffon-Solid-Pure-Basic-Soft-Red-Blouses-Tops-Summer-Top-Casual-Loose-Short-Sleeve1.webp','2024-09-19 06:34:29'),(876,'{\"size\":23.349609375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/4d123f6c3ad266ef10c436d577a9c273.webp',23.35,'2022-Women-Chiffon-Solid-Pure-Basic-Soft-Red-Blouses-Tops-Summer-Top-Casual-Loose-Short-Sleeve2.webp','2024-09-19 06:34:29'),(877,'{\"size\":101.39453125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/563e1857ef81b9db6fbea967657b5777.webp',101.39,'Summer Loose Plus Size Women\'s Dress (1).webp','2024-09-19 06:34:29'),(878,'{\"size\":77.6640625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/8c8429f6579a8b6457e37ec1b4b6922d.webp',77.66,'Summer Loose Plus Size Women\'s Dress (2).webp','2024-09-19 06:34:29'),(879,'{\"size\":25.0703125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/56b34ba41ad2593211a5929d115c55bd.webp',25.07,'Thing-1-Thing-2-Red-T-Shirt-Print-Men-and-Women-Short-sleeved-Sport-Fashion-Clothing.webp','2024-09-19 06:34:29'),(880,'{\"size\":105.5390625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/b03197acfd099238ac63580fba9b70b7.webp',105.54,'Thing-1-Thing-2-Red-T-Shirt-Print-Men-and-Women-Short-sleeved-Sport-Fashion-Clothing.webp_Q90.webp','2024-09-19 06:34:29'),(881,'{\"size\":680.59375,\"type\":\"webp\"}','webp',NULL,1,'20221116/e1205e4765f1470292e06e32d8454d87.webp',680.59,'TechVill_14_November_2022_04_55_41_631_PM.webp','2024-09-19 06:34:29'),(882,'{\"size\":645.388671875,\"type\":\"webp\"}','webp',NULL,1,'20221116/279aff06f4ddf233e04901fa0cf424f9.webp',645.39,'TechVill_14_November_2022_04_56_11_599_PM.webp','2024-09-19 06:34:29'),(883,'{\"size\":1169.98828125,\"type\":\"webp\"}','webp',NULL,1,'20221116/d0df98cbd1c93b123e133c03fe00b457.webp',1169.99,'TechVill_14_November_2022_04_56_30_932_PM.webp','2024-09-19 06:34:29'),(884,'{\"size\":1567.2607421875,\"type\":\"webp\"}','webp',NULL,1,'20221116/f2750799c62d016f7e94fa5e34711f39.webp',1567.26,'TechVill_14_November_2022_04_56_50_316_PM.webp','2024-09-19 06:34:29'),(885,'{\"size\":1033.9453125,\"type\":\"webp\"}','webp',NULL,1,'20221116/519bec79ff6641dc86aeb86ca399162a.webp',1033.95,'TechVill_14_November_2022_04_57_19_099_PM.webp','2024-09-19 06:34:29'),(886,'{\"size\":78.9140625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/87b34dc86a2bcc9e7f0b1e332344611d.webp',78.91,'New-Fashion-Printed-Loose-Large (2).webp','2024-09-19 06:34:29'),(887,'{\"size\":49.154296875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/e383b5566488e7e1dc90a9353ca06f15.webp',49.15,'New-Fashion-Printed-Loose-Large (1).webp','2024-09-19 06:34:29'),(888,'{\"size\":847.892578125,\"type\":\"webp\"}','webp',NULL,1,'20221116/ff019ee0f768d6f4d8c6cbda5e40975a.webp',847.89,'TechVill_14_November_2022_03_16_47_541_PM.webp','2024-09-19 06:34:29'),(889,'{\"size\":784.0751953125,\"type\":\"webp\"}','webp',NULL,1,'20221116/d7e3660f31975781e984e9538e375cfd.webp',784.08,'TechVill_14_November_2022_03_18_13_104_PM.webp','2024-09-19 06:34:29'),(890,'{\"size\":165.9169921875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/40770770531549c2d35c8e0a42e29fd0.webp',165.92,'Kids Plaid Princess Pettiskirt Teenager Girl Skirt For School Plaid Skirts.webp','2024-09-19 06:34:29'),(891,'{\"size\":122.9775390625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/e2d247c262c31a643649b635817514d5.webp',122.98,'Kids Plaid Princess Pettiskirt Teenager Girl Skirt For School Plaid Skirts2.webp','2024-09-19 06:34:29'),(892,'{\"size\":170.5576171875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/2e7365431d01b4d53e5bc69909a4ad53.webp',170.56,'Kids Plaid Princess Pettiskirt Teenager Girl Skirt For School Plaid Skirts3.webp','2024-09-19 06:34:29'),(893,'{\"size\":60.568359375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/6d2dfa5aea81240a429d89d73ce6d977.webp',60.57,'Cotton-Newborn-Baby-Long-Sleeve-Romper-Jumpsuits-Outfits-Boy-Toddler-Handsome-Gentleman-Suit-Clothes-0-12M1.webp','2024-09-19 06:34:29'),(894,'{\"size\":168.0654296875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/752a1b3dddf5cd9c0cb4889a9f42d694.webp',168.07,'Cotton-Newborn-Baby-Long-Sleeve-Romper-Jumpsuits-Outfits-Boy-Toddler-Handsome-Gentleman-Suit-Clothes-0-12M.webp','2024-09-19 06:34:29'),(895,'{\"size\":147.095703125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/cc675f3ab0fcbb746ed9fceae22acba6.webp',147.10,'Cotton-Newborn-Baby-Long-Sleeve-Romper-Jumpsuits-Outfits-Boy-Toddler-Handsome-Gentleman-Suit-Clothes-0-12M2.webp','2024-09-19 06:34:29'),(896,'{\"size\":119.31640625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/a1f1db319339cc3ee9d89008433d8133.webp',119.32,'Cotton-Newborn-Baby-Long-Sleeve-Romper-Jumpsuits-Outfits-Boy-Toddler-Handsome-Gentleman-Suit-Clothes-0-12M3.webp','2024-09-19 06:34:29'),(897,'{\"size\":57.884765625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/0e961d96e26709c29fc191b4c3298584.webp',57.88,'Boys Shirts Classic Casual Plaid Flannel Children shirts1.webp','2024-09-19 06:34:29'),(898,'{\"size\":120.638671875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/119dd8bdcde7e42a505ffe41e14a6ffb.webp',120.64,'Boys Shirts Classic Casual Plaid Flannel Children shirts.webp','2024-09-19 06:34:29'),(899,'{\"size\":66.9072265625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/5ca5998a74e37d21087d59cb9f3cc404.webp',66.91,'Boys Shirts Classic Casual Plaid Flannel Children shirts4.webp','2024-09-19 06:34:29'),(900,'{\"size\":53.7041015625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/d304e38b901606e13589d71f9ca08a54.webp',53.70,'Boys Shirts Classic Casual Plaid Flannel Children shirts2.webp','2024-09-19 06:34:29'),(901,'{\"size\":73.0556640625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/f1e675ef1ffb3b061b589586922667f1.webp',73.06,'Boys Shirts Classic Casual Plaid Flannel Children shirts5.webp','2024-09-19 06:34:29'),(902,'{\"size\":32.220703125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/7248d958055c2e000bf39a69083afd54.webp',32.22,'BT-Wireless-Game-Controller-for-Switch-Pro-Lite-Oled-Gamepad-Joystick-for-PC-Game-Cont.webp','2024-09-19 06:34:29'),(903,'{\"size\":36.619140625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/bb3ac55cb77b45694f720dd714a00b8e.webp',36.62,'BT-Wireless-Game-Controller-for-Switch-Pro-Lite-Oled-Gamepad-Joystick-for-PC-Game-Controller.webp','2024-09-19 06:34:29'),(904,'{\"size\":53.517578125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/b5959ab067829723bc123f37e5fc4f9b.webp',53.52,'Romantic-Tarot-Cards-High-Quality-Read-Fate-Game-For-Personal-Use-Board-E-Guidebook.webp','2024-09-19 06:34:29'),(905,'{\"size\":136.869140625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/20904e9821f6aaba7d92612740d7c762.webp',136.87,'Romantic-Tarot-Cards-High-Quality-Read-Fate-Game-For-Personal-Use-Board-E-Guideboo1k.webp','2024-09-19 06:34:29'),(906,'{\"size\":96.953125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/42765fec080996cc9b652e30a0cfa9e2.webp',96.95,'Romantic Tarot Cards High Quality Read Fate Game For Personal Use Board E-Guidebook.webp','2024-09-19 06:34:29'),(907,'{\"size\":91.984375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/71c033ca5beae9e9cc9b0e3964fb217d.webp',91.98,'The-Wildwood-Tarot-Holographic-Tarot-Deck-Table-Card-Game-For-Adults-Fate-Divination-Playin.webp','2024-09-19 06:34:29'),(908,'{\"size\":120.16796875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/ec6ce8550047520c8a9aa50fbde95330.webp',120.17,'The-Wildwood-Tarot-Holographic-Tarot-Deck-Table-Card-Game-For-Adults-Fate-Divination-Playin1.webp','2024-09-19 06:34:29'),(909,'{\"size\":126.59765625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/c078112af00e32211f50e533635c20ec.webp',126.60,'The-Wildwood-Tarot-Holographic-Tarot-Deck-Table-Card-Game-For-Adults-Fate-Divination-Playing.webp','2024-09-19 06:34:29'),(910,'{\"size\":71.943359375,\"type\":\"webp\"}','JPG',NULL,1,'20221116/d7c1a7b4d32ee46154aed56430763bb5.webp',71.94,'CASUAL~1.webp','2024-09-19 06:34:29'),(911,'{\"size\":101.859375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/831ee5dc5b46e3d1adef99004d19ac18.webp',101.86,'Girls-Cute-Clutches-New-Fashion-Solid-Color-Leath (2).webp','2024-09-19 06:34:29'),(912,'{\"size\":89.2724609375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/0b643f20f9f2b8f89666d14532f71d9b.webp',89.27,'Girls-Cute-Clutches-New-Fashion-Solid-Color-Leath (1).webp','2024-09-19 06:34:29'),(913,'{\"size\":94.1669921875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/c40f91c0d7962a3fb9a6a208e3f2ab96.webp',94.17,'Girls-Cute-Clutches-New-Fashion-Solid-Color-Leath.webp','2024-09-19 06:34:29'),(914,'{\"size\":92.3642578125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/4bbfc03d96630ac35e8b46334cf73ebe.webp',92.36,'Girls-Cute-Clutches-New-Fashion-Solid-Color-Leather-C.webp','2024-09-19 06:34:29'),(915,'{\"size\":107.6943359375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/290c384c80db20617d19384a06f75a46.webp',107.69,'Women Chain Small Shoulder Bags Fashion Pu Leather Silk Scarf Crossbody Bags3.webp','2024-09-19 06:34:29'),(916,'{\"size\":107.677734375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/d365206b7141f86c43ac3a71e4485ae8.webp',107.68,'Women Chain Small Shoulder Bags Fashion Pu Leather Silk Scarf Crossbody Bags4.webp','2024-09-19 06:34:29'),(917,'{\"size\":98.03125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/0b04fa1b12a727e75c0309c5d13983f2.webp',98.03,'Women Chain Small Shoulder Bags Fashion Pu Leather Silk Scarf Crossbody Bags1.webp','2024-09-19 06:34:29'),(918,'{\"size\":94.615234375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/a239ee44938ad9f40976097d381ef57f.webp',94.62,'Women-Chain-Small-Shoulder-Bags-Fashion-Pu-Leather-S.webp','2024-09-19 06:34:29'),(919,'{\"size\":36.22265625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/86852cdd6e64a72700577c427c3be4d8.webp',36.22,'Men-Travel-Bag-Large-Capacity-Waterproof-Storage-Bag-Bathroom-Toiletries-Organ.webp','2024-09-19 06:34:29'),(920,'{\"size\":45.875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/433b192deb31c1979cf854465981a492.webp',45.88,'Men-Travel-Bag-Large-Capacity-Waterproof-Storage-Bag-Bathroom-Toiletries-Orga.webp','2024-09-19 06:34:29'),(921,'{\"size\":31.482421875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/71f49acb55e0ecffc8d0758b32ccadca.webp',31.48,'Men-Travel-Bag-Large-Capacity-Waterproof-Storage-Bag-Bathroom-Toiletries-O.webp','2024-09-19 06:34:29'),(922,'{\"size\":121.3740234375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/c65508ea6c70eb20b06892e00e8b5313.webp',121.37,'Napkin-Sanitary-Pad-Pouch-Women-Girl-Cute-Towel-Storage-Bag-Coin-Purse-Lipstic (3).webp','2024-09-19 06:34:29'),(923,'{\"size\":101.69921875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/ec39765aa60cd5e6e28bfa5ed5d48d58.webp',101.70,'Napkin-Sanitary-Pad-Pouch-Women-Girl-Cute-Towel-Storage-Bag-Coin-Purse-Lipstic (2).webp','2024-09-19 06:34:29'),(924,'{\"size\":105.953125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/cf0f3ca1068d989088a76b306476031d.webp',105.95,'Napkin-Sanitary-Pad-Pouch-Women-Girl-Cute-Towel-Storage-Bag-Coin-Purse-Lipstic (1).webp','2024-09-19 06:34:29'),(925,'{\"size\":91.078125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/5a7a4b5d82398aebce973cbf14f418fa.webp',91.08,'Napkin-Sanitary-Pad-Pouch-Women-Girl-Cute-Towel-Storage-Bag-Coin-Purse-Lipstick-He.webp','2024-09-19 06:34:29'),(926,'{\"size\":104.857421875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/c176b9613137502216b6bcf2af6ec971.webp',104.86,'Napkin Sanitary Pad Pouch Women Girl Cute Towel Storage Bag Coin Purse Lipstick Headphone Case.webp','2024-09-19 06:34:29'),(927,'{\"size\":78.291015625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/b0c479b93f2cbbaefe1fd71e92038e61.webp',78.29,'Cute Cartoon Women\'s Kids Lunch Bags Waterproof Insulated Picnic Foods Storage Container Handbag.webp','2024-09-19 06:34:29'),(928,'{\"size\":61.970703125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/7bd866eb6f3cc24c203e68e0940e6d43.webp',61.97,'Cartoon-Fish-School-Bag-Student-Fashion-Schoolbag-Girls-Lovely-Backpack-Mochila-Kindergarten-3D-Book- (1).webp','2024-09-19 06:34:29'),(929,'{\"size\":55.0185546875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/ebd6ad65191e7bc92e6a68dc09a6c8ef.webp',55.02,'Cartoon-Fish-School-Bag-Student-Fashion-Schoolbag-Girls-Lovely-Backpack-Mochila-Kindergarten-3D-Book-Bags.webp','2024-09-19 06:34:29'),(930,'{\"size\":108.796875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/3cf1bee122398adba31ef000e5fac6c0.webp',108.80,'Cartoon Fish School Bag Student Fashion Schoolbag Girls Lovely Backpack.webp','2024-09-19 06:34:29'),(931,'{\"size\":143.6171875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/e754335b63ccf0181856969a8397b461.webp',143.62,'New Pet Dogs Polo Shirt Summer Cool Dogs Clothes Soft Chihuahua For Puppy.webp','2024-09-19 06:34:29'),(932,'{\"size\":85.322265625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/d6521f45b60ae362a6855c4fa753435a.webp',85.32,'Lightweight-Baby-Carriers-With-Adjustable-Should.webp','2024-09-19 06:34:29'),(933,'{\"size\":113.87109375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/3dd4cec2bc7cb8e84532e817fa31ccc5.webp',113.87,'Lightweight-Baby-Carriers-With-Adjustable-Shoulder-S.webp','2024-09-19 06:34:29'),(934,'{\"size\":70.533203125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/86a07d1d3ce4665a879d874fb73ccb55.webp',70.53,'Lightweight-Baby-Carriers-With-Adjustable-Shoulder-S2.webp','2024-09-19 06:34:29'),(935,'{\"size\":82.87109375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/370f76928fac200f28f1e86b2086a1a7.webp',82.87,'Snap Button Bracelet Bangle Elastic Metal Beaded Snap Bracelet Fit.webp','2024-09-19 06:34:29'),(936,'{\"size\":61.603515625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/a17e3269255472cfe26daf77272dc77e.webp',61.60,'Wireless Wrist Strap With Metal Bowl In Hand Blue Antistatic Cordless Antistatic Bracelet.webp','2024-09-19 06:34:29'),(937,'{\"size\":31.353515625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/536358df3e2048f3921ef494cd33488d.webp',31.35,'Wireless Wrist Strap With Metal Bowl In Hand Blue Antistatic Cordless Antistatic Bracele1t.webp','2024-09-19 06:34:29'),(938,'{\"size\":58.537109375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/15d36032f586fe8439c9af57b6dc9fcd.webp',58.54,'1PCS-Wireless-Wrist-Strap-With-Metal-Bowl-In-Hand-Blue-Antistatic-Cordless-Antistatic-Bracelet.webp_Q90.webp','2024-09-19 06:34:29'),(939,'{\"size\":30.435546875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/584e86cd650fb12dd969a08de6528585.webp',30.44,'Christmas Truck Silicone Beads DIY Focus Bead BPA Free Infant Chewable Dummy Necklace Pacifier2.webp','2024-09-19 06:34:29'),(940,'{\"size\":39.654296875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/2452833d7ad98237a43a413ad83f2759.webp',39.65,'Christmas Truck Silicone Beads DIY Focus Bead BPA Free Infant Chewable Dummy Necklace Pacifier1.webp','2024-09-19 06:34:29'),(941,'{\"size\":55.064453125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/da1041f0dd09e05b8a75781ee4e5d753.webp',55.06,'Christmas Truck Silicone Beads DIY Focus Bead BPA Free Infant Chewable Dummy Necklace Pacifier.webp','2024-09-19 06:34:29'),(942,'{\"size\":48.099609375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/f67a728eb33fcc3d2d884e142ceb6ef6.webp',48.10,'Gift-Boxes-for-ring-or-bracelet-without-logo-fit-dropshipping-Jewelry-Package-Accessories.webp','2024-09-19 06:34:29'),(943,'{\"size\":65.357421875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/ba35eed70959b6000252f7fe9b440b72.webp',65.36,'Gift Boxes for ring or bracelet without logo fit dropshipping Jewelry Package.webp','2024-09-19 06:34:29'),(944,'{\"size\":49.5234375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/f7aac2e7f5d4697e6df1f5e0ba7858ed.webp',49.52,'blue.webp','2024-09-19 06:34:29'),(945,'{\"size\":55.900390625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/8c67a9dbf6551bd22b08188f63344f52.webp',55.90,'green.webp','2024-09-19 06:34:29'),(946,'{\"size\":82.30859375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/eee9bfdc90877d251ec67f766bd802c9.webp',82.31,'Velvet Jewelry Organizer Gift Small Bag Touching Plush Drawstring Packaging Storage.webp','2024-09-19 06:34:29'),(947,'{\"size\":34.744140625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/04f5788e13d4737267f1eb8a2ae7552f.webp',34.74,'USB 2.0 Type A Female To Male Extension Extender Cable2.webp','2024-09-19 06:34:29'),(948,'{\"size\":30.302734375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/caa6ea61874ae4f54ee9cd5d0525147b.webp',30.30,'USB 2.0 Type A Female To Male Extension Extender Cable3.webp','2024-09-19 06:34:29'),(949,'{\"size\":47.61328125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/3d418353e7b238849c8675a20649caca.webp',47.61,'USB 2.0 Type A Female To Male Extension Extender Cable1.webp','2024-09-19 06:34:29'),(950,'{\"size\":44.6484375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/83d73390ba88a6390101c4d7a8766822.webp',44.65,'USB 2.0 Type A Female To Male Extension Extender Cable.webp','2024-09-19 06:34:29'),(951,'{\"size\":23.26953125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/9526c3d8c62977c8330ecb6a7aa2182f.webp',23.27,'1M-Micro-USB-Type-C-Cable-2-IN-1-Fast-Charging-Cord-Data-Sync-Charger-Line.webp_640x640 (1).webp','2024-09-19 06:34:29'),(952,'{\"size\":17.5,\"type\":\"webp\"}','jpg',NULL,1,'20221116/6c2e5da60065189b2f5650ac05dc224f.webp',17.50,'1M-Micro-USB-Type-C-Cable-2-IN-1-Fast-Charging-Cord-Data-Sync-Charger-Line.webp_640x640.webp','2024-09-19 06:34:29'),(953,'{\"size\":45.298828125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/0c38cb55c64d092f786bdf803468e133.webp',45.30,'USB Type C Cable 2 IN 1 Fast Charging Cord Data Sync Charger Line Speed Transfer1.webp','2024-09-19 06:34:29'),(954,'{\"size\":21.291015625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/3c313278885be29855a556b5e27e1aea.webp',21.29,'USB Type C Cable 2 IN 1 Fast Charging Cord Data Sync Charger Line Speed Transfer.webp','2024-09-19 06:34:29'),(955,'{\"size\":28.39453125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/8ab8e217f11a4ebdd04e6a6fe83f5c3a.webp',28.39,'black.webp','2024-09-19 06:34:29'),(956,'{\"size\":32.451171875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/23c4d1b84785337722f69736b86ff959.webp',32.45,'blue.webp','2024-09-19 06:34:29'),(957,'{\"size\":12.654296875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/cb6939c8a8bfa4d249654a4c6d45aa55.webp',12.65,'white.webp','2024-09-19 06:34:29'),(958,'{\"size\":38.833984375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/12720eafbfded74f716406f2caa75ae4.webp',38.83,'black.webp','2024-09-19 06:34:29'),(959,'{\"size\":27.26953125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/2c6dcb0b6953482cd03b7dd6e754c51d.webp',27.27,'blue.webp','2024-09-19 06:34:29'),(960,'{\"size\":27.884765625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/a8f3205751d743e0e08988429e1b86e7.webp',27.88,'black.webp','2024-09-19 06:34:29'),(961,'{\"size\":29.33984375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/5215d50c53b4b827e313fc525e52562a.webp',29.34,'green.webp','2024-09-19 06:34:29'),(962,'{\"size\":123.37890625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/682e61992be05b11e77a5a94e4aa9bc4.webp',123.38,'Tumbler-Dinosaur-Egg-Multi-colors-Virtual-Cyber-Digi.webp','2024-09-19 06:34:29'),(963,'{\"size\":152.224609375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/dc04c86a127d1967056f11dad17bbb1d.webp',152.22,'white.webp','2024-09-19 06:34:29'),(964,'{\"size\":134.330078125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/539708ae11d94dbca0770e4da809b253.webp',134.33,'pink.webp','2024-09-19 06:34:29'),(965,'{\"size\":176.3955078125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/37e7c239a34e249fcc333662743194d0.webp',176.40,'blue.webp','2024-09-19 06:34:29'),(966,'{\"size\":97.123046875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/12a3bfa2188bc16c1bbabbe2c69553ff.webp',97.12,'Smartwatch Men Support 118 Sports Women Smart Watch.webp','2024-09-19 06:34:29'),(967,'{\"size\":34.205078125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/b99d3148de455940d1d4ac4a943f1e88.webp',34.21,'blue.webp','2024-09-19 06:34:29'),(968,'{\"size\":40.728515625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/be6e9408affa6ce6a6da8a19c99a92aa.webp',40.73,'golden.webp','2024-09-19 06:34:29'),(969,'{\"size\":30.0546875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/4709673eec4646705e96c8e4de30dff5.webp',30.05,'black.webp','2024-09-19 06:34:29'),(970,'{\"size\":55.73046875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/2a0a8309baa254d6b9c21389cbe0e799.webp',55.73,'minipc2.webp','2024-09-19 06:34:29'),(971,'{\"size\":45.125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/f0851afdf3e11c911cf6f2202adb68d8.webp',45.12,'minipc.webp','2024-09-19 06:34:29'),(972,'{\"size\":27.634765625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/5f0e01e0e4e042d076271f0f07aba751.webp',27.63,'CASE-AC-CC.webp','2024-09-19 06:34:29'),(973,'{\"size\":24.71875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/b290bcbc6a0e890c72bc97bcff37c302.webp',24.72,'CASE-OTG.webp','2024-09-19 06:34:29'),(974,'{\"size\":24.654296875,\"type\":\"webp\"}','jpg',NULL,1,'20221116/31e679efa10c38424385f024b4da4a37.webp',24.65,'CASE-AC.webp','2024-09-19 06:34:29'),(975,'{\"size\":31.634765625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/8e4f7f9cffd21f3f267147d2cf3e79b1.webp',31.63,'USB 2.0 Flash Pen Drive 32GB 16GB 64GB 128GB Squid Game Cle Usb Memorys Cards.webp','2024-09-19 06:34:29'),(976,'{\"size\":57.87890625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/1fbd86ffd210e250d46cce02433b5f5a.webp',57.88,'one.webp','2024-09-19 06:34:29'),(977,'{\"size\":43.6640625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/10ec4be90e74462efad15f3f79076b62.webp',43.66,'two.webp','2024-09-19 06:34:29'),(978,'{\"size\":18.4765625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/2d5ed2e57112efcfc843776788a92e2d.webp',18.48,'blue.webp','2024-09-19 06:34:29'),(979,'{\"size\":18.55859375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/fa07c364ad08b1923ede92071f798345.webp',18.56,'pink.webp','2024-09-19 06:34:29'),(980,'{\"size\":18.541015625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/a9ff70f7c6b5d8e03f71bb375772e449.webp',18.54,'red.webp','2024-09-19 06:34:29'),(981,'{\"size\":7.599609375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/920a60aa5244194dae430dc8b8b758fb.webp',7.60,'white.webp','2024-09-19 06:34:29'),(982,'{\"size\":15.2578125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/1613dcb74adf575d1ccd3eb35b958019.webp',15.26,'blue.webp','2024-09-19 06:34:29'),(983,'{\"size\":13.859375,\"type\":\"webp\"}','jpg',NULL,1,'20221116/0b023fa29dbf7e236f9aa1ed011ebb92.webp',13.86,'pink.webp','2024-09-19 06:34:29'),(984,'{\"size\":15.265625,\"type\":\"webp\"}','jpg',NULL,1,'20221116/7de7dd441ea5a71a0e73635a8e6fe7da.webp',15.27,'green.webp','2024-09-19 06:34:29'),(985,'{\"size\":22.05078125,\"type\":\"webp\"}','jpg',NULL,1,'20221116/79e421bbcb090394f511aa53c47bd6b7.webp',22.05,'Anti-Drop AirPods1 2 Silicone Bluetooth Compatible Earphone Cover AirPods.webp','2024-09-19 06:34:29'),(986,'{\"size\":3.66796875,\"type\":\"webp\"}','webp',NULL,1,'20221117/cf6912c0f5827b918515dce359688a00.webp',3.67,'martvill-logo (4).webp','2024-09-19 06:34:29'),(987,'{\"size\":3.2158203125,\"type\":\"webp\"}','webp',NULL,1,'20221117/baac20e98e8b5d82f0084c92be8feeb9.webp',3.22,'Group 94691 (3).webp','2024-09-19 06:34:29'),(988,'{\"size\":51.2119140625,\"type\":\"webp\"}','webp',NULL,1,'20221117/8bb982bae02e596721bad953fd608a88.webp',51.21,'Group 95104.webp','2024-09-19 06:34:29'),(989,'{\"size\":68.72265625,\"type\":\"webp\"}','webp',NULL,1,'20221117/3da9cf6e2d7830531e5fd19f488bb7ce.webp',68.72,'Group 95105.webp','2024-09-19 06:34:29'),(990,'{\"size\":2.423828125,\"type\":\"webp\"}','webp',NULL,1,'20221117/9f816dddcdedacc18c5ed3b39cefc5bf.webp',2.42,'Group 175 (2).webp','2024-09-19 06:34:29'),(991,'{\"size\":1.96875,\"type\":\"webp\"}','webp',NULL,1,'20221117/05a073d480ed4ccaa7407b408291a633.webp',1.97,'Group 173 (2).webp','2024-09-19 06:34:29'),(992,'{\"size\":2.046875,\"type\":\"webp\"}','webp',NULL,1,'20221117/c2ef7099bd48eb02a90d73d8d988107e.webp',2.05,'Group 174 (2).webp','2024-09-19 06:34:29'),(993,'{\"size\":224.1455078125,\"type\":\"webp\"}','webp',NULL,1,'20221117/b657ae96d2ef4eacce5c7d3254f92c92.webp',224.15,'bg-img.webp','2024-09-19 06:34:29'),(994,'{\"size\":281.33984375,\"type\":\"webp\"}','webp',NULL,1,'20221117/098b0f42864fc43d195ff160d6af5219.webp',281.34,'bg-img (1).webp','2024-09-19 06:34:29'),(995,'{\"size\":245.4130859375,\"type\":\"webp\"}','webp',NULL,1,'20221117/c7929cfab3760f327e60720f003d3f35.webp',245.41,'Group 95101.webp','2024-09-19 06:34:29'),(996,'{\"size\":223.421875,\"type\":\"webp\"}','webp',NULL,1,'20221117/cdb017ab1beb96254691645ee0ecc2dd.webp',223.42,'bg-img4 (1).webp','2024-09-19 06:34:29'),(997,'{\"size\":227.91796875,\"type\":\"webp\"}','webp',NULL,1,'20221117/3465ce36515c5eb6b752872847ede43f.webp',227.92,'bg-img (2).webp','2024-09-19 06:34:29'),(998,'{\"size\":113.720703125,\"type\":\"webp\"}','jpg',NULL,1,'20221117/7a7986f9b30dc3b1b10bb4d8829dc7d5.webp',113.72,'e04f31d138528bc8fcdc198057c507f0.webp','2024-09-19 06:34:29'),(999,'{\"size\":276.7333984375,\"type\":\"webp\"}','jpg',NULL,1,'20221117/dc5de642bb36ee78d5e967c921c0095a.webp',276.73,'91c81cdffbd8d934f47ad6c7b9a86100.webp','2024-09-19 06:34:29'),(1000,'{\"size\":124.75390625,\"type\":\"webp\"}','jpg',NULL,1,'20221117/b0fd4316584541585646da876c867ca9.webp',124.75,'bbbce1c17313a31ff3038ae617d390f7.webp','2024-09-19 06:34:29'),(1001,'{\"size\":233.421875,\"type\":\"webp\"}','jpg',NULL,1,'20221117/c5190024eddfec2d3f68133c7d654a6b.webp',233.42,'e3d60217b5ec860770062868cc10288b.webp','2024-09-19 06:34:29'),(1002,'{\"size\":245.6630859375,\"type\":\"webp\"}','jpg',NULL,1,'20221117/28d75a3cf6dd453b42af95a6c1aa5caf.webp',245.66,'32d7c184b61eba470e94c5a93bc280e9.webp','2024-09-19 06:34:29'),(1003,'{\"size\":174.470703125,\"type\":\"webp\"}','jpg',NULL,1,'20221117/3da846a6dee1db332d97171e3cb7ca30.webp',174.47,'665c48375ef68d873005850d06df4c7c.webp','2024-09-19 06:34:29'),(1004,'{\"size\":248.958984375,\"type\":\"webp\"}','jpg',NULL,1,'20221117/2b4b0212210ba78f20ea53056a9ec6c6.webp',248.96,'de17659e69e6cc027eb5be9167a09dd5.webp','2024-09-19 06:34:29'),(1005,'{\"size\":146.2177734375,\"type\":\"webp\"}','jpg',NULL,1,'20221117/d5ede13c31ad1b717807a89e2a5db49d.webp',146.22,'14bae0d192b6b6273ed2a7bf3e76ee88.webp','2024-09-19 06:34:29'),(1006,'{\"size\":153.57421875,\"type\":\"webp\"}','jpg',NULL,1,'20221120/139e75ab56c02c8e35cac98c4f6ea812.webp',153.57,'10.webp','2024-09-19 06:34:29'),(1007,'{\"size\":46.3671875,\"type\":\"webp\"}','jpg',NULL,1,'20221120/fff6730c097bce46a0e88303e17aad82.webp',46.37,'3.webp','2024-09-19 06:34:29'),(1008,'{\"size\":90.3505859375,\"type\":\"webp\"}','jpg',NULL,1,'20221120/3854797b37a51099c22f45952459d8fd.webp',90.35,'4.webp','2024-09-19 06:34:29'),(1009,'{\"size\":74.1171875,\"type\":\"webp\"}','jpg',NULL,1,'20221120/8dbc149374c1046c5177438df2a021c7.webp',74.12,'3-1.webp','2024-09-19 06:34:29'),(1010,'{\"size\":129.8515625,\"type\":\"webp\"}','jpg',NULL,1,'20221120/cf6a91666a7fb0f5bca5752f12f98143.webp',129.85,'1.webp','2024-09-19 06:34:29'),(1011,'{\"size\":118.38671875,\"type\":\"webp\"}','jpg',NULL,1,'20221120/8abb4d2f7a254c2d3331ef7fd0511415.webp',118.39,'2.webp','2024-09-19 06:34:29'),(1012,'{\"size\":170.791015625,\"type\":\"webp\"}','jpg',NULL,1,'20221120/1af11c4b3c9b6d0e2806c144d80626ce.webp',170.79,'1-1.webp','2024-09-19 06:34:29'),(1013,'{\"size\":17.423828125,\"type\":\"webp\"}','jpg',NULL,1,'20221120/d265842eff83d6f419b0ca1582f87da8.webp',17.42,'6.webp','2024-09-19 06:34:29'),(1014,'{\"size\":75.658203125,\"type\":\"webp\"}','jpg',NULL,1,'20221120/a2d7b299220cc0defef58fc76b7fa838.webp',75.66,'5.webp','2024-09-19 06:34:29'),(1015,'{\"size\":91.7998046875,\"type\":\"webp\"}','jpg',NULL,1,'20221120/789ce2f39acd5aa9686c8c548017a973.webp',91.80,'12.webp','2024-09-19 06:34:29'),(1016,'{\"size\":146.591796875,\"type\":\"webp\"}','jpg',NULL,1,'20221120/aecae02fb3f920630d153e57f086cd39.webp',146.59,'8.webp','2024-09-19 06:34:29'),(1017,'{\"size\":150.2763671875,\"type\":\"webp\"}','jpg',NULL,1,'20221120/13d2c440f58a73a30cb67b19202a83e2.webp',150.28,'7.webp','2024-09-19 06:34:29'),(1018,'{\"size\":43.021484375,\"type\":\"webp\"}','jpg',NULL,1,'20221120/c5e80747d70af0aeecfc904425518436.webp',43.02,'Heel leather sandals.webp','2024-09-19 06:34:29'),(1019,'{\"size\":94.0537109375,\"type\":\"webp\"}','jpg',NULL,1,'20221120/bbf4ee60755bd736492ebe29b856ccd2.webp',94.05,'14.webp','2024-09-19 06:34:29'),(1020,'{\"size\":94.8779296875,\"type\":\"webp\"}','jpg',NULL,1,'20221120/b6bb7855098d58bbcca91fc46f553dda.webp',94.88,'main_01_p-02-1100x1471.webp','2024-09-19 06:34:29'),(1021,'{\"size\":89.2998046875,\"type\":\"webp\"}','jpg',NULL,1,'20221120/f3ae89350bf98da81d50be2886499091.webp',89.30,'main_01_p-03-1100x1471.webp','2024-09-19 06:34:29'),(1022,'{\"size\":103.146484375,\"type\":\"webp\"}','jpg',NULL,1,'20221120/abc930448a9f08de458b70e58e9f894e.webp',103.15,'main_01_p-01-1100x1471.webp','2024-09-19 06:34:29'),(1023,'{\"size\":145.0224609375,\"type\":\"webp\"}','jpeg',NULL,1,'20221121/eeff6c4102ff4a38699f52395489563f.webp',145.02,'main_01_slider1_01-scaled.webp','2024-09-19 06:34:29'),(1024,'{\"size\":115.8447265625,\"type\":\"webp\"}','jpeg',NULL,1,'20221121/b0435b0a2bd1d9ed800c388c19951fa3.webp',115.84,'m1_slider_02-scaled.webp','2024-09-19 06:34:29'),(1025,'{\"size\":162.537109375,\"type\":\"webp\"}','jpeg',NULL,1,'20221121/7b6b3a925e43a38a315244765b888ebd.webp',162.54,'m1_slider_03-scaled.webp','2024-09-19 06:34:29'),(1026,'{\"size\":410.560546875,\"type\":\"webp\"}','webp',NULL,1,'20221121/51ba25bafe4b8697de7906be4793a9d4.webp',410.56,'TechVill_20_November_2022_01_12_02_818_PM.webp','2024-09-19 06:34:29'),(1027,'{\"size\":538.0224609375,\"type\":\"webp\"}','webp',NULL,1,'20221121/8f0d72a21f3c17807d9c9bcc7335978c.webp',538.02,'TechVill_20_November_2022_01_12_59_955_PM.webp','2024-09-19 06:34:29'),(1028,'{\"size\":876.076171875,\"type\":\"webp\"}','webp',NULL,1,'20221121/bf6dcde304e9959ef7e3d08563ca8b72.webp',876.08,'TechVill_20_November_2022_01_15_13_783_PM.webp','2024-09-19 06:34:29'),(1029,'{\"size\":440.3310546875,\"type\":\"webp\"}','webp',NULL,1,'20221121/07a0432e6b956b2b39698f4f467fe721.webp',440.33,'TechVill_20_November_2022_01_23_36_652_PM.webp','2024-09-19 06:34:29'),(1030,'{\"size\":534.576171875,\"type\":\"webp\"}','webp',NULL,1,'20221121/0d7c976040a4d5832abaf6094d3bc6a1.webp',534.58,'TechVill_20_November_2022_01_24_21_745_PM.webp','2024-09-19 06:34:29'),(1031,'{\"size\":3.69140625,\"type\":\"webp\"}','webp',NULL,1,'20221122/e2263cc2f3c88488c4dc17d98c7a39d7.webp',3.69,'martvill-logo (5).webp','2024-09-19 06:34:29'),(1032,'{\"size\":3.6640625,\"type\":\"webp\"}','webp',NULL,1,'20221122/07ec0b2889b262b1a642dd173aebdf2d.webp',3.66,'Group 94691 (4).webp','2024-09-19 06:34:29'),(1033,'{\"size\":441.5244140625,\"type\":\"webp\"}','webp',NULL,1,'20221122/64375d88e037a0a287f3709d6bf4595c.webp',441.52,'Group 95125 (1).webp','2024-09-19 06:34:29'),(1034,'{\"size\":303.2353515625,\"type\":\"webp\"}','webp',NULL,1,'20221122/b57c5dce265e7f6e9b603a15adea2a74.webp',303.24,'Group 95130.webp','2024-09-19 06:34:29'),(1035,'{\"size\":405.9169921875,\"type\":\"webp\"}','webp',NULL,1,'20221122/fde3af0740653c9ef5d3470ea08056d1.webp',405.92,'Group 95131.webp','2024-09-19 06:34:29'),(1036,'{\"size\":304.451171875,\"type\":\"webp\"}','webp',NULL,1,'20221122/028f0f4bff6cafc7640167de9e2bc736.webp',304.45,'Group 95110.webp','2024-09-19 06:34:29'),(1037,'{\"size\":580.67578125,\"type\":\"webp\"}','webp',NULL,1,'20221122/27784d4c38028dc16489f01dca1a98fd.webp',580.68,'unsplash_cOJgO4Zzs-w (11).webp','2024-09-19 06:34:29'),(1038,'{\"size\":67.16796875,\"type\":\"webp\"}','webp',NULL,1,'20221122/47eadab8eb9dbe8488be6c064c690a66.webp',67.17,'Group 95129.webp','2024-09-19 06:34:29'),(1039,'{\"size\":84.7353515625,\"type\":\"webp\"}','webp',NULL,1,'20221122/49bb66273ff65064402ae5caebc6a5d7.webp',84.74,'Group 95128.webp','2024-09-19 06:34:29'),(1040,'{\"size\":49.26953125,\"type\":\"webp\"}','webp',NULL,1,'20221122/62e53a0d5a8eec51d190eafbcfec7cba.webp',49.27,'Group 95120.webp','2024-09-19 06:34:29'),(1041,'{\"size\":22.2666015625,\"type\":\"webp\"}','webp',NULL,1,'20221122/d5b1f9096b507899efbf1255afc4cb7e.webp',22.27,'Group 95121.webp','2024-09-19 06:34:29'),(1042,'{\"size\":29.029296875,\"type\":\"webp\"}','jpg',NULL,1,'20221123/3e2bd32693086adee813af0977d00ede.webp',29.03,'armchair-pillow.webp','2024-09-19 06:34:29'),(1043,'{\"size\":22.783203125,\"type\":\"webp\"}','jpg',NULL,1,'20221123/6b2f904f2fafb2b96388290860425dd0.webp',22.78,'chair-pillow.webp','2024-09-19 06:34:29'),(1044,'{\"size\":16.48828125,\"type\":\"webp\"}','jpg',NULL,1,'20221123/026b90fc64033306bc721aae8f2fd6c4.webp',16.49,'chair-pillow_1.webp','2024-09-19 06:34:29'),(1045,'{\"size\":18.099609375,\"type\":\"webp\"}','jpg',NULL,1,'20221123/f8256ae374c1432ad6b8ac1e81fde25e.webp',18.10,'chair-pillow_17.webp','2024-09-19 06:34:29'),(1046,'{\"size\":10.15625,\"type\":\"webp\"}','jpg',NULL,1,'20221123/c3a40267142cdf69026abdffc1c50df6.webp',10.16,'modern-designer-chair-isolated-white-background-furniture-set-3d-render.webp','2024-09-19 06:34:29'),(1047,'{\"size\":377.0791015625,\"type\":\"webp\"}','webp',NULL,1,'20221123/8455776f6791cd5479bb9a88c829876c.webp',377.08,'TechVill_22_November_2022_03_45_20_428_PM.webp','2024-09-19 06:34:29'),(1048,'{\"size\":126.833984375,\"type\":\"webp\"}','webp',NULL,1,'20221123/b05bc24c3a122d465099a05a24d2fa3b.webp',126.83,'unsplash_w-T0j4rzpVc.webp','2024-09-19 06:34:29'),(1049,'{\"size\":143.947265625,\"type\":\"webp\"}','webp',NULL,1,'20221123/8aef5c1a8f0cb9c5f4dbf783ee501d47.webp',143.95,'unsplash_w-T0j4rzpVc (1).webp','2024-09-19 06:34:29'),(1050,'{\"size\":192.7421875,\"type\":\"webp\"}','webp',NULL,1,'20221123/11c41cfbe3e9f892e149b7715a0d9200.webp',192.74,'unsplash_w-T0j4rzpVc (2).webp','2024-09-19 06:34:29'),(1051,'{\"size\":81.9560546875,\"type\":\"webp\"}','webp',NULL,1,'20221123/70fe548781b9bc65fba1f565a4b9852b.webp',81.96,'unsplash_w-T0j4rzpVc (3).webp','2024-09-19 06:34:29'),(1052,'{\"size\":123.0595703125,\"type\":\"webp\"}','webp',NULL,1,'20221123/a032be4f9f09a82934d28c9879b1e156.webp',123.06,'unsplash_w-T0j4rzpVc (4).webp','2024-09-19 06:34:29'),(1054,'{\"size\":129.359375,\"type\":\"webp\"}','webp',NULL,1,'20221123/57f19d8d2afae6da03b1c11642fda166.webp',129.36,'unsplash_w-T0j4rzpVc (6).webp','2024-09-19 06:34:29'),(1062,'{\"size\":48.9609375,\"type\":\"webp\"}','webp',NULL,1,'20221114/86109a9933c986050759bf386f616462.webp',48.96,'index-promo-12.webp','2024-09-19 06:34:29'),(1063,'{\"size\":48.9609375,\"type\":\"webp\"}','webp',NULL,1,'20221114/3326462095793b23ed56be61f1dbc350.webp',48.96,'index-promo-12.webp','2024-09-19 06:34:29'),(1064,'{\"size\":58.4423828125,\"type\":\"webp\"}','jpg',NULL,1,'20221127/77e9e64017e9afadce542d07a7d4c2b3.webp',58.44,'call-to-action-2-1.webp','2024-09-19 06:34:29'),(1065,'{\"size\":252.2197265625,\"type\":\"webp\"}','jpg',NULL,1,'20221127/a54efc1c8d9e94c19070456dca2a78b9.webp',252.22,'call-to-action-2-2.webp','2024-09-19 06:34:29'),(1066,'{\"size\":78.3466796875,\"type\":\"webp\"}','jpg',NULL,1,'20221127/e2db8acd9877f20ec050a62c64b91fc2.webp',78.35,'call-to-action-1-1.webp','2024-09-19 06:34:29'),(1067,'{\"size\":150.076171875,\"type\":\"webp\"}','jpg',NULL,1,'20221127/fab76bf50492b107744b371a8719d9f4.webp',150.08,'call-to-action-1-2.webp','2024-09-19 06:34:29'),(1068,'{\"size\":127.95703125,\"type\":\"webp\"}','jpg',NULL,1,'20221127/ae788a631fef4e5c903c94b9e0710519.webp',127.96,'slider-1.webp','2024-09-19 06:34:29'),(1069,'{\"size\":295.9013671875,\"type\":\"webp\"}','jpg',NULL,1,'20221127/31bfa8dd31fe856f0e05ad51e789a751.webp',295.90,'slider-2.webp','2024-09-19 06:34:29'),(1070,'{\"size\":1254.2734375,\"type\":\"webp\"}','jpg',NULL,1,'20221127/7284044245c170d2b31151844d91ab67.webp',1254.27,'slider-3.webp','2024-09-19 06:34:29'),(1071,'{\"size\":3.2822265625,\"type\":\"webp\"}','webp',NULL,1,'20221127/ecf5c1adb30f71529104e7fe379c425f.webp',3.28,'martvill-logo (6).webp','2024-09-19 06:34:29'),(1072,'{\"size\":555.94140625,\"type\":\"webp\"}','webp',NULL,1,'20221127/9104f1acdf2a2420f2e7f5e1ec967688.webp',555.94,'Group 95141.webp','2024-09-19 06:34:29'),(1074,'{\"size\":126.7470703125,\"type\":\"webp\"}','webp',NULL,1,'20221127/c4336ee256174248841441bd589fdcdc.webp',126.75,'Group 95146 (1).webp','2024-09-19 06:34:29'),(1075,'{\"size\":4.34765625,\"type\":\"webp\"}','webp',NULL,1,'20221127/092bab607148f48e07498ca8fe0bd4ec.webp',4.35,'image 931.webp','2024-09-19 06:34:29'),(1076,'{\"size\":5.5078125,\"type\":\"webp\"}','webp',NULL,1,'20221127/b1325bf15fe06ed42dbae9b0ef6da344.webp',5.51,'image 932.webp','2024-09-19 06:34:29'),(1077,'{\"size\":3.642578125,\"type\":\"webp\"}','webp',NULL,1,'20221127/58f0412d59026950b3b29ecac9e4d1ac.webp',3.64,'image 933.webp','2024-09-19 06:34:29'),(1078,'{\"size\":3.6748046875,\"type\":\"webp\"}','webp',NULL,1,'20221127/9e21612cd95f17e4b08967ea95837659.webp',3.67,'image 934.webp','2024-09-19 06:34:29'),(1079,'{\"size\":2.720703125,\"type\":\"webp\"}','webp',NULL,1,'20221127/3d0eb7a9d76997fc924c5c768a37e2dd.webp',2.72,'image 946.webp','2024-09-19 06:34:29'),(1080,'{\"size\":2.1220703125,\"type\":\"webp\"}','webp',NULL,1,'20221127/1f8e90138942420f97e16e8e8c0899f8.webp',2.12,'image 947.webp','2024-09-19 06:34:29'),(1081,'{\"size\":2.7626953125,\"type\":\"webp\"}','webp',NULL,1,'20221127/f486f922d7ffbaf507d305c8561262dd.webp',2.76,'image 948.webp','2024-09-19 06:34:29'),(1082,'{\"size\":3.0830078125,\"type\":\"webp\"}','webp',NULL,1,'20221127/1d0d2769d19c6dcc4c0e95a492881e63.webp',3.08,'image 949.webp','2024-09-19 06:34:29'),(1083,'{\"size\":5.44921875,\"type\":\"webp\"}','webp',NULL,1,'20221127/133b0d03b370a443dcd5d2db0efe213a.webp',5.45,'settings (3) 1.webp','2024-09-19 06:34:29'),(1084,'{\"size\":7.181640625,\"type\":\"webp\"}','webp',NULL,1,'20221127/1da81227afe1aeb7cf29ffb6cf966a80.webp',7.18,'Group 95145.webp','2024-09-19 06:34:29'),(1085,'{\"size\":6.7412109375,\"type\":\"webp\"}','webp',NULL,1,'20221127/60243e4dc79d74f5f3a6c019654d180b.webp',6.74,'Group 95144.webp','2024-09-19 06:34:29'),(1086,'{\"size\":5.5869140625,\"type\":\"webp\"}','webp',NULL,1,'20221127/e0e5b0aec6bcd398bfd0aae16f3a05f7.webp',5.59,'Group 95143.webp','2024-09-19 06:34:29'),(1087,'{\"size\":7.494140625,\"type\":\"webp\"}','webp',NULL,1,'20221127/1d97e1ec28523318e5bf5a9645c7917e.webp',7.49,'Group 95142.webp','2024-09-19 06:34:29'),(1088,'{\"size\":34.599609375,\"type\":\"webp\"}','webp',NULL,1,'20221127/ae16685af1c819def9c014d01a6b3b91.webp',34.60,'Group 95150.webp','2024-09-19 06:34:29'),(1089,'{\"size\":52.1689453125,\"type\":\"webp\"}','webp',NULL,1,'20221127/490cad1f920ffcb3f6bb097224231d30.webp',52.17,'Group 95151.webp','2024-09-19 06:34:29'),(1090,'{\"size\":34.962890625,\"type\":\"webp\"}','webp',NULL,1,'20221127/763ba674d3346b48c4f308c6413bdf39.webp',34.96,'Group 95152.webp','2024-09-19 06:34:29'),(1091,'{\"size\":118.0087890625,\"type\":\"webp\"}','webp',NULL,1,'20221127/d5f2acc857e87f53f5cc75e331e9c255.webp',118.01,'Group 95155.webp','2024-09-19 06:34:29'),(1092,'{\"size\":73.798828125,\"type\":\"webp\"}','webp',NULL,1,'20221127/ada5a63c1c4c0a2ab6119f5d24723f7a.webp',73.80,'Group 95157.webp','2024-09-19 06:34:29'),(1093,'{\"size\":31.1943359375,\"type\":\"webp\"}','webp',NULL,1,'20221127/d8ed5b2f82b37f4afe3fde8a023e1931.webp',31.19,'Rectangle 4755.webp','2024-09-19 06:34:29'),(1094,'{\"size\":141.900390625,\"type\":\"webp\"}','jpg',NULL,1,'20221129/12188c61b8ef38c7dedc52e4cb70739b.webp',141.90,'Group 95158.webp','2024-09-19 06:34:29'),(1095,'{\"size\":118.388671875,\"type\":\"webp\"}','jpg',NULL,1,'20221129/e7bf0e48ef030f688794f19fce42e580.webp',118.39,'Group 95157.webp','2024-09-19 06:34:29'),(1096,'{\"size\":185.7939453125,\"type\":\"webp\"}','jpg',NULL,1,'20221129/440dc1db6a1f4109cbda978e95588b83.webp',185.79,'Group 95165.webp','2024-09-19 06:34:29'),(1097,'{\"size\":144.060546875,\"type\":\"webp\"}','jpg',NULL,1,'20221129/659a1abaf5aa9f57f209e3009f7402a0.webp',144.06,'Aug_25_-_White_And_Green_Envelope_01 1.webp','2024-09-19 06:34:29'),(1098,'{\"size\":117.6953125,\"type\":\"webp\"}','jpg',NULL,1,'20221129/b4f5f5ed6d126d2bb57b4b82ea0939d9.webp',117.70,'Group 95163.webp','2024-09-19 06:34:29'),(1099,'{\"size\":245.5556640625,\"type\":\"webp\"}','jpg',NULL,1,'20221129/e3412a5eaa185058ae457ecbc7c827b8.webp',245.56,'Group 95162.webp','2024-09-19 06:34:29'),(1100,'{\"size\":262.9677734375,\"type\":\"webp\"}','jpg',NULL,1,'20221201/d274c974ef354ac930ccd09c174bc69e.webp',262.97,'modern-bright-interiors-room-3d-rendering-illustration (1).webp','2024-09-19 06:34:29'),(1101,'{\"size\":316.5654296875,\"type\":\"webp\"}','jpg',NULL,1,'20221201/402a91a28165136997a5f78692e354f3.webp',316.57,'3d-rendering-loft-scandinavian-living-room-with-working-table-bookshelf (1).webp','2024-09-19 06:34:29'),(1102,'{\"size\":286.9140625,\"type\":\"webp\"}','jpg',NULL,1,'20221201/0a3a2bb4ccba030f564bcecd87489167.webp',286.91,'life-style.webp','2024-09-19 06:34:29'),(1105,'{\"size\":127.2880859375,\"type\":\"webp\"}','webp',NULL,1,'20221203/fa0d7e2de5d2e08b9d3590b79008a3f3.webp',127.29,'unsplash_w-T0j4rzpVc (9).webp','2024-09-19 06:34:29'),(1107,'{\"size\":186.15625,\"type\":\"webp\"}','webp',NULL,1,'20221203/d1467c833690dfb0ab5ce7dcb64426a9.webp',186.16,'unsplash_w-T0j4rzpVc (11).webp','2024-09-19 06:34:29'),(1108,'{\"size\":40.29296875,\"type\":\"webp\"}','webp',NULL,1,'20221203/48bf69b742698301a1ebdff88322e651.webp',40.29,'unsplash_w-T0j4rzpVc (12).webp','2024-09-19 06:34:29'),(1111,'{\"size\":109.4111328125,\"type\":\"webp\"}','webp',NULL,1,'20221203/4549648a85ebfff095bba62a585ddf9b.webp',109.41,'unsplash_w-T0j4rzpVc (14).webp','2024-09-19 06:34:29'),(1112,'{\"size\":68.17578125,\"type\":\"webp\"}','webp',NULL,1,'20221203/f824e5bc548f937873cec0c9cccb42fa.webp',68.18,'6ee4a543b762318b3f6c59c3bb79b004.webp','2024-09-19 06:34:29'),(1113,'{\"size\":261.2060546875,\"type\":\"webp\"}','jpg',NULL,1,'20221203/6f44524bd84eeff829ad0e0befebf0de.webp',261.21,'5898.webp','2024-09-19 06:34:29'),(1114,'{\"size\":366.2216796875,\"type\":\"webp\"}','jpg',NULL,1,'20221203/9d1961d93f8add5597d0dc7355c85c8b.webp',366.22,'Card_Phone.webp','2024-09-19 06:34:29'),(1115,'{\"size\":217.810546875,\"type\":\"webp\"}','jpg',NULL,1,'20221203/6bbdb5850b6f0be7314ea4ff328ee071.webp',217.81,'v960-ni-43 - Copy.webp','2024-09-19 06:34:29'),(1116,'{\"size\":149.7099609375,\"type\":\"webp\"}','webp',NULL,1,'20221205/0add77c774ccf36ac94582ab78301bdd.webp',149.71,'unsplash_w-T0j4rzpVc (15).webp','2024-09-19 06:34:29'),(1120,'{\"size\":85.4599609375,\"type\":\"webp\"}','webp',NULL,1,'20221205/cba5deddcae3205d94259425a9ff5bbe.webp',85.46,'unsplash_w-T0j4rzpVc (18).webp','2024-09-19 06:34:29'),(1122,'{\"size\":293.5078125,\"type\":\"webp\"}','webp',NULL,1,'20221205/2dcff5a961eb2a3127b2fe3b87861d99.webp',293.51,'unsplash_DmD8HVOjy4c (2).webp','2024-09-19 06:34:29'),(1123,'{\"size\":188.6826171875,\"type\":\"webp\"}','webp',NULL,1,'20221205/bdf1b2983bbb8fdd1660117bad20b550.webp',188.68,'Group 95185.webp','2024-09-19 06:34:29'),(1124,'{\"size\":134.728515625,\"type\":\"webp\"}','webp',NULL,1,'20221205/b54581f3631b4160ebca1b7abdd43615.webp',134.73,'Group 95184.webp','2024-09-19 06:34:29'),(1125,'{\"size\":144.77734375,\"type\":\"webp\"}','webp',NULL,1,'20221205/df0c8982b5edc94493c84fe23c95c5e2.webp',144.78,'Group 95182.webp','2024-09-19 06:34:29'),(1126,'{\"size\":112.2734375,\"type\":\"webp\"}','webp',NULL,1,'20221205/3701e828742af4336f96019823e8faba.webp',112.27,'Group 95189.webp','2024-09-19 06:34:29'),(1127,'{\"size\":531.5810546875,\"type\":\"webp\"}','webp',NULL,3,'20221206/6b3d24735e39a903c766075ea779d0a3.webp',531.58,'sales-banner.webp','2024-09-19 06:34:29'),(1128,'{\"size\":10.15625,\"type\":\"webp\"}','jpg',NULL,2,'20221217/e4193378a498c2f8a62fef0119dc6e69.webp',10.16,'c3a40267142cdf69026abdffc1c50df6.webp','2024-09-19 06:34:29'),(1129,'{\"size\":250.52734375,\"type\":\"webp\"}','webp',NULL,7,'20221217/d19e957685e3e88754da2c4ac8407daf.webp',250.53,'0b02718dd8afafb4da8edef07ac833db.webp','2024-09-19 06:34:29'),(1130,'{\"size\":524.408203125,\"type\":\"webp\"}','webp',NULL,1,'20230126/748d246b1051e0f44cf0be7f7eb49f02.webp',524.41,'Codecanyon thumbnail 1.webp','2024-09-19 06:34:29'),(1131,'{\"size\":632.8955078125,\"type\":\"webp\"}','jpg',NULL,25,'20230126/d3731918fff47195c4cbeb1217ca5281.webp',632.90,'kelly-sikkema-JN0SUcTOig0-unsplash.webp','2024-09-19 06:34:29'),(1132,'{\"size\":5.85546875,\"type\":\"webp\"}','webp',NULL,25,'20230126/7432b1fbda7b22ea658c426d511e9d51.webp',5.86,'Group 8669.webp','2024-09-19 06:34:29'),(1133,'{\"size\":247.4853515625,\"type\":\"webp\"}','webp',NULL,25,'20230126/72c266704828bfe6a7609c1f7e369eb9.webp',247.49,'Group 8671.webp','2024-09-19 06:34:29'),(1134,'{\"size\":1201.025390625,\"type\":\"webp\"}','jpg',NULL,24,'20230126/f79e9027b8a84cba5e3e492efea4d14e.webp',1201.03,'concept-people-with-young-man-yellow-background.webp','2024-09-19 06:34:29'),(1135,'{\"size\":51.62109375,\"type\":\"webp\"}','webp',NULL,24,'20230126/ea572c636baebc312315e75c198b9b11.webp',51.62,'Rectangle 4279.webp','2024-09-19 06:34:29'),(1136,'{\"size\":379.2314453125,\"type\":\"webp\"}','webp',NULL,24,'20230126/482f2b488c4e651ec365ec24a404412a.webp',379.23,'banner-110.webp','2024-09-19 06:34:29'),(1137,'{\"size\":866.2890625,\"type\":\"webp\"}','jpg',NULL,23,'20230126/669fe6e15f705ce1d42598af31c84b00.webp',866.29,'christopher-campbell-rDEOVtE7vOs-unsplash.webp','2024-09-19 06:34:29'),(1138,'{\"size\":61.3095703125,\"type\":\"webp\"}','webp',NULL,23,'20230126/ac41a3ecf59438bd1136d117aa605b7c.webp',61.31,'Rectangle 4278.webp','2024-09-19 06:34:29'),(1139,'{\"size\":327.5087890625,\"type\":\"webp\"}','webp',NULL,23,'20230126/4fc9a1263024212f283446502ea6afae.webp',327.51,'cover-holistic (1).webp','2024-09-19 06:34:29'),(1140,'{\"size\":31.8291015625,\"type\":\"webp\"}','webp',NULL,22,'20230126/b0ea50d104701ad8659a865b13e301cd.webp',31.83,'Group 94843.webp','2024-09-19 06:34:29'),(1141,'{\"size\":250.6005859375,\"type\":\"webp\"}','webp',NULL,22,'20230126/0a0fef313e19516d1284f6f197a479f0.webp',250.60,'banner-komedy.webp','2024-09-19 06:34:29'),(1142,'{\"size\":308.7197265625,\"type\":\"webp\"}','webp',NULL,22,'20230126/b0f7f30cc7884b43e3913e582adafed7.webp',308.72,'pic-8 (1).webp','2024-09-19 06:34:29'),(1143,'{\"size\":559.9208984375,\"type\":\"png\"}','png',NULL,1,'20230508/210516239bbb59ecf89038a5e7ed12c2.png',559.92,'Banner (9).png','2024-09-19 06:34:29'),(1144,'{\"size\":546.9921875,\"type\":\"png\"}','png',NULL,1,'20230508/b386fcfb69e3536852adf5ff1e30a8ae.png',546.99,'Banner (13).png','2024-09-19 06:34:29'),(1145,'{\"size\":611.509765625,\"type\":\"png\"}','png',NULL,1,'20230508/23ea6b3e22487115ddddb3db16709972.png',611.51,'Banner (11).png','2024-09-19 06:34:29'),(1146,'{\"size\":442.9423828125,\"type\":\"png\"}','png',NULL,1,'20230507/f9a0d2cb5ab84a2b432c0ecb8728bf9e.png',442.94,'Banner Inage.png','2024-09-19 06:34:29'),(1147,'{\"size\":442.763671875,\"type\":\"png\"}','png',NULL,1,'20230507/d802d12383bdb75e161b7802edbaccc6.png',442.76,'Image banner (1).png','2024-09-19 06:34:29'),(1148,'{\"size\":324.2421875,\"type\":\"png\"}','png',NULL,1,'20230508/4954426c8a08e202052a44b5eba62232.png',324.24,'Banner Inage (1).png','2024-09-19 06:34:29'),(1149,'{\"size\":1531.1787109375,\"type\":\"png\"}','png',NULL,1,'20230507/707746a7e3dfc2a1d715e3eb9da81372.png',1531.18,'Sale Banner.png','2024-09-19 06:34:29'),(1150,'{\"size\":16.1826171875,\"type\":\"png\"}','png',NULL,1,'20230507/0e705ad6e849d5118b9d7ee06bae8ac9.png',16.18,'Frame 94913.png','2024-09-19 06:34:29'),(1151,'{\"size\":3.666015625,\"type\":\"png\"}','png',NULL,1,'20230508/eee1c999851b738e2646361b44370fec.png',3.67,'martvill-logo (7).png','2024-09-19 06:34:29'),(1158,'{\"size\":62.6337890625,\"type\":\"jpg\"}','jpg',NULL,1,'20240319\\14a0cd1cb520e380c38bffca9329fec9.jpg',62.63,'norbert-levajsics-dUx0gwLbhzs-unsplash.jpg','2024-09-19 06:34:29'),(1161,'{\"size\":170.9443359375,\"type\":\"png\"}','png',NULL,1,'20240319\\31c1b66368166e8a196561ad96bffec5.png',170.94,'chrome_kvWnZptnT1.png','2024-09-19 06:34:29'),(1165,'{\"size\":257.513671875,\"type\":\"png\"}','png',NULL,1,'20240319\\731ba00c478644c7b71124ff75fb1514.png',257.51,'chrome_fBsyWmDKvP.png','2024-09-19 06:34:29'),(1166,'{\"size\":21.7802734375,\"type\":\"jpg\"}','jpg',NULL,1,'20240319\\2f882f24b944ab5cd7e5a303466ba0a2.jpg',21.78,'banner-31.jpg','2024-09-19 06:34:29'),(1167,'{\"size\":21.7802734375,\"type\":\"jpg\"}','jpg',NULL,15,'20240319\\66f5db0138d58eaaadb5d5e4feee61e4.jpg',21.78,'banner-31.jpg','2024-09-19 06:34:29'),(1168,'{\"size\":5.7734375,\"type\":\"webp\"}','webp',NULL,15,'20240319\\dc65b5a163000b416d3e29baaf0e026e.webp',5.77,'47eadab8eb9dbe8488be6c064c690a66.webp','2024-09-19 06:34:29'),(1169,'{\"size\":3.58203125,\"type\":\"webp\"}','webp',NULL,15,'20240319\\cba7b005cb23101f7eeafcb15c3b49f6.webp',3.58,'49bb66273ff65064402ae5caebc6a5d7.webp','2024-09-19 06:34:29'),(1170,'{\"size\":2.763671875,\"type\":\"webp\"}','webp',NULL,15,'20240319\\1ce486fbf78225853056d8159a3d8648.webp',2.76,'62e53a0d5a8eec51d190eafbcfec7cba.webp','2024-09-19 06:34:29'),(1171,'{\"size\":1.640625,\"type\":\"webp\"}','webp',NULL,15,'20240319\\e3ebce6984437aee1fd4635b3733fc7f.webp',1.64,'d5b1f9096b507899efbf1255afc4cb7e.webp','2024-09-19 06:34:29'),(1180,'{\"size\":0.72265625,\"type\":\"png\"}','png',NULL,1,'20240528/88fb15fe8cca51d897cc5a47bbf90785.png',0.72,'piggyship.png','2024-05-28 09:39:39'),(1181,'{\"size\":0.4345703125,\"type\":\"png\"}','png',NULL,1,'20240528/554c0d79db60590c1bbea38c293c09ca.png',0.43,'quiken.png','2024-05-28 09:39:39'),(1183,'{\"size\":0.9130859375,\"type\":\"png\"}','png',NULL,1,'20240528/06dba8eb2f6dfae0932eb58ab73c5421.png',0.91,'jiayou.png','2024-05-28 09:39:41'),(1184,'{\"size\":0.69921875,\"type\":\"png\"}','png',NULL,1,'20240528/6740d580d9e9ec5b4b68c0b6e479b083.png',0.70,'postex.png','2024-05-28 09:39:41'),(1185,'{\"size\":0.9013671875,\"type\":\"png\"}','png',NULL,1,'20240528/f87e3b2d3bb418ba81f0ffc3f9de6268.png',0.90,'team-global-express-nz.png','2024-05-28 09:39:41'),(1186,'{\"size\":1.9931640625,\"type\":\"png\"}','png',NULL,1,'20240528/63328b732b12f4da93d8efaf424c424f.png',1.99,'fan-courier.png','2024-05-28 09:39:42'),(1188,'{\"size\":2.7294921875,\"type\":\"png\"}','png',NULL,1,'20240528/f2b8f88d925e5472805ce9e8f533e18d.png',2.73,'postNord-sweden.png','2024-05-28 09:39:43'),(1189,'{\"size\":0.8896484375,\"type\":\"png\"}','png',NULL,1,'20240528/2879b9630fa4d25cc8b5ffbd7871245a.png',0.89,'northline.png','2024-05-28 09:39:43'),(1191,'{\"size\":1.2744140625,\"type\":\"png\"}','png',NULL,1,'20240528/b9b4cfbb9392b4e61a4486da35a78b4c.png',1.27,'followmont-transport.png','2024-05-28 09:39:44'),(1192,'{\"size\":1.0517578125,\"type\":\"png\"}','png',NULL,1,'20240528/7e32bc884a0e3d3baec3b6d62ffe128a.png',1.05,'pullman-cargo.png','2024-05-28 09:39:44'),(1193,'{\"size\":0.669921875,\"type\":\"png\"}','png',NULL,1,'20240528/0b0e921f3cd5d8553ae1a2a0b6046f3a.png',0.67,'taxydema.png','2024-05-28 09:39:44'),(1194,'{\"size\":1.3427734375,\"type\":\"png\"}','png',NULL,1,'20240528/d233e0a6ba2f521bbd15786b8ab414a3.png',1.34,'mark-express.png','2024-05-28 09:39:45'),(1195,'{\"size\":2.32421875,\"type\":\"png\"}','png',NULL,1,'20240528/7d91e7e544b7ae8014e5e7607daeb6fb.png',2.32,'box-now.png','2024-05-28 09:39:45'),(1196,'{\"size\":1.640625,\"type\":\"png\"}','png',NULL,1,'20240528/cd3c6f62824889b4c45c969aa9f434d8.png',1.64,'liccardi-express.png','2024-05-28 09:39:45'),(1199,'{\"size\":0.7138671875,\"type\":\"png\"}','png',NULL,1,'20240528/1a38cde47b6229c10d1239cc48593dc3.png',0.71,'itella.png','2024-05-28 09:39:46'),(1200,'{\"size\":1.150390625,\"type\":\"png\"}','png',NULL,1,'20240528/d95097efaa0bef17c1ab9db4e872580d.png',1.15,'orlen-paczka.png','2024-05-28 09:39:47'),(1201,'{\"size\":2.8837890625,\"type\":\"png\"}','png',NULL,1,'20240528/34c991520594652023f2d2e14e4e3ffc.png',2.88,'dpd-switzerland.png','2024-05-28 09:39:47'),(1203,'{\"size\":5.275390625,\"type\":\"png\"}','png',NULL,1,'20240528/314da6a7f002b6020419b190134ccc09.png',5.28,'upsmailinnovations.png','2024-05-28 09:39:48'),(1206,'{\"size\":5.275390625,\"type\":\"png\"}','png',NULL,1,'20240528/306ed93a116a1a0a94d4d3d042e138b9.png',5.28,'11.png','2024-05-28 09:39:49'),(1208,'{\"size\":0.87109375,\"type\":\"png\"}','png',NULL,1,'20240528/c1b4baf036721d0eaebec490ed598181.png',0.87,'ward-transport.png','2024-05-28 09:39:50'),(1212,'{\"size\":1.0029296875,\"type\":\"png\"}','png',NULL,1,'20240528/4b814cf250cf9bd046d8dad840ef8e71.png',1.00,'zip-ph.png','2024-05-28 09:39:51'),(1213,'{\"size\":1.11328125,\"type\":\"png\"}','png',NULL,1,'20240528/e989830788681839d9379b0381ff68d9.png',1.11,'zmc-express.png','2024-05-28 09:39:51'),(1214,'{\"size\":2.087890625,\"type\":\"png\"}','png',NULL,1,'20240528/4c7189dad0d2e61965f78a68d1806657.png',2.09,'yunexpress.png','2024-05-28 09:39:52'),(1215,'{\"size\":1.2548828125,\"type\":\"png\"}','png',NULL,1,'20240528/b740aaa1625ee4494e75cdd276a41deb.png',1.25,'zambia post.png','2024-05-28 09:39:52'),(1216,'{\"size\":2.2197265625,\"type\":\"png\"}','png',NULL,1,'20240528/79eed9aaf55baef9b7d11517383fe21b.png',2.22,'zeleris.png','2024-05-28 09:39:52'),(1217,'{\"size\":2.1318359375,\"type\":\"png\"}','png',NULL,1,'20240528/8c0651d868d5f865f9957e7d8d7fe053.png',2.13,'zhongrong-tailong.png','2024-05-28 09:39:53'),(1218,'{\"size\":2.171875,\"type\":\"png\"}','png',NULL,1,'20240528/a90272a4fa7aa3388b8aafd635b29c62.png',2.17,'zto-express.png','2024-05-28 09:39:53'),(1220,'{\"size\":7.34765625,\"type\":\"png\"}','png',NULL,1,'20240528/f178006e68c64f4d13e265529737132a.png',7.35,'yurtici-kargo.png','2024-05-28 09:39:54'),(1221,'{\"size\":1.306640625,\"type\":\"png\"}','png',NULL,1,'20240528/ee0dc3dc799a37a8adb18119e76be2e7.png',1.31,'zajil-express.png','2024-05-28 09:39:54'),(1223,'{\"size\":1.056640625,\"type\":\"png\"}','png',NULL,1,'20240528/17554fe8bc40aa233288d2dc984ea33a.png',1.06,'zhi-teng-logistics.png','2024-05-28 09:39:55'),(1224,'{\"size\":1.1025390625,\"type\":\"png\"}','png',NULL,1,'20240528/f74efef55be304ead19f10756376b2a9.png',1.10,'yide-international.png','2024-05-28 09:39:55'),(1226,'{\"size\":1.845703125,\"type\":\"png\"}','png',NULL,1,'20240528/983b70091df881e789d04f1604cf0641.png',1.85,'yto-express.png','2024-05-28 09:39:56'),(1230,'{\"size\":2.2177734375,\"type\":\"png\"}','png',NULL,1,'20240528/8309726a009adfa6bd440ae62d94843c.png',2.22,'yamato.png','2024-05-28 09:39:57'),(1231,'{\"size\":2.1875,\"type\":\"png\"}','png',NULL,1,'20240528/cde05afd772bba9a23e2139d2d6cfef9.png',2.19,'yht.png','2024-05-28 09:39:58'),(1232,'{\"size\":2.4912109375,\"type\":\"png\"}','png',NULL,1,'20240528/ce5198e8c0775dab9943efa1d99bb5ad.png',2.49,'yi-long-exp.png','2024-05-28 09:39:58'),(1233,'{\"size\":1.1748046875,\"type\":\"png\"}','png',NULL,1,'20240528/ddd0a4b81247ffb8caef3f23b6b34b04.png',1.17,'youhai-international-express.png','2024-05-28 09:39:58'),(1234,'{\"size\":2.060546875,\"type\":\"png\"}','png',NULL,1,'20240528/b8c4a425f22d8edf7479ba27ad46800a.png',2.06,'ydm.png','2024-05-28 09:39:59'),(1235,'{\"size\":1.34375,\"type\":\"png\"}','png',NULL,1,'20240528/6c92738bddd01e39bf572819d433c2d4.png',1.34,'yfhex-logistics.png','2024-05-28 09:39:59'),(1237,'{\"size\":3.00390625,\"type\":\"png\"}','png',NULL,1,'20240528/24405b15b3301ad58b0b47aa996eb66a.png',3.00,'yanwen.png','2024-05-28 09:40:00'),(1238,'{\"size\":1.5791015625,\"type\":\"png\"}','png',NULL,1,'20240528/fe0e31555102984fa9806bd2b8300f7e.png',1.58,'yjs-china.png','2024-05-28 09:40:00'),(1239,'{\"size\":0.6611328125,\"type\":\"png\"}','png',NULL,1,'20240528/16a10a9f5f67c14ebae1ff60aaedde43.png',0.66,'yadex.png','2024-05-28 09:40:00'),(1240,'{\"size\":0.697265625,\"type\":\"png\"}','png',NULL,1,'20240528/0fb4b5bc2a89c280fd17fde6e610c6cc.png',0.70,'ydh.png','2024-05-28 09:40:01'),(1241,'{\"size\":7.455078125,\"type\":\"png\"}','png',NULL,1,'20240528/21a36b5662189d6b30d7fcdabf436629.png',7.46,'xpressbees.png','2024-05-28 09:40:01'),(1242,'{\"size\":2.0166015625,\"type\":\"png\"}','png',NULL,1,'20240528/727a40246a2f1b7cbc7df15daecbfc08.png',2.02,'xun-tian-international.png','2024-05-28 09:40:02'),(1243,'{\"size\":0.8330078125,\"type\":\"png\"}','png',NULL,1,'20240528/c2dc5fc4022b23289cf384c438d17f75.png',0.83,'xys-logistics.png','2024-05-28 09:40:02'),(1245,'{\"size\":0.9580078125,\"type\":\"png\"}','png',NULL,1,'20240528/02ba3f8a7467c8628d6eff8ec85f46b5.png',0.96,'xend-express.png','2024-05-28 09:40:03'),(1246,'{\"size\":0.826171875,\"type\":\"png\"}','png',NULL,1,'20240528/bafdb11e9cb21d7e837930ae604f390e.png',0.83,'xin-shu-logistics.png','2024-05-28 09:40:03'),(1247,'{\"size\":1.640625,\"type\":\"png\"}','png',NULL,1,'20240528/a6e595ab5b1c0147f9fb1cf70d1fed76.png',1.64,'xl-express.png','2024-05-28 09:40:03'),(1249,'{\"size\":0.5634765625,\"type\":\"png\"}','png',NULL,1,'20240528/08e2302f3eaff84ea17b236da1fa5f57.png',0.56,'xpost.png','2024-05-28 09:40:04'),(1254,'{\"size\":1.0498046875,\"type\":\"png\"}','png',NULL,1,'20240528/a774cdf2dd47a3105b27cce412737fb3.png',1.05,'we-world-express.png','2024-05-28 09:40:06'),(1255,'{\"size\":1.5810546875,\"type\":\"png\"}','png',NULL,1,'20240528/895bcb1962ba3ee8e4e48fd2ecbe46e3.png',1.58,'xdexpress.png','2024-05-28 09:40:06'),(1256,'{\"size\":1.2001953125,\"type\":\"png\"}','png',NULL,1,'20240528/457e02ef564315935ae171941c361a10.png',1.20,'viettel-post.png','2024-05-28 09:40:06'),(1257,'{\"size\":2.240234375,\"type\":\"png\"}','png',NULL,1,'20240528/f92d2140b5535eb13edb003f5557a4c0.png',2.24,'wel.png','2024-05-28 09:40:07'),(1258,'{\"size\":1.5859375,\"type\":\"png\"}','png',NULL,1,'20240528/c56c3d8552e62bb206f6dbaa396d5ccb.png',1.59,'wiseloads.png','2024-05-28 09:40:07'),(1259,'{\"size\":1.19140625,\"type\":\"png\"}','png',NULL,1,'20240528/6bfba4f3b5b651cdc4577b24c08f7c8e.png',1.19,'vanuatu-post.png','2024-05-28 09:40:07'),(1260,'{\"size\":1.41796875,\"type\":\"png\"}','png',NULL,1,'20240528/99e2405322035cd931effa4435747006.png',1.42,'venipak.png','2024-05-28 09:40:08'),(1261,'{\"size\":0.9287109375,\"type\":\"png\"}','png',NULL,1,'20240528/271441ae59e7399c06fb621d6aaf334e.png',0.93,'vietnam-post.png','2024-05-28 09:40:08'),(1262,'{\"size\":2.6455078125,\"type\":\"png\"}','png',NULL,1,'20240528/d50e5ff787bd4323b009127f1bbede9a.png',2.65,'wanbexpress.png','2024-05-28 09:40:08'),(1263,'{\"size\":1.7373046875,\"type\":\"png\"}','png',NULL,1,'20240528/12f66a71981899eccdce8afd4ee8eb9b.png',1.74,'wanmeng.png','2024-05-28 09:40:09'),(1265,'{\"size\":2.5078125,\"type\":\"png\"}','png',NULL,1,'20240528/bc37228be214cdd525641c92151f3e78.png',2.51,'uzbekistan-post.png','2024-05-28 09:40:10'),(1266,'{\"size\":1.763671875,\"type\":\"png\"}','png',NULL,1,'20240528/054da53272760cca2c10936e996bd8fa.png',1.76,'valueway.png','2024-05-28 09:40:10'),(1267,'{\"size\":0.7177734375,\"type\":\"png\"}','png',NULL,1,'20240528/69f0d8c893ba3f5248002b20b006d2d4.png',0.72,'v-xpress.png','2024-05-28 09:40:10'),(1269,'{\"size\":1.2783203125,\"type\":\"png\"}','png',NULL,1,'20240528/366d4184f7e74b5292b3a404bf47cdb1.png',1.28,'uruguay-post.png','2024-05-28 09:40:11'),(1274,'{\"size\":1.3720703125,\"type\":\"png\"}','png',NULL,1,'20240528/bb0658b89ebaba2fd0c8d2e40ee8c4e1.png',1.37,'urbano.png','2024-05-28 09:40:13'),(1276,'{\"size\":5.275390625,\"type\":\"png\"}','png',NULL,1,'20240528/f560f1743ce579a9dccc5151b52816b5.png',5.28,'ups-italy.png','2024-05-28 09:40:13'),(1277,'{\"size\":5.275390625,\"type\":\"png\"}','png',NULL,1,'20240528/9780eb9e4ef6a0a206da07e09bf23a39.png',5.28,'ups-se.png','2024-05-28 09:40:14'),(1279,'{\"size\":5.275390625,\"type\":\"png\"}','png',NULL,1,'20240528/8206de11efef7b76bcb1ee13b526ee55.png',5.28,'ups-france.png','2024-05-28 09:40:14'),(1282,'{\"size\":5.275390625,\"type\":\"png\"}','png',NULL,1,'20240528/c052d2adb6f5119503c7154d82300365.png',5.28,'ups-eu.png','2024-05-28 09:40:16'),(1283,'{\"size\":5.275390625,\"type\":\"png\"}','png',NULL,1,'20240528/8e539b5230ad7f15674aa6b9c2da6da9.png',5.28,'ups-germany.png','2024-05-28 09:40:16'),(1284,'{\"size\":1.2978515625,\"type\":\"png\"}','png',NULL,1,'20240528/e570567b10a0d650e27d8323ac75de1e.png',1.30,'uganda-post.png','2024-05-28 09:40:16'),(1286,'{\"size\":3.4599609375,\"type\":\"png\"}','png',NULL,1,'20240528/9789eff3fab094281091ced38ac4ad96.png',3.46,'ukraine-ems.png','2024-05-28 09:40:17'),(1287,'{\"size\":6.7373046875,\"type\":\"png\"}','png',NULL,1,'20240528/0a3366722d458bded3411e3fe6176f42.png',6.74,'ukrposhta.png','2024-05-28 09:40:17'),(1290,'{\"size\":3.6494140625,\"type\":\"png\"}','png',NULL,1,'20240528/3c1945268a622e8df738ff989065d421.png',3.65,'un-line.png','2024-05-28 09:40:18'),(1291,'{\"size\":0.8720703125,\"type\":\"png\"}','png',NULL,1,'20240528/2179b848f2034af28000fc871f43425f.png',0.87,'u-speed-express.png','2024-05-28 09:40:19'),(1293,'{\"size\":1.857421875,\"type\":\"png\"}','png',NULL,1,'20240528/80675277897b2ee6a804bb5ff1bcc2f2.png',1.86,'uds.png','2024-05-28 09:40:19'),(1296,'{\"size\":0.5595703125,\"type\":\"png\"}','png',NULL,1,'20240528/7166e05135141200f937734cf7872ff9.png',0.56,'tuffnells.png','2024-05-28 09:40:21'),(1297,'{\"size\":2.0078125,\"type\":\"png\"}','png',NULL,1,'20240528/97025baed5052cebff1cc6248d114f70.png',2.01,'tuvalu-post.png','2024-05-28 09:40:21'),(1298,'{\"size\":1.7119140625,\"type\":\"png\"}','png',NULL,1,'20240528/29539c8614098286332fc84085f7241b.png',1.71,'toll.png','2024-05-28 09:40:21'),(1299,'{\"size\":2.4794921875,\"type\":\"png\"}','png',NULL,1,'20240528/d39482e6d45ea9366e4347adf3f55c33.png',2.48,'toll-ipec.png','2024-05-28 09:40:22'),(1301,'{\"size\":1.05078125,\"type\":\"png\"}','png',NULL,1,'20240528/a309e46a17e6c7fed0d0b474dd88ebc9.png',1.05,'tstexp.png','2024-05-28 09:40:22'),(1304,'{\"size\":3.7236328125,\"type\":\"png\"}','png',NULL,1,'20240528/d9108d82a913b5dceda0286c744f5fcc.png',3.72,'tnt.png','2024-05-28 09:40:23'),(1306,'{\"size\":3.7236328125,\"type\":\"png\"}','png',NULL,1,'20240528/2ebb620052434287c2e184be002ba56c.png',3.72,'tnt-reference.png','2024-05-28 09:40:24'),(1307,'{\"size\":3.7236328125,\"type\":\"png\"}','png',NULL,1,'20240528/e3e736440432dbe257e4db37277234f0.png',3.72,'tnt-italy.png','2024-05-28 09:40:25'),(1308,'{\"size\":3.7236328125,\"type\":\"png\"}','png',NULL,1,'20240528/69cce5a63aa3145b48ec35533804350e.png',3.72,'tnt-click.png','2024-05-28 09:40:25'),(1309,'{\"size\":3.7236328125,\"type\":\"png\"}','png',NULL,1,'20240528/0d039bd4ec90890425f3582609c7a70e.png',3.72,'tnt-france.png','2024-05-28 09:40:25'),(1310,'{\"size\":3.7236328125,\"type\":\"png\"}','png',NULL,1,'20240528/794dca6463097ff166f51cc7b9c9ce25.png',3.72,'tnt-sweden.png','2024-05-28 09:40:26'),(1311,'{\"size\":1.466796875,\"type\":\"png\"}','png',NULL,1,'20240528/78a822676c2f3873d520f93f134d6f8d.png',1.47,'timisc.png','2024-05-28 09:40:26'),(1314,'{\"size\":0.89453125,\"type\":\"png\"}','png',NULL,1,'20240528/e8b31c081102b92cb94514a3070d06e3.png',0.89,'the-lorry.png','2024-05-28 09:40:27'),(1315,'{\"size\":1.3837890625,\"type\":\"png\"}','png',NULL,1,'20240528/0234293cd87e4ff2eb26e67def35b812.png',1.38,'timelytitan.png','2024-05-28 09:40:28'),(1317,'{\"size\":1.728515625,\"type\":\"png\"}','png',NULL,1,'20240528/f987145200b161ee23a8911e43f1449f.png',1.73,'tk-kit.png','2024-05-28 09:40:28'),(1318,'{\"size\":3.2412109375,\"type\":\"png\"}','png',NULL,1,'20240528/94787562ea8b4fecd59670a776b6984e.png',3.24,'thailand-post.png','2024-05-28 09:40:29'),(1319,'{\"size\":1.1650390625,\"type\":\"png\"}','png',NULL,1,'20240528/bc8a7c83f8f0b72a6819e8b04cea8b68.png',1.17,'the-courier-guy.png','2024-05-28 09:40:29'),(1320,'{\"size\":1.3818359375,\"type\":\"png\"}','png',NULL,1,'20240528/2eeb2f6d9a904e2aca22703387ce2a79.png',1.38,'the-professional-couriers.png','2024-05-28 09:40:29'),(1321,'{\"size\":0.9013671875,\"type\":\"png\"}','png',NULL,1,'20240528/82baa482948bb07cf97d0bc6083b6d38.png',0.90,'team-global-express.png','2024-05-28 09:40:30'),(1322,'{\"size\":0.669921875,\"type\":\"png\"}','png',NULL,1,'20240528/5fee9cccf547f418911f8a5e28d56e2c.png',0.67,'teleport.png','2024-05-28 09:40:31'),(1323,'{\"size\":2.4287109375,\"type\":\"png\"}','png',NULL,1,'20240528/a34caaa0cd6f7f953f7347d121a60690.png',2.43,'tiki.png','2024-05-28 09:40:31'),(1324,'{\"size\":1.900390625,\"type\":\"png\"}','png',NULL,1,'20240528/22c8632c5bc149b23b6903704a1ae327.png',1.90,'tcs-express.png','2024-05-28 09:40:31'),(1326,'{\"size\":1.263671875,\"type\":\"png\"}','png',NULL,1,'20240528/77560d680e5f7676701e93b2f4d2ccb7.png',1.26,'taxydromiki.png','2024-05-28 09:40:32'),(1327,'{\"size\":0.9296875,\"type\":\"png\"}','png',NULL,1,'20240528/cdcac1ae3c624c09e01480f1efb2c2c9.png',0.93,'tforce-freight.png','2024-05-28 09:40:32'),(1328,'{\"size\":0.7841796875,\"type\":\"png\"}','png',NULL,1,'20240528/15150daca964556792c2d33db7ef7e36.png',0.78,'tci-express.png','2024-05-28 09:40:33'),(1329,'{\"size\":2.7919921875,\"type\":\"png\"}','png',NULL,1,'20240528/5d1e77df0f3160a71e89155a0d1bb48f.png',2.79,'tapuz-delivery.png','2024-05-28 09:40:33'),(1330,'{\"size\":1.4658203125,\"type\":\"png\"}','png',NULL,1,'20240528/efbc25799ef210ac839bbbd4ed093921.png',1.47,'taiwan-post.png','2024-05-28 09:40:34'),(1332,'{\"size\":1.390625,\"type\":\"png\"}','png',NULL,1,'20240528/93120ad1027495e92861d36d1b9634d1.png',1.39,'tanzania-post.png','2024-05-28 09:40:34'),(1334,'{\"size\":1.095703125,\"type\":\"png\"}','png',NULL,1,'20240528/2bffc7bfcf557d1e3a488e6f4316c4b0.png',1.10,'taoplus.png','2024-05-28 09:40:35'),(1335,'{\"size\":2.0947265625,\"type\":\"png\"}','png',NULL,1,'20240528/d482c395a8bd3bda0ddcf97925f1dd52.png',2.09,'sx-express.png','2024-05-28 09:40:35'),(1336,'{\"size\":0.875,\"type\":\"png\"}','png',NULL,1,'20240528/b4ab9f33229470f9116cc24a8027d8c9.png',0.88,'takesend.png','2024-05-28 09:40:36'),(1337,'{\"size\":1.8701171875,\"type\":\"png\"}','png',NULL,1,'20240528/94f27f370109ebe73a942535bf97042f.png',1.87,'taiwan pelican express.png','2024-05-28 09:40:36'),(1339,'{\"size\":2.013671875,\"type\":\"png\"}','png',NULL,1,'20240528/3f74b84df328bacc9f0dc57be4df1243.png',2.01,'swiship-usa.png','2024-05-28 09:40:36'),(1340,'{\"size\":0.88671875,\"type\":\"png\"}','png',NULL,1,'20240528/fff8edc29f7942f0e783fccb6ba26de7.png',0.89,'szendex.png','2024-05-28 09:40:37'),(1341,'{\"size\":2.8447265625,\"type\":\"png\"}','png',NULL,1,'20240528/083dbac226eae0f156194e161ed02038.png',2.84,'swiss-post.png','2024-05-28 09:40:37'),(1343,'{\"size\":2.013671875,\"type\":\"png\"}','png',NULL,1,'20240528/320ba48c7d7088e52eda940821a22b03.png',2.01,'swiship-jp.png','2024-05-28 09:40:38'),(1344,'{\"size\":2.013671875,\"type\":\"png\"}','png',NULL,1,'20240528/17ce40184e23cbfd514b8db3cb3ce26c.png',2.01,'swiship-uk.png','2024-05-28 09:40:38'),(1345,'{\"size\":2.013671875,\"type\":\"png\"}','png',NULL,1,'20240528/5311519844bc4e0a361b57aea9983e0d.png',2.01,'swiship-de.png','2024-05-28 09:40:38'),(1346,'{\"size\":2.013671875,\"type\":\"png\"}','png',NULL,1,'20240528/569593354145968b40b9403298ca5cfc.png',2.01,'swiship-it.png','2024-05-28 09:40:39'),(1347,'{\"size\":1.11328125,\"type\":\"png\"}','png',NULL,1,'20240528/a36ccf02173d2b272c178175556cc047.png',1.11,'swyftlogistics.png','2024-05-28 09:40:39'),(1349,'{\"size\":1.0703125,\"type\":\"png\"}','png',NULL,1,'20240528/4ec1489cacc5dfd1981a5b161df59849.png',1.07,'surat-kargo.png','2024-05-28 09:40:40'),(1350,'{\"size\":2.49609375,\"type\":\"png\"}','png',NULL,1,'20240528/ff569fdd1425962de8e9408421f7233e.png',2.50,'swe.png','2024-05-28 09:40:40'),(1351,'{\"size\":2.013671875,\"type\":\"png\"}','png',NULL,1,'20240528/820ebcf672074ef772681cf849528ebf.png',2.01,'swiship-ca.png','2024-05-28 09:40:40'),(1353,'{\"size\":0.8017578125,\"type\":\"png\"}','png',NULL,1,'20240528/79cf05946358784f0237fb4910f7ec3f.png',0.80,'starlinks.png','2024-05-28 09:40:41'),(1354,'{\"size\":2.53125,\"type\":\"png\"}','png',NULL,1,'20240528/2af08f609c89648495958fbd762f0136.png',2.53,'startrack.png','2024-05-28 09:40:42'),(1355,'{\"size\":1.908203125,\"type\":\"png\"}','png',NULL,1,'20240528/f7748be33053cfd5e04f12554dba8cc6.png',1.91,'sundarban-courier.png','2024-05-28 09:40:42'),(1356,'{\"size\":2.013671875,\"type\":\"png\"}','png',NULL,1,'20240528/75cea4f677217130851f6eea0ff76a2e.png',2.01,'swiship-au.png','2024-05-28 09:40:42'),(1357,'{\"size\":4.0478515625,\"type\":\"png\"}','png',NULL,1,'20240528/88a2b6ff5f13907a99732772b1e50267.png',4.05,'spx-my.png','2024-05-28 09:40:43'),(1358,'{\"size\":0.9912109375,\"type\":\"png\"}','png',NULL,1,'20240528/b0c2293ae0e7974f0929611986a8bb9e.png',0.99,'starken.png','2024-05-28 09:40:43'),(1359,'{\"size\":3.3310546875,\"type\":\"png\"}','png',NULL,1,'20240528/f9facedc79aa413ef4282dc38e2f5f88.png',3.33,'st-couriers.png','2024-05-28 09:40:43'),(1360,'{\"size\":2.9375,\"type\":\"png\"}','png',NULL,1,'20240528/12926ace6b68486bfd62d040c7961641.png',2.94,'sunyou.png','2024-05-28 09:40:44'),(1361,'{\"size\":4.1064453125,\"type\":\"png\"}','png',NULL,1,'20240528/3aa0e6aefcd57ed2aea4670c135645f2.png',4.11,'speedy.png','2024-05-28 09:40:44'),(1363,'{\"size\":1.54296875,\"type\":\"png\"}','png',NULL,1,'20240528/6528e4dcad20d80a55cb864b624f8487.png',1.54,'sre-korea.png','2024-05-28 09:40:45'),(1365,'{\"size\":0.78125,\"type\":\"png\"}','png',NULL,1,'20240528/28275b40e94adf2e2f2aa646419f5ea5.png',0.78,'speedaf-express.png','2024-05-28 09:40:45'),(1366,'{\"size\":2.0732421875,\"type\":\"png\"}','png',NULL,1,'20240528/4f087b50b588a59a4ae1918ac0a91d7a.png',2.07,'spring-gds.png','2024-05-28 09:40:46'),(1367,'{\"size\":0.8916015625,\"type\":\"png\"}','png',NULL,1,'20240528/78c91064bcee5aed7d1385429e3f1946.png',0.89,'spoton.png','2024-05-28 09:40:46'),(1368,'{\"size\":0.912109375,\"type\":\"png\"}','png',NULL,1,'20240528/8b4835bf639fde5289a6c9a52a7da0d6.png',0.91,'spx-id.png','2024-05-28 09:40:47'),(1370,'{\"size\":3.2802734375,\"type\":\"png\"}','png',NULL,1,'20240528/c83e10e89efdb26d1722bafd2d485306.png',3.28,'speedex-courier.png','2024-05-28 09:40:47'),(1371,'{\"size\":0.927734375,\"type\":\"png\"}','png',NULL,1,'20240528/59a9d32ca14199ae3698e5ab069c4122.png',0.93,'speedex-greece.png','2024-05-28 09:40:48'),(1373,'{\"size\":4.38671875,\"type\":\"png\"}','png',NULL,1,'20240528/534069dbd080875d2cb5c9798d0b9cd5.png',4.39,'spee-dee.png','2024-05-28 09:40:48'),(1374,'{\"size\":0.80859375,\"type\":\"png\"}','png',NULL,1,'20240528/1994fbf427222f25a4b0ef1c2d1d6ece.png',0.81,'smart-delivery.png','2024-05-28 09:40:49'),(1375,'{\"size\":0.6279296875,\"type\":\"png\"}','png',NULL,1,'20240528/33f54b3ff210c2936a1b66e1ff13f0de.png',0.63,'smartr-logistics.png','2024-05-28 09:40:49'),(1378,'{\"size\":1.181640625,\"type\":\"png\"}','png',NULL,1,'20240528/5fd2e28c3ea1fa3592e87b553c17c04f.png',1.18,'skynet-worldwide-express.png','2024-05-28 09:40:50'),(1379,'{\"size\":2.37109375,\"type\":\"png\"}','png',NULL,1,'20240528/012649b189944ecb47fda53c433f4c58.png',2.37,'slicity.png','2024-05-28 09:40:50'),(1380,'{\"size\":1.181640625,\"type\":\"png\"}','png',NULL,1,'20240528/fd68b29828dd7ca39bf6895f68f2928d.png',1.18,'skynet.png','2024-05-28 09:40:51'),(1381,'{\"size\":1.3310546875,\"type\":\"png\"}','png',NULL,1,'20240528/5025761a196728d03c699aa45366ba7f.png',1.33,'slovakia-post.png','2024-05-28 09:40:51'),(1383,'{\"size\":0.6640625,\"type\":\"png\"}','png',NULL,1,'20240528/d438d83c7f03dc8ea453c63054da053d.png',0.66,'skynet-worldwide.png','2024-05-28 09:40:52'),(1385,'{\"size\":0.6748046875,\"type\":\"png\"}','png',NULL,1,'20240528/42f4e15fc4104fa11fbb6961622de80c.png',0.67,'skybox.png','2024-05-28 09:40:52'),(1386,'{\"size\":1.23828125,\"type\":\"png\"}','png',NULL,1,'20240528/45b9ada8d406f8837558dcc0cdcb8c55.png',1.24,'singapore-speedpost.png','2024-05-28 09:40:53'),(1387,'{\"size\":0.62109375,\"type\":\"png\"}','png',NULL,1,'20240528/0864eb76892cc3158523d93c988233a4.png',0.62,'skynet-south-africa.png','2024-05-28 09:40:53'),(1388,'{\"size\":4.427734375,\"type\":\"png\"}','png',NULL,1,'20240528/02dba432a0d8d4dacd59c3cf742557ff.png',4.43,'sicepat.png','2024-05-28 09:40:54'),(1389,'{\"size\":0.517578125,\"type\":\"png\"}','png',NULL,1,'20240528/02756ecc2992ef2c65dc5ad276ddd2a5.png',0.52,'singapore-post.png','2024-05-28 09:40:54'),(1390,'{\"size\":0.958984375,\"type\":\"png\"}','png',NULL,1,'20240528/5fa6d03267004eab4ecde5bb5a54edcc.png',0.96,'shree-mahabali-express.png','2024-05-28 09:40:55'),(1391,'{\"size\":3.40234375,\"type\":\"png\"}','png',NULL,1,'20240528/30ccce10ba1fd5af3db9fdcd0fe611a1.png',3.40,'shree-maruti-courier.png','2024-05-28 09:40:55'),(1392,'{\"size\":1.9990234375,\"type\":\"png\"}','png',NULL,1,'20240528/32ffd766ce05eae1f15b1eafdb84c517.png',2.00,'shree-nandan.png','2024-05-28 09:40:56'),(1393,'{\"size\":0.69140625,\"type\":\"png\"}','png',NULL,1,'20240528/942743513e43f19a369a5758e2ae5fe4.png',0.69,'shopeexpress.png','2024-05-28 09:40:56'),(1394,'{\"size\":2.107421875,\"type\":\"png\"}','png',NULL,1,'20240528/cd7d7bccd82b690b9509f3bcfcd3460e.png',2.11,'shree-tirupati-courier.png','2024-05-28 09:40:56'),(1397,'{\"size\":0.595703125,\"type\":\"png\"}','png',NULL,1,'20240528/8f44d288011466d10a8f0ef407b7b03a.png',0.60,'shippit.png','2024-05-28 09:40:57'),(1398,'{\"size\":1.8974609375,\"type\":\"png\"}','png',NULL,1,'20240528/762f0478c2ffaa14a51ecaaff123c616.png',1.90,'shiprocket.png','2024-05-28 09:40:58'),(1399,'{\"size\":1.1845703125,\"type\":\"png\"}','png',NULL,1,'20240528/3f59c00ea4e6fa4d11840eb39fdd2d59.png',1.18,'shree-anjani-courier.png','2024-05-28 09:40:58'),(1401,'{\"size\":3.259765625,\"type\":\"png\"}','png',NULL,1,'20240528/c80551d32345622327e66a4b037ddfa6.png',3.26,'sf-international.png','2024-05-28 09:40:58'),(1403,'{\"size\":1.8193359375,\"type\":\"png\"}','png',NULL,1,'20240528/3fddaed29e0a105390de07fdd88bd9b1.png',1.82,'shipgce-express.png','2024-05-28 09:40:59'),(1405,'{\"size\":0.7978515625,\"type\":\"png\"}','png',NULL,1,'20240528/b6a06dfbdd1d791099ec2c7ed42adc60.png',0.80,'seur.png','2024-05-28 09:41:00'),(1406,'{\"size\":0.5,\"type\":\"png\"}','png',NULL,1,'20240528/b66cb7e29db2356be54bc730374bd46b.png',0.50,'sfyd-express.png','2024-05-28 09:41:00'),(1407,'{\"size\":2.7001953125,\"type\":\"png\"}','png',NULL,1,'20240528/b74b124a3ea3bbc19cf3be5a06b37099.png',2.70,'sendle.png','2024-05-28 09:41:00'),(1408,'{\"size\":0.6416015625,\"type\":\"png\"}','png',NULL,1,'20240528/7984baf49e1134fb4d8dbc6598d5418e.png',0.64,'sequoia-logistica.png','2024-05-28 09:41:01'),(1409,'{\"size\":0.8046875,\"type\":\"png\"}','png',NULL,1,'20240528/2eddf59796dad17cdf810649e7e729d5.png',0.80,'serpost.png','2024-05-28 09:41:01'),(1411,'{\"size\":1.1982421875,\"type\":\"png\"}','png',NULL,1,'20240528/c76c8facaa5d473b383599e486560f45.png',1.20,'sdt.png','2024-05-28 09:41:01'),(1413,'{\"size\":1.7421875,\"type\":\"png\"}','png',NULL,1,'20240528/461e4b507254580d627627ca5b56e184.png',1.74,'seko.png','2024-05-28 09:41:02'),(1415,'{\"size\":1.3603515625,\"type\":\"png\"}','png',NULL,1,'20240528/e88d35f0e31ed8c38961a814fbb40ab6.png',1.36,'sendex.png','2024-05-28 09:41:03'),(1417,'{\"size\":1.5068359375,\"type\":\"png\"}','png',NULL,1,'20240528/3d0e1692a0d6dd3efb8693fb0e5ee882.png',1.51,'score-jp.png','2024-05-28 09:41:03'),(1418,'{\"size\":3.955078125,\"type\":\"png\"}','png',NULL,1,'20240528/b9b9f4c6b9c09ec7178efd337df0feda.png',3.96,'sda.png','2024-05-28 09:41:04'),(1420,'{\"size\":0.9560546875,\"type\":\"png\"}','png',NULL,1,'20240528/4ab0c96da4526d95bae257a1106e2335.png',0.96,'sdk-express.png','2024-05-28 09:41:04'),(1421,'{\"size\":0.673828125,\"type\":\"png\"}','png',NULL,1,'20240528/236b4278dd3ef556c971ed821e084eac.png',0.67,'san-marino-post.png','2024-05-28 09:41:04'),(1422,'{\"size\":0.9150390625,\"type\":\"png\"}','png',NULL,1,'20240528/bf1d5d8202ff3158eba1726fde65c38a.png',0.92,'scg-express.png','2024-05-28 09:41:05'),(1423,'{\"size\":0.794921875,\"type\":\"png\"}','png',NULL,1,'20240528/4087770978b49f6622a763f9b03b783b.png',0.79,'scharff.png','2024-05-28 09:41:05'),(1424,'{\"size\":2.232421875,\"type\":\"png\"}','png',NULL,1,'20240528/d2aac0eb78b148a47910a37597fae89e.png',2.23,'sana.png','2024-05-28 09:41:06'),(1425,'{\"size\":2.201171875,\"type\":\"png\"}','png',NULL,1,'20240528/f40b47085d7f10904b61eed65514a8b6.png',2.20,'sameday.png','2024-05-28 09:41:06'),(1426,'{\"size\":1.3671875,\"type\":\"png\"}','png',NULL,1,'20240528/15da5ac0766c3ef93e3ba98dd207c600.png',1.37,'saint-lucia-post.png','2024-05-28 09:41:06'),(1427,'{\"size\":1.8369140625,\"type\":\"png\"}','png',NULL,1,'20240528/9012f77b5f0edb0aaf2d0cb1a24c2e84.png',1.84,'samoa-post.png','2024-05-28 09:41:06'),(1428,'{\"size\":5.1298828125,\"type\":\"png\"}','png',NULL,1,'20240528/f8e212b4ee98cb34d66fb588e79cd9d2.png',5.13,'saudi-post.png','2024-05-28 09:41:07'),(1430,'{\"size\":2.658203125,\"type\":\"png\"}','png',NULL,1,'20240528/abf32633d20cd85399a6bd8f7be18366.png',2.66,'saia.png','2024-05-28 09:41:07'),(1431,'{\"size\":0.833984375,\"type\":\"png\"}','png',NULL,1,'20240528/cc1ff9e5b1f573bee6f6fddeef37757a.png',0.83,'rzy-express.png','2024-05-28 09:41:07'),(1433,'{\"size\":1.3056640625,\"type\":\"png\"}','png',NULL,1,'20240528/33b72215989d4e9cecb630a7302639d3.png',1.31,'saia-ltl-freight.png','2024-05-28 09:41:08'),(1435,'{\"size\":3.259765625,\"type\":\"png\"}','png',NULL,1,'20240528/18667b1ebae08ec6bec9364ac2ee9956.png',3.26,'s-f-express.png','2024-05-28 09:41:09'),(1436,'{\"size\":3.125,\"type\":\"png\"}','png',NULL,1,'20240528/da0175a41e571627cadd362b8fd425da.png',3.12,'rtt-logistics.png','2024-05-28 09:41:09'),(1437,'{\"size\":2.193359375,\"type\":\"png\"}','png',NULL,1,'20240528/84e4faf2593a88dc6f8b14ffb6d77e9b.png',2.19,'run bai internation.png','2024-05-28 09:41:09'),(1439,'{\"size\":2.794921875,\"type\":\"png\"}','png',NULL,1,'20240528/a818ce83f8530a9a3c0a67b3e631455c.png',2.79,'russian-post.png','2024-05-28 09:41:10'),(1440,'{\"size\":0.8828125,\"type\":\"png\"}','png',NULL,1,'20240528/0959a75a04404f0d303d49daecf22e56.png',0.88,'royale-international.png','2024-05-28 09:41:11'),(1443,'{\"size\":0.56640625,\"type\":\"png\"}','png',NULL,1,'20240528/0598deaeb5a231e2bb36c4d76a627b92.png',0.57,'rr-donnelley.png','2024-05-28 09:41:11'),(1444,'{\"size\":2.228515625,\"type\":\"png\"}','png',NULL,1,'20240528/5a02dadb4f239ccd5c8cfb7769974193.png',2.23,'roadbull-logistics.png','2024-05-28 09:41:12'),(1447,'{\"size\":3.86328125,\"type\":\"png\"}','png',NULL,1,'20240528/56b2fcbda75f8aa8e1479454463d75f8.png',3.86,'royal-mail.png','2024-05-28 09:41:13'),(1448,'{\"size\":1.0703125,\"type\":\"png\"}','png',NULL,1,'20240528/555ed68178916017a0cfca4030303ddb.png',1.07,'rpx.png','2024-05-28 09:41:13'),(1449,'{\"size\":2.0712890625,\"type\":\"png\"}','png',NULL,1,'20240528/a741bd3525560ddced19977e7cbbd660.png',2.07,'redpack.png','2024-05-28 09:41:13'),(1450,'{\"size\":1.1767578125,\"type\":\"png\"}','png',NULL,1,'20240528/eb065934db1f46eea0b2f36fef626252.png',1.18,'rides.png','2024-05-28 09:41:14'),(1452,'{\"size\":2.34375,\"type\":\"png\"}','png',NULL,1,'20240528/c522d4fb2e46ee0e9309b061d0e25de9.png',2.34,'rl-carriers.png','2024-05-28 09:41:15'),(1453,'{\"size\":0.90234375,\"type\":\"png\"}','png',NULL,1,'20240528/05eabc03067134636c44ac2910a68861.png',0.90,'redx.png','2024-05-28 09:41:15'),(1454,'{\"size\":1.873046875,\"type\":\"png\"}','png',NULL,1,'20240528/bae4e1e9cd78eebd35d0771226b53023.png',1.87,'redur-es.png','2024-05-28 09:41:15'),(1455,'{\"size\":0.6328125,\"type\":\"png\"}','png',NULL,1,'20240528/13cecedc307bb0103b17c5beb71fb3a4.png',0.63,'quantium.png','2024-05-28 09:41:16'),(1456,'{\"size\":0.578125,\"type\":\"png\"}','png',NULL,1,'20240528/7140ccb17638051c896cf551ed52ffc6.png',0.58,'ram.png','2024-05-28 09:41:16'),(1457,'{\"size\":0.8955078125,\"type\":\"png\"}','png',NULL,1,'20240528/785bea321aa33b1a9792f1b412a2248c.png',0.90,'redpack-mexico.png','2024-05-28 09:41:16'),(1460,'{\"size\":0.7568359375,\"type\":\"png\"}','png',NULL,1,'20240528/de8de156e21075dd9ce034a593a953d2.png',0.76,'raben.png','2024-05-28 09:41:18'),(1461,'{\"size\":0.48046875,\"type\":\"png\"}','png',NULL,1,'20240528/772be63487e3388f7590335db8968c12.png',0.48,'raf.png','2024-05-28 09:41:18'),(1463,'{\"size\":0.98828125,\"type\":\"png\"}','png',NULL,1,'20240528/619d843531f042c289aa8d8a10e6a83f.png',0.99,'quiqup.png','2024-05-28 09:41:19'),(1464,'{\"size\":5.0751953125,\"type\":\"png\"}','png',NULL,1,'20240528/ab568923a9a61094af498e5ec1e06a2c.png',5.08,'ptt-posta.png','2024-05-28 09:41:19'),(1465,'{\"size\":3.8857421875,\"type\":\"png\"}','png',NULL,1,'20240528/9fcba3909b3d67c0daf563d718fb947b.png',3.89,'purolator.png','2024-05-28 09:41:19'),(1466,'{\"size\":1.2490234375,\"type\":\"png\"}','png',NULL,1,'20240528/0c270b6781e87a329157621928a9c9b5.png',1.25,'qexpress.png','2024-05-28 09:41:20'),(1467,'{\"size\":2.07421875,\"type\":\"png\"}','png',NULL,1,'20240528/1391930252342ff58220c29df3541ed7.png',2.07,'qi-eleven.png','2024-05-28 09:41:20'),(1468,'{\"size\":0.96875,\"type\":\"png\"}','png',NULL,1,'20240528/9dd2108b732eb84727c2b5ce83e7ac5b.png',0.97,'postone.png','2024-05-28 09:41:21'),(1469,'{\"size\":1.2021484375,\"type\":\"png\"}','png',NULL,1,'20240528/bb583d076bea0770d214ac9d5e76c6be.png',1.20,'pts.png','2024-05-28 09:41:21'),(1470,'{\"size\":8.4697265625,\"type\":\"png\"}','png',NULL,1,'20240528/6419909fd4409efb5a8d2e32312aac29.png',8.47,'ptt-kargo.png','2024-05-28 09:41:22'),(1471,'{\"size\":1.09765625,\"type\":\"png\"}','png',NULL,1,'20240528/424b8e0394853942dc7f3a20fbc3d71d.png',1.10,'pushpak-courier.png','2024-05-28 09:41:22'),(1472,'{\"size\":3.8828125,\"type\":\"png\"}','png',NULL,1,'20240528/2c40b91c2cff6ca5e828cfbc60fffb8b.png',3.88,'postnl.png','2024-05-28 09:41:22'),(1473,'{\"size\":2.7294921875,\"type\":\"png\"}','png',NULL,1,'20240528/ff6a6ff3baf4fc2ecc6bdd6b9f51a792.png',2.73,'postnord-norge.png','2024-05-28 09:41:23'),(1474,'{\"size\":2.7294921875,\"type\":\"png\"}','png',NULL,1,'20240528/b97fc475c92c30995417676b06c1fbdc.png',2.73,'postnord-sverige-ab.png','2024-05-28 09:41:23'),(1475,'{\"size\":0.7529296875,\"type\":\"png\"}','png',NULL,1,'20240528/e1629d7ba05d3c13cf7439cb66bffb3b.png',0.75,'ppl-cz.png','2024-05-28 09:41:23'),(1476,'{\"size\":0.5927734375,\"type\":\"png\"}','png',NULL,1,'20240528/3f075bb18d6d31a84ad0d525c6c94c8e.png',0.59,'postnet.png','2024-05-28 09:41:24'),(1477,'{\"size\":2.7294921875,\"type\":\"png\"}','png',NULL,1,'20240528/45f5cfa654bcdaff6df9db12da057dba.png',2.73,'postnord-finland.png','2024-05-28 09:41:24'),(1478,'{\"size\":1.9423828125,\"type\":\"png\"}','png',NULL,1,'20240528/3d71ac24f0344ec1fed737c2e1a70290.png',1.94,'postaplus.png','2024-05-28 09:41:25'),(1480,'{\"size\":3.8828125,\"type\":\"png\"}','png',NULL,1,'20240528/1096f2b406b8e46608f57268bbc1804c.png',3.88,'postnl-international-3s.png','2024-05-28 09:41:26'),(1481,'{\"size\":2.7294921875,\"type\":\"png\"}','png',NULL,1,'20240528/e6abcf49a0c33f5d961c5cf483fa0eb3.png',2.73,'post-nord-denmark.png','2024-05-28 09:41:26'),(1482,'{\"size\":2.3671875,\"type\":\"png\"}','png',NULL,1,'20240528/ecf95eb5bfabb5add4d4abf6249a7188.png',2.37,'poste-italiane.png','2024-05-28 09:41:26'),(1484,'{\"size\":0.5341796875,\"type\":\"png\"}','png',NULL,1,'20240528/7306d27be07bbee22e9a93f044a4dff2.png',0.53,'posta-crne-gore.png','2024-05-28 09:41:27'),(1485,'{\"size\":1.380859375,\"type\":\"png\"}','png',NULL,1,'20240528/6492deb3b3909e0271005fcebf122f04.png',1.38,'postal-state-international.png','2024-05-28 09:41:27'),(1486,'{\"size\":1.009765625,\"type\":\"png\"}','png',NULL,1,'20240528/4e9a8800e11e9fdcfaedff632a45315b.png',1.01,'posta-romana.png','2024-05-28 09:41:28'),(1487,'{\"size\":4.3779296875,\"type\":\"png\"}','png',NULL,1,'20240528/270a32369d116ec203e3bd8f5b873f6e.png',4.38,'post-at.png','2024-05-28 09:41:28'),(1488,'{\"size\":3.3623046875,\"type\":\"png\"}','png',NULL,1,'20240528/00647cf834e2b4dd3cbdecfa91ef28fa.png',3.36,'pos-indonesia.png','2024-05-28 09:41:29'),(1489,'{\"size\":0.9228515625,\"type\":\"png\"}','png',NULL,1,'20240528/d6df77bf2fd4f4c321e0db17665ab1c9.png',0.92,'posstore.png','2024-05-28 09:41:29'),(1491,'{\"size\":0.9208984375,\"type\":\"png\"}','png',NULL,1,'20240528/306b5147d6cc2027d7c27bb5da93663f.png',0.92,'pidge.png','2024-05-28 09:41:30'),(1492,'{\"size\":4.013671875,\"type\":\"png\"}','png',NULL,1,'20240528/66407c003f96f100ffdcd45a865e5308.png',4.01,'portugal-post-ctt.png','2024-05-28 09:41:31'),(1493,'{\"size\":1.2099609375,\"type\":\"png\"}','png',NULL,1,'20240528/0edbf332ba19e6612ac3c4ff79660b20.png',1.21,'polar-express.png','2024-05-28 09:41:31'),(1496,'{\"size\":0.8935546875,\"type\":\"png\"}','png',NULL,1,'20240528/44a832e7d253638d27c7a92bbc785d15.png',0.89,'pony-express.png','2024-05-28 09:41:32'),(1498,'{\"size\":2.5205078125,\"type\":\"png\"}','png',NULL,1,'20240528/2ef193fb28a82e72147fdf26ae729fe6.png',2.52,'pitney-bowes.png','2024-05-28 09:41:33'),(1499,'{\"size\":1.0185546875,\"type\":\"png\"}','png',NULL,1,'20240528/79b2813283561d74d5c983f1fb111680.png',1.02,'poland-post.png','2024-05-28 09:41:33'),(1500,'{\"size\":1.2138671875,\"type\":\"png\"}','png',NULL,1,'20240528/2da13e7873c615b2565e570fcca0a4f2.png',1.21,'pargo.png','2024-05-28 09:41:33'),(1501,'{\"size\":1.3193359375,\"type\":\"png\"}','png',NULL,1,'20240528/3d9db10828853a21c6351179f4cfc896.png',1.32,'pathao.png','2024-05-28 09:41:33'),(1504,'{\"size\":0.8173828125,\"type\":\"png\"}','png',NULL,1,'20240528/85f88aabc1724c6a5c7578fa815980c7.png',0.82,'pilot.png','2024-05-28 09:41:35'),(1505,'{\"size\":1.576171875,\"type\":\"png\"}','png',NULL,1,'20240528/156e943753ab6f7a2494eaf3c2c6a7c6.png',1.58,'pasamar.png','2024-05-28 09:41:35'),(1508,'{\"size\":3.5927734375,\"type\":\"png\"}','png',NULL,1,'20240528/fc8aba9e49b885ab26226d4c979a588f.png',3.59,'parcelforce.png','2024-05-28 09:41:36'),(1510,'{\"size\":1.1220703125,\"type\":\"png\"}','png',NULL,1,'20240528/7c4c18c437570164e92e169f97281ccc.png',1.12,'parcelport.png','2024-05-28 09:41:37'),(1511,'{\"size\":1.5400390625,\"type\":\"png\"}','png',NULL,1,'20240528/2f8ee9d5d7daa61a2e9af6d8925e3531.png',1.54,'papua-new-guinea-post.png','2024-05-28 09:41:37'),(1513,'{\"size\":2.4970703125,\"type\":\"png\"}','png',NULL,1,'20240528/439498664a78992912a10a8320f80aa4.png',2.50,'parcel.png','2024-05-28 09:41:38'),(1515,'{\"size\":1.9208984375,\"type\":\"png\"}','png',NULL,1,'20240528/e74880e933846d923ff06589902d5e61.png',1.92,'palletways.png','2024-05-28 09:41:38'),(1517,'{\"size\":2.0478515625,\"type\":\"png\"}','png',NULL,1,'20240528/9b4a4bbb8804cb6fc056f7211e80a20f.png',2.05,'packeta.png','2024-05-28 09:41:39'),(1518,'{\"size\":0.6748046875,\"type\":\"png\"}','png',NULL,1,'20240528/fa0712b27c35933d35cff409d6ef2369.png',0.67,'packlink.png','2024-05-28 09:41:40'),(1522,'{\"size\":0.8955078125,\"type\":\"png\"}','png',NULL,1,'20240528/22fbfd76628916f2e2ea356962fb8fd5.png',0.90,'overseas-express.png','2024-05-28 09:41:41'),(1523,'{\"size\":1.009765625,\"type\":\"png\"}','png',NULL,1,'20240528/e59489b0aa1eaae15765b1d403af2eea.png',1.01,'overseas-logistics.png','2024-05-28 09:41:41'),(1529,'{\"size\":1.263671875,\"type\":\"png\"}','png',NULL,1,'20240528/4ba19de6389e75b5da8f8f9b37f7aa80.png',1.26,'orangeds.png','2024-05-28 09:41:43'),(1530,'{\"size\":3.978515625,\"type\":\"png\"}','png',NULL,1,'20240528/007001e3f7433001b91f4cbdc9ea5c41.png',3.98,'orian.png','2024-05-28 09:41:44'),(1531,'{\"size\":2.0419921875,\"type\":\"png\"}','png',NULL,1,'20240528/fc3b5e08468419268b0513fb9635c3f3.png',2.04,'olva-courier.png','2024-05-28 09:41:44'),(1533,'{\"size\":4.759765625,\"type\":\"png\"}','png',NULL,1,'20240528/bceb718401e8292d1a04fe133ff96d31.png',4.76,'ontime.png','2024-05-28 09:41:45'),(1534,'{\"size\":1.6806640625,\"type\":\"png\"}','png',NULL,1,'20240528/3e172139b2644b0350e8560a8037fd11.png',1.68,'p2p-trackpak.png','2024-05-28 09:41:45'),(1535,'{\"size\":1.0068359375,\"type\":\"png\"}','png',NULL,1,'20240528/75f11dc0f534266cd8544a9b89cffd81.png',1.01,'ninjavan-ph.png','2024-05-28 09:41:45'),(1536,'{\"size\":4.4287109375,\"type\":\"png\"}','png',NULL,1,'20240528/1180965d7c31dfab3be3554624cd82f7.png',4.43,'now-couriers.png','2024-05-28 09:41:46'),(1540,'{\"size\":2.1923828125,\"type\":\"png\"}','png',NULL,1,'20240528/1b986e1b91fb01370f53d7eef8b98f62.png',2.19,'ninja-van-international.png','2024-05-28 09:41:47'),(1541,'{\"size\":1.0068359375,\"type\":\"png\"}','png',NULL,1,'20240528/fdfc90553f79cde959f354e5e9cc8ef4.png',1.01,'ninjavan-my.png','2024-05-28 09:41:48'),(1542,'{\"size\":0.7333984375,\"type\":\"png\"}','png',NULL,1,'20240528/20e98cca0e07559903121d5e02abee80.png',0.73,'nova-poshta-global.png','2024-05-28 09:41:48'),(1544,'{\"size\":1.0859375,\"type\":\"png\"}','png',NULL,1,'20240528/a16e725cb18ba242e76828dcb7ea8692.png',1.09,'norsk-global.png','2024-05-28 09:41:49'),(1545,'{\"size\":3.970703125,\"type\":\"png\"}','png',NULL,1,'20240528/a4f1b71d691225cf0445ffa5fad481da.png',3.97,'nexive.png','2024-05-28 09:41:49'),(1546,'{\"size\":2.2958984375,\"type\":\"png\"}','png',NULL,1,'20240528/01c5e8f44c03359b306d81115c7be13c.png',2.30,'nigeria-post.png','2024-05-28 09:41:49'),(1547,'{\"size\":1.564453125,\"type\":\"png\"}','png',NULL,1,'20240528/af0fd1bd32c50ffa7bba253b9cfa5816.png',1.56,'nightline.png','2024-05-28 09:41:50'),(1548,'{\"size\":3.1005859375,\"type\":\"png\"}','png',NULL,1,'20240528/0026534144669a4709f34735842f7963.png',3.10,'ninja-express.png','2024-05-28 09:41:50'),(1549,'{\"size\":1.0068359375,\"type\":\"png\"}','png',NULL,1,'20240528/6a7d489623db26b0a80b49ddcfb25f28.png',1.01,'ninja-van.png','2024-05-28 09:41:50'),(1553,'{\"size\":2.1884765625,\"type\":\"png\"}','png',NULL,1,'20240528/cd894380f0eb21974e9a554ea763ca57.png',2.19,'newgistics.png','2024-05-28 09:41:52'),(1554,'{\"size\":1.078125,\"type\":\"png\"}','png',NULL,1,'20240528/7cb665bfd39594328f3f7c0b5a5a3732.png',1.08,'new-zealand-post.png','2024-05-28 09:41:52'),(1555,'{\"size\":1.3857421875,\"type\":\"png\"}','png',NULL,1,'20240528/1e7fbe6b82b2d94d88941fd4fb5e6666.png',1.39,'namibia-post.png','2024-05-28 09:41:53'),(1556,'{\"size\":2.5576171875,\"type\":\"png\"}','png',NULL,1,'20240528/0ad4a0069e83e6101c0308dcb4941509.png',2.56,'nampost.png','2024-05-28 09:41:53'),(1557,'{\"size\":1.322265625,\"type\":\"png\"}','png',NULL,1,'20240528/536ebbb9c4b17d379e9804419be271dd.png',1.32,'mrw-portugal.png','2024-05-28 09:41:53'),(1558,'{\"size\":0.642578125,\"type\":\"png\"}','png',NULL,1,'20240528/9c0fd6b7de5cc1b7fa122c010cb49155.png',0.64,'my-austrianpost.png','2024-05-28 09:41:54'),(1559,'{\"size\":1.54296875,\"type\":\"png\"}','png',NULL,1,'20240528/2f4a33aec7bba8f87b5472c29838fe20.png',1.54,'naqel.png','2024-05-28 09:41:54'),(1560,'{\"size\":1.8623046875,\"type\":\"png\"}','png',NULL,1,'20240528/5071f173de9666dfc20afeaca8af652d.png',1.86,'mylerz.png','2024-05-28 09:41:55'),(1561,'{\"size\":1.84765625,\"type\":\"png\"}','png',NULL,1,'20240528/cf123c094d9de134eecb84b8a77f4019.png',1.85,'nacex.png','2024-05-28 09:41:55'),(1562,'{\"size\":1.322265625,\"type\":\"png\"}','png',NULL,1,'20240528/d6dc100bf18981d8b048e499fc41e4a7.png',1.32,'mrw.png','2024-05-28 09:41:55'),(1563,'{\"size\":0.3701171875,\"type\":\"png\"}','png',NULL,1,'20240528/2769b43307d7750363d44ab1eecde8a9.png',0.37,'mxpress.png','2024-05-28 09:41:56'),(1564,'{\"size\":4.6083984375,\"type\":\"png\"}','png',NULL,1,'20240528/4a0eeb6df2c4ff13a11bf6f1e3c8cac2.png',4.61,'mondial-relay.png','2024-05-28 09:41:56'),(1567,'{\"size\":0.533203125,\"type\":\"png\"}','png',NULL,1,'20240528/7db651828bcafbe604d2364a6a033d52.png',0.53,'mikalogistic.png','2024-05-28 09:41:57'),(1568,'{\"size\":8.041015625,\"type\":\"png\"}','png',NULL,1,'20240528/751d5945babfeabae0bc447fd4db92c3.png',8.04,'mng-kargo.png','2024-05-28 09:41:57'),(1569,'{\"size\":2.837890625,\"type\":\"png\"}','png',NULL,1,'20240528/b883746f45516b521f98137c91662eb0.png',2.84,'monaco-ems.png','2024-05-28 09:41:58'),(1570,'{\"size\":0.9248046875,\"type\":\"png\"}','png',NULL,1,'20240528/26b1a8db07e7c3382f8fd46ee543b3ea.png',0.92,'matkahuolto.png','2024-05-28 09:41:58'),(1572,'{\"size\":0.619140625,\"type\":\"png\"}','png',NULL,1,'20240528/836052d84fe5ccc51c91e55d46207987.png',0.62,'manitoulin-transport.png','2024-05-28 09:41:59'),(1573,'{\"size\":1.263671875,\"type\":\"png\"}','png',NULL,1,'20240528/4fa7f86031b9703194b621062242b9be.png',1.26,'mbe.png','2024-05-28 09:41:59'),(1574,'{\"size\":3.4228515625,\"type\":\"png\"}','png',NULL,1,'20240528/6db4be5d60faab2ca9002b1169c40610.png',3.42,'mainfreight.png','2024-05-28 09:42:00'),(1575,'{\"size\":2.0966796875,\"type\":\"png\"}','png',NULL,1,'20240528/39b948876e4119eab4e705d39fe215d8.png',2.10,'maldives-post.png','2024-05-28 09:42:00'),(1576,'{\"size\":1.81640625,\"type\":\"png\"}','png',NULL,1,'20240528/27c25b48c27df8fc5f5254cbd360bef4.png',1.82,'malta-post.png','2024-05-28 09:42:00'),(1577,'{\"size\":1.2158203125,\"type\":\"png\"}','png',NULL,1,'20240528/c1eaef47cb73717e9f8394a5345a824c.png',1.22,'matdespatch.png','2024-05-28 09:42:01'),(1580,'{\"size\":3.7080078125,\"type\":\"png\"}','png',NULL,1,'20240528/7a9aa7383b86ee9b1df00dcee05849b6.png',3.71,'mail-boxes-etc.png','2024-05-28 09:42:02'),(1581,'{\"size\":1.0986328125,\"type\":\"png\"}','png',NULL,1,'20240528/dc776918982b0e4812849d1cf3a9247f.png',1.10,'malaysia-post.png','2024-05-28 09:42:02'),(1582,'{\"size\":3.060546875,\"type\":\"png\"}','png',NULL,1,'20240528/3ec110d01e324c2d6a8c413c5fd4ba86.png',3.06,'luxembourg-post.png','2024-05-28 09:42:03'),(1584,'{\"size\":1.0751953125,\"type\":\"png\"}','png',NULL,1,'20240528/80c89cc486e7dc75adaa1342cb528377.png',1.08,'macedonia-post.png','2024-05-28 09:42:03'),(1585,'{\"size\":2.6865234375,\"type\":\"png\"}','png',NULL,1,'20240528/d9689189b98f2ac75eecd89c56ff8e24.png',2.69,'magyar-posta.png','2024-05-28 09:42:04'),(1587,'{\"size\":0.85546875,\"type\":\"png\"}','png',NULL,1,'20240528/30c363b5b16f490fbb69a5ba4f755ef3.png',0.86,'lso.png','2024-05-28 09:42:04'),(1588,'{\"size\":0.79296875,\"type\":\"png\"}','png',NULL,1,'20240528/7e0cf97f2485a1e53121f9d2a8d52035.png',0.79,'ltian-exp.png','2024-05-28 09:42:05'),(1589,'{\"size\":1.5810546875,\"type\":\"png\"}','png',NULL,1,'20240528/a2f7467001d27529d5e579c7bdc5e3f3.png',1.58,'longcps.png','2024-05-28 09:42:05'),(1590,'{\"size\":1.5498046875,\"type\":\"png\"}','png',NULL,1,'20240528/08f054723e8b8110ded7f55a47ba3c15.png',1.55,'loomis-express.png','2024-05-28 09:42:06'),(1592,'{\"size\":3.2099609375,\"type\":\"png\"}','png',NULL,1,'20240528/93bc9210beecd35c18da50f2b5b1474c.png',3.21,'ls-logistics.png','2024-05-28 09:42:06'),(1593,'{\"size\":0.861328125,\"type\":\"png\"}','png',NULL,1,'20240528/b8cebc2e33db56d18297656d7147bae0.png',0.86,'lexship.png','2024-05-28 09:42:07'),(1595,'{\"size\":1.2060546875,\"type\":\"png\"}','png',NULL,1,'20240528/d56f72227f677891a3a862f9a3db65bd.png',1.21,'logen.png','2024-05-28 09:42:07'),(1596,'{\"size\":1.318359375,\"type\":\"png\"}','png',NULL,1,'20240528/9f1c0412d1e584ffc6513c2c785fd916.png',1.32,'logista-parcel.png','2024-05-28 09:42:08'),(1597,'{\"size\":1.046875,\"type\":\"png\"}','png',NULL,1,'20240528/826e7f264f46cef674ffd4d7dcc55c3c.png',1.05,'leopard-courier.png','2024-05-28 09:42:08'),(1598,'{\"size\":1.31640625,\"type\":\"png\"}','png',NULL,1,'20240528/2ade8df2043555f99b40803c13bb1faa.png',1.32,'liechtenstein-post.png','2024-05-28 09:42:08'),(1599,'{\"size\":2.0771484375,\"type\":\"png\"}','png',NULL,1,'20240528/705faf4a8206be4e66cf852a9c97cbd1.png',2.08,'lietuvos-pasta.png','2024-05-28 09:42:09'),(1600,'{\"size\":0.9599609375,\"type\":\"png\"}','png',NULL,1,'20240528/b9cfdaf82dc24eb482d231009a4d1ce1.png',0.96,'latvijas-pasts.png','2024-05-28 09:42:09'),(1602,'{\"size\":1.1806640625,\"type\":\"png\"}','png',NULL,1,'20240528/f3ca10b8b6dd7e76fea4ebb4fdc0b657.png',1.18,'lf-express.png','2024-05-28 09:42:10'),(1605,'{\"size\":1.703125,\"type\":\"png\"}','png',NULL,1,'20240528/062a0249075226a0949e61cc719ccbab.png',1.70,'latam-you.png','2024-05-28 09:42:11'),(1608,'{\"size\":3.5078125,\"type\":\"png\"}','png',NULL,1,'20240528/cb9b3dc68db1f9b1f7ff7adfebf59141.png',3.51,'laos-post.png','2024-05-28 09:42:13'),(1609,'{\"size\":1.6142578125,\"type\":\"png\"}','png',NULL,1,'20240528/f7ba85cd2bcff5246ec1d735bed5c802.png',1.61,'la-huo-express.png','2024-05-28 09:42:13'),(1614,'{\"size\":1.9521484375,\"type\":\"png\"}','png',NULL,1,'20240528/f57698ec6c00e1f88e2f34e0f2afda12.png',1.95,'kuehne.png','2024-05-28 09:42:15'),(1615,'{\"size\":0.65234375,\"type\":\"png\"}','png',NULL,1,'20240528/3e4755a637488a8661360d11a1a7f739.png',0.65,'kwai-bon.png','2024-05-28 09:42:15'),(1617,'{\"size\":2.109375,\"type\":\"png\"}','png',NULL,1,'20240528/e313aa477591e8c671a6c5529cd1bab9.png',2.11,'kerry-logistics.png','2024-05-28 09:42:16'),(1618,'{\"size\":0.5458984375,\"type\":\"png\"}','png',NULL,1,'20240528/f47c29b113ae9a615572382859689b1c.png',0.55,'kerry-tj.png','2024-05-28 09:42:16'),(1619,'{\"size\":1.6484375,\"type\":\"png\"}','png',NULL,1,'20240528/4981d4ff0e3880507f32e9e411e1c359.png',1.65,'komon-express.png','2024-05-28 09:42:17'),(1621,'{\"size\":2.822265625,\"type\":\"png\"}','png',NULL,1,'20240528/84e8d6fc832bdfde378e51ca2ac4049d.png',2.82,'kerry-ecommerce.png','2024-05-28 09:42:18'),(1622,'{\"size\":1.830078125,\"type\":\"png\"}','png',NULL,1,'20240528/7a8c5e56a8f56269a071837df2ef695b.png',1.83,'jtexpress-my.png','2024-05-28 09:42:18'),(1623,'{\"size\":2.6181640625,\"type\":\"png\"}','png',NULL,1,'20240528/27abfc65defc8a01e75640539f52e86d.png',2.62,'kaigenlogistics.png','2024-05-28 09:42:18'),(1624,'{\"size\":2.109375,\"type\":\"png\"}','png',NULL,1,'20240528/1104f0853700d418ee3105851a19b947.png',2.11,'kerry-express-th.png','2024-05-28 09:42:19'),(1625,'{\"size\":1.830078125,\"type\":\"png\"}','png',NULL,1,'20240528/09a12dbeb49959d304c219c5a88ec6e4.png',1.83,'jt-express-cn.png','2024-05-28 09:42:19'),(1627,'{\"size\":0.5654296875,\"type\":\"png\"}','png',NULL,1,'20240528/eeaa83c0f1ff5d18fc81ddf8b5d6fa81.png',0.57,'jt-international.png','2024-05-28 09:42:20'),(1628,'{\"size\":1.830078125,\"type\":\"png\"}','png',NULL,1,'20240528/153da2fc38ef5727ac3291597dd91d28.png',1.83,'jt-sa.png','2024-05-28 09:42:20'),(1629,'{\"size\":1.830078125,\"type\":\"png\"}','png',NULL,1,'20240528/5762d81bff6b5653a25a6e307f09d1f2.png',1.83,'jtexpress-kh.png','2024-05-28 09:42:21'),(1630,'{\"size\":1.830078125,\"type\":\"png\"}','png',NULL,1,'20240528/cbfe04e39bc3f186e5e4010845a0c695.png',1.83,'jt-express-vn.png','2024-05-28 09:42:21'),(1631,'{\"size\":1.5205078125,\"type\":\"png\"}','png',NULL,1,'20240528/c512ed6e941239fa8a8a78f6bd524b61.png',1.52,'joeyco.png','2024-05-28 09:42:22'),(1632,'{\"size\":3.970703125,\"type\":\"png\"}','png',NULL,1,'20240528/a6e161aad0dcee2f8d4381fecf6b7cc3.png',3.97,'jp-post.png','2024-05-28 09:42:22'),(1633,'{\"size\":1.830078125,\"type\":\"png\"}','png',NULL,1,'20240528/8816a3bce51392bf68329027b3795bdd.png',1.83,'jt-express-ph.png','2024-05-28 09:42:22'),(1635,'{\"size\":0.9306640625,\"type\":\"png\"}','png',NULL,1,'20240528/a50d25608eb1c986ebce1fbaff6cca0b.png',0.93,'jersey-post.png','2024-05-28 09:42:23'),(1636,'{\"size\":0.8251953125,\"type\":\"png\"}','png',NULL,1,'20240528/e674c0ab78782ad03933ad76653ed790.png',0.83,'jiachen-international.png','2024-05-28 09:42:23'),(1637,'{\"size\":2.740234375,\"type\":\"png\"}','png',NULL,1,'20240528/5ea194ea800af60560830fb2d3f9d062.png',2.74,'jne.png','2024-05-28 09:42:24'),(1638,'{\"size\":2.0771484375,\"type\":\"png\"}','png',NULL,1,'20240528/56ddcbb7df7b87916229b8210a2d178d.png',2.08,'jps.png','2024-05-28 09:42:24'),(1640,'{\"size\":2.0771484375,\"type\":\"png\"}','png',NULL,1,'20240528/2759da79637789c921935f3a3c4bb879.png',2.08,'janco-express.png','2024-05-28 09:42:25'),(1642,'{\"size\":0.5654296875,\"type\":\"png\"}','png',NULL,1,'20240528/fac71f2054d18eefff341c2b62b3e4f4.png',0.57,'jet-international.png','2024-05-28 09:42:26'),(1643,'{\"size\":2.87890625,\"type\":\"png\"}','png',NULL,1,'20240528/12d0d8f45a02bc54619a03e8d15eef32.png',2.88,'janio.png','2024-05-28 09:42:26'),(1644,'{\"size\":2.2314453125,\"type\":\"png\"}','png',NULL,1,'20240528/04d7b1a9b7efc173cb7c1f29265924d0.png',2.23,'jcex.png','2024-05-28 09:42:26'),(1645,'{\"size\":1.1767578125,\"type\":\"png\"}','png',NULL,1,'20240528/8b358e2ba12952beacd77c4de88ae6fe.png',1.18,'j-net Express.png','2024-05-28 09:42:27'),(1646,'{\"size\":0.5966796875,\"type\":\"png\"}','png',NULL,1,'20240528/34113ef86e97ba928dae0d6973d61baf.png',0.60,'iq-fulfillment.png','2024-05-28 09:42:27'),(1647,'{\"size\":1.830078125,\"type\":\"png\"}','png',NULL,1,'20240528/78dba171a32601b10aa6365c89f383e7.png',1.83,'j-t.png','2024-05-28 09:42:27'),(1648,'{\"size\":2.8837890625,\"type\":\"png\"}','png',NULL,1,'20240528/1bd534807dd325136718ba875975a7fa.png',2.88,'jadlog.png','2024-05-28 09:42:28'),(1649,'{\"size\":1.83984375,\"type\":\"png\"}','png',NULL,1,'20240528/22f126fc1a1cff9087340e8ac186b696.png',1.84,'jamaica-post.png','2024-05-28 09:42:28'),(1650,'{\"size\":2.4931640625,\"type\":\"png\"}','png',NULL,1,'20240528/52d5ea103217332699313e7ce3929690.png',2.49,'intertown-transport.png','2024-05-28 09:42:29'),(1652,'{\"size\":1.3271484375,\"type\":\"png\"}','png',NULL,1,'20240528/692acbecc2a16b4b4918badf198b8781.png',1.33,'interparcel-uk.png','2024-05-28 09:42:30'),(1654,'{\"size\":3.6201171875,\"type\":\"png\"}','png',NULL,1,'20240528/98904ba7857e6b066de1df23b5b8b01e.png',3.62,'interlink.png','2024-05-28 09:42:31'),(1655,'{\"size\":1.3271484375,\"type\":\"png\"}','png',NULL,1,'20240528/32e2ff48f081040164a2138f47701e77.png',1.33,'interparcel-nz.png','2024-05-28 09:42:31'),(1657,'{\"size\":1.4853515625,\"type\":\"png\"}','png',NULL,1,'20240528/a96d5fc7ac8e97e14edba4c97c234814.png',1.49,'intexpress.png','2024-05-28 09:42:32'),(1658,'{\"size\":0.787109375,\"type\":\"png\"}','png',NULL,1,'20240528/072b41f9a532a34b0e234fb9fb8c369c.png',0.79,'instabox.png','2024-05-28 09:42:32'),(1659,'{\"size\":0.5751953125,\"type\":\"png\"}','png',NULL,1,'20240528/368d95a04f518d5f42f228fa89451478.png',0.58,'intelcom.png','2024-05-28 09:42:33'),(1660,'{\"size\":1.908203125,\"type\":\"png\"}','png',NULL,1,'20240528/6252b51f1114cea7e8f38305d6bee31e.png',1.91,'internet-express.png','2024-05-28 09:42:33'),(1662,'{\"size\":1.904296875,\"type\":\"png\"}','png',NULL,1,'20240528/8d387635fc1553e847e5c2428386aea5.png',1.90,'iml-logistics.png','2024-05-28 09:42:33'),(1663,'{\"size\":0.7314453125,\"type\":\"png\"}','png',NULL,1,'20240528/743defdb783f618141fe3df34e77174c.png',0.73,'inpost.png','2024-05-28 09:42:34'),(1665,'{\"size\":0.6767578125,\"type\":\"png\"}','png',NULL,1,'20240528/404e245252d5727cce24722b6e797579.png',0.68,'icumulus-global-express.png','2024-05-28 09:42:35'),(1667,'{\"size\":1.4599609375,\"type\":\"png\"}','png',NULL,1,'20240528/3ffc82e2a734feba401faeb3c8953abe.png',1.46,'imile.png','2024-05-28 09:42:36'),(1668,'{\"size\":1.6728515625,\"type\":\"png\"}','png',NULL,1,'20240528/cfdc1f6cf348f1084b99580ebdd96c87.png',1.67,'imex-global-solutions.png','2024-05-28 09:42:36'),(1669,'{\"size\":2.8037109375,\"type\":\"png\"}','png',NULL,1,'20240528/a72b6450a604a286d7f3a2b024a4ba74.png',2.80,'india-post.png','2024-05-28 09:42:36'),(1670,'{\"size\":0.8291015625,\"type\":\"png\"}','png',NULL,1,'20240528/f9a61a289029ef5a9b70ad3c15ddb211.png',0.83,'hyper-sku.png','2024-05-28 09:42:36'),(1671,'{\"size\":0.5380859375,\"type\":\"png\"}','png',NULL,1,'20240528/0d992cae8fef7ec5f398eff3b0104624.png',0.54,'iberomail.png','2024-05-28 09:42:37'),(1673,'{\"size\":0.8447265625,\"type\":\"png\"}','png',NULL,1,'20240528/43f98d7be55361fe75be955030d9209e.png',0.84,'i-parcel.png','2024-05-28 09:42:38'),(1674,'{\"size\":1.87890625,\"type\":\"png\"}','png',NULL,1,'20240528/8605a8cf03cd21602492108276bba0fd.png',1.88,'hunter-express.png','2024-05-28 09:42:38'),(1675,'{\"size\":1.2900390625,\"type\":\"png\"}','png',NULL,1,'20240528/8a37209f7af543a0c9bacd88ec4259b6.png',1.29,'hui-feng-logistics.png','2024-05-28 09:42:38'),(1677,'{\"size\":0.8671875,\"type\":\"png\"}','png',NULL,1,'20240528/aa43c16b1cdf3e17263a9f871bba4575.png',0.87,'hound.png','2024-05-28 09:42:39'),(1678,'{\"size\":1.15234375,\"type\":\"png\"}','png',NULL,1,'20240528/2eb8626ba9d059eee5af18554408beb4.png',1.15,'hua-han-logistics.png','2024-05-28 09:42:39'),(1679,'{\"size\":0.8076171875,\"type\":\"png\"}','png',NULL,1,'20240528/ca937a0e571b70957af612630c71040e.png',0.81,'iceland-post.png','2024-05-28 09:42:40'),(1680,'{\"size\":3.642578125,\"type\":\"png\"}','png',NULL,1,'20240528/b2926fee22fb14e1c9aec83d0d2e3fef.png',3.64,'hong-kong-post.png','2024-05-28 09:42:40'),(1682,'{\"size\":1.1875,\"type\":\"png\"}','png',NULL,1,'20240528/f26d20996d688917e1644d5f70f9125e.png',1.19,'hua-yu.png','2024-05-28 09:42:41'),(1683,'{\"size\":2.1611328125,\"type\":\"png\"}','png',NULL,1,'20240528/163c1e823b96f77a447b4ae725a29663.png',2.16,'hhy-express.png','2024-05-28 09:42:41'),(1685,'{\"size\":2.451171875,\"type\":\"png\"}','png',NULL,1,'20240528/e7d83b94db4f3655716079ee17a3bde5.png',2.45,'hermes.png','2024-05-28 09:42:42'),(1686,'{\"size\":2.451171875,\"type\":\"png\"}','png',NULL,1,'20240528/09fb5e7c89a25a23c0c2add02d8d23d9.png',2.45,'hermes-de.png','2024-05-28 09:42:42'),(1688,'{\"size\":0.865234375,\"type\":\"png\"}','png',NULL,1,'20240528/9b24d7d530d54075f9f370e5332319a7.png',0.87,'holland-regional.png','2024-05-28 09:42:43'),(1690,'{\"size\":1.26171875,\"type\":\"png\"}','png',NULL,1,'20240528/72ed8c6bd10bd856f4576954c87bce39.png',1.26,'happy-post.png','2024-05-28 09:42:44'),(1691,'{\"size\":1.2490234375,\"type\":\"png\"}','png',NULL,1,'20240528/ed3585163ce622aa0930237f24f3642a.png',1.25,'hd-express.png','2024-05-28 09:42:44'),(1692,'{\"size\":2.8330078125,\"type\":\"png\"}','png',NULL,1,'20240528/648fcdff65fe7292a1d731b03469b43c.png',2.83,'hfd.png','2024-05-28 09:42:44'),(1693,'{\"size\":0.6240234375,\"type\":\"png\"}','png',NULL,1,'20240528/e5a12c480ce2e03a2c2df481e508b823.png',0.62,'gta-gsm.png','2024-05-28 09:42:45'),(1694,'{\"size\":2.7978515625,\"type\":\"png\"}','png',NULL,1,'20240528/5e14fa57b5924701694dc13bc181a26b.png',2.80,'hct.png','2024-05-28 09:42:45'),(1695,'{\"size\":0.4326171875,\"type\":\"png\"}','png',NULL,1,'20240528/ee5f5721199ca8b613fd886a02f93f91.png',0.43,'hepsi-jet.png','2024-05-28 09:42:45'),(1696,'{\"size\":1.46875,\"type\":\"png\"}','png',NULL,1,'20240528/1c46ea5d9dc9bc613774e07179273d6f.png',1.47,'gopack-peru.png','2024-05-28 09:42:46'),(1700,'{\"size\":3.2099609375,\"type\":\"png\"}','png',NULL,1,'20240528/0854f1a489a5ab8ee2d8df596ec0fda9.png',3.21,'gls.png','2024-05-28 09:42:47'),(1701,'{\"size\":1.2158203125,\"type\":\"png\"}','png',NULL,1,'20240528/31642af83a82474eb0c632303d8ba311.png',1.22,'gogo-xpress.png','2024-05-28 09:42:48'),(1702,'{\"size\":0.943359375,\"type\":\"png\"}','png',NULL,1,'20240528/edae6f77b7a269bab87467dcf8f969b1.png',0.94,'gojavas.png','2024-05-28 09:42:48'),(1703,'{\"size\":1.0146484375,\"type\":\"png\"}','png',NULL,1,'20240528/723331bf5dbad582b9d19c4d3a2181df.png',1.01,'grand-slam-express.png','2024-05-28 09:42:48'),(1704,'{\"size\":3.2099609375,\"type\":\"png\"}','png',NULL,1,'20240528/b9e89767e29281f0fcd1a8065e635524.png',3.21,'gls-slovenia.png','2024-05-28 09:42:49'),(1707,'{\"size\":3.2099609375,\"type\":\"png\"}','png',NULL,1,'20240528/43dc796212d51ff0f518c2a1dec15c17.png',3.21,'gls-us.png','2024-05-28 09:42:50'),(1708,'{\"size\":3.2099609375,\"type\":\"png\"}','png',NULL,1,'20240528/5b004dff37079803cc53d1b59c72c688.png',3.21,'gls-paket.png','2024-05-28 09:42:50'),(1709,'{\"size\":3.2099609375,\"type\":\"png\"}','png',NULL,1,'20240528/efb6ea48882d1cb4df08e130da1d1bff.png',3.21,'gls-serbia.png','2024-05-28 09:42:51'),(1710,'{\"size\":3.2099609375,\"type\":\"png\"}','png',NULL,1,'20240528/3c4935dd6654562d690fe4db3ab3bfe5.png',3.21,'gls-spain.png','2024-05-28 09:42:51'),(1711,'{\"size\":3.2099609375,\"type\":\"png\"}','png',NULL,1,'20240528/a53a323e38145b66a51c8f0fef701d10.png',3.21,'gls-italy.png','2024-05-28 09:42:51'),(1712,'{\"size\":3.2099609375,\"type\":\"png\"}','png',NULL,1,'20240528/222b24daa60063b927c6e0edad99efe2.png',3.21,'gls-netherlands.png','2024-05-28 09:42:52'),(1713,'{\"size\":3.2099609375,\"type\":\"png\"}','png',NULL,1,'20240528/342fc36bae0ce2058016b61dfcf77423.png',3.21,'gls-romania.png','2024-05-28 09:42:52'),(1714,'{\"size\":3.2099609375,\"type\":\"png\"}','png',NULL,1,'20240528/16bcce528a4e82239643dccc39e69770.png',3.21,'gls-slovakia.png','2024-05-28 09:42:52'),(1715,'{\"size\":3.2099609375,\"type\":\"png\"}','png',NULL,1,'20240528/851763e3daf9f4570d2044e2f528dfb5.png',3.21,'gls-denmark.png','2024-05-28 09:42:53'),(1716,'{\"size\":3.2099609375,\"type\":\"png\"}','png',NULL,1,'20240528/b7c1db1e3ed0a8b49ab7d65a5c09fe8c.png',3.21,'gls-france.png','2024-05-28 09:42:53'),(1718,'{\"size\":3.2099609375,\"type\":\"png\"}','png',NULL,1,'20240528/d9f4e15b74a71524a8b038377b223bc0.png',3.21,'gls-croatia.png','2024-05-28 09:42:54'),(1719,'{\"size\":3.2099609375,\"type\":\"png\"}','png',NULL,1,'20240528/efaa30e9369cd7cec4ee300c86e60587.png',3.21,'gls-czech.png','2024-05-28 09:42:54'),(1721,'{\"size\":1.2412109375,\"type\":\"png\"}','png',NULL,1,'20240528/00b4c284f5bc42df2586f21008e538aa.png',1.24,'globegistics.png','2024-05-28 09:42:55'),(1722,'{\"size\":3.2099609375,\"type\":\"png\"}','png',NULL,1,'20240528/a8ce8a08a085206802d9b61594a26cdb.png',3.21,'gls-au.png','2024-05-28 09:42:55'),(1723,'{\"size\":3.2099609375,\"type\":\"png\"}','png',NULL,1,'20240528/967ca56acee0ab59b68d9cc12137ab87.png',3.21,'gls-canada.png','2024-05-28 09:42:56'),(1725,'{\"size\":6.8935546875,\"type\":\"png\"}','png',NULL,1,'20240528/7b48b6bb283bbea75ebdb7534a6fe211.png',6.89,'global-order-tracking.png','2024-05-28 09:42:57'),(1726,'{\"size\":1.37890625,\"type\":\"png\"}','png',NULL,1,'20240528/7bc207f30bc9de11583c45f98afdb26f.png',1.38,'ghana-post.png','2024-05-28 09:42:57'),(1727,'{\"size\":1.0986328125,\"type\":\"png\"}','png',NULL,1,'20240528/eb79aee7e16bce211c03a2c6c6c3da95.png',1.10,'ghn.png','2024-05-28 09:42:58'),(1728,'{\"size\":1.6455078125,\"type\":\"png\"}','png',NULL,1,'20240528/25fd76a95b4444cd946e14085bbc9f71.png',1.65,'gel-express.png','2024-05-28 09:42:58'),(1729,'{\"size\":4.6142578125,\"type\":\"png\"}','png',NULL,1,'20240528/1ee61d8ac6d8bd2ebb0f54dac9707be9.png',4.61,'geodis.png','2024-05-28 09:42:58'),(1730,'{\"size\":1.671875,\"type\":\"png\"}','png',NULL,1,'20240528/4e7e432dbae45404afe26b29a9461cb4.png',1.67,'georgia-post.png','2024-05-28 09:42:59'),(1731,'{\"size\":2.060546875,\"type\":\"png\"}','png',NULL,1,'20240528/1229ebf777172ab02907dd01825b0a3c.png',2.06,'gibraltar-post.png','2024-05-28 09:42:59'),(1732,'{\"size\":2.8544921875,\"type\":\"png\"}','png',NULL,1,'20240528/087fbe311b4d920455334db45f0cd6c6.png',2.85,'gati.png','2024-05-28 09:42:59'),(1733,'{\"size\":1.419921875,\"type\":\"png\"}','png',NULL,1,'20240528/d824c326d3b9f3a82e85c4513f5970e4.png',1.42,'gdex.png','2024-05-28 09:43:00'),(1734,'{\"size\":2.1845703125,\"type\":\"png\"}','png',NULL,1,'20240528/bc253dd65a46623cac89adb17e3bd647.png',2.18,'geis-cz.png','2024-05-28 09:43:00'),(1735,'{\"size\":2.1845703125,\"type\":\"png\"}','png',NULL,1,'20240528/52dfdb01398d41314584bbc8c4e7471a.png',2.18,'geis-poland.png','2024-05-28 09:43:01'),(1736,'{\"size\":1.1552734375,\"type\":\"png\"}','png',NULL,1,'20240528/907970c356ceddc85e330861be854c76.png',1.16,'geswl.png','2024-05-28 09:43:01'),(1737,'{\"size\":0.875,\"type\":\"png\"}','png',NULL,1,'20240528/541bb075ebc61ddf5e2b418643a9ac8e.png',0.88,'ftd-Express.png','2024-05-28 09:43:01'),(1738,'{\"size\":1.80078125,\"type\":\"png\"}','png',NULL,1,'20240528/5af058311ee7bb95a7848f43077676d5.png',1.80,'fujie-express.png','2024-05-28 09:43:02'),(1741,'{\"size\":0.7529296875,\"type\":\"png\"}','png',NULL,1,'20240528/0cd1c6a7bf67e906287c88d80255e812.png',0.75,'frontier.png','2024-05-28 09:43:03'),(1742,'{\"size\":1.84765625,\"type\":\"png\"}','png',NULL,1,'20240528/d6292acee3ea4939a3acf32f9af96505.png',1.85,'gap-akis-express.png','2024-05-28 09:43:03'),(1743,'{\"size\":1.8564453125,\"type\":\"png\"}','png',NULL,1,'20240528/28d9ee767b377c51a9f70943cf697858.png',1.86,'flyway-express.png','2024-05-28 09:43:04'),(1744,'{\"size\":2.56640625,\"type\":\"png\"}','png',NULL,1,'20240528/3b9c7af1b8596ede68660bb04aff2964.png',2.57,'ft-exprss.png','2024-05-28 09:43:04'),(1745,'{\"size\":2.5107421875,\"type\":\"png\"}','png',NULL,1,'20240528/500c4189b0488114d13f2495c11a57f0.png',2.51,'flash-express.png','2024-05-28 09:43:04'),(1746,'{\"size\":1.3115234375,\"type\":\"png\"}','png',NULL,1,'20240528/6f50e7e2282b312929fef2652cb1aa9a.png',1.31,'flysman.png','2024-05-28 09:43:05'),(1747,'{\"size\":1.521484375,\"type\":\"png\"}','png',NULL,1,'20240528/a8bac594577a1476b8a2ee810411abac.png',1.52,'flyt-express.png','2024-05-28 09:43:05'),(1749,'{\"size\":1.052734375,\"type\":\"png\"}','png',NULL,1,'20240528/3be5fbc42292ee6fe7b5233be9339a91.png',1.05,'forward-air.png','2024-05-28 09:43:06'),(1750,'{\"size\":1.396484375,\"type\":\"png\"}','png',NULL,1,'20240528/912daa4459a79e5392623e5bc3951253.png',1.40,'first-flight.png','2024-05-28 09:43:06'),(1751,'{\"size\":2.5107421875,\"type\":\"png\"}','png',NULL,1,'20240528/55962958fbb8d2241058c5f9c469d744.png',2.51,'flash-express-ph.png','2024-05-28 09:43:07'),(1752,'{\"size\":1.849609375,\"type\":\"png\"}','png',NULL,1,'20240528/f6ac5437c28b682b9adf0e00e0e33cec.png',1.85,'fleetoptics.png','2024-05-28 09:43:07'),(1754,'{\"size\":0.5693359375,\"type\":\"png\"}','png',NULL,1,'20240528/a4454a82222d22e8ee03e5f631590aa5.png',0.57,'firstmile.png','2024-05-28 09:43:08'),(1761,'{\"size\":2.4619140625,\"type\":\"png\"}','png',NULL,1,'20240528/026ed6c32868713bf7a1793dc161731e.png',2.46,'fedex-ground.png','2024-05-28 09:43:10'),(1762,'{\"size\":3.6796875,\"type\":\"png\"}','png',NULL,1,'20240528/27476fa61a3a3033d40ba848ee94ef4d.png',3.68,'fedex-mexico.png','2024-05-28 09:43:11'),(1764,'{\"size\":1.85546875,\"type\":\"png\"}','png',NULL,1,'20240528/32f6f2cd4d661395e1244025531684f6.png',1.86,'fbb.png','2024-05-28 09:43:11'),(1766,'{\"size\":1.095703125,\"type\":\"png\"}','png',NULL,1,'20240528/247104a8dbe9df14cc0c236a1d1da25f.png',1.10,'fast-despatch-logistics.png','2024-05-28 09:43:12'),(1768,'{\"size\":3.0576171875,\"type\":\"png\"}','png',NULL,1,'20240528/8e58378dc0e5ddf842e2b36106a1a225.png',3.06,'fastway-au.png','2024-05-28 09:43:13'),(1771,'{\"size\":1.119140625,\"type\":\"png\"}','png',NULL,1,'20240528/4e37f39dfa15a04b1d4b5343691903bc.png',1.12,'expresscourierintl.png','2024-05-28 09:43:14'),(1773,'{\"size\":0.482421875,\"type\":\"png\"}','png',NULL,1,'20240528/bedfabd18febf12563fe7aa21bf82f65.png',0.48,'expeditors.png','2024-05-28 09:43:15'),(1774,'{\"size\":1.48046875,\"type\":\"png\"}','png',NULL,1,'20240528/019b1205bba72cd227e196ac9e97667e.png',1.48,'expressone.png','2024-05-28 09:43:15'),(1775,'{\"size\":2.0234375,\"type\":\"png\"}','png',NULL,1,'20240528/c4ee331938cc8c18f4e2698e4d55f57b.png',2.02,'exelot.png','2024-05-28 09:43:16'),(1777,'{\"size\":2.171875,\"type\":\"png\"}','png',NULL,1,'20240528/adf90cfdc8656decfebdc04871c84c7e.png',2.17,'eurodis.png','2024-05-28 09:43:16'),(1778,'{\"size\":0.869140625,\"type\":\"png\"}','png',NULL,1,'20240528/f9f62729521bde0aa1ea3cf4d286ca2a.png',0.87,'ewe global express.png','2024-05-28 09:43:17'),(1780,'{\"size\":0.4248046875,\"type\":\"png\"}','png',NULL,1,'20240528/4f85a0eb06123172e35ced6b34c4d7aa.png',0.42,'evri.png','2024-05-28 09:43:18'),(1781,'{\"size\":0.7109375,\"type\":\"png\"}','png',NULL,1,'20240528/d276638f4e225eacd2ed8f11111d3dcc.png',0.71,'estafeta.png','2024-05-28 09:43:18'),(1782,'{\"size\":4.982421875,\"type\":\"png\"}','png',NULL,1,'20240528/acf8c9c543f75d20de47fbd0b7dfe3f2.png',4.98,'estonia-post.png','2024-05-28 09:43:18'),(1783,'{\"size\":2.0556640625,\"type\":\"png\"}','png',NULL,1,'20240528/15574e2fa8eb8d85aaa6a0b5fd9776f8.png',2.06,'ethiopia-post.png','2024-05-28 09:43:19'),(1784,'{\"size\":0.6630859375,\"type\":\"png\"}','png',NULL,1,'20240528/17e6eb81769305ecf5c419a06ee99705.png',0.66,'etower.png','2024-05-28 09:43:19'),(1785,'{\"size\":0.681640625,\"type\":\"png\"}','png',NULL,1,'20240528/576f23a8d52ef0ffb20fad2b1828819b.png',0.68,'euasia-express.png','2024-05-28 09:43:19'),(1788,'{\"size\":2.0537109375,\"type\":\"png\"}','png',NULL,1,'20240528/1b3186eefd111b7491d964536878cbc1.png',2.05,'estes-express.png','2024-05-28 09:43:21'),(1789,'{\"size\":0.7685546875,\"type\":\"png\"}','png',NULL,1,'20240528/ea11e2a2facf8a6e3f41c1eee5e9ee10.png',0.77,'equick.png','2024-05-28 09:43:21'),(1790,'{\"size\":2.244140625,\"type\":\"png\"}','png',NULL,1,'20240528/37f10bdcc7872d4479629ee9cd811e7d.png',2.24,'etg.png','2024-05-28 09:43:21'),(1793,'{\"size\":2.076171875,\"type\":\"png\"}','png',NULL,1,'20240528/a455d895c303a1866b83953bb86c434e.png',2.08,'epost-global.png','2024-05-28 09:43:22'),(1794,'{\"size\":0.8720703125,\"type\":\"png\"}','png',NULL,1,'20240528/74019cd89bec48dfb3d1d5a2c2770c5a.png',0.87,'emirates-post.png','2024-05-28 09:43:23'),(1795,'{\"size\":0.884765625,\"type\":\"png\"}','png',NULL,1,'20240528/021b4f88f40cfeae0143261a8699d1ed.png',0.88,'envia.png','2024-05-28 09:43:23'),(1796,'{\"size\":2.1787109375,\"type\":\"png\"}','png',NULL,1,'20240528/e000e3be2f595f498c726cfa53261961.png',2.18,'envialia.png','2024-05-28 09:43:24'),(1797,'{\"size\":3.1279296875,\"type\":\"png\"}','png',NULL,1,'20240528/a8065112cbc3a8cb575b975edc1f05fa.png',3.13,'elta-courier.png','2024-05-28 09:43:24'),(1798,'{\"size\":3.1279296875,\"type\":\"png\"}','png',NULL,1,'20240528/3fd7d79f160ad2966a0e6f850b7e0c84.png',3.13,'elta-hellenic.png','2024-05-28 09:43:24'),(1799,'{\"size\":0.9111328125,\"type\":\"png\"}','png',NULL,1,'20240528/9158fb9905433966ef0512884599fada.png',0.91,'emons.png','2024-05-28 09:43:25'),(1800,'{\"size\":3.4599609375,\"type\":\"png\"}','png',NULL,1,'20240528/4ac1e6475d009d03ecf857b0db552988.png',3.46,'ems.png','2024-05-28 09:43:25'),(1801,'{\"size\":2.5419921875,\"type\":\"png\"}','png',NULL,1,'20240528/753ed36687077a9b0b881b2e08f6f343.png',2.54,'ecoscooting.png','2024-05-28 09:43:26'),(1802,'{\"size\":1.5185546875,\"type\":\"png\"}','png',NULL,1,'20240528/66cae07b1482541e79d3f1e77bb57455.png',1.52,'ekart.png','2024-05-28 09:43:26'),(1803,'{\"size\":1.2783203125,\"type\":\"png\"}','png',NULL,1,'20240528/22dda5cce12f1d5d42010881f1528300.png',1.28,'elog-luxembourg.png','2024-05-28 09:43:26'),(1804,'{\"size\":1.9111328125,\"type\":\"png\"}','png',NULL,1,'20240528/b9ce6d29c879f3509aa8457af720e44d.png',1.91,'el-salvador-post.png','2024-05-28 09:43:27'),(1805,'{\"size\":2.0732421875,\"type\":\"png\"}','png',NULL,1,'20240528/99ed44904a26a239e7b926362c60dcfa.png',2.07,'econt.png','2024-05-28 09:43:27'),(1806,'{\"size\":1.4775390625,\"type\":\"png\"}','png',NULL,1,'20240528/ea3cc96b8dcab2f94c87a1a40738687e.png',1.48,'ed-post.png','2024-05-28 09:43:28'),(1807,'{\"size\":1.23828125,\"type\":\"png\"}','png',NULL,1,'20240528/1c68ffefe2d75da50023e5892f52a8f1.png',1.24,'easy-mail.png','2024-05-28 09:43:28'),(1809,'{\"size\":1.7470703125,\"type\":\"png\"}','png',NULL,1,'20240528/23b7ec5bda26be45a54b4944f6732747.png',1.75,'ecms-express.png','2024-05-28 09:43:29'),(1813,'{\"size\":2.177734375,\"type\":\"png\"}','png',NULL,1,'20240528/7ddb7e3be012553a70eba1d9a335c068.png',2.18,'ec-firstclass.png','2024-05-28 09:43:31'),(1814,'{\"size\":4.359375,\"type\":\"png\"}','png',NULL,1,'20240528/d23c488162950999e2379c56256de3c5.png',4.36,'dtdc.png','2024-05-28 09:43:32'),(1815,'{\"size\":4.359375,\"type\":\"png\"}','png',NULL,1,'20240528/634fdcfd9fdf80c9388d48a3fbb37e1e.png',4.36,'dtdc-plus.png','2024-05-28 09:43:32'),(1817,'{\"size\":2.8837890625,\"type\":\"png\"}','png',NULL,1,'20240528/a81c04da9e2cc6e0414a265c6b5e550b.png',2.88,'dpd-uk.png','2024-05-28 09:43:32'),(1819,'{\"size\":2.7548828125,\"type\":\"png\"}','png',NULL,1,'20240528/17fe7139f23b9e510ecf707a8e64ec46.png',2.75,'dx-delivery.png','2024-05-28 09:43:33'),(1820,'{\"size\":2.8837890625,\"type\":\"png\"}','png',NULL,1,'20240528/70cdba7e9e0045bafd0f883257aa196c.png',2.88,'dpd-sa.png','2024-05-28 09:43:34'),(1822,'{\"size\":2.2978515625,\"type\":\"png\"}','png',NULL,1,'20240528/feb490c92da5059a4e66a237a26de6d2.png',2.30,'dsv.png','2024-05-28 09:43:34'),(1823,'{\"size\":1.921875,\"type\":\"png\"}','png',NULL,1,'20240528/3636a4f0311f0761f983551960abff6b.png',1.92,'dt-express-couriers.png','2024-05-28 09:43:34'),(1824,'{\"size\":2.8837890625,\"type\":\"png\"}','png',NULL,1,'20240528/1cd296914f51e629cc292e8b8ed18ff9.png',2.88,'dpd-pl.png','2024-05-28 09:43:35'),(1825,'{\"size\":2.8837890625,\"type\":\"png\"}','png',NULL,1,'20240528/047a623b721a1c82dc001b4d49047c92.png',2.88,'dpd-pt.png','2024-05-28 09:43:35'),(1826,'{\"size\":2.8837890625,\"type\":\"png\"}','png',NULL,1,'20240528/3e467802ff08fc6069ac47f152be595f.png',2.88,'dpd-romania.png','2024-05-28 09:43:36'),(1827,'{\"size\":2.8837890625,\"type\":\"png\"}','png',NULL,1,'20240528/b48889ed76d36a2a374c9287d72c2adb.png',2.88,'dpd-sk.png','2024-05-28 09:43:36'),(1828,'{\"size\":2.8837890625,\"type\":\"png\"}','png',NULL,1,'20240528/1347416cdbf355ab49acf6a91f6a5735.png',2.88,'dpd-ie.png','2024-05-28 09:43:37'),(1829,'{\"size\":2.8837890625,\"type\":\"png\"}','png',NULL,1,'20240528/aa037d3f98a48aa71f2197d686a72c32.png',2.88,'dpd-lt.png','2024-05-28 09:43:37'),(1830,'{\"size\":2.8837890625,\"type\":\"png\"}','png',NULL,1,'20240528/501b2b8c73c215ae36fa883e57b39265.png',2.88,'dpd-lv.png','2024-05-28 09:43:37'),(1831,'{\"size\":2.8837890625,\"type\":\"png\"}','png',NULL,1,'20240528/13126c4e6112bb748c4a8fce7da0637d.png',2.88,'dpd-nl.png','2024-05-28 09:43:37'),(1832,'{\"size\":2.8837890625,\"type\":\"png\"}','png',NULL,1,'20240528/21c6fca2d54ecc6134038d0b014366c5.png',2.88,'dpd-be.png','2024-05-28 09:43:38'),(1835,'{\"size\":2.8837890625,\"type\":\"png\"}','png',NULL,1,'20240528/9c21e538606446dddb041ee1a05a5f4f.png',2.88,'dpd-croatia.png','2024-05-28 09:43:39'),(1836,'{\"size\":2.8837890625,\"type\":\"png\"}','png',NULL,1,'20240528/527f59c46f9b4ddfe15cbbaf55ed807c.png',2.88,'dpd-fr.png','2024-05-28 09:43:39'),(1837,'{\"size\":2.8837890625,\"type\":\"png\"}','png',NULL,1,'20240528/e6f64f0cf93969fbf3512733a95587eb.png',2.88,'dpd-hu.png','2024-05-28 09:43:39'),(1838,'{\"size\":1.4521484375,\"type\":\"png\"}','png',NULL,1,'20240528/275940c7cf3be361c47bfec322b1211c.png',1.45,'dhlink.png','2024-05-28 09:43:40'),(1839,'{\"size\":3.28125,\"type\":\"png\"}','png',NULL,1,'20240528/fa4740a558faf0770b3968218a8e6695.png',3.28,'direct-link.png','2024-05-28 09:43:40'),(1840,'{\"size\":2.0595703125,\"type\":\"png\"}','png',NULL,1,'20240528/5a14ded43c19bdae903c886a753c993d.png',2.06,'dominican-post.png','2024-05-28 09:43:41'),(1841,'{\"size\":2.8837890625,\"type\":\"png\"}','png',NULL,1,'20240528/6e49a818438fb3a82ae481fa64ba05bf.png',2.88,'dpd-cz.png','2024-05-28 09:43:41'),(1842,'{\"size\":2.6123046875,\"type\":\"png\"}','png',NULL,1,'20240528/b889b5ce1522829bd0b60c35c989ff56.png',2.61,'dotzot.png','2024-05-28 09:43:42'),(1844,'{\"size\":2.8466796875,\"type\":\"png\"}','png',NULL,1,'20240528/73476385355f6b1442c8383643b7c921.png',2.85,'dhl-us.png','2024-05-28 09:43:42'),(1845,'{\"size\":2.4140625,\"type\":\"png\"}','png',NULL,1,'20240528/5872bc19eb68369c2125afa639e1ba3b.png',2.41,'dicom.png','2024-05-28 09:43:42'),(1846,'{\"size\":0.93359375,\"type\":\"png\"}','png',NULL,1,'20240528/eb37f56d97366f859861abfb6b399f5e.png',0.93,'direct-freight.png','2024-05-28 09:43:43'),(1848,'{\"size\":2.8466796875,\"type\":\"png\"}','png',NULL,1,'20240528/d8afc53616d4f837e6e3161a9ae49c04.png',2.85,'dhl-uk.png','2024-05-28 09:43:44'),(1850,'{\"size\":2.9462890625,\"type\":\"png\"}','png',NULL,1,'20240528/3aa4d1ce3d8edb53ffeb0701e2f8d057.png',2.95,'dhl-parcel.png','2024-05-28 09:43:45'),(1851,'{\"size\":2.8466796875,\"type\":\"png\"}','png',NULL,1,'20240528/87b0423594b25c72a306e5ff089f0df0.png',2.85,'dhl-mx.png','2024-05-28 09:43:45'),(1853,'{\"size\":2.8466796875,\"type\":\"png\"}','png',NULL,1,'20240528/9158a9b0465a038fee2cae8645fb19db.png',2.85,'dhl-parcel-uk.png','2024-05-28 09:43:46'),(1854,'{\"size\":0.9736328125,\"type\":\"png\"}','png',NULL,1,'20240528/84d59d4952c89fa5952e414cf236947e.png',0.97,'dhl-pl.png','2024-05-28 09:43:46'),(1855,'{\"size\":2.7607421875,\"type\":\"png\"}','png',NULL,1,'20240528/4aba905ab1a45055c5fa687e84ea223d.png',2.76,'dhl-es.png','2024-05-28 09:43:46'),(1859,'{\"size\":3.8193359375,\"type\":\"png\"}','png',NULL,1,'20240528/c9ec48dd0a6ac1d0de31b6802f8b3c99.png',3.82,'dhl-global-mail.png','2024-05-28 09:43:48'),(1861,'{\"size\":2.919921875,\"type\":\"png\"}','png',NULL,1,'20240528/a95f7b97cd14ffe080fa8e5b56a09e1c.png',2.92,'dhl-express.png','2024-05-28 09:43:49'),(1862,'{\"size\":2.060546875,\"type\":\"png\"}','png',NULL,1,'20240528/5ad3c0ee4a105c417b5c870d95a530d2.png',2.06,'dexpress.png','2024-05-28 09:43:49'),(1863,'{\"size\":2.8466796875,\"type\":\"png\"}','png',NULL,1,'20240528/3753e7c4dfc0a74cfcdb2be0bfa3fc05.png',2.85,'dhl-be.png','2024-05-28 09:43:49'),(1864,'{\"size\":3.8544921875,\"type\":\"png\"}','png',NULL,1,'20240528/09183b904daf8dfd7377c57a31fd5c4e.png',3.85,'deutsche-post.png','2024-05-28 09:43:50'),(1865,'{\"size\":2.8466796875,\"type\":\"png\"}','png',NULL,1,'20240528/3eed2bad0526988a5f4c752ab4e2c9a0.png',2.85,'dhl-cz.png','2024-05-28 09:43:50'),(1866,'{\"size\":3.5556640625,\"type\":\"png\"}','png',NULL,1,'20240528/2b3df547e2fe8d9575e44aaacdb5489f.png',3.56,'deppon.png','2024-05-28 09:43:51'),(1867,'{\"size\":4.099609375,\"type\":\"png\"}','png',NULL,1,'20240528/1cb01a2105e995aa8b234356c877ddad.png',4.10,'deutsche-post-dhl.png','2024-05-28 09:43:51'),(1868,'{\"size\":5.09765625,\"type\":\"png\"}','png',NULL,1,'20240528/64a31c3f67f90232f26e77695af5ed94.png',5.10,'denmark-post.png','2024-05-28 09:43:51'),(1875,'{\"size\":1.2373046875,\"type\":\"png\"}','png',NULL,1,'20240528/3f817feac7bcaa5ecfae5df90a5537b9.png',1.24,'detrack.png','2024-05-28 09:43:54'),(1876,'{\"size\":0.953125,\"type\":\"png\"}','png',NULL,1,'20240528/23e3c0639a654b0e21c6f7cb0fe46b9b.png',0.95,'daylight-transport.png','2024-05-28 09:43:54'),(1877,'{\"size\":1.3798828125,\"type\":\"png\"}','png',NULL,1,'20240528/ba83456ccc3aaacb51638e9b3de03ab6.png',1.38,'dd-express.png','2024-05-28 09:43:55'),(1878,'{\"size\":6.4677734375,\"type\":\"png\"}','png',NULL,1,'20240528/6518e8e013f0c6ee2e851f1079470f71.png',6.47,'dai-post.png','2024-05-28 09:43:55'),(1881,'{\"size\":1.65234375,\"type\":\"png\"}','png',NULL,1,'20240528/f6b0206a250b72886e965ff061160cb6.png',1.65,'dealfy.png','2024-05-28 09:43:56'),(1882,'{\"size\":1.0537109375,\"type\":\"png\"}','png',NULL,1,'20240528/1f3884780e9c4d59617a9194c68eb591.png',1.05,'cy-epxress.png','2024-05-28 09:43:57'),(1883,'{\"size\":0.763671875,\"type\":\"png\"}','png',NULL,1,'20240528/ac435c968babf70d9693c16dd2ad001f.png',0.76,'dachser.png','2024-05-28 09:43:57'),(1885,'{\"size\":2.3212890625,\"type\":\"png\"}','png',NULL,1,'20240528/d9a694bdfabcf5d7acf3cb4b19ecaa74.png',2.32,'cuba-post.png','2024-05-28 09:43:58'),(1886,'{\"size\":0.8505859375,\"type\":\"png\"}','png',NULL,1,'20240528/fb097d3587f2f5612c2429e5056fcda9.png',0.85,'custom-companies.png','2024-05-28 09:43:58'),(1887,'{\"size\":4.1787109375,\"type\":\"png\"}','png',NULL,1,'20240528/945c2541e331c6e7906ad5be2d95ae12.png',4.18,'cyprus-post.png','2024-05-28 09:43:59'),(1891,'{\"size\":3.8447265625,\"type\":\"png\"}','png',NULL,1,'20240528/36d2cf768a9eb4cefe78718ebd809b48.png',3.84,'croatia-post.png','2024-05-28 09:44:00'),(1892,'{\"size\":1.259765625,\"type\":\"png\"}','png',NULL,1,'20240528/cb014bbff71f3ec434bb2fcdd30dc13d.png',1.26,'ctc-express.png','2024-05-28 09:44:00'),(1895,'{\"size\":2.0166015625,\"type\":\"png\"}','png',NULL,1,'20240528/ba88e7f4de3bef94dbb6e959d48183b5.png',2.02,'cpszy.png','2024-05-28 09:44:02'),(1896,'{\"size\":1.7158203125,\"type\":\"png\"}','png',NULL,1,'20240528/0d57d83c7651e589a559432cf99e3f99.png',1.72,'crazy-express.png','2024-05-28 09:44:02'),(1897,'{\"size\":1.111328125,\"type\":\"png\"}','png',NULL,1,'20240528/82164d25cb35bcb74d6bd704e1c9f5a2.png',1.11,'courier-it.png','2024-05-28 09:44:02'),(1898,'{\"size\":3.96875,\"type\":\"png\"}','png',NULL,1,'20240528/2d23b8d55bc1a282758d799ab0a9c24b.png',3.97,'couriersplease.png','2024-05-28 09:44:03'),(1899,'{\"size\":0.9267578125,\"type\":\"png\"}','png',NULL,1,'20240528/7819a25ddcd97d5a34ff7dd19a56d1e5.png',0.93,'courier-center.png','2024-05-28 09:44:03'),(1900,'{\"size\":1.1181640625,\"type\":\"png\"}','png',NULL,1,'20240528/4e9b13ffe7735538db7d72113da5ad1b.png',1.12,'courierpost.png','2024-05-28 09:44:04'),(1901,'{\"size\":4.216796875,\"type\":\"png\"}','png',NULL,1,'20240528/e09c9cdc91c25066df272c35366709e4.png',4.22,'correos-spain.png','2024-05-28 09:44:04'),(1903,'{\"size\":4.3974609375,\"type\":\"png\"}','png',NULL,1,'20240528/60d0321e5305912af69313b340bde9f9.png',4.40,'costa-rica-post.png','2024-05-28 09:44:05'),(1904,'{\"size\":0.73046875,\"type\":\"png\"}','png',NULL,1,'20240528/620c25dcdd3cb47d5a00f538a317e47d.png',0.73,'courant.png','2024-05-28 09:44:05'),(1905,'{\"size\":4.3974609375,\"type\":\"png\"}','png',NULL,1,'20240528/a71f477669017dbf4257701135ee3fc0.png',4.40,'correos-costa-rica.png','2024-05-28 09:44:05'),(1907,'{\"size\":2.099609375,\"type\":\"png\"}','png',NULL,1,'20240528/81e014e50a9141da4cb5ced7b894d190.png',2.10,'cosco-express.png','2024-05-28 09:44:06'),(1908,'{\"size\":0.9326171875,\"type\":\"png\"}','png',NULL,1,'20240528/671ccf018acb9cc236382e4d740a4907.png',0.93,'correo-argentino.png','2024-05-28 09:44:06'),(1909,'{\"size\":2.3779296875,\"type\":\"png\"}','png',NULL,1,'20240528/40a434729e2ad859da0d205dd1df4e00.png',2.38,'correos-de-cuba.png','2024-05-28 09:44:07'),(1910,'{\"size\":1.935546875,\"type\":\"png\"}','png',NULL,1,'20240528/f8d76c6b881b36b2c9be345aaccbb438.png',1.94,'correos-de-mexico.png','2024-05-28 09:44:07'),(1911,'{\"size\":0.75,\"type\":\"png\"}','png',NULL,1,'20240528/84cbcfebe557aa9b78555ab7e1be1012.png',0.75,'cometcourier.png','2024-05-28 09:44:08'),(1913,'{\"size\":3.1162109375,\"type\":\"png\"}','png',NULL,1,'20240528/9ed0d82056994049adad4840f5ed10fd.png',3.12,'correos-chile.png','2024-05-28 09:44:08'),(1914,'{\"size\":0.6552734375,\"type\":\"png\"}','png',NULL,1,'20240528/c202cc20568c7843d7c6055312b1c493.png',0.66,'con-way-freight.png','2024-05-28 09:44:09'),(1915,'{\"size\":0.8935546875,\"type\":\"png\"}','png',NULL,1,'20240528/6333eb638aa665c9aae3f274d3acd1fc.png',0.89,'coordinadora.png','2024-05-28 09:44:09'),(1917,'{\"size\":1.359375,\"type\":\"png\"}','png',NULL,1,'20240528/392811857d5a86abf47a3e01bbe5744b.png',1.36,'connectco.png','2024-05-28 09:44:10'),(1919,'{\"size\":6.83203125,\"type\":\"png\"}','png',NULL,1,'20240528/a900dcfcbb7c85f98460bb04c615fd07.png',6.83,'colombia-post.png','2024-05-28 09:44:11'),(1920,'{\"size\":0.927734375,\"type\":\"png\"}','png',NULL,1,'20240528/029f818899796070f0d0f6eb2901d5fd.png',0.93,'cj-logistics.png','2024-05-28 09:44:11'),(1921,'{\"size\":1.427734375,\"type\":\"png\"}','png',NULL,1,'20240528/b8438f4740b3e80e5680cd074f68a34a.png',1.43,'cne-express.png','2024-05-28 09:44:11'),(1922,'{\"size\":3.8115234375,\"type\":\"png\"}','png',NULL,1,'20240528/1e5e861626fad65829d6b24f477482d4.png',3.81,'colis-prive.png','2024-05-28 09:44:12'),(1923,'{\"size\":0.4580078125,\"type\":\"png\"}','png',NULL,1,'20240528/ddaf54048e40593d2c467c44a342e9ec.png',0.46,'city-link-express.png','2024-05-28 09:44:12'),(1924,'{\"size\":0.927734375,\"type\":\"png\"}','png',NULL,1,'20240528/bd6bbb48c834b50cda4d437a369a2cce.png',0.93,'cj-logistics-my.png','2024-05-28 09:44:12'),(1925,'{\"size\":0.7119140625,\"type\":\"png\"}','png',NULL,1,'20240528/d314febe98a47dcef89e49d524fbcad3.png',0.71,'cloud-mail-cross-border-express.png','2024-05-28 09:44:13'),(1926,'{\"size\":2.798828125,\"type\":\"png\"}','png',NULL,1,'20240528/a6bb8d915a308774c73b4840e1d6ff0c.png',2.80,'colissimo.png','2024-05-28 09:44:13'),(1927,'{\"size\":2.654296875,\"type\":\"png\"}','png',NULL,1,'20240528/d4c4ebe35d325849dbb406a4dc12b9dc.png',2.65,'chronopost.png','2024-05-28 09:44:14'),(1928,'{\"size\":2.265625,\"type\":\"png\"}','png',NULL,1,'20240528/32cdecaec3bb0aa02e5d912cb35cac3e.png',2.27,'citi-sprint.png','2024-05-28 09:44:14'),(1929,'{\"size\":0.8193359375,\"type\":\"png\"}','png',NULL,1,'20240528/cbcd7c70539d2e2592fd23fe2f9e9eb2.png',0.82,'city-express.png','2024-05-28 09:44:14'),(1930,'{\"size\":2.3056640625,\"type\":\"png\"}','png',NULL,1,'20240528/374df1e56efdeb5087c1991e1979435a.png',2.31,'cj-packet.png','2024-05-28 09:44:15'),(1931,'{\"size\":1.53125,\"type\":\"png\"}','png',NULL,1,'20240528/9bef4d40061ffdd81cb4bccbb5a97dcd.png',1.53,'chinz-logistics.png','2024-05-28 09:44:15'),(1932,'{\"size\":2.46875,\"type\":\"png\"}','png',NULL,1,'20240528/79c2b7e2244ef1ce36a2c49f064e9b76.png',2.47,'chita-delivery.png','2024-05-28 09:44:16'),(1933,'{\"size\":0.5048828125,\"type\":\"png\"}','png',NULL,1,'20240528/a21886a94017ecbc1e074f7198f0896d.png',0.50,'chit-chats.png','2024-05-28 09:44:16'),(1936,'{\"size\":1.6474609375,\"type\":\"png\"}','png',NULL,1,'20240528/562081094e8a0267b2e375cf3848f30a.png',1.65,'china-railway-flying-leopard.png','2024-05-28 09:44:17'),(1937,'{\"size\":1.5732421875,\"type\":\"png\"}','png',NULL,1,'20240528/01c708d0f2e553acaf046824d654a728.png',1.57,'cdl.png','2024-05-28 09:44:18'),(1938,'{\"size\":0.7646484375,\"type\":\"png\"}','png',NULL,1,'20240528/f06830c4c1cbacfaa92b9d2ee1e60e6b.png',0.76,'cgs-Express.png','2024-05-28 09:44:18'),(1939,'{\"size\":2.94140625,\"type\":\"png\"}','png',NULL,1,'20240528/7c255c17bfd49c236982a6c549b2441c.png',2.94,'ch-express.png','2024-05-28 09:44:18'),(1941,'{\"size\":6.4365234375,\"type\":\"png\"}','png',NULL,1,'20240528/37c09102391d3d20c2d28e8d4dfbeeb6.png',6.44,'castle-parcels.png','2024-05-28 09:44:19'),(1944,'{\"size\":0.8349609375,\"type\":\"png\"}','png',NULL,1,'20240528/097fd68bed93b78eb0312ec72b5edda8.png',0.83,'ceva-logistics.png','2024-05-28 09:44:20'),(1946,'{\"size\":0.7763671875,\"type\":\"png\"}','png',NULL,1,'20240528/7b47f2607c9616aa56c6aca071bfc2ad.png',0.78,'cbl-logistica.png','2024-05-28 09:44:21'),(1947,'{\"size\":2.2236328125,\"type\":\"png\"}','png',NULL,1,'20240528/d1b228c316c0de4a0b556af4ae798cff.png',2.22,'cdek.png','2024-05-28 09:44:21'),(1948,'{\"size\":2.314453125,\"type\":\"png\"}','png',NULL,1,'20240528/d55047d7739acd5ebffbf2a17ddf9292.png',2.31,'cargoboard.png','2024-05-28 09:44:22'),(1949,'{\"size\":1.7802734375,\"type\":\"png\"}','png',NULL,1,'20240528/84c0ec2a29a3838f0d1cbdfd736d5b95.png',1.78,'cargo-expreso.png','2024-05-28 09:44:22'),(1950,'{\"size\":0.98828125,\"type\":\"png\"}','png',NULL,1,'20240528/186791199212c443613672dd18afd53b.png',0.99,'cargus.png','2024-05-28 09:44:22'),(1951,'{\"size\":0.974609375,\"type\":\"png\"}','png',NULL,1,'20240528/641f4df00cb0ffde0a004498a627cf54.png',0.97,'cambodia-post.png','2024-05-28 09:44:23'),(1952,'{\"size\":2.6328125,\"type\":\"png\"}','png',NULL,1,'20240528/304d066c15edaa4fb355caa08b85b727.png',2.63,'canada-air-express.png','2024-05-28 09:44:23'),(1953,'{\"size\":3.365234375,\"type\":\"png\"}','png',NULL,1,'20240528/c1144a18d36ddcc8eec7c7099efd9de4.png',3.37,'canpar.png','2024-05-28 09:44:24'),(1955,'{\"size\":2.8955078125,\"type\":\"png\"}','png',NULL,1,'20240528/e90da0f3717313f7f744675ef285f280.png',2.90,'cacesa-postal.png','2024-05-28 09:44:25'),(1956,'{\"size\":6.8935546875,\"type\":\"png\"}','png',NULL,1,'20240528/cf8cc93e1a336e0234c0a4edff494a05.png',6.89,'cainiao.png','2024-05-28 09:44:25'),(1958,'{\"size\":3.515625,\"type\":\"png\"}','png',NULL,1,'20240528/2f830c48c34620e1a99ce7fa9e894ce8.png',3.52,'brazil-correios.png','2024-05-28 09:44:26'),(1959,'{\"size\":2.583984375,\"type\":\"png\"}','png',NULL,1,'20240528/a58c57a45c571afb0465e1c6eec429b6.png',2.58,'bring.png','2024-05-28 09:44:27'),(1960,'{\"size\":3.509765625,\"type\":\"png\"}','png',NULL,1,'20240528/aa31c53c3b8ed6bd5db9506bb53f331e.png',3.51,'brt.png','2024-05-28 09:44:27'),(1961,'{\"size\":2.7255859375,\"type\":\"png\"}','png',NULL,1,'20240528/f4f7e83373639a1f52f5d4048da298e6.png',2.73,'boxit.png','2024-05-28 09:44:27'),(1964,'{\"size\":3.5966796875,\"type\":\"png\"}','png',NULL,1,'20240528/685792c761c03103b1808256f7a65340.png',3.60,'boxberry.png','2024-05-28 09:44:28'),(1965,'{\"size\":0.5908203125,\"type\":\"png\"}','png',NULL,1,'20240528/947d257318da0988e88826e6196b8e2d.png',0.59,'boxc-logistics.png','2024-05-28 09:44:29'),(1966,'{\"size\":0.7060546875,\"type\":\"png\"}','png',NULL,1,'20240528/3530054df7f9535e093c5d4cbf364cf2.png',0.71,'bondscouriers.png','2024-05-28 09:44:29'),(1967,'{\"size\":1.8330078125,\"type\":\"png\"}','png',NULL,1,'20240528/c76e79d8e21dd29e08864772c4360b34.png',1.83,'bridge.png','2024-05-28 09:44:30'),(1968,'{\"size\":3.6669921875,\"type\":\"png\"}','png',NULL,1,'20240528/c80a2f9769d6480e4d8376b1f1a98972.png',3.67,'bluedart.png','2024-05-28 09:44:30'),(1970,'{\"size\":0.974609375,\"type\":\"png\"}','png',NULL,1,'20240528/371a545b67e4e960d930888ccc3e72cb.png',0.97,'bosnia-and-herzegovina-post.png','2024-05-28 09:44:31'),(1971,'{\"size\":1.9482421875,\"type\":\"png\"}','png',NULL,1,'20240528/0aa43246a9879a6a245f074882c3b49a.png',1.95,'bluecare.png','2024-05-28 09:44:31'),(1972,'{\"size\":0.931640625,\"type\":\"png\"}','png',NULL,1,'20240528/2d8a3519deb4af18eb803dd8098e787c.png',0.93,'biz-courier.png','2024-05-28 09:44:31'),(1973,'{\"size\":0.693359375,\"type\":\"png\"}','png',NULL,1,'20240528/80f2b55a4e20e4d5e7c53602903a219a.png',0.69,'blexpress.png','2024-05-28 09:44:32'),(1974,'{\"size\":1.1875,\"type\":\"png\"}','png',NULL,1,'20240528/a08b3d8ed767978133ec98b702171b1b.png',1.19,'bombino-express.png','2024-05-28 09:44:32'),(1975,'{\"size\":0.9765625,\"type\":\"png\"}','png',NULL,1,'20240528/c2584b26d9629e27d2d8c2113e00e2e1.png',0.98,'blue-sky-express.png','2024-05-28 09:44:33'),(1976,'{\"size\":0.9375,\"type\":\"png\"}','png',NULL,1,'20240528/47da16661a783a94bc96924d00784c71.png',0.94,'bluex.png','2024-05-28 09:44:33'),(1977,'{\"size\":0.958984375,\"type\":\"png\"}','png',NULL,1,'20240528/f4f333383b9512039d60ccde7baf6576.png',0.96,'bh-posta.png','2024-05-28 09:44:34'),(1978,'{\"size\":2.26953125,\"type\":\"png\"}','png',NULL,1,'20240528/db99a92cb95ebdc0d416caec8241c171.png',2.27,'bird-system-ltd.png','2024-05-28 09:44:34'),(1979,'{\"size\":2.111328125,\"type\":\"png\"}','png',NULL,1,'20240528/6813c308ddfc0d8f28801a0bdf01aa23.png',2.11,'bjytsywl.png','2024-05-28 09:44:34'),(1980,'{\"size\":3.7099609375,\"type\":\"png\"}','png',NULL,1,'20240528/8911a51be616279d2685fc307535f668.png',3.71,'best-express-th.png','2024-05-28 09:44:34'),(1982,'{\"size\":1.37890625,\"type\":\"png\"}','png',NULL,1,'20240528/764eddfcb612c4183f613a5cbfe013bc.png',1.38,'benin-post.png','2024-05-28 09:44:35'),(1983,'{\"size\":1.068359375,\"type\":\"png\"}','png',NULL,1,'20240528/144d1d269c617de570c8b0eb979b9b92.png',1.07,'better-trucks.png','2024-05-28 09:44:36'),(1984,'{\"size\":1.7890625,\"type\":\"png\"}','png',NULL,1,'20240528/7c1f689b2542fc99bd1be64cd1e3083a.png',1.79,'beebird-logistics.png','2024-05-28 09:44:36'),(1985,'{\"size\":1.732421875,\"type\":\"png\"}','png',NULL,1,'20240528/cebc6578000d354e23bebbf9e58d048a.png',1.73,'barbados-post.png','2024-05-28 09:44:37'),(1986,'{\"size\":3.2158203125,\"type\":\"png\"}','png',NULL,1,'20240528/bf27ff75c60d15eb91d21fec9c855a0f.png',3.22,'belgium-post.png','2024-05-28 09:44:37'),(1987,'{\"size\":1.0634765625,\"type\":\"png\"}','png',NULL,1,'20240528/e83bfccea3e6fb127387b240e1ecc102.png',1.06,'belarus-post.png','2024-05-28 09:44:37'),(1989,'{\"size\":1.181640625,\"type\":\"png\"}','png',NULL,1,'20240528/829f0478bbe84fd468aa2e59a0515e9b.png',1.18,'axlehire.png','2024-05-28 09:44:38'),(1990,'{\"size\":1.7236328125,\"type\":\"png\"}','png',NULL,1,'20240528/0331aa58ae2875b433ba51e3b539779f.png',1.72,'az-express.png','2024-05-28 09:44:39'),(1991,'{\"size\":2.0205078125,\"type\":\"png\"}','png',NULL,1,'20240528/678cc5b23e70cad5d7a4bd8b7f23c927.png',2.02,'bee-express.png','2024-05-28 09:44:39'),(1992,'{\"size\":0.6513671875,\"type\":\"png\"}','png',NULL,1,'20240528/9ccbcdb7ca39eb06c1e19fd9e340b3dd.png',0.65,'azerbaijan-post.png','2024-05-28 09:44:39'),(1993,'{\"size\":1.3564453125,\"type\":\"png\"}','png',NULL,1,'20240528/a7101ffd4720c367b837b55c04d67731.png',1.36,'bangladesh-ems.png','2024-05-28 09:44:40'),(1994,'{\"size\":0.91796875,\"type\":\"png\"}','png',NULL,1,'20240528/4f9b45ca1c347c368fade74668bf86bb.png',0.92,'asyad-express.png','2024-05-28 09:44:40'),(1998,'{\"size\":3.322265625,\"type\":\"png\"}','png',NULL,1,'20240528/723eaea7b6857f2208b5c3f193fbdd02.png',3.32,'associated-global-systems.png','2024-05-28 09:44:42'),(2000,'{\"size\":1.6611328125,\"type\":\"png\"}','png',NULL,1,'20240528/be519e560cf00a62346e2b676fd7c925.png',1.66,'asendia-usa.png','2024-05-28 09:44:42'),(2001,'{\"size\":1.6611328125,\"type\":\"png\"}','png',NULL,1,'20240528/d9c084db9da68b7574918d37b1e9d0e0.png',1.66,'asendia-de.png','2024-05-28 09:44:43'),(2005,'{\"size\":2.8447265625,\"type\":\"png\"}','png',NULL,1,'20240528/24c146ccae314ef761b85f31c0f1e7d1.png',2.84,'arrowxl.png','2024-05-28 09:44:44'),(2006,'{\"size\":1.1884765625,\"type\":\"png\"}','png',NULL,1,'20240528/71ad1e2cec6b42735f92c6512fdc834c.png',1.19,'aruba-post.png','2024-05-28 09:44:45'),(2009,'{\"size\":3.60546875,\"type\":\"png\"}','png',NULL,1,'20240528/b84b4e7fc054d0a11ed3a81583eb4364.png',3.61,'apc.png','2024-05-28 09:44:46'),(2010,'{\"size\":5.947265625,\"type\":\"png\"}','png',NULL,1,'20240528/0e953a3f3fca56d1ff35e9ee556f3179.png',5.95,'aras-kargo.png','2024-05-28 09:44:46'),(2012,'{\"size\":1.67578125,\"type\":\"png\"}','png',NULL,1,'20240528/718083bc571ae95c14faac41f4c953da.png',1.68,'aramex.png','2024-05-28 09:44:47'),(2013,'{\"size\":1.67578125,\"type\":\"png\"}','png',NULL,1,'20240528/eeb65e6958e150f42b8c28274230a8e6.png',1.68,'aramex-au.png','2024-05-28 09:44:47'),(2016,'{\"size\":4.1650390625,\"type\":\"png\"}','png',NULL,1,'20240528/e444af43757136993f2523fc925b897b.png',4.17,'apc-overnight.png','2024-05-28 09:44:49'),(2020,'{\"size\":0.765625,\"type\":\"png\"}','png',NULL,1,'20240528/423e8b3b024f941f6ab17b008584425e.png',0.77,'am-home-delivery.png','2024-05-28 09:44:50'),(2021,'{\"size\":1.2353515625,\"type\":\"png\"}','png',NULL,1,'20240528/70ac740e1fd01a384491c7952c66e610.png',1.24,'amsegroup.png','2024-05-28 09:44:50'),(2024,'{\"size\":3.1123046875,\"type\":\"png\"}','png',NULL,1,'20240528/1c5c037edab9f4cf64abbea16aeecc25.png',3.11,'aliexpress-standard-shipping.png','2024-05-28 09:44:52'),(2025,'{\"size\":1.1123046875,\"type\":\"png\"}','png',NULL,1,'20240528/ef280b823d02589b3933cd0b6e5c75ce.png',1.11,'amazon-in.png','2024-05-28 09:44:52'),(2026,'{\"size\":0.9462890625,\"type\":\"png\"}','png',NULL,1,'20240528/ad661d8a8c280a73cd65810e81e97c21.png',0.95,'ajex.png','2024-05-28 09:44:52'),(2027,'{\"size\":1.009765625,\"type\":\"png\"}','png',NULL,1,'20240528/02434031f83915109bdb72ec1d6e96a7.png',1.01,'albania-post.png','2024-05-28 09:44:53'),(2028,'{\"size\":1.603515625,\"type\":\"png\"}','png',NULL,1,'20240528/67bbf70afb0931253f8cec8e7124251b.png',1.60,'allekurier.png','2024-05-28 09:44:53'),(2029,'{\"size\":1.828125,\"type\":\"png\"}','png',NULL,1,'20240528/68a69a0de607f0c4058456ccc5e4e078.png',1.83,'acs-courier.png','2024-05-28 09:44:53'),(2030,'{\"size\":1.013671875,\"type\":\"png\"}','png',NULL,1,'20240528/81639aa09970944b4a94ba0caafb94e2.png',1.01,'airpak-express.png','2024-05-28 09:44:54'),(2031,'{\"size\":1.9755859375,\"type\":\"png\"}','png',NULL,1,'20240528/cab8c8f1bc26e37e772e34945f1df6d2.png',1.98,'airspeed-international.png','2024-05-28 09:44:54'),(2032,'{\"size\":0.802734375,\"type\":\"png\"}','png',NULL,1,'20240528/695dce17b5be5b3e5b3103ecaf02b915.png',0.80,'airwings-india.png','2024-05-28 09:44:55'),(2034,'{\"size\":1.373046875,\"type\":\"png\"}','png',NULL,1,'20240528/d6683f9ea220b37a645dacab7509c5ae.png',1.37,'act-logistic.png','2024-05-28 09:44:55'),(2036,'{\"size\":3.0615234375,\"type\":\"png\"}','png',NULL,1,'20240528/d1e8ab721adf5faa160c944c9d68ec7d.png',3.06,'abf.png','2024-05-28 09:44:56'),(2037,'{\"size\":0.9521484375,\"type\":\"png\"}','png',NULL,1,'20240528/65cfcccf6b22ae041217284c5dbb1f09.png',0.95,'abx-express.png','2024-05-28 09:44:57'),(2039,'{\"size\":3.390625,\"type\":\"png\"}','png',NULL,1,'20240528/3eb4f4d13978d54ee05687743f196749.png',3.39,'aaa-cooper.png','2024-05-28 09:44:57'),(2042,'{\"size\":0.529296875,\"type\":\"png\"}','png',NULL,1,'20240528/08080e7ad2b6daa29f13ae0bff511009.png',0.53,'4px.png','2024-05-28 09:44:58'),(2043,'{\"size\":2.2490234375,\"type\":\"png\"}','png',NULL,1,'20240528/474bb98b405e7572a1e337abe1358007.png',2.25,'99minutos.png','2024-05-28 09:44:59'),(2044,'{\"size\":1.80859375,\"type\":\"png\"}','png',NULL,1,'20240528/f6d075e3c645401784cd720f4b1d8a64.png',1.81,'247express.png','2024-05-28 09:44:59'),(2045,'{\"size\":0.9345703125,\"type\":\"png\"}','png',NULL,1,'20240528/937580afb4e623f288a2354666fdf7e4.png',0.93,'360lion.png','2024-05-28 09:45:00'),(2048,'{\"size\":2.4326171875,\"type\":\"png\"}','png',NULL,1,'20240528/3732f425c2396f67fd0486e66f46caa7.png',2.43,'2.png','2024-05-28 09:45:01'),(2049,'{\"size\":559.9208984375,\"type\":\"png\"}','png',NULL,1,'20230508/210516239bbb59ecf89038a5e7ed12c2.png',559.92,'Banner (9).png','2024-09-19 06:34:33'),(2050,'{\"size\":546.9921875,\"type\":\"png\"}','png',NULL,1,'20230508/b386fcfb69e3536852adf5ff1e30a8ae.png',546.99,'Banner (13).png','2024-09-19 06:34:33'),(2051,'{\"size\":611.509765625,\"type\":\"png\"}','png',NULL,1,'20230508/23ea6b3e22487115ddddb3db16709972.png',611.51,'Banner (11).png','2024-09-19 06:34:33'),(2052,'{\"size\":442.9423828125,\"type\":\"png\"}','png',NULL,1,'20230507/f9a0d2cb5ab84a2b432c0ecb8728bf9e.png',442.94,'Banner Inage.png','2024-09-19 06:34:33'),(2053,'{\"size\":442.763671875,\"type\":\"png\"}','png',NULL,1,'20230507/d802d12383bdb75e161b7802edbaccc6.png',442.76,'Image banner (1).png','2024-09-19 06:34:33'),(2054,'{\"size\":324.2421875,\"type\":\"png\"}','png',NULL,1,'20230508/4954426c8a08e202052a44b5eba62232.png',324.24,'Banner Inage (1).png','2024-09-19 06:34:33'),(2055,'{\"size\":1531.1787109375,\"type\":\"png\"}','png',NULL,1,'20230507/707746a7e3dfc2a1d715e3eb9da81372.png',1531.18,'Sale Banner.png','2024-09-19 06:34:33');
/*!40000 ALTER TABLE `files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `flash_sales`
--

DROP TABLE IF EXISTS `flash_sales`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `flash_sales` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `campaign name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `start_date_time` datetime(5) NOT NULL,
  `end_date_time` datetime(5) NOT NULL,
  `price` decimal(16,8) NOT NULL,
  `quantity` decimal(16,8) NOT NULL,
  `vendor_id` bigint DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `flash_sales_campaign name_index` (`campaign name`),
  KEY `flash_sales_product_id_foreign_idx` (`product_id`),
  KEY `flash_sales_start_date_time_index` (`start_date_time`),
  KEY `flash_sales_end_date_time_index` (`end_date_time`),
  KEY `flash_sales_price_index` (`price`),
  KEY `flash_sales_quantity_index` (`quantity`),
  KEY `flash_sales_vendor_id_foreign_idx` (`vendor_id`),
  CONSTRAINT `flash_sales_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `flash_sales_vendor_id_foreign` FOREIGN KEY (`vendor_id`) REFERENCES `vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `flash_sales`
--

LOCK TABLES `flash_sales` WRITE;
/*!40000 ALTER TABLE `flash_sales` DISABLE KEYS */;
/*!40000 ALTER TABLE `flash_sales` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `form_submissions`
--

DROP TABLE IF EXISTS `form_submissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `form_submissions` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `form_id` int unsigned NOT NULL,
  `user_id` bigint DEFAULT NULL,
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `form_submissions_form_id_foreign` (`form_id`),
  KEY `form_submissions_user_id_foreign` (`user_id`),
  CONSTRAINT `form_submissions_form_id_foreign` FOREIGN KEY (`form_id`) REFERENCES `forms` (`id`) ON DELETE CASCADE,
  CONSTRAINT `form_submissions_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `form_submissions`
--

LOCK TABLES `form_submissions` WRITE;
/*!40000 ALTER TABLE `form_submissions` DISABLE KEYS */;
INSERT INTO `form_submissions` VALUES (1,1,15,'{\"name\":\"Henry William\",\"email\":\"henry012045@gmail.com\",\"number-1662968465931\":\"0145673426\",\"nid\":\"1010123456789\",\"date-1662968475519\":\"22022-09-11\"}','2022-09-12 10:07:04','2022-09-12 10:07:04'),(2,1,16,'{\"name\":\"Jacob William\",\"email\":\"jacob012045@gmail.com\",\"number-1662968465931\":\"0191634257\",\"nid\":\"151523457893\",\"date-1662968475519\":\"2022-05-12\"}','2022-09-12 10:13:23','2022-09-12 10:13:23'),(3,1,17,'{\"name\":\"Mason Wiliam\",\"email\":\"mason012045@gmail.com\",\"number-1662968465931\":\"0171223454\",\"nid\":\"123456789987766\",\"date-1662968475519\":\"2022-06-09\"}','2022-09-12 10:20:05','2022-09-12 10:20:05'),(4,1,18,'{\"name\":\"Daniel William\",\"email\":\"daniel012045@gmail.com\",\"number-1662968465931\":\"0151234567\",\"nid\":\"1245356457644\",\"date-1662968475519\":\"2022-04-07\"}','2022-09-12 10:26:35','2022-09-12 10:26:35'),(5,1,19,'{\"name\":\"Micheal William\",\"email\":\"micheal012045@gmail.com\",\"number-1662968465931\":\"09876565467\",\"nid\":\"12345422455676\",\"date-1662968475519\":\"2022-08-27\"}','2022-09-12 10:29:51','2022-09-12 10:29:51'),(6,1,3,'{\"name\":\"Jamal\",\"email\":\"vendor@techvill.net\",\"number-1662968465931\":\"01712345678\",\"nid\":\"1241151634567\",\"date-1662968475519\":\"2022-05-03\"}','2022-09-12 10:31:17','2022-09-12 10:31:17');
/*!40000 ALTER TABLE `form_submissions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `forms`
--

DROP TABLE IF EXISTS `forms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `forms` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint DEFAULT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `visibility` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `allows_edit` tinyint(1) NOT NULL DEFAULT '0',
  `type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `identifier` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `form_builder_json` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `custom_submit_url` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `forms_identifier_unique` (`identifier`),
  KEY `forms_user_id_foreign` (`user_id`),
  CONSTRAINT `forms_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `forms`
--

LOCK TABLES `forms` WRITE;
/*!40000 ALTER TABLE `forms` DISABLE KEYS */;
INSERT INTO `forms` VALUES (1,1,'KYC Form','PRIVATE',1,'kyc','1-LJA43JKHHM4KLAJ82K3C','[{\"type\":\"text\",\"required\":true,\"label\":\"Full Name\",\"className\":\"form-control\",\"name\":\"name\",\"subtype\":\"text\"},{\"type\":\"text\",\"subtype\":\"email\",\"required\":true,\"label\":\"Email\",\"className\":\"form-control\",\"name\":\"email\"},{\"type\":\"text\",\"required\":true,\"label\":\"NID Number\",\"description\":\"National Identity Card Number\",\"className\":\"form-control\",\"name\":\"nid\",\"subtype\":\"text\"},{\"type\":\"file\",\"required\":true,\"label\":\"NID Image\",\"className\":\"form-control\",\"name\":\"nid_image\"},{\"type\":\"text\",\"required\":true,\"label\":\"Tax ID\",\"className\":\"form-control\",\"name\":\"tax_id\",\"subtype\":\"text\"},{\"type\":\"text\",\"required\":true,\"label\":\"Trade License No.\",\"className\":\"form-control\",\"name\":\"trade_license\",\"subtype\":\"text\"}]',NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `forms` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gateways`
--

DROP TABLE IF EXISTS `gateways`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gateways` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `alias` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `sandbox` tinyint(1) NOT NULL COMMENT '1 - Sandbox & 0 - Production',
  `data` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `instruction` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `image` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `gateways_alias_unique` (`alias`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gateways`
--

LOCK TABLES `gateways` WRITE;
/*!40000 ALTER TABLE `gateways` DISABLE KEYS */;
INSERT INTO `gateways` VALUES (1,'cashondelivery','CashOnDelivery',0,'{\"status\":\"1\",\"instruction\":\"Kindly verify your order, and make cash payment in full (as mentioned on order invoice or shipping label) when the delivery agent arrives at your doorstep with your order.\"}','Kindly verify your order, and make cash payment in full (as mentioned on order invoice or shipping label) when the delivery agent arrives at your doorstep with your order.','thumbnail.png',1,NULL,NULL),(2,'directbanktransfer','DirectBankTransfer',1,'{\"status\":\"1\",\"instruction\":\"Make your payment directly into our bank account. Please use your Order ID as the payment reference. Your order will not be shipped until the funds have cleared in our account.\"}','Make your payment directly into our bank account. Please use your Order ID as the payment reference. Your order will not be shipped until the funds have cleared in our account.','thumbnail.png',1,NULL,NULL),(3,'checkpayments','CheckPayments',1,'{\"status\":\"1\",\"instruction\":\"Please send a check to Store Name, Store Street, Store Town, Store State / County, Store Postcode.\"}','Please send a check to Store Name, Store Street, Store Town, Store State / County, Store Postcode.','thumbnail.png',1,NULL,NULL);
/*!40000 ALTER TABLE `gateways` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `geolocale_cities`
--

DROP TABLE IF EXISTS `geolocale_cities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `geolocale_cities` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT 'Auto increase ID',
  `country_id` bigint unsigned NOT NULL COMMENT 'Country ID',
  `division_id` bigint unsigned DEFAULT NULL COMMENT 'Division ID',
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'City Name',
  `full_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'City Fullname',
  `code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'City Code',
  `iana_timezone` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'IANA Timezone Name',
  PRIMARY KEY (`id`),
  KEY `uniq_city` (`country_id`,`division_id`,`name`),
  KEY `division_id` (`division_id`),
  CONSTRAINT `geolocale_cities_ibfk_1` FOREIGN KEY (`country_id`) REFERENCES `geolocale_countries` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT,
  CONSTRAINT `geolocale_cities_ibfk_2` FOREIGN KEY (`division_id`) REFERENCES `geolocale_divisions` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
) ENGINE=InnoDB AUTO_INCREMENT=313518 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `geolocale_cities`
--

LOCK TABLES `geolocale_cities` WRITE;
/*!40000 ALTER TABLE `geolocale_cities` DISABLE KEYS */;
INSERT INTO `geolocale_cities` VALUES (1369,93,730,'Dhaka',NULL,'dac','Asia/Dhaka'),(2664,101,52,'Baodi',NULL,'24',NULL),(13489,167,78,'Boston',NULL,NULL,NULL),(65629,70,516,'Karukh','Karukh',NULL,'Asia/Kabul'),(66318,93,730,'Tungi','Tungi',NULL,'Asia/Dhaka'),(66339,93,737,'Mymensingh','Mymensingh',NULL,'Asia/Dhaka'),(66373,93,731,'Bagerhat','Bagerhat',NULL,'Asia/Dhaka'),(66391,93,733,'Chattogram','Chattogram',NULL,'Asia/Dhaka'),(66398,93,734,'Barishal','Barishal',NULL,'Asia/Dhaka'),(66414,93,730,'Azimpur','Azimpur',NULL,'Asia/Dhaka'),(66738,2,812,'Lokossa','Lokossa',NULL,'Africa/Porto-Novo'),(67975,211,194,'Boa Vista','Boa Vista',NULL,'America/Boa_Vista'),(79577,69,1952,'Ban Houakhoua','Ban Houakhoua',NULL,'Asia/Vientiane'),(102298,197,843,'Alice Town','Alice Town',NULL,'America/Nassau'),(121385,185,2893,'Ngchemiangel','Ngchemiangel',NULL,'Pacific/Palau'),(134441,208,620,'Cerrillos','Cerrillos',NULL,'America/Argentina/Salta'),(139137,93,736,'Nilphamari','Nilphamari',NULL,'Asia/Dhaka'),(140125,145,740,'Baileux','Baileux',NULL,'Europe/Brussels'),(197008,154,481,'Babiak','Babiak',NULL,'Europe/Warsaw'),(203527,119,2981,'Souzga','Souzga',NULL,'Asia/Barnaul'),(265567,170,118,'Bonegilla','Bonegilla',NULL,'Australia/Melbourne'),(266591,145,739,'Bellingen','Bellingen',NULL,'Europe/Brussels'),(313517,119,2981,'Biyka','Biyka',NULL,'Asia/Barnaul');
/*!40000 ALTER TABLE `geolocale_cities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `geolocale_cities_locale`
--

DROP TABLE IF EXISTS `geolocale_cities_locale`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `geolocale_cities_locale` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT 'Auto increase ID',
  `city_id` bigint unsigned NOT NULL COMMENT 'City ID',
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'Localized city name',
  `alias` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Localized city alias',
  `full_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Localized city fullname',
  `locale` varchar(6) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'locale name',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_city_id_locale` (`city_id`,`locale`),
  CONSTRAINT `geolocale_cities_locale_ibfk_1` FOREIGN KEY (`city_id`) REFERENCES `geolocale_cities` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `geolocale_cities_locale`
--

LOCK TABLES `geolocale_cities_locale` WRITE;
/*!40000 ALTER TABLE `geolocale_cities_locale` DISABLE KEYS */;
/*!40000 ALTER TABLE `geolocale_cities_locale` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `geolocale_continents`
--

DROP TABLE IF EXISTS `geolocale_continents`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `geolocale_continents` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT 'Auto increase ID',
  `name` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'Continent Name',
  `code` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'Continent Code',
  PRIMARY KEY (`id`),
  KEY `uniq_continent` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `geolocale_continents`
--

LOCK TABLES `geolocale_continents` WRITE;
/*!40000 ALTER TABLE `geolocale_continents` DISABLE KEYS */;
INSERT INTO `geolocale_continents` VALUES (1,'Asia','as'),(2,'Europe','eu'),(3,'Africa','af'),(4,'Oceania','oc'),(5,'Antarctica','an'),(6,'North America','na'),(7,'South America','sa');
/*!40000 ALTER TABLE `geolocale_continents` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `geolocale_continents_locale`
--

DROP TABLE IF EXISTS `geolocale_continents_locale`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `geolocale_continents_locale` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT 'Auto increase ID',
  `continent_id` bigint unsigned NOT NULL COMMENT 'Continent ID',
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Localized Name',
  `alias` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Localized Alias',
  `abbr` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Localized Abbr name',
  `full_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Localized Fullname',
  `locale` varchar(6) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Locale',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_continent_id_locale` (`continent_id`,`locale`),
  CONSTRAINT `geolocale_continents_locale_ibfk_1` FOREIGN KEY (`continent_id`) REFERENCES `geolocale_continents` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `geolocale_continents_locale`
--

LOCK TABLES `geolocale_continents_locale` WRITE;
/*!40000 ALTER TABLE `geolocale_continents_locale` DISABLE KEYS */;
/*!40000 ALTER TABLE `geolocale_continents_locale` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `geolocale_countries`
--

DROP TABLE IF EXISTS `geolocale_countries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `geolocale_countries` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT 'Auto increase ID',
  `continent_id` bigint unsigned NOT NULL COMMENT 'Continent ID',
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'Country Common Name',
  `full_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Country Fullname',
  `capital` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Capital Common Name',
  `code` varchar(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'ISO3166-1-Alpha-2',
  `code_alpha3` varchar(6) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'ISO3166-1-Alpha-3',
  `code_numeric` smallint DEFAULT NULL COMMENT 'ISO3166-1-Numeric',
  `emoji` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Country Emoji',
  `has_division` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Has Division',
  `currency_code` varchar(3) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'iso_4217_code',
  `currency_name` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'iso_4217_name',
  `currency_symbol` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tld` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Top level domain',
  `callingcode` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Calling prefix',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_country` (`continent_id`,`name`),
  CONSTRAINT `geolocale_countries_ibfk_1` FOREIGN KEY (`continent_id`) REFERENCES `geolocale_continents` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
) ENGINE=InnoDB AUTO_INCREMENT=212 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `geolocale_countries`
--

LOCK TABLES `geolocale_countries` WRITE;
/*!40000 ALTER TABLE `geolocale_countries` DISABLE KEYS */;
INSERT INTO `geolocale_countries` VALUES (2,3,'Benin','the Republic of Benin ','Porto-Novo','bj','ben',204,'🇧🇯',0,'XOF','CFA Franc BCEAO',NULL,'.bj','229'),(69,1,'Laos','Lao People\'s Democratic Republic','Vientiane','la','lao',418,'🇱🇦',0,'LAK','Kip',NULL,'.la','856'),(70,1,'Afghanistan','the Islamic Republic of Afghanistan','Kabul','af','afg',4,'🇦🇫',0,'AFN','Afghani',NULL,'.af','93'),(85,1,'India','The Republic of India','New Delhi','in','ind',356,'🇮🇳',1,'INR','Indian Rupee',NULL,'.in','91'),(93,1,'Bangladesh','People\'s Republic of Bangladesh','Dhaka','bd','bgd',50,'🇧🇩',0,'BDT','Taka',NULL,'.bd','880'),(101,1,'China','People\'s Republic of China','Beijing','cn','chn',156,'🇨🇳',1,'CNY','Yuan Renminbi',NULL,'.cn','86'),(119,2,'Russia','Russian Federation','Moscow','ru','rus',643,'🇷🇺',0,'RUB','Russian Ruble',NULL,'.ru','70'),(145,2,'Belgium','The Kingdom Of Belgium','Brussels','be','bel',56,'🇧🇪',0,'EUR','Euro',NULL,'.be','32'),(148,2,'United Kingdom','United Kingdom of Great Britain and Northern Ireland','London','gb','eng',826,'🇬🇧',1,'GBP','Pound sterling',NULL,'.uk','44'),(154,2,'Poland','The Republic of Poland','Warsaw','pl','pol',616,'🇵🇱',1,'PLN','Zloty',NULL,'.pl','48'),(167,6,'United States','The United States of America','Washington D.C.','us','usa',840,'🇺🇸',1,'USD','US Dollar',NULL,'.us','1'),(170,4,'Australia','The Commonwealth of Australia','Canberra','au','aus',36,'🇦🇺',1,'AUD','Australian Dollar',NULL,'.au','61'),(185,4,'Palau','The Republic of Palau','Ngerulmud','pw','plw',585,'🇵🇼',0,'USD','US Dollar',NULL,'.pw','680'),(197,7,'Bahamas','The Commonwealth of The Bahamas','Nassau','bs','bhs',44,'🇧🇸',0,'BSD','Bahamian Dollar',NULL,'.bs','1242'),(208,7,'Argentina','The Republic of Argentina','Buenos Aires','ar','arg',32,'🇦🇷',0,'ARS','Argentine Peso',NULL,'.ar','54'),(211,7,'Brazil','The Federative Republic of Brazil','Brasília','br','bra',76,'🇧🇷',1,'BRL','Brazilian Real',NULL,'.br','55');
/*!40000 ALTER TABLE `geolocale_countries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `geolocale_countries_locale`
--

DROP TABLE IF EXISTS `geolocale_countries_locale`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `geolocale_countries_locale` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT 'Auto increase ID',
  `country_id` bigint unsigned NOT NULL COMMENT 'Country ID',
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'Localized Country Name',
  `alias` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Localized Country Alias',
  `abbr` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Localized Country Abbr Name',
  `full_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Localized Country Fullname',
  `currency_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Localized Country Currency Name',
  `locale` varchar(6) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'locale',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_country_id_locale` (`country_id`,`locale`),
  CONSTRAINT `geolocale_countries_locale_ibfk_1` FOREIGN KEY (`country_id`) REFERENCES `geolocale_countries` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `geolocale_countries_locale`
--

LOCK TABLES `geolocale_countries_locale` WRITE;
/*!40000 ALTER TABLE `geolocale_countries_locale` DISABLE KEYS */;
/*!40000 ALTER TABLE `geolocale_countries_locale` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `geolocale_divisions`
--

DROP TABLE IF EXISTS `geolocale_divisions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `geolocale_divisions` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT 'Auto Increase ID',
  `country_id` bigint unsigned NOT NULL COMMENT 'Country ID',
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'Division Common Name',
  `full_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Division Full Name',
  `code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'ISO 3166-2 Code',
  `has_city` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Has city?',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_division` (`country_id`,`name`),
  CONSTRAINT `geolocale_divisions_ibfk_1` FOREIGN KEY (`country_id`) REFERENCES `geolocale_countries` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
) ENGINE=InnoDB AUTO_INCREMENT=2982 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `geolocale_divisions`
--

LOCK TABLES `geolocale_divisions` WRITE;
/*!40000 ALTER TABLE `geolocale_divisions` DISABLE KEYS */;
INSERT INTO `geolocale_divisions` VALUES (28,101,'Fujian',NULL,'7',1),(61,167,'Alabama',NULL,'AL',1),(78,167,'Kentucky',NULL,'KY',1),(118,170,'Victoria',NULL,'7',1),(194,211,'Roraima',NULL,'25',1),(481,154,'Greater Poland',NULL,'86',0),(516,70,'Herat',NULL,'11',0),(620,208,'Salta',NULL,'17',0),(730,93,'Dhaka',NULL,'81',0),(731,93,'Khulna',NULL,'82',0),(732,93,'Rajshahi Division',NULL,'83',0),(733,93,'Chittagong',NULL,'84',0),(734,93,'Barisāl',NULL,'85',0),(735,93,'Sylhet',NULL,'86',0),(736,93,'Rangpur Division',NULL,'87',0),(737,93,'Mymensingh Division',NULL,'H',0),(739,145,'Flanders',NULL,'VLG',0),(740,145,'Wallonia',NULL,'WAL',0),(812,2,'Mono',NULL,'15',0),(843,197,'Bimini',NULL,'5',0),(1952,69,'Bokeo',NULL,'22',0),(2893,185,'Aimeliik',NULL,'1',0),(2981,119,'Altai',NULL,'3',0);
/*!40000 ALTER TABLE `geolocale_divisions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `geolocale_divisions_locale`
--

DROP TABLE IF EXISTS `geolocale_divisions_locale`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `geolocale_divisions_locale` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT 'Auto Increase ID',
  `division_id` bigint unsigned NOT NULL COMMENT 'Division ID',
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'Localized Division Name',
  `abbr` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Localized Division Abbr',
  `alias` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Localized Division Alias',
  `full_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Localized Division Fullname',
  `locale` varchar(6) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'locale',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_division_id_locale` (`division_id`,`locale`),
  CONSTRAINT `geolocale_divisions_locale_ibfk_1` FOREIGN KEY (`division_id`) REFERENCES `geolocale_divisions` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `geolocale_divisions_locale`
--

LOCK TABLES `geolocale_divisions_locale` WRITE;
/*!40000 ALTER TABLE `geolocale_divisions_locale` DISABLE KEYS */;
/*!40000 ALTER TABLE `geolocale_divisions_locale` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `geolocale_languages`
--

DROP TABLE IF EXISTS `geolocale_languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `geolocale_languages` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `iso_language_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `native_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `iso2` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `iso3` varchar(3) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `geolocale_languages`
--

LOCK TABLES `geolocale_languages` WRITE;
/*!40000 ALTER TABLE `geolocale_languages` DISABLE KEYS */;
/*!40000 ALTER TABLE `geolocale_languages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `inventory_logs`
--

DROP TABLE IF EXISTS `inventory_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `inventory_logs` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `location_id` bigint DEFAULT NULL,
  `purchase_id` bigint DEFAULT NULL,
  `product_id` bigint unsigned DEFAULT NULL,
  `supplier_id` int DEFAULT NULL,
  `currency_id` int unsigned DEFAULT NULL,
  `purchase_detail_id` bigint DEFAULT NULL,
  `stock_management_id` bigint DEFAULT NULL,
  `order_id` bigint unsigned DEFAULT NULL,
  `transfer_id` int DEFAULT NULL,
  `quantity` decimal(16,8) DEFAULT NULL,
  `transaction_type` varchar(45) COLLATE utf8mb4_unicode_ci NOT NULL,
  `price` decimal(16,8) DEFAULT NULL,
  `transaction_date` date NOT NULL,
  `note` text COLLATE utf8mb4_unicode_ci,
  `log_type` varchar(45) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `inventory_logs_location_id_foreign_idx` (`location_id`),
  KEY `inventory_logs_purchase_id_foreign_idx` (`purchase_id`),
  KEY `inventory_logs_product_id_foreign_idx` (`product_id`),
  KEY `inventory_logs_supplier_id_foreign_idx` (`supplier_id`),
  KEY `inventory_logs_currency_id_foreign_idx` (`currency_id`),
  KEY `inventory_logs_purchase_detail_id_foreign_idx` (`purchase_detail_id`),
  KEY `inventory_logs_stock_management_id_foreign_idx` (`stock_management_id`),
  KEY `inventory_logs_order_id_foreign_idx` (`order_id`),
  KEY `inventory_logs_transfer_id_foreign_idx` (`transfer_id`),
  CONSTRAINT `inventory_logs_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `inventory_logs_location_id_foreign` FOREIGN KEY (`location_id`) REFERENCES `locations` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `inventory_logs_order_id_foreign` FOREIGN KEY (`order_id`) REFERENCES `orders` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `inventory_logs_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `inventory_logs_purchase_detail_id_foreign` FOREIGN KEY (`purchase_detail_id`) REFERENCES `purchase_details` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `inventory_logs_purchase_id_foreign` FOREIGN KEY (`purchase_id`) REFERENCES `purchases` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `inventory_logs_stock_management_id_foreign` FOREIGN KEY (`stock_management_id`) REFERENCES `stock_managements` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `inventory_logs_supplier_id_foreign` FOREIGN KEY (`supplier_id`) REFERENCES `suppliers` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `inventory_logs_transfer_id_foreign` FOREIGN KEY (`transfer_id`) REFERENCES `transfers` (`id`) ON DELETE SET NULL ON UPDATE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=36 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `inventory_logs`
--

LOCK TABLES `inventory_logs` WRITE;
/*!40000 ALTER TABLE `inventory_logs` DISABLE KEYS */;
INSERT INTO `inventory_logs` VALUES (1,1,NULL,1157,NULL,NULL,NULL,NULL,NULL,NULL,60.00000000,'initial',NULL,'2024-08-18',NULL,'stock_in','2024-09-19 06:34:39',NULL),(2,1,NULL,1169,NULL,NULL,NULL,NULL,NULL,NULL,85.00000000,'initial',NULL,'2024-08-12',NULL,'stock_in','2024-09-19 06:34:39',NULL),(3,1,NULL,1170,NULL,NULL,NULL,NULL,NULL,NULL,120.00000000,'initial',NULL,'2024-07-22',NULL,'stock_in','2024-09-19 06:34:39',NULL),(4,1,NULL,1173,NULL,NULL,NULL,NULL,NULL,NULL,97.00000000,'initial',NULL,'2024-07-09',NULL,'stock_in','2024-09-19 06:34:39',NULL),(5,1,NULL,1255,NULL,NULL,NULL,NULL,NULL,NULL,112.00000000,'initial',NULL,'2024-07-12',NULL,'stock_in','2024-09-19 06:34:39',NULL),(6,1,NULL,1180,NULL,NULL,NULL,NULL,NULL,NULL,225.00000000,'initial',NULL,'2024-08-26',NULL,'stock_in','2024-09-19 06:34:39',NULL),(7,1,NULL,1186,NULL,NULL,NULL,NULL,NULL,NULL,123.00000000,'initial',NULL,'2024-08-04',NULL,'stock_in','2024-09-19 06:34:39',NULL),(8,1,NULL,1236,NULL,NULL,NULL,NULL,NULL,NULL,170.00000000,'initial',NULL,'2024-06-26',NULL,'stock_in','2024-09-19 06:34:39',NULL),(9,1,NULL,1237,NULL,NULL,NULL,NULL,NULL,NULL,167.00000000,'initial',NULL,'2024-08-13',NULL,'stock_in','2024-09-19 06:34:39',NULL),(10,1,NULL,1238,NULL,NULL,NULL,NULL,NULL,NULL,332.00000000,'initial',NULL,'2024-08-24',NULL,'stock_in','2024-09-19 06:34:39',NULL),(11,1,NULL,1239,NULL,NULL,NULL,NULL,NULL,NULL,79.00000000,'initial',NULL,'2024-07-10',NULL,'stock_in','2024-09-19 06:34:39',NULL),(12,2,NULL,1205,NULL,NULL,NULL,NULL,NULL,NULL,232.00000000,'initial',NULL,'2024-08-06',NULL,'stock_in','2024-09-19 06:34:39',NULL),(13,2,NULL,1204,NULL,NULL,NULL,NULL,NULL,NULL,59.00000000,'initial',NULL,'2024-08-24',NULL,'stock_in','2024-09-19 06:34:39',NULL),(14,2,NULL,1200,NULL,NULL,NULL,NULL,NULL,NULL,66.00000000,'initial',NULL,'2024-09-14',NULL,'stock_in','2024-09-19 06:34:39',NULL),(15,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,5.00000000,'transfer_store',NULL,'2024-08-09',NULL,'transfer','2024-09-19 06:34:39',NULL),(16,1,NULL,1255,NULL,NULL,NULL,NULL,NULL,1,-2.00000000,'moved',NULL,'2024-07-17',NULL,'transfer','2024-09-19 06:34:39',NULL),(17,1,NULL,1238,NULL,NULL,NULL,NULL,NULL,1,-3.00000000,'moved',NULL,'2024-07-11',NULL,'transfer','2024-09-19 06:34:39',NULL),(18,5,NULL,1255,NULL,NULL,NULL,NULL,NULL,1,2.00000000,'transfer_receive',NULL,'2024-07-15',NULL,'receive_reject','2024-09-19 06:34:39',NULL),(19,5,NULL,1238,NULL,NULL,NULL,NULL,NULL,1,3.00000000,'transfer_receive',NULL,'2024-07-22',NULL,'receive_reject','2024-09-19 06:34:39',NULL),(20,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5.00000000,'transfer_store',NULL,'2024-07-06',NULL,'transfer','2024-09-19 06:34:39',NULL),(21,1,NULL,1236,NULL,NULL,NULL,NULL,NULL,2,-3.00000000,'moved',NULL,'2024-06-30',NULL,'transfer','2024-09-19 06:34:39',NULL),(22,1,NULL,1238,NULL,NULL,NULL,NULL,NULL,2,-2.00000000,'moved',NULL,'2024-09-08',NULL,'transfer','2024-09-19 06:34:39',NULL),(23,3,1,NULL,2,3,NULL,NULL,NULL,NULL,382.00000000,'purchase_store',20730.92000000,'2024-09-01',NULL,'purchase','2024-09-19 06:34:39',NULL),(24,1,2,NULL,1,3,NULL,NULL,NULL,NULL,76.00000000,'purchase_store',1029.57000000,'2024-07-11',NULL,'purchase','2024-09-19 06:34:39',NULL),(25,3,1,1199,2,NULL,1,NULL,NULL,NULL,130.00000000,'receive',NULL,'2024-07-27',NULL,'receive_reject','2024-09-19 06:34:39',NULL),(26,3,1,1198,2,NULL,2,NULL,NULL,NULL,-3.00000000,'reject',NULL,'2024-09-07',NULL,'receive_reject','2024-09-19 06:34:39',NULL),(27,3,1,1198,2,NULL,2,NULL,NULL,NULL,121.00000000,'receive',NULL,'2024-07-04',NULL,'receive_reject','2024-09-19 06:34:39',NULL),(28,3,1,1197,2,NULL,3,NULL,NULL,NULL,120.00000000,'receive',NULL,'2024-08-02',NULL,'receive_reject','2024-09-19 06:34:39',NULL),(29,1,2,1236,1,NULL,4,NULL,NULL,NULL,22.00000000,'receive',NULL,'2024-08-20',NULL,'receive_reject','2024-09-19 06:34:39',NULL),(30,1,2,1242,1,NULL,5,NULL,NULL,NULL,-1.00000000,'reject',NULL,'2024-06-24',NULL,'receive_reject','2024-09-19 06:34:39',NULL),(31,1,2,1242,1,NULL,5,NULL,NULL,NULL,20.00000000,'receive',NULL,'2024-09-16',NULL,'receive_reject','2024-09-19 06:34:39',NULL),(32,1,2,1169,1,NULL,6,NULL,NULL,NULL,33.00000000,'receive',NULL,'2024-07-10',NULL,'receive_reject','2024-09-19 06:34:39',NULL),(33,7,NULL,1205,NULL,NULL,NULL,NULL,NULL,NULL,14.00000000,'initial',NULL,'2024-08-09',NULL,'stock_in','2024-09-19 06:34:39',NULL),(34,7,NULL,1204,NULL,NULL,NULL,NULL,NULL,NULL,20.00000000,'initial',NULL,'2024-08-03',NULL,'stock_in','2024-09-19 06:34:39',NULL),(35,2,NULL,1205,NULL,NULL,NULL,NULL,NULL,NULL,-2.00000000,'Correction',NULL,'2024-08-09',NULL,'adjust','2024-09-19 06:34:39',NULL);
/*!40000 ALTER TABLE `inventory_logs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jobs`
--

DROP TABLE IF EXISTS `jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `queue` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `attempts` tinyint unsigned NOT NULL,
  `reserved_at` int unsigned DEFAULT NULL,
  `available_at` int unsigned NOT NULL,
  `created_at` int unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `jobs_queue_index` (`queue`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `jobs`
--

LOCK TABLES `jobs` WRITE;
/*!40000 ALTER TABLE `jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `jobs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `languages` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `short_name` varchar(5) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `flag` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Active' COMMENT '''Active'', ''Inactive',
  `is_default` tinyint(1) NOT NULL,
  `direction` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'ltr' COMMENT '(''ltr'', ''rtl'') ltr = left-to-right directionrtl = right-to-left direction',
  PRIMARY KEY (`id`),
  KEY `languages_name_index` (`name`),
  KEY `languages_short_name_index` (`short_name`),
  KEY `languages_status_index` (`status`),
  KEY `languages_is_default_index` (`is_default`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `languages`
--

LOCK TABLES `languages` WRITE;
/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
INSERT INTO `languages` VALUES (1,'English','en','en.jpg','Active',1,'ltr'),(2,'Bengali','bn',NULL,'Active',0,'ltr'),(3,'French','fr','','Active',0,'ltr'),(4,'Chinese','zh',NULL,'Active',0,'ltr'),(5,'Arabic','ar',NULL,'Active',0,'rtl'),(6,'Byelorussian','be',NULL,'Active',0,'ltr'),(7,'Bulgarian','bg',NULL,'Active',0,'ltr'),(8,'Catalan','ca',NULL,'Active',0,'ltr'),(9,'Estonian','et',NULL,'Active',0,'ltr'),(10,'Dutch','nl',NULL,'Active',0,'ltr');
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `layout_types`
--

DROP TABLE IF EXISTS `layout_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `layout_types` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `layout_types`
--

LOCK TABLES `layout_types` WRITE;
/*!40000 ALTER TABLE `layout_types` DISABLE KEYS */;
INSERT INTO `layout_types` VALUES (1,'Call To Action','Call to action',NULL,NULL),(2,'Product Blocks','Different Blocks',NULL,NULL),(3,'Categories','Categories',NULL,NULL),(4,'Brands','Product Brands',NULL,NULL),(5,'Blogs','Blogs Layout',NULL,NULL),(6,'Extras','Information Box',NULL,NULL);
/*!40000 ALTER TABLE `layout_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `layouts`
--

DROP TABLE IF EXISTS `layouts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `layouts` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `layout_type_id` bigint unsigned NOT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `file` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `image` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `layouts`
--

LOCK TABLES `layouts` WRITE;
/*!40000 ALTER TABLE `layouts` DISABLE KEYS */;
INSERT INTO `layouts` VALUES (1,1,'Brand Call To Action 1','Brand CTA 1','cta-banner-template-v1','cta-banner-template-v1.png',NULL,NULL),(2,2,'Grid with sidebar','Grid with left slider/banner','product-grid-with-sidebar-template-v1','product-grid-with-sidebar-template-v1.png',NULL,NULL),(3,2,'Product Grid Tabs','Product grid with tabs','product-tabs-grid-template-v1','product-tabs-grid-template-v1.png',NULL,NULL),(4,1,'Multiple Call To Action','Multiple CTA','cta-banner-template-v2','cta-banner-template-v2.png',NULL,NULL),(5,3,'Category Block 1','Categories Block','category-template-v1','category-template-v1.png',NULL,NULL),(6,4,'Brand Block','Brand Block','brands-template-v1','brands-template-v1.png',NULL,NULL),(7,5,'Blogs Grid','Blogs Grid','blogs-template-v1','blogs-template-v1.png',NULL,NULL),(8,6,'Iconbox Grid','Iconbox Grid','iconbox-grid-template-v1','iconbox-grid-template-v1.png',NULL,NULL),(9,6,'Newsletter','Newsletter','newsletter-template-v1','newsletter-template-v1.png',NULL,NULL),(10,1,'Slider','Slider','slider-template-v1','slider-template-v1.png',NULL,NULL),(11,6,'Custom Block','Custom Block','custom-block-template-v1','custom-block-template-v1.png',NULL,NULL);
/*!40000 ALTER TABLE `layouts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `locations`
--

DROP TABLE IF EXISTS `locations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `locations` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `shop_id` bigint NOT NULL,
  `vendor_id` bigint NOT NULL,
  `parent_id` bigint DEFAULT NULL,
  `priority` int DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `address` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `zip` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(45) COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_default` tinyint NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `locations_shop_id_foreign_idx` (`shop_id`),
  KEY `locations_vendor_id_foreign_idx` (`vendor_id`),
  CONSTRAINT `locations_shop_id_foreign` FOREIGN KEY (`shop_id`) REFERENCES `shops` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `locations_vendor_id_foreign` FOREIGN KEY (`vendor_id`) REFERENCES `vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locations`
--

LOCK TABLES `locations` WRITE;
/*!40000 ALTER TABLE `locations` DISABLE KEYS */;
INSERT INTO `locations` VALUES (1,2,1,NULL,NULL,'Gadgets','gadgets','Dhaka, Bangladesh','bd',NULL,NULL,NULL,NULL,NULL,'Active',1,'2024-09-19 06:34:39',NULL),(2,7,16,NULL,NULL,'Furniture','furniture','House no 12, Road no 21,Dhaka, Bangladesh','bd',NULL,NULL,NULL,NULL,NULL,'Active',1,'2024-09-19 06:34:39',NULL),(3,5,19,NULL,NULL,'Clothes','clothes','House no 19, Road no 2, Dhaka, Bangladesh','bd',NULL,NULL,NULL,NULL,NULL,'Active',1,'2024-09-19 06:34:39',NULL),(4,2,1,NULL,NULL,'Organic','organic','Dhaka, Bangladesh','bd',NULL,NULL,NULL,NULL,NULL,'Active',0,'2024-09-19 06:34:39',NULL),(5,2,1,NULL,NULL,'Gadgets-2','gadgets-2','Dhaka, Gazipur, Bangladesh','bd',NULL,NULL,NULL,NULL,NULL,'Active',0,'2024-09-19 06:34:39',NULL),(6,2,1,NULL,NULL,'Foods','food','Dhaka, Bangladesh','bd',NULL,NULL,NULL,NULL,NULL,'Inactive',0,'2024-09-19 06:34:39',NULL),(7,7,16,NULL,NULL,'Furniture-2','furniture-2','Dhaka, Bangladesh','bd',NULL,NULL,NULL,NULL,NULL,'Active',0,'2024-09-19 06:34:39',NULL);
/*!40000 ALTER TABLE `locations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menu_items`
--

DROP TABLE IF EXISTS `menu_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menu_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `label` text COLLATE utf8mb4_unicode_ci,
  `link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `params` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` int NOT NULL DEFAULT '0',
  `icon` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `parent` bigint unsigned NOT NULL DEFAULT '0',
  `sort` decimal(16,8) NOT NULL DEFAULT '0.00000000',
  `class` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `menu` bigint unsigned NOT NULL,
  `depth` int NOT NULL DEFAULT '0',
  `is_custom_menu` int NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `menu_items_menu_foreign` (`menu`),
  CONSTRAINT `menu_items_menu_foreign` FOREIGN KEY (`menu`) REFERENCES `menus` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=174 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_items`
--

LOCK TABLES `menu_items` WRITE;
/*!40000 ALTER TABLE `menu_items` DISABLE KEYS */;
INSERT INTO `menu_items` VALUES (1,'{\"en\": \"Dashboard\",\"bn\": \"ড্যাশবোর্ড\",\"fr\": \"Tableau de bord\",\"zh\": \"仪表板\",\"ar\": \"لوحة القيادة\",\"be\": \"Панэль прыбораў\",\"bg\": \"Табло\",\"ca\": \"Tauler de control\",\"et\": \"Armatuurlaud\",\"nl\": \"Dashboard\"}','dashboard','{\"permission\":\"App\\\\Http\\\\Controllers\\\\DashboardController@index\",\"route_name\":[\"dashboard\"]}',1,'fas fa-home',0,0.00000000,NULL,1,0,0,NULL,'2024-09-19 06:34:39'),(2,'{\"en\":\"Add User\",\"bn\":\"ব্যবহারকারী যোগ করুন\",\"fr\":\"Ajouter un utilisateur\",\"zh\":\"添加用户\",\"ar\":\"إضافة مستخدم\",\"be\":\"Дадаць карыстальніка\",\"bg\":\"Добавяне на потребител\",\"ca\":\"Afegeix usuari\",\"et\":\"Lisa kasutaja\",\"nl\":\"Gebruiker toevoegen\"}','user/create','{\"permission\":\"App\\\\Http\\\\Controllers\\\\UserController@create\",\"route_name\":[\"users.create\"]}',1,NULL,27,2.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(3,'{\"en\":\"Add Product\",\"bn\":\"পণ্য যোগ করুন\",\"fr\":\"Ajouter un produit\",\"zh\":\"添加产品\",\"ar\":\"إضافة منتج\",\"be\":\"Дадаць прадукт\",\"bg\":\"Добавяне на продукт\",\"ca\":\"Afegeix producte\",\"et\":\"Lisa toode\",\"nl\":\"Product toevoegen\"}','product/create','{\"permission\":\"App\\\\Http\\\\Controllers\\\\ProductController@createProduct\",\"route_name\":[\"product.create\"]}',1,NULL,28,7.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(4,'{\"en\":\"Categories\",\"bn\":\"বিভাগ\",\"fr\":\"Catégories\",\"zh\":\"类别\",\"ar\":\"فئات\",\"be\":\"Катэгорыі\",\"bg\":\"Категории\",\"ca\":\"Categories\",\"et\":\"Kategooriad\",\"nl\":\"Categorieën\"}','categories','{\"permission\":\"App\\\\Http\\\\Controllers\\\\CategoryController@index\",\"route_name\":[\"categories.index\"]}',1,NULL,28,10.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(5,'{\"en\":\"Brands\",\"bn\":\"ব্র্যান্ড\",\"fr\":\"Marques\",\"zh\":\"品牌\",\"ar\":\"العلامات التجارية\",\"be\":\"Брэнды\",\"bg\":\"Марки\",\"ca\":\"Marques\",\"et\":\"Brändid\",\"nl\":\"Merken\"}','brands','{\"permission\":\"App\\\\Http\\\\Controllers\\\\BrandController@index\",\"route_name\":[\"brands.index\",\"brands.create\",\"brands.edit\",\"brands.pdf\",\"brands.csv\"]}',1,NULL,28,11.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(6,'{\"en\":\"Attributes\",\"bn\":\"গুণগুলি\",\"fr\":\"Attributs\",\"zh\":\"属性\",\"ar\":\"السمات\",\"be\":\"Атрыбуты\",\"bg\":\"Атрибути\",\"ca\":\"Atributs\",\"et\":\"Atribuudid\",\"nl\":\"Eigenschappen\"}','attributes','{\"permission\":\"App\\\\Http\\\\Controllers\\\\AttributeController@index\",\"route_name\":[\"attribute.index\",\"attribute.create\",\"attribute.edit\",\"attribute.pdf\",\"attribute.csv\"]}',1,NULL,28,12.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(8,'{\"en\":\"All Users\",\"bn\":\"সমস্ত ব্যবহারকারী\",\"fr\":\"Tous les utilisateurs\",\"zh\":\"所有用户\",\"ar\":\"جميع المستخدمين\",\"be\":\"Усе карыстальнікі\",\"bg\":\"Всички потребители\",\"ca\":\"Tots els usuaris\",\"et\":\"Kõik kasutajad\",\"nl\":\"Alle gebruikers\"}','user/list','{\"permission\":\"App\\\\Http\\\\Controllers\\\\UserController@index\",\"route_name\":[\"users.index\",\"users.edit\",\"users.pdf\",\"users.csv\",\"users.verify\"]}',1,NULL,27,3.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(9,'{\"en\":\"Reviews\",\"bn\":\"পর্যালোচনা\",\"fr\":\"Avis\",\"zh\":\"评论\",\"ar\":\"التعليقات\",\"be\":\"Водгукі\",\"bg\":\"Отзиви\",\"ca\":\"Reseñas\",\"et\":\"Arvustused\",\"nl\":\"Beoordelingen\"}','reviews','{\"permission\":\"App\\\\Http\\\\Controllers\\\\ReviewController@index\",\"route_name\":[\"review.index\",\"review.view\",\"review.edit\",\"review.pdf\",\"review.csv\"]}',1,NULL,28,13.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(10,'{\"en\":\"All Products\",\"bn\":\"সমস্ত পণ্য\",\"fr\":\"Tous les produits\",\"zh\":\"所有产品\",\"ar\":\"جميع المنتجات\",\"be\":\"Усе прадукты\",\"bg\":\"Всички продукти\",\"ca\":\"Tots els productes\",\"et\":\"Kõik tooted\",\"nl\":\"Alle producten\"}','products','{\"permission\":\"App\\\\Http\\\\Controllers\\\\ProductController@index\",\"route_name\":[\"product.index\",\"product.edit\",\"product.pdf\",\"product.csv\"]}',1,NULL,28,8.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(11,'{\"en\":\"Pending Products\",\"bn\":\"মুলতুবি পণ্য\",\"fr\":\"Produits en attente\",\"zh\":\"待处理产品\",\"ar\":\"المنتجات المعلقة\",\"be\":\"Ачакуюцца прадукты\",\"bg\":\"Изчакващи продукти\",\"ca\":\"Productes pendents\",\"et\":\"Ootel tooted\",\"nl\":\"In afwachting producten\"}','pending/products?status=Pending Review','{\"permission\":\"App\\\\Http\\\\Controllers\\\\ProductController@index\",\"route_name\":[\"product.pending\"]}',1,NULL,28,9.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(12,'{\"en\":\"Add Vendor\",\"bn\":\"বিক্রেতা যোগ করুন\",\"fr\":\"Ajouter un fournisseur\",\"zh\":\"添加供应商\",\"ar\":\"إضافة بائع\",\"be\":\"Дадаць прадаўца\",\"bg\":\"Добавяне на доставчик\",\"ca\":\"Afegir proveïdor\",\"et\":\"Lisa müüja\",\"nl\":\"Leverancier toevoegen\"}','vendors/create','{\"permission\":\"App\\\\Http\\\\Controllers\\\\VendorController@create\",\"route_name\":[\"vendors.create\"]}',1,NULL,30,19.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(13,'{\"en\":\"All Vendors\",\"bn\":\"সমস্ত বিক্রেতা\",\"fr\":\"Tous les fournisseurs\",\"zh\":\"所有供应商\",\"ar\":\"جميع البائعين\",\"be\":\"Усе прадаўцы\",\"bg\":\"Всички доставчици\",\"ca\":\"Tots els proveïdors\",\"et\":\"Kõik müüjad\",\"nl\":\"Alle leveranciers\"}','vendors','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Api\\\\VendorController@index\",\"route_name\":[\"vendors.index\",\"vendors.edit\",\"vendors.pdf\",\"vendors.csv\",\"vendors.import\"]}',1,NULL,30,20.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(14,'{\"en\":\"Addon Manager\",\"bn\":\"অ্যাড-অন ম্যানেজার\",\"fr\":\"Gestionnaire d\'extension\",\"zh\":\"附加组件管理器\",\"ar\":\"مدير الإضافات\",\"be\":\"Мэнэджэр дадаткаў\",\"bg\":\"Мениджър на добавки\",\"ca\":\"Gestor d\'add-ons\",\"et\":\"Lisamooduli haldur\",\"nl\":\"Add-on manager\"}','addons','{\"permission\":\"App\\\\Http\\\\Controllers\\\\AddonsMangerController@index\",\"route_name\":[\"addon.index\",\"addon.switch-status\",\"addon.remove\",\"addon.upload\"]}',1,'fas fa-plug',0,58.00000000,NULL,1,0,0,NULL,'2024-09-19 06:34:39'),(16,'{\"en\":\"Menus\",\"bn\":\"মেনু\",\"fr\":\"Menus\",\"zh\":\"菜单\",\"ar\":\"القوائم\",\"be\":\"Меню\",\"bg\":\"Менюта\",\"ca\":\"Menús\",\"et\":\"Menüüd\",\"nl\":\"Menu\'s\"}','menu-builder','{\"permission\":\"Modules\\\\MenuBuilder\\\\Http\\\\Controllers\\\\MenuBuilderController@index\",\"route_name\":[\"menu.index\"]}',1,'fas fa-bars',0,33.00000000,NULL,1,0,0,NULL,'2024-09-19 06:34:39'),(19,'{\"en\":\"General Settings\",\"bn\":\"সাধারণ সেটিংস\",\"fr\":\"Paramètres généraux\",\"zh\":\"常规设置\",\"ar\":\"الإعدادات العامة\",\"be\":\"Агульныя налады\",\"bg\":\"Общи настройки\",\"ca\":\"Configuració general\",\"et\":\"Üldised seaded\",\"nl\":\"Algemene instellingen\"}','general-setting','{\"permission\":\"App\\\\Http\\\\Controllers\\\\CompanySettingController@index\",\"route_name\":[\"preferences.index\", \"companyDetails.setting\", \"maintenance.enable\", \"language.translation\", \"language.index\", \"currency.convert\", \"withdrawalSetting.index\", \"external-codes.index\", \"address.setting.index\", \"language.import\", \"api-keys.index\", \"api-settings\"]}',1,NULL,31,49.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(20,'{\"en\":\"Products\",\"bn\":\"পণ্য\",\"fr\":\"Produits\",\"zh\":\"产品\",\"ar\":\"منتجات\",\"be\":\"Тавары\",\"bg\":\"Продукти\",\"ca\":\"Productes\",\"et\":\"Tooted\",\"nl\":\"Producten\"}','product-setting','{\"permission\":\"App\\\\Http\\\\Controllers\\\\ProductSettingController@general\",\"route_name\":[\"product.setting.general\",\"product.setting.inventory\", \"product.setting.vendor\"]}',1,NULL,31,51.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(21,'{\"en\":\"Customers\",\"bn\":\"গ্রাহকদের\",\"fr\":\"Clients\",\"zh\":\"客户\",\"ar\":\"العملاء\",\"be\":\"Кліенты\",\"bg\":\"Клиенти\",\"ca\":\"Clients\",\"et\":\"Kliendid\",\"nl\":\"Klanten\"}','user/customer?role=3','{\"permission\":\"App\\\\Http\\\\Controllers\\\\UserController@index\",\"route_name\":[\"users.customer\"]}',1,NULL,27,4.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(27,'{\"en\":\"Personnel\",\"bn\":\"কর্মকর্তা\",\"fr\":\"Personnel\",\"zh\":\"人员\",\"ar\":\"الموظفين\",\"be\":\"Персонал\",\"bg\":\"Персонал\",\"ca\":\"Personal\",\"et\":\"Personaal\",\"nl\":\"Personeel\"}',NULL,NULL,0,'fas fa-users',0,1.00000000,NULL,1,0,0,NULL,'2024-09-19 06:34:39'),(28,'{\"en\":\"Products\",\"bn\":\"পণ্য\",\"fr\":\"Produits\",\"zh\":\"产品\",\"ar\":\"منتجات\",\"be\":\"Тавары\",\"bg\":\"Продукти\",\"ca\":\"Productes\",\"et\":\"Tooted\",\"nl\":\"Producten\"}','Items main',NULL,0,'fas fa-cube',0,6.00000000,NULL,1,0,0,NULL,'2024-09-19 06:34:39'),(30,'{\"en\":\"Vendors\",\"bn\":\"বিক্রেতাদের\",\"fr\":\"Fournisseurs\",\"zh\":\"供应商\",\"ar\":\"البائعين\",\"be\":\"Прадаўцы\",\"bg\":\"Доставчици\",\"ca\":\"Proveïdors\",\"et\":\"Müüjad\",\"nl\":\"Leveranciers\"}',NULL,NULL,0,'fas fa-user-plus',0,18.00000000,NULL,1,0,0,NULL,'2024-09-19 06:34:39'),(31,'{\"en\":\"Configurations\",\"bn\":\"কনফিগারেশন\",\"fr\":\"Configurations\",\"zh\":\"配置\",\"ar\":\"التكوينات\",\"be\":\"Канфігурацыі\",\"bg\":\"Конфигурации\",\"ca\":\"Configuracions\",\"et\":\"Seadistused\",\"nl\":\"Configuraties\"}',NULL,NULL,0,'fas fa-cog',0,48.00000000,NULL,1,0,0,NULL,'2024-09-19 06:34:39'),(32,'{\"en\": \"Dashboard\",\"bn\": \"ড্যাশবোর্ড\",\"fr\": \"Tableau de bord\",\"zh\": \"仪表板\",\"ar\": \"لوحة القيادة\",\"be\": \"Панэль прыбораў\",\"bg\": \"Табло\",\"ca\": \"Tauler de control\",\"et\": \"Armatuurlaud\",\"nl\": \"Dashboard\"}','overview','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Site\\\\DashboardController@index\",\"route_name\":[\"site.dashboard\"],\"menu_level\":\"2\"}',1,'fas fa-align-justify',0,0.00000000,NULL,2,0,0,NULL,'2024-09-19 06:34:39'),(33,'{\"en\":\"Orders\",\"bn\":\"অর্ডার\",\"fr\":\"Commandes\",\"zh\":\"订单\",\"ar\":\"الطلبات\",\"be\":\"Замовы\",\"bg\":\"Поръчки\",\"ca\":\"Comandes\",\"et\":\"Tellimused\",\"nl\":\"Bestellingen\"}','orders','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Site\\\\OrderController@index\",\"route_name\":[\"site.order\", \"site.orderDetails\", \"site.orderRefund\"],\"menu_level\":\"2\"}',1,'fab fa-apple',0,1.00000000,NULL,2,0,0,NULL,'2024-09-19 06:34:39'),(34,'{\"en\":\"Wishlist\",\"bn\":\"ইচ্ছার তালিকা\",\"fr\":\"Liste de souhaits\",\"zh\":\"愿望清单\",\"ar\":\"قائمة الرغبات\",\"be\":\"Спіс жаданняў\",\"bg\":\"Списък с желания\",\"ca\":\"Llista de desitjos\",\"et\":\"Soovinimekiri\",\"nl\":\"Verlanglijstje\"}','wishlists','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Site\\\\WishlistController@index\",\"route_name\":[\"site.wishlist\"],\"menu_level\":\"2\"}',1,'far fa-heart',0,2.00000000,NULL,2,0,0,NULL,'2024-09-19 06:34:39'),(35,'{\"en\":\"Reviews\",\"bn\":\"পর্যালোচনা\",\"fr\":\"Avis\",\"zh\":\"评论\",\"ar\":\"التعليقات\",\"be\":\"Водгукі\",\"bg\":\"Отзиви\",\"ca\":\"Reseñas\",\"et\":\"Arvustused\",\"nl\":\"Beoordelingen\"}','reviews','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Site\\\\ReviewController@index\",\"route_name\":[\"site.review\"],\"menu_level\":\"2\"}',1,'fas fa-certificate',0,3.00000000,NULL,2,0,0,NULL,'2024-09-19 06:34:39'),(36,'{\"en\":\"My Profile\",\"bn\":\"আমার প্রোফাইল\",\"fr\":\"Mon profil\",\"zh\":\"我的个人资料\",\"ar\":\"ملفي الشخصي\",\"be\":\"Мой прафіль\",\"bg\":\"Моят профил\",\"ca\":\"El meu perfil\",\"et\":\"Minu profiil\",\"nl\":\"Mijn profiel\"}','profile','{\"permission\":\"App\\\\Http\\\\Controllers\\\\UserController@index\",\"route_name\":[\"site.userProfile\",\"site.userProfileEditPassword\"],\"menu_level\":\"2\"}',1,'fas fa-user',0,4.00000000,NULL,2,0,0,NULL,'2024-09-19 06:34:39'),(37,'{\"en\":\"Address Books\",\"bn\":\"ঠিকানা বই\",\"fr\":\"Carnets d\'adresses\",\"zh\":\"地址簿\",\"ar\":\"دفاتر العناوين\",\"be\":\"Адрасныя кнігі\",\"bg\":\"Адресни книги\",\"ca\":\"Agendes d\'adreces\",\"et\":\"Aadressiraamatud\",\"nl\":\"Adresboeken\"}','addresses','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Site\\\\AddressController@index\",\"route_name\":[\"site.address\",\"site.addressCreate\",\"site.addressEdit\"],\"menu_level\":\"2\"}',1,'fas fa-phone',0,5.00000000,NULL,2,0,0,NULL,'2024-09-19 06:34:39'),(38,'{\"en\":\"Settings\",\"bn\":\"সেটিংস\",\"fr\":\"Paramètres\",\"zh\":\"设置\",\"ar\":\"الإعدادات\",\"be\":\"Налады\",\"bg\":\"Настройки\",\"ca\":\"Configuració\",\"et\":\"Sätted\",\"nl\":\"Instellingen\"}','setting','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Site\\\\AddressController@index\",\"route_name\":[\"site.userSetting\", \"site.userActivity\"],\"menu_level\":\"2\"}',1,'fas fa-cog',0,8.00000000,NULL,2,0,0,NULL,'2024-09-19 06:34:39'),(39,'{\"en\":\"Logout\",\"bn\":\"লগআউট\",\"fr\":\"Déconnexion\",\"zh\":\"登出\",\"ar\":\"تسجيل الخروج\",\"be\":\"Выйсці\",\"bg\":\"Изход\",\"ca\":\"Desconnexió\",\"et\":\"Logi välja\",\"nl\":\"Uitloggen\"}','logout','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Site\\\\LoginController@logout\", \"route_name\":[\"site.logout\"], \"menu_level\":\"2\"}',1,'fas fa-sign-out-alt',0,10.00000000,NULL,2,0,0,NULL,'2024-09-19 06:34:39'),(40,'{\"en\": \"Dashboard\",\"bn\": \"ড্যাশবোর্ড\",\"fr\": \"Tableau de bord\",\"zh\": \"仪表板\",\"ar\": \"لوحة القيادة\",\"be\": \"Панэль прыбораў\",\"bg\": \"Табло\",\"ca\": \"Tauler de control\",\"et\": \"Armatuurlaud\",\"nl\": \"Dashboard\"}','dashboard','{\"permission\":\"App\\\\Http\\\\Controllers\\\\VendorController@index\",\"route_name\":[\"vendor-dashboard\"],\"menu_level\":\"3\"}',1,'fas fa-home',0,0.00000000,NULL,3,0,0,NULL,'2024-09-19 06:34:39'),(42,'{\"en\":\"All Orders\",\"bn\":\"সমস্ত অর্ডার\",\"fr\":\"Toutes les commandes\",\"zh\":\"所有订单\",\"ar\":\"جميع الطلبات\",\"be\":\"Усе замовы\",\"bg\":\"Всички поръчки\",\"ca\":\"Totes les comandes\",\"et\":\"Kõik tellimused\",\"nl\":\"Alle bestellingen\"}','orders','{\"permission\":\"App\\\\Http\\\\Controllers\\\\AdminOrderController@index\", \"route_name\":[\"order.index\", \"order.view\", \"order.pdf\", \"order.csv\"], \"menu_level\":\"1\"}',1,NULL,43,15.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(43,'{\"en\":\"Orders\",\"bn\":\"অর্ডার\",\"fr\":\"Commandes\",\"zh\":\"订单\",\"ar\":\"الطلبات\",\"be\":\"Замовы\",\"bg\":\"Поръчки\",\"ca\":\"Comandes\",\"et\":\"Tellimused\",\"nl\":\"Bestellingen\"}',NULL,NULL,0,'fas fa-shopping-bag',0,14.00000000,NULL,1,0,0,NULL,'2024-09-19 06:34:39'),(44,'{\"en\":\"Shipping\",\"bn\":\"শিপিং\",\"fr\":\"Livraison\",\"zh\":\"运输\",\"ar\":\"الشحن\",\"be\":\"Доставка\",\"bg\":\"Доставка\",\"ca\":\"Enviament\",\"et\":\"Kohaletoimetamine\",\"nl\":\"Verzending\"}','shippings','{\"permission\":\"Modules\\\\Shipping\\\\Http\\\\Controllers\\\\ShippingController@index\",\"route_name\":[\"shipping.index\"]}',1,NULL,31,52.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(47,'{\"en\":\"Orders\",\"bn\":\"অর্ডার\",\"fr\":\"Commandes\",\"zh\":\"订单\",\"ar\":\"الطلبات\",\"be\":\"Замовы\",\"bg\":\"Поръчки\",\"ca\":\"Comandes\",\"et\":\"Tellimused\",\"nl\":\"Bestellingen\"}','orders','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Vendor\\\\VendorOrderController@index\", \"route_name\":[\"vendorOrder.index\", \"vendorOrder.view\", \"vendorOrder.pdf\", \"vendorOrder.csv\"], \"menu_level\":\"3\"}',1,'fas fa-shopping-bag',0,2.00000000,NULL,3,0,0,NULL,'2024-09-19 06:34:39'),(48,'{\"en\":\"Transactions\",\"bn\":\"লেনদেন\",\"fr\":\"Transactions\",\"zh\":\"交易\",\"ar\":\"المعاملات\",\"be\":\"Транзакцыі\",\"bg\":\"Транзакции\",\"ca\":\"Transaccions\",\"et\":\"Tehingud\",\"nl\":\"Transacties\"}','transactions','{\"permission\":\"App\\\\Http\\\\Controllers\\\\TransactionController@index\", \"route_name\":[\"transaction.index\", \"transaction.edit\"], \"menu_level\":\"1\"}',1,NULL,43,16.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(49,'{\"en\":\"Geo Locale\",\"bn\":\"জিও লোকেল\",\"fr\":\"Géo Localisation\",\"zh\":\"地理位置\",\"ar\":\"الموقع الجغرافي\",\"be\":\"Геалакаль\",\"bg\":\"Гео локация\",\"ca\":\"Geolocalització\",\"et\":\"Geo lokaalne\",\"nl\":\"Geo-locatie\"}','geolocale','{\"permission\":\"Modules\\\\GeoLocale\\\\Http\\\\Controllers\\\\GeoLocaleController@index\", \"route_name\":[\"geolocale.index\"], \"menu_lavel\":\"1\"}',1,NULL,31,58.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(51,'{\"en\":\"Refunds\",\"bn\":\"ফেরৎ\",\"fr\":\"Remboursements\",\"zh\":\"退款\",\"ar\":\"المبالغ المستردة\",\"be\":\"Вяртанні кошту\",\"bg\":\"Възстановявания\",\"ca\":\"Reemborsaments\",\"et\":\"Tagastused\",\"nl\":\"Terugbetalingen\"}','refund-requests','{\"permission\":\"Modules\\\\Refund\\\\Http\\\\Controllers\\\\RefundController@index\",\"route_name\":[\"refund.index\"], \"menu_level\":\"1\"}',1,NULL,43,17.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(52,'{\"en\":\"Refunds\",\"bn\":\"ফেরৎ\",\"fr\":\"Remboursements\",\"zh\":\"退款\",\"ar\":\"المبالغ المستردة\",\"be\":\"Вяртанні кошту\",\"bg\":\"Възстановявания\",\"ca\":\"Reemborsaments\",\"et\":\"Tagastused\",\"nl\":\"Terugbetalingen\"}','refund-requests','{\"permission\":\"Modules\\\\Refund\\\\Http\\\\Controllers\\\\Vendor\\\\RefundController@index\",\"route_name\":[\"vendor.refund.index\"], \"menu_level\":\"3\"}',1,'fas fa-retweet',0,6.00000000,NULL,3,0,0,NULL,'2024-09-19 06:34:39'),(53,'{\"en\":\"Refunds\",\"bn\":\"ফেরৎ\",\"fr\":\"Remboursements\",\"zh\":\"退款\",\"ar\":\"المبالغ المستردة\",\"be\":\"Вяртанні кошту\",\"bg\":\"Възстановявания\",\"ca\":\"Reemborsaments\",\"et\":\"Tagastused\",\"nl\":\"Terugbetalingen\"}','refunds','{\"permission\":\"Modules\\\\Refund\\\\Http\\\\Controllers\\\\Site\\\\RefundController@index\",\"route_name\":[\"site.refundRequest\", \"site.createRefundRequest\", \"site.refundDetails\"], \"menu_level\":\"2\"}',1,'fas fa-backward',0,5.00000000,NULL,2,0,0,NULL,'2024-09-19 06:34:39'),(54,'{\"en\":\"Categories\",\"bn\":\"বিভাগ\",\"fr\":\"Catégories\",\"zh\":\"类别\",\"ar\":\"فئات\",\"be\":\"Катэгорыі\",\"bg\":\"Категории\",\"ca\":\"Categories\",\"et\":\"Kategooriad\",\"nl\":\"Categorieën\"}','blog/category/list','{\"permission\":\"Modules\\\\Blog\\\\Http\\\\Controllers\\\\BlogCategoryController@index\", \"route_name\":[\"blog.category.index\"], \"menu_level\":\"1\"}',1,NULL,56,25.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(55,'{\"en\":\"Add Post\",\"bn\":\"পোস্ট যোগ করুন\",\"fr\":\"Ajouter une publication\",\"zh\":\"添加帖子\",\"ar\":\"إضافة مشاركة\",\"be\":\"Дадаць паведамленне\",\"bg\":\"Добавяне на публикация\",\"ca\":\"Afegir publicació\",\"et\":\"Lisa postitus\",\"nl\":\"Bericht toevoegen\"}','blog/create','{\"permission\":\"Modules\\\\Blog\\\\Http\\\\Controllers\\\\BlogController@create\", \"route_name\":[\"blog.create\"], \"menu_level\":\"1\"}',1,NULL,56,23.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(56,'{\"en\":\"Blogs\",\"bn\":\"ব্লগ\",\"fr\":\"Blogs\",\"zh\":\"博客\",\"ar\":\"المدونات\",\"be\":\"Блогі\",\"bg\":\"Блогове\",\"ca\":\"Blogs\",\"et\":\"Blogid\",\"nl\":\"Blogs\"}',NULL,NULL,1,'fab fa-blogger-b',0,22.00000000,NULL,1,0,0,NULL,'2024-09-19 06:34:39'),(57,'{\"en\":\"Website Setup\",\"bn\":\"ওয়েবসাইট সেটআপ\",\"fr\":\"Configuration du site web\",\"zh\":\"网站设置\",\"ar\":\"إعداد الموقع الإلكتروني\",\"be\":\"Налада сайту\",\"bg\":\"Настройка на уебсайта\",\"ca\":\"Configuració del lloc web\",\"et\":\"Veebisaidi seadistamine\",\"nl\":\"Website-instellingen\"}',NULL,NULL,1,'fas fa-globe',0,39.00000000,NULL,1,0,0,NULL,'2024-09-19 06:34:39'),(58,'{\"en\":\"All Sliders\",\"bn\":\"সমস্ত স্লাইডার\",\"fr\":\"Tous les curseurs\",\"zh\":\"所有幻灯片\",\"ar\":\"جميع المنزلقات\",\"be\":\"Усе слайдеры\",\"bg\":\"Всички слайдшоу\",\"ca\":\"Tots els sliders\",\"et\":\"Kõik liugureid\",\"nl\":\"Alle sliders\"}','sliders','{\"permission\":\"Modules\\\\CMS\\\\Http\\\\Controllers\\\\SliderController@index\", \"route_name\":[\"slider.index\", \"slide.create\", \"slide.edit\"], \"menu_level\":\"1\"}',1,NULL,57,39.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(59,'{\"en\":\"All Posts\",\"bn\":\"সমস্ত পোস্ট\",\"fr\":\"Tous les articles\",\"zh\":\"所有帖子\",\"ar\":\"جميع المشاركات\",\"be\":\"Усе паведамленні\",\"bg\":\"Всички публикации\",\"ca\":\"Totes les publicacions\",\"et\":\"Kõik postitused\",\"nl\":\"Alle berichten\"}','blogs','{\"permission\":\"Modules\\\\Blog\\\\Http\\\\Controllers\\\\BlogController@index\", \"route_name\":[\"blog.index\", \"blog.edit\"], \"menu_level\":\"1\"}',1,NULL,56,24.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(60,'{\"en\":\"Pages\",\"bn\":\"পৃষ্ঠা\",\"fr\":\"Pages\",\"zh\":\"页面\",\"ar\":\"الصفحات\",\"be\":\"Старонкі\",\"bg\":\"Страници\",\"ca\":\"Pàgines\",\"et\":\"Leheküljed\",\"nl\":\"Pagina\'s\"}','page/list','{\"permission\":\"Modules\\\\CMS\\\\Http\\\\Controllers\\\\CMSController@index\", \"route_name\":[\"page.index\", \"page.create\", \"page.edit\"], \"menu_level\":\"1\"}',1,NULL,57,41.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(61,'{\"en\":\"Media Manager\",\"bn\":\"মিডিয়া ম্যানেজার\",\"fr\":\"Gestionnaire de médias\",\"zh\":\"媒体管理器\",\"ar\":\"مدير الوسائط\",\"be\":\"Медыя-менеджэр\",\"bg\":\"Медиен мениджър\",\"ca\":\"Gestor de mitjans\",\"et\":\"Meediumihaldur\",\"nl\":\"Media-manager\"}','uploaded-files','{\"permission\":\"Modules\\\\MediaManager\\\\Http\\\\Controllers\\\\MediaManagerController@uploadedFiles\", \"route_name\":[\"mediaManager.create\", \"mediaManager.upload\", \"mediaManager.uploadedFiles\", \"mediaManager.sortFiles\", \"mediaManager.paginateFiles\", \"mediaManager.download\", \"mediaManager.maxId\"], \"menu_level\":\"1\"}',1,'fas fa-folder-open',0,43.00000000,NULL,1,0,0,NULL,'2024-09-19 06:34:39'),(63,'{\"en\":\"Reports\",\"bn\":\"রিপোর্ট\",\"fr\":\"Rapports\",\"zh\":\"报告\",\"ar\":\"تقارير\",\"be\":\"Справаздачы\",\"bg\":\"Доклади\",\"ca\":\"Informes\",\"et\":\"Aruanded\",\"nl\":\"Rapporten\"}','reports','{\"permission\":\"Modules\\\\Report\\\\Http\\\\Controllers\\\\ReportController@index\", \"route_name\":[\"reports\"], \"menu_level\":\"1\"}',1,'fas fa-chart-bar',0,57.00000000,NULL,1,0,0,NULL,'2024-09-19 06:34:39'),(64,'{\"en\":\"All Popups\",\"bn\":\"সমস্ত পপআপ\",\"fr\":\"Tous les popups\",\"zh\":\"所有弹出窗口\",\"ar\":\"جميع النوافذ المنبثقة\",\"be\":\"Усе выплывальныя акно\",\"bg\":\"Всички изскачащи прозорци\",\"ca\":\"Tots els popups\",\"et\":\"Kõik hüpikaknad\",\"nl\":\"Alle pop-ups\"}','popups','{\"permission\":\"Modules\\\\Popup\\\\Http\\\\Controllers\\\\PopupController@index\", \"route_name\":[\"popup.index\", \"popup.show\", \"popup.store\", \"popup.edit\", \"popup.update\", \"popup.delete\"], \"menu_level\":\"1\"}',1,NULL,73,31.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(65,'{\"en\":\"Withdrawals\",\"bn\":\"উত্তোলন\",\"fr\":\"Retraits\",\"zh\":\"提款\",\"ar\":\"السحب\",\"be\":\"Вывядзенні\",\"bg\":\"Тегления\",\"ca\":\"Retirs\",\"et\":\"Väljamaksed\",\"nl\":\"Opnames\"}','withdrawals','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Vendor\\\\WithdrawalController@index\",\"route_name\":[\"vendorWithdrawal.index\", \"vendorWithdrawal.setting\", \"vendorWithdrawal.money\"]}',1,'far fa-credit-card',0,3.00000000,NULL,3,0,0,NULL,'2024-09-19 06:34:39'),(66,'{\"en\":\"Withdrawals\",\"bn\":\"উত্তোলন\",\"fr\":\"Retraits\",\"zh\":\"提款\",\"ar\":\"السحب\",\"be\":\"Вывядзенні\",\"bg\":\"Тегления\",\"ca\":\"Retirs\",\"et\":\"Väljamaksed\",\"nl\":\"Opnames\"}','withdrawals','{\"permission\":\"App\\\\Http\\\\Controllers\\\\WithdrawalController@index\", \"route_name\":[\"withdrawal.index\", \"withdrawal.edit\"], \"menu_level\":\"1\"}',1,NULL,30,21.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(67,'{\"en\":\"Forms\",\"bn\":\"ফর্ম\",\"fr\":\"Formulaires\",\"zh\":\"表单\",\"ar\":\"نماذج\",\"be\":\"Фармы\",\"bg\":\"Формуляри\",\"ca\":\"Formularis\",\"et\":\"Vormid\",\"nl\":\"Formulieren\"}',NULL,'{\"permission\":\"Modules\\\\FormBuilder\\\\Http\\\\Controllers\\\\FormController@index\",\"route_name\":[\"formbuilder::kyc.index\", \"formbuilder::kyc.edit\", \"formbuilder::kyc.sub-view\", \"formbuilder::submissions.all\",\"formbuilder::entry.index\",\"formbuilder::entry.edit\", \"formbuilder::entry.update\", \"formbuilder::entry.show\", \"formbuilder::forms.index\", \"formbuilder::forms.create\", \"formbuilder::forms.edit\"]}',0,'fas fa-window-restore',0,34.00000000,NULL,1,0,0,NULL,'2024-09-19 06:34:39'),(68,'{\"en\":\"All Forms\",\"bn\":\"সমস্ত ফর্ম\",\"fr\":\"Tous les formulaires\",\"zh\":\"所有表单\",\"ar\":\"جميع النماذج\",\"be\":\"Усе формы\",\"bg\":\"Всички форми\",\"ca\":\"Tots els formularis\",\"et\":\"Kõik vormid\",\"nl\":\"Alle formulieren\"}','forms','{\"permission\":\"Modules\\\\FormBuilder\\\\Http\\\\Controllers\\\\FormController@index\", \"route_name\":[\"formbuilder::forms.index\", \"formbuilder::forms.create\", \"formbuilder::forms.edit\"], \"menu_level\":\"1\"}',1,NULL,67,35.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(69,'{\"en\":\"All Submissions\",\"bn\":\"সমস্ত জমা\",\"fr\":\"Toutes les soumissions\",\"zh\":\"所有提交\",\"ar\":\"جميع الإرسالات\",\"be\":\"Усе дасылкі\",\"bg\":\"Всички подавания\",\"ca\":\"Totes les presentacions\",\"et\":\"Kõik esitused\",\"nl\":\"Alle inzendingen\"}','forms/submissions','{\"permission\":\"Modules\\\\FormBuilder\\\\Http\\\\Controllers\\\\SubmissionController@index\", \"route_name\":[\"formbuilder::submissions.all\",\"formbuilder::entry.index\",\"formbuilder::entry.edit\", \"formbuilder::entry.update\", \"formbuilder::entry.show\"], \"menu_level\":\"1\"}',1,NULL,67,36.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(70,'{\"en\":\"KYC\",\"bn\":\"আইডি প্রমাণিত করুন\",\"fr\":\"KYC\",\"zh\":\"KYC\",\"ar\":\"KYC\",\"be\":\"KYC\",\"bg\":\"KYC\",\"ca\":\"KYC\",\"et\":\"KYC\",\"nl\":\"KYC\"}','forms/kyc-form','{\"permission\":\"Modules\\\\FormBuilder\\\\Http\\\\Controllers\\\\KycController@index\", \"route_name\":[\"formbuilder::kyc.index\", \"formbuilder::kyc.edit\", \"formbuilder::kyc.sub-view\", \"formbuilder::kyc.sub-edit\"], \"menu_level\":\"1\"}',1,NULL,67,37.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(71,'{\"en\":\"KYC\",\"bn\":\"আইডি প্রমাণিত করুন\",\"fr\":\"KYC\",\"zh\":\"KYC\",\"ar\":\"KYC\",\"be\":\"KYC\",\"bg\":\"KYC\",\"ca\":\"KYC\",\"et\":\"KYC\",\"nl\":\"KYC\"}','kyc','{\"permission\":\"Modules\\\\FormBuilder\\\\Http\\\\Controllers\\\\Vendor\\\\KycController@userKycForm\", \"route_name\":[\"kyc.user.show\"], \"menu_level\":\"3\"}',1,'far fa-address-card',0,9.00000000,NULL,3,0,0,NULL,'2024-09-19 06:34:39'),(72,'{\"en\":\"Add Coupon\",\"bn\":\"কুপন যোগ করুন\",\"fr\":\"Ajouter un coupon\",\"zh\":\"添加优惠券\",\"ar\":\"إضافة كوبون\",\"be\":\"Дадаць купон\",\"bg\":\"Добавяне на купон\",\"ca\":\"Afegir un cupó\",\"et\":\"Lisa kupon\",\"nl\":\"Coupon toevoegen\"}','coupon/create','{\"permission\":\"Modules\\\\Coupon\\\\Http\\\\Controllers\\\\CouponController@create\",\"route_name\":[\"coupon.create\"]}',1,NULL,73,27.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(73,'{\"en\":\"Marketing\",\"bn\":\"মার্কেটিং\",\"fr\":\"Marketing\",\"zh\":\"营销\",\"ar\":\"تسويق\",\"be\":\"Маркетынг\",\"bg\":\"Маркетинг\",\"ca\":\"Màrqueting\",\"et\":\"Turundus\",\"nl\":\"Marketing\"}',NULL,NULL,0,'fas fa-bullhorn',0,26.00000000,NULL,1,0,0,NULL,'2024-09-19 06:34:39'),(75,'{\"en\":\"Coupons\",\"bn\":\"কুপন\",\"fr\":\"Coupons\",\"zh\":\"优惠券\",\"ar\":\"كوبونات\",\"be\":\"Купоны\",\"bg\":\"Купони\",\"ca\":\"Cupons\",\"et\":\"Kupongid\",\"nl\":\"Coupons\"}','coupons','{\"permission\":\"Modules\\\\Coupon\\\\Http\\\\Controllers\\\\Vendor\\\\CouponController@index\",\"route_name\":[\"vendor.coupons\", \"vendor.couponCreate\", \"vendor.couponEdit\", \"vendor.couponProduct\"]}',1,'fas fa-ticket-alt',0,4.00000000,NULL,3,0,0,NULL,'2024-09-19 06:34:39'),(76,'{\"en\":\"Products\",\"bn\":\"পণ্য\",\"fr\":\"Produits\",\"zh\":\"产品\",\"ar\":\"منتجات\",\"be\":\"Тавары\",\"bg\":\"Продукти\",\"ca\":\"Productes\",\"et\":\"Tooted\",\"nl\":\"Producten\"}','products','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Vendor\\\\ProductController@index\",\"route_name\":[\"vendor.products\",\"vendor.product.view\",\"vendor.product.related\",\"vendor.product.search\",\"vendor.product.update\",\"vendor.product.edit\", \"vendor.product.store\", \"vendor.product.create\", \"vendor.product.import\", \"vendor.itemCsv\", \"vendor.itemPdf\", \"vendor.itemDestroy\", \"vendor.items\"]}',1,'fas fa-cube',0,1.00000000,NULL,3,0,0,NULL,'2024-09-19 06:34:39'),(77,'{\"en\":\"Reviews\",\"bn\":\"পর্যালোচনা\",\"fr\":\"Avis\",\"zh\":\"评论\",\"ar\":\"التعليقات\",\"be\":\"Водгукі\",\"bg\":\"Отзиви\",\"ca\":\"Reseñas\",\"et\":\"Arvustused\",\"nl\":\"Beoordelingen\"}','reviews','{\"permission\":\"App\\\\Http\\\\Controllers\\\\ReviewController@index\",\"route_name\":[\"vendor.reviewCsv\",\"vendor.reviewPdf\",\"vendor.reviewDestroy\",\"vendor.reviewUpdate\",\"vendor.reviewView\", \"vendor.reviewEdit\", \"vendor.reviews\"]}',1,'fas fa-star',0,8.00000000,NULL,3,0,0,NULL,'2024-09-19 06:34:39'),(81,'{\"en\":\"Add Popup\",\"bn\":\"পপআপ যোগ করুন\",\"fr\":\"Ajouter un popup\",\"zh\":\"添加弹出窗口\",\"ar\":\"إضافة نافذة منبثقة\",\"be\":\"Дадаць выплывальнае акно\",\"bg\":\"Добавяне на изскачащ прозорец\",\"ca\":\"Afegir un popup\",\"et\":\"Lisa hüpikaken\",\"nl\":\"Pop-up toevoegen\"}','popup/create','{\"permission\":\"Modules\\\\Popup\\\\Http\\\\Controllers\\\\PopupController@create\", \"route_name\":[\"popup.create\"], \"menu_level\":\"1\"}',1,NULL,73,30.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(83,'{\"en\":\"Transactions\",\"bn\":\"লেনদেন\",\"fr\":\"Transactions\",\"zh\":\"交易\",\"ar\":\"المعاملات\",\"be\":\"Транзакцыі\",\"bg\":\"Транзакции\",\"ca\":\"Transaccions\",\"et\":\"Tehingud\",\"nl\":\"Transacties\"}','transactions','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Vendor\\\\VendorTransactionController@index\", \"route_name\":[\"vendorTransaction.index\", \"vendorTransaction.pdf\", \"vendorTransaction.csv\"], \"menu_lavel\":\"3\"}',1,'fas fa-exchange-alt',0,5.00000000,NULL,3,0,0,NULL,'2024-09-19 06:34:39'),(84,'{\"en\":\"All Subscribers\",\"bn\":\"সমস্ত গ্রাহক\",\"fr\":\"Tous les abonnés\",\"zh\":\"所有订阅者\",\"ar\":\"جميع المشتركين\",\"be\":\"Усе падпісчыкі\",\"bg\":\"Всички абонати\",\"ca\":\"Tots els subscriptors\",\"et\":\"Kõik tellijad\",\"nl\":\"Alle abonnees\"}','subscribers','{\"permission\":\"Modules\\\\Newsletter\\\\Http\\\\Controllers\\\\SubscriberController@index\",\"route_name\":[\"subscriber.index\",\"subscriber.edit\",\"subscriber.update\",\"subscriber.pdf\",\"subscriber.csv\"]}',1,NULL,73,32.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(87,'{\"en\":\"Taxes\",\"bn\":\"কর\",\"fr\":\"Taxes\",\"zh\":\"税收\",\"ar\":\"الضرائب\",\"be\":\"Падаткі\",\"bg\":\"Данъци\",\"ca\":\"Impostos\",\"et\":\"Maksud\",\"nl\":\"Belastingen\"}','taxes','{\"permission\":\"Modules\\\\Tax\\\\Http\\\\Controllers\\\\TaxClassController@index\",\"route_name\":[\"tax.index\"]}',1,NULL,31,53.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(88,'{\"en\":\"Be a seller\",\"bn\":\"একটি বিক্রেতা হন\",\"fr\":\"Devenir vendeur\",\"zh\":\"成为卖家\",\"ar\":\"كن بائعًا\",\"be\":\"Станьце продавцом\",\"bg\":\"Станете продавач\",\"ca\":\"Ser un venedor\",\"et\":\"Ole müüja\",\"nl\":\"Word een verkoper\"}','seller/request-form','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Site\\\\RegisteredSellerController@showRequestForm\", \"route_name\":[\"site.seller.request-form\"], \"menu_lavel\":\"2\"}',1,'fas fa-universal-access',0,7.00000000,NULL,2,0,0,NULL,'2024-09-19 06:34:39'),(90,'{\"en\":\"Support Tickets\",\"bn\":\"সমর্থন টিকেট\",\"fr\":\"Tickets de support\",\"zh\":\"支持票\",\"ar\":\"تذاكر الدعم\",\"be\":\"Квіткі падтрымкі\",\"bg\":\"Билети за поддръжка\",\"ca\":\"Tiquets de suport\",\"et\":\"Toetuse piletid\",\"nl\":\"Ondersteuningstickets\"}',NULL,NULL,1,'fas fa-ticket-alt',0,44.00000000,NULL,1,0,0,NULL,'2024-09-19 06:34:39'),(92,'{\"en\":\"Appearance\",\"bn\":\"চেহারা\",\"fr\":\"Apparence\",\"zh\":\"外观\",\"ar\":\"مظهر\",\"be\":\"Знешні выгляд\",\"bg\":\"Изглед\",\"ca\":\"Aparença\",\"et\":\"Välimus\",\"nl\":\"Uiterlijk\"}','theme/list','{\"permission\":\"Modules\\\\CMS\\\\Http\\\\Controllers\\\\ThemeOptionController@list\", \"route_name\":[\"theme.index\", \"theme.store\"], \"menu_level\":\"1\"}',1,NULL,57,42.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(93,'{\"en\":\"Home Pages\",\"bn\":\"হোম পেজ\",\"fr\":\"Pages d\'accueil\",\"zh\":\"主页\",\"ar\":\"الصفحات الرئيسية\",\"be\":\"Дамашнія старонкі\",\"bg\":\"Начални страници\",\"ca\":\"Pàgines d\'inici\",\"et\":\"Avalehed\",\"nl\":\"Startpagina\'s\"}','page/home/list','{\"permission\":\"Modules\\\\CMS\\\\Http\\\\Controllers\\\\CMSController@index\", \"route_name\":[\"page.home\", \"builder.edit\", \"page.home.create\", \"page.home.edit\"], \"menu_level\":\"1\"}',1,NULL,57,40.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(99,'{\"en\":\"Orders\",\"bn\":\"অর্ডার\",\"fr\":\"Commandes\",\"zh\":\"订单\",\"ar\":\"الطلبات\",\"be\":\"Замовы\",\"bg\":\"Поръчки\",\"ca\":\"Comandes\",\"et\":\"Tellimused\",\"nl\":\"Bestellingen\"}','order-setting','{\"permission\":\"App\\\\Http\\\\Controllers\\\\ProductSettingController@general\",\"route_name\":[\"order.setting.option\", \"orderStatues.index\"]}',1,NULL,31,51.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(100,'{\"en\":\"Accounts\",\"bn\":\"অ্যাকাউন্ট\",\"fr\":\"Comptes\",\"zh\":\"账户\",\"ar\":\"الحسابات\",\"be\":\"Рахункі\",\"bg\":\"Сметки\",\"ca\":\"Comptes\",\"et\":\"Kontod\",\"nl\":\"Accounts\"}       ','account-setting','{\"permission\":\"App\\\\Http\\\\Controllers\\\\AccountSettingController@index\",\"route_name\":[\"account.setting.option\", \"sso.index\", \"emailVerifySetting\", \"preferences.password\", \"permissionRoles.index\", \"roles.index\", \"roles.create\", \"roles.edit\"]}',1,NULL,31,54.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(101,'{\"en\":\"Emails\",\"bn\":\"ইমেইল\",\"fr\":\"Emails\",\"zh\":\"电子邮件\",\"ar\":\"البريد الإلكتروني\",\"be\":\"Электронная пошта\",\"bg\":\"Имейли\",\"ca\":\"Correus electrònics\",\"et\":\"E-kirjad\",\"nl\":\"E-mails\"}','email-setting','{\"permission\":\"App\\\\Http\\\\Controllers\\\\EmailConfigurationController@index\",\"route_name\":[\"emailConfigurations.index\", \"emailTemplates.index\", \"emailTemplates.create\", \"emailTemplates.edit\"]}',1,NULL,31,55.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(102,'{\"en\":\"Reports\",\"bn\":\"রিপোর্ট\",\"fr\":\"Rapports\",\"zh\":\"报告\",\"ar\":\"تقارير\",\"be\":\"Справаздачы\",\"bg\":\"Доклади\",\"ca\":\"Informes\",\"et\":\"Aruanded\",\"nl\":\"Rapporten\"}','reports','{\"permission\":\"Modules\\\\Report\\\\Http\\\\Controllers\\\\Vendor\\\\ReportController@index\", \"route_name\":[\"vendor.reports\"], \"menu_level\":\"3\"}',1,'fas fa-chart-bar',0,10.00000000,NULL,3,0,0,NULL,'2024-09-19 06:34:39'),(103,'{\"en\":\"Add Ticket\",\"bn\":\"টিকেট যোগ করুন\",\"fr\":\"Ajouter un ticket\",\"zh\":\"添加工单\",\"ar\":\"إضافة تذكرة\",\"be\":\"Дадаць квіток\",\"bg\":\"Добавяне на билет\",\"ca\":\"Afegir un tiquet\",\"et\":\"Lisa pilet\",\"nl\":\"Ticket toevoegen\"}','ticket/add','{\"permission\":\"Modules\\\\Ticket\\\\Http\\\\Controllers\\\\TicketController@add\", \"route_name\":[\"admin.threadAdd\"]}',1,NULL,90,45.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(104,'{\"en\":\"All Tickets\",\"bn\":\"সমস্ত টিকিট\",\"fr\":\"Tous les tickets\",\"zh\":\"所有工单\",\"ar\":\"جميع التذاكر\",\"be\":\"Усе квіткі\",\"bg\":\"Всички билети\",\"ca\":\"Tots els tiquets\",\"et\":\"Kõik piletid\",\"nl\":\"Alle tickets\"}','ticket/list','{\"permission\":\"Modules\\\\Ticket\\\\Http\\\\Controllers\\\\TicketController@index\", \"route_name\":[\"admin.tickets\", \"admin.threadReply\", \"admin.threadEdit\", \"admin.threadPdf\", \"admin.changePriority\"]}',1,NULL,90,46.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(105,'{\"en\":\"All Coupons\",\"bn\":\"সমস্ত কুপন\",\"fr\":\"Tous les coupons\",\"zh\":\"所有优惠券\",\"ar\":\"جميع الكوبونات\",\"be\":\"Усе купоны\",\"bg\":\"Всички купони\",\"ca\":\"Tots els cupons\",\"et\":\"Kõik kupongid\",\"nl\":\"Alle coupons\"}','coupons','{\"permission\":\"Modules\\\\Coupon\\\\Http\\\\Controllers\\\\CouponController@index\",\"route_name\":[\"coupon.index\",\"coupon.edit\",\"coupon.pdf\",\"coupon.csv\",\"coupon.shop\",\"coupon.item\"]}',1,NULL,73,28.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(106,'{\"en\":\"Coupon Redeems\",\"bn\":\"কুপন পুনঃপ্রাপ্ত\",\"fr\":\"Utilisations des coupons\",\"zh\":\"优惠券兑换\",\"ar\":\"استرداد الكوبون\",\"be\":\"Выкарыстанне купонаў\",\"bg\":\"Откупени купони\",\"ca\":\"Cupons redimits\",\"et\":\"Kupongi lunastused\",\"nl\":\"Couponinlossingen\"}','coupon-redeems','{\"permission\":\"Modules\\\\Coupon\\\\Http\\\\Controllers\\\\CouponRedeemController@index\",\"route_name\":[\"couponRedeem.index\"]}',1,NULL,73,29.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(111,'{\"en\":\"Download\",\"bn\":\"ডাউনলোড\",\"fr\":\"Télécharger\",\"zh\":\"下载\",\"ar\":\"تحميل\",\"be\":\"Спампаваць\",\"bg\":\"Изтегляне\",\"ca\":\"Descarregar\",\"et\":\"Laadi alla\",\"nl\":\"Downloaden\"}','downloads','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Site\\\\DownloadController@index\",\"route_name\":[\"site.download\"],\"menu_level\":\"2\"}',1,'fa fa-download',0,9.00000000,NULL,2,0,1,NULL,'2024-09-19 06:34:39'),(112,'{\"en\":\"Login Activities\",\"bn\":\"লগইন কার্যকলাপ\",\"fr\":\"Activités de connexion\",\"zh\":\"登录活动\",\"ar\":\"أنشطة تسجيل الدخول\",\"be\":\"Актыўнасць уваходу\",\"bg\":\"Дейности при влизане в системата\",\"ca\":\"Activitats d\'inici de sessió\",\"et\":\"Sisselogimiste tegevused\",\"nl\":\"Loginactiviteiten\"}','user/activity','{\"permission\":\"App\\\\Http\\\\Controllers\\\\UserController@index\",\"route_name\":[\"users.activity\"]}',1,NULL,27,5.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(114,'{\"en\":\"Home\",\"bn\":\"হোম\",\"fr\":\"Accueil\",\"zh\":\"首页 (Shǒuyè)\",\"ar\":\"الرئيسية (Ar-raʾīsīyah)\",\"be\":\"Галоўная (Haloŭnaya)\",\"bg\":\"Начало (Nachalo)\",\"ca\":\"Inici\",\"et\":\"Avaleht\",\"nl\":\"Home\"}','#','{\"permission\":\"no-prefix\"}',0,NULL,0,0.00000000,NULL,4,0,1,NULL,'2024-09-19 06:34:39'),(115,'{\"en\":\"Home 1\",\"bn\":\"হোম 1\",\"fr\":\"Accueil 1\",\"zh\":\"主页 1\",\"ar\":\"الصفحة الرئيسية 1\",\"be\":\"Галоўная 1\",\"bg\":\"Начало 1\",\"ca\":\"Inici 1\",\"et\":\"Kodu 1\",\"nl\":\"Home 1\"}','page/home-1','{\"permission\":\"no-prefix\"}',0,NULL,114,1.00000000,NULL,4,1,1,NULL,'2024-09-19 06:34:39'),(116,'{\"en\":\"Home 2\",\"bn\":\"হোম 2\",\"fr\":\"Accueil 2\",\"zh\":\"主页 2\",\"ar\":\"الصفحة الرئيسية 2\",\"be\":\"Галоўная 2\",\"bg\":\"Начало 2\",\"ca\":\"Inici 2\",\"et\":\"Kodu 2\",\"nl\":\"Home 2\"}','page/home-2','{\"permission\":\"no-prefix\"}',0,NULL,114,2.00000000,NULL,4,1,1,NULL,'2024-09-19 06:34:39'),(117,'{\"en\":\"Home 3\",\"bn\":\"হোম 3\",\"fr\":\"Accueil 3\",\"zh\":\"主页 3\",\"ar\":\"الصفحة الرئيسية 3\",\"be\":\"Галоўная 3\",\"bg\":\"Начало 3\",\"ca\":\"Inici 3\",\"et\":\"Kodu 3\",\"nl\":\"Home 3\"}','page/home-3','{\"permission\":\"no-prefix\"}',0,NULL,114,3.00000000,NULL,4,1,1,NULL,'2024-09-19 06:34:39'),(118,'{\"en\":\"Home 4\",\"bn\":\"হোম 4\",\"fr\":\"Accueil 4\",\"zh\":\"主页 4\",\"ar\":\"الصفحة الرئيسية 4\",\"be\":\"Галоўная 4\",\"bg\":\"Начало 4\",\"ca\":\"Inici 4\",\"et\":\"Kodu 4\",\"nl\":\"Home 4\"}','page/home-4','{\"permission\":\"no-prefix\"}',0,NULL,114,4.00000000,NULL,4,1,1,NULL,'2024-09-19 06:34:39'),(119,'{\"en\":\"Shop\",\"bn\":\"দোকান\",\"fr\":\"Boutique\",\"zh\":\"商店\",\"ar\":\"متجر\",\"be\":\"Магазін\",\"bg\":\"Магазин\",\"ca\":\"Botiga\",\"et\":\"Pood\",\"nl\":\"Winkel\"}','search-products?categories=&keyword=&brands=&attributes=&price_range=&rating=&sort_by=Price%20Low%20to%20High','{\"permission\":\"no-prefix\"}',0,NULL,0,10.00000000,NULL,4,0,0,NULL,'2024-09-19 06:34:39'),(120,'{\"en\":\"Coupon\",\"bn\":\"কুপন\",\"fr\":\"Coupon\",\"zh\":\"优惠券\",\"ar\":\"كوبون\",\"be\":\"Купон\",\"bg\":\"Купон\",\"ca\":\"Cupó\",\"et\":\"Kupong\",\"nl\":\"Coupon\"}','coupon','{\"permission\":\"no-prefix\"}',0,NULL,0,11.00000000,NULL,4,0,0,NULL,'2024-09-19 06:34:39'),(121,'{\"en\":\"Blogs\",\"bn\":\"ব্লগ\",\"fr\":\"Blogs\",\"zh\":\"博客\",\"ar\":\"المدونات\",\"be\":\"Блогі\",\"bg\":\"Блогове\",\"ca\":\"Blogs\",\"et\":\"Blogid\",\"nl\":\"Blogs\"}','blogs','{\"permission\":\"no-prefix\"}',0,NULL,0,12.00000000,NULL,4,0,0,NULL,'2024-09-19 06:34:39'),(122,'{\"en\":\"Pages\",\"bn\":\"পৃষ্ঠা\",\"fr\":\"Pages\",\"zh\":\"页面\",\"ar\":\"الصفحات\",\"be\":\"Старонкі\",\"bg\":\"Страници\",\"ca\":\"Pàgines\",\"et\":\"Leheküljed\",\"nl\":\"Pagina\'s\"}','#pages','{\"permission\":\"no-prefix\"}',0,NULL,0,13.00000000,NULL,4,0,0,NULL,'2024-09-19 06:34:39'),(123,' {\"en\":\"About Us\",\"bn\":\"আমাদের সম্পর্কে\",\"fr\":\"À propos de nous\",\"zh\":\"关于我们\",\"ar\":\"معلومات عنا\",\"be\":\"Пра нас\",\"bg\":\"За нас\",\"ca\":\"Sobre nosaltres\",\"et\":\"Meist\",\"nl\":\"Over ons\"}','page/about-us',NULL,0,NULL,122,14.00000000,NULL,4,1,0,NULL,'2024-09-19 06:34:39'),(124,'{\"en\":\"Contact Us\",\"bn\":\"যোগাযোগ করুন\",\"fr\":\"Contactez-nous\",\"zh\":\"联系我们\",\"ar\":\"اتصل بنا\",\"be\":\"Кантактная інфармацыя\",\"bg\":\"Свържете се с нас\",\"ca\":\"Contacta amb nosaltres\",\"et\":\"Võta meiega ühendust\",\"nl\":\"Neem contact met ons op\"}','page/contact-us',NULL,0,NULL,122,15.00000000,NULL,4,1,0,NULL,'2024-09-19 06:34:39'),(125,'{\"en\":\"Home 5\",\"bn\":\"হোম 5\",\"fr\":\"Accueil 5\",\"zh\":\"主页 5\",\"ar\":\"الصفحة الرئيسية 5\",\"be\":\"Галоўная 5\",\"bg\":\"Начало 5\",\"ca\":\"Inici 5\",\"et\":\"Kodu 5\",\"nl\":\"Home 5\"}','page/home-5','{\"permission\":\"no-prefix\"}',0,NULL,114,5.00000000,NULL,4,1,1,NULL,'2024-09-19 06:34:39'),(126,'{\"en\":\"Home 6\",\"bn\":\"হোম 6\",\"fr\":\"Accueil 6\",\"zh\":\"主页 6\",\"ar\":\"الصفحة الرئيسية 6\",\"be\":\"Галоўная 6\",\"bg\":\"Начало 6\",\"ca\":\"Inici 6\",\"et\":\"Kodu 6\",\"nl\":\"Home 6\"}','page/home-6','{\"permission\":\"no-prefix\"}',0,NULL,114,6.00000000,NULL,4,1,1,NULL,'2024-09-19 06:34:39'),(127,'{\"en\":\"Home 7\",\"bn\":\"হোম 7\",\"fr\":\"Accueil 7\",\"zh\":\"主页 7\",\"ar\":\"الصفحة الرئيسية 7\",\"be\":\"Галоўная 7\",\"bg\":\"Начало 7\",\"ca\":\"Inici 7\",\"et\":\"Kodu 7\",\"nl\":\"Home 7\"}','page/home-7','{\"permission\":\"no-prefix\"}',0,NULL,114,7.00000000,NULL,4,1,1,NULL,'2024-09-19 06:34:39'),(128,'{\"en\":\"Home 8\",\"bn\":\"হোম 8\",\"fr\":\"Accueil 8\",\"zh\":\"主页 8\",\"ar\":\"الصفحة الرئيسية 8\",\"be\":\"Галоўная 8\",\"bg\":\"Начало 8\",\"ca\":\"Inici 8\",\"et\":\"Kodu 8\",\"nl\":\"Home 8\"}','page/home-8','{\"permission\":\"no-prefix\"}',0,NULL,114,8.00000000,NULL,4,1,1,NULL,'2024-09-19 06:34:39'),(129,'{\"en\":\"Home 9\",\"bn\":\"হোম 9\",\"fr\":\"Accueil 9\",\"zh\":\"主页 9\",\"ar\":\"الصفحة الرئيسية 9\",\"be\":\"Галоўная 9\",\"bg\":\"Начало 9\",\"ca\":\"Inici 9\",\"et\":\"Kodu 9\",\"nl\":\"Home 9\"}','page/home-9','{\"permission\":\"no-prefix\"}',0,NULL,114,9.00000000,NULL,4,1,1,NULL,'2024-09-19 06:34:39'),(130,'{\"en\":\"Tickets\",\"bn\":\"টিকিট\",\"fr\":\"Tickets\",\"zh\":\"票\",\"ar\":\"تذاكر\",\"be\":\"Квіткі\",\"bg\":\"Билети\",\"ca\":\"Tiquets\",\"et\":\"Piletid\",\"nl\":\"Tickets\"}','ticket/list','{\"permission\":\"Modules\\\\Ticket\\\\Http\\\\Controllers\\\\Vendor\\\\TicketController@index\", \"route_name\":[\"vendor.threads\", \"vendor.threadAdd\", \"vendor.threadReply\", \"vendor.threadPdf\", \"vendor.threadCsv\"]}',1,'fas fa-ticket-alt',0,11.00000000,NULL,3,0,0,NULL,'2024-09-19 06:34:39'),(131,'{\"en\":\"Import Products\",\"bn\":\"পণ্য আমদানি করুন\",\"fr\":\"Importer des produits\",\"zh\":\"导入产品\",\"ar\":\"استيراد المنتجات\",\"be\":\"Імпартаваць прадукцыю\",\"bg\":\"Импортиране на продукти\",\"ca\":\"Importar productes\",\"et\":\"Impordi tooteid\",\"nl\":\"Producten importeren\"}','import/products','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Vendor\\\\ImportController@productImport\", \"route_name\":[\"vendor.epz.import.products\"], \"menu_level\":\"3\"}',1,'fas fa-download',0,7.00000000,NULL,3,0,0,NULL,'2024-09-19 06:34:39'),(132,'{\"en\":\"Tools\",\"bn\":\"সরঞ্জাম\",\"fr\":\"Outils\",\"zh\":\"工具\",\"ar\":\"أدوات\",\"be\":\"Інструменты\",\"bg\":\"Инструменти\",\"ca\":\"Eines\",\"et\":\"Tööriistad\",\"nl\":\"Gereedschap\"}',NULL,NULL,1,'fas fa-cogs',0,47.00000000,NULL,1,0,0,NULL,'2024-09-19 06:34:39'),(133,'{\"en\":\"System Info\",\"bn\":\"সিস্টেম তথ্য\",\"fr\":\"Informations système\",\"zh\":\"系统信息\",\"ar\":\"معلومات النظام\",\"be\":\"Сістэмная інфармацыя\",\"bg\":\"Системна информация\",\"ca\":\"Informació del sistema\",\"et\":\"Süsteemiinfo\",\"nl\":\"Systeeminformatie\"}','system-info','{\"permission\":\"App\\\\Http\\\\Controllers\\\\SystemInfoController@index\", \"route_name\":[\"systemInfo.index\"], \"menu_level\":\"2\"}',1,NULL,31,59.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(134,'{\"en\":\"Export Products\",\"bn\":\"পণ্য রফতানি করুন\",\"fr\":\"Exporter des produits\",\"zh\":\"导出产品\",\"ar\":\"تصدير المنتجات\",\"be\":\"Экспарт прадукцыі\",\"bg\":\"Изнасяне на продукти\",\"ca\":\"Exportar productes\",\"et\":\"Eksportige tooteid\",\"nl\":\"Producten exporteren\"}','export/products','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Vendor\\\\ExportController@productExport\", \"route_name\":[\"vendor.epz.export.products\"], \"menu_level\":\"3\"}',1,'fas fa-download',0,6.00000000,NULL,3,1,0,NULL,'2024-09-19 06:34:39'),(135,'{\"en\":\"Import\",\"bn\":\"আমদানি\",\"fr\":\"Importer\",\"zh\":\"导入\",\"ar\":\"استيراد\",\"be\":\"Імпарт\",\"bg\":\"Импорт\",\"ca\":\"Importació\",\"et\":\"Import\",\"nl\":\"Importeren\"}','imports','{\"permission\":\"App\\\\Http\\\\Controllers\\\\ImportController@index\", \"route_name\":[\"epz.import.products\", \"epz.imports\", \"epz.import.users\", \"import.dummy\", \"geolocale.import\"]}',1,NULL,132,48.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(136,'{\"en\":\"Export\",\"bn\":\"রফতানি\",\"fr\":\"Exporter\",\"zh\":\"出口\",\"ar\":\"تصدير\",\"be\":\"Экспарт\",\"bg\":\"Изнасяне\",\"ca\":\"Exportació\",\"et\":\"Eksport\",\"nl\":\"Exporteren\"}','exports','{\"permission\":\"App\\\\Http\\\\Controllers\\\\ExportController@index\", \"route_name\":[\"epz.export.products\", \"epz.exports\"]}',1,NULL,132,49.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(142,'{\"en\":\"System Update\",\"bn\":\"সিস্টেম আপডেট\",\"fr\":\"Mise à jour du système\",\"zh\":\"系统更新\",\"ar\":\"تحديث النظام\",\"be\":\"Абнаўленне сістэмы\",\"bg\":\"Актуализиране на системата\",\"ca\":\"Actualització del sistema\",\"et\":\"Süsteemi uuendus\",\"nl\":\"Systeemupdate\"}','system-update','{\"permission\":\"Modules\\\\Upgrater\\\\Http\\\\Controllers\\\\SystemUpdateController@upgrade\", \"route_name\":[\"systemUpdate.upgrade\", \"version.check\"], \"menu_level\":\"2\"}',1,NULL,31,60.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(143,'{\"en\":\"All Categories\",\"bn\":\"সব বিভাগ\",\"fr\":\"Toutes les catégories\",\"zh\":\"所有类别\",\"ar\":\"جميع الفئات\",\"be\":\"Усе катэгорыі\",\"bg\":\"Всички категории\",\"ca\":\"Totes les categories\",\"et\":\"Kõik kategooriad\",\"nl\":\"Alle categorieën\"}','categories',NULL,0,NULL,122,16.00000000,NULL,4,1,0,NULL,'2024-09-19 06:34:39'),(144,'{\"en\":\"Customers\",\"bn\":\"গ্রাহকদের\",\"fr\":\"Clients\",\"zh\":\"客户\",\"ar\":\"العملاء\",\"be\":\"Кліенты\",\"bg\":\"Клиенти\",\"ca\":\"Clients\",\"et\":\"Kliendid\",\"nl\":\"Klanten\"}','customer','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Vendor\\\\CustomerController@index\", \"route_name\":[\"vendor.customer\"], \"menu_level\":\"3\"}',1,'fas fa-users',0,3.00000000,NULL,3,0,0,NULL,'2024-09-19 06:34:39'),(145,'{\"en\":\"Decorate Shop\",\"bn\":\"দোকান সাজানো\",\"fr\":\"Décorer le magasin\",\"zh\":\"装饰店铺\",\"ar\":\"تزيين المتجر\",\"be\":\"Імпартаваць прадукцыю\",\"bg\":\"Украсяване на магазина\",\"ca\":\"Decorar botiga\",\"et\":\"Kaupluse kaunistamine\",\"nl\":\"Winkel versieren\"}','homes','{\"permission\":\"Modules\\\\CMS\\\\Http\\\\Controllers\\\\Vendor\\\\HomeController@index\", \"route_name\":[\"vendor.home\", \"vendor.home.edit\", \"vendor.home.create\", \"vendor.builder.edit\"], \"menu_level\":\"3\"}',1,'fas fa-building',0,5.00000000,NULL,3,0,0,NULL,'2024-09-19 06:34:39'),(146,'{\"en\":\"Barcode\",\"bn\":\"বারকোড\",\"fr\":\"Code-barres\",\"zh\":\"条码\",\"ar\":\"الباركود\",\"be\":\"Штрых-код\",\"bg\":\"Баркод\",\"ca\":\"Codi de barres\",\"et\":\"Vöötkood\",\"nl\":\"Barcode\"}',NULL,NULL,1,'fas fa-barcode',0,8.00000000,NULL,1,0,0,NULL,'2024-09-19 06:34:39'),(147,'{\"en\":\"Product\",\"bn\":\"পণ্য\",\"fr\":\"Produit\",\"zh\":\"产品\",\"ar\":\"المنتج\",\"be\":\"Прадукт\",\"bg\":\"Продукт\",\"ca\":\"Producte\",\"et\":\"Toode\",\"nl\":\"Product\"}','barcode/product','{\"permission\":\"App\\\\Http\\\\Controllers\\\\BarcodeController@product\",\"route_name\":[\"barcode.product\"]}',1,NULL,146,1.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(148,'{\"en\":\"Settings\",\"bn\":\"সেটিংস\",\"fr\":\"Paramètres\",\"zh\":\"设置\",\"ar\":\"الإعدادات\",\"be\":\"Налады\",\"bg\":\"Настройки\",\"ca\":\"Configuració\",\"et\":\"Sätted\",\"nl\":\"Instellingen\"}','barcode/settings','{\"permission\":\"App\\\\Http\\\\Controllers\\\\BarcodeController@settings\",\"route_name\":[\"barcode.settings\"]}',1,NULL,146,2.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(149,'{\"en\":\"Barcode\",\"bn\":\"বারকোড\",\"fr\":\"Code-barres\",\"zh\":\"条码\",\"ar\":\"الباركود\",\"be\":\"Штрых-код\",\"bg\":\"Баркод\",\"ca\":\"Codi de barres\",\"et\":\"Vöötkood\",\"nl\":\"Barcode\"}','barcode/product','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Vendor\\\\BarcodeController@product\",\"route_name\":[\"vendor.barcode.product\"]}',1,'fas fa-barcode',0,2.00000000,NULL,3,0,0,NULL,'2024-09-19 06:34:39'),(150,'{\"en\":\"Categories\",\"bn\":\"বিভাগ\",\"fr\":\"Catégories\",\"zh\":\"类别\",\"ar\":\"فئات\",\"be\":\"Катэгорыі\",\"bg\":\"Категории\",\"ca\":\"Categories\",\"et\":\"Kategooriad\",\"nl\":\"Categorieën\"}','all-categories','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Vendor\\\\CategoryController@index\",\"route_name\":[\"vendor.categories.index\"], \"menu_level\":\"3\"}',1,'fas fa-align-left',0,3.00000000,NULL,3,0,0,NULL,'2024-09-19 06:34:39'),(151,'{\"en\":\"Sms\",\"bn\":\"এসএমএস\",\"fr\":\"SMS\",\"zh\":\"短信\",\"ar\":\"رسالة نصية قصيرة\",\"be\":\"СМС\",\"bg\":\"СМС\",\"ca\":\"Missatges de text\",\"et\":\"SMS\",\"nl\":\"Sms\"}','sms/configs','{\"permission\":\"App\\\\Http\\\\Controllers\\\\SmsConfigurationController@index\", \"route_name\":[\"sms.config.index\", \"sms.template.index\", \"sms.template.edit\", \"sms.config.twilio.index\", \"sms.config.nexmo.index\", \"sms.config.fast2sms.index\", \"sms.config.sslwireless.index\", \"sms.config.mim_sms.index\", \"sms.config.msegat.index\", \"sms.config.sparrow.index\", \"sms.config.zender.index\"], \"menu_level\":\"1\"}',1,NULL,31,56.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(152,'{\"en\":\"Notification Log\",\"bn\":\"বিজ্ঞপ্তি লগ\",\"fr\":\"Journal des notifications\",\"zh\":\"通知日志\",\"ar\":\"سجل الإشعارات\",\"be\":\"Журнал апавяшчэнняў\",\"bg\":\"Дневник за известия\",\"ca\":\"Registre de notificacions\",\"et\":\"Teavituste logi\",\"nl\":\"Meldingslogboek\"}','notifications/log','{\"permission\":\"App\\\\Http\\\\Controllers\\\\NotificationController@log\", \"route_name\":[\"notifications.log\"], \"menu_level\":\"1\"}',1,NULL,132,134.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(153,'{\"en\":\"Custom Fields\",\"bn\":\"কাস্টম ফিল্ডস\",\"fr\":\"Champs personnalisés\",\"zh\":\"自定义字段\",\"ar\":\"حقول مخصصة\",\"be\":\"Карыстальніцкія палі\",\"bg\":\"Персонализирани полета\",\"ca\":\"Camps personalitzats\",\"et\":\"Kohandatud väljad\",\"nl\":\"Aangepaste velden\"}','custom-fields','{\"permission\":\"App\\\\Http\\\\Controllers\\\\CustomFieldController@index\", \"route_name\":[\"custom_fields.index\", \"custom_fields.create\", \"custom_fields.edit\"], \"menu_level\":\"1\"}',1,NULL,31,57.00000000,NULL,1,1,0,NULL,NULL),(154,'{\"en\":\"Themes\",\"bn\":\"থিমস\",\"fr\":\"Thèmes\",\"zh\":\"主题\",\"ar\":\"ثيمات\",\"be\":\"Тэмы\",\"bg\":\"Теми\",\"ca\":\"Temes\",\"et\":\"Teemad\",\"nl\":\"Thema\'s\"}','themes','{\"permission\":\"App\\\\Http\\\\Controllers\\\\ThemeController@index\",\"route_name\":[\"themes.index\"]}',1,NULL,57,48.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:33'),(155,'{ \"en\": \"Currencies\", \"bn\": \"মুদ্রা\", \"fr\": \"Devises\", \"zh\": \"货币\", \"ar\": \"العملات\", \"be\": \"Валюты\", \"bg\": \"Валути\", \"ca\": \"Monedes\", \"et\": \"Valuutad\", \"nl\": \"Valuta\'s\" }','settings/currency','{\"permission\":\"App\\\\Http\\\\Controllers\\\\CurrencySettingsController@index\",\"route_name\":[\"settings.currency.index\"]}',1,NULL,31,52.00000000,NULL,1,1,0,NULL,NULL),(156,'{\"en\":\"Inventory\",\"bn\":\"মজুদ\",\"fr\":\"Inventaire\",\"zh\":\"库存\",\"ar\":\"المخزون\",\"be\":\"Сток\",\"bg\":\"Наличност\",\"ca\":\"Inventari\",\"et\":\"Varu\",\"nl\":\"Voorraad\"}',NULL,'',0,'fas fa-table',0,7.00000000,NULL,1,0,0,NULL,'2024-09-19 06:34:39'),(157,'{\"en\":\"Location\",\"bn\":\"অবস্থান\",\"fr\":\"Emplacement\",\"zh\":\"位置\",\"ar\":\"الموقع\",\"be\":\"Месцазнаходжанне\",\"bg\":\"Местоположение\",\"ca\":\"Ubicació\",\"et\":\"Asukoht\",\"nl\":\"Locatie\"}','inventory/location','{\"permission\":\"Modules\\\\Inventory\\\\Http\\\\Controllers\\\\LocationController@index\",\"route_name\":[\"location.index\", \"location.edit\", \"location.create\", \"location.store\", \"location.update\", \"location.destroy\"]}',1,NULL,156,1.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(158,'{\"en\":\"Supplier\",\"bn\":\"সরবরাহকারী\",\"fr\":\"Fournisseur\",\"zh\":\"供应商\",\"ar\":\"المورد\",\"be\":\"Пастаўшчык\",\"bg\":\"Доставчик\",\"ca\":\"Proveïdor\",\"et\":\"Tarnija\",\"nl\":\"Leverancier\"}','inventory/supplier','{\"permission\":\"Modules\\\\Inventory\\\\Http\\\\Controllers\\\\SupplierController@index\",\"route_name\":[\"supplier.index\", \"supplier.edit\", \"supplier.create\", \"supplier.store\", \"supplier.update\", \"supplier.destroy\"]}',1,NULL,156,2.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(159,'{\"en\":\"Transaction\",\"bn\":\"লেনদেন\",\"fr\":\"Transaction\",\"zh\":\"交易\",\"ar\":\"المعاملة\",\"be\":\"Трансакцыя\",\"bg\":\"Транзакция\",\"ca\":\"Transacció\",\"et\":\"Tehing\",\"nl\":\"Transactie\"}','inventory/transaction','{\"permission\":\"Modules\\\\Inventory\\\\Http\\\\Controllers\\\\InventoryController@transaction\",\"route_name\":[\"inventory.transaction\"]}',1,NULL,156,7.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(160,'{\"en\":\"Purchase Order\",\"bn\":\"ক্রয় আদেশ\",\"fr\":\"Bon de commande\",\"zh\":\"采购订单\",\"ar\":\"طلب الشراء\",\"be\":\"Заказ\",\"bg\":\"Поръчка\",\"ca\":\"Ordre de compra\",\"et\":\"Tellimus\",\"nl\":\"Aankooporder\"}','inventory/purchase-order','{\"permission\":\"Modules\\\\Inventory\\\\Http\\\\Controllers\\\\PurchaseController@index\",\"route_name\":[\"purchase.index\", \"purchase.edit\", \"purchase.create\", \"purchase.store\", \"purchase.update\", \"purchase.destroy\", \"purchase.receive\"]}',1,NULL,156,4.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(161,'{\"en\":\"Stock\",\"bn\":\"স্টক\",\"fr\":\"Stock\",\"zh\":\"股票\",\"ar\":\"المخزون\",\"be\":\"Запас\",\"bg\":\"Акции\",\"ca\":\"Estoc\",\"et\":\"Aksiad\",\"nl\":\"Voorraad\"}','inventory','{\"permission\":\"Modules\\\\Inventory\\\\Http\\\\Controllers\\\\InventoryController@index\",\"route_name\":[\"inventory.index\", \"inventory.adjust\"]}',1,NULL,156,5.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(162,'{\"en\":\"Transfer\",\"bn\":\"স্থানান্তর\",\"fr\":\"Transfert\",\"zh\":\"转账\",\"ar\":\"تحويل\",\"be\":\"Перанос\",\"bg\":\"Трансфер\",\"ca\":\"Transferència\",\"et\":\"Ülekanne\",\"nl\":\"Overdracht\"}','inventory/transfer','{\"permission\":\"Modules\\\\Inventory\\\\Http\\\\Controllers\\\\TransferController@transfer\",\"route_name\":[\"transfer.index\", \"transfer.create\", \"transfer.edit\", \"transfer.receive\"]}',1,NULL,156,6.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(163,'{\"en\":\"Settings\",\"bn\":\"সেটিংস\",\"fr\":\"Paramètres\",\"zh\":\"设置\",\"ar\":\"الإعدادات\",\"be\":\"Налады\",\"bg\":\"Настройки\",\"ca\":\"Configuració\",\"et\":\"Sätted\",\"nl\":\"Instellingen\"}','inventory/settings','{\"permission\":\"Modules\\\\Inventory\\\\Http\\\\Controllers\\\\InventoryController@settings\",\"route_name\":[\"inventory.settings\"]}',1,NULL,156,8.00000000,NULL,1,1,0,NULL,'2024-09-19 06:34:39'),(164,'{\"en\":\"Inventory\",\"bn\":\"মজুদ\",\"fr\":\"Inventaire\",\"zh\":\"库存\",\"ar\":\"المخزون\",\"be\":\"Сток\",\"bg\":\"Наличност\",\"ca\":\"Inventari\",\"et\":\"Varu\",\"nl\":\"Voorraad\"}',NULL,'',0,'fas fa-table',0,2.00000000,NULL,3,0,0,NULL,'2024-09-19 06:34:39'),(165,'{\"en\":\"Location\",\"bn\":\"অবস্থান\",\"fr\":\"Emplacement\",\"zh\":\"位置\",\"ar\":\"الموقع\",\"be\":\"Месцазнаходжанне\",\"bg\":\"Местоположение\",\"ca\":\"Ubicació\",\"et\":\"Asukoht\",\"nl\":\"Locatie\"}','inventory/location','{\"permission\":\"Modules\\\\Inventory\\\\Http\\\\Controllers\\\\Vendor\\\\LocationController@index\",\"route_name\":[\"vendor.location.index\", \"vendor.location.edit\", \"vendor.location.create\", \"vendor.location.store\", \"vendor.location.update\", \"vendor.location.destroy\"]}',1,NULL,164,2.00000000,NULL,3,1,0,NULL,'2024-09-19 06:34:39'),(166,'{\"en\":\"Supplier\",\"bn\":\"সরবরাহকারী\",\"fr\":\"Fournisseur\",\"zh\":\"供应商\",\"ar\":\"المورد\",\"be\":\"Пастаўшчык\",\"bg\":\"Доставчик\",\"ca\":\"Proveïdor\",\"et\":\"Tarnija\",\"nl\":\"Leverancier\"}','inventory/supplier','{\"permission\":\"Modules\\\\Inventory\\\\Http\\\\Controllers\\\\Vendor\\\\SupplierController@index\",\"route_name\":[\"vendor.supplier.index\", \"vendor.supplier.edit\", \"vendor.supplier.create\", \"vendor.supplier.store\", \"vendor.supplier.update\", \"vendor.supplier.destroy\"]}',1,NULL,164,2.00000000,NULL,3,1,0,NULL,'2024-09-19 06:34:39'),(167,'{\"en\":\"Transaction\",\"bn\":\"লেনদেন\",\"fr\":\"Transaction\",\"zh\":\"交易\",\"ar\":\"المعاملة\",\"be\":\"Трансакцыя\",\"bg\":\"Транзакция\",\"ca\":\"Transacció\",\"et\":\"Tehing\",\"nl\":\"Transactie\"}','inventory/transaction','{\"permission\":\"Modules\\\\Inventory\\\\Http\\\\Controllers\\\\Vendor\\\\InventoryController@transaction\",\"route_name\":[\"vendor.inventory.transaction\"]}',1,NULL,164,7.00000000,NULL,3,1,0,NULL,'2024-09-19 06:34:39'),(168,'{\"en\":\"Purchase Order\",\"bn\":\"ক্রয় আদেশ\",\"fr\":\"Bon de commande\",\"zh\":\"采购订单\",\"ar\":\"طلب الشراء\",\"be\":\"Заказ\",\"bg\":\"Поръчка\",\"ca\":\"Ordre de compra\",\"et\":\"Tellimus\",\"nl\":\"Aankooporder\"}','inventory/purchase-order','{\"permission\":\"Modules\\\\Inventory\\\\Http\\\\Controllers\\\\Vendor\\\\PurchaseController@index\",\"route_name\":[\"vendor.purchase.index\", \"vendor.purchase.edit\", \"vendor.purchase.create\", \"vendor.purchase.store\", \"vendor.purchase.update\", \"vendor.purchase.destroy\", \"vendor.purchase.receive\"]}',1,NULL,164,4.00000000,NULL,3,1,0,NULL,'2024-09-19 06:34:39'),(169,'{\"en\":\"Stock\",\"bn\":\"স্টক\",\"fr\":\"Stock\",\"zh\":\"股票\",\"ar\":\"المخزون\",\"be\":\"Запас\",\"bg\":\"Акции\",\"ca\":\"Estoc\",\"et\":\"Aksiad\",\"nl\":\"Voorraad\"}','inventory','{\"permission\":\"Modules\\\\Inventory\\\\Http\\\\Controllers\\\\Vendor\\\\InventoryController@index\",\"route_name\":[\"vendor.inventory.index\", \"vendor.inventory.adjust\"]}',1,NULL,164,5.00000000,NULL,3,1,0,NULL,'2024-09-19 06:34:39'),(170,'{\"en\":\"Transfer\",\"bn\":\"স্থানান্তর\",\"fr\":\"Transfert\",\"zh\":\"转账\",\"ar\":\"تحويل\",\"be\":\"Перанос\",\"bg\":\"Трансфер\",\"ca\":\"Transferència\",\"et\":\"Ülekanne\",\"nl\":\"Overdracht\"}','inventory/transfer','{\"permission\":\"Modules\\\\Inventory\\\\Http\\\\Controllers\\\\Vendor\\\\TransferController@index\",\"route_name\":[\"vendor.transfer.index\", \"vendor.transfer.create\", \"vendor.transfer.edit\", \"vendor.transfer.receive\"]}',1,NULL,164,6.00000000,NULL,3,1,0,NULL,'2024-09-19 06:34:39'),(171,'{\"en\":\"Authentication Layout\",\"bn\":\"প্রমাণীকরণ বিন্যাস\",\"fr\":\"Disposition d\'authentification\",\"zh\":\"认证布局\",\"ar\":\"تخطيط المصادقة\",\"be\":\"Макет аўтэнтыфікацыі\",\"bg\":\"Оформление за удостоверяване на самоличността\",\"ca\":\"Disseny d\'autenticació\",\"et\":\"Autentimise paigutus\",\"nl\":\"Authenticatie-indeling\"}','auth/layouts','{\"permission\":\"Modules\\\\CMS\\\\Http\\\\Controllers\\\\AuthLayoutController@index\",\"route_name\":[\"auth.layout.index\"]}',1,NULL,57,50.00000000,NULL,1,1,0,NULL,NULL),(172,'{\"en\":\"Notifications\",\"bn\":\"বিজ্ঞপ্তি\",\"fr\":\"Notifications\",\"zh\":\"通知\",\"ar\":\"إشعارات\",\"be\":\"Апавяшчэнні\",\"bg\":\"Известия\",\"ca\":\"Notificacions\",\"et\":\"Teavitused\",\"nl\":\"Meldingen\"}','notifications','{\"permission\":\"App\\\\Http\\\\Controllers\\\\Site\\\\NotificationController@index\", \"route_name\":[\"site.notifications.index\"], \"menu_level\":\"2\"}',1,'fas fa-bell',0,7.50000000,NULL,2,0,0,NULL,'2024-09-19 06:34:39'),(173,'Database Backup','manual-backup-list','{\"permission\":\"Modules\\\\DatabaseBackup\\\\Http\\\\Controllers\\\\DatabaseBackupController@list\", \"route_name\":[\"database.manual.backup.list\",\"dropbox_setting.create\",\"google_drive_setting.create\",\"database.automated.backup\",\"digital_ocean_setting.create\"]}',1,NULL,132,80.00000000,NULL,1,1,0,NULL,NULL);
/*!40000 ALTER TABLE `menu_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menus`
--

DROP TABLE IF EXISTS `menus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menus` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menus`
--

LOCK TABLES `menus` WRITE;
/*!40000 ALTER TABLE `menus` DISABLE KEYS */;
INSERT INTO `menus` VALUES (1,'admin','2021-12-13 10:08:14',NULL),(2,'user','2021-12-20 04:41:40',NULL),(3,'vendor','2021-12-20 09:43:47',NULL),(4,'public header','2021-12-20 09:43:48',NULL);
/*!40000 ALTER TABLE `menus` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `metas`
--

DROP TABLE IF EXISTS `metas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `metas` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `owner_type` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `owner_id` int NOT NULL,
  `type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'null',
  `key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `metas_key_owner_type_owner_id_unique` (`key`,`owner_type`,`owner_id`),
  KEY `metas_key_index` (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `metas`
--

LOCK TABLES `metas` WRITE;
/*!40000 ALTER TABLE `metas` DISABLE KEYS */;
/*!40000 ALTER TABLE `metas` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `migrations`
--

DROP TABLE IF EXISTS `migrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `migrations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=231 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `migrations`
--

LOCK TABLES `migrations` WRITE;
/*!40000 ALTER TABLE `migrations` DISABLE KEYS */;
INSERT INTO `migrations` VALUES (1,'2016_06_01_000001_create_oauth_auth_codes_table',1),(2,'2016_06_01_000002_create_oauth_access_tokens_table',1),(3,'2016_06_01_000003_create_oauth_refresh_tokens_table',1),(4,'2016_06_01_000004_create_oauth_clients_table',1),(5,'2016_06_01_000005_create_oauth_personal_access_clients_table',1),(6,'2017_04_08_163453_create_geolocale_cities_locale_table',1),(7,'2017_04_08_163453_create_geolocale_cities_table',1),(8,'2017_04_08_163453_create_geolocale_continents_locale_table',1),(9,'2017_04_08_163453_create_geolocale_continents_table',1),(10,'2017_04_08_163453_create_geolocale_countries_locale_table',1),(11,'2017_04_08_163453_create_geolocale_countries_table',1),(12,'2017_04_08_163453_create_geolocale_divisions_locale_table',1),(13,'2017_04_08_163453_create_geolocale_divisions_table',1),(14,'2017_04_08_163454_add_foreign_keys_to_geolocale_cities_locale_table',1),(15,'2017_04_08_163454_add_foreign_keys_to_geolocale_cities_table',1),(16,'2017_04_08_163454_add_foreign_keys_to_geolocale_continents_locale_table',1),(17,'2017_04_08_163454_add_foreign_keys_to_geolocale_countries_locale_table',1),(18,'2017_04_08_163454_add_foreign_keys_to_geolocale_countries_table',1),(19,'2017_04_08_163454_add_foreign_keys_to_geolocale_divisions_locale_table',1),(20,'2017_04_08_163454_add_foreign_keys_to_geolocale_divisions_table',1),(21,'2017_08_11_073824_create_menus_wp_table',1),(22,'2017_08_11_074006_create_menu_items_wp_table',1),(23,'2019_12_23_153024_create_geolocale_languages_table',1),(24,'2020_04_06_093559_create_departments_table',1),(25,'2020_04_06_093559_create_priorities_table',1),(26,'2020_04_06_093559_create_thread_replies_table',1),(27,'2020_04_06_093559_create_thread_statuses_table',1),(28,'2021_06_17_131601_create_canned_messages_table',1),(29,'2021_06_17_145137_create_canned_links_table',1),(30,'2021_07_22_172545_add_timezone_to_geolocale_cities_table',1),(31,'2021_07_22_221136_add_code_numeric_to_geolocale_countries',1),(32,'2021_10_10_065927_create_attribute_groups_table',1),(33,'2021_10_10_065927_create_attribute_values_table',1),(34,'2021_10_10_065927_create_attributes_table',1),(35,'2021_10_10_065927_create_backups_table',1),(36,'2021_10_10_065927_create_brands_table',1),(37,'2021_10_10_065927_create_categories_table',1),(38,'2021_10_10_065927_create_category_attributes_table',1),(39,'2021_10_10_065927_create_countries_table',1),(40,'2021_10_10_065927_create_coupons_table',1),(41,'2021_10_10_065927_create_currencies_table',1),(42,'2021_10_10_065927_create_email_configurations_table',1),(43,'2021_10_10_065927_create_email_templates_table',1),(44,'2021_10_10_065927_create_failed_jobs_table',1),(45,'2021_10_10_065927_create_favourites_table',1),(46,'2021_10_10_065927_create_flash_sales_table',1),(47,'2021_10_10_065927_create_languages_table',1),(49,'2021_10_10_065927_create_menus_table',1),(50,'2021_10_10_065927_create_password_resets_table',1),(51,'2021_10_10_065927_create_permission_roles_table',1),(52,'2021_10_10_065927_create_permissions_table',1),(53,'2021_10_10_065927_create_popups_table',1),(54,'2021_10_10_065927_create_preferences_table',1),(55,'2021_10_10_065927_create_product_categories_table',1),(56,'2021_10_10_065927_create_product_cross_sales_table',1),(57,'2021_10_10_065927_create_product_relates_table',1),(58,'2021_10_10_065927_create_product_tags_table',1),(59,'2021_10_10_065927_create_product_upsales_table',1),(60,'2021_10_10_065927_create_products_table',1),(61,'2021_10_10_065927_create_reviews_table',1),(62,'2021_10_10_065927_create_role_users_table',1),(63,'2021_10_10_065927_create_roles_table',1),(64,'2021_10_10_065927_create_shops_table',1),(65,'2021_10_10_065927_create_subscription_invoice_items_table',1),(66,'2021_10_10_065927_create_subscription_invoices_table',1),(67,'2021_10_10_065927_create_subscription_quotes_table',1),(68,'2021_10_10_065927_create_tags_table',1),(69,'2021_10_10_065927_create_translations_table',1),(70,'2021_10_10_065927_create_users_table',1),(71,'2021_10_10_065927_create_vendor_users_table',1),(72,'2021_10_10_065927_create_vendors_table',1),(73,'2021_10_10_065927_create_wishlists_table',1),(74,'2021_10_10_065928_add_foreign_keys_to_attribute_groups_table',1),(75,'2021_10_10_065928_add_foreign_keys_to_attribute_values_table',1),(76,'2021_10_10_065928_add_foreign_keys_to_attributes_table',1),(77,'2021_10_10_065928_add_foreign_keys_to_brands_table',1),(78,'2021_10_10_065928_add_foreign_keys_to_categories_table',1),(79,'2021_10_10_065928_add_foreign_keys_to_category_attributes_table',1),(80,'2021_10_10_065928_add_foreign_keys_to_coupons_table',1),(81,'2021_10_10_065928_add_foreign_keys_to_email_templates_table',1),(82,'2021_10_10_065928_add_foreign_keys_to_favourites_table',1),(83,'2021_10_10_065928_add_foreign_keys_to_flash_sales_table',1),(84,'2021_10_10_065928_add_foreign_keys_to_permission_roles_table',1),(85,'2021_10_10_065928_add_foreign_keys_to_product_categories_table',1),(86,'2021_10_10_065928_add_foreign_keys_to_product_cross_sales_table',1),(87,'2021_10_10_065928_add_foreign_keys_to_product_relates_table',1),(88,'2021_10_10_065928_add_foreign_keys_to_product_tags_table',1),(89,'2021_10_10_065928_add_foreign_keys_to_product_upsales_table',1),(90,'2021_10_10_065928_add_foreign_keys_to_products_table',1),(91,'2021_10_10_065928_add_foreign_keys_to_reviews_table',1),(92,'2021_10_10_065928_add_foreign_keys_to_role_users_table',1),(93,'2021_10_10_065928_add_foreign_keys_to_roles_table',1),(94,'2021_10_10_065928_add_foreign_keys_to_shops_table',1),(95,'2021_10_10_065928_add_foreign_keys_to_subscription_invoice_items_table',1),(96,'2021_10_10_065928_add_foreign_keys_to_tags_table',1),(97,'2021_10_10_065928_add_foreign_keys_to_vendor_users_table',1),(98,'2021_10_10_065928_add_foreign_keys_to_wishlists_table',1),(99,'2021_10_10_065928_create_addresses_table',1),(100,'2021_10_10_065929_add_foreign_keys_to_addresses_table',1),(101,'2021_10_10_065929_create_coupon_redeems_table',1),(102,'2021_10_10_065930_add_foreign_keys_to_coupon_redeems_table',1),(103,'2021_10_10_065931_create_product_coupons_table',1),(104,'2021_10_10_065932_add_foreign_keys_to_product_coupons_table',1),(105,'2021_11_25_072702_tag_trigger',1),(106,'2021_11_25_072726_category_trigger',1),(107,'2021_11_25_072727_product_category_trigger',1),(108,'2021_11_25_072819_coupon_trigger',1),(109,'2021_12_15_064237_create_blog_categories_table',1),(110,'2021_12_15_064237_create_blogs_table',1),(111,'2021_12_15_064237_create_files_table',1),(112,'2021_12_15_064237_create_object_files_table',1),(113,'2021_12_15_064237_create_pages_table',1),(114,'2021_12_15_064237_create_sliders_table',1),(115,'2021_12_15_064237_create_slides_table',1),(116,'2021_12_15_064237_create_theme_options_table',1),(117,'2021_12_16_111707_create_order_statuses_table',1),(118,'2021_12_16_111710_create_orders_table',1),(119,'2021_12_16_111711_add_foreign_keys_to_orders_table',1),(120,'2021_12_16_111712_create_order_details_table',1),(121,'2021_12_16_111713_add_foreign_keys_to_order_details_table',1),(122,'2022_01_18_072726_create_brand_stats_table',1),(123,'2022_01_18_072726_create_category_stats_table',1),(124,'2022_01_18_072726_create_product_stats_table',1),(125,'2022_01_18_072726_product_trigger',1),(126,'2022_01_31_093341_create_order_status_roles_table',1),(127,'2022_01_31_093342_add_foreign_keys_to_order_status_roles_table',1),(128,'2022_01_31_093450_create_order_status_histories_table',1),(129,'2022_01_31_093451_add_foreign_keys_to_order_status_histories_table',1),(130,'2022_02_06_031637_create_gateways_table',1),(131,'2022_02_09_035343_create_commissions_table',1),(132,'2022_02_09_045059_create_payment_log_table',1),(133,'2022_02_09_045060_add_foreign_keys_to_payment_log_table',1),(134,'2022_02_13_0000035_create_wallets_table',1),(135,'2022_02_13_0000037_add_foreign_keys_to_wallets_table',1),(136,'2022_02_14_095733_create_order_commissions_table',1),(137,'2022_02_14_095734_add_foreign_keys_to_order_commissions_table',1),(138,'2022_02_15_0000040_create_withdrawal_methods_table',1),(139,'2022_02_15_0000041_create_user_withdrawal_settings_table',1),(140,'2022_02_15_0000042_add_foreign_keys_to_user_withdrawal_settings_table',1),(141,'2022_02_15_0000043_create_transactions_table',1),(142,'2022_02_15_0000044_add_foreign_keys_to_transactions_table',1),(143,'2022_02_23_032454_create_refund_reasons_table',1),(144,'2022_02_23_032713_create_refunds_table',1),(145,'2022_02_23_032814_create_refund_processes_table',1),(146,'2022_02_23_032815_add_foreign_keys_to_refunds_table',1),(147,'2022_02_23_032820_add_foreign_keys_to_refund_processes_table',1),(148,'2022_03_06_050657_create_layout_types_table',1),(149,'2022_03_06_050741_create_layouts_table',1),(150,'2022_03_06_051329_create_components_table',1),(151,'2022_03_06_051911_create_component_properties_table',1),(152,'2022_03_21_095426_create_forms_table',1),(153,'2022_03_21_095438_create_form_submission_table',1),(154,'2022_04_06_104628_create_seos_table',1),(155,'2022_04_06_104629_add_foreign_keys_to_seos_table',1),(156,'2022_04_27_080907_create_subscribers_table',1),(157,'2022_05_18_074840_create_users_meta',1),(158,'2022_05_18_092750_create_searches_table',1),(159,'2022_05_18_092820_create_user_searches_table',1),(160,'2022_05_18_092821_add_foreign_keys_to_user_searches_table',1),(161,'2022_05_18_094636_create_metas',1),(162,'2022_06_01_052314_create_order_note_histories_table',1),(163,'2022_06_01_052414_add_foreign_keys_to_order_note_histories_table',1),(164,'2022_06_07_050839_create_products_meta_table',1),(165,'2022_06_30_051457_create_tax_classes_table',1),(166,'2022_06_30_051511_create_tax_rates_table',1),(167,'2022_06_30_051559_add_foreign_keys_to_tax_rates_table',1),(168,'2022_07_22_064237_create_shipping_methods_table',1),(169,'2022_07_22_064238_create_shipping_classes_table',1),(170,'2022_07_22_064239_create_shipping_zones_table',1),(171,'2022_07_22_064240_create_shipping_zone_geolocales_table',1),(172,'2022_07_22_064240_create_shipping_zone_shipping_classes_table',1),(173,'2022_07_22_064240_create_shipping_zone_shipping_methods_table',1),(174,'2022_07_22_064242_add_foreign_keys_to_shipping_zone_shipping_classes_table',1),(175,'2022_07_22_064243_add_foreign_keys_to_shipping_zone_geolocales_table',1),(176,'2022_07_22_064243_add_foreign_keys_to_shipping_zone_shipping_methods_table',1),(177,'2022_08_22_073603_add_foreign_keys_to_products_meta_table',1),(178,'2022_09_04_050839_create_coupons_meta_table',1),(179,'2022_09_04_050839_create_orders_meta_table',1),(180,'2022_09_05_073603_add_foreign_keys_to_coupons_meta_table',1),(181,'2022_09_05_073603_add_foreign_keys_to_orders_meta_table',1),(182,'2022_10_03_060019_create_vendors_meta_table',1),(183,'2022_10_30_062626_create_activity_log_table',1),(184,'2023_01_05_023932_blog_trigger',1),(185,'2023_04_06_093559_create_threads_table',1),(186,'2022_02_09_045061_remove_foreign_keys_to_payment_log_table',2),(187,'2023_09_03_050029_change_column_type_in_menu_items',2),(188,'2023_09_24_063613_create_jobs_table',2),(189,'2023_10_23_102011_create_vendor_categories_table',2),(190,'2023_10_23_102012_add_foreign_keys_to_vendor_categories_table',2),(191,'2023_10_25_044437_add_is_global_to_categories',2),(192,'2023_11_29_074621_create_locations_table',2),(193,'2023_11_29_074622_add_foreign_keys_to_locations_table',2),(194,'2023_11_29_085559_create_inventory_logs_table',2),(195,'2023_11_29_085559_create_purchase_details_table',2),(196,'2023_11_29_085559_create_purchases_receives_table',2),(197,'2023_11_29_085559_create_purchases_table',2),(198,'2023_11_29_085559_create_stock_managements_table',2),(199,'2023_11_29_085559_create_suppliers_table',2),(200,'2023_11_29_085559_create_transfers_table',2),(201,'2023_11_29_085600_add_foreign_keys_to_inventory_logs_table',2),(202,'2023_11_29_085600_add_foreign_keys_to_purchase_details_table',2),(203,'2023_11_29_085600_add_foreign_keys_to_purchases_receives_table',2),(204,'2023_11_29_085600_add_foreign_keys_to_purchases_table',2),(205,'2023_11_29_085600_add_foreign_keys_to_stock_managements_table',2),(206,'2023_11_29_085600_add_foreign_keys_to_suppliers_table',2),(207,'2023_11_29_085600_add_foreign_keys_to_transfers_table',2),(208,'2023_12_27_051911_add_column_to_pages_table',2),(209,'2024_01_04_181921_create_notifications_table',2),(210,'2024_01_09_032809_create_transfer_details_table',2),(211,'2024_01_09_032812_add_foreign_keys_to_transfer_details_table',2),(212,'2024_01_10_000002_create_sms_gateways_table',2),(213,'2024_01_15_060729_add_type_and_sms_body_to_email_templates',2),(214,'2024_01_31_044437_update_is_global_to_categories',2),(215,'2024_02_14_044437_add_unique_constraint_to_phone_column_in_users_table',2),(216,'2024_02_18_100438_create_notification_log_items',2),(217,'2024_02_20_181921_create_notification_settings_table',2),(218,'2024_02_22_181921_create_custom_fields_table',2),(219,'2024_02_22_181922_create_custom_field_values_table',2),(220,'2024_02_22_181923_create_custom_field_metas_table',2),(221,'2024_04_28_050029_change_column_type_in_menu_items',2),(222,'2024_05_07_044437_add_nullable_column_in_addresses_table',2),(223,'2024_05_15_104804_create_shipping_providers',2),(224,'2024_05_18_044437_change_value_column_in_component_properties_table',2),(225,'2024_05_19_103519_create_order_shipping_tracks_table',2),(226,'2024_05_27_044437_change_value_column_in_theme_options_table',2),(227,'2024_06_25_030742_create_api_keys_table',2),(228,'2024_07_04_083741_add_additional_values_column_in_attribute_values_table',2),(229,'2024_08_17_114959_create_multi_currencies_table',2),(230,'2024_08_17_115002_add_foreign_keys_to_multi_currencies_table',2);
/*!40000 ALTER TABLE `migrations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `multi_currencies`
--

DROP TABLE IF EXISTS `multi_currencies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `multi_currencies` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `currency_id` int unsigned NOT NULL,
  `exchange_rate` decimal(16,8) DEFAULT NULL,
  `exchange_fee` decimal(16,8) DEFAULT NULL,
  `allow_decimal_number` int DEFAULT NULL,
  `custom_symbol` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `multi_currencies_currency_id_unique` (`currency_id`),
  CONSTRAINT `multicurrencies_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `multi_currencies`
--

LOCK TABLES `multi_currencies` WRITE;
/*!40000 ALTER TABLE `multi_currencies` DISABLE KEYS */;
/*!40000 ALTER TABLE `multi_currencies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `notification_log_items`
--

DROP TABLE IF EXISTS `notification_log_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `notification_log_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `notification_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `notifiable_id` bigint unsigned DEFAULT NULL,
  `notifiable_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `channel` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `fingerprint` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `extra` json DEFAULT NULL,
  `anonymous_notifiable_properties` json DEFAULT NULL,
  `confirmed_at` datetime DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `notification_log_items_notifiable_type_notifiable_id_index` (`notifiable_type`,`notifiable_id`),
  KEY `notification_log_items_created_at_index` (`created_at`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `notification_log_items`
--

LOCK TABLES `notification_log_items` WRITE;
/*!40000 ALTER TABLE `notification_log_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `notification_log_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `notification_settings`
--

DROP TABLE IF EXISTS `notification_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `notification_settings` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `notification_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `channel` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_active` tinyint(1) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=73 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `notification_settings`
--

LOCK TABLES `notification_settings` WRITE;
/*!40000 ALTER TABLE `notification_settings` DISABLE KEYS */;
INSERT INTO `notification_settings` VALUES (1,'App\\Notifications\\AcceptRefundRequestNotification','mail',1,NULL,NULL),(2,'App\\Notifications\\AcceptRefundRequestNotification','database',1,NULL,NULL),(3,'App\\Notifications\\AcceptRefundRequestNotification','App\\Notifications\\Channel\\SmsChannel',1,NULL,NULL),(4,'App\\Notifications\\AcceptRefundRequestNotification','App\\Notifications\\Channel\\AdminDatabaseChannel',1,NULL,NULL),(5,'App\\Notifications\\AcceptSellerRequestNotification','mail',1,NULL,NULL),(6,'App\\Notifications\\AcceptSellerRequestNotification','database',1,NULL,NULL),(7,'App\\Notifications\\AcceptSellerRequestNotification','App\\Notifications\\Channel\\SmsChannel',1,NULL,NULL),(8,'App\\Notifications\\AcceptSellerRequestNotification','App\\Notifications\\Channel\\AdminDatabaseChannel',1,NULL,NULL),(9,'App\\Notifications\\ChangeSellerRequestNotification','mail',1,NULL,NULL),(10,'App\\Notifications\\ChangeSellerRequestNotification','database',1,NULL,NULL),(11,'App\\Notifications\\ChangeSellerRequestNotification','App\\Notifications\\Channel\\SmsChannel',1,NULL,NULL),(12,'App\\Notifications\\ChangeSellerRequestNotification','App\\Notifications\\Channel\\AdminDatabaseChannel',1,NULL,NULL),(13,'App\\Notifications\\DeclineRefundRequestNotification','mail',1,NULL,NULL),(14,'App\\Notifications\\DeclineRefundRequestNotification','database',1,NULL,NULL),(15,'App\\Notifications\\DeclineRefundRequestNotification','App\\Notifications\\Channel\\SmsChannel',1,NULL,NULL),(16,'App\\Notifications\\DeclineRefundRequestNotification','App\\Notifications\\Channel\\AdminDatabaseChannel',1,NULL,NULL),(17,'App\\Notifications\\InProgressRefundRequestNotification','mail',1,NULL,NULL),(18,'App\\Notifications\\InProgressRefundRequestNotification','database',1,NULL,NULL),(19,'App\\Notifications\\InProgressRefundRequestNotification','App\\Notifications\\Channel\\SmsChannel',1,NULL,NULL),(20,'App\\Notifications\\InProgressRefundRequestNotification','App\\Notifications\\Channel\\AdminDatabaseChannel',1,NULL,NULL),(21,'App\\Notifications\\LowStockThresholdNotification','mail',1,NULL,NULL),(22,'App\\Notifications\\LowStockThresholdNotification','database',1,NULL,NULL),(23,'App\\Notifications\\LowStockThresholdNotification','App\\Notifications\\Channel\\SmsChannel',1,NULL,NULL),(24,'App\\Notifications\\LowStockThresholdNotification','App\\Notifications\\Channel\\AdminDatabaseChannel',1,NULL,NULL),(25,'App\\Notifications\\NewsletterSubscriptionNotification','mail',1,NULL,NULL),(26,'App\\Notifications\\NewsletterSubscriptionNotification','database',1,NULL,NULL),(27,'App\\Notifications\\NewsletterSubscriptionNotification','App\\Notifications\\Channel\\SmsChannel',1,NULL,NULL),(28,'App\\Notifications\\NewsletterSubscriptionNotification','App\\Notifications\\Channel\\AdminDatabaseChannel',1,NULL,NULL),(29,'App\\Notifications\\OrderInvoiceNotification','mail',1,NULL,NULL),(30,'App\\Notifications\\OrderInvoiceNotification','database',1,NULL,NULL),(31,'App\\Notifications\\OrderInvoiceNotification','App\\Notifications\\Channel\\SmsChannel',1,NULL,NULL),(32,'App\\Notifications\\OrderInvoiceNotification','App\\Notifications\\Channel\\AdminDatabaseChannel',1,NULL,NULL),(33,'App\\Notifications\\PopupNotification','mail',1,NULL,NULL),(34,'App\\Notifications\\PopupNotification','database',1,NULL,NULL),(35,'App\\Notifications\\PopupNotification','App\\Notifications\\Channel\\SmsChannel',1,NULL,NULL),(36,'App\\Notifications\\PopupNotification','App\\Notifications\\Channel\\AdminDatabaseChannel',1,NULL,NULL),(37,'App\\Notifications\\ResetPasswordNotification','mail',1,NULL,NULL),(38,'App\\Notifications\\ResetPasswordNotification','database',1,NULL,NULL),(39,'App\\Notifications\\ResetPasswordNotification','App\\Notifications\\Channel\\SmsChannel',1,NULL,NULL),(40,'App\\Notifications\\ResetPasswordNotification','App\\Notifications\\Channel\\AdminDatabaseChannel',1,NULL,NULL),(41,'App\\Notifications\\SellerRequestToAdminNotification','mail',1,NULL,NULL),(42,'App\\Notifications\\SellerRequestToAdminNotification','database',1,NULL,NULL),(43,'App\\Notifications\\SellerRequestToAdminNotification','App\\Notifications\\Channel\\SmsChannel',1,NULL,NULL),(44,'App\\Notifications\\SellerRequestToAdminNotification','App\\Notifications\\Channel\\AdminDatabaseChannel',1,NULL,NULL),(45,'App\\Notifications\\TicketAssigneeNotification','mail',1,NULL,NULL),(46,'App\\Notifications\\TicketAssigneeNotification','database',1,NULL,NULL),(47,'App\\Notifications\\TicketAssigneeNotification','App\\Notifications\\Channel\\SmsChannel',1,NULL,NULL),(48,'App\\Notifications\\TicketAssigneeNotification','App\\Notifications\\Channel\\AdminDatabaseChannel',1,NULL,NULL),(49,'App\\Notifications\\TicketReplyNotification','mail',1,NULL,NULL),(50,'App\\Notifications\\TicketReplyNotification','database',1,NULL,NULL),(51,'App\\Notifications\\TicketReplyNotification','App\\Notifications\\Channel\\SmsChannel',1,NULL,NULL),(52,'App\\Notifications\\TicketReplyNotification','App\\Notifications\\Channel\\AdminDatabaseChannel',1,NULL,NULL),(53,'App\\Notifications\\UserPasswordSetNotification','mail',1,NULL,NULL),(54,'App\\Notifications\\UserPasswordSetNotification','database',1,NULL,NULL),(55,'App\\Notifications\\UserPasswordSetNotification','App\\Notifications\\Channel\\SmsChannel',1,NULL,NULL),(56,'App\\Notifications\\UserPasswordSetNotification','App\\Notifications\\Channel\\AdminDatabaseChannel',1,NULL,NULL),(57,'App\\Notifications\\UserVerificationNotification','mail',1,NULL,NULL),(58,'App\\Notifications\\UserVerificationNotification','database',1,NULL,NULL),(59,'App\\Notifications\\UserVerificationNotification','App\\Notifications\\Channel\\SmsChannel',1,NULL,NULL),(60,'App\\Notifications\\UserVerificationNotification','App\\Notifications\\Channel\\AdminDatabaseChannel',1,NULL,NULL),(61,'App\\Notifications\\VendorOrderInvoiceNotification','mail',1,NULL,NULL),(62,'App\\Notifications\\VendorOrderInvoiceNotification','database',1,NULL,NULL),(63,'App\\Notifications\\VendorOrderInvoiceNotification','App\\Notifications\\Channel\\SmsChannel',1,NULL,NULL),(64,'App\\Notifications\\VendorOrderInvoiceNotification','App\\Notifications\\Channel\\AdminDatabaseChannel',1,NULL,NULL),(65,'App\\Notifications\\VendorTicketNotification','mail',1,NULL,NULL),(66,'App\\Notifications\\VendorTicketNotification','database',1,NULL,NULL),(67,'App\\Notifications\\VendorTicketNotification','App\\Notifications\\Channel\\SmsChannel',1,NULL,NULL),(68,'App\\Notifications\\VendorTicketNotification','App\\Notifications\\Channel\\AdminDatabaseChannel',1,NULL,NULL),(69,'App\\Notifications\\WelcomeUserNotification','mail',1,NULL,NULL),(70,'App\\Notifications\\WelcomeUserNotification','database',1,NULL,NULL),(71,'App\\Notifications\\WelcomeUserNotification','App\\Notifications\\Channel\\SmsChannel',1,NULL,NULL),(72,'App\\Notifications\\WelcomeUserNotification','App\\Notifications\\Channel\\AdminDatabaseChannel',1,NULL,NULL);
/*!40000 ALTER TABLE `notification_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `notifications`
--

DROP TABLE IF EXISTS `notifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `notifications` (
  `id` char(36) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `notifiable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `notifiable_id` bigint unsigned NOT NULL,
  `data` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `read_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `notifications_notifiable_type_notifiable_id_index` (`notifiable_type`,`notifiable_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `notifications`
--

LOCK TABLES `notifications` WRITE;
/*!40000 ALTER TABLE `notifications` DISABLE KEYS */;
/*!40000 ALTER TABLE `notifications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `oauth_access_tokens`
--

DROP TABLE IF EXISTS `oauth_access_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `oauth_access_tokens` (
  `id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `client_id` bigint unsigned NOT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `scopes` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `revoked` tinyint(1) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `expires_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `oauth_access_tokens_user_id_index` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `oauth_access_tokens`
--

LOCK TABLES `oauth_access_tokens` WRITE;
/*!40000 ALTER TABLE `oauth_access_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `oauth_access_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `oauth_auth_codes`
--

DROP TABLE IF EXISTS `oauth_auth_codes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `oauth_auth_codes` (
  `id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` bigint unsigned NOT NULL,
  `client_id` bigint unsigned NOT NULL,
  `scopes` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `revoked` tinyint(1) NOT NULL,
  `expires_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `oauth_auth_codes_user_id_index` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `oauth_auth_codes`
--

LOCK TABLES `oauth_auth_codes` WRITE;
/*!40000 ALTER TABLE `oauth_auth_codes` DISABLE KEYS */;
/*!40000 ALTER TABLE `oauth_auth_codes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `oauth_clients`
--

DROP TABLE IF EXISTS `oauth_clients`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `oauth_clients` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned DEFAULT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `secret` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `provider` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `redirect` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `personal_access_client` tinyint(1) NOT NULL,
  `password_client` tinyint(1) NOT NULL,
  `revoked` tinyint(1) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `oauth_clients_user_id_index` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `oauth_clients`
--

LOCK TABLES `oauth_clients` WRITE;
/*!40000 ALTER TABLE `oauth_clients` DISABLE KEYS */;
INSERT INTO `oauth_clients` VALUES (1,NULL,'MartVill Personal Access Client','xxI5NTcW6R33wedWqJsv5sB3RA6I4VsHkcsr28gR',NULL,'http://localhost',1,0,0,'2024-09-19 06:34:45','2024-09-19 06:34:45'),(2,NULL,'MartVill Password Grant Client','BO5pfbaVU4rwvIikad9Y1OShL7vJQjyUi9lxUtEe','users','http://localhost',0,1,0,'2024-09-19 06:34:45','2024-09-19 06:34:45');
/*!40000 ALTER TABLE `oauth_clients` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `oauth_personal_access_clients`
--

DROP TABLE IF EXISTS `oauth_personal_access_clients`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `oauth_personal_access_clients` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `client_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `oauth_personal_access_clients`
--

LOCK TABLES `oauth_personal_access_clients` WRITE;
/*!40000 ALTER TABLE `oauth_personal_access_clients` DISABLE KEYS */;
INSERT INTO `oauth_personal_access_clients` VALUES (1,1,'2024-09-19 06:34:45','2024-09-19 06:34:45');
/*!40000 ALTER TABLE `oauth_personal_access_clients` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `oauth_refresh_tokens`
--

DROP TABLE IF EXISTS `oauth_refresh_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `oauth_refresh_tokens` (
  `id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `access_token_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `revoked` tinyint(1) NOT NULL,
  `expires_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `oauth_refresh_tokens_access_token_id_index` (`access_token_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `oauth_refresh_tokens`
--

LOCK TABLES `oauth_refresh_tokens` WRITE;
/*!40000 ALTER TABLE `oauth_refresh_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `oauth_refresh_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `object_files`
--

DROP TABLE IF EXISTS `object_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `object_files` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `object_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `object_id` int NOT NULL,
  `file_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `object_files_file_id_foreign` (`file_id`),
  CONSTRAINT `object_files_file_id_foreign` FOREIGN KEY (`file_id`) REFERENCES `files` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=897 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `object_files`
--

LOCK TABLES `object_files` WRITE;
/*!40000 ALTER TABLE `object_files` DISABLE KEYS */;
INSERT INTO `object_files` VALUES (2,'theme_options',1,579),(3,'theme_options',4,576),(4,'theme_options',2,577),(5,'theme_options',3,578),(6,'theme_options',11,580),(8,'users',5,678),(9,'users',8,676),(10,'users',7,677),(11,'users',9,670),(12,'users',15,670),(13,'users',16,673),(14,'users',17,674),(15,'users',18,675),(16,'users',19,680),(17,'categories',38,595),(18,'categories',39,596),(19,'categories',41,597),(20,'categories',42,599),(21,'categories',46,598),(22,'categories',47,600),(23,'categories',48,601),(24,'categories',49,602),(25,'slides',1,1127),(26,'slides',2,603),(27,'slides',3,606),(28,'slides',4,1112),(29,'blogs',19,998),(30,'blogs',20,999),(31,'blogs',21,619),(32,'blogs',22,1000),(33,'blogs',23,1005),(34,'blogs',24,1004),(35,'blogs',25,1003),(36,'blogs',26,1002),(37,'blogs',27,1001),(38,'theme_options',15,651),(39,'theme_options',16,653),(40,'theme_options',17,652),(42,'users',1,667),(43,'users',2,668),(44,'users',3,669),(45,'users',6,672),(46,'users',4,679),(47,'brands',17,681),(48,'brands',1,682),(49,'brands',2,683),(50,'brands',5,684),(51,'brands',9,686),(52,'brands',8,687),(53,'brands',10,688),(54,'brands',7,689),(55,'brands',4,690),(56,'brands',6,691),(57,'brands',3,692),(58,'brands',11,693),(59,'brands',12,694),(60,'brands',13,695),(61,'brands',14,696),(62,'brands',15,697),(63,'brands',16,698),(64,'brands',18,699),(65,'brands',19,700),(66,'brands',20,701),(67,'brands',48,702),(68,'brands',46,703),(69,'brands',49,704),(70,'brands',21,705),(71,'brands',22,706),(72,'brands',23,707),(73,'brands',24,708),(74,'brands',26,709),(75,'brands',27,710),(76,'brands',28,711),(77,'brands',44,712),(78,'brands',29,713),(79,'brands',45,714),(80,'brands',43,715),(81,'brands',40,716),(82,'brands',42,717),(83,'brands',41,718),(84,'brands',25,719),(85,'brands',39,720),(86,'brands',37,721),(87,'brands',32,722),(88,'brands',33,723),(89,'brands',34,724),(90,'brands',36,725),(91,'brands',31,726),(92,'brands',35,727),(93,'brands',47,728),(94,'brands',50,729),(95,'brands',38,730),(96,'brands',30,731),(97,'vendors_meta',2,733),(98,'vendors_meta',3,732),(99,'vendors_meta',5,734),(100,'vendors_meta',6,735),(101,'vendors_meta',8,739),(102,'vendors_meta',9,738),(103,'vendors_meta',11,741),(104,'vendors_meta',12,740),(105,'vendors_meta',14,743),(106,'vendors_meta',15,742),(107,'vendors_meta',17,745),(108,'vendors_meta',18,744),(109,'vendors_meta',20,747),(110,'vendors_meta',21,746),(111,'theme_options',19,797),(112,'theme_options',20,577),(113,'theme_options',21,578),(114,'theme_options',22,576),(115,'theme_options',28,796),(116,'theme_options',32,651),(117,'theme_options',33,653),(118,'theme_options',34,652),(119,'theme_options',36,799),(120,'theme_options',37,577),(121,'theme_options',38,578),(122,'theme_options',39,576),(123,'theme_options',45,798),(124,'theme_options',49,651),(125,'theme_options',50,653),(126,'theme_options',51,652),(127,'theme_options',53,795),(128,'theme_options',54,577),(129,'theme_options',55,578),(130,'theme_options',56,576),(131,'theme_options',62,794),(132,'theme_options',66,651),(133,'theme_options',67,653),(134,'theme_options',68,652),(135,'slides',5,768),(136,'slides',6,769),(137,'slides',7,770),(138,'slides',8,771),(139,'slides',9,772),(140,'slides',10,773),(141,'slides',11,774),(142,'slides',12,775),(143,'slides',13,776),(144,'slides',15,777),(145,'slides',16,778),(146,'slides',17,779),(147,'slides',18,780),(148,'slides',19,781),(149,'slides',20,782),(150,'slides',21,783),(151,'slides',22,784),(152,'slides',23,785),(153,'slides',24,786),(154,'preferences',48,792),(155,'preferences',47,793),(156,'users',20,1062),(157,'users',21,1063),(158,'vendors_meta',24,801),(159,'theme_options',70,987),(160,'theme_options',71,577),(161,'theme_options',72,578),(162,'theme_options',73,576),(163,'theme_options',79,986),(164,'theme_options',83,651),(165,'theme_options',84,653),(166,'theme_options',85,652),(167,'slides',25,993),(168,'slides',26,994),(169,'slides',27,995),(170,'slides',28,996),(171,'slides',29,997),(172,'slides',30,1023),(173,'slides',31,1024),(174,'slides',32,1025),(175,'theme_options',92,579),(179,'theme_options',101,580),(180,'theme_options',105,651),(181,'theme_options',106,653),(182,'theme_options',107,652),(183,'slides',33,1026),(184,'slides',34,1027),(185,'slides',35,1028),(186,'slides',36,1029),(187,'slides',37,1030),(188,'theme_options',110,1032),(191,'theme_options',113,576),(192,'theme_options',119,1031),(193,'theme_options',123,651),(194,'theme_options',124,653),(195,'theme_options',125,652),(196,'slides',38,1033),(197,'slides',39,1034),(198,'slides',40,1035),(199,'slides',41,1036),(200,'slides',42,1037),(201,'theme_options',129,1032),(204,'theme_options',132,576),(205,'theme_options',138,580),(206,'theme_options',142,651),(207,'theme_options',143,653),(208,'theme_options',144,652),(209,'slides',43,1068),(210,'slides',44,1069),(211,'slides',45,1070),(212,'theme_options',147,1071),(216,'theme_options',156,1071),(217,'theme_options',160,651),(218,'theme_options',161,653),(219,'theme_options',162,652),(220,'slides',46,1072),(223,'categories',526,1075),(224,'categories',527,1076),(225,'categories',528,1077),(226,'categories',529,1078),(227,'categories',530,1079),(228,'categories',531,1080),(229,'categories',532,1081),(230,'categories',533,1082),(231,'categories',525,1083),(232,'blogs',28,1100),(233,'blogs',29,1101),(234,'blogs',30,1102),(235,'blogs',31,1113),(236,'blogs',32,1114),(237,'blogs',33,1115),(238,'refunds',1,1128),(239,'refunds',2,1129),(240,'pages',5,1130),(241,'users',25,1131),(242,'vendors_meta',26,1133),(243,'vendors_meta',27,1132),(244,'users',24,1134),(245,'vendors_meta',29,1136),(246,'vendors_meta',30,1135),(247,'users',23,1137),(248,'vendors_meta',32,1139),(249,'vendors_meta',33,1138),(250,'users',22,1142),(251,'vendors_meta',35,1141),(252,'vendors_meta',36,1140),(268,'shipping_providers',855,1180),(269,'shipping_providers',853,1181),(270,'shipping_providers',851,1183),(271,'shipping_providers',850,1184),(272,'shipping_providers',849,1185),(273,'shipping_providers',848,1186),(274,'shipping_providers',847,1188),(275,'shipping_providers',846,1189),(276,'shipping_providers',844,1191),(277,'shipping_providers',843,1192),(278,'shipping_providers',842,1193),(279,'shipping_providers',841,1194),(280,'shipping_providers',840,1195),(281,'shipping_providers',839,1196),(282,'shipping_providers',836,1199),(283,'shipping_providers',835,1200),(284,'shipping_providers',808,1201),(285,'shipping_providers',834,1203),(286,'shipping_providers',833,1206),(287,'shipping_providers',832,1208),(288,'shipping_providers',410,1212),(289,'shipping_providers',684,1213),(290,'shipping_providers',108,1214),(291,'shipping_providers',655,1215),(292,'shipping_providers',301,1216),(293,'shipping_providers',729,1217),(294,'shipping_providers',554,1218),(295,'shipping_providers',231,1220),(296,'shipping_providers',366,1221),(297,'shipping_providers',699,1223),(298,'shipping_providers',697,1224),(299,'shipping_providers',788,1226),(300,'shipping_providers',189,1230),(301,'shipping_providers',492,1231),(302,'shipping_providers',732,1232),(303,'shipping_providers',736,1233),(304,'shipping_providers',804,1234),(305,'shipping_providers',725,1235),(306,'shipping_providers',113,1237),(307,'shipping_providers',740,1238),(308,'shipping_providers',741,1239),(309,'shipping_providers',490,1240),(310,'shipping_providers',111,1241),(311,'shipping_providers',728,1242),(312,'shipping_providers',811,1243),(313,'shipping_providers',631,1245),(314,'shipping_providers',695,1246),(315,'shipping_providers',513,1247),(316,'shipping_providers',246,1249),(317,'shipping_providers',618,1254),(318,'shipping_providers',598,1255),(319,'shipping_providers',630,1256),(320,'shipping_providers',558,1257),(321,'shipping_providers',455,1258),(322,'shipping_providers',674,1259),(323,'shipping_providers',457,1260),(324,'shipping_providers',293,1261),(325,'shipping_providers',115,1262),(326,'shipping_providers',607,1263),(327,'shipping_providers',632,1265),(328,'shipping_providers',716,1266),(329,'shipping_providers',355,1267),(330,'shipping_providers',580,1269),(331,'shipping_providers',527,1274),(332,'shipping_providers',687,1276),(333,'shipping_providers',51,1277),(334,'shipping_providers',820,1279),(335,'shipping_providers',779,1282),(336,'shipping_providers',656,1283),(337,'shipping_providers',30,1284),(338,'shipping_providers',34,1286),(339,'shipping_providers',53,1287),(340,'shipping_providers',313,1290),(341,'shipping_providers',217,1291),(342,'shipping_providers',156,1293),(343,'shipping_providers',675,1296),(344,'shipping_providers',145,1297),(345,'shipping_providers',171,1298),(346,'shipping_providers',372,1299),(347,'shipping_providers',128,1301),(348,'shipping_providers',756,1304),(349,'shipping_providers',75,1306),(350,'shipping_providers',76,1307),(351,'shipping_providers',84,1308),(352,'shipping_providers',205,1309),(353,'shipping_providers',805,1310),(354,'shipping_providers',100,1311),(355,'shipping_providers',458,1314),(356,'shipping_providers',196,1315),(357,'shipping_providers',161,1317),(358,'shipping_providers',271,1318),(359,'shipping_providers',130,1319),(360,'shipping_providers',799,1320),(361,'shipping_providers',275,1321),(362,'shipping_providers',179,1322),(363,'shipping_providers',336,1323),(364,'shipping_providers',263,1324),(365,'shipping_providers',241,1326),(366,'shipping_providers',340,1327),(367,'shipping_providers',258,1328),(368,'shipping_providers',390,1329),(369,'shipping_providers',302,1330),(370,'shipping_providers',790,1332),(371,'shipping_providers',593,1334),(372,'shipping_providers',620,1335),(373,'shipping_providers',534,1336),(374,'shipping_providers',403,1337),(375,'shipping_providers',35,1339),(376,'shipping_providers',464,1340),(377,'shipping_providers',248,1341),(378,'shipping_providers',401,1343),(379,'shipping_providers',405,1344),(380,'shipping_providers',406,1345),(381,'shipping_providers',816,1347),(382,'shipping_providers',394,1349),(383,'shipping_providers',399,1350),(384,'shipping_providers',402,1351),(385,'shipping_providers',4,1353),(386,'shipping_providers',519,1354),(387,'shipping_providers',404,1355),(388,'shipping_providers',614,1356),(389,'shipping_providers',538,1357),(390,'shipping_providers',319,1358),(391,'shipping_providers',256,1359),(392,'shipping_providers',304,1360),(393,'shipping_providers',617,1361),(394,'shipping_providers',308,1363),(395,'shipping_providers',723,1365),(396,'shipping_providers',338,1366),(397,'shipping_providers',611,1367),(398,'shipping_providers',638,1368),(399,'shipping_providers',288,1370),(400,'shipping_providers',42,1371),(401,'shipping_providers',755,1373),(402,'shipping_providers',500,1374),(403,'shipping_providers',136,1375),(404,'shipping_providers',738,1378),(405,'shipping_providers',193,1379),(406,'shipping_providers',285,1380),(407,'shipping_providers',461,1381),(408,'shipping_providers',731,1383),(409,'shipping_providers',250,1385),(410,'shipping_providers',537,1386),(411,'shipping_providers',184,1387),(412,'shipping_providers',352,1388),(413,'shipping_providers',48,1389),(414,'shipping_providers',186,1390),(415,'shipping_providers',486,1391),(416,'shipping_providers',801,1392),(417,'shipping_providers',191,1393),(418,'shipping_providers',522,1394),(419,'shipping_providers',605,1397),(420,'shipping_providers',378,1398),(421,'shipping_providers',324,1399),(422,'shipping_providers',168,1401),(423,'shipping_providers',157,1403),(424,'shipping_providers',809,1405),(425,'shipping_providers',102,1406),(426,'shipping_providers',786,1407),(427,'shipping_providers',581,1408),(428,'shipping_providers',251,1409),(429,'shipping_providers',510,1411),(430,'shipping_providers',485,1413),(431,'shipping_providers',354,1415),(432,'shipping_providers',131,1417),(433,'shipping_providers',562,1418),(434,'shipping_providers',665,1420),(435,'shipping_providers',613,1421),(436,'shipping_providers',521,1422),(437,'shipping_providers',561,1423),(438,'shipping_providers',778,1424),(439,'shipping_providers',677,1425),(440,'shipping_providers',676,1426),(441,'shipping_providers',164,1427),(442,'shipping_providers',828,1428),(443,'shipping_providers',626,1430),(444,'shipping_providers',150,1431),(445,'shipping_providers',660,1433),(446,'shipping_providers',331,1435),(447,'shipping_providers',712,1436),(448,'shipping_providers',339,1437),(449,'shipping_providers',325,1439),(450,'shipping_providers',751,1440),(451,'shipping_providers',647,1443),(452,'shipping_providers',814,1444),(453,'shipping_providers',252,1447),(454,'shipping_providers',174,1448),(455,'shipping_providers',182,1449),(456,'shipping_providers',346,1450),(457,'shipping_providers',514,1452),(458,'shipping_providers',118,1453),(459,'shipping_providers',507,1454),(460,'shipping_providers',544,1455),(461,'shipping_providers',373,1456),(462,'shipping_providers',377,1457),(463,'shipping_providers',411,1460),(464,'shipping_providers',742,1461),(465,'shipping_providers',235,1463),(466,'shipping_providers',127,1464),(467,'shipping_providers',640,1465),(468,'shipping_providers',140,1466),(469,'shipping_providers',444,1467),(470,'shipping_providers',777,1468),(471,'shipping_providers',234,1469),(472,'shipping_providers',357,1470),(473,'shipping_providers',44,1471),(474,'shipping_providers',50,1472),(475,'shipping_providers',327,1473),(476,'shipping_providers',470,1474),(477,'shipping_providers',446,1475),(478,'shipping_providers',750,1476),(479,'shipping_providers',483,1477),(480,'shipping_providers',138,1478),(481,'shipping_providers',160,1480),(482,'shipping_providers',272,1481),(483,'shipping_providers',137,1482),(484,'shipping_providers',460,1484),(485,'shipping_providers',669,1485),(486,'shipping_providers',7,1486),(487,'shipping_providers',183,1487),(488,'shipping_providers',520,1488),(489,'shipping_providers',208,1489),(490,'shipping_providers',606,1491),(491,'shipping_providers',49,1492),(492,'shipping_providers',343,1493),(493,'shipping_providers',412,1496),(494,'shipping_providers',226,1498),(495,'shipping_providers',646,1499),(496,'shipping_providers',515,1500),(497,'shipping_providers',442,1501),(498,'shipping_providers',764,1504),(499,'shipping_providers',602,1505),(500,'shipping_providers',679,1508),(501,'shipping_providers',678,1510),(502,'shipping_providers',379,1511),(503,'shipping_providers',625,1513),(504,'shipping_providers',516,1515),(505,'shipping_providers',462,1517),(506,'shipping_providers',264,1518),(507,'shipping_providers',350,1522),(508,'shipping_providers',83,1523),(509,'shipping_providers',307,1529),(510,'shipping_providers',523,1530),(511,'shipping_providers',491,1531),(512,'shipping_providers',172,1533),(513,'shipping_providers',247,1534),(514,'shipping_providers',210,1535),(515,'shipping_providers',202,1536),(516,'shipping_providers',242,1540),(517,'shipping_providers',511,1541),(518,'shipping_providers',752,1542),(519,'shipping_providers',303,1544),(520,'shipping_providers',648,1545),(521,'shipping_providers',454,1546),(522,'shipping_providers',181,1547),(523,'shipping_providers',47,1548),(524,'shipping_providers',530,1549),(525,'shipping_providers',134,1553),(526,'shipping_providers',746,1554),(527,'shipping_providers',291,1555),(528,'shipping_providers',206,1556),(529,'shipping_providers',451,1557),(530,'shipping_providers',135,1558),(531,'shipping_providers',260,1559),(532,'shipping_providers',207,1560),(533,'shipping_providers',188,1561),(534,'shipping_providers',497,1562),(535,'shipping_providers',24,1563),(536,'shipping_providers',615,1564),(537,'shipping_providers',233,1567),(538,'shipping_providers',62,1568),(539,'shipping_providers',448,1569),(540,'shipping_providers',649,1570),(541,'shipping_providers',465,1572),(542,'shipping_providers',473,1573),(543,'shipping_providers',683,1574),(544,'shipping_providers',384,1575),(545,'shipping_providers',747,1576),(546,'shipping_providers',358,1577),(547,'shipping_providers',107,1580),(548,'shipping_providers',190,1581),(549,'shipping_providers',722,1582),(550,'shipping_providers',158,1584),(551,'shipping_providers',807,1585),(552,'shipping_providers',489,1587),(553,'shipping_providers',707,1588),(554,'shipping_providers',146,1589),(555,'shipping_providers',456,1590),(556,'shipping_providers',356,1592),(557,'shipping_providers',167,1593),(558,'shipping_providers',517,1595),(559,'shipping_providers',780,1596),(560,'shipping_providers',387,1597),(561,'shipping_providers',154,1598),(562,'shipping_providers',41,1599),(563,'shipping_providers',245,1600),(564,'shipping_providers',543,1602),(565,'shipping_providers',715,1605),(566,'shipping_providers',710,1608),(567,'shipping_providers',23,1609),(568,'shipping_providers',776,1614),(569,'shipping_providers',317,1615),(570,'shipping_providers',391,1617),(571,'shipping_providers',696,1618),(572,'shipping_providers',754,1619),(573,'shipping_providers',341,1621),(574,'shipping_providers',694,1622),(575,'shipping_providers',316,1623),(576,'shipping_providers',321,1624),(577,'shipping_providers',322,1625),(578,'shipping_providers',481,1627),(579,'shipping_providers',408,1628),(580,'shipping_providers',323,1629),(581,'shipping_providers',441,1630),(582,'shipping_providers',40,1631),(583,'shipping_providers',289,1632),(584,'shipping_providers',320,1633),(585,'shipping_providers',714,1635),(586,'shipping_providers',178,1636),(587,'shipping_providers',819,1637),(588,'shipping_providers',314,1638),(589,'shipping_providers',185,1640),(590,'shipping_providers',262,1642),(591,'shipping_providers',170,1643),(592,'shipping_providers',368,1644),(593,'shipping_providers',670,1645),(594,'shipping_providers',180,1646),(595,'shipping_providers',240,1647),(596,'shipping_providers',582,1648),(597,'shipping_providers',794,1649),(598,'shipping_providers',38,1650),(599,'shipping_providers',90,1652),(600,'shipping_providers',469,1654),(601,'shipping_providers',512,1655),(602,'shipping_providers',518,1657),(603,'shipping_providers',551,1658),(604,'shipping_providers',363,1659),(605,'shipping_providers',468,1660),(606,'shipping_providers',803,1662),(607,'shipping_providers',266,1663),(608,'shipping_providers',279,1665),(609,'shipping_providers',508,1667),(610,'shipping_providers',37,1668),(611,'shipping_providers',499,1669),(612,'shipping_providers',488,1670),(613,'shipping_providers',685,1671),(614,'shipping_providers',268,1673),(615,'shipping_providers',708,1674),(616,'shipping_providers',701,1675),(617,'shipping_providers',663,1677),(618,'shipping_providers',383,1678),(619,'shipping_providers',31,1679),(620,'shipping_providers',698,1680),(621,'shipping_providers',691,1682),(622,'shipping_providers',702,1683),(623,'shipping_providers',29,1685),(624,'shipping_providers',642,1686),(625,'shipping_providers',528,1688),(626,'shipping_providers',703,1690),(627,'shipping_providers',177,1691),(628,'shipping_providers',784,1692),(629,'shipping_providers',315,1693),(630,'shipping_providers',502,1694),(631,'shipping_providers',524,1695),(632,'shipping_providers',439,1696),(633,'shipping_providers',409,1700),(634,'shipping_providers',347,1701),(635,'shipping_providers',353,1702),(636,'shipping_providers',223,1703),(637,'shipping_providers',718,1704),(638,'shipping_providers',219,1707),(639,'shipping_providers',797,1708),(640,'shipping_providers',149,1709),(641,'shipping_providers',105,1710),(642,'shipping_providers',230,1711),(643,'shipping_providers',557,1712),(644,'shipping_providers',553,1713),(645,'shipping_providers',176,1714),(646,'shipping_providers',214,1715),(647,'shipping_providers',546,1716),(648,'shipping_providers',817,1718),(649,'shipping_providers',337,1719),(650,'shipping_providers',536,1721),(651,'shipping_providers',547,1722),(652,'shipping_providers',187,1723),(653,'shipping_providers',645,1725),(654,'shipping_providers',344,1726),(655,'shipping_providers',450,1727),(656,'shipping_providers',305,1728),(657,'shipping_providers',686,1729),(658,'shipping_providers',386,1730),(659,'shipping_providers',201,1731),(660,'shipping_providers',287,1732),(661,'shipping_providers',447,1733),(662,'shipping_providers',787,1734),(663,'shipping_providers',396,1735),(664,'shipping_providers',601,1736),(665,'shipping_providers',783,1737),(666,'shipping_providers',255,1738),(667,'shipping_providers',332,1741),(668,'shipping_providers',639,1742),(669,'shipping_providers',711,1743),(670,'shipping_providers',326,1744),(671,'shipping_providers',773,1745),(672,'shipping_providers',474,1746),(673,'shipping_providers',393,1747),(674,'shipping_providers',348,1749),(675,'shipping_providers',529,1750),(676,'shipping_providers',800,1751),(677,'shipping_providers',204,1752),(678,'shipping_providers',506,1754),(679,'shipping_providers',621,1761),(680,'shipping_providers',237,1762),(681,'shipping_providers',228,1764),(682,'shipping_providers',603,1766),(683,'shipping_providers',220,1768),(684,'shipping_providers',342,1771),(685,'shipping_providers',532,1773),(686,'shipping_providers',560,1774),(687,'shipping_providers',388,1775),(688,'shipping_providers',596,1777),(689,'shipping_providers',600,1778),(690,'shipping_providers',290,1780),(691,'shipping_providers',85,1781),(692,'shipping_providers',147,1782),(693,'shipping_providers',509,1783),(694,'shipping_providers',668,1784),(695,'shipping_providers',659,1785),(696,'shipping_providers',533,1788),(697,'shipping_providers',545,1789),(698,'shipping_providers',93,1790),(699,'shipping_providers',139,1793),(700,'shipping_providers',334,1794),(701,'shipping_providers',292,1795),(702,'shipping_providers',124,1796),(703,'shipping_providers',539,1797),(704,'shipping_providers',636,1798),(705,'shipping_providers',14,1799),(706,'shipping_providers',818,1800),(707,'shipping_providers',159,1801),(708,'shipping_providers',692,1802),(709,'shipping_providers',583,1803),(710,'shipping_providers',496,1804),(711,'shipping_providers',810,1805),(712,'shipping_providers',452,1806),(713,'shipping_providers',599,1807),(714,'shipping_providers',36,1809),(715,'shipping_providers',79,1813),(716,'shipping_providers',80,1814),(717,'shipping_providers',211,1815),(718,'shipping_providers',278,1817),(719,'shipping_providers',362,1819),(720,'shipping_providers',224,1820),(721,'shipping_providers',503,1822),(722,'shipping_providers',229,1823),(723,'shipping_providers',197,1824),(724,'shipping_providers',398,1825),(725,'shipping_providers',45,1826),(726,'shipping_providers',77,1827),(727,'shipping_providers',479,1828),(728,'shipping_providers',297,1829),(729,'shipping_providers',43,1830),(730,'shipping_providers',504,1831),(731,'shipping_providers',28,1832),(732,'shipping_providers',175,1835),(733,'shipping_providers',397,1836),(734,'shipping_providers',690,1837),(735,'shipping_providers',70,1838),(736,'shipping_providers',584,1839),(737,'shipping_providers',19,1840),(738,'shipping_providers',200,1841),(739,'shipping_providers',6,1842),(740,'shipping_providers',198,1844),(741,'shipping_providers',253,1845),(742,'shipping_providers',55,1846),(743,'shipping_providers',39,1848),(744,'shipping_providers',622,1850),(745,'shipping_providers',309,1851),(746,'shipping_providers',227,1853),(747,'shipping_providers',117,1854),(748,'shipping_providers',143,1855),(749,'shipping_providers',82,1859),(750,'shipping_providers',552,1861),(751,'shipping_providers',443,1862),(752,'shipping_providers',25,1863),(753,'shipping_providers',87,1864),(754,'shipping_providers',81,1865),(755,'shipping_providers',104,1866),(756,'shipping_providers',86,1867),(757,'shipping_providers',98,1868),(758,'shipping_providers',680,1875),(759,'shipping_providers',3,1876),(760,'shipping_providers',218,1877),(761,'shipping_providers',438,1878),(762,'shipping_providers',371,1881),(763,'shipping_providers',364,1882),(764,'shipping_providers',585,1883),(765,'shipping_providers',88,1885),(766,'shipping_providers',526,1886),(767,'shipping_providers',445,1887),(768,'shipping_providers',360,1891),(769,'shipping_providers',796,1892),(770,'shipping_providers',466,1895),(771,'shipping_providers',2,1896),(772,'shipping_providers',505,1897),(773,'shipping_providers',133,1898),(774,'shipping_providers',116,1899),(775,'shipping_providers',673,1900),(776,'shipping_providers',91,1901),(777,'shipping_providers',17,1903),(778,'shipping_providers',199,1904),(779,'shipping_providers',643,1905),(780,'shipping_providers',380,1907),(781,'shipping_providers',542,1908),(782,'shipping_providers',453,1909),(783,'shipping_providers',650,1910),(784,'shipping_providers',12,1911),(785,'shipping_providers',335,1913),(786,'shipping_providers',563,1914),(787,'shipping_providers',608,1915),(788,'shipping_providers',92,1917),(789,'shipping_providers',194,1919),(790,'shipping_providers',21,1920),(791,'shipping_providers',280,1921),(792,'shipping_providers',333,1922),(793,'shipping_providers',734,1923),(794,'shipping_providers',22,1924),(795,'shipping_providers',20,1925),(796,'shipping_providers',151,1926),(797,'shipping_providers',416,1927),(798,'shipping_providers',155,1928),(799,'shipping_providers',595,1929),(800,'shipping_providers',259,1930),(801,'shipping_providers',195,1931),(802,'shipping_providers',13,1932),(803,'shipping_providers',726,1933),(804,'shipping_providers',612,1936),(805,'shipping_providers',392,1937),(806,'shipping_providers',283,1938),(807,'shipping_providers',209,1939),(808,'shipping_providers',141,1941),(809,'shipping_providers',463,1944),(810,'shipping_providers',798,1946),(811,'shipping_providers',300,1947),(812,'shipping_providers',745,1948),(813,'shipping_providers',644,1949),(814,'shipping_providers',10,1950),(815,'shipping_providers',706,1951),(816,'shipping_providers',225,1952),(817,'shipping_providers',661,1953),(818,'shipping_providers',815,1955),(819,'shipping_providers',95,1956),(820,'shipping_providers',165,1958),(821,'shipping_providers',284,1959),(822,'shipping_providers',203,1960),(823,'shipping_providers',564,1961),(824,'shipping_providers',477,1964),(825,'shipping_providers',705,1965),(826,'shipping_providers',123,1966),(827,'shipping_providers',359,1967),(828,'shipping_providers',652,1968),(829,'shipping_providers',689,1970),(830,'shipping_providers',688,1971),(831,'shipping_providers',349,1972),(832,'shipping_providers',641,1973),(833,'shipping_providers',541,1974),(834,'shipping_providers',382,1975),(835,'shipping_providers',609,1976),(836,'shipping_providers',737,1977),(837,'shipping_providers',540,1978),(838,'shipping_providers',310,1979),(839,'shipping_providers',651,1980),(840,'shipping_providers',591,1982),(841,'shipping_providers',96,1983),(842,'shipping_providers',587,1984),(843,'shipping_providers',653,1985),(844,'shipping_providers',586,1986),(845,'shipping_providers',1,1987),(846,'shipping_providers',525,1989),(847,'shipping_providers',637,1990),(848,'shipping_providers',744,1991),(849,'shipping_providers',97,1992),(850,'shipping_providers',616,1993),(851,'shipping_providers',99,1994),(852,'shipping_providers',257,1998),(853,'shipping_providers',449,2000),(854,'shipping_providers',743,2001),(855,'shipping_providers',588,2005),(856,'shipping_providers',475,2006),(857,'shipping_providers',232,2009),(858,'shipping_providers',594,2010),(859,'shipping_providers',414,2012),(860,'shipping_providers',52,2013),(861,'shipping_providers',791,2016),(862,'shipping_providers',590,2020),(863,'shipping_providers',78,2021),(864,'shipping_providers',361,2024),(865,'shipping_providers',812,2025),(866,'shipping_providers',654,2026),(867,'shipping_providers',459,2027),(868,'shipping_providers',129,2028),(869,'shipping_providers',413,2029),(870,'shipping_providers',682,2030),(871,'shipping_providers',351,2031),(872,'shipping_providers',476,2032),(873,'shipping_providers',604,2034),(874,'shipping_providers',482,2036),(875,'shipping_providers',629,2037),(876,'shipping_providers',415,2039),(877,'shipping_providers',294,2042),(878,'shipping_providers',267,2043),(879,'shipping_providers',375,2044),(880,'shipping_providers',619,2045),(881,'shipping_providers',328,2048),(882,'slides',47,2049),(883,'slides',48,2050),(884,'slides',49,2051),(885,'slides',50,2052),(886,'slides',51,2053),(887,'slides',52,2054),(888,'slides',53,2055),(889,'theme_options',165,1151),(890,'theme_options',166,577),(891,'theme_options',167,578),(892,'theme_options',168,1150),(893,'theme_options',174,1151),(894,'theme_options',178,1151),(895,'theme_options',179,653),(896,'theme_options',180,652);
/*!40000 ALTER TABLE `object_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `order_commissions`
--

DROP TABLE IF EXISTS `order_commissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `order_commissions` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_details_id` bigint unsigned NOT NULL,
  `vendor_id` bigint DEFAULT NULL,
  `category_id` int DEFAULT NULL,
  `amount` decimal(16,8) DEFAULT NULL,
  `approval_time` datetime(5) DEFAULT NULL,
  `status` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Pending',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `order_commissions_order_detail_id_foreign_idx` (`order_details_id`),
  KEY `order_commissions_vendor_id_foreign_idx` (`vendor_id`),
  KEY `order_commissions_category_id_foreign_idx` (`category_id`),
  KEY `order_commissions_approval_time_index` (`approval_time`),
  KEY `order_commissions_status_index` (`status`),
  CONSTRAINT `order_commissions_category_id_foreign` FOREIGN KEY (`category_id`) REFERENCES `categories` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `order_commissions_order_detail_id_foreign` FOREIGN KEY (`order_details_id`) REFERENCES `order_details` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `order_commissions_vendor_id_foreign` FOREIGN KEY (`vendor_id`) REFERENCES `vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=33 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `order_commissions`
--

LOCK TABLES `order_commissions` WRITE;
/*!40000 ALTER TABLE `order_commissions` DISABLE KEYS */;
INSERT INTO `order_commissions` VALUES (1,1,16,504,3.00000000,'2024-09-18 17:05:20.00000','Approve','2024-09-19 06:34:30',NULL),(2,2,16,504,3.00000000,'2024-09-18 18:45:51.00000','Approve','2024-09-19 06:34:30',NULL),(3,3,16,504,3.00000000,'2024-09-18 20:36:42.00000','Approve','2024-09-19 06:34:30',NULL),(4,4,19,518,3.00000000,'2024-09-18 20:27:12.00000','Approve','2024-09-19 06:34:30',NULL),(5,5,1,NULL,3.00000000,NULL,'Pending','2024-09-19 06:34:30',NULL),(6,6,19,NULL,3.00000000,NULL,'Pending','2024-09-19 06:34:30',NULL),(7,7,19,NULL,3.00000000,NULL,'Pending','2024-09-19 06:34:30',NULL),(8,8,16,504,3.00000000,NULL,'Pending','2024-09-19 06:34:30',NULL),(9,9,1,39,3.00000000,'2024-09-19 03:19:03.00000','Approve','2024-09-19 06:34:30',NULL),(10,10,16,504,3.00000000,'2024-09-18 08:40:52.00000','Approve','2024-09-19 06:34:30',NULL),(11,11,19,512,3.00000000,'2024-09-18 12:31:06.00000','Approve','2024-09-19 06:34:30',NULL),(12,12,1,NULL,3.00000000,NULL,'Pending','2024-09-19 06:34:30',NULL),(13,13,2,526,3.00000000,NULL,'Pending','2024-09-19 06:34:30',NULL),(14,14,19,NULL,3.00000000,NULL,'Pending','2024-09-19 06:34:30',NULL),(15,15,19,NULL,3.00000000,NULL,'Pending','2024-09-19 06:34:30',NULL),(16,16,1,NULL,3.00000000,NULL,'Pending','2024-09-19 06:34:30',NULL),(17,17,17,NULL,3.00000000,NULL,'Pending','2024-09-19 06:34:30',NULL),(18,18,1,39,3.00000000,'2024-09-18 20:11:34.00000','Approve','2024-09-19 06:34:30',NULL),(19,19,1,39,3.00000000,'2024-09-19 01:47:52.00000','Approve','2024-09-19 06:34:30',NULL),(20,20,16,504,3.00000000,'2024-09-18 17:48:41.00000','Approve','2024-09-19 06:34:30',NULL),(21,21,16,504,3.00000000,'2024-09-18 22:30:38.00000','Approve','2024-09-19 06:34:30',NULL),(22,22,1,39,3.00000000,'2024-09-18 06:54:55.00000','Approve','2024-09-19 06:34:30',NULL),(23,23,1,39,3.00000000,'2024-09-18 07:30:13.00000','Approve','2024-09-19 06:34:30',NULL),(24,24,1,39,3.00000000,'2024-09-18 15:07:55.00000','Approve','2024-09-19 06:34:30',NULL),(25,25,19,NULL,3.00000000,'2024-09-18 14:15:52.00000','Approve','2024-09-19 06:34:30',NULL),(26,26,19,NULL,3.00000000,'2024-09-18 20:34:03.00000','Approve','2024-09-19 06:34:30',NULL),(27,27,19,NULL,3.00000000,'2024-09-19 04:53:59.00000','Approve','2024-09-19 06:34:30',NULL),(28,28,19,512,3.00000000,'2024-09-18 10:45:29.00000','Approve','2024-09-19 06:34:30',NULL),(29,29,2,526,3.00000000,'2024-09-18 14:24:53.00000','Approve','2024-09-19 06:34:30',NULL),(30,30,1,56,3.00000000,NULL,'Pending','2024-09-19 06:34:30',NULL),(31,31,1,NULL,3.00000000,NULL,'Pending','2024-09-19 06:34:30',NULL),(32,32,1,NULL,3.00000000,NULL,'Pending','2024-09-19 06:34:30',NULL);
/*!40000 ALTER TABLE `order_commissions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `order_details`
--

DROP TABLE IF EXISTS `order_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `order_details` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned NOT NULL,
  `parent_id` bigint unsigned DEFAULT NULL,
  `order_id` bigint unsigned NOT NULL,
  `vendor_id` bigint DEFAULT NULL,
  `shop_id` bigint DEFAULT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `product_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `price` decimal(16,8) NOT NULL,
  `quantity_sent` decimal(16,8) NOT NULL,
  `quantity` decimal(16,8) NOT NULL,
  `discount_amount` decimal(16,8) unsigned DEFAULT NULL,
  `discount_type` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_charge` decimal(16,8) DEFAULT NULL,
  `tax_charge` decimal(16,8) DEFAULT NULL,
  `hsn` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payloads` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `order_by` int NOT NULL,
  `order_status_id` int unsigned DEFAULT NULL,
  `is_delivery` tinyint(1) NOT NULL DEFAULT '0',
  `estimate_delivery` int DEFAULT NULL,
  `is_on_time` tinyint(1) DEFAULT NULL,
  `is_stock_reduce` tinyint(1) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `order_details_product_id_foreign_idx` (`product_id`),
  KEY `order_details_parent_id_foreign_idx` (`parent_id`),
  KEY `order_details_order_id_foreign_idx` (`order_id`),
  KEY `order_details_vendor_id_foreign_idx` (`vendor_id`),
  KEY `order_details_shop_id_foreign_idx` (`shop_id`),
  KEY `order_details_product_name_index` (`product_name`),
  KEY `order_details_price_index` (`price`),
  KEY `order_details_quantity_sent_index` (`quantity_sent`),
  KEY `order_details_quantity_index` (`quantity`),
  KEY `order_details_discount_amount_index` (`discount_amount`),
  KEY `order_details_discount_type_index` (`discount_type`),
  KEY `order_details_hsn_index` (`hsn`),
  KEY `order_details_order_by_index` (`order_by`),
  KEY `order_details_order_status_id_foreign_idx` (`order_status_id`),
  CONSTRAINT `order_details_order_id_foreign` FOREIGN KEY (`order_id`) REFERENCES `orders` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `order_details_order_status_id_foreign` FOREIGN KEY (`order_status_id`) REFERENCES `order_statuses` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `order_details_parent_id_foreign` FOREIGN KEY (`parent_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `order_details_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `order_details_shop_id_foreign` FOREIGN KEY (`shop_id`) REFERENCES `shops` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `order_details_vendor_id_foreign` FOREIGN KEY (`vendor_id`) REFERENCES `vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=33 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `order_details`
--

LOCK TABLES `order_details` WRITE;
/*!40000 ALTER TABLE `order_details` DISABLE KEYS */;
INSERT INTO `order_details` VALUES (1,1205,NULL,1,16,NULL,NULL,'One Seat Pillow Yellow Sufa',400.00000000,0.00000000,1.00000000,NULL,NULL,3.00000000,20.24000000,NULL,NULL,1205,4,1,NULL,1,1,'2024-09-19 06:34:30',NULL),(2,1203,NULL,1,16,NULL,NULL,'Modern Design Four Legs Chair withou Arms',270.00000000,0.00000000,1.00000000,NULL,NULL,3.00000000,0.00000000,NULL,NULL,1203,4,1,NULL,1,1,'2024-09-19 06:34:30',NULL),(3,1204,NULL,1,16,NULL,NULL,'Modern Designer Chair Isolated White Background Furniture Set 3D Render',215.00000000,0.00000000,1.00000000,NULL,NULL,3.00000000,10.87900000,NULL,NULL,1204,4,1,NULL,1,1,'2024-09-19 06:34:30',NULL),(4,1199,NULL,2,19,NULL,NULL,'Waist straight Slouchy jeans',40.00000000,0.00000000,1.00000000,NULL,NULL,0.00000000,2.02400000,NULL,NULL,1199,4,1,NULL,1,1,'2024-09-19 06:34:30',NULL),(5,1251,1178,3,1,NULL,NULL,'Smart Bracelet Sports Bracelet D13 Color Screen Bracelet Sports Pedometer Bluetooth Reminder Heart Rate Blood Pressure',25.00000000,0.00000000,1.00000000,NULL,NULL,2.00000000,1.26500000,NULL,'{\"Color\":\"Black\"}',1251,3,0,NULL,NULL,1,'2024-09-19 06:34:30',NULL),(6,1306,1144,4,19,NULL,NULL,'Woman Korean O-neck Knitted Pullovers Thick Autumn Winter Candy Color Loose Hoodies Solid Womens Clothing',75.00000000,0.00000000,1.00000000,NULL,NULL,2.00000000,3.79500000,NULL,'{\"Color\":\"Grey\"}',1306,1,0,NULL,NULL,1,'2024-09-19 06:34:30',NULL),(7,1275,1156,5,19,NULL,NULL,'Boys Shirts Classic Casual Plaid Flannel Children shirts',25.00000000,0.00000000,1.00000000,NULL,NULL,0.00000000,1.26500000,NULL,'{\"Color\":\"Orange\"}',1275,5,0,NULL,NULL,1,'2024-09-19 06:34:30',NULL),(8,1201,NULL,6,16,NULL,NULL,'Pillow Chair without Arm',370.00000000,0.00000000,1.00000000,NULL,NULL,3.00000000,18.72200000,NULL,NULL,1201,3,0,NULL,NULL,1,'2024-09-19 06:34:30',NULL),(9,1183,NULL,7,1,NULL,NULL,'USB 2.0 Flash Pen Drive 32GB 16GB 64GB 128GB Squid Game Cle Usb Memorys Cards',6.00000000,0.00000000,1.00000000,NULL,NULL,15.00000000,0.12000000,NULL,NULL,1183,4,1,NULL,1,1,'2024-09-19 06:34:30',NULL),(10,1200,NULL,7,16,NULL,NULL,'Pillow Chair with Arm Moveable',325.00000000,0.00000000,1.00000000,NULL,NULL,30.00000000,6.50000000,NULL,NULL,1200,4,1,NULL,1,0,'2024-09-19 06:34:30',NULL),(11,1151,NULL,7,19,NULL,NULL,'Newborn Baby Boys Girls Fall Outfits Long Sleeve Plaid Pattern Pullover Tops and Pants Spring Clothes Set',77.00000000,0.00000000,1.00000000,NULL,NULL,15.00000000,1.54000000,NULL,NULL,1151,4,1,NULL,1,1,'2024-09-19 06:34:30',NULL),(12,1244,1180,8,1,NULL,NULL,'Smartwatch Men Support 118 Sports Women Smart Watch',28.00000000,0.00000000,1.00000000,NULL,NULL,1.00000000,0.56000000,NULL,'{\"Color\":\"Pink\"}',1244,6,0,NULL,NULL,0,'2024-09-19 06:34:30',NULL),(13,1137,NULL,8,2,NULL,NULL,'Branding PSD Mockups For Your Business',50.00000000,0.00000000,1.00000000,NULL,NULL,0.00000000,0.00000000,NULL,NULL,1137,6,0,NULL,NULL,0,'2024-09-19 06:34:30',NULL),(14,1325,1141,9,19,NULL,NULL,'Women Solid Jacket Thick Short Hoodies Sweatshirt Kangaroo Long Sleeve Sweatshirt',89.00000000,0.00000000,1.00000000,NULL,NULL,1.00000000,1.78000000,NULL,'{\"Color\":\"Grey\",\"Size\":\"M\"}',1325,3,0,NULL,NULL,1,'2024-09-19 06:34:30',NULL),(15,1281,1155,9,19,NULL,NULL,'Cotton Newborn Baby Long Sleeve Romper Jumpsuits Outfits Boy Toddler Handsome',59.00000000,0.00000000,1.00000000,NULL,NULL,1.00000000,1.18000000,NULL,'{\"Color\":\"Black\"}',1281,3,0,NULL,NULL,1,'2024-09-19 06:34:30',NULL),(16,1242,1180,9,1,NULL,NULL,'Smartwatch Men Support 118 Sports Women Smart Watch',25.00000000,0.00000000,1.00000000,NULL,NULL,1.00000000,0.50000000,NULL,'{\"Color\":\"Blue\"}',1242,3,0,NULL,NULL,1,'2024-09-19 06:34:30',NULL),(17,1268,1162,9,17,NULL,NULL,'Women Chain Small Shoulder Bags Fashion Pu Leather Silk Scarf Crossbody Bags',25.00000000,0.00000000,1.00000000,NULL,NULL,1.00000000,0.50000000,NULL,'{\"Color\":\"White\"}',1268,3,0,NULL,NULL,1,'2024-09-19 06:34:30',NULL),(18,1183,NULL,10,1,NULL,NULL,'USB 2.0 Flash Pen Drive 32GB 16GB 64GB 128GB Squid Game Cle Usb Memorys Cards',6.00000000,0.00000000,1.00000000,NULL,NULL,1.00000000,0.30360000,NULL,NULL,1183,4,1,NULL,1,1,'2024-09-19 06:34:30',NULL),(19,1176,NULL,10,1,NULL,NULL,'USB 3.0 Type A Female to A Female Connector Adapter AF to AF Coupler FF Gender Changer Extender Converter',2.00000000,0.00000000,1.00000000,NULL,NULL,1.00000000,0.10120000,NULL,NULL,1176,4,1,NULL,1,1,'2024-09-19 06:34:30',NULL),(20,1202,NULL,10,16,NULL,NULL,'Legs Modern Design Pillow Chair',300.00000000,0.00000000,1.00000000,NULL,NULL,1.00000000,0.00000000,NULL,NULL,1202,4,1,NULL,1,1,'2024-09-19 06:34:30',NULL),(21,1200,NULL,11,16,NULL,NULL,'Pillow Chair with Arm Moveable',325.00000000,0.00000000,1.00000000,NULL,NULL,1.00000000,6.50000000,NULL,NULL,1200,4,1,NULL,1,0,'2024-09-19 06:34:30',NULL),(22,1177,NULL,11,1,NULL,NULL,'USB Cable With Switch ONOFF Cable Extension Toggle For USB Lamp USB Fan Power Supply Line Durable',5.00000000,0.00000000,2.00000000,NULL,NULL,1.00000000,0.00000000,NULL,NULL,1177,4,1,NULL,1,1,'2024-09-19 06:34:30',NULL),(23,1157,NULL,11,1,NULL,NULL,'Wireless Game Controller for Switch Pro Lite Olde Gamepad Joystick for PC Game Controller',26.00000000,0.00000000,4.00000000,NULL,NULL,1.00000000,2.08000000,NULL,NULL,1157,4,1,NULL,1,1,'2024-09-19 06:34:30',NULL),(24,1183,NULL,12,1,NULL,NULL,'USB 2.0 Flash Pen Drive 32GB 16GB 64GB 128GB Squid Game Cle Usb Memorys Cards',6.00000000,0.00000000,1.00000000,NULL,NULL,15.00000000,0.12000000,NULL,NULL,1183,4,1,NULL,1,1,'2024-09-19 06:34:30',NULL),(25,1313,1143,12,19,NULL,NULL,'Women Chiffon Solid Pure Basic Soft Red Blouses Tops Summer Top Casual Loose Short Sleeve',45.00000000,0.00000000,1.00000000,NULL,NULL,15.00000000,0.90000000,NULL,'{\"Color\":\"Pale Blue Lily\",\"Size\":\"M\"}',1313,4,1,NULL,1,1,'2024-09-19 06:34:30',NULL),(26,1308,1144,12,19,NULL,NULL,'Woman Korean O-neck Knitted Pullovers Thick Autumn Winter Candy Color Loose Hoodies Solid Womens Clothing',75.00000000,0.00000000,1.00000000,NULL,NULL,15.00000000,1.50000000,NULL,'{\"Color\":\"Pink\"}',1308,4,1,NULL,1,1,'2024-09-19 06:34:30',NULL),(27,1305,1144,12,19,NULL,NULL,'Woman Korean O-neck Knitted Pullovers Thick Autumn Winter Candy Color Loose Hoodies Solid Womens Clothing',75.00000000,0.00000000,1.00000000,NULL,NULL,15.00000000,1.50000000,NULL,'{\"Color\":\"White\"}',1305,4,1,NULL,1,1,'2024-09-19 06:34:30',NULL),(28,1151,NULL,12,19,NULL,NULL,'Newborn Baby Boys Girls Fall Outfits Long Sleeve Plaid Pattern Pullover Tops and Pants Spring Clothes Set',77.00000000,0.00000000,1.00000000,NULL,NULL,15.00000000,1.54000000,NULL,NULL,1151,4,1,NULL,1,1,'2024-09-19 06:34:30',NULL),(29,1137,NULL,13,2,NULL,NULL,'Branding PSD Mockups For Your Business',50.00000000,0.00000000,1.00000000,NULL,NULL,0.00000000,0.00000000,NULL,NULL,1137,4,1,NULL,1,0,'2024-09-19 06:34:30',NULL),(30,1185,NULL,14,1,NULL,NULL,'Cartoon Camera Children\'s Camera 240W Pixel Mini Camera Toy Camera',350.00000000,0.00000000,1.00000000,NULL,NULL,15.00000000,7.00000000,NULL,NULL,1185,3,0,NULL,NULL,1,'2024-09-19 06:34:30',NULL),(31,1239,1186,14,1,NULL,NULL,'Anti-Drop AirPods1 2 Silicone Bluetooth Compatible Earphone Cover Air Pods',29.00000000,0.00000000,1.00000000,NULL,NULL,15.00000000,0.58000000,NULL,'{\"Color\":\"Green\"}',1239,3,0,NULL,NULL,1,'2024-09-19 06:34:30',NULL),(32,1241,1182,14,1,NULL,NULL,'NVME Case Aluminum M2 to USB 3.1 Gen 2 10Gbps PCIe Type C SSD M.2 Enclosure Portable Box',830.00000000,0.00000000,1.00000000,NULL,NULL,15.00000000,16.60000000,NULL,'{\"Storage\":\"512 GB\"}',1241,3,0,NULL,NULL,1,'2024-09-19 06:34:30',NULL);
/*!40000 ALTER TABLE `order_details` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `order_details_product_stats_ins` AFTER INSERT ON `order_details` FOR EACH ROW BEGIN IF NEW.parent_id IS NOT NULL THEN SET @mpid = NEW.parent_id; ELSE SET @mpid = NEW.product_id; END IF; INSERT INTO product_stats (`product_id`,`count_sales`,`date`) VALUES (@mpid, 1, CURDATE()) ON DUPLICATE KEY UPDATE count_sales = count_sales + 1; END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `order_note_histories`
--

DROP TABLE IF EXISTS `order_note_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `order_note_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint unsigned NOT NULL,
  `user_id` bigint NOT NULL,
  `note` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `order_note_histories_order_id_index` (`order_id`),
  KEY `order_note_histories_user_id_index` (`user_id`),
  CONSTRAINT `order_note_histories_order_id_foreign` FOREIGN KEY (`order_id`) REFERENCES `orders` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `order_note_histories_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `order_note_histories`
--

LOCK TABLES `order_note_histories` WRITE;
/*!40000 ALTER TABLE `order_note_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `order_note_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `order_shipping_tracks`
--

DROP TABLE IF EXISTS `order_shipping_tracks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `order_shipping_tracks` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `shipping_provider_id` bigint unsigned DEFAULT NULL,
  `provider_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned DEFAULT NULL,
  `tracking_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tracking_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order_shipped_date` date DEFAULT NULL,
  `track_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'order',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `order_shipping_tracks_order_id_foreign` (`order_id`),
  KEY `order_shipping_tracks_product_id_foreign` (`product_id`),
  KEY `order_shipping_tracks_tracking_no_index` (`tracking_no`),
  KEY `order_shipping_tracks_order_shipped_date_index` (`order_shipped_date`),
  CONSTRAINT `order_shipping_tracks_order_id_foreign` FOREIGN KEY (`order_id`) REFERENCES `orders` (`id`),
  CONSTRAINT `order_shipping_tracks_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `order_shipping_tracks`
--

LOCK TABLES `order_shipping_tracks` WRITE;
/*!40000 ALTER TABLE `order_shipping_tracks` DISABLE KEYS */;
/*!40000 ALTER TABLE `order_shipping_tracks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `order_status_histories`
--

DROP TABLE IF EXISTS `order_status_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `order_status_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned DEFAULT NULL,
  `order_id` bigint unsigned NOT NULL,
  `user_id` bigint DEFAULT NULL,
  `order_status_id` int unsigned NOT NULL,
  `note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `order_status_histories_product_id_foreign_idx` (`product_id`),
  KEY `order_status_histories_order_id_foreign_idx` (`order_id`),
  KEY `order_status_histories_user_id_foreign_idx` (`user_id`),
  KEY `order_status_histories_order_status_id_foreign_idx` (`order_status_id`),
  CONSTRAINT `order_status_histories_order_id_foreign` FOREIGN KEY (`order_id`) REFERENCES `orders` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `order_status_histories_order_status_id_foreign` FOREIGN KEY (`order_status_id`) REFERENCES `order_statuses` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `order_status_histories_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `order_status_histories_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=44 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `order_status_histories`
--

LOCK TABLES `order_status_histories` WRITE;
/*!40000 ALTER TABLE `order_status_histories` DISABLE KEYS */;
INSERT INTO `order_status_histories` VALUES (1,NULL,1,NULL,1,NULL,'2024-09-19 06:34:30',NULL),(2,1205,1,1,4,NULL,'2024-09-19 06:34:30',NULL),(3,1203,1,15,4,NULL,'2024-09-19 06:34:30',NULL),(4,1204,1,15,4,NULL,'2024-09-19 06:34:30',NULL),(5,NULL,1,NULL,4,'System Generated','2024-09-19 06:34:30',NULL),(6,NULL,2,NULL,1,NULL,'2024-09-19 06:34:30',NULL),(7,1199,2,18,4,NULL,'2024-09-19 06:34:30',NULL),(8,NULL,2,NULL,4,'System Generated','2024-09-19 06:34:30',NULL),(9,NULL,3,NULL,1,NULL,'2024-09-19 06:34:30',NULL),(10,NULL,4,NULL,1,NULL,'2024-09-19 06:34:30',NULL),(11,NULL,5,NULL,1,NULL,'2024-09-19 06:34:30',NULL),(12,1275,5,1,5,NULL,'2024-09-19 06:34:30',NULL),(13,1275,5,1,5,NULL,'2024-09-19 06:34:30',NULL),(14,NULL,6,NULL,1,NULL,'2024-09-19 06:34:30',NULL),(15,NULL,7,NULL,1,NULL,'2024-09-19 06:34:30',NULL),(16,1151,7,18,4,NULL,'2024-09-19 06:34:30',NULL),(17,1200,7,15,4,NULL,'2024-09-19 06:34:30',NULL),(18,1183,7,1,4,NULL,'2024-09-19 06:34:30',NULL),(19,NULL,7,NULL,4,'System Generated','2024-09-19 06:34:30',NULL),(20,NULL,8,NULL,1,NULL,'2024-09-19 06:34:30',NULL),(21,1244,8,1,6,NULL,'2024-09-19 06:34:30',NULL),(22,1137,8,1,6,NULL,'2024-09-19 06:34:30',NULL),(23,1244,8,1,6,NULL,'2024-09-19 06:34:30',NULL),(24,1137,8,1,6,NULL,'2024-09-19 06:34:30',NULL),(25,NULL,9,NULL,1,NULL,'2024-09-19 06:34:30',NULL),(26,NULL,10,NULL,1,NULL,'2024-09-19 06:34:30',NULL),(27,1183,10,1,4,NULL,'2024-09-19 06:34:30',NULL),(28,1176,10,1,4,NULL,'2024-09-19 06:34:30',NULL),(29,1202,10,1,4,NULL,'2024-09-19 06:34:30',NULL),(30,NULL,10,NULL,4,'System Generated','2024-09-19 06:34:30',NULL),(31,NULL,11,NULL,1,NULL,'2024-09-19 06:34:30',NULL),(32,NULL,12,NULL,1,NULL,'2024-09-19 06:34:30',NULL),(33,NULL,13,NULL,1,NULL,'2024-09-19 06:34:30',NULL),(34,NULL,14,NULL,1,NULL,'2024-09-19 06:34:30',NULL),(35,1200,11,1,4,NULL,'2024-09-19 06:34:30',NULL),(36,1177,11,1,4,NULL,'2024-09-19 06:34:30',NULL),(37,1157,11,1,4,NULL,'2024-09-19 06:34:30',NULL),(38,1183,12,1,4,NULL,'2024-09-19 06:34:30',NULL),(39,1313,12,1,4,NULL,'2024-09-19 06:34:30',NULL),(40,1308,12,1,4,NULL,'2024-09-19 06:34:30',NULL),(41,1305,12,1,4,NULL,'2024-09-19 06:34:30',NULL),(42,1151,12,1,4,NULL,'2024-09-19 06:34:30',NULL),(43,1137,13,1,4,NULL,'2024-09-19 06:34:30',NULL);
/*!40000 ALTER TABLE `order_status_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `order_status_roles`
--

DROP TABLE IF EXISTS `order_status_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `order_status_roles` (
  `order_status_id` int unsigned NOT NULL,
  `role_id` int NOT NULL,
  KEY `order_status_roles_order_status_id_foreign_idx` (`order_status_id`),
  KEY `order_status_roles_role_id_foreign_idx` (`role_id`),
  CONSTRAINT `order_status_roles_order_status_id_foreign` FOREIGN KEY (`order_status_id`) REFERENCES `order_statuses` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `order_status_roles_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `order_status_roles`
--

LOCK TABLES `order_status_roles` WRITE;
/*!40000 ALTER TABLE `order_status_roles` DISABLE KEYS */;
INSERT INTO `order_status_roles` VALUES (1,1),(1,2),(2,1),(2,2),(3,1),(4,1),(5,1),(3,2),(4,2),(5,2),(6,2),(7,2),(6,1),(7,1),(8,1),(8,2);
/*!40000 ALTER TABLE `order_status_roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `order_statuses`
--

DROP TABLE IF EXISTS `order_statuses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `order_statuses` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(35) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `payment_scenario` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'unpaid',
  `color` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint(1) NOT NULL DEFAULT '0',
  `order_by` int DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `status_orders_name_index` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `order_statuses`
--

LOCK TABLES `order_statuses` WRITE;
/*!40000 ALTER TABLE `order_statuses` DISABLE KEYS */;
INSERT INTO `order_statuses` VALUES (1,'Pending Payment','pending-payment','unpaid','#9FA9A2',1,1,'2024-09-19 06:34:29',NULL),(2,'Failed','failed','unpaid','#FF003F',0,2,'2024-09-19 06:34:29',NULL),(3,'Processing','processing','paid','#58CE76',0,3,'2024-09-19 06:34:29',NULL),(4,'Completed','completed','paid','#0000E2',0,4,'2024-09-19 06:34:29',NULL),(5,'On hold','on-hold','unpaid','#FF7F00',0,5,'2024-09-19 06:34:29',NULL),(6,'Cancelled','cancelled','unpaid','#9FA9A2',0,6,'2024-09-19 06:34:29',NULL),(7,'Refunded','refunded','unpaid','#9FA9A2',0,7,'2024-09-19 06:34:29',NULL),(8,'Partial Payment','partial-payment','unpaid','#9FA9A2',0,8,'2024-09-19 06:34:32',NULL);
/*!40000 ALTER TABLE `order_statuses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `orders`
--

DROP TABLE IF EXISTS `orders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `orders` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint DEFAULT NULL,
  `reference` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `order_date` date NOT NULL,
  `currency_id` int unsigned NOT NULL,
  `leave_door` tinyint(1) DEFAULT NULL,
  `other_discount_amount` decimal(16,8) DEFAULT '0.00000000',
  `other_discount_type` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_charge` decimal(16,8) DEFAULT NULL,
  `tax_charge` decimal(16,8) DEFAULT NULL,
  `shipping_title` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `total` decimal(16,8) NOT NULL,
  `paid` decimal(16,8) NOT NULL,
  `total_quantity` decimal(16,8) NOT NULL,
  `amount_received` decimal(16,8) DEFAULT NULL,
  `order_status_id` int unsigned DEFAULT NULL,
  `is_delivery` tinyint(1) NOT NULL DEFAULT '0',
  `payment_status` varchar(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Unpaid',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `orders_user_id_foreign_idx` (`user_id`),
  KEY `orders_reference_index` (`reference`),
  KEY `orders_order_date_index` (`order_date`),
  KEY `orders_currency_id_foreign_idx` (`currency_id`),
  KEY `orders_total_index` (`total`),
  KEY `orders_paid_index` (`paid`),
  KEY `orders_amount_received_index` (`amount_received`),
  KEY `orders_order_status_id_foreign_idx` (`order_status_id`),
  CONSTRAINT `orders_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `orders_order_status_id_foreign` FOREIGN KEY (`order_status_id`) REFERENCES `order_statuses` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `orders_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `orders`
--

LOCK TABLES `orders` WRITE;
/*!40000 ALTER TABLE `orders` DISABLE KEYS */;
INSERT INTO `orders` VALUES (1,2,'ORD-0001',NULL,'2024-07-27',3,NULL,0.00000000,NULL,7.00000000,31.11900000,'Flat Rate',923.11900000,923.12000000,3.00000000,923.12000000,4,1,'Paid','2024-09-19 06:34:30',NULL),(2,2,'ORD-0002',NULL,'2024-08-15',3,NULL,0.00000000,NULL,0.00000000,2.02400000,'Local Pickup',42.02400000,42.02000000,1.00000000,42.02000000,4,1,'Paid','2024-09-19 06:34:30',NULL),(3,2,'ORD-0003',NULL,'2024-07-23',3,NULL,0.00000000,NULL,2.00000000,1.26500000,'Flat Rate',28.26500000,0.28265000,1.00000000,0.28265000,3,0,'Paid','2024-09-19 06:34:30',NULL),(4,2,'ORD-0004',NULL,'2024-07-29',3,NULL,0.00000000,NULL,2.00000000,3.79500000,'Flat Rate',80.79500000,0.00000000,1.00000000,0.00000000,1,0,'Unpaid','2024-09-19 06:34:30',NULL),(5,2,'ORD-0005',NULL,'2024-06-24',3,NULL,0.00000000,NULL,0.00000000,1.26500000,'Local Pickup',26.26500000,0.00000000,1.00000000,0.00000000,5,0,'Unpaid','2024-09-19 06:34:30',NULL),(6,2,'ORD-0006',NULL,'2024-07-18',3,NULL,0.00000000,NULL,3.00000000,18.72200000,'Flat Rate',391.72200000,3.91722000,1.00000000,3.91722000,3,0,'Paid','2024-09-19 06:34:30',NULL),(7,4,'ORD-0007',NULL,'2024-07-14',3,NULL,0.00000000,NULL,30.00000000,8.16000000,'Flat Rate',446.16000000,446.16000000,3.00000000,446.16000000,4,1,'Paid','2024-09-19 06:34:30',NULL),(8,5,'ORD-0008',NULL,'2024-09-14',3,NULL,0.00000000,NULL,1.00000000,0.56000000,'Local Pickup',79.56000000,0.00000000,2.00000000,0.00000000,6,0,'Unpaid','2024-09-19 06:34:30',NULL),(9,6,'ORD-0009',NULL,'2024-07-19',3,NULL,0.00000000,NULL,1.00000000,3.96000000,'Local Pickup',202.96000000,202.96000000,4.00000000,202.96000000,3,0,'Paid','2024-09-19 06:34:30',NULL),(10,20,'ORD-0010',NULL,'2024-07-19',3,NULL,0.00000000,NULL,1.00000000,0.40480000,'Local Pickup',309.40480000,309.40000000,3.00000000,309.40000000,4,1,'Paid','2024-09-19 06:34:30',NULL),(11,6,'ORD-0011',NULL,'2024-09-13',3,NULL,0.00000000,NULL,1.00000000,8.58000000,'Local Pickup',448.58000000,4.48580000,7.00000000,4.48580000,4,1,'Paid','2024-09-19 06:34:30',NULL),(12,7,'ORD-0012',NULL,'2024-08-31',3,NULL,0.00000000,NULL,15.00000000,5.56000000,'Flat Rate',298.56000000,298.56000000,5.00000000,298.56000000,4,1,'Paid','2024-09-19 06:34:30',NULL),(13,9,'ORD-0013',NULL,'2024-07-27',3,NULL,0.00000000,NULL,NULL,0.00000000,NULL,50.00000000,50.00000000,1.00000000,50.00000000,4,1,'Paid','2024-09-19 06:34:30',NULL),(14,8,'ORD-0014',NULL,'2024-07-30',3,NULL,0.00000000,NULL,15.00000000,24.18000000,'Flat Rate',1248.18000000,12.48180000,3.00000000,12.48180000,3,0,'Paid','2024-09-19 06:34:30',NULL);
/*!40000 ALTER TABLE `orders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `orders_meta`
--

DROP TABLE IF EXISTS `orders_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `orders_meta` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint unsigned NOT NULL,
  `type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'null',
  `key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` varchar(10000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `orders_meta_key_order_id_unique` (`key`,`order_id`),
  KEY `orders_meta_order_id_foreign_idx` (`order_id`),
  KEY `orders_meta_key_index` (`key`),
  CONSTRAINT `orders_meta_order_id_foreign` FOREIGN KEY (`order_id`) REFERENCES `orders` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=395 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `orders_meta`
--

LOCK TABLES `orders_meta` WRITE;
/*!40000 ALTER TABLE `orders_meta` DISABLE KEYS */;
INSERT INTO `orders_meta` VALUES (1,1,'string','billing_address_id','7'),(2,1,'string','billing_address_first_name','Blaine'),(3,1,'string','billing_address_last_name','Keller'),(4,1,'string','billing_address_phone','0135467989'),(5,1,'string','billing_address_email','blainekeller@gmail.com'),(6,1,'string','billing_address_city','dhaka'),(7,1,'string','billing_address_state','Dhaka'),(8,1,'string','billing_address_zip','1229'),(9,1,'string','billing_address_country','Bangladesh'),(10,1,'string','billing_address_type_of_place','home'),(11,1,'string','billing_address_address_1','Road no 1, House no 129'),(12,1,'string','billing_address_address_2',NULL),(13,1,'string','billing_address_created_at',NULL),(14,1,'string','billing_address_updated_at',NULL),(15,1,'string','shipping_address_first_name','Blaine'),(16,1,'string','shipping_address_last_name','Keller'),(17,1,'string','shipping_address_phone','0135467989'),(18,1,'string','shipping_address_email','blainekeller@gmail.com'),(19,1,'string','shipping_address_city','dhaka'),(20,1,'string','shipping_address_state','Dhaka'),(21,1,'string','shipping_address_zip','1229'),(22,1,'string','shipping_address_country','Bangladesh'),(23,1,'string','shipping_address_type_of_place','home'),(24,1,'string','shipping_address_address_1','Road no 1, House no 129'),(25,1,'string','shipping_address_address_2',NULL),(26,1,'string','shipping_address_created_at',NULL),(27,1,'string','shipping_address_updated_at',NULL),(28,1,'string','track_code','XNDOHP25UD'),(29,2,'string','billing_address_id','7'),(30,2,'string','billing_address_first_name','Blaine'),(31,2,'string','billing_address_last_name','Keller'),(32,2,'string','billing_address_phone','0135467989'),(33,2,'string','billing_address_email','blainekeller@gmail.com'),(34,2,'string','billing_address_city','dhaka'),(35,2,'string','billing_address_state','Dhaka'),(36,2,'string','billing_address_zip','1229'),(37,2,'string','billing_address_country','Bangladesh'),(38,2,'string','billing_address_type_of_place','home'),(39,2,'string','billing_address_address_1','Road no 1, House no 129'),(40,2,'string','billing_address_address_2',NULL),(41,2,'string','billing_address_created_at',NULL),(42,2,'string','billing_address_updated_at',NULL),(43,2,'string','shipping_address_first_name','Blaine'),(44,2,'string','shipping_address_last_name','Keller'),(45,2,'string','shipping_address_phone','0135467989'),(46,2,'string','shipping_address_email','blainekeller@gmail.com'),(47,2,'string','shipping_address_city','dhaka'),(48,2,'string','shipping_address_state','Dhaka'),(49,2,'string','shipping_address_zip','1229'),(50,2,'string','shipping_address_country','Bangladesh'),(51,2,'string','shipping_address_type_of_place','home'),(52,2,'string','shipping_address_address_1','Road no 1, House no 129'),(53,2,'string','shipping_address_address_2',NULL),(54,2,'string','shipping_address_created_at',NULL),(55,2,'string','shipping_address_updated_at',NULL),(56,2,'string','track_code','MOAFBKGA5Z'),(57,3,'string','billing_address_id','7'),(58,3,'string','billing_address_first_name','Blaine'),(59,3,'string','billing_address_last_name','Keller'),(60,3,'string','billing_address_phone','0135467989'),(61,3,'string','billing_address_email','blainekeller@gmail.com'),(62,3,'string','billing_address_city','dhaka'),(63,3,'string','billing_address_state','Dhaka'),(64,3,'string','billing_address_zip','1229'),(65,3,'string','billing_address_country','Bangladesh'),(66,3,'string','billing_address_type_of_place','home'),(67,3,'string','billing_address_address_1','Road no 1, House no 129'),(68,3,'string','billing_address_address_2',NULL),(69,3,'string','billing_address_created_at',NULL),(70,3,'string','billing_address_updated_at',NULL),(71,3,'string','shipping_address_first_name','Blaine'),(72,3,'string','shipping_address_last_name','Keller'),(73,3,'string','shipping_address_phone','0135467989'),(74,3,'string','shipping_address_email','blainekeller@gmail.com'),(75,3,'string','shipping_address_city','dhaka'),(76,3,'string','shipping_address_state','Dhaka'),(77,3,'string','shipping_address_zip','1229'),(78,3,'string','shipping_address_country','Bangladesh'),(79,3,'string','shipping_address_type_of_place','home'),(80,3,'string','shipping_address_address_1','Road no 1, House no 129'),(81,3,'string','shipping_address_address_2',NULL),(82,3,'string','shipping_address_created_at',NULL),(83,3,'string','shipping_address_updated_at',NULL),(84,3,'string','track_code','LZTQT5L6KU'),(85,4,'string','billing_address_id','7'),(86,4,'string','billing_address_first_name','Blaine'),(87,4,'string','billing_address_last_name','Keller'),(88,4,'string','billing_address_phone','0135467989'),(89,4,'string','billing_address_email','blainekeller@gmail.com'),(90,4,'string','billing_address_city','dhaka'),(91,4,'string','billing_address_state','Dhaka'),(92,4,'string','billing_address_zip','1229'),(93,4,'string','billing_address_country','Bangladesh'),(94,4,'string','billing_address_type_of_place','home'),(95,4,'string','billing_address_address_1','Road no 1, House no 129'),(96,4,'string','billing_address_address_2',NULL),(97,4,'string','billing_address_created_at',NULL),(98,4,'string','billing_address_updated_at',NULL),(99,4,'string','shipping_address_first_name','Blaine'),(100,4,'string','shipping_address_last_name','Keller'),(101,4,'string','shipping_address_phone','0135467989'),(102,4,'string','shipping_address_email','blainekeller@gmail.com'),(103,4,'string','shipping_address_city','dhaka'),(104,4,'string','shipping_address_state','Dhaka'),(105,4,'string','shipping_address_zip','1229'),(106,4,'string','shipping_address_country','Bangladesh'),(107,4,'string','shipping_address_type_of_place','home'),(108,4,'string','shipping_address_address_1','Road no 1, House no 129'),(109,4,'string','shipping_address_address_2',NULL),(110,4,'string','shipping_address_created_at',NULL),(111,4,'string','shipping_address_updated_at',NULL),(112,4,'string','track_code','OB46NMZNC8'),(113,5,'string','billing_address_id','7'),(114,5,'string','billing_address_first_name','Blaine'),(115,5,'string','billing_address_last_name','Keller'),(116,5,'string','billing_address_phone','0135467989'),(117,5,'string','billing_address_email','blainekeller@gmail.com'),(118,5,'string','billing_address_city','dhaka'),(119,5,'string','billing_address_state','Dhaka'),(120,5,'string','billing_address_zip','1229'),(121,5,'string','billing_address_country','Bangladesh'),(122,5,'string','billing_address_type_of_place','home'),(123,5,'string','billing_address_address_1','Road no 1, House no 129'),(124,5,'string','billing_address_address_2',NULL),(125,5,'string','billing_address_created_at',NULL),(126,5,'string','billing_address_updated_at',NULL),(127,5,'string','shipping_address_first_name','Blaine'),(128,5,'string','shipping_address_last_name','Keller'),(129,5,'string','shipping_address_phone','0135467989'),(130,5,'string','shipping_address_email','blainekeller@gmail.com'),(131,5,'string','shipping_address_city','dhaka'),(132,5,'string','shipping_address_state','Dhaka'),(133,5,'string','shipping_address_zip','1229'),(134,5,'string','shipping_address_country','Bangladesh'),(135,5,'string','shipping_address_type_of_place','home'),(136,5,'string','shipping_address_address_1','Road no 1, House no 129'),(137,5,'string','shipping_address_address_2',NULL),(138,5,'string','shipping_address_created_at',NULL),(139,5,'string','shipping_address_updated_at',NULL),(140,5,'string','track_code','Z2ENLISMZF'),(141,6,'string','billing_address_id','7'),(142,6,'string','billing_address_first_name','Blaine'),(143,6,'string','billing_address_last_name','Keller'),(144,6,'string','billing_address_phone','0135467989'),(145,6,'string','billing_address_email','blainekeller@gmail.com'),(146,6,'string','billing_address_city','dhaka'),(147,6,'string','billing_address_state','Dhaka'),(148,6,'string','billing_address_zip','1229'),(149,6,'string','billing_address_country','Bangladesh'),(150,6,'string','billing_address_type_of_place','home'),(151,6,'string','billing_address_address_1','Road no 1, House no 129'),(152,6,'string','billing_address_address_2',NULL),(153,6,'string','billing_address_created_at',NULL),(154,6,'string','billing_address_updated_at',NULL),(155,6,'string','shipping_address_first_name','Blaine'),(156,6,'string','shipping_address_last_name','Keller'),(157,6,'string','shipping_address_phone','0135467989'),(158,6,'string','shipping_address_email','blainekeller@gmail.com'),(159,6,'string','shipping_address_city','dhaka'),(160,6,'string','shipping_address_state','Dhaka'),(161,6,'string','shipping_address_zip','1229'),(162,6,'string','shipping_address_country','Bangladesh'),(163,6,'string','shipping_address_type_of_place','home'),(164,6,'string','shipping_address_address_1','Road no 1, House no 129'),(165,6,'string','shipping_address_address_2',NULL),(166,6,'string','shipping_address_created_at',NULL),(167,6,'string','shipping_address_updated_at',NULL),(168,6,'string','track_code','8CIE08MM4C'),(169,7,'string','billing_address_id','9'),(170,7,'string','billing_address_first_name','snowflake'),(171,7,'string','billing_address_last_name','hamiz'),(172,7,'string','billing_address_phone','01788026663'),(173,7,'string','billing_address_email','snowflakehamiz@gmail.com'),(174,7,'string','billing_address_city','lokossa'),(175,7,'string','billing_address_state','Mono'),(176,7,'string','billing_address_zip','1229'),(177,7,'string','billing_address_country','Benin'),(178,7,'string','billing_address_type_of_place','home'),(179,7,'string','billing_address_address_1','House no 259'),(180,7,'string','billing_address_address_2',NULL),(181,7,'string','billing_address_created_at',NULL),(182,7,'string','billing_address_updated_at',NULL),(183,7,'string','shipping_address_first_name','snowflake'),(184,7,'string','shipping_address_last_name','hamiz'),(185,7,'string','shipping_address_phone','01788026663'),(186,7,'string','shipping_address_email','snowflakehamiz@gmail.com'),(187,7,'string','shipping_address_city','lokossa'),(188,7,'string','shipping_address_state','Mono'),(189,7,'string','shipping_address_zip','1229'),(190,7,'string','shipping_address_country','Benin'),(191,7,'string','shipping_address_type_of_place','home'),(192,7,'string','shipping_address_address_1','House no 259'),(193,7,'string','shipping_address_address_2',NULL),(194,7,'string','shipping_address_created_at',NULL),(195,7,'string','shipping_address_updated_at',NULL),(196,7,'string','track_code','TWBWYRU7ZJ'),(197,8,'string','billing_address_id','10'),(198,8,'string','billing_address_first_name','Noah'),(199,8,'string','billing_address_last_name',NULL),(200,8,'string','billing_address_phone','01738899999'),(201,8,'string','billing_address_email','noah@gmail.com'),(202,8,'string','billing_address_city','bellingen'),(203,8,'string','billing_address_state','Flanders'),(204,8,'string','billing_address_zip','3000'),(205,8,'string','billing_address_country','Belgium'),(206,8,'string','billing_address_type_of_place','office'),(207,8,'string','billing_address_address_1','Road no 1, House no 3'),(208,8,'string','billing_address_address_2',NULL),(209,8,'string','billing_address_created_at',NULL),(210,8,'string','billing_address_updated_at',NULL),(211,8,'string','shipping_address_first_name','Noah'),(212,8,'string','shipping_address_last_name',NULL),(213,8,'string','shipping_address_phone','01738899999'),(214,8,'string','shipping_address_email','noah@gmail.com'),(215,8,'string','shipping_address_city','bellingen'),(216,8,'string','shipping_address_state','Flanders'),(217,8,'string','shipping_address_zip','3000'),(218,8,'string','shipping_address_country','Belgium'),(219,8,'string','shipping_address_type_of_place','office'),(220,8,'string','shipping_address_address_1','Road no 1, House no 3'),(221,8,'string','shipping_address_address_2',NULL),(222,8,'string','shipping_address_created_at',NULL),(223,8,'string','shipping_address_updated_at',NULL),(224,8,'string','track_code','JF4BY4JEHD'),(225,8,'array','download_data','[{\"id\":1,\"download_limit\":\"5\",\"download_expiry\":\"10\",\"link\":\"http:\\/\\/localhost\\/laravel\\/public\\/uploads\\/20221129\\/659a1abaf5aa9f57f209e3009f7402a0.jpg\",\"download_times\":0,\"is_accessible\":1,\"vendor_id\":2,\"name\":\"Branding PSD Mockups For Your Business\",\"f_name\":\"Aug_25_-_White_And_Green_Envelope_01 1.jpg\"}]'),(226,9,'string','billing_address_id','11'),(227,9,'string','billing_address_first_name','Oliver'),(228,9,'string','billing_address_last_name',NULL),(229,9,'string','billing_address_phone','01738896666'),(230,9,'string','billing_address_email','oliver@gmail.com'),(231,9,'string','billing_address_city','boa vista'),(232,9,'string','billing_address_state','Roraima'),(233,9,'string','billing_address_zip','4000'),(234,9,'string','billing_address_country','Brazil'),(235,9,'string','billing_address_type_of_place','office'),(236,9,'string','billing_address_address_1','Street 414'),(237,9,'string','billing_address_address_2',NULL),(238,9,'string','billing_address_created_at',NULL),(239,9,'string','billing_address_updated_at',NULL),(240,9,'string','shipping_address_first_name','Oliver'),(241,9,'string','shipping_address_last_name',NULL),(242,9,'string','shipping_address_phone','01738896666'),(243,9,'string','shipping_address_email','oliver@gmail.com'),(244,9,'string','shipping_address_city','boa vista'),(245,9,'string','shipping_address_state','Roraima'),(246,9,'string','shipping_address_zip','4000'),(247,9,'string','shipping_address_country','Brazil'),(248,9,'string','shipping_address_type_of_place','office'),(249,9,'string','shipping_address_address_1','Street 414'),(250,9,'string','shipping_address_address_2',NULL),(251,9,'string','shipping_address_created_at',NULL),(252,9,'string','shipping_address_updated_at',NULL),(253,9,'string','track_code','WGA3V9APIA'),(254,10,'string','billing_address_id','20'),(255,10,'string','billing_address_first_name','Lenin'),(256,10,'string','billing_address_last_name',NULL),(257,10,'string','billing_address_phone','01738899977'),(258,10,'string','billing_address_email','lenin.techvill@gmail.com'),(259,10,'string','billing_address_city','Nilphamari'),(260,10,'string','billing_address_state','Rangpur Division'),(261,10,'string','billing_address_zip','5300'),(262,10,'string','billing_address_country','Bangladesh'),(263,10,'string','billing_address_type_of_place','office'),(264,10,'string','billing_address_address_1','86 West Cowley Court'),(265,10,'string','billing_address_address_2',NULL),(266,10,'string','billing_address_created_at',NULL),(267,10,'string','billing_address_updated_at',NULL),(268,10,'string','shipping_address_first_name','Lenin'),(269,10,'string','shipping_address_last_name',NULL),(270,10,'string','shipping_address_phone','01738899977'),(271,10,'string','shipping_address_email','lenin.techvill@gmail.com'),(272,10,'string','shipping_address_city','Nilphamari'),(273,10,'string','shipping_address_state','Rangpur Division'),(274,10,'string','shipping_address_zip','5300'),(275,10,'string','shipping_address_country','Bangladesh'),(276,10,'string','shipping_address_type_of_place','office'),(277,10,'string','shipping_address_address_1','86 West Cowley Court'),(278,10,'string','shipping_address_address_2',NULL),(279,10,'string','shipping_address_created_at',NULL),(280,10,'string','shipping_address_updated_at',NULL),(281,10,'string','track_code','2XYNPYRJUN'),(282,11,'string','billing_address_id','11'),(283,11,'string','billing_address_first_name','Oliver'),(284,11,'string','billing_address_last_name',NULL),(285,11,'string','billing_address_phone','01738896666'),(286,11,'string','billing_address_email','oliver@gmail.com'),(287,11,'string','billing_address_city','boa vista'),(288,11,'string','billing_address_state','Roraima'),(289,11,'string','billing_address_zip','4000'),(290,11,'string','billing_address_country','Brazil'),(291,11,'string','billing_address_type_of_place','office'),(292,11,'string','billing_address_address_1','Street 414'),(293,11,'string','billing_address_address_2',NULL),(294,11,'string','billing_address_created_at',NULL),(295,11,'string','billing_address_updated_at',NULL),(296,11,'string','shipping_address_first_name','Oliver'),(297,11,'string','shipping_address_last_name',NULL),(298,11,'string','shipping_address_phone','01738896666'),(299,11,'string','shipping_address_email','oliver@gmail.com'),(300,11,'string','shipping_address_city','boa vista'),(301,11,'string','shipping_address_state','Roraima'),(302,11,'string','shipping_address_zip','4000'),(303,11,'string','shipping_address_country','Brazil'),(304,11,'string','shipping_address_type_of_place','office'),(305,11,'string','shipping_address_address_1','Street 414'),(306,11,'string','shipping_address_address_2',NULL),(307,11,'string','shipping_address_created_at',NULL),(308,11,'string','shipping_address_updated_at',NULL),(309,11,'string','track_code','FDAPAQQAL8'),(310,12,'string','billing_address_id','12'),(311,12,'string','billing_address_first_name','Liam'),(312,12,'string','billing_address_last_name',NULL),(313,12,'string','billing_address_phone','01738896222'),(314,12,'string','billing_address_email','liam@gmail.com'),(315,12,'string','billing_address_city','cerrillos'),(316,12,'string','billing_address_state','Salta'),(317,12,'string','billing_address_zip','20000'),(318,12,'string','billing_address_country','Argentina'),(319,12,'string','billing_address_type_of_place','home'),(320,12,'string','billing_address_address_1','street 300'),(321,12,'string','billing_address_address_2',NULL),(322,12,'string','billing_address_created_at',NULL),(323,12,'string','billing_address_updated_at',NULL),(324,12,'string','shipping_address_first_name','Liam'),(325,12,'string','shipping_address_last_name',NULL),(326,12,'string','shipping_address_phone','01738896222'),(327,12,'string','shipping_address_email','liam@gmail.com'),(328,12,'string','shipping_address_city','cerrillos'),(329,12,'string','shipping_address_state','Salta'),(330,12,'string','shipping_address_zip','20000'),(331,12,'string','shipping_address_country','Argentina'),(332,12,'string','shipping_address_type_of_place','home'),(333,12,'string','shipping_address_address_1','street 300'),(334,12,'string','shipping_address_address_2',NULL),(335,12,'string','shipping_address_created_at',NULL),(336,12,'string','shipping_address_updated_at',NULL),(337,12,'string','track_code','JFEKWYL0KV'),(338,13,'string','billing_address_id','14'),(339,13,'string','billing_address_first_name','Oliver'),(340,13,'string','billing_address_last_name',NULL),(341,13,'string','billing_address_phone','01738896888'),(342,13,'string','billing_address_email','oliver@gmail.com'),(343,13,'string','billing_address_city','Mymensingh'),(344,13,'string','billing_address_state','Mymensingh Division'),(345,13,'string','billing_address_zip','1222'),(346,13,'string','billing_address_country','Bangladesh'),(347,13,'string','billing_address_type_of_place','home'),(348,13,'string','billing_address_address_1','Road no 12, House no 12'),(349,13,'string','billing_address_address_2',NULL),(350,13,'string','billing_address_created_at',NULL),(351,13,'string','billing_address_updated_at',NULL),(352,13,'string','shipping_address_first_name','Oliver'),(353,13,'string','shipping_address_last_name',NULL),(354,13,'string','shipping_address_phone','01738896888'),(355,13,'string','shipping_address_email','oliver@gmail.com'),(356,13,'string','shipping_address_city','Mymensingh'),(357,13,'string','shipping_address_state','Mymensingh Division'),(358,13,'string','shipping_address_zip','1222'),(359,13,'string','shipping_address_country','Bangladesh'),(360,13,'string','shipping_address_type_of_place','home'),(361,13,'string','shipping_address_address_1','Road no 12, House no 12'),(362,13,'string','shipping_address_address_2',NULL),(363,13,'string','shipping_address_created_at',NULL),(364,13,'string','shipping_address_updated_at',NULL),(365,13,'string','track_code','RCN6ORFAOJ'),(366,13,'array','download_data','[{\"id\":1,\"download_limit\":\"5\",\"download_expiry\":\"10\",\"link\":\"http:\\/\\/localhost\\/laravel\\/public\\/uploads\\/20221129\\/659a1abaf5aa9f57f209e3009f7402a0.jpg\",\"download_times\":0,\"is_accessible\":1,\"vendor_id\":2,\"name\":\"Branding PSD Mockups For Your Business\",\"f_name\":\"Aug_25_-_White_And_Green_Envelope_01 1.jpg\"}]'),(367,14,'string','billing_address_id','13'),(368,14,'string','billing_address_first_name','Elijah'),(369,14,'string','billing_address_last_name',NULL),(370,14,'string','billing_address_phone','01738896777'),(371,14,'string','billing_address_email','elijah@gmail.com'),(372,14,'string','billing_address_city','baodi'),(373,14,'string','billing_address_state','Fujian'),(374,14,'string','billing_address_zip','3300'),(375,14,'string','billing_address_country','China'),(376,14,'string','billing_address_type_of_place','home'),(377,14,'string','billing_address_address_1','Street 515'),(378,14,'string','billing_address_address_2',NULL),(379,14,'string','billing_address_created_at',NULL),(380,14,'string','billing_address_updated_at',NULL),(381,14,'string','shipping_address_first_name','Elijah'),(382,14,'string','shipping_address_last_name',NULL),(383,14,'string','shipping_address_phone','01738896777'),(384,14,'string','shipping_address_email','elijah@gmail.com'),(385,14,'string','shipping_address_city','baodi'),(386,14,'string','shipping_address_state','Fujian'),(387,14,'string','shipping_address_zip','3300'),(388,14,'string','shipping_address_country','China'),(389,14,'string','shipping_address_type_of_place','home'),(390,14,'string','shipping_address_address_1','Street 515'),(391,14,'string','shipping_address_address_2',NULL),(392,14,'string','shipping_address_created_at',NULL),(393,14,'string','shipping_address_updated_at',NULL),(394,14,'string','track_code','6RNEPEKXMM');
/*!40000 ALTER TABLE `orders_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pages`
--

DROP TABLE IF EXISTS `pages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pages` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `vendor_id` bigint DEFAULT NULL,
  `css` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `description` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `meta_title` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_description` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Active',
  `type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `layout` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'default',
  `default` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pages_vendor_id_index` (`vendor_id`),
  CONSTRAINT `pages_vendor_id_foreign` FOREIGN KEY (`vendor_id`) REFERENCES `vendors` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pages`
--

LOCK TABLES `pages` WRITE;
/*!40000 ALTER TABLE `pages` DISABLE KEYS */;
INSERT INTO `pages` VALUES (1,'About','about-us',NULL,'* { box-sizing: border-box; } body {margin: 0;}*{box-sizing:border-box;}body{margin:0;}.gjs-row{display:table;padding:10px;}.gjs-cell{width:8%;display:table-cell;height:75px;}#iz2a{color:black;}#iw9ry{padding:0 0 0 0;flex-wrap:nowrap;display:flex;}#i673i{padding:0 0 0 0;display:block;}#iwp5o{display:flex;align-items:center;justify-content:center;width:100%;position:relative;flex-direction:column;height:auto;}#inm3k{padding:0 0 0 0;margin:0 0 0 0;}#icj1c{padding:10px;margin:10px 0 0 0;display:flex;}.bg-white{background-color:#ffffff;}.flex.justify-content-center.flex-column{justify-content:center;}.flex.justify-content-center.align-items-center.flex-column{align-items:center;}#ind2f{color:#ff9c00;}#iwgo6{color:#ff9c00;}#ixys4{text-align:center;}.text-gray-12{color:#2c2c2c;}#id6ahw{padding:10px;}.border-t.border-gray-2{max-width:475px;}. xl\\:mt-7.text-gray-12.roboto-medium. xl\\:text-lg.leading-6.font-medium{max-width:538px;}.mt-5.text-gray-10.roboto-medium.font-medium. xl\\:text-sm.leading-6{max-width:535px;}.ml-4.lg\\:ml-4.xl\\:ml-32.\Z xl\\:ml-64. xl\\:ml-92{display:flex;width:auto;}.ml-4.lg\\:ml-4.xl\\:ml-32.\Z xl\\:ml-64. xl\\:ml-92.w-full{justify-content:flex-start;flex-wrap:wrap;}. xl\\:top-263p.h-53p.w-58p.object-contain.right-28{position:absolute;}.mt-84p.text-gray-12.roboto-bold.font-bold{font-size:18px;line-height:23px;}.w-1\\/2{border:0 solid #898989;}.w-1\\/2.text-15p.roboto-medium{font-weight:500;border:0 solid black;}.w-1\\/2.text-15.roboto-medium.text-gray-10. xl\\:px-16{line-height:25px;}.bg-white.card-shadow.round-sm.px-4.flex.h-auto.justify-content-center.align-items-center.flex-column.gap-5.py-6{max-width:274px;width:274px;}.roboto-medium.font-medium. xl\\:text-sm.text-gray-10.leading-22p{padding:0 0 60px 0;color:#898989;}.roboto-medium.font-medium. xl\\:text-sm.leading-22p{padding:0 0 60px 0;color:#898989;}.text-base.leading-5.dm-sans{font-weight:500;}#i6w3eb{color:black;}#i94hy1{color:black;}#iaz1qr{color:black;}#ic2i2b{color:black;}#iniflh{color:black;}#ijkqti{color:black;}.flex{background-image:none;background-repeat:repeat;background-position:left top;background-attachment:scroll;background-size:auto;}#idtv9i{display:flex;}#iqhvfb{background-repeat:no-repeat;background-position:center center;background-attachment:scroll;background-size:auto;}#i5drou{display:flex;justify-content:space-between;}#io4pk6{color:black;max-width:100%;}.h-5p.bg-yellow-1.-mt-3{width:156px;}.uppercase.dm-bold.font-bold{font-size:18px;font-weight:700;line-height:23px;}.uppercase.dm-bold.font-bold. xl\\:text-lg{color:#2c2c2c;}#ie080v{line-height:34px;}#i311aj{display:flex;}#ijtdjk{color:#ff9c00;font-weight:700;}.pl-1{color:#2c2c2c;font-weight:700;}#iiok04{color:#898989;}#ia5m3m{justify-content:space-between;}#i99ltn{color:#2c2c2c;}#iyxi{font-size:42px;}.dm-bold{font-size:26px;margin:15px 0 0 0;font-weight:700;}.dm-bold.uppercase{font-weight:700;}.md\\:justify-start.justify-center.flex{color:#2c2c2c;}#iu0yo8{color:#2c2c2c;}#idw021{color:#2c2c2c;}.h-5p.bg-yellow-1.-mt-3.mx-auto{width:112px;}#ionpuc{display:flex;justify-content:center;}#iwwa24{color:#ff9c00;}#ig9324{color:#2c2c2c;}.mx-auto.text-center{display:flex;justify-content:center;}. xl\\:text-lg.font-bold.dm-bold.text-gray-12.leading-22p{line-height:22px;font-size:18px;}.pr-1{color:#2c2c2c;}.flex.process-goto.relative.lg\\:mt-30p.md\\:mt-15p.mt-30p.text-base.px-50p.h-46p.justify-center.text-center.rounded-sm.items-center.bg-yellow-1.dm-bold.font-bold{font-size:16px;font-weight:700;line-height:21px;}#i1xb89{font-size:15px;line-height:25px;font-weight:500;color:#898989;}#iql38g{color:black;}#iq53hu{color:black;}#inu4as{color:black;}#iuhjgm{justify-content:center;}#ivtl94{justify-content:center;}#izke46{justify-content:center;}#i0caj1{color:black;height:191px;}#i94nnj{color:black;height:456px;}.mt-5.rounded-lg.mx-auto{height:456px;}.mx-4.lg\\:mx-4.xl\\:mx-32.\Z xl\\:mx-64. xl\\:mx-92.text-center.mt-20{font-size:22px;line-height:29px;color:#2c2c2c;font-weight:500;}.mr-2{color:#2c2c2c;}#imtb59{width:131px;}.h-full.bg-white.w-full{border:1px solid black;}#iq3das{padding:26px 10px 30px 10px;}#izhl73{color:black;width:50px;height:50px;}#icefeh{line-height:33px;}#ifuxbj{color:black;width:50px;height:50px;}#iuvlcl{color:black;width:50px;height:50px;}#ixgkqw{line-height:33px;}#iqsqch{padding:26px 10px 30px 10px;}#ivl39a{color:black;width:50px;height:50px;}#i1kpvn{padding:26px 10px 30px 10px;}#idowol{line-height:33px;}#i79u6h{line-height:33px;}#ie4fqk{padding:26px 10px 30px 10px;}@media (max-width: 768px){.gjs-cell{width:100%;display:block;}}','<body id=\"igdc\"><div id=\"iw9ry\" class=\"gjs-row ml-4 lg:ml-4 xl:ml-32 2xl:ml-64 3xl:ml-92 lg:flex-row flex-col\"><div class=\"w-full lg:w-1/2\" id=\"i43e76\"><div id=\"i4wkol\"><nav aria-label=\"Breadcrumb\" id=\"imem\" class=\"text-gray-600 3xl:text-sm mb-3-5 mt-50p\"><ol class=\"list-none p-0 flex flex-wrap md:inline-flex text-xs md:text-sm roboto-medium font-medium text-gray-10 leading-5\"><li class=\"flex items-center\"><svg width=\"13\" height=\"15\" viewBox=\"0 0 13 15\" fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\" class=\"-mt-1 mr-2\"><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M5.35643 1.89407C4.93608 2.1717 4.43485 2.59943 3.69438 3.23412L2.916 3.9013C2.0595 4.63545 1.82512 4.85827 1.69934 5.13174C1.57357 5.4052 1.55692 5.72817 1.55692 6.85625V10.1569C1.55692 10.9127 1.55857 11.4013 1.60698 11.7613C1.65237 12.099 1.72565 12.2048 1.7849 12.264C1.84416 12.3233 1.94997 12.3966 2.28759 12.442C2.64759 12.4904 3.13619 12.492 3.89206 12.492H8.56233C9.31819 12.492 9.80679 12.4904 10.1668 12.442C10.5044 12.3966 10.6102 12.3233 10.6695 12.264C10.7287 12.2048 10.802 12.099 10.8474 11.7613C10.8958 11.4013 10.8975 10.9127 10.8975 10.1569V6.85625C10.8975 5.72817 10.8808 5.4052 10.755 5.13174C10.6293 4.85827 10.3949 4.63545 9.53838 3.9013L8.76 3.23412C8.01953 2.59943 7.5183 2.1717 7.09795 1.89407C6.69581 1.62848 6.44872 1.55676 6.22719 1.55676C6.00566 1.55676 5.75857 1.62848 5.35643 1.89407ZM4.49849 0.595063C5.03749 0.239073 5.5849 0 6.22719 0C6.86948 0 7.41689 0.239073 7.95589 0.595063C8.4674 0.932894 9.04235 1.42573 9.7353 2.01972L10.5515 2.71933C10.5892 2.75162 10.6264 2.78347 10.6632 2.81492C11.3564 3.40806 11.8831 3.85873 12.1694 4.48124C12.4557 5.10375 12.4551 5.79693 12.4543 6.70926C12.4543 6.75764 12.4542 6.80662 12.4542 6.85625L12.4542 10.2081C12.4543 10.8981 12.4543 11.4927 12.3903 11.9688C12.3217 12.479 12.167 12.9681 11.7703 13.3648C11.3736 13.7615 10.8845 13.9162 10.3742 13.9848C9.89812 14.0488 9.30358 14.0488 8.61355 14.0488H3.84083C3.1508 14.0488 2.55626 14.0488 2.08015 13.9848C1.56991 13.9162 1.08082 13.7615 0.68411 13.3648C0.2874 12.9681 0.132701 12.479 0.064101 11.9688C9.07021e-05 11.4927 0.000124017 10.8981 0.000162803 10.2081L0.000164659 6.85625C0.000164659 6.80662 0.000122439 6.75763 8.07765e-05 6.70926C-0.000705247 5.79693 -0.00130245 5.10374 0.285011 4.48124C0.571324 3.85873 1.09802 3.40806 1.79122 2.81492C1.82798 2.78347 1.8652 2.75162 1.90288 2.71933L2.68126 2.05215C2.69391 2.0413 2.70652 2.03049 2.71909 2.01972C3.41204 1.42573 3.98698 0.932893 4.49849 0.595063Z\" fill=\"#898989\"></path><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M3.50293 9.37853C3.50293 8.51876 4.19991 7.82178 5.05969 7.82178H7.39482C8.25459 7.82178 8.95158 8.51876 8.95158 9.37853V13.2704C8.95158 13.7003 8.60309 14.0488 8.1732 14.0488C7.74331 14.0488 7.39482 13.7003 7.39482 13.2704V9.37853H5.05969V13.2704C5.05969 13.7003 4.71119 14.0488 4.28131 14.0488C3.85142 14.0488 3.50293 13.7003 3.50293 13.2704V9.37853Z\" fill=\"#898989\"></path></svg><a href=\"javascript:void(0)\">Home</a><p class=\"px-4\">/\r\n                </p></li><li class=\"flex items-center text-gray-12\"><a href=\"javascript:void(0)\">About Us</a></li></ol></nav></div><p id=\"iyxi\" class=\"dm-bold uppercase\"><span id=\"i70fog\" class=\"text-gray-12\">About </span><span id=\"ind2f\">MARTVILL</span></p><section class=\"bdg-sect\"><p id=\"idw3s\" class=\"text-gray-12 dm-regular font-normal 3xl:text-lg pl-5p pb-6 text-sm\">A revolution in the e-commerce industry since 2022.<br/>\r\n                The best online shopping experience.</p><div id=\"id6ahw\" class=\"border-t border-gray-2\"></div><p id=\"iy3h\" class=\"3xl:mt-7 text-gray-12 roboto-medium 3xl:text-lg leading-6 font-medium text-sm mt-3\">Martvill Multivendor E-Commerce gives you a chance to quickly and easily find the product you want and have it delivered to your home in no time, wherever you are, giving you the best online shopping experience.</p></section><section class=\"bdg-sect\"></section></div><img id=\"iz2a\" src=\"../public/uploads/20221023/dd326c71b2a82a9648147e04807b91d9.webp\" class=\"w-full h-full lg:w-1/2\"/></div><div id=\"i673i\" class=\"gjs-row\"><div id=\"iwp5o\" class=\"gjs-cell\"><div id=\"inm3k\"><p id=\"i7tr5\" class=\"mt-84p text-gray-12 roboto-bold font-bold\">OUR SPECIALITIES</p><div id=\"iqiow2\" class=\"h-5p bg-yellow-1 -mt-3\"></div></div><div id=\"icj1c\" class=\"dm-bold uppercase text-2xl flex-col lg:flex-row text-center items-center\"><p id=\"ia42l\">REASONS YOU SHOULD SHOP FROM</p><span id=\"iwgo6\" class=\"pl-1\">MARTVILL</span></div><p id=\"ixys4\" class=\"text-15 roboto-medium text-gray-10 3xl:px-16 mb-125p w-full lg:w-1/2\">Collective experience of our team members and the years we have spent in the business allowed us to develop a vast network of suppliers, ensuring that our customers will always find what they are looking for.</p><div class=\"flex gap-4 mx-4 xl:mx-32 2xl:mx-64 3xl:mx-92 lg:flex-row flex-col\" id=\"iis97t\"><div class=\"h-full bg-white w-full rounded-lg\" id=\"intm62\"><img src=\"../public/uploads/20221023/e89eb4b2bbcdd836c8ad8652b66007ad.webp\" id=\"ifuxbj\" class=\"m-auto mt-10\"/><p class=\"dm-bold font-bold 3xl:text-lg text-gray-12 text-base text-center\" id=\"icefeh\">Over 1+ Million<br />\r\n                Regular Customers</p><p class=\"roboto-medium font-medium 3xl:text-sm leading-22p text-xs text-center\" id=\"iq3das\">You receive your product on time regarless of your location.Conditions applied.</p></div><div class=\"h-full bg-white w-full rounded-lg\" id=\"ilevs2\"><img src=\"../public/uploads/20221023/e6e4462aa3fe59341ab24cfd2b27138c.webp\" id=\"iuvlcl\" class=\"m-auto mt-10\"/><p class=\"dm-bold font-bold 3xl:text-lg text-gray-12 text-base text-center\" id=\"ixgkqw\">Regulars<br />\r\n                Offers &amp; Discounts</p><p class=\"roboto-medium font-medium 3xl:text-sm leading-22p text-xs text-center\" id=\"iqsqch\">We are in collaboration with among<br />\r\n                the finest brands all around the whole world</p></div><div class=\"h-full bg-white w-full rounded-lg\" id=\"i36xyq\"><img src=\"../public/uploads/20221023/3e57b0ba98149f2efad21559619dd907.webp\" id=\"ivl39a\" class=\"m-auto mt-10\"/><p class=\"dm-bold font-bold 3xl:text-lg text-gray-12 text-base text-center\" id=\"idowol\">International<br />\r\n                Brands</p><p class=\"roboto-medium font-medium 3xl:text-sm leading-22p text-xs text-center\" id=\"i1kpvn\">Our tools are designed based on the best e-commerce experience for both sellers&nbsp;</p></div><div class=\"h-full bg-white w-full rounded-lg\" id=\"i8puaf\"><img src=\"../public/uploads/20221023/08099ace02ba37e041fd6ee2d80fedbd.webp\" id=\"izhl73\" class=\"m-auto mt-10\"/><p class=\"dm-bold font-bold 3xl:text-lg text-gray-12 text-base text-center\" id=\"i79u6h\">Worldwide<br />\r\n                Free Shipping</p><p class=\"roboto-medium font-medium 3xl:text-sm leading-22p text-xs text-center\" id=\"ie4fqk\">You receive your product on time regarless of your location. Conditions applied.</p></div></div></div></div><section id=\"ia0rix\" class=\"text-gray-600 body-font\"><div id=\"iapri2\" class=\"grid 3xl:mx-92 2xl:mx-64 xl:mx-32 mx-4 mt-24 grid-cols-2 lg:grid-cols-4 xl:grid-cols-6\"><img id=\"iaz1qr\" src=\"../public/uploads/20221107/3fa5a5377a6b9e29cefd1d4b98c5d4ac.webp\" class=\"m-auto\"/><img id=\"ijkqti\" src=\"../public/uploads/20221107/5888c7a26a62ee10fe84b84c71040be2.webp\" class=\"m-auto\"/><img id=\"iniflh\" src=\"../public/uploads/20221107/098e77ff7f3c2e30744173339bc59f79.webp\" class=\"m-auto\"/><img id=\"i94hy1\" src=\"../public/uploads/20221107/2fee49fc8d7015087033817ba0e8652a.webp\" class=\"m-auto\"/><img id=\"ic2i2b\" src=\"../public/uploads/20221107/f690d3b6a6d4ff3132ea63bbec084576.webp\" class=\"m-auto\"/><img id=\"i6w3eb\" src=\"../public/uploads/20221107/61c22bf29805ead0515ee9f3a25fe423.webp\" class=\"m-auto\"/></div><div id=\"iqhvfb\" class=\"mx-4 lg:mx-4 xl:mx-32 2xl:mx-64 3xl:mx-92\"><div id=\"idtv9i\" class=\"lg:flex-row flex-col lg:justify-between justify-start gap-5\"><div id=\"invpzq\" class=\"mt-48 w-full lg:w-1/2\"><div id=\"idl5un\" class=\"dm-bold font-bold uppercase mt-40\"><p id=\"i99ltn\">Join us today</p></div><div id=\"imtb59\" class=\"h-5p bg-yellow-1 -mt-3\"></div><div id=\"ie080v\" class=\"dm-sans mt-4 3xl:text-2xl\"><p id=\"idw021\" class=\"3xl:text-26 text-xl dm-sans font-medium-\">TRUSTED BY MILLIONS  FROM</p></div><div id=\"i311aj\" class=\"3xl:text-40 3xl:leading-52p text-3xl\"><div id=\"ijtdjk\"><p id=\"if8zxw\">ALL AROUND</p></div><div id=\"icrus1\" class=\"pl-1\"><p id=\"iilwha\">THE WORLD!</p></div></div><div id=\"iiok04\" class=\"roboto-medium 3xl:text-base mt-4 font-medium text-xs\"><p id=\"ivre0f\">Our dedicated team works with among the best courier services in the world making sure your product is delivered safe and on time.</p></div><div id=\"iuhb5m\"><div id=\"i5drpk\" class=\"md:justify-start justify-center flex\"><a href=\"#\" class=\"flex process-goto relative lg:mt-30p md:mt-15p mt-30p text-base px-50p h-46p justify-center text-center rounded-sm items-center bg-yellow-1 dm-bold font-bold\"><span class=\"mr-2\">Join Martvill</span><svg xmlns=\"http://www.w3.org/2000/svg\" width=\"13\" height=\"8\" viewBox=\"0 0 13 8\" fill=\"none\" class=\"ml-2-5 relative\"><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M8.92948 0L7.75346 1.20177L9.66016 3.15022H1.68894C1.22968 3.15022 0.857371 3.53068 0.857371 4C0.857371 4.46932 1.22968 4.84978 1.68894 4.84978H9.66016L7.75346 6.79823L8.92948 8L12.8438 4L8.92948 0Z\" fill=\"#2C2C2C\"></path></svg></a></div></div></div><div id=\"i5drou\" class=\"w-full lg:w-1/2 lg:flex-row flex-col\"><img id=\"io4pk6\" src=\"../public/uploads/20221108/3f73cb299d19c3c11f5f7d92595efab5.webp\" class=\"rounded-lg\"/></div></div><div id=\"ia5m3m\"></div></div><div id=\"ih6m9b\" class=\"text-center mx-4 lg:mx-4 xl:mx-32 2xl:mx-64 3xl:mx-92\"><div id=\"ilkobe\" class=\"dm-bold font-bold uppercase mt-40\"><p id=\"iu0yo8\">WORLDWIDE</p></div><div id=\"iy51in\" class=\"h-5p bg-yellow-1 -mt-3 mx-auto\"></div><div id=\"ionpuc\" class=\"dm-bold\"><div id=\"ii8tnt\" class=\"pr-1\"><p id=\"i5savp\">AROUND</p></div><div id=\"iwwa24\"><p id=\"iqakjf\">MARTVILL</p><p> </p></div><div id=\"ig9324\"></div></div><div id=\"i1xb89\" class=\"roboto-medium lg:px-24 px-5\"><p id=\"iaujdi\">We have been in the business for quite a while now, and in that time we have not only managed to make close relationships with numerous suppliers all over the world, but also recognized what people need. This means that we are always able to offer all the latest products, great prices, reliable service, fast service and premium customer support.</p></div><div id=\"iuhjgm\" class=\"grid grid-cols-3 gap-5 mt-12\"><img id=\"iql38g\" src=\"../public/uploads/20221108/c986fe071b7e25f4b47f4f0baff8aace.webp\" class=\"mx-auto h-full object-cover\"/><div id=\"ivtl94\"><img id=\"iq53hu\" src=\"../public/uploads/20221108/af797af08d0215d5bdc177a2daf2ec2e.webp\" class=\"mx-auto\"/><img id=\"inu4as\" src=\"../public/uploads/20221108/b3e1d94f80452656f64823e35f5f7195.webp\" class=\"mt-5 mx-auto\"/></div><div id=\"izke46\"><img id=\"i0caj1\" src=\"../public/uploads/20221108/afa834353adb5b10a753ac2e749a2eca.webp\"/><img id=\"i94nnj\" src=\"../public/uploads/20221108/cd8aeaddd2fd7721626e5c0a2edb942c.webp\" class=\"rounded-lg mt-5 object-cover\"/></div></div></div><p id=\"ia0rij\" class=\"mx-4 lg:mx-4 xl:mx-32 2xl:mx-64 3xl:mx-92 text-center mt-20 dm-sans\">Have any queries? Give us a shoutout or come visit us for a cup of coffee.</p><div class=\"justify-center flex mb-20 mt-3\"><a href=\"#\" class=\"flex process-goto relative lg:mt-30p md:mt-15p mt-30p text-base px-50p h-46p justify-center text-center rounded-sm items-center bg-yellow-1 dm-bold font-bold\"><span class=\"mr-2\">Get in Touch</span><svg xmlns=\"http://www.w3.org/2000/svg\" width=\"13\" height=\"8\" viewBox=\"0 0 13 8\" fill=\"none\" class=\"ml-2-5 relative\"><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M8.92948 0L7.75346 1.20177L9.66016 3.15022H1.68894C1.22968 3.15022 0.857371 3.53068 0.857371 4C0.857371 4.46932 1.22968 4.84978 1.68894 4.84978H9.66016L7.75346 6.79823L8.92948 8L12.8438 4L8.92948 0Z\" fill=\"#2C2C2C\"></path></svg></a></div><div id=\"iynu9g\"></div></section></body>','About us','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum dapibus venenatis turpis vel vulputate. Donec in lacinia arcu. Aenean sapien magna, eleifend at gravida in, luctus a quam.','Active','page','default',0,NULL,NULL),(2,'Privacy Policy','privacy-policy',NULL,'* { box-sizing: border-box; } body {margin: 0;}*{box-sizing:border-box;}body{margin:0;}.gjs-row{display:table;padding:10px;width:100%;}.gjs-cell{width:8%;display:table-cell;height:75px;}#i2kh{background-image:url(\'../public/uploads/20220831/4aa551e593f7e3c1c0bb63b626738eb2.webp\');background-repeat:no-repeat;background-position:center center;background-attachment:scroll;background-size:cover;padding:100px 0 100px 0;background-color:rgba(168,168,168,0.68);}#i8zi{padding:0 0 0 0;color:#ffc000;text-align:center;font-size:36px;font-weight:700;}#ijw7{background-color:rgba(61,61,61,0.74);padding:30px 0 30px 0;}#ippp{padding:10px;text-align:center;color:#ffffff;}#ikqgf{padding:10px;}#iped7{padding:10px;}#i5heo{font-size:11pt;}#ij2rl{font-family:Arial;}#i2jym{color:#000000;}#ikqkj{font-size:11pt;}#ixt7z{font-family:Arial;}#itv8s{color:#000000;}#ik65g{font-size:11pt;}#iip3j{font-family:Arial;}#idt04{color:#000000;}#ixl4f{font-size:11pt;}#idv3l{font-family:Arial;}#in1cg{color:#000000;}#i9ndr{margin-left:40px;}#i9h05{list-style-type:disc;}#ifh8c{font-size:11pt;}#iw7v4{font-family:Arial;}#iy2uk{color:#000000;}#iaumk{list-style-type:disc;}#izrqj{font-size:11pt;}#ihucp{font-family:Arial;}#i1p3j{color:#000000;}#iqsxo{list-style-type:disc;}#iatre{font-size:11pt;}#i7z6d{font-family:Arial;}#icu4h{color:#000000;}#i5nuk{list-style-type:disc;}#i7fm7{font-size:11pt;}#iv2ug{font-family:Arial;}#i4cuk{color:#000000;}#ij0sa{list-style-type:disc;}#ix1ee{font-size:11pt;}#ic1au{font-family:Arial;}#i522f{color:#000000;}#iad7x{font-size:11pt;}#i32ew{font-family:Arial;}#ikaql{color:#000000;}#iqyb3{margin-left:40px;}#isj75{list-style-type:disc;}#irsnx{font-size:11pt;}#i7fwi{font-family:Arial;}#iqkow{color:#000000;}#iz0l8{list-style-type:disc;}#iceml{font-size:11pt;}#ivejh{font-family:Arial;}#i1ecw{color:#000000;}#i66yq{list-style-type:disc;}#ig68l{font-size:11pt;}#iwnb8{font-family:Arial;}#ijzeh{color:#000000;}#i7zo8{list-style-type:disc;}#i75m9{font-size:11pt;}#i43uf{font-family:Arial;}#icixj{color:#000000;}#ixaci{list-style-type:disc;}#i2k42{font-size:11pt;}#iw8xo{font-family:Arial;}#i5085{color:#000000;}#ix1qhy{font-size:11pt;}#ijqs3j{font-family:Arial;}#ijwnua{color:#000000;}#i3xlgq{font-size:11pt;}#inrjik{font-family:Arial;}#i0ayw9{color:#000000;}@media (max-width: 768px){.gjs-cell{width:100%;display:block;}}','<body><div id=\"i2kh\" class=\"gjs-row\"><div id=\"ijw7\" class=\"gjs-cell\"><div id=\"i8zi\"><p>Privacy Policy</p></div><div id=\"ippp\"><p>Last updated: October 24, 2022</p></div></div></div><div id=\"ie4vj\" class=\"gjs-row\"><p id=\"ibnry\"></p><div id=\"ikqgf\"></div><section class=\"bdg-sect\"></section><ul class=\"list-disc\"></ul><div id=\"iped7\"><p id=\"ifjiz\"><span id=\"i5heo\"><span id=\"ij2rl\"><span id=\"i2jym\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></span></span></p><p> </p><p><span id=\"ikqkj\"><span id=\"ixt7z\"><span id=\"itv8s\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></span></span><span id=\"ik65g\"><span id=\"iip3j\"><span id=\"idt04\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh. </span></span></span><span id=\"ixl4f\"><span id=\"idv3l\"><span id=\"in1cg\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></span></span></p><p> </p><ul id=\"i9ndr\"><li id=\"i9h05\"><span id=\"ifh8c\"><span id=\"iw7v4\"><span id=\"iy2uk\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></span></span></li><li id=\"iaumk\"><span id=\"izrqj\"><span id=\"ihucp\"><span id=\"i1p3j\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></span></span></li><li id=\"iqsxo\"><span id=\"iatre\"><span id=\"i7z6d\"><span id=\"icu4h\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></span></span></li><li id=\"i5nuk\"><span id=\"i7fm7\"><span id=\"iv2ug\"><span id=\"i4cuk\">Pellentesque in ipsum id orci porta dapibus.</span></span></span></li><li id=\"ij0sa\"><span id=\"ix1ee\"><span id=\"ic1au\"><span id=\"i522f\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></span></span></li></ul><p> </p><p><span id=\"iad7x\"><span id=\"i32ew\"><span id=\"ikaql\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></span></span></p><p> </p><ul id=\"iqyb3\"><li id=\"isj75\"><span id=\"irsnx\"><span id=\"i7fwi\"><span id=\"iqkow\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></span></span></li><li id=\"iz0l8\"><span id=\"iceml\"><span id=\"ivejh\"><span id=\"i1ecw\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></span></span></li><li id=\"i66yq\"><span id=\"ig68l\"><span id=\"iwnb8\"><span id=\"ijzeh\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></span></span></li><li id=\"i7zo8\"><span id=\"i75m9\"><span id=\"i43uf\"><span id=\"icixj\">Pellentesque in ipsum id orci porta dapibus.</span></span></span></li><li id=\"ixaci\"><span id=\"i2k42\"><span id=\"iw8xo\"><span id=\"i5085\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></span></span></li></ul><p> </p><p><span id=\"ix1qhy\"><span id=\"ijqs3j\"><span id=\"ijwnua\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></span></span><span id=\"i3xlgq\"><span id=\"inrjik\"><span id=\"i0ayw9\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></span></span></p><p> </p></div></div></body>','Vestibulum dapibus venenatis turpis vel vulputate.','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum dapibus venenatis turpis vel vulputate. Donec in lacinia arcu. Aenean sapien magna, eleifend at gravida in, luctus a quam.','Active','page','default',0,NULL,NULL),(3,'Refund Policy','refund-policy',NULL,'* { box-sizing: border-box; } body {margin: 0;}*{box-sizing:border-box;}body{margin:0;}#ik3p{padding:10px;margin:0 10% 0 10%;text-align:justify;}#iw94{font-size:60px;}#ibmiv{font-size:11pt;}#ig3zt{font-family:Arial;}#ig9sj{color:#000000;}#i3d45{font-size:11pt;}#iu8jn{font-family:Arial;}#iog74{color:#000000;}#iz21a{font-size:11pt;}#ilxbn{font-family:Arial;}#i9pk2{color:#000000;}#iojtc{margin-left:40px;}#i4kjv{list-style-type:disc;}#ibaab{font-size:11pt;}#ibfxi{font-family:Arial;}#i8zct{color:#000000;}#ihis3{list-style-type:disc;}#is69e{font-size:11pt;}#imvk5{font-family:Arial;}#iaghw{color:#000000;}#isbaz{list-style-type:disc;}#ioqlc{font-size:11pt;}#ixybw{font-family:Arial;}#ijrva{color:#000000;}#iml1q{list-style-type:disc;}#ish8y{font-size:11pt;}#i2zzh{font-family:Arial;}#inwar{color:#000000;}#im3b2{list-style-type:disc;}#i5j25{font-size:11pt;}#i8951{font-family:Arial;}#ixvsb{color:#000000;}#iwsnr{font-size:11pt;}#i2d4l{font-family:Arial;}#iiogw{color:#000000;}#i76he{font-size:11pt;}#iyvom{font-family:Arial;}#in5a5{color:#000000;}#i42jy{font-size:11pt;}#iqh7z{font-family:Arial;}#ij9fq{color:#000000;}#igb0z{margin-left:40px;}#iy118{list-style-type:disc;}#i59cn{font-size:11pt;}#iffml{font-family:Arial;}#iulyi{color:#000000;}#ila9n{list-style-type:disc;}#ighkk{font-size:11pt;}#iqoe2{font-family:Arial;}#ix4vp{color:#000000;}#ib6yg{list-style-type:disc;}#ikcwk{font-size:11pt;}#itd5j{font-family:Arial;}#i4tv7{color:#000000;}#ijzw9{list-style-type:disc;}#inuvk{font-size:11pt;}#ix0c8{font-family:Arial;}#iqa7j{color:#000000;}#ikohv{list-style-type:disc;}#iksv2{font-size:11pt;}#itmzk{font-family:Arial;}#i8i01{color:#000000;}#iykgv{font-size:11pt;}#iwjp1p{font-family:Arial;}#iw29fl{color:#000000;}#io1m{text-align:center;}','<body><span class=\"text-center flex justify-center\" id=\"iw94\">Refund policy</span><p id=\"io1m\">Welcome to the martvill marketplace</p><div id=\"ik3p\"><p><span id=\"ibmiv\"><span id=\"ig3zt\"><span id=\"ig9sj\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></span></span></p><p><span id=\"i3d45\"><span id=\"iu8jn\"><span id=\"iog74\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></span></span></p><p><span id=\"iz21a\"><span id=\"ilxbn\"><span id=\"i9pk2\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></span></span></p><p> </p><ul id=\"iojtc\"><li id=\"i4kjv\"><span id=\"ibaab\"><span id=\"ibfxi\"><span id=\"i8zct\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></span></span></li><li id=\"ihis3\"><span id=\"is69e\"><span id=\"imvk5\"><span id=\"iaghw\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></span></span></li><li id=\"isbaz\"><span id=\"ioqlc\"><span id=\"ixybw\"><span id=\"ijrva\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></span></span></li><li id=\"iml1q\"><span id=\"ish8y\"><span id=\"i2zzh\"><span id=\"inwar\">Pellentesque in ipsum id orci porta dapibus.</span></span></span></li><li id=\"im3b2\"><span id=\"i5j25\"><span id=\"i8951\"><span id=\"ixvsb\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></span></span></li></ul><p> </p><p><span id=\"iwsnr\"><span id=\"i2d4l\"><span id=\"iiogw\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></span></span><span id=\"i76he\"><span id=\"iyvom\"><span id=\"in5a5\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat. </span></span></span><span id=\"i42jy\"><span id=\"iqh7z\"><span id=\"ij9fq\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></span></span></p><p> </p><ul id=\"igb0z\"><li id=\"iy118\"><span id=\"i59cn\"><span id=\"iffml\"><span id=\"iulyi\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></span></span></li><li id=\"ila9n\"><span id=\"ighkk\"><span id=\"iqoe2\"><span id=\"ix4vp\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></span></span></li><li id=\"ib6yg\"><span id=\"ikcwk\"><span id=\"itd5j\"><span id=\"i4tv7\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></span></span></li><li id=\"ijzw9\"><span id=\"inuvk\"><span id=\"ix0c8\"><span id=\"iqa7j\">Pellentesque in ipsum id orci porta dapibus.</span></span></span></li><li id=\"ikohv\"><span id=\"iksv2\"><span id=\"itmzk\"><span id=\"i8i01\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></span></span></li></ul><p> </p><p><span id=\"iykgv\"><span id=\"iwjp1p\"><span id=\"iw29fl\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></span></span></p><p> </p></div></body>',NULL,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum dapibus venenatis turpis vel vulputate. Donec in lacinia arcu. Aenean sapien magna, eleifend at gravida in, luctus a quam.','Active','page','default',0,NULL,NULL),(4,'Digital Payments','digital-payments',NULL,'* { box-sizing: border-box; } body {margin: 0;}.gjs-row{display:table;padding:10px;width:100%;}.gjs-cell{width:8%;display:table-cell;height:75px;}#i4hu{height:150px;width:100%;text-align:center;}#i48o{padding:10px;height:150px;}#i96a{padding:10px 10% 10px 10%;}#ivba{width:100%;height:auto;}#ie0e{padding:10px 10% 10px 10%;text-align:justify;}@media (max-width: 768px){.gjs-cell{width:100%;display:block;}}','<body><div id=\"idi5\" class=\"gjs-row\"><div id=\"i4hu\" class=\"gjs-cell\"><div id=\"i48o\"><span id=\"iwiq\">Digital Payments</span><p id=\"idnv\">Welcome to the martvill marketplace</p></div></div></div><div id=\"ie0e\"><span id=\"izatl\">Welcome to Martvill Multi Market.</span><p id=\"iurxl\"><span id=\"i6ays\"><span id=\"i5l6m\"><span id=\"i2g1y\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat. </span></span></span><span id=\"it00b\"><span id=\"ike6m\"><span id=\"itwc6\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></span></span><span id=\"i0wfh\"><span id=\"i9v0z\"><span id=\"ik3l4\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh</span></span></span></p><p> </p><p><span id=\"illjr\">Martvill websites</span></p><p> </p><p><span id=\"i5rnc\"><span id=\"ibhli\"><span id=\"iznew\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat. </span></span></span><span id=\"ikb37\"><span id=\"ie9me\"><span id=\"i84gz\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></span></span></p><p><span id=\"if2hj\"><span id=\"idsx1\"><span id=\"ie8el\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></span></span></p><p> </p><p><span id=\"iaoto\">How browsing and vendor works?</span></p><p> </p><p><span id=\"i4egb\"><span id=\"i0ffn\"><span id=\"i57jh\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim. </span></span></span><span id=\"irox5\"><span id=\"ighpw\"><span id=\"i5699\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></span></span></p><p> </p><p><span id=\"iyahx\">Becoming an vendor</span></p><p><span id=\"ieu86\"><span id=\"ik65k\"><span id=\"iukih\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></span></span></p><p><span id=\"ijpuw\"><span id=\"ix01x\"><span id=\"igr1i\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></span></span></p><p> </p></div></body>','Cras maximus pretium finibus.','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum dapibus venenatis turpis vel vulputate. Donec in lacinia arcu. Aenean sapien magna, eleifend at gravida in, luctus a quam.','Active','page','default',0,NULL,NULL),(5,'Home','home-1',NULL,NULL,NULL,'Martvill - A super multivendor ecommerce platform.','Martvill is a complete eCommerce shopping platform for multiple vendors to sell their products online to customers. You can choose Martvill if you have planned to buy a Multi-vendor eCommerce site.','Active','home','default',1,NULL,NULL),(6,'Groceries','home-7',NULL,NULL,NULL,NULL,NULL,'Active','home','groceries',0,NULL,NULL),(7,'Fashion','home-8',NULL,NULL,NULL,NULL,NULL,'Active','home','fashion',0,NULL,NULL),(8,'Mixed','home-9',NULL,NULL,NULL,NULL,NULL,'Active','home','mixed',0,NULL,NULL),(9,'Contact Us','contact-us',NULL,'* { box-sizing: border-box; } body {margin: 0;}*{box-sizing:border-box;}body{margin:0;}#ie3j{justify-content:space-between;}#i77dl{border-radius:12px 12px 12px 12px;display:block;}#ifk9{margin:20px 0 50px 0;}#iv0vc{font-size:42px;font-weight:700;display:flex;line-height:55px;margin:14px 0 0 0;}#iia7g{color:#2c2c2c;}.pl-1{color:#ff9c00;}#iwjhg{font-size:18px;line-height:27px;color:#2c2c2c;margin:5px 0 0 0;}#iegke{background-color:#f4f4f4;border-radius:12px 12px 12px 12px;padding:32px 0 32px 32px;margin:36px 0 0 0;}#ivthu{font-size:18px;line-height:23px;color:#2c2c2c;font-weight:700;}#iyxqs{display:flex;}#i5xny{width:2px;height:23px;background-color:#fcca19;margin:0 8px 0 0;}#i9udb{margin:15px 0 0 0;font-size:16px;line-height:26px;color:#898989;font-weight:500;}#iwe8p{display:flex;margin:26px 0 0 0;}#i8b9g{display:flex;margin:26px 0 0 0;}#izb5k{color:black;background-color:#fcca19;padding:12px 12px 12px 12px;border-radius:4px 4px 4px 4px;margin:0 18px 0 0;}#ih8cs{font-size:16px;line-height:25px;color:#2c2c2c;font-weight:500;}#ifd56{display:flex;margin:30px 0 0 0;}#i4nzf{padding:12px 12px 12px 12px;background-color:#fcca19;margin:0 18px 0 0;border-radius:4px 4px 4px 4px;}#i6op6{font-size:16px;line-height:24px;font-weight:500;color:#2c2c2c;display:flex;}#iy44j{padding:12px 12px 12px 12px;background-color:#fcca19;border-radius:4px 4px 4px 4px;margin:0 18px 0 0;}#i3emb{font-size:16px;line-height:24px;font-weight:500;color:#2c2c2c;display:flex;}#ieftr{width:2px;height:23px;background-color:#fcca19;margin:0 8px 0 0;}#ispie{display:flex;}#ig3w7{font-size:18px;line-height:23px;font-weight:700;color:#2c2c2c;}#i3d0h{color:black;}#i6l6k{color:black;}#i1oew{color:black;}#i0c3t{color:black;}#iwh9j{color:black;}#i3h7a{color:black;}','<body><div id=\"ifk9\"><div id=\"ie3j\" class=\"grid mx-4 xl:mx-32 2xl:mx-64 3xl:mx-92 gap-5 grid-cols-1 lg:grid-cols-2\"><div id=\"i5jk\"><div id=\"i6n37\"><div class=\"mt-20\"><nav aria-label=\"Breadcrumb\" class=\"text-gray-600 text-sm\"><ol class=\"list-none p-0 flex flex-wrap md:inline-flex text-xs md:text-sm roboto-medium font-medium text-gray-10 leading-5\"><li class=\"flex items-center\"><svg width=\"13\" height=\"15\" viewBox=\"0 0 13 15\" fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\" class=\"-mt-1 mr-2\"><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M5.35643 1.89407C4.93608 2.1717 4.43485 2.59943 3.69438 3.23412L2.916 3.9013C2.0595 4.63545 1.82512 4.85827 1.69934 5.13174C1.57357 5.4052 1.55692 5.72817 1.55692 6.85625V10.1569C1.55692 10.9127 1.55857 11.4013 1.60698 11.7613C1.65237 12.099 1.72565 12.2048 1.7849 12.264C1.84416 12.3233 1.94997 12.3966 2.28759 12.442C2.64759 12.4904 3.13619 12.492 3.89206 12.492H8.56233C9.31819 12.492 9.80679 12.4904 10.1668 12.442C10.5044 12.3966 10.6102 12.3233 10.6695 12.264C10.7287 12.2048 10.802 12.099 10.8474 11.7613C10.8958 11.4013 10.8975 10.9127 10.8975 10.1569V6.85625C10.8975 5.72817 10.8808 5.4052 10.755 5.13174C10.6293 4.85827 10.3949 4.63545 9.53838 3.9013L8.76 3.23412C8.01953 2.59943 7.5183 2.1717 7.09795 1.89407C6.69581 1.62848 6.44872 1.55676 6.22719 1.55676C6.00566 1.55676 5.75857 1.62848 5.35643 1.89407ZM4.49849 0.595063C5.03749 0.239073 5.5849 0 6.22719 0C6.86948 0 7.41689 0.239073 7.95589 0.595063C8.4674 0.932894 9.04235 1.42573 9.7353 2.01972L10.5515 2.71933C10.5892 2.75162 10.6264 2.78347 10.6632 2.81492C11.3564 3.40806 11.8831 3.85873 12.1694 4.48124C12.4557 5.10375 12.4551 5.79693 12.4543 6.70926C12.4543 6.75764 12.4542 6.80662 12.4542 6.85625L12.4542 10.2081C12.4543 10.8981 12.4543 11.4927 12.3903 11.9688C12.3217 12.479 12.167 12.9681 11.7703 13.3648C11.3736 13.7615 10.8845 13.9162 10.3742 13.9848C9.89812 14.0488 9.30358 14.0488 8.61355 14.0488H3.84083C3.1508 14.0488 2.55626 14.0488 2.08015 13.9848C1.56991 13.9162 1.08082 13.7615 0.68411 13.3648C0.2874 12.9681 0.132701 12.479 0.064101 11.9688C9.07021e-05 11.4927 0.000124017 10.8981 0.000162803 10.2081L0.000164659 6.85625C0.000164659 6.80662 0.000122439 6.75763 8.07765e-05 6.70926C-0.000705247 5.79693 -0.00130245 5.10374 0.285011 4.48124C0.571324 3.85873 1.09802 3.40806 1.79122 2.81492C1.82798 2.78347 1.8652 2.75162 1.90288 2.71933L2.68126 2.05215C2.69391 2.0413 2.70652 2.03049 2.71909 2.01972C3.41204 1.42573 3.98698 0.932893 4.49849 0.595063Z\" fill=\"#898989\"></path><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M3.50293 9.37853C3.50293 8.51876 4.19991 7.82178 5.05969 7.82178H7.39482C8.25459 7.82178 8.95158 8.51876 8.95158 9.37853V13.2704C8.95158 13.7003 8.60309 14.0488 8.1732 14.0488C7.74331 14.0488 7.39482 13.7003 7.39482 13.2704V9.37853H5.05969V13.2704C5.05969 13.7003 4.71119 14.0488 4.28131 14.0488C3.85142 14.0488 3.50293 13.7003 3.50293 13.2704V9.37853Z\" fill=\"#898989\"></path></svg><a href=\"..\" id=\"il2mk\">Home</a><p class=\"px-2\">/</p></li><li><a href=\"javascript:void(0)\" aria-current=\"page\" class=\"text-gray-12\">Contact Us</a></li></ol></nav></div><div id=\"iv0vc\" class=\"dm-bold\"><div id=\"iia7g\"><p>GET IN</p></div><div id=\"ieeak\" class=\"pl-1\"><p>TOUCH</p></div></div><div id=\"iwwrv\"></div></div><div id=\"iwjhg\" class=\"dm-regular\"><p>If you have any queries, concerns or suggestions,<br/>\r\n                please contact us.</p></div><div id=\"i6uxw\"><div id=\"iegke\"><div id=\"iyxqs\"><div id=\"i5xny\"></div><div id=\"ivthu\" class=\"dm-bold\"><p>HEADQUARTERS</p></div></div><div id=\"i9udb\" class=\"dm-sans\"><p>Our team of professionals are live 24/7 and are<br/>\r\n                ready to help you get to your query.</p></div><div id=\"iyptk\"><div id=\"ifd56\"><div id=\"i8jf9\"><img src=\"../public/uploads/20221114/84214fc7d8147f994367bad5e360fb05.webp\" id=\"izb5k\"/></div><div id=\"i093w\"></div><div id=\"ih8cs\" class=\"dm-sans\"><p>184 Main Rd E, St Albans, San Francisco,<br/>\r\n                United States of America.</p></div></div></div><div id=\"iqfkw\"><div id=\"i8b9g\"><div id=\"ip87f\"></div><div id=\"i7yhb\"><img id=\"i4nzf\" src=\"../public/uploads/20221114/d3d95c9685b6785cdaabc5ea207175af.webp\"/></div><div id=\"i6op6\" class=\"dm-sans items-center\"><p>+46 963 350 1945, +46 746 346 84663</p></div></div></div><div id=\"i0bic\"><div id=\"iwe8p\"><div id=\"ikkkq\"></div><div id=\"i5le6\"><img id=\"iy44j\" src=\"../public/uploads/20221114/82f880076d18bafc3bdb1fdd7988f547.webp\"/></div><div id=\"i3emb\" class=\"items-center\"><p>support@martvill.com</p></div></div></div><div id=\"ispie\" class=\"mt-14\"><div id=\"ieftr\"></div><div id=\"ig3w7\" class=\"dm-bold uppercase\"><p>follow us on</p></div></div><div id=\"ige2g\" class=\"grid grid-cols-8 items-center mt-5\"><img id=\"i0c3t\" src=\"../public/uploads/20221114/4212b4d6425b622bf5391387b5446cea.webp\"/><img id=\"i1oew\" src=\"../public/uploads/20221114/b4bf139f125acf287becce5bbb4c96f6.webp\"/><img id=\"i3d0h\" src=\"../public/uploads/20221114/d509d72e02f0391123fc304d8b4fae99.webp\"/><img id=\"i6l6k\" src=\"../public/uploads/20221114/cf2e05536d870bf7dd728006ec4f0293.webp\"/><img id=\"i3h7a\" src=\"../public/uploads/20221114/c9d20e7377473a90fdcb58637f74c458.webp\"/><img id=\"iwh9j\" src=\"../public/uploads/20221114/fff0c6e58139ddbfc3c8ff2980db1b1e.webp\"/></div></div></div></div><img id=\"i77dl\" src=\"../public/uploads/20221114/2e782eb90a0f43efbcd964050fbd8929.webp\" class=\"w-full h-full\"/></div></div></body>','','','Active','page','default',0,NULL,NULL),(10,'Fashion V2','home-5',NULL,NULL,NULL,NULL,NULL,'Active','home','fashion_v2',0,NULL,NULL),(11,'Fashion V3','home-2',NULL,NULL,NULL,NULL,NULL,'Active','home','fashion_v3',0,NULL,NULL),(12,'Furniture','home-3',NULL,NULL,NULL,NULL,NULL,'Active','home','furniture',0,NULL,NULL),(13,'Fashion V4','home-4',NULL,NULL,NULL,NULL,NULL,'Active','home','fashion_v4',0,NULL,NULL),(14,'Digital','home-6',NULL,NULL,NULL,NULL,NULL,'Active','home','digital',0,NULL,NULL),(15,'Fashion V5','home-10',NULL,NULL,NULL,NULL,NULL,'Active','home','fashion_v5',0,NULL,NULL),(16,'Electronics','electronics',1,NULL,NULL,NULL,NULL,'Active','home','default',1,NULL,NULL),(17,'Furniture','furniture',16,NULL,NULL,NULL,NULL,'Active','home','default',1,NULL,NULL);
/*!40000 ALTER TABLE `pages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `password_resets`
--

DROP TABLE IF EXISTS `password_resets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `password_resets` (
  `email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `otp` int DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  KEY `password_resets_email_index` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `password_resets`
--

LOCK TABLES `password_resets` WRITE;
/*!40000 ALTER TABLE `password_resets` DISABLE KEYS */;
/*!40000 ALTER TABLE `password_resets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `payment_logs`
--

DROP TABLE IF EXISTS `payment_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `payment_logs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `unique_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sending_details` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `response_raw` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `response` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `gateway` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `total` decimal(16,8) NOT NULL,
  `currency_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `payment_logs_code_unique` (`code`),
  UNIQUE KEY `payment_logs_unique_code_unique` (`unique_code`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `payment_logs`
--

LOCK TABLES `payment_logs` WRITE;
/*!40000 ALTER TABLE `payment_logs` DISABLE KEYS */;
INSERT INTO `payment_logs` VALUES (1,'1',NULL,'{\"id\":1,\"user_id\":2,\"reference\":\"ORD-0001\",\"note\":null,\"order_date\":\"2022-12-17\",\"currency_id\":3,\"leave_door\":null,\"other_discount_amount\":\"0.00000000\",\"other_discount_type\":null,\"shipping_charge\":\"7.00000000\",\"tax_charge\":\"31.11900000\",\"shipping_title\":\"Flat Rate\",\"total\":\"923.11900000\",\"paid\":\"0.00000000\",\"total_quantity\":\"3.00000000\",\"amount_received\":\"0.00000000\",\"order_status_id\":1,\"is_delivery\":0,\"payment_status\":\"Unpaid\",\"created_at\":\"2022-12-17T00:55:18.000000Z\",\"updated_at\":null,\"currency\":{\"id\":3,\"name\":\"USD\",\"symbol\":\"$\",\"exchange_rate\":null,\"exchange_from\":null}}','{\"id\":\"ch_3MFwBIDpvvQP5tMR0lbiNwZf\",\"object\":\"charge\",\"amount\":92312,\"amount_captured\":92312,\"amount_refunded\":0,\"application\":null,\"application_fee\":null,\"application_fee_amount\":null,\"balance_transaction\":\"txn_3MFwBIDpvvQP5tMR0vQF3JPO\",\"billing_details\":{\"address\":{\"city\":null,\"country\":null,\"line1\":null,\"line2\":null,\"postal_code\":\"42424\",\"state\":null},\"email\":null,\"name\":null,\"phone\":null},\"calculated_statement_descriptor\":\"Stripe\",\"captured\":true,\"created\":1671267344,\"currency\":\"usd\",\"customer\":null,\"description\":null,\"destination\":null,\"dispute\":null,\"disputed\":false,\"failure_balance_transaction\":null,\"failure_code\":null,\"failure_message\":null,\"fraud_details\":[],\"invoice\":null,\"livemode\":false,\"metadata\":[],\"on_behalf_of\":null,\"order\":null,\"outcome\":{\"network_status\":\"approved_by_network\",\"reason\":null,\"risk_level\":\"normal\",\"risk_score\":53,\"seller_message\":\"Payment complete.\",\"type\":\"authorized\"},\"paid\":true,\"payment_intent\":null,\"payment_method\":\"card_1MFwBEDpvvQP5tMRMTdtLj4m\",\"payment_method_details\":{\"card\":{\"brand\":\"visa\",\"checks\":{\"address_line1_check\":null,\"address_postal_code_check\":\"pass\",\"cvc_check\":\"pass\"},\"country\":\"US\",\"exp_month\":4,\"exp_year\":2024,\"fingerprint\":\"nDMklnp2vXB7Q5g0\",\"funding\":\"credit\",\"installments\":null,\"last4\":\"4242\",\"mandate\":null,\"network\":\"visa\",\"three_d_secure\":null,\"wallet\":null},\"type\":\"card\"},\"receipt_email\":null,\"receipt_number\":null,\"receipt_url\":\"https:\\/\\/pay.stripe.com\\/receipts\\/payment\\/CAcaFwoVYWNjdF8xODRjVEFEcHZ2UVA1dE1SKJGI9pwGMgY43ahnVCc6LBanAjaXxA3vKWNGSITxju_Ym07UK4uzNZcU_0hvZefYoSXFbbLlttXAsa0T\",\"refunded\":false,\"refunds\":{\"object\":\"list\",\"data\":[],\"has_more\":false,\"total_count\":0,\"url\":\"\\/v1\\/charges\\/ch_3MFwBIDpvvQP5tMR0lbiNwZf\\/refunds\"},\"review\":null,\"shipping\":null,\"source\":{\"id\":\"card_1MFwBEDpvvQP5tMRMTdtLj4m\",\"object\":\"card\",\"address_city\":null,\"address_country\":null,\"address_line1\":null,\"address_line1_check\":null,\"address_line2\":null,\"address_state\":null,\"address_zip\":\"42424\",\"address_zip_check\":\"pass\",\"brand\":\"Visa\",\"country\":\"US\",\"customer\":null,\"cvc_check\":\"pass\",\"dynamic_last4\":null,\"exp_month\":4,\"exp_year\":2024,\"fingerprint\":\"nDMklnp2vXB7Q5g0\",\"funding\":\"credit\",\"last4\":\"4242\",\"metadata\":[],\"name\":null,\"tokenization_method\":null},\"source_transfer\":null,\"statement_descriptor\":null,\"statement_descriptor_suffix\":null,\"status\":\"succeeded\",\"transfer_data\":null,\"transfer_group\":null}','{\"amount\":923.12,\"amount_captured\":923.12,\"currency\":\"usd\",\"code\":\"ORD-0001\"}','Stripe',NULL,923.11900000,'USD','completed',NULL,NULL),(2,'2',NULL,'{\"id\":2,\"user_id\":2,\"reference\":\"ORD-0002\",\"note\":null,\"order_date\":\"2022-12-17\",\"currency_id\":3,\"leave_door\":null,\"other_discount_amount\":\"0.00000000\",\"other_discount_type\":null,\"shipping_charge\":\"0.00000000\",\"tax_charge\":\"2.02400000\",\"shipping_title\":\"Local Pickup\",\"total\":\"42.02400000\",\"paid\":\"0.00000000\",\"total_quantity\":\"1.00000000\",\"amount_received\":\"0.00000000\",\"order_status_id\":1,\"is_delivery\":0,\"payment_status\":\"Unpaid\",\"created_at\":\"2022-12-17T01:04:02.000000Z\",\"updated_at\":null,\"currency\":{\"id\":3,\"name\":\"USD\",\"symbol\":\"$\",\"exchange_rate\":null,\"exchange_from\":null}}','{\"id\":\"ch_3MFwJmDpvvQP5tMR0qEOx4pu\",\"object\":\"charge\",\"amount\":4202,\"amount_captured\":4202,\"amount_refunded\":0,\"application\":null,\"application_fee\":null,\"application_fee_amount\":null,\"balance_transaction\":\"txn_3MFwJmDpvvQP5tMR02L7Yduk\",\"billing_details\":{\"address\":{\"city\":null,\"country\":null,\"line1\":null,\"line2\":null,\"postal_code\":\"42424\",\"state\":null},\"email\":null,\"name\":null,\"phone\":null},\"calculated_statement_descriptor\":\"Stripe\",\"captured\":true,\"created\":1671267870,\"currency\":\"usd\",\"customer\":null,\"description\":null,\"destination\":null,\"dispute\":null,\"disputed\":false,\"failure_balance_transaction\":null,\"failure_code\":null,\"failure_message\":null,\"fraud_details\":[],\"invoice\":null,\"livemode\":false,\"metadata\":[],\"on_behalf_of\":null,\"order\":null,\"outcome\":{\"network_status\":\"approved_by_network\",\"reason\":null,\"risk_level\":\"normal\",\"risk_score\":0,\"seller_message\":\"Payment complete.\",\"type\":\"authorized\"},\"paid\":true,\"payment_intent\":null,\"payment_method\":\"card_1MFwJiDpvvQP5tMRCklliEix\",\"payment_method_details\":{\"card\":{\"brand\":\"visa\",\"checks\":{\"address_line1_check\":null,\"address_postal_code_check\":\"pass\",\"cvc_check\":\"pass\"},\"country\":\"US\",\"exp_month\":4,\"exp_year\":2024,\"fingerprint\":\"nDMklnp2vXB7Q5g0\",\"funding\":\"credit\",\"installments\":null,\"last4\":\"4242\",\"mandate\":null,\"network\":\"visa\",\"three_d_secure\":null,\"wallet\":null},\"type\":\"card\"},\"receipt_email\":null,\"receipt_number\":null,\"receipt_url\":\"https:\\/\\/pay.stripe.com\\/receipts\\/payment\\/CAcaFwoVYWNjdF8xODRjVEFEcHZ2UVA1dE1SKJ-M9pwGMgYjGJ3nca06LBZs9XrmhEYCYj7gGKJA94RrFC6p0-TGJQmNXqoIhggjjqfaaQBHDY4x_Gug\",\"refunded\":false,\"refunds\":{\"object\":\"list\",\"data\":[],\"has_more\":false,\"total_count\":0,\"url\":\"\\/v1\\/charges\\/ch_3MFwJmDpvvQP5tMR0qEOx4pu\\/refunds\"},\"review\":null,\"shipping\":null,\"source\":{\"id\":\"card_1MFwJiDpvvQP5tMRCklliEix\",\"object\":\"card\",\"address_city\":null,\"address_country\":null,\"address_line1\":null,\"address_line1_check\":null,\"address_line2\":null,\"address_state\":null,\"address_zip\":\"42424\",\"address_zip_check\":\"pass\",\"brand\":\"Visa\",\"country\":\"US\",\"customer\":null,\"cvc_check\":\"pass\",\"dynamic_last4\":null,\"exp_month\":4,\"exp_year\":2024,\"fingerprint\":\"nDMklnp2vXB7Q5g0\",\"funding\":\"credit\",\"last4\":\"4242\",\"metadata\":[],\"name\":null,\"tokenization_method\":null},\"source_transfer\":null,\"statement_descriptor\":null,\"statement_descriptor_suffix\":null,\"status\":\"succeeded\",\"transfer_data\":null,\"transfer_group\":null}','{\"amount\":42.02,\"amount_captured\":42.02,\"currency\":\"usd\",\"code\":\"ORD-0002\"}','Stripe',NULL,42.02400000,'USD','completed',NULL,NULL),(3,'3',NULL,'{\"id\":3,\"user_id\":2,\"reference\":\"ORD-0003\",\"note\":null,\"order_date\":\"2022-12-17\",\"currency_id\":3,\"leave_door\":null,\"other_discount_amount\":\"0.00000000\",\"other_discount_type\":null,\"shipping_charge\":\"2.00000000\",\"tax_charge\":\"1.26500000\",\"shipping_title\":\"Flat Rate\",\"total\":\"28.26500000\",\"paid\":\"0.00000000\",\"total_quantity\":\"1.00000000\",\"amount_received\":\"0.00000000\",\"order_status_id\":1,\"is_delivery\":0,\"payment_status\":\"Unpaid\",\"created_at\":\"2022-12-17T01:16:02.000000Z\",\"updated_at\":null,\"currency\":{\"id\":3,\"name\":\"USD\",\"symbol\":\"$\",\"exchange_rate\":null,\"exchange_from\":null}}','{\"status\":\"succeeded\",\"amount\":\"28.26500000\",\"currency\":\"USD\"}','{\"amount\":0.28265,\"amount_captured\":0,\"currency\":\"USD\",\"code\":\"ORD-0003\"}','CashOnDelivery',NULL,28.26500000,'USD','completed',NULL,NULL),(4,'4',NULL,'{\"id\":4,\"user_id\":2,\"reference\":\"ORD-0004\",\"note\":null,\"order_date\":\"2022-12-17\",\"currency_id\":3,\"leave_door\":null,\"other_discount_amount\":\"0.00000000\",\"other_discount_type\":null,\"shipping_charge\":\"2.00000000\",\"tax_charge\":\"3.79500000\",\"shipping_title\":\"Flat Rate\",\"total\":\"80.79500000\",\"paid\":\"0.00000000\",\"total_quantity\":\"1.00000000\",\"amount_received\":\"0.00000000\",\"order_status_id\":1,\"is_delivery\":0,\"payment_status\":\"Unpaid\",\"created_at\":\"2022-12-17T01:19:07.000000Z\",\"updated_at\":null,\"currency\":{\"id\":3,\"name\":\"USD\",\"symbol\":\"$\",\"exchange_rate\":null,\"exchange_from\":null}}',NULL,NULL,NULL,NULL,80.79500000,'USD','pending',NULL,NULL),(5,'5',NULL,'{\"id\":5,\"user_id\":2,\"reference\":\"ORD-0005\",\"note\":null,\"order_date\":\"2022-12-17\",\"currency_id\":3,\"leave_door\":null,\"other_discount_amount\":\"0.00000000\",\"other_discount_type\":null,\"shipping_charge\":\"0.00000000\",\"tax_charge\":\"1.26500000\",\"shipping_title\":\"Local Pickup\",\"total\":\"26.26500000\",\"paid\":\"0.00000000\",\"total_quantity\":\"1.00000000\",\"amount_received\":\"0.00000000\",\"order_status_id\":1,\"is_delivery\":0,\"payment_status\":\"Unpaid\",\"created_at\":\"2022-12-17T01:21:50.000000Z\",\"updated_at\":null,\"currency\":{\"id\":3,\"name\":\"USD\",\"symbol\":\"$\",\"exchange_rate\":null,\"exchange_from\":null}}',NULL,NULL,NULL,NULL,26.26500000,'USD','pending',NULL,NULL),(6,'6',NULL,'{\"id\":6,\"user_id\":2,\"reference\":\"ORD-0006\",\"note\":null,\"order_date\":\"2022-12-17\",\"currency_id\":3,\"leave_door\":null,\"other_discount_amount\":\"0.00000000\",\"other_discount_type\":null,\"shipping_charge\":\"3.00000000\",\"tax_charge\":\"18.72200000\",\"shipping_title\":\"Flat Rate\",\"total\":\"391.72200000\",\"paid\":\"0.00000000\",\"total_quantity\":\"1.00000000\",\"amount_received\":\"0.00000000\",\"order_status_id\":1,\"is_delivery\":0,\"payment_status\":\"Unpaid\",\"created_at\":\"2022-12-17T01:24:24.000000Z\",\"updated_at\":null,\"currency\":{\"id\":3,\"name\":\"USD\",\"symbol\":\"$\",\"exchange_rate\":null,\"exchange_from\":null}}','{\"status\":\"succeeded\",\"amount\":\"391.72200000\",\"currency\":\"USD\"}','{\"amount\":3.91722,\"amount_captured\":0,\"currency\":\"USD\",\"code\":\"ORD-0006\"}','CashOnDelivery',NULL,391.72200000,'USD','completed',NULL,NULL),(7,'7',NULL,'{\"id\":7,\"user_id\":4,\"reference\":\"ORD-0007\",\"note\":null,\"order_date\":\"2022-12-17\",\"currency_id\":3,\"leave_door\":null,\"other_discount_amount\":\"0.00000000\",\"other_discount_type\":null,\"shipping_charge\":\"30.00000000\",\"tax_charge\":\"8.16000000\",\"shipping_title\":\"Flat Rate\",\"total\":\"446.16000000\",\"paid\":\"0.00000000\",\"total_quantity\":\"3.00000000\",\"amount_received\":\"0.00000000\",\"order_status_id\":1,\"is_delivery\":0,\"payment_status\":\"Unpaid\",\"created_at\":\"2022-12-17T01:29:06.000000Z\",\"updated_at\":null,\"currency\":{\"id\":3,\"name\":\"USD\",\"symbol\":\"$\",\"exchange_rate\":null,\"exchange_from\":null}}','{\"id\":\"ch_3MFwhyDpvvQP5tMR27k4DXVm\",\"object\":\"charge\",\"amount\":44616,\"amount_captured\":44616,\"amount_refunded\":0,\"application\":null,\"application_fee\":null,\"application_fee_amount\":null,\"balance_transaction\":\"txn_3MFwhyDpvvQP5tMR2h9GouMu\",\"billing_details\":{\"address\":{\"city\":null,\"country\":null,\"line1\":null,\"line2\":null,\"postal_code\":\"42424\",\"state\":null},\"email\":null,\"name\":null,\"phone\":null},\"calculated_statement_descriptor\":\"Stripe\",\"captured\":true,\"created\":1671269370,\"currency\":\"usd\",\"customer\":null,\"description\":null,\"destination\":null,\"dispute\":null,\"disputed\":false,\"failure_balance_transaction\":null,\"failure_code\":null,\"failure_message\":null,\"fraud_details\":[],\"invoice\":null,\"livemode\":false,\"metadata\":[],\"on_behalf_of\":null,\"order\":null,\"outcome\":{\"network_status\":\"approved_by_network\",\"reason\":null,\"risk_level\":\"normal\",\"risk_score\":27,\"seller_message\":\"Payment complete.\",\"type\":\"authorized\"},\"paid\":true,\"payment_intent\":null,\"payment_method\":\"card_1MFwhuDpvvQP5tMRBTHmizjE\",\"payment_method_details\":{\"card\":{\"brand\":\"visa\",\"checks\":{\"address_line1_check\":null,\"address_postal_code_check\":\"pass\",\"cvc_check\":\"pass\"},\"country\":\"US\",\"exp_month\":4,\"exp_year\":2024,\"fingerprint\":\"nDMklnp2vXB7Q5g0\",\"funding\":\"credit\",\"installments\":null,\"last4\":\"4242\",\"mandate\":null,\"network\":\"visa\",\"three_d_secure\":null,\"wallet\":null},\"type\":\"card\"},\"receipt_email\":null,\"receipt_number\":null,\"receipt_url\":\"https:\\/\\/pay.stripe.com\\/receipts\\/payment\\/CAcaFwoVYWNjdF8xODRjVEFEcHZ2UVA1dE1SKPqX9pwGMgaJn9DkGx06LBbedROY2jISpvh9rA82woayP2y9qgLM0Ta_JMaauWPziKRc-4biTPY_Z1GO\",\"refunded\":false,\"refunds\":{\"object\":\"list\",\"data\":[],\"has_more\":false,\"total_count\":0,\"url\":\"\\/v1\\/charges\\/ch_3MFwhyDpvvQP5tMR27k4DXVm\\/refunds\"},\"review\":null,\"shipping\":null,\"source\":{\"id\":\"card_1MFwhuDpvvQP5tMRBTHmizjE\",\"object\":\"card\",\"address_city\":null,\"address_country\":null,\"address_line1\":null,\"address_line1_check\":null,\"address_line2\":null,\"address_state\":null,\"address_zip\":\"42424\",\"address_zip_check\":\"pass\",\"brand\":\"Visa\",\"country\":\"US\",\"customer\":null,\"cvc_check\":\"pass\",\"dynamic_last4\":null,\"exp_month\":4,\"exp_year\":2024,\"fingerprint\":\"nDMklnp2vXB7Q5g0\",\"funding\":\"credit\",\"last4\":\"4242\",\"metadata\":[],\"name\":null,\"tokenization_method\":null},\"source_transfer\":null,\"statement_descriptor\":null,\"statement_descriptor_suffix\":null,\"status\":\"succeeded\",\"transfer_data\":null,\"transfer_group\":null}','{\"amount\":446.16,\"amount_captured\":446.16,\"currency\":\"usd\",\"code\":\"ORD-0007\"}','Stripe',NULL,446.16000000,'USD','completed',NULL,NULL),(8,'8',NULL,'{\"id\":8,\"user_id\":5,\"reference\":\"ORD-0008\",\"note\":null,\"order_date\":\"2022-12-17\",\"currency_id\":3,\"leave_door\":null,\"other_discount_amount\":\"0.00000000\",\"other_discount_type\":null,\"shipping_charge\":\"1.00000000\",\"tax_charge\":\"0.56000000\",\"shipping_title\":\"Local Pickup\",\"total\":\"79.56000000\",\"paid\":\"0.00000000\",\"total_quantity\":\"2.00000000\",\"amount_received\":\"0.00000000\",\"order_status_id\":1,\"is_delivery\":0,\"payment_status\":\"Unpaid\",\"created_at\":\"2022-12-17T01:36:10.000000Z\",\"updated_at\":null,\"currency\":{\"id\":3,\"name\":\"USD\",\"symbol\":\"$\",\"exchange_rate\":null,\"exchange_from\":null}}',NULL,NULL,NULL,NULL,79.56000000,'USD','pending',NULL,NULL),(9,'9',NULL,'{\"id\":9,\"user_id\":6,\"reference\":\"ORD-0009\",\"note\":null,\"order_date\":\"2022-12-17\",\"currency_id\":3,\"leave_door\":null,\"other_discount_amount\":\"0.00000000\",\"other_discount_type\":null,\"shipping_charge\":\"1.00000000\",\"tax_charge\":\"3.96000000\",\"shipping_title\":\"Local Pickup\",\"total\":\"202.96000000\",\"paid\":\"0.00000000\",\"total_quantity\":\"4.00000000\",\"amount_received\":\"0.00000000\",\"order_status_id\":1,\"is_delivery\":0,\"payment_status\":\"Unpaid\",\"created_at\":\"2022-12-17T01:42:08.000000Z\",\"updated_at\":null,\"currency\":{\"id\":3,\"name\":\"USD\",\"symbol\":\"$\",\"exchange_rate\":null,\"exchange_from\":null}}','{\"id\":\"ch_3MFwubDpvvQP5tMR1MF5kj6r\",\"object\":\"charge\",\"amount\":20296,\"amount_captured\":20296,\"amount_refunded\":0,\"application\":null,\"application_fee\":null,\"application_fee_amount\":null,\"balance_transaction\":\"txn_3MFwubDpvvQP5tMR1TkdrWPm\",\"billing_details\":{\"address\":{\"city\":null,\"country\":null,\"line1\":null,\"line2\":null,\"postal_code\":\"24242\",\"state\":null},\"email\":null,\"name\":null,\"phone\":null},\"calculated_statement_descriptor\":\"Stripe\",\"captured\":true,\"created\":1671270153,\"currency\":\"usd\",\"customer\":null,\"description\":null,\"destination\":null,\"dispute\":null,\"disputed\":false,\"failure_balance_transaction\":null,\"failure_code\":null,\"failure_message\":null,\"fraud_details\":[],\"invoice\":null,\"livemode\":false,\"metadata\":[],\"on_behalf_of\":null,\"order\":null,\"outcome\":{\"network_status\":\"approved_by_network\",\"reason\":null,\"risk_level\":\"normal\",\"risk_score\":43,\"seller_message\":\"Payment complete.\",\"type\":\"authorized\"},\"paid\":true,\"payment_intent\":null,\"payment_method\":\"card_1MFwuXDpvvQP5tMRkWrzQBfS\",\"payment_method_details\":{\"card\":{\"brand\":\"visa\",\"checks\":{\"address_line1_check\":null,\"address_postal_code_check\":\"pass\",\"cvc_check\":\"pass\"},\"country\":\"US\",\"exp_month\":4,\"exp_year\":2052,\"fingerprint\":\"nDMklnp2vXB7Q5g0\",\"funding\":\"credit\",\"installments\":null,\"last4\":\"4242\",\"mandate\":null,\"network\":\"visa\",\"three_d_secure\":null,\"wallet\":null},\"type\":\"card\"},\"receipt_email\":null,\"receipt_number\":null,\"receipt_url\":\"https:\\/\\/pay.stripe.com\\/receipts\\/payment\\/CAcaFwoVYWNjdF8xODRjVEFEcHZ2UVA1dE1SKIqe9pwGMgZhOlQ0bWE6LBaX8STYjnXksR7dtct8YbOK4z7-jewk9idiw8s4IC8YfOgHCRKyTKQAFP7i\",\"refunded\":false,\"refunds\":{\"object\":\"list\",\"data\":[],\"has_more\":false,\"total_count\":0,\"url\":\"\\/v1\\/charges\\/ch_3MFwubDpvvQP5tMR1MF5kj6r\\/refunds\"},\"review\":null,\"shipping\":null,\"source\":{\"id\":\"card_1MFwuXDpvvQP5tMRkWrzQBfS\",\"object\":\"card\",\"address_city\":null,\"address_country\":null,\"address_line1\":null,\"address_line1_check\":null,\"address_line2\":null,\"address_state\":null,\"address_zip\":\"24242\",\"address_zip_check\":\"pass\",\"brand\":\"Visa\",\"country\":\"US\",\"customer\":null,\"cvc_check\":\"pass\",\"dynamic_last4\":null,\"exp_month\":4,\"exp_year\":2052,\"fingerprint\":\"nDMklnp2vXB7Q5g0\",\"funding\":\"credit\",\"last4\":\"4242\",\"metadata\":[],\"name\":null,\"tokenization_method\":null},\"source_transfer\":null,\"statement_descriptor\":null,\"statement_descriptor_suffix\":null,\"status\":\"succeeded\",\"transfer_data\":null,\"transfer_group\":null}','{\"amount\":202.96,\"amount_captured\":202.96,\"currency\":\"usd\",\"code\":\"ORD-0009\"}','Stripe',NULL,202.96000000,'USD','completed',NULL,NULL),(10,'10',NULL,'{\"id\":10,\"user_id\":20,\"reference\":\"ORD-0010\",\"note\":null,\"order_date\":\"2022-12-17\",\"currency_id\":3,\"leave_door\":null,\"other_discount_amount\":\"0.00000000\",\"other_discount_type\":null,\"shipping_charge\":\"1.00000000\",\"tax_charge\":\"0.40480000\",\"shipping_title\":\"Local Pickup\",\"total\":\"309.40480000\",\"paid\":\"0.00000000\",\"total_quantity\":\"3.00000000\",\"amount_received\":\"0.00000000\",\"order_status_id\":1,\"is_delivery\":0,\"payment_status\":\"Unpaid\",\"created_at\":\"2022-12-17T01:49:52.000000Z\",\"updated_at\":null,\"currency\":{\"id\":3,\"name\":\"USD\",\"symbol\":\"$\",\"exchange_rate\":null,\"exchange_from\":null}}','{\"id\":\"ch_3MFx24DpvvQP5tMR36lcnFzA\",\"object\":\"charge\",\"amount\":30940,\"amount_captured\":30940,\"amount_refunded\":0,\"application\":null,\"application_fee\":null,\"application_fee_amount\":null,\"balance_transaction\":\"txn_3MFx24DpvvQP5tMR30qaBfCZ\",\"billing_details\":{\"address\":{\"city\":null,\"country\":null,\"line1\":null,\"line2\":null,\"postal_code\":\"42424\",\"state\":null},\"email\":null,\"name\":null,\"phone\":null},\"calculated_statement_descriptor\":\"Stripe\",\"captured\":true,\"created\":1671270616,\"currency\":\"usd\",\"customer\":null,\"description\":null,\"destination\":null,\"dispute\":null,\"disputed\":false,\"failure_balance_transaction\":null,\"failure_code\":null,\"failure_message\":null,\"fraud_details\":[],\"invoice\":null,\"livemode\":false,\"metadata\":[],\"on_behalf_of\":null,\"order\":null,\"outcome\":{\"network_status\":\"approved_by_network\",\"reason\":null,\"risk_level\":\"normal\",\"risk_score\":45,\"seller_message\":\"Payment complete.\",\"type\":\"authorized\"},\"paid\":true,\"payment_intent\":null,\"payment_method\":\"card_1MFx20DpvvQP5tMRDpjJItuJ\",\"payment_method_details\":{\"card\":{\"brand\":\"visa\",\"checks\":{\"address_line1_check\":null,\"address_postal_code_check\":\"pass\",\"cvc_check\":\"pass\"},\"country\":\"US\",\"exp_month\":4,\"exp_year\":2024,\"fingerprint\":\"nDMklnp2vXB7Q5g0\",\"funding\":\"credit\",\"installments\":null,\"last4\":\"4242\",\"mandate\":null,\"network\":\"visa\",\"three_d_secure\":null,\"wallet\":null},\"type\":\"card\"},\"receipt_email\":null,\"receipt_number\":null,\"receipt_url\":\"https:\\/\\/pay.stripe.com\\/receipts\\/payment\\/CAcaFwoVYWNjdF8xODRjVEFEcHZ2UVA1dE1SKNmh9pwGMgacZ6ZyKVQ6LBaqbWynERhUXlCnLp33MyiQg2CcDBlGaaET6gC-cfhCRS8KczunSaIq6D8l\",\"refunded\":false,\"refunds\":{\"object\":\"list\",\"data\":[],\"has_more\":false,\"total_count\":0,\"url\":\"\\/v1\\/charges\\/ch_3MFx24DpvvQP5tMR36lcnFzA\\/refunds\"},\"review\":null,\"shipping\":null,\"source\":{\"id\":\"card_1MFx20DpvvQP5tMRDpjJItuJ\",\"object\":\"card\",\"address_city\":null,\"address_country\":null,\"address_line1\":null,\"address_line1_check\":null,\"address_line2\":null,\"address_state\":null,\"address_zip\":\"42424\",\"address_zip_check\":\"pass\",\"brand\":\"Visa\",\"country\":\"US\",\"customer\":null,\"cvc_check\":\"pass\",\"dynamic_last4\":null,\"exp_month\":4,\"exp_year\":2024,\"fingerprint\":\"nDMklnp2vXB7Q5g0\",\"funding\":\"credit\",\"last4\":\"4242\",\"metadata\":[],\"name\":null,\"tokenization_method\":null},\"source_transfer\":null,\"statement_descriptor\":null,\"statement_descriptor_suffix\":null,\"status\":\"succeeded\",\"transfer_data\":null,\"transfer_group\":null}','{\"amount\":309.4,\"amount_captured\":309.4,\"currency\":\"usd\",\"code\":\"ORD-0010\"}','Stripe',NULL,309.40480000,'USD','completed',NULL,NULL),(11,'11',NULL,'{\"id\":11,\"user_id\":6,\"reference\":\"ORD-0011\",\"note\":null,\"order_date\":\"2022-12-17\",\"currency_id\":3,\"leave_door\":null,\"other_discount_amount\":\"0.00000000\",\"other_discount_type\":null,\"shipping_charge\":\"1.00000000\",\"tax_charge\":\"8.58000000\",\"shipping_title\":\"Local Pickup\",\"total\":\"448.58000000\",\"paid\":\"0.00000000\",\"total_quantity\":\"7.00000000\",\"amount_received\":\"0.00000000\",\"order_status_id\":1,\"is_delivery\":0,\"payment_status\":\"Unpaid\",\"created_at\":\"2022-12-17T02:16:08.000000Z\",\"updated_at\":null,\"currency\":{\"id\":3,\"name\":\"USD\",\"symbol\":\"$\",\"exchange_rate\":null,\"exchange_from\":null}}','{\"status\":\"succeeded\",\"amount\":\"448.58000000\",\"currency\":\"USD\"}','{\"amount\":4.4858,\"amount_captured\":0,\"currency\":\"USD\",\"code\":\"ORD-0011\"}','CashOnDelivery',NULL,448.58000000,'USD','completed',NULL,NULL),(12,'12',NULL,'{\"id\":12,\"user_id\":7,\"reference\":\"ORD-0012\",\"note\":null,\"order_date\":\"2022-12-17\",\"currency_id\":3,\"leave_door\":null,\"other_discount_amount\":\"0.00000000\",\"other_discount_type\":null,\"shipping_charge\":\"15.00000000\",\"tax_charge\":\"5.56000000\",\"shipping_title\":\"Flat Rate\",\"total\":\"298.56000000\",\"paid\":\"0.00000000\",\"total_quantity\":\"5.00000000\",\"amount_received\":\"0.00000000\",\"order_status_id\":1,\"is_delivery\":0,\"payment_status\":\"Unpaid\",\"created_at\":\"2022-12-17T02:21:18.000000Z\",\"updated_at\":null,\"currency\":{\"id\":3,\"name\":\"USD\",\"symbol\":\"$\",\"exchange_rate\":null,\"exchange_from\":null}}','{\"id\":\"ch_3MFxWUDpvvQP5tMR3O3hb8Cf\",\"object\":\"charge\",\"amount\":29856,\"amount_captured\":29856,\"amount_refunded\":0,\"application\":null,\"application_fee\":null,\"application_fee_amount\":null,\"balance_transaction\":\"txn_3MFxWUDpvvQP5tMR399o6QUQ\",\"billing_details\":{\"address\":{\"city\":null,\"country\":null,\"line1\":null,\"line2\":null,\"postal_code\":\"42424\",\"state\":null},\"email\":null,\"name\":null,\"phone\":null},\"calculated_statement_descriptor\":\"Stripe\",\"captured\":true,\"created\":1671272502,\"currency\":\"usd\",\"customer\":null,\"description\":null,\"destination\":null,\"dispute\":null,\"disputed\":false,\"failure_balance_transaction\":null,\"failure_code\":null,\"failure_message\":null,\"fraud_details\":[],\"invoice\":null,\"livemode\":false,\"metadata\":[],\"on_behalf_of\":null,\"order\":null,\"outcome\":{\"network_status\":\"approved_by_network\",\"reason\":null,\"risk_level\":\"normal\",\"risk_score\":25,\"seller_message\":\"Payment complete.\",\"type\":\"authorized\"},\"paid\":true,\"payment_intent\":null,\"payment_method\":\"card_1MFxWQDpvvQP5tMRjgZ3FUGR\",\"payment_method_details\":{\"card\":{\"brand\":\"visa\",\"checks\":{\"address_line1_check\":null,\"address_postal_code_check\":\"pass\",\"cvc_check\":\"pass\"},\"country\":\"US\",\"exp_month\":4,\"exp_year\":2024,\"fingerprint\":\"nDMklnp2vXB7Q5g0\",\"funding\":\"credit\",\"installments\":null,\"last4\":\"4242\",\"mandate\":null,\"network\":\"visa\",\"three_d_secure\":null,\"wallet\":null},\"type\":\"card\"},\"receipt_email\":null,\"receipt_number\":null,\"receipt_url\":\"https:\\/\\/pay.stripe.com\\/receipts\\/payment\\/CAcaFwoVYWNjdF8xODRjVEFEcHZ2UVA1dE1SKLew9pwGMgZIlCzrNyI6LBaYQWl7OAmtSW3T5JdbjNDZy72q8gzLEZPfldkt1DvrpoAs_q3XbUY95ppY\",\"refunded\":false,\"refunds\":{\"object\":\"list\",\"data\":[],\"has_more\":false,\"total_count\":0,\"url\":\"\\/v1\\/charges\\/ch_3MFxWUDpvvQP5tMR3O3hb8Cf\\/refunds\"},\"review\":null,\"shipping\":null,\"source\":{\"id\":\"card_1MFxWQDpvvQP5tMRjgZ3FUGR\",\"object\":\"card\",\"address_city\":null,\"address_country\":null,\"address_line1\":null,\"address_line1_check\":null,\"address_line2\":null,\"address_state\":null,\"address_zip\":\"42424\",\"address_zip_check\":\"pass\",\"brand\":\"Visa\",\"country\":\"US\",\"customer\":null,\"cvc_check\":\"pass\",\"dynamic_last4\":null,\"exp_month\":4,\"exp_year\":2024,\"fingerprint\":\"nDMklnp2vXB7Q5g0\",\"funding\":\"credit\",\"last4\":\"4242\",\"metadata\":[],\"name\":null,\"tokenization_method\":null},\"source_transfer\":null,\"statement_descriptor\":null,\"statement_descriptor_suffix\":null,\"status\":\"succeeded\",\"transfer_data\":null,\"transfer_group\":null}','{\"amount\":298.56,\"amount_captured\":298.56,\"currency\":\"usd\",\"code\":\"ORD-0012\"}','Stripe',NULL,298.56000000,'USD','completed',NULL,NULL),(13,'13',NULL,'{\"id\":13,\"user_id\":9,\"reference\":\"ORD-0013\",\"note\":null,\"order_date\":\"2022-12-17\",\"currency_id\":3,\"leave_door\":null,\"other_discount_amount\":\"0.00000000\",\"other_discount_type\":null,\"shipping_charge\":null,\"tax_charge\":\"0.00000000\",\"shipping_title\":null,\"total\":\"50.00000000\",\"paid\":\"0.00000000\",\"total_quantity\":\"1.00000000\",\"amount_received\":\"0.00000000\",\"order_status_id\":1,\"is_delivery\":0,\"payment_status\":\"Unpaid\",\"created_at\":\"2022-12-17T02:23:24.000000Z\",\"updated_at\":null,\"currency\":{\"id\":3,\"name\":\"USD\",\"symbol\":\"$\",\"exchange_rate\":null,\"exchange_from\":null}}','{\"id\":\"ch_3MFxYdDpvvQP5tMR0wF0HJdW\",\"object\":\"charge\",\"amount\":5000,\"amount_captured\":5000,\"amount_refunded\":0,\"application\":null,\"application_fee\":null,\"application_fee_amount\":null,\"balance_transaction\":\"txn_3MFxYdDpvvQP5tMR02tr62l7\",\"billing_details\":{\"address\":{\"city\":null,\"country\":null,\"line1\":null,\"line2\":null,\"postal_code\":\"42424\",\"state\":null},\"email\":null,\"name\":null,\"phone\":null},\"calculated_statement_descriptor\":\"Stripe\",\"captured\":true,\"created\":1671272635,\"currency\":\"usd\",\"customer\":null,\"description\":null,\"destination\":null,\"dispute\":null,\"disputed\":false,\"failure_balance_transaction\":null,\"failure_code\":null,\"failure_message\":null,\"fraud_details\":[],\"invoice\":null,\"livemode\":false,\"metadata\":[],\"on_behalf_of\":null,\"order\":null,\"outcome\":{\"network_status\":\"approved_by_network\",\"reason\":null,\"risk_level\":\"normal\",\"risk_score\":59,\"seller_message\":\"Payment complete.\",\"type\":\"authorized\"},\"paid\":true,\"payment_intent\":null,\"payment_method\":\"card_1MFxYZDpvvQP5tMRrjOyI8Tz\",\"payment_method_details\":{\"card\":{\"brand\":\"visa\",\"checks\":{\"address_line1_check\":null,\"address_postal_code_check\":\"pass\",\"cvc_check\":\"pass\"},\"country\":\"US\",\"exp_month\":4,\"exp_year\":2024,\"fingerprint\":\"nDMklnp2vXB7Q5g0\",\"funding\":\"credit\",\"installments\":null,\"last4\":\"4242\",\"mandate\":null,\"network\":\"visa\",\"three_d_secure\":null,\"wallet\":null},\"type\":\"card\"},\"receipt_email\":null,\"receipt_number\":null,\"receipt_url\":\"https:\\/\\/pay.stripe.com\\/receipts\\/payment\\/CAcaFwoVYWNjdF8xODRjVEFEcHZ2UVA1dE1SKLyx9pwGMgYGDYfQWhM6LBYP5ZwTQEeTKuCPKsVSkLZ-Vdsb4deXZPDVj3UwHY_BNkAL-8iVTq6pdRv-\",\"refunded\":false,\"refunds\":{\"object\":\"list\",\"data\":[],\"has_more\":false,\"total_count\":0,\"url\":\"\\/v1\\/charges\\/ch_3MFxYdDpvvQP5tMR0wF0HJdW\\/refunds\"},\"review\":null,\"shipping\":null,\"source\":{\"id\":\"card_1MFxYZDpvvQP5tMRrjOyI8Tz\",\"object\":\"card\",\"address_city\":null,\"address_country\":null,\"address_line1\":null,\"address_line1_check\":null,\"address_line2\":null,\"address_state\":null,\"address_zip\":\"42424\",\"address_zip_check\":\"pass\",\"brand\":\"Visa\",\"country\":\"US\",\"customer\":null,\"cvc_check\":\"pass\",\"dynamic_last4\":null,\"exp_month\":4,\"exp_year\":2024,\"fingerprint\":\"nDMklnp2vXB7Q5g0\",\"funding\":\"credit\",\"last4\":\"4242\",\"metadata\":[],\"name\":null,\"tokenization_method\":null},\"source_transfer\":null,\"statement_descriptor\":null,\"statement_descriptor_suffix\":null,\"status\":\"succeeded\",\"transfer_data\":null,\"transfer_group\":null}','{\"amount\":50,\"amount_captured\":50,\"currency\":\"usd\",\"code\":\"ORD-0013\"}','Stripe',NULL,50.00000000,'USD','completed',NULL,NULL),(14,'14',NULL,'{\"id\":14,\"user_id\":8,\"reference\":\"ORD-0014\",\"note\":null,\"order_date\":\"2022-12-17\",\"currency_id\":3,\"leave_door\":null,\"other_discount_amount\":\"0.00000000\",\"other_discount_type\":null,\"shipping_charge\":\"15.00000000\",\"tax_charge\":\"24.18000000\",\"shipping_title\":\"Flat Rate\",\"total\":\"1248.18000000\",\"paid\":\"0.00000000\",\"total_quantity\":\"3.00000000\",\"amount_received\":\"0.00000000\",\"order_status_id\":1,\"is_delivery\":0,\"payment_status\":\"Unpaid\",\"created_at\":\"2022-12-17T02:26:34.000000Z\",\"updated_at\":null,\"currency\":{\"id\":3,\"name\":\"USD\",\"symbol\":\"$\",\"exchange_rate\":null,\"exchange_from\":null}}','{\"status\":\"succeeded\",\"amount\":\"1248.18000000\",\"currency\":\"USD\"}','{\"amount\":12.4818,\"amount_captured\":0,\"currency\":\"USD\",\"code\":\"ORD-0014\"}','CashOnDelivery',NULL,1248.18000000,'USD','completed',NULL,NULL);
/*!40000 ALTER TABLE `payment_logs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `permission_roles`
--

DROP TABLE IF EXISTS `permission_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `permission_roles` (
  `permission_id` bigint NOT NULL,
  `role_id` int NOT NULL,
  KEY `permission_roles_permission_id_idx` (`permission_id`),
  KEY `permission_roles_role_id_foreign_idx` (`role_id`),
  CONSTRAINT `permission_roles_permission_id_foreign` FOREIGN KEY (`permission_id`) REFERENCES `permissions` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `permission_roles_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `permission_roles`
--

LOCK TABLES `permission_roles` WRITE;
/*!40000 ALTER TABLE `permission_roles` DISABLE KEYS */;
INSERT INTO `permission_roles` VALUES (278,2),(279,2),(280,2),(281,2),(72,2),(73,2),(74,2),(76,2),(295,2),(114,2),(113,2),(112,2),(111,2),(110,2),(109,2),(108,2),(107,2),(106,2),(294,2),(293,2),(292,2),(336,3),(394,3),(395,3),(396,3),(403,3),(397,3),(398,3),(399,3),(400,3),(401,3),(402,3),(388,3),(389,3),(390,3),(391,3),(392,3),(393,3),(335,3),(334,3),(323,3),(254,2),(336,2),(419,3),(428,2),(431,2),(408,3),(420,3),(432,3),(433,3),(434,3),(435,2),(421,2),(466,3),(464,3),(460,3),(465,3),(461,3),(462,3),(463,3),(453,2),(459,2),(454,2),(455,2),(458,2),(456,2),(314,2),(320,2),(319,2),(318,2),(317,2),(316,2),(315,2),(403,2),(457,2),(496,3),(497,3),(5,3),(499,3),(501,3),(502,3),(503,3),(510,3),(509,3),(508,3),(511,3),(512,3),(514,3),(272,3),(515,3),(271,3),(500,3),(505,3),(504,3),(311,3),(310,3),(557,2),(556,2),(555,2),(554,2),(558,2),(562,2),(565,3),(583,2),(584,2),(585,2),(640,2),(636,2),(637,2),(638,2),(639,2),(641,2),(642,2),(643,2),(644,2),(646,2),(647,2),(643,3),(685,3),(703,3),(704,3),(457,3),(318,3),(471,3),(410,3),(404,3),(405,3),(407,3),(406,3),(411,3),(412,3),(476,3),(475,3),(474,3),(573,3),(333,3),(332,3),(681,3),(682,3),(324,3),(326,3),(331,3),(330,3),(329,3),(328,3),(325,3),(683,3),(566,3),(801,3),(800,3),(802,3),(571,3),(777,3),(563,3),(469,3),(468,3),(467,3),(644,3),(687,3),(473,3),(531,3),(640,3),(639,3),(636,3),(635,3),(679,3),(641,3),(637,3),(642,3),(638,3),(529,3),(632,3),(634,3),(633,3),(798,3),(498,3),(796,2),(795,2),(794,2),(793,2),(791,2),(792,2),(790,2),(789,2),(772,2),(771,2),(776,2),(774,2),(690,2),(691,2),(692,2),(693,2),(694,2),(695,2),(696,2),(698,2),(751,2),(821,2),(822,2),(823,2),(803,2),(804,2),(805,2),(806,2),(807,2),(768,2),(766,2),(767,2),(769,2),(770,2),(835,3),(703,2),(397,2),(398,2),(399,2),(400,2),(401,2),(402,2),(685,2),(404,2),(405,2),(406,2),(407,2),(410,2),(411,2),(412,2),(471,2),(475,2),(474,2),(476,2),(419,2),(565,2),(573,2),(328,2),(683,2),(325,2),(326,2),(324,2),(682,2),(681,2),(329,2),(330,2),(333,2),(331,2),(332,2),(834,2),(833,2),(462,2),(463,2),(879,2),(461,2),(566,2),(420,2),(408,2),(879,3),(834,3),(833,3),(883,3),(837,3),(884,3),(878,3),(877,3),(883,2),(802,2),(837,2),(801,2),(800,2),(884,2),(704,2),(777,2),(563,2),(571,2),(466,2),(465,2),(464,2),(460,2),(469,2),(687,2),(467,2),(468,2),(334,2),(323,2),(878,2),(335,2),(473,2),(877,2),(393,2),(835,2),(388,2),(389,2),(390,2),(391,2),(392,2),(395,2),(394,2),(396,2),(886,2),(886,3),(773,2),(775,2),(758,2),(760,2),(885,2),(1005,3),(1006,3),(1007,3),(1004,3),(1087,2),(1088,2),(1089,2),(1090,2),(1091,2),(1092,2),(1093,2),(1094,2),(919,2),(1126,2),(1122,2),(1120,2),(1114,2),(1114,3),(911,2),(911,3),(912,2),(912,3),(913,2),(913,3),(1010,2),(1010,3),(1011,2),(1011,3),(1017,3),(1017,2),(1115,2),(1115,3),(1012,2),(1012,3),(1013,3),(1014,3),(1015,3),(1016,3),(1016,2),(1015,2),(1014,2),(1013,2),(916,2),(916,3),(915,2),(915,3),(508,2),(509,2),(510,2),(511,2),(531,2),(635,2),(679,2),(529,2),(825,2),(825,3),(512,2),(514,2),(632,2),(633,2),(634,2),(826,2),(827,2),(1102,2),(826,3),(827,3),(1102,3),(798,2),(1004,2),(1005,2),(1006,2),(1007,2),(503,2),(998,2),(1001,2),(1002,2),(998,3),(1001,3),(1002,3),(496,2),(497,2),(498,2),(499,2),(874,2),(874,3),(501,2),(502,2),(1116,2),(1110,2),(1111,2),(1112,2),(1113,2),(1128,2),(1129,2),(901,2),(902,2),(903,2),(904,2),(905,2),(906,2),(907,2),(1136,2),(1142,3),(1143,3),(1144,3),(1145,3),(1152,3),(1153,3),(1154,3),(1155,3),(1156,3),(1146,3),(1147,3),(1148,3),(1149,3),(1150,3),(1151,3),(1066,2),(1143,2),(1142,2),(1145,2),(1164,2),(1164,3),(1138,2),(1138,3),(1139,2),(1139,3),(1137,2),(1137,3),(1165,2),(1165,3),(1163,2),(1163,3),(1152,2),(1153,2),(1154,2),(1155,2),(1156,2),(1141,2),(1141,3),(1144,2),(1167,2),(1167,3),(1157,2),(1157,3),(1146,2),(1147,2),(1148,2),(1149,2),(1150,2),(1151,2),(1179,2),(1179,3),(1181,2),(1181,3),(1200,2),(788,2),(1206,2),(1212,2),(699,2),(699,3),(699,4),(1217,2),(1217,3),(1217,4),(1231,3),(1232,3),(1233,2),(1234,2),(1191,2),(1192,2),(1193,2),(1231,2),(1205,2),(1240,2),(1232,2),(1253,2),(1158,2),(1186,2),(1186,3),(1180,2),(1180,3),(1202,2),(1202,3),(1203,3),(1203,2),(1198,2),(1198,3),(1187,2),(1187,3),(1185,2),(1185,3),(1204,3),(1204,2),(1256,2),(1256,3),(1258,2),(1260,2),(1261,3),(1313,2),(1314,2),(1315,2),(1316,2),(1317,2),(1318,2),(1319,2),(1320,1),(1321,1),(1322,1),(1323,1),(1324,1),(1325,1),(1326,1),(1327,1),(1328,1),(1329,1),(1330,1),(1331,3),(1332,3),(1333,3),(1334,3),(1335,3),(1336,3),(1337,3),(1338,2),(1338,3),(1340,2),(1341,1),(1341,2),(1342,2),(1343,2),(1344,2),(1345,2),(1346,2),(1347,2),(1348,2),(1349,2),(1350,2),(1351,2),(1352,2),(1353,2),(1354,2),(1355,2),(1356,2),(1357,2),(1357,3),(1358,1),(1359,2),(1360,2),(1361,2),(1362,2),(1363,2),(1364,2),(1365,2),(1366,2),(1367,2),(1368,2),(1369,2),(1370,2),(1382,2),(1383,2),(1384,2),(1385,2),(1386,2),(1387,2),(1388,2),(1388,3),(1389,2),(1389,3),(1390,2),(1390,3),(1391,2),(1391,3),(1392,2),(1392,3),(1402,2),(1415,1),(1416,1),(1417,1),(1418,1),(1419,1),(1420,1),(1421,1),(1422,1),(1423,1),(1424,1),(1425,1),(1426,1),(1427,1),(1428,1),(1429,1),(1430,1),(1431,1),(1432,1),(1433,1),(1434,1),(1435,1),(1436,1),(1437,1),(1438,1),(1439,1),(1440,1),(1441,1),(1442,1),(1443,1),(1444,1),(1445,1),(1446,1),(1447,1),(1448,1),(1449,1),(1450,1),(1451,1),(1452,1),(1453,2),(1454,2),(1455,2),(1456,2),(1457,2),(1458,2),(1459,2),(1460,2),(1461,2),(1462,2),(1463,2),(1464,2),(1465,2),(1466,2),(1467,2),(1468,2),(1469,2),(1470,2),(1471,2),(1472,2),(1473,2),(1474,2),(1475,2),(1476,2),(1477,2),(1478,2),(1479,2),(1480,2),(1481,2),(1482,2),(1483,2),(1484,2),(1485,2),(1486,2),(1487,2),(1488,2),(1489,2);
/*!40000 ALTER TABLE `permission_roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `permissions`
--

DROP TABLE IF EXISTS `permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `permissions` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `controller_path` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `controller_name` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `method_name` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `permissions_name_index` (`name`),
  KEY `permissions_controller_name_index` (`controller_name`),
  KEY `permissions_method_name_index` (`method_name`)
) ENGINE=InnoDB AUTO_INCREMENT=1490 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `permissions`
--

LOCK TABLES `permissions` WRITE;
/*!40000 ALTER TABLE `permissions` DISABLE KEYS */;
INSERT INTO `permissions` VALUES (1,'App\\Http\\Controllers\\Api\\UserController@index','App\\Http\\Controllers\\Api\\UserController','UserController','index','2024-09-19 06:34:28',NULL),(2,'App\\Http\\Controllers\\Api\\UserController@store','App\\Http\\Controllers\\Api\\UserController','UserController','store','2024-09-19 06:34:28',NULL),(3,'App\\Http\\Controllers\\Api\\UserController@detail','App\\Http\\Controllers\\Api\\UserController','UserController','detail','2024-09-19 06:34:28',NULL),(4,'App\\Http\\Controllers\\Api\\UserController@update','App\\Http\\Controllers\\Api\\UserController','UserController','update','2024-09-19 06:34:28',NULL),(5,'App\\Http\\Controllers\\Api\\UserController@updatePassword','App\\Http\\Controllers\\Api\\UserController','UserController','updatePassword','2024-09-19 06:34:28',NULL),(6,'App\\Http\\Controllers\\Api\\UserController@destroy','App\\Http\\Controllers\\Api\\UserController','UserController','destroy','2024-09-19 06:34:28',NULL),(7,'App\\Http\\Controllers\\Api\\RoleController@index','App\\Http\\Controllers\\Api\\RoleController','RoleController','index','2024-09-19 06:34:28',NULL),(8,'App\\Http\\Controllers\\Api\\RoleController@store','App\\Http\\Controllers\\Api\\RoleController','RoleController','store','2024-09-19 06:34:28',NULL),(9,'App\\Http\\Controllers\\Api\\RoleController@detail','App\\Http\\Controllers\\Api\\RoleController','RoleController','detail','2024-09-19 06:34:28',NULL),(10,'App\\Http\\Controllers\\Api\\RoleController@update','App\\Http\\Controllers\\Api\\RoleController','RoleController','update','2024-09-19 06:34:28',NULL),(11,'App\\Http\\Controllers\\Api\\RoleController@destroy','App\\Http\\Controllers\\Api\\RoleController','RoleController','destroy','2024-09-19 06:34:28',NULL),(12,'App\\Http\\Controllers\\Api\\MailTemplateController@index','App\\Http\\Controllers\\Api\\MailTemplateController','MailTemplateController','index','2024-09-19 06:34:28',NULL),(13,'App\\Http\\Controllers\\Api\\MailTemplateController@store','App\\Http\\Controllers\\Api\\MailTemplateController','MailTemplateController','store','2024-09-19 06:34:28',NULL),(14,'App\\Http\\Controllers\\Api\\MailTemplateController@detail','App\\Http\\Controllers\\Api\\MailTemplateController','MailTemplateController','detail','2024-09-19 06:34:28',NULL),(15,'App\\Http\\Controllers\\Api\\MailTemplateController@update','App\\Http\\Controllers\\Api\\MailTemplateController','MailTemplateController','update','2024-09-19 06:34:28',NULL),(16,'App\\Http\\Controllers\\Api\\MailTemplateController@destroy','App\\Http\\Controllers\\Api\\MailTemplateController','MailTemplateController','destroy','2024-09-19 06:34:28',NULL),(22,'App\\Http\\Controllers\\Api\\PreferenceController@index','App\\Http\\Controllers\\Api\\PreferenceController','PreferenceController','index','2024-09-19 06:34:28',NULL),(23,'App\\Http\\Controllers\\Api\\EmailConfigurationController@index','App\\Http\\Controllers\\Api\\EmailConfigurationController','EmailConfigurationController','index','2024-09-19 06:34:28',NULL),(24,'App\\Http\\Controllers\\Api\\CompanySettingController@index','App\\Http\\Controllers\\Api\\CompanySettingController','CompanySettingController','index','2024-09-19 06:34:28',NULL),(28,'App\\Http\\Controllers\\Api\\CurrencyController@index','App\\Http\\Controllers\\Api\\CurrencyController','CurrencyController','index','2024-09-19 06:34:28',NULL),(29,'App\\Http\\Controllers\\Api\\CurrencyController@store','App\\Http\\Controllers\\Api\\CurrencyController','CurrencyController','store','2024-09-19 06:34:28',NULL),(30,'App\\Http\\Controllers\\Api\\CurrencyController@update','App\\Http\\Controllers\\Api\\CurrencyController','CurrencyController','update','2024-09-19 06:34:28',NULL),(31,'App\\Http\\Controllers\\Api\\CurrencyController@detail','App\\Http\\Controllers\\Api\\CurrencyController','CurrencyController','detail','2024-09-19 06:34:28',NULL),(32,'App\\Http\\Controllers\\Api\\CurrencyController@destroy','App\\Http\\Controllers\\Api\\CurrencyController','CurrencyController','destroy','2024-09-19 06:34:28',NULL),(57,'App\\Http\\Controllers\\Api\\BrandController@index','App\\Http\\Controllers\\Api\\BrandController','BrandController','index','2024-09-19 06:34:28',NULL),(58,'App\\Http\\Controllers\\Api\\BrandController@store','App\\Http\\Controllers\\Api\\BrandController','BrandController','store','2024-09-19 06:34:28',NULL),(59,'App\\Http\\Controllers\\Api\\BrandController@update','App\\Http\\Controllers\\Api\\BrandController','BrandController','update','2024-09-19 06:34:28',NULL),(60,'App\\Http\\Controllers\\Api\\BrandController@detail','App\\Http\\Controllers\\Api\\BrandController','BrandController','detail','2024-09-19 06:34:28',NULL),(61,'App\\Http\\Controllers\\Api\\BrandController@destroy','App\\Http\\Controllers\\Api\\BrandController','BrandController','destroy','2024-09-19 06:34:28',NULL),(62,'App\\Http\\Controllers\\Api\\VendorController@index','App\\Http\\Controllers\\Api\\VendorController','VendorController','index','2024-09-19 06:34:28',NULL),(63,'App\\Http\\Controllers\\Api\\VendorController@store','App\\Http\\Controllers\\Api\\VendorController','VendorController','store','2024-09-19 06:34:28',NULL),(64,'App\\Http\\Controllers\\Api\\VendorController@update','App\\Http\\Controllers\\Api\\VendorController','VendorController','update','2024-09-19 06:34:28',NULL),(65,'App\\Http\\Controllers\\Api\\VendorController@detail','App\\Http\\Controllers\\Api\\VendorController','VendorController','detail','2024-09-19 06:34:28',NULL),(66,'App\\Http\\Controllers\\Api\\VendorController@destroy','App\\Http\\Controllers\\Api\\VendorController','VendorController','destroy','2024-09-19 06:34:28',NULL),(72,'App\\Http\\Controllers\\LoginController@showLoginForm','App\\Http\\Controllers\\LoginController','LoginController','showLoginForm','2024-09-19 06:34:28',NULL),(73,'App\\Http\\Controllers\\LoginController@showLoginForm','App\\Http\\Controllers\\LoginController','LoginController','showLoginForm','2024-09-19 06:34:28',NULL),(74,'App\\Http\\Controllers\\LoginController@authenticate','App\\Http\\Controllers\\LoginController','LoginController','authenticate','2024-09-19 06:34:28',NULL),(76,'App\\Http\\Controllers\\LoginController@logout','App\\Http\\Controllers\\LoginController','LoginController','logout','2024-09-19 06:34:28',NULL),(77,'App\\Http\\Controllers\\DashboardController@index','App\\Http\\Controllers\\DashboardController','DashboardController','index','2024-09-19 06:34:28',NULL),(78,'App\\Http\\Controllers\\RoleController@index','App\\Http\\Controllers\\RoleController','RoleController','index','2024-09-19 06:34:28',NULL),(79,'App\\Http\\Controllers\\RoleController@create','App\\Http\\Controllers\\RoleController','RoleController','create','2024-09-19 06:34:28',NULL),(80,'App\\Http\\Controllers\\RoleController@store','App\\Http\\Controllers\\RoleController','RoleController','store','2024-09-19 06:34:28',NULL),(81,'App\\Http\\Controllers\\RoleController@edit','App\\Http\\Controllers\\RoleController','RoleController','edit','2024-09-19 06:34:28',NULL),(82,'App\\Http\\Controllers\\RoleController@update','App\\Http\\Controllers\\RoleController','RoleController','update','2024-09-19 06:34:28',NULL),(83,'App\\Http\\Controllers\\RoleController@destroy','App\\Http\\Controllers\\RoleController','RoleController','destroy','2024-09-19 06:34:28',NULL),(84,'App\\Http\\Controllers\\PermissionRoleController@index','App\\Http\\Controllers\\PermissionRoleController','PermissionRoleController','index','2024-09-19 06:34:28',NULL),(85,'App\\Http\\Controllers\\PermissionRoleController@generatePermission','App\\Http\\Controllers\\PermissionRoleController','PermissionRoleController','generatePermission','2024-09-19 06:34:28',NULL),(86,'App\\Http\\Controllers\\PermissionRoleController@assignPermission','App\\Http\\Controllers\\PermissionRoleController','PermissionRoleController','assignPermission','2024-09-19 06:34:28',NULL),(87,'App\\Http\\Controllers\\UserController@index','App\\Http\\Controllers\\UserController','UserController','index','2024-09-19 06:34:28',NULL),(88,'App\\Http\\Controllers\\UserController@create','App\\Http\\Controllers\\UserController','UserController','create','2024-09-19 06:34:28',NULL),(89,'App\\Http\\Controllers\\UserController@store','App\\Http\\Controllers\\UserController','UserController','store','2024-09-19 06:34:28',NULL),(90,'App\\Http\\Controllers\\UserController@edit','App\\Http\\Controllers\\UserController','UserController','edit','2024-09-19 06:34:28',NULL),(91,'App\\Http\\Controllers\\UserController@updatePassword','App\\Http\\Controllers\\UserController','UserController','updatePassword','2024-09-19 06:34:28',NULL),(92,'App\\Http\\Controllers\\UserController@update','App\\Http\\Controllers\\UserController','UserController','update','2024-09-19 06:34:28',NULL),(93,'App\\Http\\Controllers\\UserController@destroy','App\\Http\\Controllers\\UserController','UserController','destroy','2024-09-19 06:34:28',NULL),(94,'App\\Http\\Controllers\\UserController@import','App\\Http\\Controllers\\UserController','UserController','import','2024-09-19 06:34:28',NULL),(95,'App\\Http\\Controllers\\UserController@pdf','App\\Http\\Controllers\\UserController','UserController','pdf','2024-09-19 06:34:28',NULL),(96,'App\\Http\\Controllers\\UserController@csv','App\\Http\\Controllers\\UserController','UserController','csv','2024-09-19 06:34:28',NULL),(97,'App\\Http\\Controllers\\ProductController@index','App\\Http\\Controllers\\ProductController','ProductController','index','2024-09-19 06:34:28',NULL),(100,'App\\Http\\Controllers\\ProductController@edit','App\\Http\\Controllers\\ProductController','ProductController','edit','2024-09-19 06:34:28',NULL),(106,'App\\Http\\Controllers\\VendorController@index','App\\Http\\Controllers\\VendorController','VendorController','index','2024-09-19 06:34:28',NULL),(107,'App\\Http\\Controllers\\VendorController@create','App\\Http\\Controllers\\VendorController','VendorController','create','2024-09-19 06:34:28',NULL),(108,'App\\Http\\Controllers\\VendorController@store','App\\Http\\Controllers\\VendorController','VendorController','store','2024-09-19 06:34:28',NULL),(109,'App\\Http\\Controllers\\VendorController@edit','App\\Http\\Controllers\\VendorController','VendorController','edit','2024-09-19 06:34:28',NULL),(110,'App\\Http\\Controllers\\VendorController@update','App\\Http\\Controllers\\VendorController','VendorController','update','2024-09-19 06:34:28',NULL),(111,'App\\Http\\Controllers\\VendorController@destroy','App\\Http\\Controllers\\VendorController','VendorController','destroy','2024-09-19 06:34:28',NULL),(112,'App\\Http\\Controllers\\VendorController@import','App\\Http\\Controllers\\VendorController','VendorController','import','2024-09-19 06:34:28',NULL),(113,'App\\Http\\Controllers\\VendorController@pdf','App\\Http\\Controllers\\VendorController','VendorController','pdf','2024-09-19 06:34:28',NULL),(114,'App\\Http\\Controllers\\VendorController@csv','App\\Http\\Controllers\\VendorController','VendorController','csv','2024-09-19 06:34:28',NULL),(115,'App\\Http\\Controllers\\BrandController@index','App\\Http\\Controllers\\BrandController','BrandController','index','2024-09-19 06:34:28',NULL),(116,'App\\Http\\Controllers\\BrandController@create','App\\Http\\Controllers\\BrandController','BrandController','create','2024-09-19 06:34:28',NULL),(117,'App\\Http\\Controllers\\BrandController@store','App\\Http\\Controllers\\BrandController','BrandController','store','2024-09-19 06:34:28',NULL),(118,'App\\Http\\Controllers\\BrandController@edit','App\\Http\\Controllers\\BrandController','BrandController','edit','2024-09-19 06:34:28',NULL),(119,'App\\Http\\Controllers\\BrandController@update','App\\Http\\Controllers\\BrandController','BrandController','update','2024-09-19 06:34:28',NULL),(120,'App\\Http\\Controllers\\BrandController@destroy','App\\Http\\Controllers\\BrandController','BrandController','destroy','2024-09-19 06:34:28',NULL),(121,'App\\Http\\Controllers\\BrandController@pdf','App\\Http\\Controllers\\BrandController','BrandController','pdf','2024-09-19 06:34:28',NULL),(122,'App\\Http\\Controllers\\BrandController@csv','App\\Http\\Controllers\\BrandController','BrandController','csv','2024-09-19 06:34:28',NULL),(123,'App\\Http\\Controllers\\AttributeController@index','App\\Http\\Controllers\\AttributeController','AttributeController','index','2024-09-19 06:34:28',NULL),(124,'App\\Http\\Controllers\\AttributeController@create','App\\Http\\Controllers\\AttributeController','AttributeController','create','2024-09-19 06:34:28',NULL),(125,'App\\Http\\Controllers\\AttributeController@store','App\\Http\\Controllers\\AttributeController','AttributeController','store','2024-09-19 06:34:28',NULL),(126,'App\\Http\\Controllers\\AttributeController@edit','App\\Http\\Controllers\\AttributeController','AttributeController','edit','2024-09-19 06:34:28',NULL),(127,'App\\Http\\Controllers\\AttributeController@getAttribute','App\\Http\\Controllers\\AttributeController','AttributeController','getAttribute','2024-09-19 06:34:28',NULL),(128,'App\\Http\\Controllers\\AttributeController@update','App\\Http\\Controllers\\AttributeController','AttributeController','update','2024-09-19 06:34:28',NULL),(129,'App\\Http\\Controllers\\AttributeController@destroy','App\\Http\\Controllers\\AttributeController','AttributeController','destroy','2024-09-19 06:34:28',NULL),(130,'App\\Http\\Controllers\\AttributeController@pdf','App\\Http\\Controllers\\AttributeController','AttributeController','pdf','2024-09-19 06:34:28',NULL),(131,'App\\Http\\Controllers\\AttributeController@csv','App\\Http\\Controllers\\AttributeController','AttributeController','csv','2024-09-19 06:34:28',NULL),(132,'App\\Http\\Controllers\\AttributeGroupController@index','App\\Http\\Controllers\\AttributeGroupController','AttributeGroupController','index','2024-09-19 06:34:28',NULL),(133,'App\\Http\\Controllers\\AttributeGroupController@create','App\\Http\\Controllers\\AttributeGroupController','AttributeGroupController','create','2024-09-19 06:34:28',NULL),(134,'App\\Http\\Controllers\\AttributeGroupController@store','App\\Http\\Controllers\\AttributeGroupController','AttributeGroupController','store','2024-09-19 06:34:28',NULL),(135,'App\\Http\\Controllers\\AttributeGroupController@edit','App\\Http\\Controllers\\AttributeGroupController','AttributeGroupController','edit','2024-09-19 06:34:28',NULL),(136,'App\\Http\\Controllers\\AttributeGroupController@update','App\\Http\\Controllers\\AttributeGroupController','AttributeGroupController','update','2024-09-19 06:34:28',NULL),(137,'App\\Http\\Controllers\\AttributeGroupController@destroy','App\\Http\\Controllers\\AttributeGroupController','AttributeGroupController','destroy','2024-09-19 06:34:28',NULL),(138,'App\\Http\\Controllers\\AttributeGroupController@pdf','App\\Http\\Controllers\\AttributeGroupController','AttributeGroupController','pdf','2024-09-19 06:34:28',NULL),(139,'App\\Http\\Controllers\\AttributeGroupController@csv','App\\Http\\Controllers\\AttributeGroupController','AttributeGroupController','csv','2024-09-19 06:34:28',NULL),(149,'App\\Http\\Controllers\\CategoryController@index','App\\Http\\Controllers\\CategoryController','CategoryController','index','2024-09-19 06:34:28',NULL),(150,'App\\Http\\Controllers\\CategoryController@store','App\\Http\\Controllers\\CategoryController','CategoryController','store','2024-09-19 06:34:28',NULL),(151,'App\\Http\\Controllers\\CategoryController@getData','App\\Http\\Controllers\\CategoryController','CategoryController','getData','2024-09-19 06:34:28',NULL),(152,'App\\Http\\Controllers\\CategoryController@getParentData','App\\Http\\Controllers\\CategoryController','CategoryController','getParentData','2024-09-19 06:34:28',NULL),(153,'App\\Http\\Controllers\\CategoryController@moveNode','App\\Http\\Controllers\\CategoryController','CategoryController','moveNode','2024-09-19 06:34:28',NULL),(154,'App\\Http\\Controllers\\CategoryController@edit','App\\Http\\Controllers\\CategoryController','CategoryController','edit','2024-09-19 06:34:28',NULL),(155,'App\\Http\\Controllers\\CategoryController@update','App\\Http\\Controllers\\CategoryController','CategoryController','update','2024-09-19 06:34:28',NULL),(156,'App\\Http\\Controllers\\CategoryController@destroy','App\\Http\\Controllers\\CategoryController','CategoryController','destroy','2024-09-19 06:34:28',NULL),(157,'App\\Http\\Controllers\\MailTemplateController@index','App\\Http\\Controllers\\MailTemplateController','MailTemplateController','index','2024-09-19 06:34:28',NULL),(158,'App\\Http\\Controllers\\MailTemplateController@create','App\\Http\\Controllers\\MailTemplateController','MailTemplateController','create','2024-09-19 06:34:28',NULL),(159,'App\\Http\\Controllers\\MailTemplateController@store','App\\Http\\Controllers\\MailTemplateController','MailTemplateController','store','2024-09-19 06:34:28',NULL),(160,'App\\Http\\Controllers\\MailTemplateController@edit','App\\Http\\Controllers\\MailTemplateController','MailTemplateController','edit','2024-09-19 06:34:28',NULL),(161,'App\\Http\\Controllers\\MailTemplateController@update','App\\Http\\Controllers\\MailTemplateController','MailTemplateController','update','2024-09-19 06:34:28',NULL),(162,'App\\Http\\Controllers\\MailTemplateController@destroy','App\\Http\\Controllers\\MailTemplateController','MailTemplateController','destroy','2024-09-19 06:34:28',NULL),(169,'App\\Http\\Controllers\\PreferenceController@index','App\\Http\\Controllers\\PreferenceController','PreferenceController','index','2024-09-19 06:34:28',NULL),(171,'App\\Http\\Controllers\\EmailConfigurationController@index','App\\Http\\Controllers\\EmailConfigurationController','EmailConfigurationController','index','2024-09-19 06:34:28',NULL),(172,'App\\Http\\Controllers\\CompanySettingController@index','App\\Http\\Controllers\\CompanySettingController','CompanySettingController','index','2024-09-19 06:34:28',NULL),(175,'App\\Http\\Controllers\\LanguageController@translation','App\\Http\\Controllers\\LanguageController','LanguageController','translation','2024-09-19 06:34:28',NULL),(176,'App\\Http\\Controllers\\LanguageController@index','App\\Http\\Controllers\\LanguageController','LanguageController','index','2024-09-19 06:34:28',NULL),(177,'App\\Http\\Controllers\\LanguageController@store','App\\Http\\Controllers\\LanguageController','LanguageController','store','2024-09-19 06:34:28',NULL),(178,'App\\Http\\Controllers\\LanguageController@edit','App\\Http\\Controllers\\LanguageController','LanguageController','edit','2024-09-19 06:34:28',NULL),(179,'App\\Http\\Controllers\\LanguageController@update','App\\Http\\Controllers\\LanguageController','LanguageController','update','2024-09-19 06:34:28',NULL),(180,'App\\Http\\Controllers\\LanguageController@delete','App\\Http\\Controllers\\LanguageController','LanguageController','delete','2024-09-19 06:34:28',NULL),(181,'App\\Http\\Controllers\\LanguageController@translationStore','App\\Http\\Controllers\\LanguageController','LanguageController','translationStore','2024-09-19 06:34:28',NULL),(182,'App\\Http\\Controllers\\CurrencyController@index','App\\Http\\Controllers\\CurrencyController','CurrencyController','index','2024-09-19 06:34:28',NULL),(183,'App\\Http\\Controllers\\CurrencyController@store','App\\Http\\Controllers\\CurrencyController','CurrencyController','store','2024-09-19 06:34:28',NULL),(184,'App\\Http\\Controllers\\CurrencyController@edit','App\\Http\\Controllers\\CurrencyController','CurrencyController','edit','2024-09-19 06:34:28',NULL),(185,'App\\Http\\Controllers\\CurrencyController@update','App\\Http\\Controllers\\CurrencyController','CurrencyController','update','2024-09-19 06:34:28',NULL),(186,'App\\Http\\Controllers\\CurrencyController@destroy','App\\Http\\Controllers\\CurrencyController','CurrencyController','destroy','2024-09-19 06:34:28',NULL),(187,'App\\Http\\Controllers\\CurrencyController@validCurrencyName','App\\Http\\Controllers\\CurrencyController','CurrencyController','validCurrencyName','2024-09-19 06:34:28',NULL),(233,'App\\Http\\Controllers\\FilesController@downloadAttachment','App\\Http\\Controllers\\FilesController','FilesController','downloadAttachment','2024-09-19 06:34:28',NULL),(234,'App\\Http\\Controllers\\DashboardController@switchLanguage','App\\Http\\Controllers\\DashboardController','DashboardController','switchLanguage','2024-09-19 06:34:28',NULL),(254,'App\\Http\\Controllers\\Vendor\\DashboardController@index','App\\Http\\Controllers\\Vendor\\DashboardController','DashboardController','index','2024-09-19 06:34:28',NULL),(255,'\\Laravel\\Passport\\Http\\Controllers\\AuthorizationController@authorize','\\Laravel\\Passport\\Http\\Controllers\\AuthorizationController','AuthorizationController','authorize','2024-09-19 06:34:28',NULL),(256,'\\Laravel\\Passport\\Http\\Controllers\\ApproveAuthorizationController@approve','\\Laravel\\Passport\\Http\\Controllers\\ApproveAuthorizationController','ApproveAuthorizationController','approve','2024-09-19 06:34:28',NULL),(257,'\\Laravel\\Passport\\Http\\Controllers\\DenyAuthorizationController@deny','\\Laravel\\Passport\\Http\\Controllers\\DenyAuthorizationController','DenyAuthorizationController','deny','2024-09-19 06:34:28',NULL),(258,'\\Laravel\\Passport\\Http\\Controllers\\AccessTokenController@issueToken','\\Laravel\\Passport\\Http\\Controllers\\AccessTokenController','AccessTokenController','issueToken','2024-09-19 06:34:28',NULL),(259,'\\Laravel\\Passport\\Http\\Controllers\\AuthorizedAccessTokenController@forUser','\\Laravel\\Passport\\Http\\Controllers\\AuthorizedAccessTokenController','AuthorizedAccessTokenController','forUser','2024-09-19 06:34:28',NULL),(260,'\\Laravel\\Passport\\Http\\Controllers\\AuthorizedAccessTokenController@destroy','\\Laravel\\Passport\\Http\\Controllers\\AuthorizedAccessTokenController','AuthorizedAccessTokenController','destroy','2024-09-19 06:34:28',NULL),(261,'\\Laravel\\Passport\\Http\\Controllers\\TransientTokenController@refresh','\\Laravel\\Passport\\Http\\Controllers\\TransientTokenController','TransientTokenController','refresh','2024-09-19 06:34:28',NULL),(262,'\\Laravel\\Passport\\Http\\Controllers\\ClientController@forUser','\\Laravel\\Passport\\Http\\Controllers\\ClientController','ClientController','forUser','2024-09-19 06:34:28',NULL),(263,'\\Laravel\\Passport\\Http\\Controllers\\ClientController@store','\\Laravel\\Passport\\Http\\Controllers\\ClientController','ClientController','store','2024-09-19 06:34:28',NULL),(264,'\\Laravel\\Passport\\Http\\Controllers\\ClientController@update','\\Laravel\\Passport\\Http\\Controllers\\ClientController','ClientController','update','2024-09-19 06:34:28',NULL),(265,'\\Laravel\\Passport\\Http\\Controllers\\ClientController@destroy','\\Laravel\\Passport\\Http\\Controllers\\ClientController','ClientController','destroy','2024-09-19 06:34:28',NULL),(266,'\\Laravel\\Passport\\Http\\Controllers\\ScopeController@all','\\Laravel\\Passport\\Http\\Controllers\\ScopeController','ScopeController','all','2024-09-19 06:34:28',NULL),(267,'\\Laravel\\Passport\\Http\\Controllers\\PersonalAccessTokenController@forUser','\\Laravel\\Passport\\Http\\Controllers\\PersonalAccessTokenController','PersonalAccessTokenController','forUser','2024-09-19 06:34:28',NULL),(268,'\\Laravel\\Passport\\Http\\Controllers\\PersonalAccessTokenController@store','\\Laravel\\Passport\\Http\\Controllers\\PersonalAccessTokenController','PersonalAccessTokenController','store','2024-09-19 06:34:28',NULL),(269,'\\Laravel\\Passport\\Http\\Controllers\\PersonalAccessTokenController@destroy','\\Laravel\\Passport\\Http\\Controllers\\PersonalAccessTokenController','PersonalAccessTokenController','destroy','2024-09-19 06:34:28',NULL),(271,'App\\Http\\Controllers\\Api\\AuthController@login','App\\Http\\Controllers\\Api\\AuthController','AuthController','login','2024-09-19 06:34:28',NULL),(272,'App\\Http\\Controllers\\Api\\AuthController@logout','App\\Http\\Controllers\\Api\\AuthController','AuthController','logout','2024-09-19 06:34:28',NULL),(278,'App\\Http\\Controllers\\LoginController@showResetForm','App\\Http\\Controllers\\LoginController','LoginController','showResetForm','2024-09-19 06:34:28',NULL),(279,'App\\Http\\Controllers\\LoginController@setPassword','App\\Http\\Controllers\\LoginController','LoginController','setPassword','2024-09-19 06:34:28',NULL),(280,'App\\Http\\Controllers\\LoginController@sendResetLinkEmail','App\\Http\\Controllers\\LoginController','LoginController','sendResetLinkEmail','2024-09-19 06:34:28',NULL),(281,'App\\Http\\Controllers\\LoginController@reset','App\\Http\\Controllers\\LoginController','LoginController','reset','2024-09-19 06:34:28',NULL),(282,'App\\Http\\Controllers\\UserController@verification','App\\Http\\Controllers\\UserController','UserController','verification','2024-09-19 06:34:28',NULL),(283,'App\\Http\\Controllers\\UserController@updateProfile','App\\Http\\Controllers\\UserController','UserController','updateProfile','2024-09-19 06:34:28',NULL),(284,'App\\Http\\Controllers\\UserController@profile','App\\Http\\Controllers\\UserController','UserController','profile','2024-09-19 06:34:28',NULL),(285,'App\\Http\\Controllers\\UserController@updateProfilePassword','App\\Http\\Controllers\\UserController','UserController','updateProfilePassword','2024-09-19 06:34:28',NULL),(286,'App\\Http\\Controllers\\ProductController@view','App\\Http\\Controllers\\ProductController','ProductController','view','2024-09-19 06:34:28',NULL),(291,'App\\Http\\Controllers\\FilesController@isValidFileSize','App\\Http\\Controllers\\FilesController','FilesController','isValidFileSize','2024-09-19 06:34:28',NULL),(292,'App\\Http\\Controllers\\Vendor\\VendorController@profile','App\\Http\\Controllers\\Vendor\\VendorController','VendorController','profile','2024-09-19 06:34:28',NULL),(293,'App\\Http\\Controllers\\Vendor\\VendorController@update','App\\Http\\Controllers\\Vendor\\VendorController','VendorController','update','2024-09-19 06:34:28',NULL),(294,'App\\Http\\Controllers\\Vendor\\VendorController@updatePassword','App\\Http\\Controllers\\Vendor\\VendorController','VendorController','updatePassword','2024-09-19 06:34:28',NULL),(295,'App\\Http\\Controllers\\Vendor\\VendorController@logout','App\\Http\\Controllers\\Vendor\\VendorController','VendorController','logout','2024-09-19 06:34:28',NULL),(310,'App\\Http\\Controllers\\Api\\AuthController@sendResetLinkEmail','App\\Http\\Controllers\\Api\\AuthController','AuthController','sendResetLinkEmail','2024-09-19 06:34:28',NULL),(311,'App\\Http\\Controllers\\Api\\AuthController@setPassword','App\\Http\\Controllers\\Api\\AuthController','AuthController','setPassword','2024-09-19 06:34:28',NULL),(314,'App\\Http\\Controllers\\ReviewController@index','App\\Http\\Controllers\\ReviewController','ReviewController','index','2024-09-19 06:34:28',NULL),(315,'App\\Http\\Controllers\\ReviewController@edit','App\\Http\\Controllers\\ReviewController','ReviewController','edit','2024-09-19 06:34:28',NULL),(316,'App\\Http\\Controllers\\ReviewController@view','App\\Http\\Controllers\\ReviewController','ReviewController','view','2024-09-19 06:34:28',NULL),(317,'App\\Http\\Controllers\\ReviewController@update','App\\Http\\Controllers\\ReviewController','ReviewController','update','2024-09-19 06:34:28',NULL),(318,'App\\Http\\Controllers\\ReviewController@destroy','App\\Http\\Controllers\\ReviewController','ReviewController','destroy','2024-09-19 06:34:28',NULL),(319,'App\\Http\\Controllers\\ReviewController@pdf','App\\Http\\Controllers\\ReviewController','ReviewController','pdf','2024-09-19 06:34:28',NULL),(320,'App\\Http\\Controllers\\ReviewController@csv','App\\Http\\Controllers\\ReviewController','ReviewController','csv','2024-09-19 06:34:28',NULL),(321,'App\\Http\\Controllers\\SsoController@index','App\\Http\\Controllers\\SsoController','SsoController','index','2024-09-19 06:34:28',NULL),(322,'App\\Http\\Controllers\\MaintenanceModeController@enable','App\\Http\\Controllers\\MaintenanceModeController','MaintenanceModeController','enable','2024-09-19 06:34:28',NULL),(323,'App\\Http\\Controllers\\Site\\SiteController@index','App\\Http\\Controllers\\Site\\SiteController','SiteController','index','2024-09-19 06:34:28',NULL),(324,'App\\Http\\Controllers\\Site\\LoginController@login','App\\Http\\Controllers\\Site\\LoginController','LoginController','login','2024-09-19 06:34:28',NULL),(325,'App\\Http\\Controllers\\Site\\LoginController@authenticate','App\\Http\\Controllers\\Site\\LoginController','LoginController','authenticate','2024-09-19 06:34:28',NULL),(326,'App\\Http\\Controllers\\Site\\LoginController@verification','App\\Http\\Controllers\\Site\\LoginController','LoginController','verification','2024-09-19 06:34:28',NULL),(328,'App\\Http\\Controllers\\Site\\LoginController@signUp','App\\Http\\Controllers\\Site\\LoginController','LoginController','signUp','2024-09-19 06:34:28',NULL),(329,'App\\Http\\Controllers\\Site\\LoginController@logout','App\\Http\\Controllers\\Site\\LoginController','LoginController','logout','2024-09-19 06:34:28',NULL),(330,'App\\Http\\Controllers\\Site\\LoginController@redirectToGoogle','App\\Http\\Controllers\\Site\\LoginController','LoginController','redirectToGoogle','2024-09-19 06:34:28',NULL),(331,'App\\Http\\Controllers\\Site\\LoginController@handelGoogleCallback','App\\Http\\Controllers\\Site\\LoginController','LoginController','handelGoogleCallback','2024-09-19 06:34:28',NULL),(332,'App\\Http\\Controllers\\Site\\LoginController@redirectToFacebook','App\\Http\\Controllers\\Site\\LoginController','LoginController','redirectToFacebook','2024-09-19 06:34:28',NULL),(333,'App\\Http\\Controllers\\Site\\LoginController@handelFacebookCallback','App\\Http\\Controllers\\Site\\LoginController','LoginController','handelFacebookCallback','2024-09-19 06:34:28',NULL),(334,'App\\Http\\Controllers\\Site\\SiteController@productDetails','App\\Http\\Controllers\\Site\\SiteController','SiteController','productDetails','2024-09-19 06:34:28',NULL),(335,'App\\Http\\Controllers\\Site\\SiteController@reviewStore','App\\Http\\Controllers\\Site\\SiteController','SiteController','reviewStore','2024-09-19 06:34:28',NULL),(336,'App\\Http\\Controllers\\Site\\DashboardController@index','App\\Http\\Controllers\\Site\\DashboardController','DashboardController','index','2024-09-19 06:34:28',NULL),(342,'Modules\\Coupon\\Http\\Controllers\\Api\\CouponController@index','Modules\\Coupon\\Http\\Controllers\\Api\\CouponController','CouponController','index','2024-09-19 06:34:28',NULL),(343,'Modules\\Coupon\\Http\\Controllers\\Api\\CouponController@store','Modules\\Coupon\\Http\\Controllers\\Api\\CouponController','CouponController','store','2024-09-19 06:34:28',NULL),(344,'Modules\\Coupon\\Http\\Controllers\\Api\\CouponController@update','Modules\\Coupon\\Http\\Controllers\\Api\\CouponController','CouponController','update','2024-09-19 06:34:28',NULL),(345,'Modules\\Coupon\\Http\\Controllers\\Api\\CouponController@detail','Modules\\Coupon\\Http\\Controllers\\Api\\CouponController','CouponController','detail','2024-09-19 06:34:28',NULL),(346,'Modules\\Coupon\\Http\\Controllers\\Api\\CouponController@destroy','Modules\\Coupon\\Http\\Controllers\\Api\\CouponController','CouponController','destroy','2024-09-19 06:34:28',NULL),(347,'Modules\\Coupon\\Http\\Controllers\\CouponController@index','Modules\\Coupon\\Http\\Controllers\\CouponController','CouponController','index','2024-09-19 06:34:28',NULL),(348,'Modules\\Coupon\\Http\\Controllers\\CouponController@create','Modules\\Coupon\\Http\\Controllers\\CouponController','CouponController','create','2024-09-19 06:34:28',NULL),(349,'Modules\\Coupon\\Http\\Controllers\\CouponController@store','Modules\\Coupon\\Http\\Controllers\\CouponController','CouponController','store','2024-09-19 06:34:28',NULL),(350,'Modules\\Coupon\\Http\\Controllers\\CouponController@edit','Modules\\Coupon\\Http\\Controllers\\CouponController','CouponController','edit','2024-09-19 06:34:28',NULL),(351,'Modules\\Coupon\\Http\\Controllers\\CouponController@update','Modules\\Coupon\\Http\\Controllers\\CouponController','CouponController','update','2024-09-19 06:34:28',NULL),(352,'Modules\\Coupon\\Http\\Controllers\\CouponController@destroy','Modules\\Coupon\\Http\\Controllers\\CouponController','CouponController','destroy','2024-09-19 06:34:28',NULL),(357,'Modules\\Coupon\\Http\\Controllers\\CouponRedeemController@index','Modules\\Coupon\\Http\\Controllers\\CouponRedeemController','CouponRedeemController','index','2024-09-19 06:34:28',NULL),(358,'Modules\\Coupon\\Http\\Controllers\\CouponRedeemController@pdf','Modules\\Coupon\\Http\\Controllers\\CouponRedeemController','CouponRedeemController','pdf','2024-09-19 06:34:28',NULL),(359,'Modules\\Coupon\\Http\\Controllers\\CouponRedeemController@csv','Modules\\Coupon\\Http\\Controllers\\CouponRedeemController','CouponRedeemController','csv','2024-09-19 06:34:28',NULL),(388,'App\\Http\\Controllers\\Site\\UserController@edit','App\\Http\\Controllers\\Site\\UserController','UserController','edit','2024-09-19 06:34:28',NULL),(389,'App\\Http\\Controllers\\Site\\UserController@update','App\\Http\\Controllers\\Site\\UserController','UserController','update','2024-09-19 06:34:28',NULL),(390,'App\\Http\\Controllers\\Site\\UserController@editPassword','App\\Http\\Controllers\\Site\\UserController','UserController','editPassword','2024-09-19 06:34:28',NULL),(391,'App\\Http\\Controllers\\Site\\UserController@updatePassword','App\\Http\\Controllers\\Site\\UserController','UserController','updatePassword','2024-09-19 06:34:28',NULL),(392,'App\\Http\\Controllers\\Site\\UserController@setting','App\\Http\\Controllers\\Site\\UserController','UserController','setting','2024-09-19 06:34:28',NULL),(393,'App\\Http\\Controllers\\Site\\UserController@destroy','App\\Http\\Controllers\\Site\\UserController','UserController','destroy','2024-09-19 06:34:28',NULL),(394,'App\\Http\\Controllers\\Site\\WishlistController@index','App\\Http\\Controllers\\Site\\WishlistController','WishlistController','index','2024-09-19 06:34:28',NULL),(395,'App\\Http\\Controllers\\Site\\WishlistController@store','App\\Http\\Controllers\\Site\\WishlistController','WishlistController','store','2024-09-19 06:34:28',NULL),(396,'App\\Http\\Controllers\\Site\\WishlistController@destroy','App\\Http\\Controllers\\Site\\WishlistController','WishlistController','destroy','2024-09-19 06:34:28',NULL),(397,'App\\Http\\Controllers\\Site\\AddressController@index','App\\Http\\Controllers\\Site\\AddressController','AddressController','index','2024-09-19 06:34:28',NULL),(398,'App\\Http\\Controllers\\Site\\AddressController@create','App\\Http\\Controllers\\Site\\AddressController','AddressController','create','2024-09-19 06:34:28',NULL),(399,'App\\Http\\Controllers\\Site\\AddressController@store','App\\Http\\Controllers\\Site\\AddressController','AddressController','store','2024-09-19 06:34:28',NULL),(400,'App\\Http\\Controllers\\Site\\AddressController@edit','App\\Http\\Controllers\\Site\\AddressController','AddressController','edit','2024-09-19 06:34:28',NULL),(401,'App\\Http\\Controllers\\Site\\AddressController@update','App\\Http\\Controllers\\Site\\AddressController','AddressController','update','2024-09-19 06:34:28',NULL),(402,'App\\Http\\Controllers\\Site\\AddressController@destroy','App\\Http\\Controllers\\Site\\AddressController','AddressController','destroy','2024-09-19 06:34:28',NULL),(403,'App\\Http\\Controllers\\Site\\ReviewController@index','App\\Http\\Controllers\\Site\\ReviewController','ReviewController','index','2024-09-19 06:34:28',NULL),(404,'App\\Http\\Controllers\\Site\\CartController@index','App\\Http\\Controllers\\Site\\CartController','CartController','index','2024-09-19 06:34:28',NULL),(405,'App\\Http\\Controllers\\Site\\CartController@store','App\\Http\\Controllers\\Site\\CartController','CartController','store','2024-09-19 06:34:28',NULL),(406,'App\\Http\\Controllers\\Site\\CartController@reduceQuantity','App\\Http\\Controllers\\Site\\CartController','CartController','reduceQuantity','2024-09-19 06:34:28',NULL),(407,'App\\Http\\Controllers\\Site\\CartController@destroy','App\\Http\\Controllers\\Site\\CartController','CartController','destroy','2024-09-19 06:34:28',NULL),(408,'App\\Http\\Controllers\\Site\\OrderController@index','App\\Http\\Controllers\\Site\\OrderController','OrderController','index','2024-09-19 06:34:28',NULL),(410,'App\\Http\\Controllers\\Site\\CartController@destroySelected','App\\Http\\Controllers\\Site\\CartController','CartController','destroySelected','2024-09-19 06:34:28',NULL),(411,'App\\Http\\Controllers\\Site\\CartController@storeSelected','App\\Http\\Controllers\\Site\\CartController','CartController','storeSelected','2024-09-19 06:34:28',NULL),(412,'App\\Http\\Controllers\\Site\\CartController@checkCoupon','App\\Http\\Controllers\\Site\\CartController','CartController','checkCoupon','2024-09-19 06:34:28',NULL),(413,'Modules\\Shipping\\Http\\Controllers\\ShippingController@index','Modules\\Shipping\\Http\\Controllers\\ShippingController','ShippingController','index','2024-09-19 06:34:28',NULL),(415,'Modules\\Shipping\\Http\\Controllers\\ShippingController@store','Modules\\Shipping\\Http\\Controllers\\ShippingController','ShippingController','store','2024-09-19 06:34:28',NULL),(419,'App\\Http\\Controllers\\Site\\DashboardController@switchLanguage','App\\Http\\Controllers\\Site\\DashboardController','DashboardController','switchLanguage','2024-09-19 06:34:28',NULL),(420,'App\\Http\\Controllers\\Site\\OrderController@orderDetails','App\\Http\\Controllers\\Site\\OrderController','OrderController','orderDetails','2024-09-19 06:34:28',NULL),(421,'App\\Http\\Controllers\\Vendor\\ProductController@index','App\\Http\\Controllers\\Vendor\\ProductController','ProductController','index','2024-09-19 06:34:28',NULL),(428,'Modules\\Blog\\Http\\Controllers\\BlogCategoryController@index','Modules\\Blog\\Http\\Controllers\\BlogCategoryController','BlogCategoryController','index','2024-09-19 06:34:28',NULL),(431,'Modules\\Blog\\Http\\Controllers\\BlogCategoryController@delete','Modules\\Blog\\Http\\Controllers\\BlogCategoryController','BlogCategoryController','delete','2024-09-19 06:34:28',NULL),(432,'Modules\\Blog\\Http\\Controllers\\BlogController@index','Modules\\Blog\\Http\\Controllers\\BlogController','BlogController','index','2024-09-19 06:34:28',NULL),(433,'Modules\\Blog\\Http\\Controllers\\BlogController@create','Modules\\Blog\\Http\\Controllers\\BlogController','BlogController','create','2024-09-19 06:34:28',NULL),(434,'Modules\\Blog\\Http\\Controllers\\BlogController@edit','Modules\\Blog\\Http\\Controllers\\BlogController','BlogController','edit','2024-09-19 06:34:28',NULL),(435,'Modules\\Blog\\Http\\Controllers\\BlogController@delete','Modules\\Blog\\Http\\Controllers\\BlogController','BlogController','delete','2024-09-19 06:34:28',NULL),(444,'Modules\\CMS\\Http\\Controllers\\CMSController@index','Modules\\CMS\\Http\\Controllers\\CMSController','CMSController','index','2024-09-19 06:34:28',NULL),(445,'Modules\\CMS\\Http\\Controllers\\CMSController@create','Modules\\CMS\\Http\\Controllers\\CMSController','CMSController','create','2024-09-19 06:34:28',NULL),(446,'Modules\\CMS\\Http\\Controllers\\CMSController@edit','Modules\\CMS\\Http\\Controllers\\CMSController','CMSController','edit','2024-09-19 06:34:28',NULL),(447,'Modules\\CMS\\Http\\Controllers\\CMSController@delete','Modules\\CMS\\Http\\Controllers\\CMSController','CMSController','delete','2024-09-19 06:34:28',NULL),(453,'App\\Http\\Controllers\\Vendor\\ReviewController@index','App\\Http\\Controllers\\Vendor\\ReviewController','ReviewController','index','2024-09-19 06:34:28',NULL),(454,'App\\Http\\Controllers\\Vendor\\ReviewController@edit','App\\Http\\Controllers\\Vendor\\ReviewController','ReviewController','edit','2024-09-19 06:34:28',NULL),(455,'App\\Http\\Controllers\\Vendor\\ReviewController@view','App\\Http\\Controllers\\Vendor\\ReviewController','ReviewController','view','2024-09-19 06:34:28',NULL),(456,'App\\Http\\Controllers\\Vendor\\ReviewController@update','App\\Http\\Controllers\\Vendor\\ReviewController','ReviewController','update','2024-09-19 06:34:28',NULL),(457,'App\\Http\\Controllers\\Vendor\\ReviewController@destroy','App\\Http\\Controllers\\Vendor\\ReviewController','ReviewController','destroy','2024-09-19 06:34:28',NULL),(458,'App\\Http\\Controllers\\Vendor\\ReviewController@pdf','App\\Http\\Controllers\\Vendor\\ReviewController','ReviewController','pdf','2024-09-19 06:34:28',NULL),(459,'App\\Http\\Controllers\\Vendor\\ReviewController@csv','App\\Http\\Controllers\\Vendor\\ReviewController','ReviewController','csv','2024-09-19 06:34:28',NULL),(460,'App\\Http\\Controllers\\Site\\SiteController@fetch','App\\Http\\Controllers\\Site\\SiteController','SiteController','fetch','2024-09-19 06:34:28',NULL),(461,'App\\Http\\Controllers\\Site\\OrderController@store','App\\Http\\Controllers\\Site\\OrderController','OrderController','store','2024-09-19 06:34:28',NULL),(462,'App\\Http\\Controllers\\Site\\OrderController@confirmation','App\\Http\\Controllers\\Site\\OrderController','OrderController','confirmation','2024-09-19 06:34:28',NULL),(463,'App\\Http\\Controllers\\Site\\OrderController@checkOut','App\\Http\\Controllers\\Site\\OrderController','OrderController','checkOut','2024-09-19 06:34:28',NULL),(464,'App\\Http\\Controllers\\Site\\SiteController@updateReview','App\\Http\\Controllers\\Site\\SiteController','SiteController','updateReview','2024-09-19 06:34:28',NULL),(465,'App\\Http\\Controllers\\Site\\SiteController@deleteReview','App\\Http\\Controllers\\Site\\SiteController','SiteController','deleteReview','2024-09-19 06:34:28',NULL),(466,'App\\Http\\Controllers\\Site\\SiteController@filterReview','App\\Http\\Controllers\\Site\\SiteController','SiteController','filterReview','2024-09-19 06:34:28',NULL),(467,'App\\Http\\Controllers\\Site\\SiteController@blogDetails','App\\Http\\Controllers\\Site\\SiteController','SiteController','blogDetails','2024-09-19 06:34:28',NULL),(468,'App\\Http\\Controllers\\Site\\SiteController@blogCategory','App\\Http\\Controllers\\Site\\SiteController','SiteController','blogCategory','2024-09-19 06:34:28',NULL),(469,'App\\Http\\Controllers\\Site\\SiteController@page','App\\Http\\Controllers\\Site\\SiteController','SiteController','page','2024-09-19 06:34:28',NULL),(471,'App\\Http\\Controllers\\Site\\CartController@destroyAll','App\\Http\\Controllers\\Site\\CartController','CartController','destroyAll','2024-09-19 06:34:28',NULL),(473,'App\\Http\\Controllers\\Site\\SiteController@search','App\\Http\\Controllers\\Site\\SiteController','SiteController','search','2024-09-19 06:34:28',NULL),(474,'App\\Http\\Controllers\\Site\\CompareController@index','App\\Http\\Controllers\\Site\\CompareController','CompareController','index','2024-09-19 06:34:28',NULL),(475,'App\\Http\\Controllers\\Site\\CompareController@store','App\\Http\\Controllers\\Site\\CompareController','CompareController','store','2024-09-19 06:34:28',NULL),(476,'App\\Http\\Controllers\\Site\\CompareController@destroy','App\\Http\\Controllers\\Site\\CompareController','CompareController','destroy','2024-09-19 06:34:28',NULL),(477,'Modules\\Blog\\Http\\Controllers\\BlogCategoryController@store','Modules\\Blog\\Http\\Controllers\\BlogCategoryController','BlogCategoryController','store','2024-09-19 06:34:28',NULL),(478,'Modules\\Blog\\Http\\Controllers\\BlogCategoryController@update','Modules\\Blog\\Http\\Controllers\\BlogCategoryController','BlogCategoryController','update','2024-09-19 06:34:28',NULL),(479,'Modules\\Blog\\Http\\Controllers\\BlogController@store','Modules\\Blog\\Http\\Controllers\\BlogController','BlogController','store','2024-09-19 06:34:28',NULL),(480,'Modules\\Blog\\Http\\Controllers\\BlogController@update','Modules\\Blog\\Http\\Controllers\\BlogController','BlogController','update','2024-09-19 06:34:28',NULL),(481,'Modules\\CMS\\Http\\Controllers\\CMSController@store','Modules\\CMS\\Http\\Controllers\\CMSController','CMSController','store','2024-09-19 06:34:28',NULL),(482,'Modules\\CMS\\Http\\Controllers\\CMSController@update','Modules\\CMS\\Http\\Controllers\\CMSController','CMSController','update','2024-09-19 06:34:28',NULL),(488,'Modules\\MenuBuilder\\Http\\Controllers\\MenuBuilderController@index','Modules\\MenuBuilder\\Http\\Controllers\\MenuBuilderController','MenuBuilderController','index','2024-09-19 06:34:28',NULL),(489,'Modules\\MenuBuilder\\Http\\Controllers\\MenuController@createNewMenu','Modules\\MenuBuilder\\Http\\Controllers\\MenuController','MenuController','createNewMenu','2024-09-19 06:34:28',NULL),(490,'Modules\\MenuBuilder\\Http\\Controllers\\MenuController@delete','Modules\\MenuBuilder\\Http\\Controllers\\MenuController','MenuController','delete','2024-09-19 06:34:28',NULL),(491,'Modules\\MenuBuilder\\Http\\Controllers\\MenuController@addCustomMenu','Modules\\MenuBuilder\\Http\\Controllers\\MenuController','MenuController','addCustomMenu','2024-09-19 06:34:28',NULL),(492,'Modules\\MenuBuilder\\Http\\Controllers\\MenuController@update','Modules\\MenuBuilder\\Http\\Controllers\\MenuController','MenuController','update','2024-09-19 06:34:28',NULL),(493,'Modules\\MenuBuilder\\Http\\Controllers\\MenuController@generateMenuControl','Modules\\MenuBuilder\\Http\\Controllers\\MenuController','MenuController','generateMenuControl','2024-09-19 06:34:28',NULL),(494,'Modules\\MenuBuilder\\Http\\Controllers\\MenuController@deleteMenu','Modules\\MenuBuilder\\Http\\Controllers\\MenuController','MenuController','deleteMenu','2024-09-19 06:34:28',NULL),(496,'App\\Http\\Controllers\\Api\\User\\UserController@profile','App\\Http\\Controllers\\Api\\User\\UserController','UserController','profile','2024-09-19 06:34:28',NULL),(497,'App\\Http\\Controllers\\Api\\User\\UserController@update','App\\Http\\Controllers\\Api\\User\\UserController','UserController','update','2024-09-19 06:34:28',NULL),(498,'App\\Http\\Controllers\\Api\\User\\UserController@updatePassword','App\\Http\\Controllers\\Api\\User\\UserController','UserController','updatePassword','2024-09-19 06:34:28',NULL),(499,'App\\Http\\Controllers\\Api\\User\\UserController@destroy','App\\Http\\Controllers\\Api\\User\\UserController','UserController','destroy','2024-09-19 06:34:28',NULL),(500,'\\App\\Http\\Controllers\\Api\\AuthController@login','\\App\\Http\\Controllers\\Api\\AuthController','AuthController','login','2024-09-19 06:34:28',NULL),(501,'App\\Http\\Controllers\\Api\\User\\WishlistController@index','App\\Http\\Controllers\\Api\\User\\WishlistController','WishlistController','index','2024-09-19 06:34:28',NULL),(502,'App\\Http\\Controllers\\Api\\User\\WishlistController@destroy','App\\Http\\Controllers\\Api\\User\\WishlistController','WishlistController','destroy','2024-09-19 06:34:28',NULL),(503,'App\\Http\\Controllers\\Api\\User\\ReviewController@index','App\\Http\\Controllers\\Api\\User\\ReviewController','ReviewController','index','2024-09-19 06:34:28',NULL),(504,'\\App\\Http\\Controllers\\Api\\AuthController@sendResetLinkEmail','\\App\\Http\\Controllers\\Api\\AuthController','AuthController','sendResetLinkEmail','2024-09-19 06:34:28',NULL),(505,'\\App\\Http\\Controllers\\Api\\AuthController@setPassword','\\App\\Http\\Controllers\\Api\\AuthController','AuthController','setPassword','2024-09-19 06:34:28',NULL),(508,'App\\Http\\Controllers\\Api\\User\\AddressController@addresses','App\\Http\\Controllers\\Api\\User\\AddressController','AddressController','addresses','2024-09-19 06:34:28',NULL),(509,'App\\Http\\Controllers\\Api\\User\\AddressController@storeAddress','App\\Http\\Controllers\\Api\\User\\AddressController','AddressController','storeAddress','2024-09-19 06:34:28',NULL),(510,'App\\Http\\Controllers\\Api\\User\\AddressController@updateAddress','App\\Http\\Controllers\\Api\\User\\AddressController','AddressController','updateAddress','2024-09-19 06:34:28',NULL),(511,'App\\Http\\Controllers\\Api\\User\\AddressController@destroyAddress','App\\Http\\Controllers\\Api\\User\\AddressController','AddressController','destroyAddress','2024-09-19 06:34:28',NULL),(512,'App\\Http\\Controllers\\Api\\User\\OrderController@index','App\\Http\\Controllers\\Api\\User\\OrderController','OrderController','index','2024-09-19 06:34:28',NULL),(514,'App\\Http\\Controllers\\Api\\User\\OrderController@details','App\\Http\\Controllers\\Api\\User\\OrderController','OrderController','details','2024-09-19 06:34:28',NULL),(515,'\\App\\Http\\Controllers\\Api\\AuthController@logout','\\App\\Http\\Controllers\\Api\\AuthController','AuthController','logout','2024-09-19 06:34:28',NULL),(516,'App\\Http\\Controllers\\Api\\ProductController@index','App\\Http\\Controllers\\Api\\ProductController','ProductController','index','2024-09-19 06:34:28',NULL),(519,'App\\Http\\Controllers\\Api\\ProductController@search','App\\Http\\Controllers\\Api\\ProductController','ProductController','search','2024-09-19 06:34:28',NULL),(520,'App\\Http\\Controllers\\Api\\ProductController@detail','App\\Http\\Controllers\\Api\\ProductController','ProductController','detail','2024-09-19 06:34:28',NULL),(524,'App\\Http\\Controllers\\Api\\CategoryController@index','App\\Http\\Controllers\\Api\\CategoryController','CategoryController','index','2024-09-19 06:34:28',NULL),(525,'App\\Http\\Controllers\\Api\\CategoryController@store','App\\Http\\Controllers\\Api\\CategoryController','CategoryController','store','2024-09-19 06:34:28',NULL),(526,'App\\Http\\Controllers\\Api\\CategoryController@update','App\\Http\\Controllers\\Api\\CategoryController','CategoryController','update','2024-09-19 06:34:28',NULL),(527,'App\\Http\\Controllers\\Api\\CategoryController@detail','App\\Http\\Controllers\\Api\\CategoryController','CategoryController','detail','2024-09-19 06:34:28',NULL),(528,'App\\Http\\Controllers\\Api\\CategoryController@destroy','App\\Http\\Controllers\\Api\\CategoryController','CategoryController','destroy','2024-09-19 06:34:28',NULL),(529,'App\\Http\\Controllers\\Api\\User\\CategoryController@index','App\\Http\\Controllers\\Api\\User\\CategoryController','CategoryController','index','2024-09-19 06:34:28',NULL),(531,'App\\Http\\Controllers\\Api\\User\\BrandController@index','App\\Http\\Controllers\\Api\\User\\BrandController','BrandController','index','2024-09-19 06:34:28',NULL),(532,'App\\Http\\Controllers\\OrderStatusController@index','App\\Http\\Controllers\\OrderStatusController','OrderStatusController','index','2024-09-19 06:34:28',NULL),(533,'App\\Http\\Controllers\\OrderStatusController@store','App\\Http\\Controllers\\OrderStatusController','OrderStatusController','store','2024-09-19 06:34:28',NULL),(534,'App\\Http\\Controllers\\OrderStatusController@edit','App\\Http\\Controllers\\OrderStatusController','OrderStatusController','edit','2024-09-19 06:34:28',NULL),(535,'App\\Http\\Controllers\\OrderStatusController@update','App\\Http\\Controllers\\OrderStatusController','OrderStatusController','update','2024-09-19 06:34:28',NULL),(536,'App\\Http\\Controllers\\OrderStatusController@destroy','App\\Http\\Controllers\\OrderStatusController','OrderStatusController','destroy','2024-09-19 06:34:28',NULL),(548,'App\\Http\\Controllers\\AdminOrderController@index','App\\Http\\Controllers\\AdminOrderController','AdminOrderController','index','2024-09-19 06:34:28',NULL),(549,'App\\Http\\Controllers\\AdminOrderController@view','App\\Http\\Controllers\\AdminOrderController','AdminOrderController','view','2024-09-19 06:34:28',NULL),(550,'App\\Http\\Controllers\\AdminOrderController@changeStatus','App\\Http\\Controllers\\AdminOrderController','AdminOrderController','changeStatus','2024-09-19 06:34:28',NULL),(551,'App\\Http\\Controllers\\AdminOrderController@destroy','App\\Http\\Controllers\\AdminOrderController','AdminOrderController','destroy','2024-09-19 06:34:28',NULL),(552,'App\\Http\\Controllers\\AdminOrderController@pdf','App\\Http\\Controllers\\AdminOrderController','AdminOrderController','pdf','2024-09-19 06:34:28',NULL),(553,'App\\Http\\Controllers\\AdminOrderController@csv','App\\Http\\Controllers\\AdminOrderController','AdminOrderController','csv','2024-09-19 06:34:28',NULL),(554,'App\\Http\\Controllers\\Vendor\\VendorOrderController@index','App\\Http\\Controllers\\Vendor\\VendorOrderController','VendorOrderController','index','2024-09-19 06:34:28',NULL),(555,'App\\Http\\Controllers\\Vendor\\VendorOrderController@view','App\\Http\\Controllers\\Vendor\\VendorOrderController','VendorOrderController','view','2024-09-19 06:34:28',NULL),(556,'App\\Http\\Controllers\\Vendor\\VendorOrderController@changeStatus','App\\Http\\Controllers\\Vendor\\VendorOrderController','VendorOrderController','changeStatus','2024-09-19 06:34:28',NULL),(557,'App\\Http\\Controllers\\Vendor\\VendorOrderController@pdf','App\\Http\\Controllers\\Vendor\\VendorOrderController','VendorOrderController','pdf','2024-09-19 06:34:28',NULL),(558,'App\\Http\\Controllers\\Vendor\\VendorOrderController@csv','App\\Http\\Controllers\\Vendor\\VendorOrderController','VendorOrderController','csv','2024-09-19 06:34:28',NULL),(561,'App\\Http\\Controllers\\AdminOrderController@invoicePrint','App\\Http\\Controllers\\AdminOrderController','AdminOrderController','invoicePrint','2024-09-19 06:34:28',NULL),(562,'App\\Http\\Controllers\\Vendor\\VendorOrderController@invoicePrint','App\\Http\\Controllers\\Vendor\\VendorOrderController','VendorOrderController','invoicePrint','2024-09-19 06:34:28',NULL),(563,'App\\Http\\Controllers\\Site\\SellerController@index','App\\Http\\Controllers\\Site\\SellerController','SellerController','index','2024-09-19 06:34:28',NULL),(565,'App\\Http\\Controllers\\Site\\DashboardController@removeWelcome','App\\Http\\Controllers\\Site\\DashboardController','DashboardController','removeWelcome','2024-09-19 06:34:28',NULL),(566,'App\\Http\\Controllers\\Site\\OrderController@track','App\\Http\\Controllers\\Site\\OrderController','OrderController','track','2024-09-19 06:34:28',NULL),(568,'App\\Http\\Controllers\\UserController@wallet','App\\Http\\Controllers\\UserController','UserController','wallet','2024-09-19 06:34:28',NULL),(569,'Modules\\Commission\\Http\\Controllers\\CommissionController@index','Modules\\Commission\\Http\\Controllers\\CommissionController','CommissionController','index','2024-09-19 06:34:28',NULL),(570,'Modules\\Commission\\Http\\Controllers\\CommissionController@store','Modules\\Commission\\Http\\Controllers\\CommissionController','CommissionController','store','2024-09-19 06:34:28',NULL),(571,'App\\Http\\Controllers\\Site\\SellerController@index','App\\Http\\Controllers\\Site\\SellerController','SellerController','index','2024-09-19 06:34:28',NULL),(573,'App\\Http\\Controllers\\Site\\DashboardController@removeWelcome','App\\Http\\Controllers\\Site\\DashboardController','DashboardController','removeWelcome','2024-09-19 06:34:28',NULL),(574,'App\\Http\\Controllers\\AddonsMangerController@index','App\\Http\\Controllers\\AddonsMangerController','AddonsMangerController','index','2024-09-19 06:34:28',NULL),(577,'Modules\\Razorpay\\Http\\Controllers\\RazorpayController@store','Modules\\Razorpay\\Http\\Controllers\\RazorpayController','RazorpayController','store','2024-09-19 06:34:28',NULL),(578,'Modules\\Paystack\\Http\\Controllers\\PaystackController@store','Modules\\Paystack\\Http\\Controllers\\PaystackController','PaystackController','store','2024-09-19 06:34:28',NULL),(579,'Modules\\Paypal\\Http\\Controllers\\PaypalController@store','Modules\\Paypal\\Http\\Controllers\\PaypalController','PaypalController','store','2024-09-19 06:34:28',NULL),(580,'Modules\\Instamojo\\Http\\Controllers\\InstamojoController@store','Modules\\Instamojo\\Http\\Controllers\\InstamojoController','InstamojoController','store','2024-09-19 06:34:28',NULL),(583,'Modules\\Gateway\\Http\\Controllers\\GatewayController@paymentGateways','Modules\\Gateway\\Http\\Controllers\\GatewayController','GatewayController','paymentGateways','2024-09-19 06:34:28',NULL),(584,'Modules\\Gateway\\Http\\Controllers\\GatewayController@pay','Modules\\Gateway\\Http\\Controllers\\GatewayController','GatewayController','pay','2024-09-19 06:34:28',NULL),(585,'Modules\\Gateway\\Http\\Controllers\\GatewayController@makePayment','Modules\\Gateway\\Http\\Controllers\\GatewayController','GatewayController','makePayment','2024-09-19 06:34:28',NULL),(586,'Modules\\Gateway\\Http\\Controllers\\GatewayController@paymentCallback','Modules\\Gateway\\Http\\Controllers\\GatewayController','GatewayController','paymentCallback','2024-09-19 06:34:28',NULL),(587,'Modules\\Gateway\\Http\\Controllers\\GatewayController@paymentCancelled','Modules\\Gateway\\Http\\Controllers\\GatewayController','GatewayController','paymentCancelled','2024-09-19 06:34:28',NULL),(588,'Modules\\Gateway\\Http\\Controllers\\GatewayController@paymentHook','Modules\\Gateway\\Http\\Controllers\\GatewayController','GatewayController','paymentHook','2024-09-19 06:34:28',NULL),(589,'Modules\\Gateway\\Http\\Controllers\\GatewayController@enableModule','Modules\\Gateway\\Http\\Controllers\\GatewayController','GatewayController','enableModule','2024-09-19 06:34:28',NULL),(590,'Modules\\Gateway\\Http\\Controllers\\GatewayController@disableModule','Modules\\Gateway\\Http\\Controllers\\GatewayController','GatewayController','disableModule','2024-09-19 06:34:28',NULL),(591,'Modules\\Coinpayment\\Http\\Controllers\\CoinpaymentController@store','Modules\\Coinpayment\\Http\\Controllers\\CoinpaymentController','CoinpaymentController','store','2024-09-19 06:34:28',NULL),(592,'Modules\\Coinbase\\Http\\Controllers\\CoinbaseController@store','Modules\\Coinbase\\Http\\Controllers\\CoinbaseController','CoinbaseController','store','2024-09-19 06:34:28',NULL),(593,'Modules\\CMS\\Http\\Controllers\\ThemeOptionController@list','Modules\\CMS\\Http\\Controllers\\ThemeOptionController','ThemeOptionController','list','2024-09-19 06:34:28',NULL),(594,'Modules\\CMS\\Http\\Controllers\\ThemeOptionController@store','Modules\\CMS\\Http\\Controllers\\ThemeOptionController','ThemeOptionController','store','2024-09-19 06:34:28',NULL),(595,'Modules\\Stripe\\Http\\Controllers\\StripeController@store','Modules\\Stripe\\Http\\Controllers\\StripeController','StripeController','store','2024-09-19 06:34:28',NULL),(597,'Modules\\Refund\\Http\\Controllers\\RefundController@index','Modules\\Refund\\Http\\Controllers\\RefundController','RefundController','index','2024-09-19 06:34:28',NULL),(598,'Modules\\Refund\\Http\\Controllers\\RefundController@edit','Modules\\Refund\\Http\\Controllers\\RefundController','RefundController','edit','2024-09-19 06:34:28',NULL),(599,'Modules\\Refund\\Http\\Controllers\\RefundController@update','Modules\\Refund\\Http\\Controllers\\RefundController','RefundController','update','2024-09-19 06:34:28',NULL),(600,'App\\Http\\Controllers\\TransactionController@index','App\\Http\\Controllers\\TransactionController','TransactionController','index','2024-09-19 06:34:28',NULL),(601,'App\\Http\\Controllers\\TransactionController@edit','App\\Http\\Controllers\\TransactionController','TransactionController','edit','2024-09-19 06:34:28',NULL),(602,'App\\Http\\Controllers\\TransactionController@update','App\\Http\\Controllers\\TransactionController','TransactionController','update','2024-09-19 06:34:28',NULL),(603,'App\\Http\\Controllers\\TransactionController@pdf','App\\Http\\Controllers\\TransactionController','TransactionController','pdf','2024-09-19 06:34:28',NULL),(604,'App\\Http\\Controllers\\TransactionController@csv','App\\Http\\Controllers\\TransactionController','TransactionController','csv','2024-09-19 06:34:28',NULL),(605,'App\\Http\\Controllers\\WithdrawalController@index','App\\Http\\Controllers\\WithdrawalController','WithdrawalController','index','2024-09-19 06:34:28',NULL),(606,'App\\Http\\Controllers\\WithdrawalController@update','App\\Http\\Controllers\\WithdrawalController','WithdrawalController','update','2024-09-19 06:34:28',NULL),(613,'Modules\\Refund\\Http\\Controllers\\RefundController@pdf','Modules\\Refund\\Http\\Controllers\\RefundController','RefundController','pdf','2024-09-19 06:34:28',NULL),(614,'Modules\\Refund\\Http\\Controllers\\RefundController@csv','Modules\\Refund\\Http\\Controllers\\RefundController','RefundController','csv','2024-09-19 06:34:28',NULL),(620,'App\\Http\\Controllers\\WithdrawalController@edit','App\\Http\\Controllers\\WithdrawalController','WithdrawalController','edit','2024-09-19 06:34:28',NULL),(621,'App\\Http\\Controllers\\WithdrawalController@pdf','App\\Http\\Controllers\\WithdrawalController','WithdrawalController','pdf','2024-09-19 06:34:28',NULL),(622,'App\\Http\\Controllers\\WithdrawalController@csv','App\\Http\\Controllers\\WithdrawalController','WithdrawalController','csv','2024-09-19 06:34:28',NULL),(625,'Modules\\Popup\\Http\\Controllers\\PopupController@index','Modules\\Popup\\Http\\Controllers\\PopupController','PopupController','index','2024-09-19 06:34:28',NULL),(626,'Modules\\Popup\\Http\\Controllers\\PopupController@create','Modules\\Popup\\Http\\Controllers\\PopupController','PopupController','create','2024-09-19 06:34:28',NULL),(627,'Modules\\Popup\\Http\\Controllers\\PopupController@store','Modules\\Popup\\Http\\Controllers\\PopupController','PopupController','store','2024-09-19 06:34:28',NULL),(628,'Modules\\Popup\\Http\\Controllers\\PopupController@show','Modules\\Popup\\Http\\Controllers\\PopupController','PopupController','show','2024-09-19 06:34:28',NULL),(629,'Modules\\Popup\\Http\\Controllers\\PopupController@edit','Modules\\Popup\\Http\\Controllers\\PopupController','PopupController','edit','2024-09-19 06:34:28',NULL),(630,'Modules\\Popup\\Http\\Controllers\\PopupController@update','Modules\\Popup\\Http\\Controllers\\PopupController','PopupController','update','2024-09-19 06:34:28',NULL),(631,'Modules\\Popup\\Http\\Controllers\\PopupController@destroy','Modules\\Popup\\Http\\Controllers\\PopupController','PopupController','destroy','2024-09-19 06:34:28',NULL),(632,'App\\Http\\Controllers\\Api\\User\\OrderController@store','App\\Http\\Controllers\\Api\\User\\OrderController','OrderController','store','2024-09-19 06:34:28',NULL),(633,'App\\Http\\Controllers\\Api\\User\\OrderController@checkoutPayment','App\\Http\\Controllers\\Api\\User\\OrderController','OrderController','checkoutPayment','2024-09-19 06:34:28',NULL),(634,'App\\Http\\Controllers\\Api\\User\\OrderController@checkOut','App\\Http\\Controllers\\Api\\User\\OrderController','OrderController','checkOut','2024-09-19 06:34:28',NULL),(635,'App\\Http\\Controllers\\Api\\User\\CartController@index','App\\Http\\Controllers\\Api\\User\\CartController','CartController','index','2024-09-19 06:34:28',NULL),(636,'App\\Http\\Controllers\\Api\\User\\CartController@store','App\\Http\\Controllers\\Api\\User\\CartController','CartController','store','2024-09-19 06:34:28',NULL),(637,'App\\Http\\Controllers\\Api\\User\\CartController@reduceQuantity','App\\Http\\Controllers\\Api\\User\\CartController','CartController','reduceQuantity','2024-09-19 06:34:28',NULL),(638,'App\\Http\\Controllers\\Api\\User\\CartController@destroy','App\\Http\\Controllers\\Api\\User\\CartController','CartController','destroy','2024-09-19 06:34:28',NULL),(639,'App\\Http\\Controllers\\Api\\User\\CartController@destroySelected','App\\Http\\Controllers\\Api\\User\\CartController','CartController','destroySelected','2024-09-19 06:34:28',NULL),(640,'App\\Http\\Controllers\\Api\\User\\CartController@storeSelected','App\\Http\\Controllers\\Api\\User\\CartController','CartController','storeSelected','2024-09-19 06:34:28',NULL),(641,'App\\Http\\Controllers\\Api\\User\\CartController@destroyAll','App\\Http\\Controllers\\Api\\User\\CartController','CartController','destroyAll','2024-09-19 06:34:28',NULL),(642,'App\\Http\\Controllers\\Api\\User\\CartController@checkCoupon','App\\Http\\Controllers\\Api\\User\\CartController','CartController','checkCoupon','2024-09-19 06:34:28',NULL),(643,'App\\Http\\Controllers\\Site\\OrderController@orderPaid','App\\Http\\Controllers\\Site\\OrderController','OrderController','orderPaid','2024-09-19 06:34:28',NULL),(644,'App\\Http\\Controllers\\Site\\SiteController@brandProducts','App\\Http\\Controllers\\Site\\SiteController','SiteController','brandProducts','2024-09-19 06:34:28',NULL),(646,'Modules\\Coinbase\\Http\\Controllers\\CoinbaseController@edit','Modules\\Coinbase\\Http\\Controllers\\CoinbaseController','CoinbaseController','edit','2024-09-19 06:34:28',NULL),(647,'Modules\\Coinpayment\\Http\\Controllers\\CoinpaymentController@edit','Modules\\Coinpayment\\Http\\Controllers\\CoinpaymentController','CoinpaymentController','edit','2024-09-19 06:34:28',NULL),(657,'Modules\\Instamojo\\Http\\Controllers\\InstamojoController@edit','Modules\\Instamojo\\Http\\Controllers\\InstamojoController','InstamojoController','edit','2024-09-19 06:34:28',NULL),(658,'Modules\\Paypal\\Http\\Controllers\\PaypalController@edit','Modules\\Paypal\\Http\\Controllers\\PaypalController','PaypalController','edit','2024-09-19 06:34:28',NULL),(659,'Modules\\Paystack\\Http\\Controllers\\PaystackController@edit','Modules\\Paystack\\Http\\Controllers\\PaystackController','PaystackController','edit','2024-09-19 06:34:28',NULL),(660,'Modules\\Razorpay\\Http\\Controllers\\RazorpayController@edit','Modules\\Razorpay\\Http\\Controllers\\RazorpayController','RazorpayController','edit','2024-09-19 06:34:28',NULL),(661,'Modules\\Stripe\\Http\\Controllers\\StripeController@edit','Modules\\Stripe\\Http\\Controllers\\StripeController','StripeController','edit','2024-09-19 06:34:28',NULL),(662,'Modules\\Popup\\Http\\Controllers\\PopupController@pdf','Modules\\Popup\\Http\\Controllers\\PopupController','PopupController','pdf','2024-09-19 06:34:28',NULL),(663,'Modules\\Popup\\Http\\Controllers\\PopupController@csv','Modules\\Popup\\Http\\Controllers\\PopupController','PopupController','csv','2024-09-19 06:34:28',NULL),(679,'App\\Http\\Controllers\\Api\\User\\CartController@getStock','App\\Http\\Controllers\\Api\\User\\CartController','CartController','getStock','2024-09-19 06:34:28',NULL),(680,'App\\Http\\Controllers\\PreferenceController@password','App\\Http\\Controllers\\PreferenceController','PreferenceController','password','2024-09-19 06:34:28',NULL),(681,'App\\Http\\Controllers\\Site\\LoginController@showResetForm','App\\Http\\Controllers\\Site\\LoginController','LoginController','showResetForm','2024-09-19 06:34:28',NULL),(682,'App\\Http\\Controllers\\Site\\LoginController@setPassword','App\\Http\\Controllers\\Site\\LoginController','LoginController','setPassword','2024-09-19 06:34:28',NULL),(683,'App\\Http\\Controllers\\Site\\LoginController@sendResetLinkEmail','App\\Http\\Controllers\\Site\\LoginController','LoginController','sendResetLinkEmail','2024-09-19 06:34:28',NULL),(685,'App\\Http\\Controllers\\Site\\AddressController@checkDefault','App\\Http\\Controllers\\Site\\AddressController','AddressController','checkDefault','2024-09-19 06:34:28',NULL),(686,'\\App\\Http\\Controllers\\Api\\AuthController@signUp','\\App\\Http\\Controllers\\Api\\AuthController','AuthController','signUp','2024-09-19 06:34:28',NULL),(687,'App\\Http\\Controllers\\Site\\SiteController@quickView','App\\Http\\Controllers\\Site\\SiteController','SiteController','quickView','2024-09-19 06:34:28',NULL),(690,'Modules\\MediaManager\\Http\\Controllers\\MediaManagerController@create','Modules\\MediaManager\\Http\\Controllers\\MediaManagerController','MediaManagerController','create','2024-09-19 06:34:28',NULL),(691,'Modules\\MediaManager\\Http\\Controllers\\MediaManagerController@store','Modules\\MediaManager\\Http\\Controllers\\MediaManagerController','MediaManagerController','store','2024-09-19 06:34:28',NULL),(692,'Modules\\MediaManager\\Http\\Controllers\\MediaManagerController@upload','Modules\\MediaManager\\Http\\Controllers\\MediaManagerController','MediaManagerController','upload','2024-09-19 06:34:28',NULL),(693,'Modules\\MediaManager\\Http\\Controllers\\MediaManagerController@uploadedFiles','Modules\\MediaManager\\Http\\Controllers\\MediaManagerController','MediaManagerController','uploadedFiles','2024-09-19 06:34:28',NULL),(694,'Modules\\MediaManager\\Http\\Controllers\\MediaManagerController@sortFiles','Modules\\MediaManager\\Http\\Controllers\\MediaManagerController','MediaManagerController','sortFiles','2024-09-19 06:34:28',NULL),(695,'Modules\\MediaManager\\Http\\Controllers\\MediaManagerController@paginateFiles','Modules\\MediaManager\\Http\\Controllers\\MediaManagerController','MediaManagerController','paginateFiles','2024-09-19 06:34:28',NULL),(696,'Modules\\MediaManager\\Http\\Controllers\\MediaManagerController@download','Modules\\MediaManager\\Http\\Controllers\\MediaManagerController','MediaManagerController','download','2024-09-19 06:34:28',NULL),(698,'Modules\\MediaManager\\Http\\Controllers\\MediaManagerController@paginateData','Modules\\MediaManager\\Http\\Controllers\\MediaManagerController','MediaManagerController','paginateData','2024-09-19 06:34:28',NULL),(699,'Modules\\Report\\Http\\Controllers\\ReportController@index','Modules\\Report\\Http\\Controllers\\ReportController','ReportController','index','2024-09-19 06:34:28',NULL),(700,'App\\Http\\Controllers\\Api\\CountryController@index','App\\Http\\Controllers\\Api\\CountryController','CountryController','index','2024-09-19 06:34:28',NULL),(703,'App\\Http\\Controllers\\Site\\AddressController@makeDefault','App\\Http\\Controllers\\Site\\AddressController','AddressController','makeDefault','2024-09-19 06:34:28',NULL),(704,'App\\Http\\Controllers\\Site\\ReviewController@destroy','App\\Http\\Controllers\\Site\\ReviewController','ReviewController','destroy','2024-09-19 06:34:28',NULL),(741,'Modules\\Newsletter\\Http\\Controllers\\SubscriberController@index','Modules\\Newsletter\\Http\\Controllers\\SubscriberController','SubscriberController','index','2024-09-19 06:34:28',NULL),(742,'Modules\\Newsletter\\Http\\Controllers\\SubscriberController@edit','Modules\\Newsletter\\Http\\Controllers\\SubscriberController','SubscriberController','edit','2024-09-19 06:34:28',NULL),(743,'Modules\\Newsletter\\Http\\Controllers\\SubscriberController@update','Modules\\Newsletter\\Http\\Controllers\\SubscriberController','SubscriberController','update','2024-09-19 06:34:28',NULL),(744,'Modules\\Newsletter\\Http\\Controllers\\SubscriberController@destroy','Modules\\Newsletter\\Http\\Controllers\\SubscriberController','SubscriberController','destroy','2024-09-19 06:34:28',NULL),(745,'Modules\\Newsletter\\Http\\Controllers\\SubscriberController@pdf','Modules\\Newsletter\\Http\\Controllers\\SubscriberController','SubscriberController','pdf','2024-09-19 06:34:28',NULL),(746,'Modules\\Newsletter\\Http\\Controllers\\SubscriberController@csv','Modules\\Newsletter\\Http\\Controllers\\SubscriberController','SubscriberController','csv','2024-09-19 06:34:28',NULL),(747,'Modules\\Newsletter\\Http\\Controllers\\SubscriberController@store','Modules\\Newsletter\\Http\\Controllers\\SubscriberController','SubscriberController','store','2024-09-19 06:34:28',NULL),(750,'App\\Http\\Controllers\\DashboardController@getUserData','App\\Http\\Controllers\\DashboardController','DashboardController','getUserData','2024-09-19 06:34:28',NULL),(751,'App\\Http\\Controllers\\DashboardController@getProductData','App\\Http\\Controllers\\DashboardController','DashboardController','getProductData','2024-09-19 06:34:28',NULL),(752,'App\\Http\\Controllers\\DashboardController@mostSoldProducts','App\\Http\\Controllers\\DashboardController','DashboardController','mostSoldProducts','2024-09-19 06:34:28',NULL),(753,'App\\Http\\Controllers\\DashboardController@mostActiveUsers','App\\Http\\Controllers\\DashboardController','DashboardController','mostActiveUsers','2024-09-19 06:34:28',NULL),(754,'App\\Http\\Controllers\\DashboardController@vendorStats','App\\Http\\Controllers\\DashboardController','DashboardController','vendorStats','2024-09-19 06:34:28',NULL),(755,'App\\Http\\Controllers\\DashboardController@salesOfTheMonth','App\\Http\\Controllers\\DashboardController','DashboardController','salesOfTheMonth','2024-09-19 06:34:28',NULL),(758,'App\\Http\\Controllers\\Vendor\\ProductController@edit','App\\Http\\Controllers\\Vendor\\ProductController','ProductController','edit','2024-09-19 06:34:28',NULL),(760,'App\\Http\\Controllers\\Vendor\\ProductController@search','App\\Http\\Controllers\\Vendor\\ProductController','ProductController','search','2024-09-19 06:34:28',NULL),(766,'App\\Http\\Controllers\\Vendor\\WithdrawalController@index','App\\Http\\Controllers\\Vendor\\WithdrawalController','WithdrawalController','index','2024-09-19 06:34:28',NULL),(767,'App\\Http\\Controllers\\Vendor\\WithdrawalController@setting','App\\Http\\Controllers\\Vendor\\WithdrawalController','WithdrawalController','setting','2024-09-19 06:34:28',NULL),(768,'App\\Http\\Controllers\\Vendor\\WithdrawalController@withdraw','App\\Http\\Controllers\\Vendor\\WithdrawalController','WithdrawalController','withdraw','2024-09-19 06:34:28',NULL),(769,'App\\Http\\Controllers\\Vendor\\WithdrawalController@pdf','App\\Http\\Controllers\\Vendor\\WithdrawalController','WithdrawalController','pdf','2024-09-19 06:34:28',NULL),(770,'App\\Http\\Controllers\\Vendor\\WithdrawalController@csv','App\\Http\\Controllers\\Vendor\\WithdrawalController','WithdrawalController','csv','2024-09-19 06:34:28',NULL),(771,'App\\Http\\Controllers\\Vendor\\DashboardController@getUserData','App\\Http\\Controllers\\Vendor\\DashboardController','DashboardController','getUserData','2024-09-19 06:34:28',NULL),(772,'App\\Http\\Controllers\\Vendor\\DashboardController@getProductData','App\\Http\\Controllers\\Vendor\\DashboardController','DashboardController','getProductData','2024-09-19 06:34:28',NULL),(773,'App\\Http\\Controllers\\Vendor\\DashboardController@mostSoldProducts','App\\Http\\Controllers\\Vendor\\DashboardController','DashboardController','mostSoldProducts','2024-09-19 06:34:28',NULL),(774,'App\\Http\\Controllers\\Vendor\\DashboardController@mostActiveUsers','App\\Http\\Controllers\\Vendor\\DashboardController','DashboardController','mostActiveUsers','2024-09-19 06:34:28',NULL),(775,'App\\Http\\Controllers\\Vendor\\DashboardController@vendorStats','App\\Http\\Controllers\\Vendor\\DashboardController','DashboardController','vendorStats','2024-09-19 06:34:28',NULL),(776,'App\\Http\\Controllers\\Vendor\\DashboardController@salesOfTheMonth','App\\Http\\Controllers\\Vendor\\DashboardController','DashboardController','salesOfTheMonth','2024-09-19 06:34:28',NULL),(777,'App\\Http\\Controllers\\Site\\SellerController@vendorProfile','App\\Http\\Controllers\\Site\\SellerController','SellerController','vendorProfile','2024-09-19 06:34:28',NULL),(780,'Modules\\CMS\\Http\\Controllers\\BuilderController@edit','Modules\\CMS\\Http\\Controllers\\BuilderController','BuilderController','edit','2024-09-19 06:34:28',NULL),(781,'Modules\\CMS\\Http\\Controllers\\BuilderController@editElement','Modules\\CMS\\Http\\Controllers\\BuilderController','BuilderController','editElement','2024-09-19 06:34:28',NULL),(782,'Modules\\CMS\\Http\\Controllers\\BuilderController@updateComponent','Modules\\CMS\\Http\\Controllers\\BuilderController','BuilderController','updateComponent','2024-09-19 06:34:28',NULL),(783,'Modules\\CMS\\Http\\Controllers\\BuilderController@deleteComponent','Modules\\CMS\\Http\\Controllers\\BuilderController','BuilderController','deleteComponent','2024-09-19 06:34:28',NULL),(785,'Modules\\Coupon\\Http\\Controllers\\CouponController@downloadPdf','Modules\\Coupon\\Http\\Controllers\\CouponController','CouponController','downloadPdf','2024-09-19 06:34:28',NULL),(786,'Modules\\Coupon\\Http\\Controllers\\CouponController@downloadCsv','Modules\\Coupon\\Http\\Controllers\\CouponController','CouponController','downloadCsv','2024-09-19 06:34:28',NULL),(787,'Modules\\Coupon\\Http\\Controllers\\CouponController@getShopByVendor','Modules\\Coupon\\Http\\Controllers\\CouponController','CouponController','getShopByVendor','2024-09-19 06:34:28',NULL),(788,'Modules\\Coupon\\Http\\Controllers\\CouponController@getCouponProduct','Modules\\Coupon\\Http\\Controllers\\CouponController','CouponController','getCouponProduct','2024-09-19 06:34:28',NULL),(789,'Modules\\Coupon\\Http\\Controllers\\Vendor\\CouponController@index','Modules\\Coupon\\Http\\Controllers\\Vendor\\CouponController','CouponController','index','2024-09-19 06:34:28',NULL),(790,'Modules\\Coupon\\Http\\Controllers\\Vendor\\CouponController@create','Modules\\Coupon\\Http\\Controllers\\Vendor\\CouponController','CouponController','create','2024-09-19 06:34:28',NULL),(791,'Modules\\Coupon\\Http\\Controllers\\Vendor\\CouponController@store','Modules\\Coupon\\Http\\Controllers\\Vendor\\CouponController','CouponController','store','2024-09-19 06:34:28',NULL),(792,'Modules\\Coupon\\Http\\Controllers\\Vendor\\CouponController@edit','Modules\\Coupon\\Http\\Controllers\\Vendor\\CouponController','CouponController','edit','2024-09-19 06:34:28',NULL),(793,'Modules\\Coupon\\Http\\Controllers\\Vendor\\CouponController@update','Modules\\Coupon\\Http\\Controllers\\Vendor\\CouponController','CouponController','update','2024-09-19 06:34:28',NULL),(794,'Modules\\Coupon\\Http\\Controllers\\Vendor\\CouponController@destroy','Modules\\Coupon\\Http\\Controllers\\Vendor\\CouponController','CouponController','destroy','2024-09-19 06:34:28',NULL),(795,'Modules\\Coupon\\Http\\Controllers\\Vendor\\CouponController@pdf','Modules\\Coupon\\Http\\Controllers\\Vendor\\CouponController','CouponController','pdf','2024-09-19 06:34:28',NULL),(796,'Modules\\Coupon\\Http\\Controllers\\Vendor\\CouponController@csv','Modules\\Coupon\\Http\\Controllers\\Vendor\\CouponController','CouponController','csv','2024-09-19 06:34:28',NULL),(798,'Modules\\Refund\\Http\\Controllers\\Api\\User\\RefundController@index','Modules\\Refund\\Http\\Controllers\\Api\\User\\RefundController','RefundController','index','2024-09-19 06:34:28',NULL),(800,'Modules\\Refund\\Http\\Controllers\\Site\\RefundController@index','Modules\\Refund\\Http\\Controllers\\Site\\RefundController','RefundController','index','2024-09-19 06:34:28',NULL),(801,'Modules\\Refund\\Http\\Controllers\\Site\\RefundController@createRequest','Modules\\Refund\\Http\\Controllers\\Site\\RefundController','RefundController','createRequest','2024-09-19 06:34:28',NULL),(802,'Modules\\Refund\\Http\\Controllers\\Site\\RefundController@refund','Modules\\Refund\\Http\\Controllers\\Site\\RefundController','RefundController','refund','2024-09-19 06:34:28',NULL),(803,'Modules\\Refund\\Http\\Controllers\\Vendor\\RefundController@index','Modules\\Refund\\Http\\Controllers\\Vendor\\RefundController','RefundController','index','2024-09-19 06:34:28',NULL),(804,'Modules\\Refund\\Http\\Controllers\\Vendor\\RefundController@edit','Modules\\Refund\\Http\\Controllers\\Vendor\\RefundController','RefundController','edit','2024-09-19 06:34:28',NULL),(805,'Modules\\Refund\\Http\\Controllers\\Vendor\\RefundController@update','Modules\\Refund\\Http\\Controllers\\Vendor\\RefundController','RefundController','update','2024-09-19 06:34:28',NULL),(806,'Modules\\Refund\\Http\\Controllers\\Vendor\\RefundController@pdf','Modules\\Refund\\Http\\Controllers\\Vendor\\RefundController','RefundController','pdf','2024-09-19 06:34:28',NULL),(807,'Modules\\Refund\\Http\\Controllers\\Vendor\\RefundController@csv','Modules\\Refund\\Http\\Controllers\\Vendor\\RefundController','RefundController','csv','2024-09-19 06:34:28',NULL),(821,'App\\Http\\Controllers\\Vendor\\VendorTransactionController@index','App\\Http\\Controllers\\Vendor\\VendorTransactionController','VendorTransactionController','index','2024-09-19 06:34:28',NULL),(822,'App\\Http\\Controllers\\Vendor\\VendorTransactionController@pdf','App\\Http\\Controllers\\Vendor\\VendorTransactionController','VendorTransactionController','pdf','2024-09-19 06:34:28',NULL),(823,'App\\Http\\Controllers\\Vendor\\VendorTransactionController@csv','App\\Http\\Controllers\\Vendor\\VendorTransactionController','VendorTransactionController','csv','2024-09-19 06:34:28',NULL),(824,'App\\Http\\Controllers\\Api\\AuthController@verifyEmail','App\\Http\\Controllers\\Api\\AuthController','AuthController','verifyEmail','2024-09-19 06:34:28',NULL),(825,'App\\Http\\Controllers\\Api\\User\\CategoryController@subCategory','App\\Http\\Controllers\\Api\\User\\CategoryController','CategoryController','subCategory','2024-09-19 06:34:28',NULL),(826,'App\\Http\\Controllers\\Api\\User\\ProductController@search','App\\Http\\Controllers\\Api\\User\\ProductController','ProductController','search','2024-09-19 06:34:28',NULL),(827,'App\\Http\\Controllers\\Api\\User\\ProductController@recentSearch','App\\Http\\Controllers\\Api\\User\\ProductController','ProductController','recentSearch','2024-09-19 06:34:28',NULL),(828,'App\\Http\\Controllers\\LoginController@resetOtp','App\\Http\\Controllers\\LoginController','LoginController','resetOtp','2024-09-19 06:34:28',NULL),(829,'App\\Http\\Controllers\\LoginController@impersonate','App\\Http\\Controllers\\LoginController','LoginController','impersonate','2024-09-19 06:34:28',NULL),(830,'App\\Http\\Controllers\\LoginController@cancelImpersonate','App\\Http\\Controllers\\LoginController','LoginController','cancelImpersonate','2024-09-19 06:34:28',NULL),(831,'App\\Http\\Controllers\\AdminOrderController@update','App\\Http\\Controllers\\AdminOrderController','AdminOrderController','update','2024-09-19 06:34:28',NULL),(832,'App\\Http\\Controllers\\EmailController@emailVerifySetting','App\\Http\\Controllers\\EmailController','EmailController','emailVerifySetting','2024-09-19 06:34:28',NULL),(833,'App\\Http\\Controllers\\Site\\LoginController@checkEmailExistence','App\\Http\\Controllers\\Site\\LoginController','LoginController','checkEmailExistence','2024-09-19 06:34:28',NULL),(834,'App\\Http\\Controllers\\Site\\LoginController@resetOtp','App\\Http\\Controllers\\Site\\LoginController','LoginController','resetOtp','2024-09-19 06:34:28',NULL),(835,'App\\Http\\Controllers\\Site\\UserController@removeImage','App\\Http\\Controllers\\Site\\UserController','UserController','removeImage','2024-09-19 06:34:28',NULL),(836,'Modules\\CMS\\Http\\Controllers\\CMSController@home','Modules\\CMS\\Http\\Controllers\\CMSController','CMSController','home','2024-09-19 06:34:28',NULL),(837,'Modules\\Refund\\Http\\Controllers\\Site\\RefundController@refundDetails','Modules\\Refund\\Http\\Controllers\\Site\\RefundController','RefundController','refundDetails','2024-09-19 06:34:28',NULL),(838,'Modules\\FormBuilder\\Http\\Controllers\\FormController@index','Modules\\FormBuilder\\Http\\Controllers\\FormController','FormController','index','2024-09-19 06:34:28',NULL),(839,'Modules\\FormBuilder\\Http\\Controllers\\RenderFormController@render','Modules\\FormBuilder\\Http\\Controllers\\RenderFormController','RenderFormController','render','2024-09-19 06:34:28',NULL),(840,'Modules\\FormBuilder\\Http\\Controllers\\RenderFormController@submit','Modules\\FormBuilder\\Http\\Controllers\\RenderFormController','RenderFormController','submit','2024-09-19 06:34:28',NULL),(841,'Modules\\FormBuilder\\Http\\Controllers\\RenderFormController@feedback','Modules\\FormBuilder\\Http\\Controllers\\RenderFormController','RenderFormController','feedback','2024-09-19 06:34:28',NULL),(842,'Modules\\FormBuilder\\Http\\Controllers\\MySubmissionController@index','Modules\\FormBuilder\\Http\\Controllers\\MySubmissionController','MySubmissionController','index','2024-09-19 06:34:28',NULL),(843,'Modules\\FormBuilder\\Http\\Controllers\\MySubmissionController@create','Modules\\FormBuilder\\Http\\Controllers\\MySubmissionController','MySubmissionController','create','2024-09-19 06:34:28',NULL),(844,'Modules\\FormBuilder\\Http\\Controllers\\MySubmissionController@store','Modules\\FormBuilder\\Http\\Controllers\\MySubmissionController','MySubmissionController','store','2024-09-19 06:34:28',NULL),(845,'Modules\\FormBuilder\\Http\\Controllers\\MySubmissionController@show','Modules\\FormBuilder\\Http\\Controllers\\MySubmissionController','MySubmissionController','show','2024-09-19 06:34:28',NULL),(846,'Modules\\FormBuilder\\Http\\Controllers\\MySubmissionController@edit','Modules\\FormBuilder\\Http\\Controllers\\MySubmissionController','MySubmissionController','edit','2024-09-19 06:34:28',NULL),(847,'Modules\\FormBuilder\\Http\\Controllers\\MySubmissionController@update','Modules\\FormBuilder\\Http\\Controllers\\MySubmissionController','MySubmissionController','update','2024-09-19 06:34:28',NULL),(848,'Modules\\FormBuilder\\Http\\Controllers\\MySubmissionController@destroy','Modules\\FormBuilder\\Http\\Controllers\\MySubmissionController','MySubmissionController','destroy','2024-09-19 06:34:28',NULL),(849,'Modules\\FormBuilder\\Http\\Controllers\\SubmissionController@index','Modules\\FormBuilder\\Http\\Controllers\\SubmissionController','SubmissionController','index','2024-09-19 06:34:28',NULL),(850,'Modules\\FormBuilder\\Http\\Controllers\\SubmissionController@index','Modules\\FormBuilder\\Http\\Controllers\\SubmissionController','SubmissionController','index','2024-09-19 06:34:28',NULL),(851,'Modules\\FormBuilder\\Http\\Controllers\\SubmissionController@create','Modules\\FormBuilder\\Http\\Controllers\\SubmissionController','SubmissionController','create','2024-09-19 06:34:28',NULL),(852,'Modules\\FormBuilder\\Http\\Controllers\\SubmissionController@store','Modules\\FormBuilder\\Http\\Controllers\\SubmissionController','SubmissionController','store','2024-09-19 06:34:28',NULL),(853,'Modules\\FormBuilder\\Http\\Controllers\\SubmissionController@show','Modules\\FormBuilder\\Http\\Controllers\\SubmissionController','SubmissionController','show','2024-09-19 06:34:28',NULL),(854,'Modules\\FormBuilder\\Http\\Controllers\\SubmissionController@edit','Modules\\FormBuilder\\Http\\Controllers\\SubmissionController','SubmissionController','edit','2024-09-19 06:34:28',NULL),(855,'Modules\\FormBuilder\\Http\\Controllers\\SubmissionController@update','Modules\\FormBuilder\\Http\\Controllers\\SubmissionController','SubmissionController','update','2024-09-19 06:34:28',NULL),(856,'Modules\\FormBuilder\\Http\\Controllers\\SubmissionController@destroy','Modules\\FormBuilder\\Http\\Controllers\\SubmissionController','SubmissionController','destroy','2024-09-19 06:34:28',NULL),(857,'Modules\\FormBuilder\\Http\\Controllers\\FormController@index','Modules\\FormBuilder\\Http\\Controllers\\FormController','FormController','index','2024-09-19 06:34:28',NULL),(858,'Modules\\FormBuilder\\Http\\Controllers\\FormController@create','Modules\\FormBuilder\\Http\\Controllers\\FormController','FormController','create','2024-09-19 06:34:28',NULL),(859,'Modules\\FormBuilder\\Http\\Controllers\\FormController@store','Modules\\FormBuilder\\Http\\Controllers\\FormController','FormController','store','2024-09-19 06:34:28',NULL),(860,'Modules\\FormBuilder\\Http\\Controllers\\FormController@show','Modules\\FormBuilder\\Http\\Controllers\\FormController','FormController','show','2024-09-19 06:34:28',NULL),(861,'Modules\\FormBuilder\\Http\\Controllers\\FormController@edit','Modules\\FormBuilder\\Http\\Controllers\\FormController','FormController','edit','2024-09-19 06:34:28',NULL),(862,'Modules\\FormBuilder\\Http\\Controllers\\FormController@update','Modules\\FormBuilder\\Http\\Controllers\\FormController','FormController','update','2024-09-19 06:34:28',NULL),(863,'Modules\\FormBuilder\\Http\\Controllers\\FormController@destroy','Modules\\FormBuilder\\Http\\Controllers\\FormController','FormController','destroy','2024-09-19 06:34:28',NULL),(864,'Modules\\FormBuilder\\Http\\Controllers\\KycController@index','Modules\\FormBuilder\\Http\\Controllers\\KycController','KycController','index','2024-09-19 06:34:28',NULL),(865,'Modules\\FormBuilder\\Http\\Controllers\\KycController@edit','Modules\\FormBuilder\\Http\\Controllers\\KycController','KycController','edit','2024-09-19 06:34:28',NULL),(866,'Modules\\FormBuilder\\Http\\Controllers\\KycController@update','Modules\\FormBuilder\\Http\\Controllers\\KycController','KycController','update','2024-09-19 06:34:28',NULL),(867,'Modules\\FormBuilder\\Http\\Controllers\\KycController@editSubmission','Modules\\FormBuilder\\Http\\Controllers\\KycController','KycController','editSubmission','2024-09-19 06:34:28',NULL),(868,'Modules\\FormBuilder\\Http\\Controllers\\KycController@editSubmission','Modules\\FormBuilder\\Http\\Controllers\\KycController','KycController','editSubmission','2024-09-19 06:34:28',NULL),(869,'Modules\\FormBuilder\\Http\\Controllers\\KycController@viewSubmission','Modules\\FormBuilder\\Http\\Controllers\\KycController','KycController','viewSubmission','2024-09-19 06:34:28',NULL),(870,'Modules\\FormBuilder\\Http\\Controllers\\KycController@submissionDelete','Modules\\FormBuilder\\Http\\Controllers\\KycController','KycController','submissionDelete','2024-09-19 06:34:28',NULL),(874,'App\\Http\\Controllers\\Api\\User\\UserController@topSeller','App\\Http\\Controllers\\Api\\User\\UserController','UserController','topSeller','2024-09-19 06:34:28',NULL),(876,'\\App\\Http\\Controllers\\Api\\AuthController@registerOrLoginUser','\\App\\Http\\Controllers\\Api\\AuthController','AuthController','registerOrLoginUser','2024-09-19 06:34:28',NULL),(877,'App\\Http\\Controllers\\Site\\SiteController@allBlogs','App\\Http\\Controllers\\Site\\SiteController','SiteController','allBlogs','2024-09-19 06:34:28',NULL),(878,'App\\Http\\Controllers\\Site\\SiteController@blogSearch','App\\Http\\Controllers\\Site\\SiteController','SiteController','blogSearch','2024-09-19 06:34:28',NULL),(879,'App\\Http\\Controllers\\Site\\OrderController@orderManage','App\\Http\\Controllers\\Site\\OrderController','OrderController','orderManage','2024-09-19 06:34:28',NULL),(880,'Modules\\CMS\\Http\\Controllers\\CMSController@createHomepage','Modules\\CMS\\Http\\Controllers\\CMSController','CMSController','createHomepage','2024-09-19 06:34:28',NULL),(881,'Modules\\CMS\\Http\\Controllers\\CMSController@editHome','Modules\\CMS\\Http\\Controllers\\CMSController','CMSController','editHome','2024-09-19 06:34:28',NULL),(883,'Modules\\Refund\\Http\\Controllers\\Site\\RefundController@getProducts','Modules\\Refund\\Http\\Controllers\\Site\\RefundController','RefundController','getProducts','2024-09-19 06:34:28',NULL),(884,'Modules\\Refund\\Http\\Controllers\\Site\\RefundProcessController@process','Modules\\Refund\\Http\\Controllers\\Site\\RefundProcessController','RefundProcessController','process','2024-09-19 06:34:28',NULL),(885,'Modules\\Refund\\Http\\Controllers\\Vendor\\RefundProcessController@process','Modules\\Refund\\Http\\Controllers\\Vendor\\RefundProcessController','RefundProcessController','process','2024-09-19 06:34:28',NULL),(886,'App\\Http\\Controllers\\Site\\beASellerController@beSeller','App\\Http\\Controllers\\Site\\beASellerController','beASellerController','beSeller','2024-09-19 06:34:28',NULL),(887,'Modules\\CMS\\Http\\Controllers\\SlideController@create','Modules\\CMS\\Http\\Controllers\\SlideController','SlideController','create','2024-09-19 06:34:28',NULL),(888,'Modules\\CMS\\Http\\Controllers\\SlideController@store','Modules\\CMS\\Http\\Controllers\\SlideController','SlideController','store','2024-09-19 06:34:28',NULL),(889,'Modules\\CMS\\Http\\Controllers\\SlideController@edit','Modules\\CMS\\Http\\Controllers\\SlideController','SlideController','edit','2024-09-19 06:34:28',NULL),(890,'Modules\\CMS\\Http\\Controllers\\SlideController@update','Modules\\CMS\\Http\\Controllers\\SlideController','SlideController','update','2024-09-19 06:34:28',NULL),(891,'Modules\\CMS\\Http\\Controllers\\SlideController@delete','Modules\\CMS\\Http\\Controllers\\SlideController','SlideController','delete','2024-09-19 06:34:28',NULL),(892,'Modules\\CMS\\Http\\Controllers\\SliderController@index','Modules\\CMS\\Http\\Controllers\\SliderController','SliderController','index','2024-09-19 06:34:28',NULL),(893,'Modules\\CMS\\Http\\Controllers\\SliderController@store','Modules\\CMS\\Http\\Controllers\\SliderController','SliderController','store','2024-09-19 06:34:28',NULL),(894,'Modules\\CMS\\Http\\Controllers\\SliderController@update','Modules\\CMS\\Http\\Controllers\\SliderController','SliderController','update','2024-09-19 06:34:28',NULL),(895,'Modules\\CMS\\Http\\Controllers\\SliderController@delete','Modules\\CMS\\Http\\Controllers\\SliderController','SliderController','delete','2024-09-19 06:34:28',NULL),(897,'\\App\\Http\\Controllers\\Api\\AuthController@checkOtp','\\App\\Http\\Controllers\\Api\\AuthController','AuthController','checkOtp','2024-09-19 06:34:28',NULL),(898,'App\\Http\\Controllers\\ProductSettingController@general','App\\Http\\Controllers\\ProductSettingController','ProductSettingController','general','2024-09-19 06:34:28',NULL),(899,'App\\Http\\Controllers\\ProductSettingController@inventory','App\\Http\\Controllers\\ProductSettingController','ProductSettingController','inventory','2024-09-19 06:34:28',NULL),(900,'App\\Http\\Controllers\\ProductSettingController@vendor','App\\Http\\Controllers\\ProductSettingController','ProductSettingController','vendor','2024-09-19 06:34:28',NULL),(901,'App\\Http\\Controllers\\Api\\Vendor\\ApiVendorProductController@index','App\\Http\\Controllers\\Api\\Vendor\\ApiVendorProductController','ApiVendorProductController','index','2024-09-19 06:34:28',NULL),(902,'App\\Http\\Controllers\\Api\\Vendor\\ApiVendorProductController@store','App\\Http\\Controllers\\Api\\Vendor\\ApiVendorProductController','ApiVendorProductController','store','2024-09-19 06:34:28',NULL),(903,'App\\Http\\Controllers\\Api\\Vendor\\ApiVendorProductController@update','App\\Http\\Controllers\\Api\\Vendor\\ApiVendorProductController','ApiVendorProductController','update','2024-09-19 06:34:28',NULL),(904,'App\\Http\\Controllers\\Api\\Vendor\\ApiVendorProductController@search','App\\Http\\Controllers\\Api\\Vendor\\ApiVendorProductController','ApiVendorProductController','search','2024-09-19 06:34:28',NULL),(905,'App\\Http\\Controllers\\Api\\Vendor\\ApiVendorProductController@detail','App\\Http\\Controllers\\Api\\Vendor\\ApiVendorProductController','ApiVendorProductController','detail','2024-09-19 06:34:28',NULL),(906,'App\\Http\\Controllers\\Api\\Vendor\\ApiVendorProductController@updateRelatedProduct','App\\Http\\Controllers\\Api\\Vendor\\ApiVendorProductController','ApiVendorProductController','updateRelatedProduct','2024-09-19 06:34:28',NULL),(907,'App\\Http\\Controllers\\Api\\Vendor\\ApiVendorProductController@destroy','App\\Http\\Controllers\\Api\\Vendor\\ApiVendorProductController','ApiVendorProductController','destroy','2024-09-19 06:34:28',NULL),(908,'App\\Http\\Controllers\\DashboardController@vendorStatsType','App\\Http\\Controllers\\DashboardController','DashboardController','vendorStatsType','2024-09-19 06:34:28',NULL),(909,'App\\Http\\Controllers\\DashboardController@vendorReq','App\\Http\\Controllers\\DashboardController','DashboardController','vendorReq','2024-09-19 06:34:28',NULL),(910,'App\\Http\\Controllers\\DashboardController@changeStatus','App\\Http\\Controllers\\DashboardController','DashboardController','changeStatus','2024-09-19 06:34:28',NULL),(911,'App\\Http\\Controllers\\Site\\LoginController@emailSignup','App\\Http\\Controllers\\Site\\LoginController','LoginController','emailSignup','2024-09-19 06:34:28',NULL),(912,'App\\Http\\Controllers\\Site\\LoginController@emailStore','App\\Http\\Controllers\\Site\\LoginController','LoginController','emailStore','2024-09-19 06:34:28',NULL),(913,'App\\Http\\Controllers\\Site\\LoginController@verificationOtp','App\\Http\\Controllers\\Site\\LoginController','LoginController','verificationOtp','2024-09-19 06:34:28',NULL),(915,'App\\Http\\Controllers\\Site\\beASellerController@sellerRegistration','App\\Http\\Controllers\\Site\\beASellerController','beASellerController','sellerRegistration','2024-09-19 06:34:28',NULL),(916,'App\\Http\\Controllers\\Site\\SiteController@coupon','App\\Http\\Controllers\\Site\\SiteController','SiteController','coupon','2024-09-19 06:34:28',NULL),(917,'Modules\\CashOnDelivery\\Http\\Controllers\\CashOnDeliveryController@store','Modules\\CashOnDelivery\\Http\\Controllers\\CashOnDeliveryController','CashOnDeliveryController','store','2024-09-19 06:34:28',NULL),(918,'Modules\\CashOnDelivery\\Http\\Controllers\\CashOnDeliveryController@edit','Modules\\CashOnDelivery\\Http\\Controllers\\CashOnDeliveryController','CashOnDeliveryController','edit','2024-09-19 06:34:28',NULL),(919,'Modules\\MediaManager\\Http\\Controllers\\MediaManagerController@deleteImage','Modules\\MediaManager\\Http\\Controllers\\MediaManagerController','MediaManagerController','deleteImage','2024-09-19 06:34:28',NULL),(936,'Modules\\GeoLocale\\Http\\Controllers\\GeoLocaleController@index','Modules\\GeoLocale\\Http\\Controllers\\GeoLocaleController','GeoLocaleController','index','2024-09-19 06:34:28',NULL),(937,'Modules\\GeoLocale\\Http\\Controllers\\CountryController@index','Modules\\GeoLocale\\Http\\Controllers\\CountryController','CountryController','index','2024-09-19 06:34:28',NULL),(938,'Modules\\GeoLocale\\Http\\Controllers\\CountryController@show','Modules\\GeoLocale\\Http\\Controllers\\CountryController','CountryController','show','2024-09-19 06:34:28',NULL),(939,'Modules\\GeoLocale\\Http\\Controllers\\CountryController@store','Modules\\GeoLocale\\Http\\Controllers\\CountryController','CountryController','store','2024-09-19 06:34:28',NULL),(940,'Modules\\GeoLocale\\Http\\Controllers\\CountryController@update','Modules\\GeoLocale\\Http\\Controllers\\CountryController','CountryController','update','2024-09-19 06:34:28',NULL),(941,'Modules\\GeoLocale\\Http\\Controllers\\CountryController@destroy','Modules\\GeoLocale\\Http\\Controllers\\CountryController','CountryController','destroy','2024-09-19 06:34:28',NULL),(942,'Modules\\GeoLocale\\Http\\Controllers\\StateController@index','Modules\\GeoLocale\\Http\\Controllers\\StateController','StateController','index','2024-09-19 06:34:28',NULL),(943,'Modules\\GeoLocale\\Http\\Controllers\\StateController@show','Modules\\GeoLocale\\Http\\Controllers\\StateController','StateController','show','2024-09-19 06:34:28',NULL),(944,'Modules\\GeoLocale\\Http\\Controllers\\StateController@getCountryStates','Modules\\GeoLocale\\Http\\Controllers\\StateController','StateController','getCountryStates','2024-09-19 06:34:28',NULL),(945,'Modules\\GeoLocale\\Http\\Controllers\\StateController@store','Modules\\GeoLocale\\Http\\Controllers\\StateController','StateController','store','2024-09-19 06:34:28',NULL),(946,'Modules\\GeoLocale\\Http\\Controllers\\StateController@update','Modules\\GeoLocale\\Http\\Controllers\\StateController','StateController','update','2024-09-19 06:34:28',NULL),(947,'Modules\\GeoLocale\\Http\\Controllers\\StateController@destroy','Modules\\GeoLocale\\Http\\Controllers\\StateController','StateController','destroy','2024-09-19 06:34:28',NULL),(948,'Modules\\GeoLocale\\Http\\Controllers\\CityController@getCountryCities','Modules\\GeoLocale\\Http\\Controllers\\CityController','CityController','getCountryCities','2024-09-19 06:34:28',NULL),(949,'Modules\\GeoLocale\\Http\\Controllers\\CityController@getStateCities','Modules\\GeoLocale\\Http\\Controllers\\CityController','CityController','getStateCities','2024-09-19 06:34:28',NULL),(950,'Modules\\GeoLocale\\Http\\Controllers\\CityController@store','Modules\\GeoLocale\\Http\\Controllers\\CityController','CityController','store','2024-09-19 06:34:28',NULL),(951,'Modules\\GeoLocale\\Http\\Controllers\\CityController@update','Modules\\GeoLocale\\Http\\Controllers\\CityController','CityController','update','2024-09-19 06:34:28',NULL),(952,'Modules\\GeoLocale\\Http\\Controllers\\CityController@destroy','Modules\\GeoLocale\\Http\\Controllers\\CityController','CityController','destroy','2024-09-19 06:34:28',NULL),(953,'Modules\\Tax\\Http\\Controllers\\TaxClassController@index','Modules\\Tax\\Http\\Controllers\\TaxClassController','TaxClassController','index','2024-09-19 06:34:28',NULL),(954,'Modules\\Tax\\Http\\Controllers\\TaxClassController@store','Modules\\Tax\\Http\\Controllers\\TaxClassController','TaxClassController','store','2024-09-19 06:34:28',NULL),(955,'Modules\\Tax\\Http\\Controllers\\TaxClassController@update','Modules\\Tax\\Http\\Controllers\\TaxClassController','TaxClassController','update','2024-09-19 06:34:28',NULL),(956,'Modules\\Tax\\Http\\Controllers\\TaxClassController@destroy','Modules\\Tax\\Http\\Controllers\\TaxClassController','TaxClassController','destroy','2024-09-19 06:34:28',NULL),(957,'Modules\\Tax\\Http\\Controllers\\TaxClassController@setting','Modules\\Tax\\Http\\Controllers\\TaxClassController','TaxClassController','setting','2024-09-19 06:34:28',NULL),(958,'Modules\\Tax\\Http\\Controllers\\TaxRateController@update','Modules\\Tax\\Http\\Controllers\\TaxRateController','TaxRateController','update','2024-09-19 06:34:28',NULL),(998,'App\\Http\\Controllers\\Api\\User\\ReviewController@store','App\\Http\\Controllers\\Api\\User\\ReviewController','ReviewController','store','2024-09-19 06:34:28',NULL),(1001,'App\\Http\\Controllers\\Api\\User\\ReviewController@update','App\\Http\\Controllers\\Api\\User\\ReviewController','ReviewController','update','2024-09-19 06:34:28',NULL),(1002,'App\\Http\\Controllers\\Api\\User\\ReviewController@deleteFile','App\\Http\\Controllers\\Api\\User\\ReviewController','ReviewController','deleteFile','2024-09-19 06:34:28',NULL),(1004,'Modules\\Refund\\Http\\Controllers\\Api\\User\\RefundController@getReason','Modules\\Refund\\Http\\Controllers\\Api\\User\\RefundController','RefundController','getReason','2024-09-19 06:34:28',NULL),(1005,'Modules\\Refund\\Http\\Controllers\\Api\\User\\RefundController@store','Modules\\Refund\\Http\\Controllers\\Api\\User\\RefundController','RefundController','store','2024-09-19 06:34:28',NULL),(1006,'Modules\\Refund\\Http\\Controllers\\Api\\User\\RefundController@details','Modules\\Refund\\Http\\Controllers\\Api\\User\\RefundController','RefundController','details','2024-09-19 06:34:28',NULL),(1007,'Modules\\Refund\\Http\\Controllers\\Api\\User\\RefundController@storeMessage','Modules\\Refund\\Http\\Controllers\\Api\\User\\RefundController','RefundController','storeMessage','2024-09-19 06:34:28',NULL),(1008,'Modules\\Shipping\\Http\\Controllers\\ShippingController@storeClass','Modules\\Shipping\\Http\\Controllers\\ShippingController','ShippingController','storeClass','2024-09-19 06:34:28',NULL),(1009,'Modules\\Shipping\\Http\\Controllers\\ShippingController@storeSetting','Modules\\Shipping\\Http\\Controllers\\ShippingController','ShippingController','storeSetting','2024-09-19 06:34:28',NULL),(1010,'App\\Http\\Controllers\\Site\\LoginController@verifyByOtp','App\\Http\\Controllers\\Site\\LoginController','LoginController','verifyByOtp','2024-09-19 06:34:28',NULL),(1011,'App\\Http\\Controllers\\Site\\LoginController@resendUserVerificationCode','App\\Http\\Controllers\\Site\\LoginController','LoginController','resendUserVerificationCode','2024-09-19 06:34:28',NULL),(1012,'App\\Http\\Controllers\\Site\\RegisteredSellerController@showSignUpForm','App\\Http\\Controllers\\Site\\RegisteredSellerController','RegisteredSellerController','showSignUpForm','2024-09-19 06:34:28',NULL),(1013,'App\\Http\\Controllers\\Site\\RegisteredSellerController@signUp','App\\Http\\Controllers\\Site\\RegisteredSellerController','RegisteredSellerController','signUp','2024-09-19 06:34:28',NULL),(1014,'App\\Http\\Controllers\\Site\\RegisteredSellerController@otpForm','App\\Http\\Controllers\\Site\\RegisteredSellerController','RegisteredSellerController','otpForm','2024-09-19 06:34:28',NULL),(1015,'App\\Http\\Controllers\\Site\\RegisteredSellerController@verification','App\\Http\\Controllers\\Site\\RegisteredSellerController','RegisteredSellerController','verification','2024-09-19 06:34:28',NULL),(1016,'App\\Http\\Controllers\\Site\\RegisteredSellerController@otpVerification','App\\Http\\Controllers\\Site\\RegisteredSellerController','RegisteredSellerController','otpVerification','2024-09-19 06:34:28',NULL),(1017,'App\\Http\\Controllers\\Site\\LoginController@validMail','App\\Http\\Controllers\\Site\\LoginController','LoginController','validMail','2024-09-19 06:34:28',NULL),(1020,'Modules\\Popup\\Http\\Controllers\\PopupController@mail','Modules\\Popup\\Http\\Controllers\\PopupController','PopupController','mail','2024-09-19 06:34:28',NULL),(1021,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneController@index','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneController','ShippingZoneController','index','2024-09-19 06:34:28',NULL),(1022,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneController@store','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneController','ShippingZoneController','store','2024-09-19 06:34:28',NULL),(1023,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneController@detail','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneController','ShippingZoneController','detail','2024-09-19 06:34:28',NULL),(1024,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneController@update','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneController','ShippingZoneController','update','2024-09-19 06:34:28',NULL),(1025,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneController@destroy','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneController','ShippingZoneController','destroy','2024-09-19 06:34:28',NULL),(1026,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingClassController@index','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingClassController','ShippingClassController','index','2024-09-19 06:34:28',NULL),(1027,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingClassController@store','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingClassController','ShippingClassController','store','2024-09-19 06:34:28',NULL),(1028,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingClassController@detail','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingClassController','ShippingClassController','detail','2024-09-19 06:34:28',NULL),(1029,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingClassController@update','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingClassController','ShippingClassController','update','2024-09-19 06:34:28',NULL),(1030,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingClassController@destroy','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingClassController','ShippingClassController','destroy','2024-09-19 06:34:28',NULL),(1031,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingMethodController@index','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingMethodController','ShippingMethodController','index','2024-09-19 06:34:28',NULL),(1032,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingMethodController@detail','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingMethodController','ShippingMethodController','detail','2024-09-19 06:34:28',NULL),(1033,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneGeolocaleController@index','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneGeolocaleController','ShippingZoneGeolocaleController','index','2024-09-19 06:34:28',NULL),(1034,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneGeolocaleController@store','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneGeolocaleController','ShippingZoneGeolocaleController','store','2024-09-19 06:34:28',NULL),(1035,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneGeolocaleController@detail','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneGeolocaleController','ShippingZoneGeolocaleController','detail','2024-09-19 06:34:28',NULL),(1036,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneGeolocaleController@update','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneGeolocaleController','ShippingZoneGeolocaleController','update','2024-09-19 06:34:28',NULL),(1037,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneGeolocaleController@destroy','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneGeolocaleController','ShippingZoneGeolocaleController','destroy','2024-09-19 06:34:28',NULL),(1038,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneClassController@index','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneClassController','ShippingZoneClassController','index','2024-09-19 06:34:28',NULL),(1039,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneClassController@store','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneClassController','ShippingZoneClassController','store','2024-09-19 06:34:28',NULL),(1040,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneClassController@detail','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneClassController','ShippingZoneClassController','detail','2024-09-19 06:34:28',NULL),(1041,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneClassController@update','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneClassController','ShippingZoneClassController','update','2024-09-19 06:34:28',NULL),(1042,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneClassController@destroy','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneClassController','ShippingZoneClassController','destroy','2024-09-19 06:34:28',NULL),(1043,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneMethodController@index','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneMethodController','ShippingZoneMethodController','index','2024-09-19 06:34:28',NULL),(1044,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneMethodController@store','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneMethodController','ShippingZoneMethodController','store','2024-09-19 06:34:28',NULL),(1045,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneMethodController@detail','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneMethodController','ShippingZoneMethodController','detail','2024-09-19 06:34:28',NULL),(1046,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneMethodController@update','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneMethodController','ShippingZoneMethodController','update','2024-09-19 06:34:28',NULL),(1047,'Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneMethodController@destroy','Modules\\Shipping\\Http\\Controllers\\Api\\ShippingZoneMethodController','ShippingZoneMethodController','destroy','2024-09-19 06:34:28',NULL),(1048,'Modules\\Tax\\Http\\Controllers\\Api\\TaxClassController@index','Modules\\Tax\\Http\\Controllers\\Api\\TaxClassController','TaxClassController','index','2024-09-19 06:34:28',NULL),(1049,'Modules\\Tax\\Http\\Controllers\\Api\\TaxClassController@store','Modules\\Tax\\Http\\Controllers\\Api\\TaxClassController','TaxClassController','store','2024-09-19 06:34:28',NULL),(1050,'Modules\\Tax\\Http\\Controllers\\Api\\TaxClassController@destroy','Modules\\Tax\\Http\\Controllers\\Api\\TaxClassController','TaxClassController','destroy','2024-09-19 06:34:28',NULL),(1051,'Modules\\Tax\\Http\\Controllers\\Api\\TaxRateController@index','Modules\\Tax\\Http\\Controllers\\Api\\TaxRateController','TaxRateController','index','2024-09-19 06:34:28',NULL),(1052,'Modules\\Tax\\Http\\Controllers\\Api\\TaxRateController@store','Modules\\Tax\\Http\\Controllers\\Api\\TaxRateController','TaxRateController','store','2024-09-19 06:34:28',NULL),(1053,'Modules\\Tax\\Http\\Controllers\\Api\\TaxRateController@detail','Modules\\Tax\\Http\\Controllers\\Api\\TaxRateController','TaxRateController','detail','2024-09-19 06:34:28',NULL),(1054,'Modules\\Tax\\Http\\Controllers\\Api\\TaxRateController@update','Modules\\Tax\\Http\\Controllers\\Api\\TaxRateController','TaxRateController','update','2024-09-19 06:34:28',NULL),(1055,'Modules\\Tax\\Http\\Controllers\\Api\\TaxRateController@destroy','Modules\\Tax\\Http\\Controllers\\Api\\TaxRateController','TaxRateController','destroy','2024-09-19 06:34:28',NULL),(1058,'Modules\\Ticket\\Http\\Controllers\\ChatController@getConversations','Modules\\Ticket\\Http\\Controllers\\ChatController','ChatController','getConversations','2024-09-19 06:34:28',NULL),(1059,'Modules\\Ticket\\Http\\Controllers\\ChatController@sendProductDetails','Modules\\Ticket\\Http\\Controllers\\ChatController','ChatController','sendProductDetails','2024-09-19 06:34:28',NULL),(1060,'Modules\\Ticket\\Http\\Controllers\\ChatController@contact-list','Modules\\Ticket\\Http\\Controllers\\ChatController','ChatController','contact-list','2024-09-19 06:34:28',NULL),(1061,'Modules\\Ticket\\Http\\Controllers\\ChatController@storeMessage','Modules\\Ticket\\Http\\Controllers\\ChatController','ChatController','storeMessage','2024-09-19 06:34:28',NULL),(1062,'Modules\\Ticket\\Http\\Controllers\\ChatController@createChat','Modules\\Ticket\\Http\\Controllers\\ChatController','ChatController','createChat','2024-09-19 06:34:28',NULL),(1063,'Modules\\Ticket\\Http\\Controllers\\ChatController@inboxRefresh','Modules\\Ticket\\Http\\Controllers\\ChatController','ChatController','inboxRefresh','2024-09-19 06:34:28',NULL),(1064,'Modules\\Ticket\\Http\\Controllers\\TicketController@index','Modules\\Ticket\\Http\\Controllers\\TicketController','TicketController','index','2024-09-19 06:34:28',NULL),(1065,'Modules\\Ticket\\Http\\Controllers\\TicketController@store','Modules\\Ticket\\Http\\Controllers\\TicketController','TicketController','store','2024-09-19 06:34:28',NULL),(1066,'Modules\\Ticket\\Http\\Controllers\\TicketController@view','Modules\\Ticket\\Http\\Controllers\\TicketController','TicketController','view','2024-09-19 06:34:28',NULL),(1067,'Modules\\Ticket\\Http\\Controllers\\TicketController@replyStore','Modules\\Ticket\\Http\\Controllers\\TicketController','TicketController','replyStore','2024-09-19 06:34:28',NULL),(1068,'Modules\\Ticket\\Http\\Controllers\\TicketController@edit','Modules\\Ticket\\Http\\Controllers\\TicketController','TicketController','edit','2024-09-19 06:34:28',NULL),(1069,'Modules\\Ticket\\Http\\Controllers\\TicketController@update','Modules\\Ticket\\Http\\Controllers\\TicketController','TicketController','update','2024-09-19 06:34:28',NULL),(1070,'Modules\\Ticket\\Http\\Controllers\\TicketController@pdf','Modules\\Ticket\\Http\\Controllers\\TicketController','TicketController','pdf','2024-09-19 06:34:28',NULL),(1071,'Modules\\Ticket\\Http\\Controllers\\TicketController@delete','Modules\\Ticket\\Http\\Controllers\\TicketController','TicketController','delete','2024-09-19 06:34:28',NULL),(1072,'Modules\\Ticket\\Http\\Controllers\\TicketController@add','Modules\\Ticket\\Http\\Controllers\\TicketController','TicketController','add','2024-09-19 06:34:28',NULL),(1073,'Modules\\Ticket\\Http\\Controllers\\TicketController@changePriority','Modules\\Ticket\\Http\\Controllers\\TicketController','TicketController','changePriority','2024-09-19 06:34:28',NULL),(1074,'Modules\\Ticket\\Http\\Controllers\\TicketController@changeAssignee','Modules\\Ticket\\Http\\Controllers\\TicketController','TicketController','changeAssignee','2024-09-19 06:34:28',NULL),(1075,'Modules\\Ticket\\Http\\Controllers\\TicketController@updateReply','Modules\\Ticket\\Http\\Controllers\\TicketController','TicketController','updateReply','2024-09-19 06:34:28',NULL),(1076,'Modules\\Ticket\\Http\\Controllers\\CannedController@messages','Modules\\Ticket\\Http\\Controllers\\CannedController','CannedController','messages','2024-09-19 06:34:28',NULL),(1077,'Modules\\Ticket\\Http\\Controllers\\CannedController@storeMessage','Modules\\Ticket\\Http\\Controllers\\CannedController','CannedController','storeMessage','2024-09-19 06:34:28',NULL),(1078,'Modules\\Ticket\\Http\\Controllers\\CannedController@search','Modules\\Ticket\\Http\\Controllers\\CannedController','CannedController','search','2024-09-19 06:34:28',NULL),(1079,'Modules\\Ticket\\Http\\Controllers\\CannedController@editMessage','Modules\\Ticket\\Http\\Controllers\\CannedController','CannedController','editMessage','2024-09-19 06:34:28',NULL),(1080,'Modules\\Ticket\\Http\\Controllers\\CannedController@updateMessage','Modules\\Ticket\\Http\\Controllers\\CannedController','CannedController','updateMessage','2024-09-19 06:34:28',NULL),(1081,'Modules\\Ticket\\Http\\Controllers\\CannedController@destroyMessage','Modules\\Ticket\\Http\\Controllers\\CannedController','CannedController','destroyMessage','2024-09-19 06:34:28',NULL),(1082,'Modules\\Ticket\\Http\\Controllers\\CannedController@links','Modules\\Ticket\\Http\\Controllers\\CannedController','CannedController','links','2024-09-19 06:34:28',NULL),(1083,'Modules\\Ticket\\Http\\Controllers\\CannedController@storeLink','Modules\\Ticket\\Http\\Controllers\\CannedController','CannedController','storeLink','2024-09-19 06:34:28',NULL),(1084,'Modules\\Ticket\\Http\\Controllers\\CannedController@editLink','Modules\\Ticket\\Http\\Controllers\\CannedController','CannedController','editLink','2024-09-19 06:34:28',NULL),(1085,'Modules\\Ticket\\Http\\Controllers\\CannedController@updateLink','Modules\\Ticket\\Http\\Controllers\\CannedController','CannedController','updateLink','2024-09-19 06:34:28',NULL),(1086,'Modules\\Ticket\\Http\\Controllers\\CannedController@destroyLink','Modules\\Ticket\\Http\\Controllers\\CannedController','CannedController','destroyLink','2024-09-19 06:34:28',NULL),(1087,'Modules\\Ticket\\Http\\Controllers\\Vendor\\TicketController@index','Modules\\Ticket\\Http\\Controllers\\Vendor\\TicketController','TicketController','index','2024-09-19 06:34:28',NULL),(1088,'Modules\\Ticket\\Http\\Controllers\\Vendor\\TicketController@create','Modules\\Ticket\\Http\\Controllers\\Vendor\\TicketController','TicketController','create','2024-09-19 06:34:28',NULL),(1089,'Modules\\Ticket\\Http\\Controllers\\Vendor\\TicketController@store','Modules\\Ticket\\Http\\Controllers\\Vendor\\TicketController','TicketController','store','2024-09-19 06:34:28',NULL),(1090,'Modules\\Ticket\\Http\\Controllers\\Vendor\\TicketController@view','Modules\\Ticket\\Http\\Controllers\\Vendor\\TicketController','TicketController','view','2024-09-19 06:34:28',NULL),(1091,'Modules\\Ticket\\Http\\Controllers\\Vendor\\TicketController@update','Modules\\Ticket\\Http\\Controllers\\Vendor\\TicketController','TicketController','update','2024-09-19 06:34:28',NULL),(1092,'Modules\\Ticket\\Http\\Controllers\\Vendor\\TicketController@replyStore','Modules\\Ticket\\Http\\Controllers\\Vendor\\TicketController','TicketController','replyStore','2024-09-19 06:34:28',NULL),(1093,'Modules\\Ticket\\Http\\Controllers\\Vendor\\TicketController@changeStatus','Modules\\Ticket\\Http\\Controllers\\Vendor\\TicketController','TicketController','changeStatus','2024-09-19 06:34:28',NULL),(1094,'Modules\\Ticket\\Http\\Controllers\\Vendor\\TicketController@pdf','Modules\\Ticket\\Http\\Controllers\\Vendor\\TicketController','TicketController','pdf','2024-09-19 06:34:28',NULL),(1100,'App\\Http\\Controllers\\Api\\ProductController@deleteProduct','App\\Http\\Controllers\\Api\\ProductController','ProductController','deleteProduct','2024-09-19 06:34:28',NULL),(1101,'App\\Http\\Controllers\\Api\\PreferenceController@preference','App\\Http\\Controllers\\Api\\PreferenceController','PreferenceController','preference','2024-09-19 06:34:28',NULL),(1102,'App\\Http\\Controllers\\Api\\User\\ProductController@productDetails','App\\Http\\Controllers\\Api\\User\\ProductController','ProductController','productDetails','2024-09-19 06:34:28',NULL),(1103,'App\\Http\\Controllers\\ProductController@createProduct','App\\Http\\Controllers\\ProductController','ProductController','createProduct','2024-09-19 06:34:28',NULL),(1104,'App\\Http\\Controllers\\ProductController@editProductAction','App\\Http\\Controllers\\ProductController','ProductController','editProductAction','2024-09-19 06:34:28',NULL),(1105,'App\\Http\\Controllers\\ProductController@deleteProduct','App\\Http\\Controllers\\ProductController','ProductController','deleteProduct','2024-09-19 06:34:28',NULL),(1106,'App\\Http\\Controllers\\ProductController@forceDeleteProduct','App\\Http\\Controllers\\ProductController','ProductController','forceDeleteProduct','2024-09-19 06:34:28',NULL),(1107,'App\\Http\\Controllers\\ProductController@findProductAjaxQuery','App\\Http\\Controllers\\ProductController','ProductController','findProductAjaxQuery','2024-09-19 06:34:28',NULL),(1108,'App\\Http\\Controllers\\ProductController@findTagsAjaxQuery','App\\Http\\Controllers\\ProductController','ProductController','findTagsAjaxQuery','2024-09-19 06:34:28',NULL),(1109,'App\\Http\\Controllers\\ProductController@productJson','App\\Http\\Controllers\\ProductController','ProductController','productJson','2024-09-19 06:34:28',NULL),(1110,'App\\Http\\Controllers\\Vendor\\ProductController@createProduct','App\\Http\\Controllers\\Vendor\\ProductController','ProductController','createProduct','2024-09-19 06:34:28',NULL),(1111,'App\\Http\\Controllers\\Vendor\\ProductController@editProductAction','App\\Http\\Controllers\\Vendor\\ProductController','ProductController','editProductAction','2024-09-19 06:34:28',NULL),(1112,'App\\Http\\Controllers\\Vendor\\ProductController@deleteProduct','App\\Http\\Controllers\\Vendor\\ProductController','ProductController','deleteProduct','2024-09-19 06:34:28',NULL),(1113,'App\\Http\\Controllers\\Vendor\\ProductController@forceDeleteProduct','App\\Http\\Controllers\\Vendor\\ProductController','ProductController','forceDeleteProduct','2024-09-19 06:34:28',NULL),(1114,'App\\Http\\Controllers\\Site\\CartController@selectShipping','App\\Http\\Controllers\\Site\\CartController','CartController','selectShipping','2024-09-19 06:34:28',NULL),(1115,'App\\Http\\Controllers\\Site\\OrderController@getShippingTax','App\\Http\\Controllers\\Site\\OrderController','OrderController','getShippingTax','2024-09-19 06:34:28',NULL),(1116,'Modules\\Coupon\\Http\\Controllers\\Vendor\\CouponController@item','Modules\\Coupon\\Http\\Controllers\\Vendor\\CouponController','CouponController','item','2024-09-19 06:34:28',NULL),(1117,'Modules\\Ticket\\Http\\Controllers\\TicketController@changeStatus','Modules\\Ticket\\Http\\Controllers\\TicketController','TicketController','changeStatus','2024-09-19 06:34:28',NULL),(1120,'Modules\\MediaManager\\Http\\Controllers\\Vendor\\MediaManagerController@upload','Modules\\MediaManager\\Http\\Controllers\\Vendor\\MediaManagerController','MediaManagerController','upload','2024-09-19 06:34:28',NULL),(1122,'Modules\\MediaManager\\Http\\Controllers\\Vendor\\MediaManagerController@sortFiles','Modules\\MediaManager\\Http\\Controllers\\Vendor\\MediaManagerController','MediaManagerController','sortFiles','2024-09-19 06:34:28',NULL),(1126,'Modules\\MediaManager\\Http\\Controllers\\Vendor\\MediaManagerController@paginateData','Modules\\MediaManager\\Http\\Controllers\\Vendor\\MediaManagerController','MediaManagerController','paginateData','2024-09-19 06:34:28',NULL),(1128,'App\\Http\\Controllers\\Vendor\\ProductController@findProductAjaxQuery','App\\Http\\Controllers\\Vendor\\ProductController','ProductController','findProductAjaxQuery','2024-09-19 06:34:28',NULL),(1129,'App\\Http\\Controllers\\Vendor\\ProductController@findTagsAjaxQuery','App\\Http\\Controllers\\Vendor\\ProductController','ProductController','findTagsAjaxQuery','2024-09-19 06:34:28',NULL),(1135,'Modules\\Ticket\\Http\\Controllers\\TicketController@csv','Modules\\Ticket\\Http\\Controllers\\TicketController','TicketController','csv','2024-09-19 06:34:28',NULL),(1136,'Modules\\Ticket\\Http\\Controllers\\Vendor\\TicketController@csv','Modules\\Ticket\\Http\\Controllers\\Vendor\\TicketController','TicketController','csv','2024-09-19 06:34:28',NULL),(1137,'App\\Http\\Controllers\\Site\\SellerController@searchReview','App\\Http\\Controllers\\Site\\SellerController','SellerController','searchReview','2024-09-19 06:34:28',NULL),(1138,'App\\Http\\Controllers\\Site\\RegisteredSellerController@showRequestForm','App\\Http\\Controllers\\Site\\RegisteredSellerController','RegisteredSellerController','showRequestForm','2024-09-19 06:34:28',NULL),(1139,'App\\Http\\Controllers\\Site\\RegisteredSellerController@sellerRequestStore','App\\Http\\Controllers\\Site\\RegisteredSellerController','RegisteredSellerController','sellerRequestStore','2024-09-19 06:34:28',NULL),(1140,'Modules\\CMS\\Http\\Controllers\\Api\\SliderController@index','Modules\\CMS\\Http\\Controllers\\Api\\SliderController','SliderController','index','2024-09-19 06:34:28',NULL),(1141,'Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\CountryController@index','Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\CountryController','CountryController','index','2024-09-19 06:34:28',NULL),(1142,'Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\CountryController@show','Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\CountryController','CountryController','show','2024-09-19 06:34:28',NULL),(1143,'Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\CountryController@store','Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\CountryController','CountryController','store','2024-09-19 06:34:28',NULL),(1144,'Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\CountryController@update','Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\CountryController','CountryController','update','2024-09-19 06:34:28',NULL),(1145,'Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\CountryController@destroy','Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\CountryController','CountryController','destroy','2024-09-19 06:34:28',NULL),(1146,'Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\StateController@index','Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\StateController','StateController','index','2024-09-19 06:34:28',NULL),(1147,'Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\StateController@show','Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\StateController','StateController','show','2024-09-19 06:34:28',NULL),(1148,'Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\StateController@getCountryStates','Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\StateController','StateController','getCountryStates','2024-09-19 06:34:28',NULL),(1149,'Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\StateController@store','Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\StateController','StateController','store','2024-09-19 06:34:28',NULL),(1150,'Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\StateController@update','Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\StateController','StateController','update','2024-09-19 06:34:28',NULL),(1151,'Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\StateController@destroy','Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\StateController','StateController','destroy','2024-09-19 06:34:28',NULL),(1152,'Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\CityController@getCountryCities','Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\CityController','CityController','getCountryCities','2024-09-19 06:34:28',NULL),(1153,'Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\CityController@getStateCities','Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\CityController','CityController','getStateCities','2024-09-19 06:34:28',NULL),(1154,'Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\CityController@store','Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\CityController','CityController','store','2024-09-19 06:34:28',NULL),(1155,'Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\CityController@update','Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\CityController','CityController','update','2024-09-19 06:34:28',NULL),(1156,'Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\CityController@destroy','Modules\\GeoLocale\\Http\\Controllers\\Api\\User\\CityController','CityController','destroy','2024-09-19 06:34:28',NULL),(1157,'App\\Http\\Controllers\\Api\\User\\ReviewController@productReview','App\\Http\\Controllers\\Api\\User\\ReviewController','ReviewController','productReview','2024-09-19 06:34:28',NULL),(1158,'Modules\\Ticket\\Http\\Controllers\\Vendor\\FilesController@downloadAttachment','Modules\\Ticket\\Http\\Controllers\\Vendor\\FilesController','FilesController','downloadAttachment','2024-09-19 06:34:28',NULL),(1161,'FilesController@uploadEventAttachments','FilesController','FilesController','uploadEventAttachments','2024-09-19 06:34:28',NULL),(1162,'FilesController@deleteEventAttachment','FilesController','FilesController','deleteEventAttachment','2024-09-19 06:34:28',NULL),(1163,'App\\Http\\Controllers\\Api\\User\\CartController@selectShipping','App\\Http\\Controllers\\Api\\User\\CartController','CartController','selectShipping','2024-09-19 06:34:28',NULL),(1164,'App\\Http\\Controllers\\Site\\OrderController@payment','App\\Http\\Controllers\\Site\\OrderController','OrderController','payment','2024-09-19 06:34:28',NULL),(1165,'App\\Http\\Controllers\\Site\\SiteController@getComponentProduct','App\\Http\\Controllers\\Site\\SiteController','SiteController','getComponentProduct','2024-09-19 06:34:28',NULL),(1166,'Modules\\CMS\\Http\\Controllers\\BuilderController@updateAllComponents','Modules\\CMS\\Http\\Controllers\\BuilderController','BuilderController','updateAllComponents','2024-09-19 06:34:28',NULL),(1167,'Modules\\Refund\\Http\\Controllers\\Api\\User\\RefundController@getMessage','Modules\\Refund\\Http\\Controllers\\Api\\User\\RefundController','RefundController','getMessage','2024-09-19 06:34:28',NULL),(1168,'Infoamin\\Installer\\Http\\Controllers\\WelcomeController@welcome','Infoamin\\Installer\\Http\\Controllers\\WelcomeController','WelcomeController','welcome','2024-09-19 06:34:28',NULL),(1169,'Infoamin\\Installer\\Http\\Controllers\\DatabaseController@create','Infoamin\\Installer\\Http\\Controllers\\DatabaseController','DatabaseController','create','2024-09-19 06:34:28',NULL),(1170,'Infoamin\\Installer\\Http\\Controllers\\RequirementsController@requirements','Infoamin\\Installer\\Http\\Controllers\\RequirementsController','RequirementsController','requirements','2024-09-19 06:34:28',NULL),(1171,'Infoamin\\Installer\\Http\\Controllers\\PermissionsController@checkPermissions','Infoamin\\Installer\\Http\\Controllers\\PermissionsController','PermissionsController','checkPermissions','2024-09-19 06:34:28',NULL),(1172,'Infoamin\\Installer\\Http\\Controllers\\DatabaseController@seedMigrate','Infoamin\\Installer\\Http\\Controllers\\DatabaseController','DatabaseController','seedMigrate','2024-09-19 06:34:28',NULL),(1173,'Infoamin\\Installer\\Http\\Controllers\\PermissionsController@verifyPurchaseCode','Infoamin\\Installer\\Http\\Controllers\\PermissionsController','PermissionsController','verifyPurchaseCode','2024-09-19 06:34:28',NULL),(1174,'Infoamin\\Installer\\Http\\Controllers\\DatabaseController@store','Infoamin\\Installer\\Http\\Controllers\\DatabaseController','DatabaseController','store','2024-09-19 06:34:28',NULL),(1175,'Infoamin\\Installer\\Http\\Controllers\\UserController@createUser','Infoamin\\Installer\\Http\\Controllers\\UserController','UserController','createUser','2024-09-19 06:34:28',NULL),(1176,'Infoamin\\Installer\\Http\\Controllers\\UserController@storeUser','Infoamin\\Installer\\Http\\Controllers\\UserController','UserController','storeUser','2024-09-19 06:34:28',NULL),(1177,'Infoamin\\Installer\\Http\\Controllers\\FinalController@finish','Infoamin\\Installer\\Http\\Controllers\\FinalController','FinalController','finish','2024-09-19 06:34:28',NULL),(1178,'Infoamin\\Installer\\Http\\Controllers\\PermissionsController@clearCache','Infoamin\\Installer\\Http\\Controllers\\PermissionsController','PermissionsController','clearCache','2024-09-19 06:34:28',NULL),(1179,'App\\Http\\Controllers\\Api\\User\\WishlistController@store','App\\Http\\Controllers\\Api\\User\\WishlistController','WishlistController','store','2024-09-19 06:34:28',NULL),(1180,'App\\Http\\Controllers\\Api\\User\\OrderStatusController@index','App\\Http\\Controllers\\Api\\User\\OrderStatusController','OrderStatusController','index','2024-09-19 06:34:28',NULL),(1181,'App\\Http\\Controllers\\Site\\OrderController@invoicePrint','App\\Http\\Controllers\\Site\\OrderController','OrderController','invoicePrint','2024-09-19 06:34:28',NULL),(1182,'Modules\\Newsletter\\Http\\Controllers\\SubscriberController@unsubscribe','Modules\\Newsletter\\Http\\Controllers\\SubscriberController','SubscriberController','unsubscribe','2024-09-19 06:34:28',NULL),(1183,'Modules\\CMS\\Http\\Controllers\\CMSController@quickUpdate','Modules\\CMS\\Http\\Controllers\\CMSController','CMSController','quickUpdate','2024-09-19 06:34:28',NULL),(1185,'App\\Http\\Controllers\\Api\\User\\CartController@deleteCoupon','App\\Http\\Controllers\\Api\\User\\CartController','CartController','deleteCoupon','2024-09-19 06:34:28',NULL),(1186,'App\\Http\\Controllers\\Api\\User\\OrderController@trackOrder','App\\Http\\Controllers\\Api\\User\\OrderController','OrderController','trackOrder','2024-09-19 06:34:28',NULL),(1187,'App\\Http\\Controllers\\Site\\CartController@deleteCoupon','App\\Http\\Controllers\\Site\\CartController','CartController','deleteCoupon','2024-09-19 06:34:28',NULL),(1188,'App\\Http\\Controllers\\Site\\SiteController@getShipping','App\\Http\\Controllers\\Site\\SiteController','SiteController','getShipping','2024-09-19 06:34:28',NULL),(1189,'Modules\\Addons\\Http\\Controllers\\AddonsController@upload','Modules\\Addons\\Http\\Controllers\\AddonsController','AddonsController','upload','2024-09-19 06:34:28',NULL),(1190,'Modules\\Addons\\Http\\Controllers\\AddonsController@switchStatus','Modules\\Addons\\Http\\Controllers\\AddonsController','AddonsController','switchStatus','2024-09-19 06:34:28',NULL),(1191,'Modules\\FormBuilder\\Http\\Controllers\\Vendor\\KycController@userKycForm','Modules\\FormBuilder\\Http\\Controllers\\Vendor\\KycController','KycController','userKycForm','2024-09-19 06:34:28',NULL),(1192,'Modules\\FormBuilder\\Http\\Controllers\\Vendor\\KycController@userKycSubmit','Modules\\FormBuilder\\Http\\Controllers\\Vendor\\KycController','KycController','userKycSubmit','2024-09-19 06:34:28',NULL),(1193,'Modules\\FormBuilder\\Http\\Controllers\\Vendor\\KycController@userKycUpdateSubmission','Modules\\FormBuilder\\Http\\Controllers\\Vendor\\KycController','KycController','userKycUpdateSubmission','2024-09-19 06:34:28',NULL),(1194,'App\\Http\\Controllers\\UserController@findUser','App\\Http\\Controllers\\UserController','UserController','findUser','2024-09-19 06:34:28',NULL),(1195,'App\\Http\\Controllers\\VendorController@findVendor','App\\Http\\Controllers\\VendorController','VendorController','findVendor','2024-09-19 06:34:28',NULL),(1196,'App\\Http\\Controllers\\Site\\SiteController@getSearchData','App\\Http\\Controllers\\Site\\SiteController','SiteController','getSearchData','2024-09-19 06:34:28',NULL),(1198,'App\\Http\\Controllers\\Api\\User\\UserController@wallet','App\\Http\\Controllers\\Api\\User\\UserController','UserController','wallet','2024-09-19 06:34:28',NULL),(1200,'Modules\\Coupon\\Http\\Controllers\\CouponController@getOldProducts','Modules\\Coupon\\Http\\Controllers\\CouponController','CouponController','getOldProducts','2024-09-19 06:34:28',NULL),(1201,'Modules\\Coupon\\Http\\Controllers\\CouponController@getOldVendor','Modules\\Coupon\\Http\\Controllers\\CouponController','CouponController','getOldVendor','2024-09-19 06:34:28',NULL),(1202,'App\\Http\\Controllers\\Api\\User\\ProductController@relatedProducts','App\\Http\\Controllers\\Api\\User\\ProductController','ProductController','relatedProducts','2024-09-19 06:34:28',NULL),(1203,'App\\Http\\Controllers\\Api\\User\\ProductController@categorizedProduct','App\\Http\\Controllers\\Api\\User\\ProductController','ProductController','categorizedProduct','2024-09-19 06:34:28',NULL),(1204,'App\\Http\\Controllers\\Api\\User\\CartController@addAll','App\\Http\\Controllers\\Api\\User\\CartController','CartController','addAll','2024-09-19 06:34:28',NULL),(1205,'App\\Http\\Controllers\\Vendor\\VendorController@updateVendor','App\\Http\\Controllers\\Vendor\\VendorController','VendorController','updateVendor','2024-09-19 06:34:28',NULL),(1206,'App\\Http\\Controllers\\Vendor\\VendorOrderController@storeNote','App\\Http\\Controllers\\Vendor\\VendorOrderController','VendorOrderController','storeNote','2024-09-19 06:34:28',NULL),(1207,'Modules\\PageBuilder\\Http\\Controllers\\PageBuilderController@index','Modules\\PageBuilder\\Http\\Controllers\\PageBuilderController','PageBuilderController','index','2024-09-19 06:34:28',NULL),(1208,'Modules\\PageBuilder\\Http\\Controllers\\PageBuilderController@store','Modules\\PageBuilder\\Http\\Controllers\\PageBuilderController','PageBuilderController','store','2024-09-19 06:34:28',NULL),(1209,'Modules\\PageBuilder\\Http\\Controllers\\PageBuilderController@storeImage','Modules\\PageBuilder\\Http\\Controllers\\PageBuilderController','PageBuilderController','storeImage','2024-09-19 06:34:28',NULL),(1210,'Modules\\Recaptcha\\Http\\Controllers\\RecaptchaController@edit','Modules\\Recaptcha\\Http\\Controllers\\RecaptchaController','RecaptchaController','edit','2024-09-19 06:34:28',NULL),(1211,'Modules\\Recaptcha\\Http\\Controllers\\RecaptchaController@store','Modules\\Recaptcha\\Http\\Controllers\\RecaptchaController','RecaptchaController','store','2024-09-19 06:34:28',NULL),(1212,'App\\Http\\Controllers\\Vendor\\VendorOrderController@orderAction','App\\Http\\Controllers\\Vendor\\VendorOrderController','VendorOrderController','orderAction','2024-09-19 06:34:28',NULL),(1213,'App\\Http\\Controllers\\OrderSettingController@index','App\\Http\\Controllers\\OrderSettingController','OrderSettingController','index','2024-09-19 06:34:28',NULL),(1214,'App\\Http\\Controllers\\AccountSettingController@index','App\\Http\\Controllers\\AccountSettingController','AccountSettingController','index','2024-09-19 06:34:28',NULL),(1215,'Modules\\Gateway\\Http\\Controllers\\GatewayController@paymentConfirmation','Modules\\Gateway\\Http\\Controllers\\GatewayController','GatewayController','paymentConfirmation','2024-09-19 06:34:28',NULL),(1216,'Modules\\Gateway\\Http\\Controllers\\GatewayController@paymentFailed','Modules\\Gateway\\Http\\Controllers\\GatewayController','GatewayController','paymentFailed','2024-09-19 06:34:28',NULL),(1217,'Modules\\Report\\Http\\Controllers\\Vendor\\ReportController@index','Modules\\Report\\Http\\Controllers\\Vendor\\ReportController','ReportController','index','2024-09-19 06:34:28',NULL),(1218,'App\\Http\\Controllers\\UserController@allUserActivity','App\\Http\\Controllers\\UserController','UserController','allUserActivity','2024-09-19 06:34:28',NULL),(1219,'App\\Http\\Controllers\\UserController@deleteUserActivity','App\\Http\\Controllers\\UserController','UserController','deleteUserActivity','2024-09-19 06:34:28',NULL),(1231,'App\\Http\\Controllers\\Site\\UserController@activity','App\\Http\\Controllers\\Site\\UserController','UserController','activity','2024-09-19 06:34:28',NULL),(1232,'App\\Http\\Controllers\\Site\\DownloadController@index','App\\Http\\Controllers\\Site\\DownloadController','DownloadController','index','2024-09-19 06:34:28',NULL),(1233,'App\\Http\\Controllers\\Vendor\\ProductController@findDownloadProducts','App\\Http\\Controllers\\Vendor\\ProductController','ProductController','findDownloadProducts','2024-09-19 06:34:28',NULL),(1234,'App\\Http\\Controllers\\Vendor\\VendorOrderController@grantAccess','App\\Http\\Controllers\\Vendor\\VendorOrderController','VendorOrderController','grantAccess','2024-09-19 06:34:28',NULL),(1235,'App\\Http\\Controllers\\ProductController@findDownloadProducts','App\\Http\\Controllers\\ProductController','ProductController','findDownloadProducts','2024-09-19 06:34:28',NULL),(1236,'App\\Http\\Controllers\\AdminOrderController@grantAccess','App\\Http\\Controllers\\AdminOrderController','AdminOrderController','grantAccess','2024-09-19 06:34:28',NULL),(1237,'App\\Http\\Controllers\\ImportController@index','App\\Http\\Controllers\\ImportController','ImportController','index','2024-09-19 06:34:28',NULL),(1238,'App\\Http\\Controllers\\ImportController@productImport','App\\Http\\Controllers\\ImportController','ImportController','productImport','2024-09-19 06:34:28',NULL),(1239,'App\\Http\\Controllers\\CurrencyController@findCurrencyAjaxQuery','App\\Http\\Controllers\\CurrencyController','CurrencyController','findCurrencyAjaxQuery','2024-09-19 06:34:28',NULL),(1240,'App\\Http\\Controllers\\Vendor\\VendorController@loginActivity','App\\Http\\Controllers\\Vendor\\VendorController','VendorController','loginActivity','2024-09-19 06:34:28',NULL),(1241,'App\\Http\\Controllers\\Site\\RegisteredSellerController@resendVerificationCode','App\\Http\\Controllers\\Site\\RegisteredSellerController','RegisteredSellerController','resendVerificationCode','2024-09-19 06:34:28',NULL),(1242,'App\\Http\\Controllers\\Site\\SiteController@download','App\\Http\\Controllers\\Site\\SiteController','SiteController','download','2024-09-19 06:34:28',NULL),(1243,'Modules\\CMS\\Http\\Controllers\\ThemeOptionController@layoutStore','Modules\\CMS\\Http\\Controllers\\ThemeOptionController','ThemeOptionController','layoutStore','2024-09-19 06:34:28',NULL),(1244,'Modules\\CMS\\Http\\Controllers\\ThemeOptionController@storePrimaryColor','Modules\\CMS\\Http\\Controllers\\ThemeOptionController','ThemeOptionController','storePrimaryColor','2024-09-19 06:34:28',NULL),(1245,'Modules\\CMS\\Http\\Controllers\\ThemeOptionController@layoutUpdate','Modules\\CMS\\Http\\Controllers\\ThemeOptionController','ThemeOptionController','layoutUpdate','2024-09-19 06:34:28',NULL),(1246,'Modules\\CMS\\Http\\Controllers\\ThemeOptionController@layoutDelete','Modules\\CMS\\Http\\Controllers\\ThemeOptionController','ThemeOptionController','layoutDelete','2024-09-19 06:34:28',NULL),(1247,'Modules\\CMS\\Http\\Controllers\\BuilderController@ajaxResourceFetch','Modules\\CMS\\Http\\Controllers\\BuilderController','BuilderController','ajaxResourceFetch','2024-09-19 06:34:28',NULL),(1248,'Modules\\Flutterwave\\Http\\Controllers\\FlutterwaveController@store','Modules\\Flutterwave\\Http\\Controllers\\FlutterwaveController','FlutterwaveController','store','2024-09-19 06:34:28',NULL),(1249,'Modules\\Flutterwave\\Http\\Controllers\\FlutterwaveController@edit','Modules\\Flutterwave\\Http\\Controllers\\FlutterwaveController','FlutterwaveController','edit','2024-09-19 06:34:28',NULL),(1250,'Modules\\SslCommerz\\Http\\Controllers\\SslCommerzController@store','Modules\\SslCommerz\\Http\\Controllers\\SslCommerzController','SslCommerzController','store','2024-09-19 06:34:28',NULL),(1251,'Modules\\SslCommerz\\Http\\Controllers\\SslCommerzController@edit','Modules\\SslCommerz\\Http\\Controllers\\SslCommerzController','SslCommerzController','edit','2024-09-19 06:34:28',NULL),(1252,'Modules\\Ticket\\Http\\Controllers\\ChatController@initiateChatWithVendor','Modules\\Ticket\\Http\\Controllers\\ChatController','ChatController','initiateChatWithVendor','2024-09-19 06:34:28',NULL),(1253,'App\\Http\\Controllers\\Vendor\\ImportController@productImport','App\\Http\\Controllers\\Vendor\\ImportController','ImportController','productImport','2024-09-19 06:34:28',NULL),(1254,'Modules\\GeoLocale\\Http\\Controllers\\CountryController@search','Modules\\GeoLocale\\Http\\Controllers\\CountryController','CountryController','search','2024-09-19 06:34:28',NULL),(1255,'Modules\\GeoLocale\\Http\\Controllers\\StateController@search','Modules\\GeoLocale\\Http\\Controllers\\StateController','StateController','search','2024-09-19 06:34:28',NULL),(1256,'App\\Http\\Controllers\\Api\\User\\OrderController@getShippingTax','App\\Http\\Controllers\\Api\\User\\OrderController','OrderController','getShippingTax','2024-09-19 06:34:28',NULL),(1257,'App\\Http\\Controllers\\Api\\User\\CartController@getSelected','App\\Http\\Controllers\\Api\\User\\CartController','CartController','getSelected','2024-09-19 06:34:28',NULL),(1258,'App\\Http\\Controllers\\BatchController@destroy','App\\Http\\Controllers\\BatchController','BatchController','destroy','2024-09-19 06:34:28',NULL),(1259,'App\\Http\\Controllers\\SystemInfoController@index','App\\Http\\Controllers\\SystemInfoController','SystemInfoController','index','2024-09-19 06:34:28',NULL),(1260,'App\\Http\\Controllers\\Vendor\\ExportController@productExport','App\\Http\\Controllers\\Vendor\\ExportController','ExportController','productExport','2024-09-19 06:34:28',NULL),(1261,'App\\Http\\Controllers\\Api\\User\\ReviewController@destroy','App\\Http\\Controllers\\Api\\User\\ReviewController','ReviewController','destroy','2024-09-19 06:34:28',NULL),(1262,'\\App\\Http\\Controllers\\Api\\AuthController@resendUserVerificationCode','\\App\\Http\\Controllers\\Api\\AuthController','AuthController','resendUserVerificationCode','2024-09-19 06:34:31',NULL),(1263,'App\\Http\\Controllers\\Api\\User\\ProductController@getShipping','App\\Http\\Controllers\\Api\\User\\ProductController','ProductController','getShipping','2024-09-19 06:34:31',NULL),(1264,'App\\Http\\Controllers\\Api\\User\\UserController@addonActivity','App\\Http\\Controllers\\Api\\User\\UserController','UserController','addonActivity','2024-09-19 06:34:31',NULL),(1265,'App\\Http\\Controllers\\Api\\User\\RegisteredSellerController@signUp','App\\Http\\Controllers\\Api\\User\\RegisteredSellerController','RegisteredSellerController','signUp','2024-09-19 06:34:31',NULL),(1266,'App\\Http\\Controllers\\Api\\User\\RegisteredSellerController@resendVerificationCode','App\\Http\\Controllers\\Api\\User\\RegisteredSellerController','RegisteredSellerController','resendVerificationCode','2024-09-19 06:34:31',NULL),(1267,'App\\Http\\Controllers\\Api\\User\\RegisteredSellerController@otpVerification','App\\Http\\Controllers\\Api\\User\\RegisteredSellerController','RegisteredSellerController','otpVerification','2024-09-19 06:34:31',NULL),(1268,'App\\Http\\Controllers\\Api\\User\\SellerController@index','App\\Http\\Controllers\\Api\\User\\SellerController','SellerController','index','2024-09-19 06:34:31',NULL),(1269,'App\\Http\\Controllers\\Api\\User\\SellerController@vendorProfile','App\\Http\\Controllers\\Api\\User\\SellerController','SellerController','vendorProfile','2024-09-19 06:34:31',NULL),(1270,'App\\Http\\Controllers\\ExportController@index','App\\Http\\Controllers\\ExportController','ExportController','index','2024-09-19 06:34:31',NULL),(1271,'App\\Http\\Controllers\\ExportController@productExport','App\\Http\\Controllers\\ExportController','ExportController','productExport','2024-09-19 06:34:31',NULL),(1272,'App\\Http\\Controllers\\Site\\SiteController@allCategories','App\\Http\\Controllers\\Site\\SiteController','SiteController','allCategories','2024-09-19 06:34:31',NULL),(1273,'App\\Http\\Controllers\\Site\\ResetDataController@reset','App\\Http\\Controllers\\Site\\ResetDataController','ResetDataController','reset','2024-09-19 06:34:31',NULL),(1274,'Modules\\AuthorizeNet\\Http\\Controllers\\AuthorizeNetController@store','Modules\\AuthorizeNet\\Http\\Controllers\\AuthorizeNetController','AuthorizeNetController','store','2024-09-19 06:34:31',NULL),(1275,'Modules\\AuthorizeNet\\Http\\Controllers\\AuthorizeNetController@edit','Modules\\AuthorizeNet\\Http\\Controllers\\AuthorizeNetController','AuthorizeNetController','edit','2024-09-19 06:34:31',NULL),(1276,'Modules\\CheckPayments\\Http\\Controllers\\CheckPaymentsController@store','Modules\\CheckPayments\\Http\\Controllers\\CheckPaymentsController','CheckPaymentsController','store','2024-09-19 06:34:31',NULL),(1277,'Modules\\CheckPayments\\Http\\Controllers\\CheckPaymentsController@edit','Modules\\CheckPayments\\Http\\Controllers\\CheckPaymentsController','CheckPaymentsController','edit','2024-09-19 06:34:31',NULL),(1278,'Modules\\DirectBankTransfer\\Http\\Controllers\\DirectBankTransferController@store','Modules\\DirectBankTransfer\\Http\\Controllers\\DirectBankTransferController','DirectBankTransferController','store','2024-09-19 06:34:31',NULL),(1279,'Modules\\DirectBankTransfer\\Http\\Controllers\\DirectBankTransferController@edit','Modules\\DirectBankTransfer\\Http\\Controllers\\DirectBankTransferController','DirectBankTransferController','edit','2024-09-19 06:34:31',NULL),(1280,'Modules\\MediaManager\\Http\\Controllers\\MediaManagerController@storeExtension','Modules\\MediaManager\\Http\\Controllers\\MediaManagerController','MediaManagerController','storeExtension','2024-09-19 06:34:31',NULL),(1281,'Modules\\MediaManager\\Http\\Controllers\\MediaManagerController@getExtensionAjaxQuery','Modules\\MediaManager\\Http\\Controllers\\MediaManagerController','MediaManagerController','getExtensionAjaxQuery','2024-09-19 06:34:31',NULL),(1282,'Modules\\MtnMomo\\Http\\Controllers\\MtnMomoController@store','Modules\\MtnMomo\\Http\\Controllers\\MtnMomoController','MtnMomoController','store','2024-09-19 06:34:31',NULL),(1283,'Modules\\MtnMomo\\Http\\Controllers\\MtnMomoController@edit','Modules\\MtnMomo\\Http\\Controllers\\MtnMomoController','MtnMomoController','edit','2024-09-19 06:34:31',NULL),(1284,'Modules\\NGenius\\Http\\Controllers\\NGeniusController@store','Modules\\NGenius\\Http\\Controllers\\NGeniusController','NGeniusController','store','2024-09-19 06:34:31',NULL),(1285,'Modules\\NGenius\\Http\\Controllers\\NGeniusController@viewAddon','Modules\\NGenius\\Http\\Controllers\\NGeniusController','NGeniusController','viewAddon','2024-09-19 06:34:31',NULL),(1286,'Modules\\Paytm\\Http\\Controllers\\PaytmController@store','Modules\\Paytm\\Http\\Controllers\\PaytmController','PaytmController','store','2024-09-19 06:34:31',NULL),(1287,'Modules\\Paytm\\Http\\Controllers\\PaytmController@edit','Modules\\Paytm\\Http\\Controllers\\PaytmController','PaytmController','edit','2024-09-19 06:34:31',NULL),(1288,'Modules\\Paytr\\Http\\Controllers\\PaytrController@store','Modules\\Paytr\\Http\\Controllers\\PaytrController','PaytrController','store','2024-09-19 06:34:31',NULL),(1289,'Modules\\Paytr\\Http\\Controllers\\PaytrController@edit','Modules\\Paytr\\Http\\Controllers\\PaytrController','PaytrController','edit','2024-09-19 06:34:31',NULL),(1290,'Modules\\Subscription\\Http\\Controllers\\PackageController@index','Modules\\Subscription\\Http\\Controllers\\PackageController','PackageController','index','2024-09-19 06:34:31',NULL),(1291,'Modules\\Subscription\\Http\\Controllers\\PackageController@create','Modules\\Subscription\\Http\\Controllers\\PackageController','PackageController','create','2024-09-19 06:34:31',NULL),(1292,'Modules\\Subscription\\Http\\Controllers\\PackageController@store','Modules\\Subscription\\Http\\Controllers\\PackageController','PackageController','store','2024-09-19 06:34:31',NULL),(1293,'Modules\\Subscription\\Http\\Controllers\\PackageController@show','Modules\\Subscription\\Http\\Controllers\\PackageController','PackageController','show','2024-09-19 06:34:31',NULL),(1294,'Modules\\Subscription\\Http\\Controllers\\PackageController@edit','Modules\\Subscription\\Http\\Controllers\\PackageController','PackageController','edit','2024-09-19 06:34:31',NULL),(1295,'Modules\\Subscription\\Http\\Controllers\\PackageController@update','Modules\\Subscription\\Http\\Controllers\\PackageController','PackageController','update','2024-09-19 06:34:31',NULL),(1296,'Modules\\Subscription\\Http\\Controllers\\PackageController@destroy','Modules\\Subscription\\Http\\Controllers\\PackageController','PackageController','destroy','2024-09-19 06:34:31',NULL),(1297,'Modules\\Subscription\\Http\\Controllers\\PackageController@getTemplate','Modules\\Subscription\\Http\\Controllers\\PackageController','PackageController','getTemplate','2024-09-19 06:34:31',NULL),(1298,'Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController@index','Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController','PackageSubscriptionController','index','2024-09-19 06:34:31',NULL),(1299,'Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController@create','Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController','PackageSubscriptionController','create','2024-09-19 06:34:31',NULL),(1300,'Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController@store','Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController','PackageSubscriptionController','store','2024-09-19 06:34:31',NULL),(1301,'Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController@show','Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController','PackageSubscriptionController','show','2024-09-19 06:34:31',NULL),(1302,'Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController@edit','Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController','PackageSubscriptionController','edit','2024-09-19 06:34:31',NULL),(1303,'Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController@update','Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController','PackageSubscriptionController','update','2024-09-19 06:34:31',NULL),(1304,'Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController@destroy','Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController','PackageSubscriptionController','destroy','2024-09-19 06:34:31',NULL),(1305,'Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController@setting','Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController','PackageSubscriptionController','setting','2024-09-19 06:34:31',NULL),(1306,'Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController@payment','Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController','PackageSubscriptionController','payment','2024-09-19 06:34:31',NULL),(1307,'Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController@invoice','Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController','PackageSubscriptionController','invoice','2024-09-19 06:34:31',NULL),(1308,'Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController@invoicePdf','Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController','PackageSubscriptionController','invoicePdf','2024-09-19 06:34:31',NULL),(1309,'Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController@invoiceEmail','Modules\\Subscription\\Http\\Controllers\\PackageSubscriptionController','PackageSubscriptionController','invoiceEmail','2024-09-19 06:34:31',NULL),(1310,'Modules\\Upgrader\\Http\\Controllers\\SystemUpdateController@upgrade','Modules\\Upgrader\\Http\\Controllers\\SystemUpdateController','SystemUpdateController','upgrade','2024-09-19 06:34:31',NULL),(1311,'Modules\\VoguePay\\Http\\Controllers\\VoguePayController@store','Modules\\VoguePay\\Http\\Controllers\\VoguePayController','VoguePayController','store','2024-09-19 06:34:31',NULL),(1312,'Modules\\VoguePay\\Http\\Controllers\\VoguePayController@edit','Modules\\VoguePay\\Http\\Controllers\\VoguePayController','VoguePayController','edit','2024-09-19 06:34:31',NULL),(1313,'Modules\\Subscription\\Http\\Controllers\\Vendor\\SubscriptionController@index','Modules\\Subscription\\Http\\Controllers\\Vendor\\SubscriptionController','SubscriptionController','index','2024-09-19 06:34:31',NULL),(1314,'Modules\\Subscription\\Http\\Controllers\\Vendor\\SubscriptionController@store','Modules\\Subscription\\Http\\Controllers\\Vendor\\SubscriptionController','SubscriptionController','store','2024-09-19 06:34:31',NULL),(1315,'Modules\\Subscription\\Http\\Controllers\\Vendor\\SubscriptionController@paid','Modules\\Subscription\\Http\\Controllers\\Vendor\\SubscriptionController','SubscriptionController','paid','2024-09-19 06:34:31',NULL),(1316,'Modules\\Subscription\\Http\\Controllers\\Vendor\\SubscriptionController@history','Modules\\Subscription\\Http\\Controllers\\Vendor\\SubscriptionController','SubscriptionController','history','2024-09-19 06:34:31',NULL),(1317,'Modules\\Subscription\\Http\\Controllers\\Vendor\\SubscriptionController@invoice','Modules\\Subscription\\Http\\Controllers\\Vendor\\SubscriptionController','SubscriptionController','invoice','2024-09-19 06:34:31',NULL),(1318,'Modules\\Subscription\\Http\\Controllers\\Vendor\\SubscriptionController@pdfInvoice','Modules\\Subscription\\Http\\Controllers\\Vendor\\SubscriptionController','SubscriptionController','pdfInvoice','2024-09-19 06:34:31',NULL),(1319,'Modules\\Subscription\\Http\\Controllers\\Vendor\\SubscriptionController@cancel','Modules\\Subscription\\Http\\Controllers\\Vendor\\SubscriptionController','SubscriptionController','cancel','2024-09-19 06:34:31',NULL),(1320,'Modules\\DatabaseBackup\\Http\\Controllers\\DatabaseBackupController@automatedDatabaseBackupForm','Modules\\DatabaseBackup\\Http\\Controllers\\DatabaseBackupController','DatabaseBackupController','automatedDatabaseBackupForm','2024-09-19 06:34:31',NULL),(1321,'Modules\\DatabaseBackup\\Http\\Controllers\\DatabaseBackupController@store','Modules\\DatabaseBackup\\Http\\Controllers\\DatabaseBackupController','DatabaseBackupController','store','2024-09-19 06:34:31',NULL),(1322,'Modules\\DatabaseBackup\\Http\\Controllers\\DatabaseBackupController@manualDatabaseBackupForm','Modules\\DatabaseBackup\\Http\\Controllers\\DatabaseBackupController','DatabaseBackupController','manualDatabaseBackupForm','2024-09-19 06:34:31',NULL),(1323,'Modules\\DatabaseBackup\\Http\\Controllers\\DatabaseBackupController@manualDatabaseBackup','Modules\\DatabaseBackup\\Http\\Controllers\\DatabaseBackupController','DatabaseBackupController','manualDatabaseBackup','2024-09-19 06:34:31',NULL),(1324,'Modules\\DatabaseBackup\\Http\\Controllers\\DatabaseBackupController@list','Modules\\DatabaseBackup\\Http\\Controllers\\DatabaseBackupController','DatabaseBackupController','list','2024-09-19 06:34:31',NULL),(1325,'Modules\\DatabaseBackup\\Http\\Controllers\\DatabaseBackupController@download','Modules\\DatabaseBackup\\Http\\Controllers\\DatabaseBackupController','DatabaseBackupController','download','2024-09-19 06:34:31',NULL),(1326,'Modules\\DatabaseBackup\\Http\\Controllers\\DatabaseBackupController@destroy','Modules\\DatabaseBackup\\Http\\Controllers\\DatabaseBackupController','DatabaseBackupController','destroy','2024-09-19 06:34:31',NULL),(1327,'Modules\\DatabaseBackup\\Http\\Controllers\\DropboxSettingController@create','Modules\\DatabaseBackup\\Http\\Controllers\\DropboxSettingController','DropboxSettingController','create','2024-09-19 06:34:31',NULL),(1328,'Modules\\DatabaseBackup\\Http\\Controllers\\DropboxSettingController@store','Modules\\DatabaseBackup\\Http\\Controllers\\DropboxSettingController','DropboxSettingController','store','2024-09-19 06:34:31',NULL),(1329,'Modules\\DatabaseBackup\\Http\\Controllers\\GoogleDriveSettingController@create','Modules\\DatabaseBackup\\Http\\Controllers\\GoogleDriveSettingController','GoogleDriveSettingController','create','2024-09-19 06:34:31',NULL),(1330,'Modules\\DatabaseBackup\\Http\\Controllers\\GoogleDriveSettingController@store','Modules\\DatabaseBackup\\Http\\Controllers\\GoogleDriveSettingController','GoogleDriveSettingController','store','2024-09-19 06:34:31',NULL),(1331,'Modules\\Ticket\\Http\\Controllers\\Api\\User\\ChatController@getConversations','Modules\\Ticket\\Http\\Controllers\\Api\\User\\ChatController','ChatController','getConversations','2024-09-19 06:34:31',NULL),(1332,'Modules\\Ticket\\Http\\Controllers\\Api\\User\\ChatController@sendProductDetails','Modules\\Ticket\\Http\\Controllers\\Api\\User\\ChatController','ChatController','sendProductDetails','2024-09-19 06:34:31',NULL),(1333,'Modules\\Ticket\\Http\\Controllers\\Api\\User\\ChatController@initiateChatWithVendor','Modules\\Ticket\\Http\\Controllers\\Api\\User\\ChatController','ChatController','initiateChatWithVendor','2024-09-19 06:34:31',NULL),(1334,'Modules\\Ticket\\Http\\Controllers\\Api\\User\\ChatController@contact-list','Modules\\Ticket\\Http\\Controllers\\Api\\User\\ChatController','ChatController','contact-list','2024-09-19 06:34:31',NULL),(1335,'Modules\\Ticket\\Http\\Controllers\\Api\\User\\ChatController@storeMessage','Modules\\Ticket\\Http\\Controllers\\Api\\User\\ChatController','ChatController','storeMessage','2024-09-19 06:34:31',NULL),(1336,'Modules\\Ticket\\Http\\Controllers\\Api\\User\\ChatController@createChat','Modules\\Ticket\\Http\\Controllers\\Api\\User\\ChatController','ChatController','createChat','2024-09-19 06:34:31',NULL),(1337,'Modules\\Ticket\\Http\\Controllers\\Api\\User\\ChatController@inboxRefresh','Modules\\Ticket\\Http\\Controllers\\Api\\User\\ChatController','ChatController','inboxRefresh','2024-09-19 06:34:31',NULL),(1338,'App\\Http\\Controllers\\Api\\User\\UserController@removeImage','App\\Http\\Controllers\\Api\\User\\UserController','UserController','removeImage','2024-09-19 06:34:31',NULL),(1339,'App\\Http\\Controllers\\ProductController@duplicate','App\\Http\\Controllers\\ProductController','ProductController','duplicate','2024-09-19 06:34:31',NULL),(1340,'App\\Http\\Controllers\\Vendor\\ProductController@duplicate','App\\Http\\Controllers\\Vendor\\ProductController','ProductController','duplicate','2024-09-19 06:34:31',NULL),(1341,'App\\Http\\Controllers\\Vendor\\CustomerController@index','App\\Http\\Controllers\\Vendor\\CustomerController','CustomerController','index','2024-09-19 06:34:31',NULL),(1342,'App\\Http\\Controllers\\Vendor\\DashboardController@setWidgetData','App\\Http\\Controllers\\Vendor\\DashboardController','DashboardController','setWidgetData','2024-09-19 06:34:31',NULL),(1343,'App\\Http\\Controllers\\Vendor\\DashboardController@setWidgetOption','App\\Http\\Controllers\\Vendor\\DashboardController','DashboardController','setWidgetOption','2024-09-19 06:34:31',NULL),(1344,'App\\Http\\Controllers\\Vendor\\DashboardController@forgetWidget','App\\Http\\Controllers\\Vendor\\DashboardController','DashboardController','forgetWidget','2024-09-19 06:34:31',NULL),(1345,'Modules\\CMS\\Http\\Controllers\\Vendor\\HomeController@index','Modules\\CMS\\Http\\Controllers\\Vendor\\HomeController','HomeController','index','2024-09-19 06:34:31',NULL),(1346,'Modules\\CMS\\Http\\Controllers\\Vendor\\HomeController@create','Modules\\CMS\\Http\\Controllers\\Vendor\\HomeController','HomeController','create','2024-09-19 06:34:31',NULL),(1347,'Modules\\CMS\\Http\\Controllers\\Vendor\\HomeController@store','Modules\\CMS\\Http\\Controllers\\Vendor\\HomeController','HomeController','store','2024-09-19 06:34:31',NULL),(1348,'Modules\\CMS\\Http\\Controllers\\Vendor\\HomeController@edit','Modules\\CMS\\Http\\Controllers\\Vendor\\HomeController','HomeController','edit','2024-09-19 06:34:31',NULL),(1349,'Modules\\CMS\\Http\\Controllers\\Vendor\\HomeController@update','Modules\\CMS\\Http\\Controllers\\Vendor\\HomeController','HomeController','update','2024-09-19 06:34:31',NULL),(1350,'Modules\\CMS\\Http\\Controllers\\Vendor\\HomeController@delete','Modules\\CMS\\Http\\Controllers\\Vendor\\HomeController','HomeController','delete','2024-09-19 06:34:31',NULL),(1351,'Modules\\CMS\\Http\\Controllers\\Vendor\\BuilderController@edit','Modules\\CMS\\Http\\Controllers\\Vendor\\BuilderController','BuilderController','edit','2024-09-19 06:34:31',NULL),(1352,'Modules\\CMS\\Http\\Controllers\\Vendor\\BuilderController@editElement','Modules\\CMS\\Http\\Controllers\\Vendor\\BuilderController','BuilderController','editElement','2024-09-19 06:34:31',NULL),(1353,'Modules\\CMS\\Http\\Controllers\\Vendor\\BuilderController@updateComponent','Modules\\CMS\\Http\\Controllers\\Vendor\\BuilderController','BuilderController','updateComponent','2024-09-19 06:34:31',NULL),(1354,'Modules\\CMS\\Http\\Controllers\\Vendor\\BuilderController@deleteComponent','Modules\\CMS\\Http\\Controllers\\Vendor\\BuilderController','BuilderController','deleteComponent','2024-09-19 06:34:31',NULL),(1355,'Modules\\CMS\\Http\\Controllers\\Vendor\\BuilderController@updateAllComponents','Modules\\CMS\\Http\\Controllers\\Vendor\\BuilderController','BuilderController','updateAllComponents','2024-09-19 06:34:31',NULL),(1356,'Modules\\CMS\\Http\\Controllers\\Vendor\\BuilderController@ajaxResourceFetch','Modules\\CMS\\Http\\Controllers\\Vendor\\BuilderController','BuilderController','ajaxResourceFetch','2024-09-19 06:34:31',NULL),(1357,'Modules\\CMS\\Http\\Controllers\\Vendor\\BuilderController@getComponentProduct','Modules\\CMS\\Http\\Controllers\\Vendor\\BuilderController','BuilderController','getComponentProduct','2024-09-19 06:34:31',NULL),(1358,'App\\Http\\Controllers\\InvoiceSettingController@index','App\\Http\\Controllers\\InvoiceSettingController','InvoiceSettingController','index','2024-09-19 06:34:31',NULL),(1359,'App\\Http\\Controllers\\Vendor\\BarcodeController@product','App\\Http\\Controllers\\Vendor\\BarcodeController','BarcodeController','product','2024-09-19 06:34:31',NULL),(1360,'App\\Http\\Controllers\\Vendor\\BarcodeController@search','App\\Http\\Controllers\\Vendor\\BarcodeController','BarcodeController','search','2024-09-19 06:34:31',NULL),(1361,'App\\Http\\Controllers\\Vendor\\CategoryController@index','App\\Http\\Controllers\\Vendor\\CategoryController','CategoryController','index','2024-09-19 06:34:31',NULL),(1362,'App\\Http\\Controllers\\Vendor\\CategoryController@getData','App\\Http\\Controllers\\Vendor\\CategoryController','CategoryController','getData','2024-09-19 06:34:31',NULL),(1363,'App\\Http\\Controllers\\Vendor\\CategoryController@store','App\\Http\\Controllers\\Vendor\\CategoryController','CategoryController','store','2024-09-19 06:34:31',NULL),(1364,'App\\Http\\Controllers\\Vendor\\CategoryController@edit','App\\Http\\Controllers\\Vendor\\CategoryController','CategoryController','edit','2024-09-19 06:34:31',NULL),(1365,'App\\Http\\Controllers\\Vendor\\CategoryController@update','App\\Http\\Controllers\\Vendor\\CategoryController','CategoryController','update','2024-09-19 06:34:31',NULL),(1366,'App\\Http\\Controllers\\Vendor\\CategoryController@destroy','App\\Http\\Controllers\\Vendor\\CategoryController','CategoryController','destroy','2024-09-19 06:34:31',NULL),(1367,'App\\Http\\Controllers\\Vendor\\CategoryController@getParentData','App\\Http\\Controllers\\Vendor\\CategoryController','CategoryController','getParentData','2024-09-19 06:34:31',NULL),(1368,'App\\Http\\Controllers\\Vendor\\CategoryController@moveNode','App\\Http\\Controllers\\Vendor\\CategoryController','CategoryController','moveNode','2024-09-19 06:34:31',NULL),(1369,'App\\Http\\Controllers\\Vendor\\CategoryController@suggestion','App\\Http\\Controllers\\Vendor\\CategoryController','CategoryController','suggestion','2024-09-19 06:34:31',NULL),(1370,'App\\Http\\Controllers\\Vendor\\CategoryController@assignCategory','App\\Http\\Controllers\\Vendor\\CategoryController','CategoryController','assignCategory','2024-09-19 06:34:31',NULL),(1371,'App\\Http\\Controllers\\SmsConfigurationController@index','App\\Http\\Controllers\\SmsConfigurationController','SmsConfigurationController','index','2024-09-19 06:34:31',NULL),(1372,'App\\Http\\Controllers\\SmsConfigurationController@update','App\\Http\\Controllers\\SmsConfigurationController','SmsConfigurationController','update','2024-09-19 06:34:31',NULL),(1373,'App\\Http\\Controllers\\SmsTemplateController@index','App\\Http\\Controllers\\SmsTemplateController','SmsTemplateController','index','2024-09-19 06:34:31',NULL),(1374,'App\\Http\\Controllers\\SmsTemplateController@edit','App\\Http\\Controllers\\SmsTemplateController','SmsTemplateController','edit','2024-09-19 06:34:31',NULL),(1375,'App\\Http\\Controllers\\SmsTemplateController@update','App\\Http\\Controllers\\SmsTemplateController','SmsTemplateController','update','2024-09-19 06:34:31',NULL),(1376,'App\\Http\\Controllers\\SmsTemplateController@destroy','App\\Http\\Controllers\\SmsTemplateController','SmsTemplateController','destroy','2024-09-19 06:34:31',NULL),(1377,'App\\Http\\Controllers\\NotificationController@index','App\\Http\\Controllers\\NotificationController','NotificationController','index','2024-09-19 06:34:31',NULL),(1378,'App\\Http\\Controllers\\NotificationController@destroy','App\\Http\\Controllers\\NotificationController','NotificationController','destroy','2024-09-19 06:34:31',NULL),(1379,'App\\Http\\Controllers\\NotificationController@markAsRead','App\\Http\\Controllers\\NotificationController','NotificationController','markAsRead','2024-09-19 06:34:31',NULL),(1380,'App\\Http\\Controllers\\NotificationController@markAsUnread','App\\Http\\Controllers\\NotificationController','NotificationController','markAsUnread','2024-09-19 06:34:31',NULL),(1381,'App\\Http\\Controllers\\NotificationController@markAsReadAll','App\\Http\\Controllers\\NotificationController','NotificationController','markAsReadAll','2024-09-19 06:34:31',NULL),(1382,'App\\Http\\Controllers\\Vendor\\NotificationController@index','App\\Http\\Controllers\\Vendor\\NotificationController','NotificationController','index','2024-09-19 06:34:32',NULL),(1383,'App\\Http\\Controllers\\Vendor\\NotificationController@destroy','App\\Http\\Controllers\\Vendor\\NotificationController','NotificationController','destroy','2024-09-19 06:34:32',NULL),(1384,'App\\Http\\Controllers\\Vendor\\NotificationController@markAsRead','App\\Http\\Controllers\\Vendor\\NotificationController','NotificationController','markAsRead','2024-09-19 06:34:32',NULL),(1385,'App\\Http\\Controllers\\Vendor\\NotificationController@markAsUnread','App\\Http\\Controllers\\Vendor\\NotificationController','NotificationController','markAsUnread','2024-09-19 06:34:32',NULL),(1386,'App\\Http\\Controllers\\Vendor\\NotificationController@markAsReadAll','App\\Http\\Controllers\\Vendor\\NotificationController','NotificationController','markAsReadAll','2024-09-19 06:34:32',NULL),(1387,'App\\Http\\Controllers\\Vendor\\NotificationController@headerNotification','App\\Http\\Controllers\\Vendor\\NotificationController','NotificationController','headerNotification','2024-09-19 06:34:32',NULL),(1388,'App\\Http\\Controllers\\Site\\NotificationController@index','App\\Http\\Controllers\\Site\\NotificationController','NotificationController','index','2024-09-19 06:34:32',NULL),(1389,'App\\Http\\Controllers\\Site\\NotificationController@destroy','App\\Http\\Controllers\\Site\\NotificationController','NotificationController','destroy','2024-09-19 06:34:32',NULL),(1390,'App\\Http\\Controllers\\Site\\NotificationController@markAsRead','App\\Http\\Controllers\\Site\\NotificationController','NotificationController','markAsRead','2024-09-19 06:34:32',NULL),(1391,'App\\Http\\Controllers\\Site\\NotificationController@markAsUnread','App\\Http\\Controllers\\Site\\NotificationController','NotificationController','markAsUnread','2024-09-19 06:34:32',NULL),(1392,'App\\Http\\Controllers\\Site\\NotificationController@markAsReadAll','App\\Http\\Controllers\\Site\\NotificationController','NotificationController','markAsReadAll','2024-09-19 06:34:32',NULL),(1393,'App\\Http\\Controllers\\NotificationController@log','App\\Http\\Controllers\\NotificationController','NotificationController','log','2024-09-19 06:34:32',NULL),(1394,'App\\Http\\Controllers\\NotificationController@destroyLog','App\\Http\\Controllers\\NotificationController','NotificationController','destroyLog','2024-09-19 06:34:32',NULL),(1395,'App\\Http\\Controllers\\NotificationController@setting','App\\Http\\Controllers\\Site\\NotificationController','NotificationController','setting','2024-09-19 06:34:32',NULL),(1396,'App\\Http\\Controllers\\CustomFieldController@index','App\\Http\\Controllers\\Site\\CustomFieldController','CustomFieldController','index','2024-09-19 06:34:32',NULL),(1397,'App\\Http\\Controllers\\CustomFieldController@create','App\\Http\\Controllers\\Site\\CustomFieldController','CustomFieldController','create','2024-09-19 06:34:32',NULL),(1398,'App\\Http\\Controllers\\CustomFieldController@store','App\\Http\\Controllers\\Site\\CustomFieldController','CustomFieldController','store','2024-09-19 06:34:32',NULL),(1399,'App\\Http\\Controllers\\CustomFieldController@edit','App\\Http\\Controllers\\Site\\CustomFieldController','CustomFieldController','edit','2024-09-19 06:34:32',NULL),(1400,'App\\Http\\Controllers\\CustomFieldController@update','App\\Http\\Controllers\\Site\\CustomFieldController','CustomFieldController','update','2024-09-19 06:34:32',NULL),(1401,'App\\Http\\Controllers\\CustomFieldController@destroy','App\\Http\\Controllers\\Site\\CustomFieldController','CustomFieldController','destroy','2024-09-19 06:34:32',NULL),(1402,'Modules\\BulkPayment\\Http\\Controllers\\Vendor\\BulkPaymentController@order','Modules\\BulkPayment\\Http\\Controllers\\Vendor\\BulkPaymentController','BulkPaymentController','order','2024-09-19 06:34:32',NULL),(1403,'App\\Http\\Controllers\\AddressSettingController@index','App\\Http\\Controllers\\AddressSettingController','AddressSettingController','index','2024-09-19 06:34:32',NULL),(1404,'App\\Http\\Controllers\\AddressSettingController@update','App\\Http\\Controllers\\AddressSettingController','AddressSettingController','update','2024-09-19 06:34:32',NULL),(1405,'App\\Http\\Controllers\\SsoController@client','App\\Http\\Controllers\\SsoController','SsoController','client','2024-09-19 06:34:32',NULL),(1406,'App\\Http\\Controllers\\SsoController@deleteClient','App\\Http\\Controllers\\SsoController','SsoController','deleteClient','2024-09-19 06:34:32',NULL),(1407,'App\\Http\\Controllers\\ApiKeyController@index','App\\Http\\Controllers\\ApiKeyController','ApiKeyController','index','2024-09-19 06:34:32',NULL),(1408,'App\\Http\\Controllers\\ApiKeyController@store','App\\Http\\Controllers\\ApiKeyController','ApiKeyController','store','2024-09-19 06:34:32',NULL),(1409,'App\\Http\\Controllers\\ApiKeyController@update','App\\Http\\Controllers\\ApiKeyController','ApiKeyController','update','2024-09-19 06:34:32',NULL),(1410,'App\\Http\\Controllers\\ApiKeyController@destroy','App\\Http\\Controllers\\ApiKeyController','ApiKeyController','destroy','2024-09-19 06:34:32',NULL),(1411,'App\\Http\\Controllers\\ApiKeyController@settings','App\\Http\\Controllers\\ApiKeyController','ApiKeyController','settings','2024-09-19 06:34:32',NULL),(1412,'Modules\\Shipping\\Http\\Controllers\\ShippingController@updateProvider','Modules\\Shipping\\Http\\Controllers\\ShippingController','ShippingController','updateProvider','2024-09-19 06:34:36',NULL),(1413,'Modules\\Shipping\\Http\\Controllers\\ShippingController@removeProvider','Modules\\Shipping\\Http\\Controllers\\ShippingController','ShippingController','removeProvider','2024-09-19 06:34:36',NULL),(1414,'Modules\\Shipping\\Http\\Controllers\\ShippingController@storeProvider','Modules\\Shipping\\Http\\Controllers\\ShippingController','ShippingController','storeProvider','2024-09-19 06:34:36',NULL),(1415,'Modules\\Inventory\\Http\\Controllers\\InventoryController@index','Modules\\Inventory\\Http\\Controllers\\InventoryController','InventoryController','index','2024-09-19 06:34:37',NULL),(1416,'Modules\\Inventory\\Http\\Controllers\\InventoryController@adjust','Modules\\Inventory\\Http\\Controllers\\InventoryController','InventoryController','adjust','2024-09-19 06:34:37',NULL),(1417,'Modules\\Inventory\\Http\\Controllers\\InventoryController@settings','Modules\\Inventory\\Http\\Controllers\\InventoryController','InventoryController','settings','2024-09-19 06:34:37',NULL),(1418,'Modules\\Inventory\\Http\\Controllers\\InventoryController@transaction','Modules\\Inventory\\Http\\Controllers\\InventoryController','InventoryController','transaction','2024-09-19 06:34:37',NULL),(1419,'Modules\\Inventory\\Http\\Controllers\\LocationController@index','Modules\\Inventory\\Http\\Controllers\\LocationController','LocationController','index','2024-09-19 06:34:37',NULL),(1420,'Modules\\Inventory\\Http\\Controllers\\LocationController@create','Modules\\Inventory\\Http\\Controllers\\LocationController','LocationController','create','2024-09-19 06:34:37',NULL),(1421,'Modules\\Inventory\\Http\\Controllers\\LocationController@store','Modules\\Inventory\\Http\\Controllers\\LocationController','LocationController','store','2024-09-19 06:34:37',NULL),(1422,'Modules\\Inventory\\Http\\Controllers\\LocationController@edit','Modules\\Inventory\\Http\\Controllers\\LocationController','LocationController','edit','2024-09-19 06:34:37',NULL),(1423,'Modules\\Inventory\\Http\\Controllers\\LocationController@update','Modules\\Inventory\\Http\\Controllers\\LocationController','LocationController','update','2024-09-19 06:34:37',NULL),(1424,'Modules\\Inventory\\Http\\Controllers\\LocationController@destroy','Modules\\Inventory\\Http\\Controllers\\LocationController','LocationController','destroy','2024-09-19 06:34:37',NULL),(1425,'Modules\\Inventory\\Http\\Controllers\\LocationController@vendorLocation','Modules\\Inventory\\Http\\Controllers\\LocationController','LocationController','vendorLocation','2024-09-19 06:34:37',NULL),(1426,'Modules\\Inventory\\Http\\Controllers\\PurchaseController@index','Modules\\Inventory\\Http\\Controllers\\PurchaseController','PurchaseController','index','2024-09-19 06:34:37',NULL),(1427,'Modules\\Inventory\\Http\\Controllers\\PurchaseController@create','Modules\\Inventory\\Http\\Controllers\\PurchaseController','PurchaseController','create','2024-09-19 06:34:37',NULL),(1428,'Modules\\Inventory\\Http\\Controllers\\PurchaseController@store','Modules\\Inventory\\Http\\Controllers\\PurchaseController','PurchaseController','store','2024-09-19 06:34:37',NULL),(1429,'Modules\\Inventory\\Http\\Controllers\\PurchaseController@edit','Modules\\Inventory\\Http\\Controllers\\PurchaseController','PurchaseController','edit','2024-09-19 06:34:37',NULL),(1430,'Modules\\Inventory\\Http\\Controllers\\PurchaseController@update','Modules\\Inventory\\Http\\Controllers\\PurchaseController','PurchaseController','update','2024-09-19 06:34:37',NULL),(1431,'Modules\\Inventory\\Http\\Controllers\\PurchaseController@destroy','Modules\\Inventory\\Http\\Controllers\\PurchaseController','PurchaseController','destroy','2024-09-19 06:34:37',NULL),(1432,'Modules\\Inventory\\Http\\Controllers\\PurchaseController@search','Modules\\Inventory\\Http\\Controllers\\PurchaseController','PurchaseController','search','2024-09-19 06:34:37',NULL),(1433,'Modules\\Inventory\\Http\\Controllers\\PurchaseController@findSupplier','Modules\\Inventory\\Http\\Controllers\\PurchaseController','PurchaseController','findSupplier','2024-09-19 06:34:37',NULL),(1434,'Modules\\Inventory\\Http\\Controllers\\PurchaseController@findLocation','Modules\\Inventory\\Http\\Controllers\\PurchaseController','PurchaseController','findLocation','2024-09-19 06:34:37',NULL),(1435,'Modules\\Inventory\\Http\\Controllers\\PurchaseController@findVendor','Modules\\Inventory\\Http\\Controllers\\PurchaseController','PurchaseController','findVendor','2024-09-19 06:34:37',NULL),(1436,'Modules\\Inventory\\Http\\Controllers\\PurchaseController@receive','Modules\\Inventory\\Http\\Controllers\\PurchaseController','PurchaseController','receive','2024-09-19 06:34:37',NULL),(1437,'Modules\\Inventory\\Http\\Controllers\\PurchaseController@receiveStore','Modules\\Inventory\\Http\\Controllers\\PurchaseController','PurchaseController','receiveStore','2024-09-19 06:34:37',NULL),(1438,'Modules\\Inventory\\Http\\Controllers\\SupplierController@index','Modules\\Inventory\\Http\\Controllers\\SupplierController','SupplierController','index','2024-09-19 06:34:37',NULL),(1439,'Modules\\Inventory\\Http\\Controllers\\SupplierController@create','Modules\\Inventory\\Http\\Controllers\\SupplierController','SupplierController','create','2024-09-19 06:34:37',NULL),(1440,'Modules\\Inventory\\Http\\Controllers\\SupplierController@store','Modules\\Inventory\\Http\\Controllers\\SupplierController','SupplierController','store','2024-09-19 06:34:37',NULL),(1441,'Modules\\Inventory\\Http\\Controllers\\SupplierController@edit','Modules\\Inventory\\Http\\Controllers\\SupplierController','SupplierController','edit','2024-09-19 06:34:37',NULL),(1442,'Modules\\Inventory\\Http\\Controllers\\SupplierController@update','Modules\\Inventory\\Http\\Controllers\\SupplierController','SupplierController','update','2024-09-19 06:34:37',NULL),(1443,'Modules\\Inventory\\Http\\Controllers\\SupplierController@destroy','Modules\\Inventory\\Http\\Controllers\\SupplierController','SupplierController','destroy','2024-09-19 06:34:37',NULL),(1444,'Modules\\Inventory\\Http\\Controllers\\TransferController@index','Modules\\Inventory\\Http\\Controllers\\TransferController','TransferController','index','2024-09-19 06:34:38',NULL),(1445,'Modules\\Inventory\\Http\\Controllers\\TransferController@create','Modules\\Inventory\\Http\\Controllers\\TransferController','TransferController','create','2024-09-19 06:34:38',NULL),(1446,'Modules\\Inventory\\Http\\Controllers\\TransferController@store','Modules\\Inventory\\Http\\Controllers\\TransferController','TransferController','store','2024-09-19 06:34:38',NULL),(1447,'Modules\\Inventory\\Http\\Controllers\\TransferController@search','Modules\\Inventory\\Http\\Controllers\\TransferController','TransferController','search','2024-09-19 06:34:38',NULL),(1448,'Modules\\Inventory\\Http\\Controllers\\TransferController@edit','Modules\\Inventory\\Http\\Controllers\\TransferController','TransferController','edit','2024-09-19 06:34:38',NULL),(1449,'Modules\\Inventory\\Http\\Controllers\\TransferController@update','Modules\\Inventory\\Http\\Controllers\\TransferController','TransferController','update','2024-09-19 06:34:38',NULL),(1450,'Modules\\Inventory\\Http\\Controllers\\TransferController@destroy','Modules\\Inventory\\Http\\Controllers\\TransferController','TransferController','destroy','2024-09-19 06:34:38',NULL),(1451,'Modules\\Inventory\\Http\\Controllers\\TransferController@receive','Modules\\Inventory\\Http\\Controllers\\TransferController','TransferController','receive','2024-09-19 06:34:38',NULL),(1452,'Modules\\Inventory\\Http\\Controllers\\TransferController@receiveStore','Modules\\Inventory\\Http\\Controllers\\TransferController','TransferController','receiveStore','2024-09-19 06:34:38',NULL),(1453,'Modules\\Inventory\\Http\\Controllers\\Vendor\\InventoryController@index','Modules\\Inventory\\Http\\Controllers\\Vendor\\InventoryController','InventoryController','index','2024-09-19 06:34:38',NULL),(1454,'Modules\\Inventory\\Http\\Controllers\\Vendor\\InventoryController@adjust','Modules\\Inventory\\Http\\Controllers\\Vendor\\InventoryController','InventoryController','adjust','2024-09-19 06:34:38',NULL),(1455,'Modules\\Inventory\\Http\\Controllers\\Vendor\\InventoryController@transaction','Modules\\Inventory\\Http\\Controllers\\Vendor\\InventoryController','InventoryController','transaction','2024-09-19 06:34:38',NULL),(1456,'Modules\\Inventory\\Http\\Controllers\\Vendor\\LocationController@index','Modules\\Inventory\\Http\\Controllers\\Vendor\\LocationController','LocationController','index','2024-09-19 06:34:38',NULL),(1457,'Modules\\Inventory\\Http\\Controllers\\Vendor\\LocationController@create','Modules\\Inventory\\Http\\Controllers\\Vendor\\LocationController','LocationController','create','2024-09-19 06:34:38',NULL),(1458,'Modules\\Inventory\\Http\\Controllers\\Vendor\\LocationController@store','Modules\\Inventory\\Http\\Controllers\\Vendor\\LocationController','LocationController','store','2024-09-19 06:34:38',NULL),(1459,'Modules\\Inventory\\Http\\Controllers\\Vendor\\LocationController@edit','Modules\\Inventory\\Http\\Controllers\\Vendor\\LocationController','LocationController','edit','2024-09-19 06:34:38',NULL),(1460,'Modules\\Inventory\\Http\\Controllers\\Vendor\\LocationController@update','Modules\\Inventory\\Http\\Controllers\\Vendor\\LocationController','LocationController','update','2024-09-19 06:34:38',NULL),(1461,'Modules\\Inventory\\Http\\Controllers\\Vendor\\LocationController@destroy','Modules\\Inventory\\Http\\Controllers\\Vendor\\LocationController','LocationController','destroy','2024-09-19 06:34:38',NULL),(1462,'Modules\\Inventory\\Http\\Controllers\\Vendor\\LocationController@vendorLocation','Modules\\Inventory\\Http\\Controllers\\Vendor\\LocationController','LocationController','vendorLocation','2024-09-19 06:34:38',NULL),(1463,'Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController@index','Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController','PurchaseController','index','2024-09-19 06:34:38',NULL),(1464,'Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController@create','Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController','PurchaseController','create','2024-09-19 06:34:38',NULL),(1465,'Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController@store','Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController','PurchaseController','store','2024-09-19 06:34:38',NULL),(1466,'Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController@edit','Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController','PurchaseController','edit','2024-09-19 06:34:38',NULL),(1467,'Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController@update','Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController','PurchaseController','update','2024-09-19 06:34:38',NULL),(1468,'Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController@destroy','Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController','PurchaseController','destroy','2024-09-19 06:34:38',NULL),(1469,'Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController@search','Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController','PurchaseController','search','2024-09-19 06:34:38',NULL),(1470,'Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController@findSupplier','Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController','PurchaseController','findSupplier','2024-09-19 06:34:38',NULL),(1471,'Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController@findLocation','Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController','PurchaseController','findLocation','2024-09-19 06:34:38',NULL),(1472,'Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController@findVendor','Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController','PurchaseController','findVendor','2024-09-19 06:34:38',NULL),(1473,'Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController@receive','Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController','PurchaseController','receive','2024-09-19 06:34:38',NULL),(1474,'Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController@receiveStore','Modules\\Inventory\\Http\\Controllers\\Vendor\\PurchaseController','PurchaseController','receiveStore','2024-09-19 06:34:38',NULL),(1475,'Modules\\Inventory\\Http\\Controllers\\Vendor\\SupplierController@index','Modules\\Inventory\\Http\\Controllers\\Vendor\\SupplierController','SupplierController','index','2024-09-19 06:34:38',NULL),(1476,'Modules\\Inventory\\Http\\Controllers\\Vendor\\SupplierController@create','Modules\\Inventory\\Http\\Controllers\\Vendor\\SupplierController','SupplierController','create','2024-09-19 06:34:38',NULL),(1477,'Modules\\Inventory\\Http\\Controllers\\Vendor\\SupplierController@store','Modules\\Inventory\\Http\\Controllers\\Vendor\\SupplierController','SupplierController','store','2024-09-19 06:34:38',NULL),(1478,'Modules\\Inventory\\Http\\Controllers\\Vendor\\SupplierController@edit','Modules\\Inventory\\Http\\Controllers\\Vendor\\SupplierController','SupplierController','edit','2024-09-19 06:34:38',NULL),(1479,'Modules\\Inventory\\Http\\Controllers\\Vendor\\SupplierController@update','Modules\\Inventory\\Http\\Controllers\\Vendor\\SupplierController','SupplierController','update','2024-09-19 06:34:38',NULL),(1480,'Modules\\Inventory\\Http\\Controllers\\Vendor\\SupplierController@destroy','Modules\\Inventory\\Http\\Controllers\\Vendor\\SupplierController','SupplierController','destroy','2024-09-19 06:34:38',NULL),(1481,'Modules\\Inventory\\Http\\Controllers\\Vendor\\TransferController@index','Modules\\Inventory\\Http\\Controllers\\Vendor\\TransferController','TransferController','index','2024-09-19 06:34:38',NULL),(1482,'Modules\\Inventory\\Http\\Controllers\\Vendor\\TransferController@create','Modules\\Inventory\\Http\\Controllers\\Vendor\\TransferController','TransferController','create','2024-09-19 06:34:38',NULL),(1483,'Modules\\Inventory\\Http\\Controllers\\Vendor\\TransferController@store','Modules\\Inventory\\Http\\Controllers\\Vendor\\TransferController','TransferController','store','2024-09-19 06:34:38',NULL),(1484,'Modules\\Inventory\\Http\\Controllers\\Vendor\\TransferController@search','Modules\\Inventory\\Http\\Controllers\\Vendor\\TransferController','TransferController','search','2024-09-19 06:34:38',NULL),(1485,'Modules\\Inventory\\Http\\Controllers\\Vendor\\TransferController@edit','Modules\\Inventory\\Http\\Controllers\\Vendor\\TransferController','TransferController','edit','2024-09-19 06:34:38',NULL),(1486,'Modules\\Inventory\\Http\\Controllers\\Vendor\\TransferController@update','Modules\\Inventory\\Http\\Controllers\\Vendor\\TransferController','TransferController','update','2024-09-19 06:34:39',NULL),(1487,'Modules\\Inventory\\Http\\Controllers\\Vendor\\TransferController@destroy','Modules\\Inventory\\Http\\Controllers\\Vendor\\TransferController','TransferController','destroy','2024-09-19 06:34:39',NULL),(1488,'Modules\\Inventory\\Http\\Controllers\\Vendor\\TransferController@receive','Modules\\Inventory\\Http\\Controllers\\Vendor\\TransferController','TransferController','receive','2024-09-19 06:34:39',NULL),(1489,'Modules\\Inventory\\Http\\Controllers\\Vendor\\TransferController@receiveStore','Modules\\Inventory\\Http\\Controllers\\Vendor\\TransferController','TransferController','receiveStore','2024-09-19 06:34:39',NULL);
/*!40000 ALTER TABLE `permissions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `popups`
--

DROP TABLE IF EXISTS `popups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `popups` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `show_time` int NOT NULL DEFAULT '30' COMMENT 'second',
  `page_link` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `login_enabled` tinyint(1) NOT NULL DEFAULT '0',
  `show_again` int DEFAULT NULL COMMENT 'days',
  `param` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci COMMENT 'JSON',
  `start_date` date DEFAULT NULL,
  `end_date` date DEFAULT NULL,
  `status` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Inactive',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `popups_name_unique` (`name`),
  KEY `popups_type_index` (`type`),
  KEY `popups_status_index` (`status`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `popups`
--

LOCK TABLES `popups` WRITE;
/*!40000 ALTER TABLE `popups` DISABLE KEYS */;
INSERT INTO `popups` VALUES (14,'Subscribe','Subscribed',20,'Product Details',0,NULL,'{\"background\":\"Image\",\"position\":\"Center\",\"width\":\"600\",\"height\":\"400\",\"popup_bg_color\":\"#000000\",\"text\":{\"text1\":{\"text\":\"Hoichoi\",\"text_color\":\"#ffffff\",\"text_size\":\"36\",\"text_margin_left\":\"30\",\"text_margin_top\":\"40\",\"text_font_weight\":\"bold\",\"text_margin_right\":null,\"text_margin_bottom\":null,\"text_alignment\":\"left\"},\"text2\":{\"text\":\"Annual subscription\",\"text_color\":\"#dedede\",\"text_size\":\"28\",\"text_margin_left\":\"30\",\"text_margin_top\":\"1\",\"text_font_weight\":\"normal\",\"text_margin_right\":null,\"text_margin_bottom\":null,\"text_alignment\":\"left\"},\"text3\":{\"text\":\"Flat 25% OFF\",\"text_color\":\"#ffffff\",\"text_size\":\"40\",\"text_margin_left\":\"30\",\"text_margin_top\":\"10\",\"text_font_weight\":\"bold\",\"text_margin_right\":null,\"text_margin_bottom\":null,\"text_alignment\":\"left\"},\"text4\":{\"text\":\"On Bengali movies and original web series\",\"text_color\":\"#e0dcdc\",\"text_size\":\"16\",\"text_margin_left\":\"30\",\"text_margin_top\":\"10\",\"text_font_weight\":\"bold\",\"text_margin_right\":null,\"text_margin_bottom\":null,\"text_alignment\":\"left\"}},\"subscription_email_placeholder\":\"Enter your email\",\"subscription_button_name\":\"Send\",\"subscription_button_text_color\":\"#ffffff\",\"subscription_button_bg_color\":\"#008ebd\",\"subscription_button_hover_text_color\":\"#000000\",\"subscription_button_hover_bg_color\":\"#ffffff\",\"subscription_button_margin_left\":\"30\",\"subscription_margin_top\":\"40\",\"subscription_margin_right\":null,\"subscription_margin_bottom\":null}','2022-07-27','2022-07-30','Active','2024-09-19 06:34:33',NULL),(15,'Email','Send mail',30,'Cart',0,NULL,'{\"background\":\"Color\",\"position\":\"Center\",\"width\":\"500\",\"height\":\"350\",\"popup_bg_color\":\"#cfcfcf\",\"text\":{\"text1\":{\"text\":\"Get summer ready\",\"text_color\":\"#000000\",\"text_size\":\"30\",\"text_margin_left\":null,\"text_margin_top\":\"10\",\"text_font_weight\":\"bold\",\"text_margin_right\":null,\"text_margin_bottom\":null,\"text_alignment\":\"center\"},\"text2\":{\"text\":\"with\",\"text_color\":\"#2e2d2d\",\"text_size\":\"18\",\"text_margin_left\":null,\"text_margin_top\":null,\"text_font_weight\":\"normal\",\"text_margin_right\":null,\"text_margin_bottom\":null,\"text_alignment\":\"center\"},\"text3\":{\"text\":\"60%\",\"text_color\":\"#067cc6\",\"text_size\":\"50\",\"text_margin_left\":null,\"text_margin_top\":\"10\",\"text_font_weight\":\"italic\",\"text_margin_right\":null,\"text_margin_bottom\":null,\"text_alignment\":\"center\"},\"text4\":{\"text\":\"OFF\",\"text_color\":\"#1b4de4\",\"text_size\":\"40\",\"text_margin_left\":null,\"text_margin_top\":null,\"text_font_weight\":\"bold\",\"text_margin_right\":null,\"text_margin_bottom\":null,\"text_alignment\":\"center\"},\"text5\":{\"text\":null,\"text_color\":\"#000000\",\"text_size\":null,\"text_margin_left\":null,\"text_margin_top\":null,\"text_font_weight\":\"normal\",\"text_margin_right\":null,\"text_margin_bottom\":null,\"text_alignment\":\"left\"},\"text6\":{\"text\":\"To get coupon code\",\"text_color\":\"#000000\",\"text_size\":\"26\",\"text_margin_left\":null,\"text_margin_top\":\"10\",\"text_font_weight\":\"bold\",\"text_margin_right\":null,\"text_margin_bottom\":null,\"text_alignment\":\"center\"}},\"email_placeholder\":\"Enter your email\",\"email_button_name\":\"SEND\",\"email_button_text_color\":\"#f7f7f7\",\"email_button_bg_color\":\"#291f1f\",\"email_button_hover_text_color\":\"#000000\",\"email_button_hover_bg_color\":\"#ffffff\",\"email_button_margin_left\":\"60\",\"email_margin_top\":\"10\",\"email_margin_right\":null,\"email_margin_bottom\":null,\"email_content\":\"Here is your coupon code: HAPPYNEWYEAR\"}','2022-07-27','2022-07-30','Active','2024-09-19 06:34:33',NULL),(16,'Page link','Another page link',30,'Confirm Order',0,NULL,'{\"background\":\"Image\",\"position\":\"Center\",\"width\":\"600\",\"height\":\"400\",\"popup_bg_color\":\"#000000\",\"text\":{\"text1\":{\"text\":null,\"text_color\":\"#000000\",\"text_size\":null,\"text_margin_left\":null,\"text_margin_top\":null,\"text_font_weight\":\"normal\",\"text_margin_right\":null,\"text_margin_bottom\":null,\"text_alignment\":\"center\"}},\"button_title\":\"Catch This Offer\",\"button_link\":\"https:\\/\\/www.google.com\",\"button_text_color\":\"#ffffff\",\"button_bg_color\":\"#0000ff\",\"button_hover_text_color\":\"#000000\",\"button_hover_bg_color\":\"#ffffff\",\"button_margin_left\":\"230\",\"button_margin_top\":\"300\",\"button_margin_right\":null,\"button_margin_bottom\":null}','2022-07-27','2022-07-29','Active','2024-09-19 06:34:33',NULL),(17,'Cookie 2','',33,'Home',0,NULL,'{\"position\":\"Bottom Left\",\"background\":\"Color\",\"popup_bg_color\":\"#4b0202\",\"width\":\"380\",\"height\":\"200\",\"text\":{\"text1\":{\"text\":\"Cookies.\",\"text_color\":\"#ffffff\",\"text_size\":\"32\",\"text_font_weight\":\"bold\",\"text_margin_left\":\"20\",\"text_margin_top\":\"20\",\"text_margin_right\":null,\"text_margin_bottom\":null,\"text_alignment\":\"left\"},\"text2\":{\"text\":\"By using this website, you automatically accept that we use cookies\",\"text_color\":\"#ffffff\",\"text_size\":\"18\",\"text_font_weight\":\"normal\",\"text_margin_left\":\"20\",\"text_margin_top\":null,\"text_margin_right\":null,\"text_margin_bottom\":null,\"text_alignment\":\"left\"}},\"button_title\":\"Ok. I Understood\",\"button_link\":null,\"button_text_color\":\"#ffffff\",\"button_bg_color\":\"#0512c2\",\"button_hover_text_color\":\"#000000\",\"button_hover_bg_color\":\"#000000\",\"button_margin_left\":\"20\",\"button_margin_top\":\"20\",\"button_margin_right\":null,\"button_margin_bottom\":null}','2022-07-27','2022-07-30','Active','2024-09-19 06:34:33',NULL);
/*!40000 ALTER TABLE `popups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `preferences`
--

DROP TABLE IF EXISTS `preferences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `preferences` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `category` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `field` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `preferences_field_unique` (`field`)
) ENGINE=InnoDB AUTO_INCREMENT=126 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `preferences`
--

LOCK TABLES `preferences` WRITE;
/*!40000 ALTER TABLE `preferences` DISABLE KEYS */;
INSERT INTO `preferences` VALUES (1,'preference','row_per_page','25'),(2,'preference','date_format','1'),(3,'preference','date_sepa','-'),(5,'company','site_short_name','MV'),(8,'preference','date_format_type','dd-mm-yyyy'),(9,'company','company_name','Martvill'),(10,'company','company_email','admin@techvill.net'),(11,'company','company_phone','+12013828901'),(12,'company','company_street','City Hall Park Path'),(13,'company','company_city','Azimpur'),(14,'company','company_state','81'),(15,'company','company_zip_code','1200'),(17,'company','dflt_lang','en'),(18,'company','dflt_currency_id','3'),(21,'company','company_gstin','11'),(29,'preference','default_timezone','Asia/Manila'),(44,'preference','thousand_separator',','),(45,'preference','decimal_digits','2'),(46,'preference','symbol_position','before'),(47,'company','company_icon','4b24511c095a0ce03fdcb53acab1ef2d_25_data_center_icon_191506ico.ico'),(48,'company','company_logo','ce54b25300edb99322ac9987c9c44bae_25_0f5af83d90766696bc8aa3e0af2a233e_1_rover_logo_transparent1pngpng.png'),(49,'preference','pdf','mPdf'),(51,'preference','file_size','10'),(55,'preference','sso_service','[\"Facebook\",\"Google\"]'),(56,'preference','order_prefix','ORD-'),(61,'verification','email','both'),(62,'product_inventory','manage_stock','1'),(63,'product_inventory','hold_stock','20'),(64,'product_inventory','notification_low_stock','1'),(65,'product_inventory','notification_out_of_stock','1'),(66,'product_inventory','stock_threshold','1'),(67,'product_inventory','out_of_stock_visibility','0'),(68,'product_inventory','stock_display_format','always_show'),(69,'product_general','taxes','1'),(70,'product_general','coupons','1'),(71,'product_general','calculate_coupon','1'),(72,'product_general','measurement_weight','kg'),(73,'product_general','measurement_dimension','m'),(74,'product_general','reviews_enable_product_review','1'),(75,'product_general','reviews_verified_owner_label','1'),(76,'product_general','review_left','1'),(77,'product_general','rating_enable','1'),(78,'product_general','rating_required','1'),(79,'product_vendor','show_sold_by','1'),(80,'shipping_setting','hide_shipping_cost','0'),(81,'shipping_setting','shipping_destination','billing_address'),(82,'shipping_setting','shipping_calculator_cart_page','1'),(84,'product_general','simple_product','1'),(85,'product_general','grouped_product','1'),(86,'product_general','affiliate_product','1'),(87,'product_general','variable_product','1'),(88,'preference','customer_signup','1'),(89,'preference','vendor_signup','1'),(90,'preference','order_refund','1'),(91,'tax_setting','calculate_tax','customer billing address'),(92,'tax_setting','shipping_tax_class','shipping tax class base on cart items'),(93,'tax_setting','rounding','0'),(94,'tax_setting','display_tax_totals','as a single total'),(95,'company','company_country','bd'),(96,'product_general','wishlist','1'),(97,'product_general','compare','1'),(98,'product_vendor','is_publish_product','1'),(99,'product_vendor','chat','1'),(100,'preference','hide_decimal','1'),(101,'preference','user_default_signup_status','Active'),(102,'preference','vendor_default_signup_status','Active'),(103,'preference','file_extension','[\"jpg\",\"jpeg\",\"png\",\"bmp\",\"gif\",\"doc\",\"docx\",\"xls\",\"xlsx\",\"csv\",\"pdf\",\"mp4\",\"3gp\",\"ico\",\"zip\"]'),(104,'preference','db_version','2.7.0'),(105,'preference','app_open_url','com.medul.martvill://login'),(106,'preference','guest_order','disable'),(107,'product_vendor','is_vendor_customer_list_active','1'),(108,'invoice','invoice','{\"general\":{\"company_name\":\"Martvill\",\"company_logo\":\"Martvill\",\"pdf_view\":\"new_tap\",\"page_size\":\"A4\",\"invoice_type\":\"global\",\"logo\":\"\"},\"document\":{\"header\":{\"logo\":\"logo\",\"is_invoice_no_show\":1,\"invoice_label\":\"Order Invoice\",\"is_show_customer_info\":1},\"product_table\":{\"is_image\":1,\"product_label\":\"Product Name\",\"is_attribute\":1,\"is_quentity\":1,\"quentity_label\":\"Quantity\",\"is_vendor_name\":\"1\",\"vendor_name_label\":\"Shop Name\"},\"delivery_details\":{\"is_delivery_details\":1,\"delivery_details_labal\":\"DELIVERY DETAILS\",\"is_shopping_address\":1,\"shopping_address_label\":\"SHIPPING ADDRESS\",\"is_estimate_time_section\":1,\"estimate_time_label\":\"ESTIMATED DELIVERY TIME\",\"is_payment_section\":1,\"payment_label\":\"PAYMENT\"},\"footer\":{\"is_footer\":1,\"is_main_footer\":1,\"main_footer\":{\"label\":\"Keep in touch\",\"content\":\"If you have any queries, concerns or suggestions phone number: 017838859887 email : martvill@techvill.net\",\"text_color\":\"\",\"align\":\"center\"},\"is_copy_right_footer\":1,\"copy_right_footer\":{\"content\":\"\\u00a92024 Mart Vill | All Rights Reserved\",\"text_color\":\"\",\"align\":\"center\"}}}}'),(109,'product_barcode','link_to','code'),(110,'product_barcode','show_product_name','0'),(111,'product_barcode','show_vendor_name','0'),(112,'product_barcode','show_product_image','0'),(113,'barcode','barcode_text','0'),(114,'barcode','barcode_type','C128'),(115,'barcode','barcode_color','[0,0,0]'),(116,'barcode','barcode_width','1'),(117,'barcode','barcode_height','33'),(118,'product_vendor','is_vendor_shop_decoration_active','1'),(119,'preference','bulk_pay_count','20'),(120,'preference','bulk_payment_user_role','[\"2\"]'),(121,'preference','auth_settings','{\"template-1\":{\"required\":[],\"data\":[]},\"template-2\":{\"required\":[\"title\",\"description\",\"file\"],\"data\":{\"title\":\"Login to Martvill\",\"description\":\"Experience shopping made easy. Log in now to access exclusive offers, manage orders, and discover your personalized shopping experience. Your one-stop destination for convenience and savings starts here.\",\"file\":\"image.jpg\"}},\"template-3\":{\"required\":[\"file\"],\"data\":{\"file\":\"image.jpg\"}},\"template-4\":{\"required\":[\"file\"],\"data\":{\"file\":\"image.png\"}},\"template-5\":{\"required\":[\"file\"],\"data\":{\"file\":\"image.jpg\"}},\"template-6\":{\"required\":[],\"data\":[]}}'),(122,'shipping_setting','shipping_provider','1'),(123,'shipping_setting','product_label_wise_shipment_track','0'),(124,'shipping_setting','vendor_assign_shipping_provider','0'),(125,'inventory_module','order_fulfill','default');
/*!40000 ALTER TABLE `preferences` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `priorities`
--

DROP TABLE IF EXISTS `priorities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `priorities` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `priorities_name_index` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `priorities`
--

LOCK TABLES `priorities` WRITE;
/*!40000 ALTER TABLE `priorities` DISABLE KEYS */;
INSERT INTO `priorities` VALUES (3,'High'),(1,'Low'),(2,'Medium');
/*!40000 ALTER TABLE `priorities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `product_categories`
--

DROP TABLE IF EXISTS `product_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `product_categories` (
  `product_id` bigint unsigned NOT NULL,
  `category_id` int NOT NULL,
  KEY `product_categories_product_id_foreign_idx` (`product_id`),
  KEY `product_categories_category_id_foreign_idx` (`category_id`),
  CONSTRAINT `product_categories_category_id_foreign` FOREIGN KEY (`category_id`) REFERENCES `categories` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `product_categories_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `product_categories`
--

LOCK TABLES `product_categories` WRITE;
/*!40000 ALTER TABLE `product_categories` DISABLE KEYS */;
INSERT INTO `product_categories` VALUES (1205,504),(1204,504),(1203,504),(1202,504),(1201,504),(1200,504),(1199,518),(1198,511),(1197,511),(1196,511),(1195,511),(1194,511),(1193,511),(1192,511),(1191,511),(1189,511),(1190,511),(1188,511),(1187,511),(1186,58),(1185,56),(1184,39),(1183,39),(1182,63),(1181,38),(1180,38),(1179,42),(1178,38),(1177,39),(1176,39),(1175,39),(1174,39),(1173,41),(1172,41),(1171,41),(1170,41),(1169,510),(1168,42),(1167,42),(1166,42),(1165,42),(1164,41),(1163,42),(1162,521),(1161,521),(1160,515),(1159,42),(1158,42),(1157,39),(1156,510),(1155,95),(1154,95),(1153,95),(1152,511),(1151,512),(1150,46),(1149,511),(1148,511),(1147,511),(1146,511),(1145,512),(1144,511),(1143,511),(1142,511),(1141,511),(1140,533),(1139,533),(1138,533),(1137,526),(1136,527),(1135,525),(1130,504),(1131,511),(1132,510),(1133,39),(1134,46),(1329,38);
/*!40000 ALTER TABLE `product_categories` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `product_categories_AINS` AFTER INSERT ON `product_categories` FOR EACH ROW UPDATE categories SET product_counts = (select count(product_id) from product_categories WHERE category_id = categories.id) WHERE categories.id = NEW.category_id */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `product_categories_ADEL` AFTER DELETE ON `product_categories` FOR EACH ROW UPDATE categories SET product_counts = (select count(product_id) from product_categories WHERE category_id = categories.id) WHERE categories.id = OLD.category_id */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `product_coupons`
--

DROP TABLE IF EXISTS `product_coupons`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `product_coupons` (
  `product_id` bigint unsigned NOT NULL,
  `coupon_id` bigint unsigned NOT NULL,
  KEY `product_coupons_product_id_foreign_idx` (`product_id`),
  KEY `product_coupons_coupon_id_foreign_idx` (`coupon_id`),
  CONSTRAINT `product_coupons_coupon_id_foreign` FOREIGN KEY (`coupon_id`) REFERENCES `coupons` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `product_coupons_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `product_coupons`
--

LOCK TABLES `product_coupons` WRITE;
/*!40000 ALTER TABLE `product_coupons` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_coupons` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `product_cross_sales`
--

DROP TABLE IF EXISTS `product_cross_sales`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `product_cross_sales` (
  `product_id` bigint unsigned NOT NULL,
  `cross_sale_product_id` int NOT NULL,
  KEY `product_cross_sales_product_id_idx` (`product_id`),
  KEY `product_cross_sales_cross_sale_product_id_foreign_idx` (`cross_sale_product_id`),
  CONSTRAINT `product_cross_sales` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `product_cross_sales`
--

LOCK TABLES `product_cross_sales` WRITE;
/*!40000 ALTER TABLE `product_cross_sales` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_cross_sales` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `product_relates`
--

DROP TABLE IF EXISTS `product_relates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `product_relates` (
  `product_id` bigint unsigned NOT NULL,
  `related_product_id` int NOT NULL,
  KEY `product_relates_product_id_idx` (`product_id`),
  KEY `product_relates_related_product_id_foreign_idx` (`related_product_id`),
  CONSTRAINT `product_relates` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `product_relates`
--

LOCK TABLES `product_relates` WRITE;
/*!40000 ALTER TABLE `product_relates` DISABLE KEYS */;
INSERT INTO `product_relates` VALUES (1205,1203),(1205,1202),(1205,1200),(1204,1205),(1204,1200),(1204,1202),(1203,1201),(1203,1204),(1203,1202),(1202,1201),(1202,1205),(1202,1204),(1201,1200),(1201,1205),(1201,1203),(1200,1201),(1200,1205),(1200,1202),(1199,1198),(1199,1194),(1199,1191),(1198,1199),(1198,1189),(1198,1192),(1197,1199),(1197,1189),(1197,1195),(1196,1193),(1196,1195),(1196,1188),(1195,1187),(1195,1192),(1195,1196),(1194,1195),(1194,1193),(1194,1188),(1193,1194),(1193,1198),(1193,1189),(1192,1191),(1192,1187),(1192,1195),(1191,1193),(1191,1199),(1191,1198),(1190,1197),(1190,1195),(1190,1199),(1189,1191),(1189,1187),(1189,1197),(1188,1198),(1188,1195),(1188,1189),(1187,1192),(1187,1195),(1187,1193),(1186,1178),(1186,1170),(1186,1182),(1185,1174),(1185,1175),(1185,1176),(1184,1176),(1184,1175),(1184,1174),(1183,1182),(1183,1179),(1183,1181),(1182,1183),(1182,1181),(1182,1172),(1181,1183),(1181,1182),(1181,1175),(1180,1170),(1180,1186),(1180,1177),(1179,1183),(1179,1176),(1179,1171),(1178,1180),(1178,1181),(1178,1172),(1177,1184),(1177,1174),(1177,1175),(1176,1177),(1176,1174),(1176,1175),(1175,1174),(1175,1177),(1175,1184),(1174,1177),(1174,1175),(1174,1184),(1173,1172),(1173,1171),(1173,1183),(1172,1173),(1172,1179),(1172,1181),(1171,1172),(1171,1173),(1171,1179),(1170,1175),(1170,1177),(1170,1169),(1169,1183),(1169,1180),(1169,1170),(1168,1165),(1168,1166),(1168,1164),(1167,1168),(1167,1164),(1167,1165),(1166,1168),(1166,1163),(1166,1161),(1165,1160),(1165,1161),(1165,1162),(1164,1163),(1164,1166),(1164,1168),(1163,1165),(1163,1161),(1163,1166),(1162,1161),(1162,1160),(1162,1166),(1161,1162),(1161,1160),(1161,1165),(1160,1166),(1160,1165),(1160,1162),(1159,1158),(1159,1166),(1159,1165),(1158,1159),(1158,1166),(1158,1165),(1157,1170),(1157,1177),(1157,1181),(1156,1152),(1156,1150),(1156,1147),(1155,1166),(1155,1154),(1155,1153),(1154,1153),(1154,1155),(1154,1166),(1153,1154),(1153,1155),(1153,1165),(1152,1189),(1152,1191),(1152,1147),(1151,1155),(1151,1154),(1151,1153),(1150,1156),(1150,1189),(1150,1191),(1149,1142),(1149,1147),(1149,1152),(1148,1150),(1148,1187),(1148,1196),(1147,1148),(1147,1152),(1147,1156),(1146,1144),(1146,1141),(1146,1153),(1145,1151),(1145,1155),(1145,1141),(1144,1141),(1144,1146),(1144,1153),(1143,1147),(1143,1152),(1143,1188),(1142,1143),(1142,1150),(1142,1147),(1141,1144),(1141,1146),(1141,1152),(1140,1139),(1139,1140),(1138,1140),(1138,1139),(1137,1140),(1137,1139),(1137,1138),(1136,1137),(1136,1139),(1136,1138),(1135,1137),(1135,1136),(1135,1139),(1140,1138),(1140,1137),(1139,1138),(1139,1139),(1138,1137),(1130,1200),(1130,1202),(1130,1201),(1131,1158),(1131,1192),(1131,1142),(1132,1199),(1132,1146),(1132,1147),(1133,1185),(1133,1176),(1133,1184),(1134,1142),(1134,1131),(1134,1149);
/*!40000 ALTER TABLE `product_relates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `product_stats`
--

DROP TABLE IF EXISTS `product_stats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `product_stats` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned NOT NULL,
  `count_views` int NOT NULL DEFAULT '0',
  `count_sales` int NOT NULL DEFAULT '0',
  `date` date NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `product_stats_product_id_date_unique` (`product_id`,`date`)
) ENGINE=InnoDB AUTO_INCREMENT=60 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `product_stats`
--

LOCK TABLES `product_stats` WRITE;
/*!40000 ALTER TABLE `product_stats` DISABLE KEYS */;
INSERT INTO `product_stats` VALUES (1,1205,0,1,'2024-09-16'),(2,1203,0,1,'2024-09-17'),(3,1204,0,1,'2024-09-17'),(4,1199,0,1,'2024-09-15'),(5,1178,0,1,'2024-09-15'),(6,1144,0,3,'2024-09-17'),(7,1156,0,1,'2024-09-14'),(8,1201,0,1,'2024-09-18'),(9,1183,0,3,'2024-09-16'),(10,1200,0,2,'2024-09-17'),(11,1151,0,2,'2024-09-14'),(12,1180,0,2,'2024-09-17'),(13,1137,0,2,'2024-09-16'),(14,1141,0,1,'2024-09-19'),(15,1155,0,1,'2024-09-16'),(17,1162,0,1,'2024-09-15'),(19,1176,0,1,'2024-09-16'),(20,1202,0,1,'2024-09-15'),(22,1177,0,1,'2024-09-14'),(23,1157,0,1,'2024-09-19'),(25,1143,0,1,'2024-09-16'),(30,1185,0,1,'2024-09-17'),(31,1186,0,1,'2024-09-18'),(32,1182,0,1,'2024-09-18'),(33,1186,16,0,'2024-09-19'),(35,1205,1,0,'2024-09-19'),(36,1204,1,0,'2024-09-19'),(37,1203,1,0,'2024-09-19'),(38,1199,1,0,'2024-09-19'),(39,1180,1,0,'2024-09-19'),(40,1179,1,0,'2024-09-19'),(41,1182,5,0,'2024-09-19');
/*!40000 ALTER TABLE `product_stats` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `product_stats_counter_ins` AFTER INSERT ON `product_stats` FOR EACH ROW BEGIN update products set products.total_views = CASE WHEN NEW.count_views = 1 THEN products.total_views + 1 ELSE products.total_views END, products.total_sales = CASE WHEN NEW.count_sales = 1 THEN products.total_sales + 1 ELSE products.total_sales END WHERE id = NEW.product_id;
            IF (select `brand_id` from products where id = NEW.product_id) is not null THEN IF NEW.count_views != 0 THEN INSERT INTO brand_stats (`brand_id`,`count_views`,`date`) VALUES ((select `brand_id` from products where id = NEW.product_id), 1, CURDATE()) ON DUPLICATE KEY UPDATE count_views = count_views + 1; END IF;
            IF NEW.count_sales != 0 THEN INSERT INTO brand_stats (`brand_id`,`count_sales`,`date`) VALUES ((select `brand_id` from products where id = NEW.product_id), 1, CURDATE()) ON DUPLICATE KEY UPDATE count_sales = count_sales + 1; END IF; END IF; END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `product_stats_counter_upd` AFTER UPDATE ON `product_stats` FOR EACH ROW BEGIN update products set products.total_views = CASE WHEN OLD.count_views = NEW.count_views THEN products.total_views ELSE products.total_views + 1 END, products.total_sales = CASE WHEN OLD.count_sales = NEW.count_sales THEN products.total_sales ELSE products.total_sales + 1 END WHERE id = NEW.product_id;
            IF (select `brand_id` from products where id = NEW.product_id) is not null THEN IF NEW.count_views != OLD.count_views THEN INSERT INTO brand_stats (`brand_id`,`count_views`,`date`) VALUES ((select `brand_id` from products where id = NEW.product_id), 1, CURDATE()) ON DUPLICATE KEY UPDATE count_views = count_views + 1; END IF;
            IF NEW.count_sales != OLD.count_sales THEN INSERT INTO brand_stats (`brand_id`,`count_sales`,`date`) VALUES ((select `brand_id` from products where id = NEW.product_id), 1, CURDATE()) ON DUPLICATE KEY UPDATE count_sales = count_sales + 1; END IF; END IF; END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `product_tags`
--

DROP TABLE IF EXISTS `product_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `product_tags` (
  `product_id` bigint unsigned NOT NULL,
  `tag_id` bigint NOT NULL,
  KEY `product_tags_product_id_foreign_idx` (`product_id`),
  KEY `product_tags_tag_id_foreign_idx` (`tag_id`),
  CONSTRAINT `product_tags_id_foreign` FOREIGN KEY (`tag_id`) REFERENCES `tags` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `product_tags_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `product_tags`
--

LOCK TABLES `product_tags` WRITE;
/*!40000 ALTER TABLE `product_tags` DISABLE KEYS */;
INSERT INTO `product_tags` VALUES (1187,53),(1188,53),(1190,53),(1192,53),(1193,53),(1194,53),(1195,53),(1196,53),(1197,53),(1197,54),(1198,53),(1198,54),(1199,53),(1199,54),(1189,54),(1200,55),(1201,55),(1202,55),(1203,55),(1204,55),(1205,55),(1141,56),(1143,56),(1144,56),(1148,56),(1142,57),(1146,57),(1147,57),(1166,48),(1166,58),(1165,48),(1165,49),(1164,59),(1164,60),(1164,61),(1163,48),(1163,62),(1162,48),(1161,48),(1160,48),(1160,58),(1159,63),(1159,64),(1158,63),(1158,64),(1157,65),(1156,66),(1151,67),(1150,66),(1150,68),(1140,69),(1139,69),(1138,69),(1137,69),(1136,69),(1135,69),(1140,70),(1139,70),(1185,51),(1184,51),(1182,51),(1180,51),(1191,54),(1156,71),(1143,71),(1144,71),(1141,71),(1198,71),(1151,71),(1195,71),(1150,71),(1180,73),(1179,73),(1182,73),(1186,73),(1176,73),(1183,73),(1185,73),(1181,73),(1130,74),(1130,75),(1131,74),(1131,77);
/*!40000 ALTER TABLE `product_tags` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `product_tags_AINS` AFTER INSERT ON `product_tags` FOR EACH ROW UPDATE tags SET product_counts = (select count(product_id) from product_tags WHERE tag_id = tags.id) WHERE tags.id = NEW.tag_id */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `product_tags_ADEL` AFTER DELETE ON `product_tags` FOR EACH ROW UPDATE tags SET product_counts = (select count(product_id) from product_tags WHERE tag_id = tags.id) WHERE tags.id = OLD.tag_id */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `product_upsales`
--

DROP TABLE IF EXISTS `product_upsales`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `product_upsales` (
  `product_id` bigint unsigned NOT NULL,
  `upsale_product_id` int NOT NULL,
  KEY `product_upsales_product_id_idx` (`product_id`),
  KEY `product_upsales_upsale_product_id_foreign_idx` (`upsale_product_id`),
  CONSTRAINT `product_upsales` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `product_upsales`
--

LOCK TABLES `product_upsales` WRITE;
/*!40000 ALTER TABLE `product_upsales` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_upsales` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `products`
--

DROP TABLE IF EXISTS `products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `products` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `sku` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `parent_id` bigint unsigned DEFAULT NULL,
  `slug` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `summary` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `vendor_id` bigint DEFAULT NULL,
  `shop_id` bigint DEFAULT NULL,
  `brand_id` int unsigned DEFAULT NULL,
  `status` varchar(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Draft',
  `total_wish` int NOT NULL DEFAULT '0',
  `total_sales` int NOT NULL DEFAULT '0',
  `regular_price` decimal(16,8) DEFAULT NULL,
  `sale_price` decimal(16,8) DEFAULT NULL,
  `sale_from` timestamp NULL DEFAULT NULL,
  `sale_to` timestamp NULL DEFAULT NULL,
  `available_from` timestamp NULL DEFAULT NULL,
  `available_to` timestamp NULL DEFAULT NULL,
  `featured` timestamp NULL DEFAULT NULL,
  `manage_stocks` tinyint NOT NULL DEFAULT '0',
  `total_stocks` int NOT NULL DEFAULT '0',
  `review_count` smallint unsigned DEFAULT '0',
  `review_average` decimal(6,2) DEFAULT NULL,
  `total_views` int NOT NULL DEFAULT '0',
  `type` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Simple',
  `menu_order` smallint unsigned DEFAULT '0',
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `products_code_index` (`code`),
  KEY `products_parent_id_foreign_idx` (`parent_id`),
  KEY `products_slug_to_index` (`slug`),
  KEY `products_name_index` (`name`),
  KEY `products_vendor_id_foreign_idx` (`vendor_id`),
  KEY `products_shop_id_foreign_idx` (`shop_id`),
  KEY `products_brand_id_foreign_idx` (`brand_id`),
  KEY `products_status_index` (`status`),
  KEY `products_regular_price_index` (`regular_price`),
  KEY `products_sale_price_index` (`sale_price`),
  KEY `products_sale_from_index` (`sale_from`),
  KEY `products_sale_to_index` (`sale_to`),
  KEY `products_availability_from_index` (`available_from`),
  KEY `products_availability_to_index` (`available_to`),
  KEY `product_featured_index` (`featured`),
  CONSTRAINT `products_brand_id_foreign` FOREIGN KEY (`brand_id`) REFERENCES `brands` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `products_parent_id_foreign` FOREIGN KEY (`parent_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `products_shop_id_foreign` FOREIGN KEY (`shop_id`) REFERENCES `shops` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `products_vendor_id_foreign` FOREIGN KEY (`vendor_id`) REFERENCES `vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=1330 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `products`
--

LOCK TABLES `products` WRITE;
/*!40000 ALTER TABLE `products` DISABLE KEYS */;
INSERT INTO `products` VALUES (1130,'CJ1BwjZ9ICQf3pw','MV-GP-0075',NULL,'furniture-combo','Furniture combo','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh5.googleusercontent.com/hPK45qREc0zPIJt3_nuq1HzcuO-QlZielPjXcD6p9QKJ0e6qDiuvQAait63Pq8Rl0zWlLLg-u1uq2vEtxWzGWcetpSGW5Kv5PtVVSoN8176DcGeLKLqDonlS7rDzDu2sZcpYxMiPBtqftYA_FLNsCX-5Gi4lJTTGhT_RPd2lLhXWtyyxTa1f45OZNF2Hww\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-ccba8d72-7fff-e11e-1171-8c4e2f8516d8\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh6.googleusercontent.com/Es7EP-OroFZfM8hxoOG1Y1N7Frnk88bzEOkwyEndct3D4NATZk7UOOV5bLG9Zi5a9M5FWXTBzRxON0yVMLrDDZAZNOVyZTWd9ndiS7PE6gF8-xWUsox8o809PG9KibUBf3mfvhSuLfeAYjQKMppMUwcjxP3PBmqjqxkJyeAwoVt9oMGS20IONXZoIVC1YQ\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br></p>','Cras ultricies ligula sed magna dictum porta. Curabitur aliquet quam id dui posuere blandit. Lorem ipsum dolor sit amet, consectetur adipiscing elit.',19,NULL,NULL,'Published',0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,2,2.00,6,'Grouped Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1131,'T65bvGmZD3edFic','MV-GP-000051',NULL,'womens-clothing-combo','Women\'s Clothing Combo','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:595px;\"><img src=\"https://lh5.googleusercontent.com/o9EfgSbp3EWcS9lJxaz56WFtcbytd_cqAavtFT-ug05otqVPDY244ompgA7qSF99BPa65jCiI520Tqdif7TtdRVWkKV-_cx-OGV04DJs47CVKelh1mkowKNcZqxlxymndqLTM9owfS3RNe1G5GB4CSrq4jNx7TUzonCq_Nxxl4TZmqX9idBSYrXDfVvuMg\" width=\"864\" height=\"595\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-6d7a6d03-7fff-b931-e22c-5543f228b9ef\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:664px;\"><img src=\"https://lh5.googleusercontent.com/AiCdfP207C3y5JGTDarZwUndUwPS4ZBycH7TWklp9huuBzcF8xoDecvwD_F26Fa78xHFTpHdOoE-wflWqHYCmBzGgvgVGuJkrDgyhp-u86GqyzgEciflAJFoYToJYDYE8VGKND2-sa5yINHlz_M2IA2E5fzTK4_z6wsm63lElMhd9JGw_2gbYrZKtQv1sQ\" width=\"864\" height=\"664\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh5.googleusercontent.com/ZyVpqdIw6V1CWLXQ1q-H22QKdrrSY1xseUh6JTjG-vwdTHEtIqRQGrK70u_LU84ZBfEVlGnQxSQ_rV2eLq3ViDMloI1qmuFE6heS8gVqGI1s9OrrHxnbEoVhRIAjdkKHw46paxfBqtx1sYFJfIjpA9NIiD3GWUZ7BwJ1PYhYGHrBQXrFJuGSmJh7LIN8_Q\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br></p>','Pellentesque in ipsum id orci porta dapibus. Donec rutrum congue leo eget malesuada. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.',19,NULL,NULL,'Published',0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,3,2.67,4,'Grouped Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1132,'GyxToUu1X4cfam5','MV-GP-10051',NULL,'mens-fashion-combo','Men\'s 3 Picece Combo Pack','<p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-e7a24d5e-7fff-facd-467a-6a31ecbe3103\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:331px;\"><img src=\"https://lh4.googleusercontent.com/d17Rxp1gpfT5aVhVuL6Ii7hKyTT1yzc-tQM5VYJJT2RtCP6vmmAuO9Lvz8ouayyfGF_LzPB9osIXiip-5WTGAqS8WJyy3o258mvYBUEUad58I8HQIxDo5USmqIHBNwpqwz3rXEtSBljV24omM9t1PvpoqZImFeixhHDeeaqRI3MsCI620eMgOYPKpA7uFQ\" width=\"864\" height=\"331\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:576px;\"><img src=\"https://lh3.googleusercontent.com/Cpsj9-_WQXVlWHYKOoRbK55CiE9nRiG9v6aly1LVa9BDeP9uqdrUgvGfZFlGhBpbN449It6dQULpMoaApp2J6Mvzxp40cmO03-evdgrll_DAcweeHkPc-w5rspi38FUKnt7-zHc-PCug-Ij-2DOgY8nqrBjYMCrlOshhoDSROW8YLUTXv4A846TRDiFtUA\" width=\"864\" height=\"576\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','Pellentesque in ipsum id orci porta dapibus. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a. Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui. Vivamus magna j',19,NULL,NULL,'Published',0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,5,3.40,2,'Grouped Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1133,'r1zDtscD79OCWpn','MV-GP-000547',NULL,'exclusive-combo-package','Exclusive Combo Package','<p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-141e4eab-7fff-c599-62fa-ff6d1f2dd941\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh4.googleusercontent.com/dS1ojclxuxxfVFsT6RUXKHrm9qvPoXKgYdh8KkWra5h1o28QRmXTNsrFp2L_Hmka0Y6CDBc09-3LG9-wzri8rd6OJbdnfVGiiXg2L9YeWsdiqZyccYr5-Leq7jLKksgIcBbhjPtlWfLRtXV786Ht7EQkZmXL6kowJkDaycH1O2oN1Ai-_auxH27yMpshtQ\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:371px;\"><img src=\"https://lh5.googleusercontent.com/IFqXLU-DP2SM9DsWFd0XXwT9jrCEFp842_CkkNAMABvT-FQ4Ldd_CalbVmbHBo2lP-hktTN1PS-ID9zokEPip5Brg2F94NwbrAbUvjDYCTF4TjJEEgfIXzg9UWKXz7GhAbWUg6JkoOtaE1ksJBN4_9LJuyM1AxWF1DTv9VJDNLJswMZUj14fJe9tsb2nsw\" width=\"864\" height=\"371\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Curabitur aliquet quam id dui posuere blandit.',1,NULL,NULL,'Published',0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,4,2.50,2,'Grouped Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1134,'MptXg5QzjkB2X2r','MV-GP-10051',NULL,'exclusive-womens-combo-package','Exclusive Women\'s Combo Package','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh4.googleusercontent.com/s8WGDUInGHubGzq7GT258wP1B4APFGLGZELDP5PGccKInrHphgZnx_Ddn10kKZ49VTvQQMo-_EY3bCupWMnkqZVsp5swm354x8y2JiM2_SRjE8N47hq5WJuqL26-WcoK_wX2Rv0417DjHmxs04y1XwYtCnPM9i0UySoZ0TT3o0y_g8Bqw9imm9nkK8uG2w\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-e3274084-7fff-893f-2a8e-11725c54b031\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh6.googleusercontent.com/YrPvx_f9yw3hwtA9x69JVT4O47IDFOkE17PQEUv04EyqwCzPsTYBAY6KclgvpSLEl4XFkwcyXKJw0pjudoM0JIuHIbdROOlX4xkMCUsBLXFASsY8x_aBmv6BF2ykoW6ThWulwYv-x_vD6arCOSrAv3IxhESLXk-UVpa4mXdt1d4LSGEsH3prpBavCBZ3EQ\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','Proin eget tortor risus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. D',19,NULL,NULL,'Published',0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,1,1.00,1,'Grouped Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1135,'XT9SMzIB9IIuj9u','MV01D40',NULL,'video-promo---how-to-promote-your-business-2-min','Video Promo - How To Promote Your Business (2 min)','<p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-4cad9e22-7fff-f24b-184b-f2bf8b03edc6\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh5.googleusercontent.com/qLv2AT-35zsafLAaQ11H9zlPBkCP3NBSvUklM33uBCzEbuXCpUi4_hJDxFp0CrkM8VkPHjjAX7DlMIqpcnrZ1d7c3vNX6dZbCrriBcI9mdVHCld9Kol0jjPia7pHosNXVxFDMzaQLZxbtCfXz5Xa7OiusKMQAHk-XAy2qugOsgJ8sir3wL-mgiD4T2jvVw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:371px;\"><img src=\"https://lh3.googleusercontent.com/d_myyj0DEARNHWk5dOGJ7BtBtFQJzmZGqwUmv70QZkTwxhMDqfOpMc90KpDK-ch8wzY9tCS04Wh4TwW6-O3eisjGnC34FvHU3-Efkbx_CeQkeVs09FSnV2iYA7s3Ou7BC7uqHFof5Y6FBjrnD3gOZ0OFzxJ41ZXRlrCdoNOH-BMXaUN3NZf-6kjXTvBnkg\" width=\"864\" height=\"371\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',NULL,NULL,NULL,'Published',0,0,7.00000000,NULL,NULL,NULL,NULL,NULL,NULL,0,0,2,2.50,2,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1136,'cC0A2gIYPB1JQfD','MV01D39',NULL,'illustration-set---office-break-fun','Illustration Set - Office Break Fun','<p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-888c2f2d-7fff-715f-da75-9cd542e88149\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:331px;\"><img src=\"https://lh5.googleusercontent.com/Cc0HSgOkVu6GnEcvavfJMvN42FzL65aWoaHk4DrVLXQedi3oDIY-mtMDv_a7R8VTVhxOpzTASk0bn6Mes-Vlzy7Lz5epVMRiyKLHqMj1V-gjp7by3Xq1BP5H-dC6kMs22XcUKiS-NZBkAlxUin_iwZEMi-YRLOaLMOX2MZEnptm7OFA_vQ-k_rDJhOlrFQ\" width=\"864\" height=\"331\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:576px;\"><img src=\"https://lh3.googleusercontent.com/eMxSbTIStl4G6ggXeMTJ_0ydrn9R4v2f3koqoQJWwRJvivG6Y1IQLFuxaMFHFu3L72HeHMZajy08DwkfLPKB1GBRj7y8ecKI39qNme1ECfKDwucoJ2Md9Xoc9Qg0bxld5A4EFydY66uyll82xxtpM86nXqLiCinXgYaan3grgqHm6f2d3pXTtvEU7Ui1Fw\" width=\"864\" height=\"576\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',NULL,NULL,NULL,'Published',0,0,25.00000000,NULL,NULL,NULL,NULL,NULL,NULL,0,0,1,2.00,1,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1137,'tvddvNiB5pAmHG2','MV01D38',NULL,'branding-psd-mockups-for-your-business','Branding PSD Mockups For Your Business','<p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh4.googleusercontent.com/z9SO0-JHR0BnpcIB8jpEUtkOYykluUVU5HdftELws1GqsIUr3Nix8sUC_177Fe2KoEHbMnmpwx8R1AazsHNq926TnHDJDIa8_bSwt1UpBGiXQNz-cIM-gISECJet4imHkaCoA2N3MeI17vBpeLjD9B4f6ygkA3_WdKc-bVPoDI8K2t5mukyoBLFurwjUDQ\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-9cbfa7f1-7fff-05c0-ffc5-e73597500419\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh3.googleusercontent.com/GhbKq276kcdOIUnnLZU59yhQOSyJhV3HHqvMVNiOyZ2_wBaO_FFAjnaHBU3DEUnwNxeoZ86yHS4POaw1eoXbq7csNPdpqmse6eLnj3GHemLQ19soO6xajCwkIgNMJvKwXw-wz9CSiNPiAzD3LzLWhBV-QcpEcIsY_Nyfu05HB7Gam0bsnefIhTNHEHyCHA\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',2,NULL,NULL,'Published',0,10,50.00000000,NULL,NULL,NULL,NULL,NULL,NULL,0,0,2,1.00,3,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:30',NULL),(1138,'3LZRjAxqCfzz1hH','MV01D37',NULL,'vrent---vacation-rental-marketplace','vRent - Vacation Rental Marketplace','<span id=\"docs-internal-guid-c4f0cf0c-7fff-b088-8e78-4ecd5413afda\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Support/Help are provided by Support Ticket. Please send us e-mail to </span><span style=\"font-size: 12pt; font-family: Arial; color: rgb(0, 132, 180); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">support@techvill.org</span><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\"> or </span><a href=\"http://support.techvill.org/\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(0, 132, 180); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">click to Create Ticket.</span></a></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">What is vRent?</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">vRent is an online vacation rental booking website designed particularly for holiday rentals all over the world. vRent is exclusively designed to satisfy the needs of the landlords who want to seriously make money by listing vacation rentals from all around the globe. vRent allows you to create your own vacation rental platform to help guests to find space for a cost.</span></p><br><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Demo Site info:</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Admin Login:</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">URL:&nbsp; </span><a href=\"https://vrent.techvill.org/admin\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(0, 132, 180); background-color: transparent; font-weight: 400; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">https://vrent.techvill.org/admin</span></a></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">username&nbsp; : </span><span style=\"font-size: 12pt; font-family: Arial; color: rgb(0, 132, 180); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">admin@techvill.net</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">password &nbsp; : 123456</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Host Login:</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">URL: </span><a href=\"https://vrent.techvill.org/\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(0, 132, 180); background-color: transparent; font-weight: 400; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">https://vrent.techvill.org</span></a></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">username &nbsp; : </span><span style=\"font-size: 12pt; font-family: Arial; color: rgb(0, 132, 180); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">test@techvill.net</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">passwrod&nbsp; &nbsp; : 123456</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Guest Login:</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">URL: </span><a href=\"https://vrent.techvill.org/\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(0, 132, 180); background-color: transparent; font-weight: 400; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">https://vrent.techvill.org</span></a></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">username &nbsp; : </span><span style=\"font-size: 12pt; font-family: Arial; color: rgb(0, 132, 180); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">customer@techvill.net</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">passwrod&nbsp; &nbsp; : 123456</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">&nbsp;</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">&nbsp;</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">&nbsp;</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:615px;height:660px;\"><img alt=\"\\\\\" src=\"https://lh6.googleusercontent.com/lfNmr1SIJnbDuAc0-SfCnj46s-pCV9DthjIZyrtcxahTliIDwi0EqO9FNuTfFXAemj9ncu4yqqCtNNqQdQhDSs2CtNq8OCtuefJ-AzFlmpeVyL8k9byz_jYzXE4qWH6ytqMd6WN8h2XLEoO0YiKYyl5XHFeBmYlvUO6gknuJ5lHnJWeCY-R0oSQhdelJDQ\" width=\"615\" height=\"660\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:615px;height:548px;\"><img alt=\"\\\\\" src=\"https://lh6.googleusercontent.com/eARqh0qhRueHukyhzi9qqEyUmUvcaHjBh4TUOf4rGVlta1XCLp9S1gXV8dd3ua2w3WlTN7i_nd_O5qHcNKNfRggOYD-ubTSNrVPmgciWuRPQVlwLPh9nVb_8jvLo39aK51u9_-w3hjlc4UeJRNbsM9pQLqmQEMCut5EyRXeDAnNbYlkKoQYjt5mUNTH9Yw\" width=\"615\" height=\"548\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:615px;height:432px;\"><img alt=\"\\\\\" src=\"https://lh3.googleusercontent.com/5FhDqPYx8I9U7bNSRqTLNZNvKk7F6jz5sOZr00BZmlKRIkUcfqg8iguTTwfB7cDfUs-swhXKUkqH0Sa8uBYGlatnz9m4R31d0D-k7h8Vl_auMHbAT0iECnPYr9RHvDcTWCPwb5PktXAr-H1BPaKP6R0orjoDymdo40DviWTqGd-Byu5MADl4MABSH8C85A\" width=\"615\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:615px;height:437px;\"><img alt=\"\\\\\" src=\"https://lh5.googleusercontent.com/tZvF1uuG-7ZaKyXN2UzMBCZzKjx2bdK3URFQHxD_PW-Zg8MvTvlhJSrnclblZeJNxZytW4fzlzQEvwx8IyhSUVsLDYj_8eAYk3iH3Dm2ODB1FDnV2p0MjSLJTy77W1IShkerUxgazA_2FRTaS_pz3rZ-MGZIB-hO93MjtR-ifD-ppSGIj2rNOhnIwYKk6w\" width=\"615\" height=\"437\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:615px;height:437px;\"><img alt=\"\\\\\" src=\"https://lh4.googleusercontent.com/wjsbxA4-V-2uuzihlJu9YCtk_NrzAJvKZcjxyqg2EdIb3SN2JhduEcIlq0Xr8_bOY5RzZWAoBfPKRQNywzhuZEqALSeAUbsnUW7YU473PV0ZRMJPxmNNAj3LW3Bhn-MyhyRROkS_W3Hm9UYdMoi61Cts3Ha7gyHUrIyrSkKNSvViHX6JwMrSncvfV6QO_g\" width=\"615\" height=\"437\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:615px;height:432px;\"><img alt=\"\\\\\" src=\"https://lh6.googleusercontent.com/gSwWzjahi7B-XfVXc1Qn8rXnknsr3IlJxiKYDcK-Eamy0aBNCG1VVChAHbiSI1cCWrxZ4_Ish4Yr-KWmlMaXWCmQNyD5xDRoVfK6IKLsxy-_ZKtgp5Sclh-_GU7VBNMRU9dVpjnLwR3VgMoqAv2do-Rn5nyUxI5QhDhfuhe6yPViwCDuErGhztiGDGMU2A\" width=\"615\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">&nbsp;</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Unlimited Property Listings</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">The property listings are not limited to specific numbers, where you can add hundreds of thousands of listings on your site as well as you can Add, Edit and manage your listing easily.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Flexible Usages</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Now, anyone can use vRent, because you don’t have to gather extra knowledge of installation &amp; to manage your website.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Payment Module</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Now Guest can pay using their paypal and credit card.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Google Map Integration</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">We made Google maps integration easy and hassle free and are 100% customizable.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Search by City and Country</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Now search easier &amp; get filtered results with search by City, State &amp; Country filters.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Calendar Module</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">vRent comes with advanced calendar module to set price for each date.Host &amp; admin can use the calendar by blocking the unavailable dates.Host also can set the minimum &amp; maximum dates by selecting Start date &amp; End date.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Social Signin</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Social Signin is the secure and easy way for people to log into an account. Also signing in using your Facebook or Google+ account saves time from filling all the details during signup.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Host Service Fee</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">It is nothing but the owner will get certain % of commission, once a booking is completed on the website</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Advanced Search/Filter option</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Guest can easily search the property through search/filter option. Filter option is enable to search the exact result. When you will select the check-in &amp; check-out, dates,location &amp; price range you will get the result if that time property is available.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Expandable &amp; Translation</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">vRent can translate user articles in different language. Its constantly improved its features &amp; we are going to add more and more user friendly features.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Booking by Payment</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">In vRent users have to book property by payment. User choose their desireable check-in &amp; check-out date, fill up other detail info &amp; send payment. By these way user can payment for booking.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Property Details</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Each user can see the property details info from host listing property. From property, user will be able to book each available property.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Message communication System Between Guest &amp; Host</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Guest &amp; Host can easily communicate with our message communication system by sharing their any opinion about the property.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Property Request</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Host can set the property booking as Instant booking &amp; Guest review each request.In Instant booking guest can booked instantly but in review, guest have to wait for a while to accepting the request from host.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Verification Option</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">vRent user can now verify their account with different social account like Facebook &amp; Google plus.They also can verified their E-mail address too.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Review &amp; Rating</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Reviews section show the reviews done by the user themselves on other properties and reviews given to them by other users.Guest can review and rating the Host after their stay.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Pricing Option</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">In vRent, you can done pricing in various ways. Here, Nightly pricing is for all listing. The guest who will stay long time they will get benefits as Weekly Discount percent &amp; Monthly Discount percent.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Additional Pricing</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Host also can give additional price in their listings as Weekend price, Cleaning fee, Additional guest fee &amp; Security deposit.</span></p><br><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">-In weekend pricing, host can give price to their listing on weekends</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">-Additional guest price might be applied when host need,after how many guest he want additional price.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Static Pages &amp; Metas</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">You can make static web pages content from Admin panel by your own requirements.Meta tags summarized the idea of what your site is about and what exactly the site keywords are.Meta tags are the words that are hidden in your code. People browsing your site will just not be able to see them.It brings higest site ranking quickly.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Site Settings</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">As a site owner you can set everything according to your convenience from settings option.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Sub Admin Management &amp; Privileges</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Not only a single admin, but also you can add sub admin for your site. That time you can set Role &amp; Permission for those admin from Role permission option.As a site owener you can set everything according to your convenience from settings option</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">iCalendar Integration</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">vRent supports iCalendar. iCal is a file format that allows users to create and share electronic calendars. iCal helps you keeping your calendars automatically up to date. Once you link your calendars via iCal all new reservations or blocked dates will be instantly closed out on all connected calendars. You can Import, Export &amp; Syn with other calendars.</span></p><br><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Importing enables you to have a single-calendar view of all your reservations, seasonal events, holidays and more. This will help you prevent a double booking.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Email Templates</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">We have dynamic Email templates which supports multi-language. You can change the template contents according to your needs. You can send e-mail via two protocols- SMTP &amp; Send mail, where send mail is default.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Property share option into social media</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Now, you can share your property into different social media like Facebook, Twitter &amp; Linkedin which will increase your property booking popularity. Below each property has share option to share property.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Reports</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">There are three types of Reports-</span></p><ul style=\"margin-bottom: 0px; padding-inline-start: 48px;\"><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 12pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Overview &amp; states</span></p></li><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 12pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Sales Report</span></p></li><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:30pt;\" role=\"presentation\"><span style=\"font-size: 12pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Sale Analysis</span></p></li></ul><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Overview &amp; states: On this report you can see the total number of reservation from all customers region. Also can see the percentage(%) of per countries total reservation.</span></p><br><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Sales Report: The total vRent sales overview is here. Past 12 months total Sales Income, Reserved/booked property &amp; Reserved nights can see by this sales report.</span></p><br><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Sales Analysis: Monthly Average sales and Reservation Rates for all properties are in this report chart.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Recommended Home</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">vRent admin can set particular property as recommended home, Recommended property randomly feature on Home page .</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Testimonial</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">vRent admin can add Testimonial, Testimonial shown on Homepage .</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Wallet System</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">vRent Host’s Balance added to wallet when guest book property, One can withdraw balance from Wallet</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Minimum Stay</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Host can set minimum stay for his property on specific date. For example host set his property with minimum stay 3 nights on specific date, if a guest requests reservation that particular date, they’ll be required to stay 3 nights, not just 1 night.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">I.V.A tax &amp; Accommodation tax</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Admin will get certain % of commission as IVA tax and Accommodation tax if admin set these option from admin fees settings, once a booking is completed on the website.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">SEO url</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">vRent properties url is SEO friendly. Instead of id, property url now contain with property name, increase the visibility of a listing on search engine.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Social Logins</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Admin can enable or disable social logins from admin panel social logins option. It is possible to enable or disable facebook and google logins separately.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Image Cropping</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Listing hosts/admin can crop the property photos while uploading from the user dashboard or admin panel. They can also skip the cropping if they want.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Bank Payment</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Admin can now also add their bank account details for users to pay and then admin can confirm the payment after admin receives the payment in the bank account.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Favorite Listings</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Guest users can mark any property as their favorite listing and can easily access them from the dashboard </span><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Favorites</span><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\"> page.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Min/Max Search Price</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Admin can specify a Min/Max searching price range for users.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Inbox Unread Message Count</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Users can see the number of unread message in a badge beside </span><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Inbox</span><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\"> menu item.</span></p><h2 dir=\"ltr\" style=\"line-height:1.7999999999999998;border-bottom:solid #d4d4d4 0.75pt;margin-top:23pt;margin-bottom:15pt;padding:0pt 0pt 7.5pt 0pt;\"><span style=\"font-size: 15pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Update ChangeLog</span></h2><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:15pt;\"><span style=\"font-size: 12pt; font-family: Arial; color: rgb(84, 84, 84); background-color: transparent; font-weight: 700; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">vRent v-3.5 November 21, 2022</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 8.5pt; font-family: &quot;Courier New&quot;; color: rgb(51, 51, 51); background-color: rgb(245, 245, 245); font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Improvement: Dynamic management of Amenities.</span></p><br><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 8.5pt; font-family: &quot;Courier New&quot;; color: rgb(51, 51, 51); background-color: rgb(245, 245, 245); font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Bug Fixing: Social shareable link should contain slug instead of id fixed.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 8.5pt; font-family: &quot;Courier New&quot;; color: rgb(51, 51, 51); background-color: rgb(245, 245, 245); font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Bug Fixing: Static page content gets stripped while updating and shows plain text fixed.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 8.5pt; font-family: &quot;Courier New&quot;; color: rgb(51, 51, 51); background-color: rgb(245, 245, 245); font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Bug Fixing: “View more” and “View less” in the description of the single property view&nbsp;</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 8.5pt; font-family: &quot;Courier New&quot;; color: rgb(51, 51, 51); background-color: rgb(245, 245, 245); font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">were not working on mobile devices fixed.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 8.5pt; font-family: &quot;Courier New&quot;; color: rgb(51, 51, 51); background-color: rgb(245, 245, 245); font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Bug Fixing: “View all” button for the slider in the single property view was not working</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 8.5pt; font-family: &quot;Courier New&quot;; color: rgb(51, 51, 51); background-color: rgb(245, 245, 245); font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">for mobile devices fixed.&nbsp;</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 8.5pt; font-family: &quot;Courier New&quot;; color: rgb(51, 51, 51); background-color: rgb(245, 245, 245); font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Bug Fixing: Amenities view modal was not working in the single property view page for</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 8.5pt; font-family: &quot;Courier New&quot;; color: rgb(51, 51, 51); background-color: rgb(245, 245, 245); font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">mobile devices fixed.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 8.5pt; font-family: &quot;Courier New&quot;; color: rgb(51, 51, 51); background-color: rgb(245, 245, 245); font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Bug Fixing: Text bold, text italic, text links, images, and row breaks were not showing</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 8.5pt; font-family: &quot;Courier New&quot;; color: rgb(51, 51, 51); background-color: rgb(245, 245, 245); font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">perfectly in static pages fixed.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 8.5pt; font-family: &quot;Courier New&quot;; color: rgb(51, 51, 51); background-color: rgb(245, 245, 245); font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Bug Fixing: Search was not working for username in Customers and Payouts list in admin</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 8.5pt; font-family: &quot;Courier New&quot;; color: rgb(51, 51, 51); background-color: rgb(245, 245, 245); font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">panel fixed.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 8.5pt; font-family: &quot;Courier New&quot;; color: rgb(51, 51, 51); background-color: rgb(245, 245, 245); font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Bug Fixing: Search field was not working in the “Properties” list of the admin panel fixed.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 8.5pt; font-family: &quot;Courier New&quot;; color: rgb(51, 51, 51); background-color: rgb(245, 245, 245); font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Bug Fixing: In the mail, the App logo was not showing fixed.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 8.5pt; font-family: &quot;Courier New&quot;; color: rgb(51, 51, 51); background-color: rgb(245, 245, 245); font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Bug Fixing: Email settings for Driver Sendmails from Address, should be admins email fixed.</span></p><br></span>','',NULL,NULL,NULL,'Published',0,0,69.00000000,NULL,NULL,NULL,NULL,NULL,NULL,0,0,2,2.00,6,'External/Affiliate Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1139,'wYwFIw3w7oI7xsV','MV01D36',NULL,'cryptinvest---wallet-growth-investment-addon','CryptInvest - Wallet Growth Investment Addon','<div data-view=\"toggleItemDescription\" style=\"color: rgb(84, 84, 84); font-family: &quot;Helvetica Neue&quot;, Helvetica, Arial, sans-serif; font-size: 16px;\"><div class=\"js-item-togglable-content has-toggle\" style=\"max-height: none; overflow: visible; position: relative; margin-bottom: 20px;\"><div class=\"js-item-description item-description\" style=\"padding: 15px 0px 20px;\"><div class=\"user-html user-html__with-lazy-load\" style=\"-webkit-font-smoothing: antialiased; line-height: 1.5; overflow: visible;\"><h2 id=\"item-description__-this-is-a-addon-for-paymoney-secure-online-payment-gateway\" style=\"margin: 30px 0px 20px; padding: 0px 0px 10px; color: rgb(84, 84, 84); font-weight: inherit; font-size: 20px; line-height: 30px; border-bottom: 1px solid rgb(212, 212, 212);\"><strong style=\"font-weight: bold;\">This is a Addon for&nbsp;<a href=\"https://codecanyon.net/item/paymoney-secure-online-payment-gateway/22341650\" style=\"color: rgb(0, 132, 180);\">PayMoney – Secure Online Payment Gateway</a></strong></h2><h2 id=\"item-description__-overview-of-investment-addon\" style=\"margin: 30px 0px 20px; padding: 0px 0px 10px; color: rgb(84, 84, 84); font-weight: inherit; font-size: 20px; line-height: 30px; border-bottom: 1px solid rgb(212, 212, 212);\"><strong style=\"font-weight: bold;\">Overview of Investment Addon</strong></h2><p style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; padding: 0px;\"></p><ul style=\"list-style-position: initial; list-style-image: initial; margin-right: 0px; margin-bottom: 20px; margin-left: 0px; padding: 0px 0px 0px 35px;\"><li>PayMoney – CryptInvest Addon is a platform where users can invest and make money from the investment after a certain period of time</li><li>Admin can create different plans for a fixed duration of time with multiple currencies including fiat and cryptos</li><li>Users can invest via wallet as well as different payment gateways</li><li>When the investment has matured, the administrator can approve the profit, allowing the amount and profit to be transferred to the user’s wallet.</li></ul><p style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; padding: 0px;\"><a href=\"http://support.techvill.org/\" rel=\"nofollow\" style=\"color: rgb(0, 132, 180);\"><img src=\"https://camo.envatousercontent.com/19661eb5e671feb930e6c8e7271819ac9b82400f/687474703a2f2f7465636876696c6c2e6f72672f636f646563616e796f6e2d696d672f7061796d6f6e65792f7469636b65742e706e67\" alt=\"\\\\\" style=\"max-width: 100%;\"></a></p><p style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; padding: 0px;\">We are open to any help/support through our support system.<br>Please send us an e-mail to&nbsp;<strong style=\"font-weight: bold;\"><a href=\"mailto:support@techvill.org\" style=\"color: rgb(0, 132, 180);\">support@techvill.org</a></strong>&nbsp;or&nbsp;<strong style=\"font-weight: bold;\"><a href=\"http://support.techvill.org/\" rel=\"nofollow\" style=\"color: rgb(0, 132, 180);\">click here to create a ticket</a></strong></p><img src=\"https://camo.envatousercontent.com/079ff5a2703747544aa57827e7970f4bfcaee5d7/687474703a2f2f7465636876696c6c2e6f72672f636f646563616e796f6e2d696d672f696e766573746d656e742d6164646f6e2f30312d62616e6e65722e706e67\" alt=\"CryptInvest - Wallet Growth Investment Addon - 1\" style=\"max-width: 100%;\">&nbsp;<img src=\"https://camo.envatousercontent.com/263fc0bb90f522bc78e20e17865b7173428046a5/687474703a2f2f7465636876696c6c2e6f72672f636f646563616e796f6e2d696d672f696e766573746d656e742d6164646f6e2f30322d62616e6e65722e706e67\" alt=\"CryptInvest - Wallet Growth Investment Addon - 2\" style=\"max-width: 100%;\">&nbsp;<img src=\"https://camo.envatousercontent.com/9fccd68c76756fa8b0373ce61f66f813c8a5270d/687474703a2f2f7465636876696c6c2e6f72672f636f646563616e796f6e2d696d672f696e766573746d656e742d6164646f6e2f30332d62616e6e65722e706e67\" alt=\"CryptInvest - Wallet Growth Investment Addon - 3\" style=\"max-width: 100%;\">&nbsp;<img src=\"https://camo.envatousercontent.com/91af2c5cf561bdae1648a23c8c38c8c08b1396a9/687474703a2f2f7465636876696c6c2e6f72672f636f646563616e796f6e2d696d672f696e766573746d656e742d6164646f6e2f30342d62616e6e65722e706e67\" alt=\"CryptInvest - Wallet Growth Investment Addon - 4\" style=\"max-width: 100%;\">&nbsp;<img src=\"https://camo.envatousercontent.com/24220c6028ebff5b0964eeb6c05560bcf960fbd6/687474703a2f2f7465636876696c6c2e6f72672f636f646563616e796f6e2d696d672f696e766573746d656e742d6164646f6e2f30352d62616e6e65722e706e67\" alt=\"CryptInvest - Wallet Growth Investment Addon - 5\" style=\"max-width: 100%;\">&nbsp;<img src=\"https://camo.envatousercontent.com/6a74e7779a3b0d683802bce8af6a756b0a722d8f/687474703a2f2f7465636876696c6c2e6f72672f636f646563616e796f6e2d696d672f696e766573746d656e742d6164646f6e2f30362d62616e6e65722e706e67\" alt=\"CryptInvest - Wallet Growth Investment Addon - 6\" style=\"max-width: 100%;\">&nbsp;<img src=\"https://camo.envatousercontent.com/b1b562fa55e5c765d7bfffe2c1f1ced6fc87b72b/687474703a2f2f7465636876696c6c2e6f72672f636f646563616e796f6e2d696d672f696e766573746d656e742d6164646f6e2f30372d62616e6e65722e706e67\" alt=\"CryptInvest - Wallet Growth Investment Addon - 7\" style=\"max-width: 100%;\">&nbsp;<img src=\"https://camo.envatousercontent.com/c34b3762cb3163d87d3d7c5384766c8c5dab3cb6/687474703a2f2f7465636876696c6c2e6f72672f636f646563616e796f6e2d696d672f696e766573746d656e742d6164646f6e2f30382d62616e6e65722e706e67\" alt=\"CryptInvest - Wallet Growth Investment Addon - 8\" style=\"max-width: 100%;\">&nbsp;<img src=\"https://camo.envatousercontent.com/bddd61b64c69eef5d2378405e197a74c05ce72eb/687474703a2f2f7465636876696c6c2e6f72672f636f646563616e796f6e2d696d672f696e766573746d656e742d6164646f6e2f30392d62616e6e65722e706e67\" alt=\"CryptInvest - Wallet Growth Investment Addon - 9\" style=\"max-width: 100%;\"><br><p style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; padding: 0px;\"><strong style=\"font-weight: bold;\">Demo Site info:</strong></p><p style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; padding: 0px;\"><strong style=\"font-weight: bold;\">Admin Login:</strong><br>URL:&nbsp;&nbsp;<a href=\"https://paymoney.techvill.org/modern/admin\" rel=\"nofollow\" style=\"color: rgb(0, 132, 180);\">https://paymoney.techvill.org/modern/admin</a><br>username &nbsp;:&nbsp;<a href=\"mailto:admin@techvill.net\" style=\"color: rgb(0, 132, 180);\">admin@techvill.net</a><br>password &nbsp; : 123456<br></p><p style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; padding: 0px;\"><strong style=\"font-weight: bold;\">User Login:</strong><br>URL:&nbsp;&nbsp;<a href=\"https://paymoney.techvill.org/modern/login\" rel=\"nofollow\" style=\"color: rgb(0, 132, 180);\">https://paymoney.techvill.org/modern/login</a><br>username &nbsp; :&nbsp;<a href=\"mailto:kyla@gmail.com\" style=\"color: rgb(0, 132, 180);\">kyla@gmail.com</a><br>passwrod &nbsp; &nbsp;: 123456<br></p><p style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; padding: 0px;\"><strong style=\"font-weight: bold;\">Merchant Login:</strong><br>URL:&nbsp;&nbsp;<a href=\"https://paymoney.techvill.org/modern/login\" rel=\"nofollow\" style=\"color: rgb(0, 132, 180);\">https://paymoney.techvill.org/modern/login</a><br>username &nbsp; :&nbsp;<a href=\"mailto:irish@gmail.com\" style=\"color: rgb(0, 132, 180);\">irish@gmail.com</a><br>passwrod &nbsp; &nbsp;: 123456<br></p><p style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; padding: 0px;\"><strong style=\"font-weight: bold;\">Test Credentials:</strong><br><i>Stripe credentials (Deposit)</i>&nbsp;<br>Card number&nbsp; :&nbsp;4242424242424242<br>MM/YY&nbsp; &nbsp;: 12/29<br>CVC&nbsp; &nbsp;: 123<br></p><a href=\"https://docs.paymoney.techvill.net/investment-module/\" rel=\"nofollow\" style=\"color: rgb(0, 132, 180);\"><img src=\"https://camo.envatousercontent.com/d2546b5c6363f14efb4f80effaee3ad8e4edc08f/687474703a2f2f7465636876696c6c2e6f72672f636f646563616e796f6e2d696d672f7061796d6f6e65792f646f63756d656e746174696f6e2e706e67\" alt=\"\\\\\" style=\"max-width: 100%;\"></a><br><h2 id=\"item-description__update-changelog\" style=\"margin: 30px 0px 20px; padding: 0px 0px 10px; color: rgb(84, 84, 84); font-weight: inherit; font-size: 20px; line-height: 30px; border-bottom: 1px solid rgb(212, 212, 212);\">Update ChangeLog</h2><p style=\"margin-right: 0px; margin-bottom: 20px; margin-left: 0px; padding: 0px;\"><strong style=\"font-weight: bold;\">Initial Release v-1.0 October 29, 2022</strong></p><pre style=\"font-variant-numeric: normal; font-variant-east-asian: normal; font-stretch: normal; font-size: 11px; line-height: 19px; font-family: Monaco, &quot;Courier New&quot;, &quot;DejaVu Sans Mono&quot;, &quot;Bitstream Vera Sans Mono&quot;, monospace; margin-bottom: 20px; color: rgb(51, 51, 51); white-space: pre-wrap; overflow-wrap: break-word; background-color: whitesmoke; background-image: linear-gradient(rgb(245, 245, 245) 50%, rgb(230, 230, 230) 50%); background-size: 38px 38px; border: 1px solid rgb(212, 212, 212); overflow: visible hidden; padding: 0px 0px 0px 4px;\">        Initial Release\r\n</pre></div></div></div></div>','',NULL,NULL,NULL,'Published',0,0,134.00000000,100.00000000,'2024-09-05 13:17:02','2024-10-02 00:41:57',NULL,NULL,NULL,0,0,2,3.50,4,'External/Affiliate Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1140,'YqvOI9Rc1HmOlVi','MV01D35',NULL,'martvill---an-ecommerce-platform-to-sell-everything','MartVill - An ecommerce platform to sell everything','<span id=\"docs-internal-guid-f1d315f9-7fff-d2e1-fe25-cec0bca7d6bf\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:485px;\"><img src=\"https://lh4.googleusercontent.com/GA_PMKUcmt9v5vPqc468uzMGWoRbt4kcCW1iP_2dZS6Lv4SlPfrizD5WVo2-AddeZXCaIY7c0y06E6bYtqdB0Lf6Aq39xEUb-fu0PCSipRHQY2lBI5WTlaI00frmpH6ncaK0vXKTkkP8pAVcFKJfJGTP7EUi1NS6ySM5OjvF5GYZPgRMZAn1__1z3txeSA\" width=\"864\" height=\"485\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><br><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><br><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh5.googleusercontent.com/qLv2AT-35zsafLAaQ11H9zlPBkCP3NBSvUklM33uBCzEbuXCpUi4_hJDxFp0CrkM8VkPHjjAX7DlMIqpcnrZ1d7c3vNX6dZbCrriBcI9mdVHCld9Kol0jjPia7pHosNXVxFDMzaQLZxbtCfXz5Xa7OiusKMQAHk-XAy2qugOsgJ8sir3wL-mgiD4T2jvVw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><br><ul style=\"margin-bottom: 0px; padding-inline-start: 48px;\"><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 11pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 11pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 11pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 11pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 11pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><br><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><br><ul style=\"margin-bottom: 0px; padding-inline-start: 48px;\"><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 11pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 11pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 11pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 11pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 11pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><br><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\"><br></span></div></span>','',NULL,NULL,NULL,'Published',0,0,99.00000000,80.00000000,'2024-09-14 01:10:35','2024-10-07 00:22:27',NULL,NULL,'2022-11-29 07:01:19',0,0,1,2.00,10,'External/Affiliate Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1141,'erzJX5e3LFYRCdQ','MV0173',NULL,'women-solid-jacket-thick-short-hoodies-sweatshirt-kangaroo-long-sleeve-sweatshirt','Women Solid Jacket Thick Short Hoodies Sweatshirt Kangaroo Long Sleeve Sweatshirt','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-b85cae15-7fff-66ae-dab9-b3ddba4ca4ba\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh4.googleusercontent.com/F0RreXA10cp4URrY8BfYmPteH1FSmvFDRCFrFCpPDdBdwFD264XufKFiAsBfF9GlRrzTwL_9ll_j5ZONswn36E3NkSEVnNtXkUmJxW4CuUL8cVw7Bh3h-IAi-DYAN4x4-fUNVLjqxECZpSKv1NtGU_4gxI_WS8AP2DWXGS9uT_VDQ7iD2R0-4XCEyICDiQ\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh5.googleusercontent.com/LqcRweAp2efqduiChVSl90h6pXGF9fTUssoMLK8ScKmEYKVpYTaMYwggldjt2OhNUPgS6oIc_tcgqB0OvgWGefiblhFVBmiGCYtQ3IxPztEd2IRyeFvnr_3ZP1uOjj6r9y93OJxW63MXb4VfqVxPUOuIsLwpdaiseW_x6BTo31Rs7w8-1XIY-2kbBaWqWA\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br><br></p>','',19,NULL,18,'Published',1,8,NULL,NULL,'2024-09-04 17:56:58','2024-09-28 13:31:53','2024-09-06 03:02:38','2024-10-30 04:13:53','2022-11-29 03:16:47',0,34,4,1.50,7,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:30',NULL),(1142,'ghTXjNbPfW7xirp','MV0172',NULL,'women-dress-weave-sleeveless-strapless-diamonds-slim-sling-formal','Women Dress Weave Sleeveless Strapless Diamonds Slim Sling Formal','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-450c2d18-7fff-184c-b490-7ed7ef95b65d\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:648px;\"><img src=\"https://lh5.googleusercontent.com/mQw9RZdPB56e6sHoroiX16UtYAS9VH2FOgD7mo9dWI2TuvsTguMplNQZzA3B-bYkkfHCmEAb4D4NIprYz1weH0OEocgGu25mfbVLpFZMP1PpvvugRZ1lXpiS8B8w_B0aCPJqAZSdUp0iPY6r32m8Jv4hLOuiW_4lIGvwO_ss547f2R4lxkxGe0U_KuUtUQ\" width=\"864\" height=\"648\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh6.googleusercontent.com/D9UQXnNad1PlUJKsiSb-xgs1803iEIN7MQ-gtA4pR2NppeJBi7PEhRe58TkKs31QIpJOdP31yrKU7Vm82Du2jHQq8CtU5auQLbVl2fUw-DvcEkAvqDlLNcGKGUM52rCQyp4CH3NqTuoLy1UUpofsG0uaoTE_vSsLiRE5iwqf97Hzi_a7OcGjam7CMbyPgw\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br><br></p>','',19,NULL,19,'Published',1,0,79.00000000,77.00000000,'2024-09-06 05:10:10','2024-10-07 18:49:47','2024-09-18 07:12:14','2024-11-11 10:58:21',NULL,0,36,4,3.50,2,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1143,'AsFLa0n1zIvzMyf','MV0158',NULL,'women-chiffon-solid-pure-basic-soft-red-blouses-tops-summer-top-casual-loose-short-sleeve','Women Chiffon Solid Pure Basic Soft Red Blouses Tops Summer Top Casual Loose Short Sleeve','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-8b287e37-7fff-56be-b0bf-7de42d6ce1e7\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:485px;\"><img src=\"https://lh6.googleusercontent.com/diOi9O16csrtbkZlVdMfLffHVApuiwKCJdn3vXMh7j3byC36xSgZ6ZCDcnY6a-F3QaDNNCxMrCEILGTQMjpE77TEvsyr3Rfd1iIsaUT9E_Zv3PCCGCViL_hzTDeGee3-vKr5KupTyNyOrT_xJSVUDYrQVVVgLzEZ7CzGzZMoRzX7EClgrYtCB4_jNhvfdg\" width=\"864\" height=\"485\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',19,NULL,31,'Published',1,9,NULL,NULL,'2024-08-31 10:18:46','2024-09-27 05:03:39','2024-08-29 06:58:35','2024-10-14 22:38:31','2022-11-29 02:28:02',0,35,5,4.40,3,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:30',NULL),(1144,'bNkd9mBrBmNHNT8','MV0152',NULL,'woman-korean-o-neck-knitted-pullovers-thick-autumn-winter-candy-color-loose-hoodies-solid-womens-clothing','Woman Korean O-neck Knitted Pullovers Thick Autumn Winter Candy Color Loose Hoodies Solid Womens Clothing','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:547px;\"><img src=\"https://lh4.googleusercontent.com/9Q2ilgxCTnG3x4tmlbWEEmxEjfGVRAGUv7DYpZ4a8HEuE3yByjoBUDvLKb-A1LaYnUPC1EhCGlsAxpEafWW3MBcND0P3oPooHGRFwbwP1agsV9Hbd8bEGG1fqJy2OgJpW4dOUiSuP3uI3-XusvSC-BG3EW6NdhWPQWPrQN-mG9j07ZHQTjSF6iK9EeTjww\" width=\"864\" height=\"547\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:525px;\"><img src=\"https://lh4.googleusercontent.com/Ym0zFKPmHvk6RntDDGDIVEAQAqxNX6E8rygh5dlS8GX88FH2lwZy0DAwNTaQp6VV4yVebgKu4s00kTAwXrKZsZkfaL4fDk0fkZ4BktPxMN1I2pYpEMse4UzghTJm5WaSaf3h1MJUe4nbouA05CpjtVx_t5kp-TWOAvz5hienxYDVMPX7CRVKrWfE7AYsLw\" width=\"864\" height=\"525\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',19,NULL,16,'Published',0,16,NULL,NULL,'2024-09-03 01:55:59','2024-09-20 09:19:14','2024-08-17 13:54:26','2024-09-30 01:17:42','2022-11-28 11:07:52',0,35,3,3.33,2,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:30',NULL),(1145,'cH1UBa1BQpY3IJZ','MV0149',NULL,'winter-new-baby-retro-thicken-plus-fleece-embroidery-wheat','Winter New Baby Retro Thicken Plus Fleece Embroidery Wheat','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh4.googleusercontent.com/Myz5jS3My_j36RfXP_kbqIw1MJxpc8_yKjXC3854_6pOi4JnS7dLZtoz9EUQiDdCUUEAuKnBg1zginMYcBfnrwodKcgQNlOJEZ8pfzn-Lf3jnV9lyebki2_zuagN9W8KJnHZIq5hP_aAkOyLuB5w6rgEQoTT4ufG5II3d2rSI7xl046XhdqkJWcZYYfdCw\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh6.googleusercontent.com/gW4Ev0c-2NCmK0SrlARM56tKE6KpsCf0bGm6UMuZaLGWnac_vRYOr2JQNNRQSGs6I0xX_EEUfajrrJoxRdmfBz05APJHuIlb7QMjBkW91uuwgiAcZLfMOgoKE1IdsDL3Ba2Jws6thdmVSF4nNPS6xgiW1_rlgQjUTPKpbXsW3MVRFMHxGJ8fEN8-NtikYw\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh4.googleusercontent.com/6P70RLJR3Yka22fESsm4TVXonEsgCMJQd7aulYsW-N3aWgiGhqJPmfZC-JVhch-J_rmVTWW6tD7-2o8bv3ooMQUghQp72F-qb6Owlx0WBlelNmvz_o8g7ekDysFyPHnBMeI5xsPhwgkdSmO0FSYBtjbtHyuvk7Hbp_nlo5LZSzPkag0nCaQ5IfivffWyuw\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br></p>','',19,NULL,16,'Published',0,0,NULL,NULL,'2024-08-31 23:03:30','2024-09-24 05:24:16','2024-09-11 23:39:47','2024-09-22 17:55:35',NULL,0,36,1,1.00,4,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1146,'e9ViVCe3hJNuOBo','MV0146',NULL,'two-piece-set-tracksuit-women-top+pant-suits-hoodie-sweatshirt-with-pockets','Two Piece Set Tracksuit Women Top+Pant Suits Hoodie Sweatshirt With Pockets','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:371px;\"><img src=\"https://lh4.googleusercontent.com/ZDNv3cPBzbl0FRsJqFL-AmiDUQj74ZQX_POXKFgCw5l31ZFYFzQfu3lpRVypPiCZoMFrTnfPaBvm5Ji0bgpnZ0jHKrITHGNJ9iF1owLaA74IY93Chf-t4dS71TML0TxVb0DEUQJLHa-1xBZw0LV08U3Svn4HvIieIdmJpkTw_elBkJ9ADGvMEDWz_kzhBg\" width=\"864\" height=\"371\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br></p>','',19,NULL,31,'Published',0,0,NULL,NULL,'2024-09-10 18:29:43','2024-09-19 17:55:20','2024-08-17 08:02:03','2024-11-04 03:14:42',NULL,0,35,2,3.00,2,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1147,'KQILoUPwbcXGcOY','MV0145',NULL,'summer-thin-loose-cartoon-printed-short-sleeved-shirt','Summer thin loose cartoon printed short-sleeved shirt','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:331px;\"><img src=\"https://lh4.googleusercontent.com/QuCUIxrUkLcJ_2KgAQgFeFJ3dFYAOP2PLzL-uuyG5ZhqYyc7jA3XQ2jM8A4R3aM4OvFPEcIS7vouR6oUtIPiX-wUNFdAP03ST2AJtD7yWmuy1tUY3SrBM5KsEwBGq7nXg_Qm2zEFi2bOAYxlv48LV4CiOsthyhZeyS61NMIdlIRkHrEOSgcp7P6BU5rGUw\" width=\"864\" height=\"331\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:576px;\"><img src=\"https://lh6.googleusercontent.com/wcRaNtGKZkE-iqzsc_kUnHSZ5VHAyznIWnWlZAaA8obGIBCyjii6QjzR0BiX5GJjxV6Db7yVAansbmmjDz7xOep0WwPQRKd8oWDzPEuAFi0qj5-S7SOjpRoyMyIwkyV5t_SN636bmFOoj3LS8tRs3zp-hZJMfNvItlKs00qEqpwwN8VfZUHu6FHs8T2WHw\" width=\"864\" height=\"576\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br></p>','',19,NULL,20,'Published',0,0,45.00000000,44.00000000,'2024-09-12 20:04:41','2024-09-20 08:32:54','2024-07-30 03:57:47','2024-10-22 20:46:28',NULL,0,35,2,3.50,1,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1148,'tp10XZpTCmJOSzv','MV0140',NULL,'summer-new-women-t-shirts-harajuku-kawaii-cute-animal-flamingo-printing','Summer New Women T-Shirts Harajuku Kawaii Cute animal Flamingo Printing','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:573px;\"><img src=\"https://lh4.googleusercontent.com/cvCtw2t8zMSJYI8P1RxjIrpJZlMd7CFrNG-HnkEmkAetXeV8qYILWNOc0NegTT0T9KUqyCEU6_9RWZhOo-ffUcjnz26hV66aZCBWUKXspyQpIOyJ5NZLT4SaVsyqbcZmafWT2y6NkHiDUvly0-tyAqdPZJ1v5GxccW2ZXtsFUB5uTk5R9LN5MXX6-nU4_A\" width=\"864\" height=\"573\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-190c5b2d-7fff-3b23-cc92-63c3539adbca\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh3.googleusercontent.com/NS0ae7ggpjnhh7Hmo9UCwO1Si33cgpTJ3FRhz_BFjInLFJkT9kWl3ucvEWzPc9latEPka6G8d-TKVXrF3HRW8_VnouQAxJg2z5HiVShTlKRaDWqRxba1IL1eLb4lMa3FS-KftM3DOyW8fWnVxJRvXhrkRTR9DPbxk_EzBD2HbqpnTOCZO40WPDmunLX4Qw\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:504px;\"><img src=\"https://lh5.googleusercontent.com/HTmpTKAxWVS864liXnA3fRZHnOoMilIPmdfyplEjU1cJshF09jDk1dZnUaU0jZpX1nc6qIvskvqA5X9tadVnH135ofwusBATeYNulWeVGYdggEgoxQmAOy1BPf0PB1Jrv1gkmlHovEd6aMUX5fS4sVRHRgaj0Sa9rraC11vlH9Sd0zwtVQHlSEs6oN3aZA\" width=\"864\" height=\"504\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',19,NULL,14,'Published',0,0,NULL,NULL,'2024-09-06 19:31:34','2024-10-05 13:08:39','2024-08-02 04:27:00','2024-09-23 08:30:45',NULL,0,35,4,3.00,2,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1149,'R3cFNGgqO5L3NFZ','MV0137',NULL,'summer-new-fashion-geometry-pattern-printed-elegant-high-grade-loose-plus-size-womens-dress','Summer New Fashion Geometry Pattern Printed Elegant High-Grade Loose Plus Size Women\'s Dress','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:595px;\"><img src=\"https://lh3.googleusercontent.com/05T33xsru1wxSj1ONRwa7lMU-KTMtr59un05JpgEobAeA-IIq2R2hUUFLvjt0TFMonqtuwRxseoTvmemsgpJhNsyIzDqhGOxiZh6PeEf2czD907rI6U3IsUURMJf6kPQN_MM3sLvEMX8Bl8sq3SgQ721dNgx_dNwKRN7dX2uM1IjLGhId33JaFejrYDyTg\" width=\"864\" height=\"595\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-e4da4b91-7fff-20d3-d7ca-e508f6a91a15\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:664px;\"><img src=\"https://lh3.googleusercontent.com/QWo96wh0LulRDC4_J9pezM2g_Vh2Jo9jfzm9j41ABUQDlqBhs_UKuY9LUpkbDsiSfVBf29nU9ciO-giTa0wLOSvTwcsyK7RpBqUldzKWJIehJA6w5KOGCMhEnBrAleqP9ZY11rGtF8NgnExW4o-MaU2Q-MB0MZM1qjt4_uExrVi0HfKAGub1FsTV_oJcLw\" width=\"864\" height=\"664\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh6.googleusercontent.com/JjYsY8akVyNtlWRiPUvAHsZeVYE2cHE4l1GgzhA7ERQf9w74RVcCz7X7FyHcP-fPh_TUAJPfZNwAWEMBLbdgQmlUr6CBZ5RoJZWMpkFrYPvTxXCXAERzpSYS7Op_ufZrKJzpnr_AtYSG_GVj28FgzBVGP5FcWyqdbt-NIrHU4khCz9PYXqNAW47NfCyknA\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br></p>','',19,NULL,14,'Published',0,0,NULL,NULL,'2024-09-13 10:22:30','2024-09-29 15:05:14','2024-08-03 18:46:06','2024-09-20 22:15:09',NULL,0,49,4,1.75,3,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1150,'98aStDPt6lzoxZY','MV0134',NULL,'red-t-shirt-print-men-and-women-short-sleeved-sport-fashion-clothing','Red T-Shirt Print Men and Women Short-sleeved Sport Fashion Clothing','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-1d7258e7-7fff-e5de-651e-62ff2438f6d4\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh6.googleusercontent.com/kUmK5oAyst2Pq-cy1XvLKp4le2Lee4ghMSs74ii7PFK_0sAZIAm9CmvZB_G8BBCvQsIBoHdSH4UuO9zEEL0ONl2Kc30qrTGK0oieMdk3m95FsSWfPkj5fV01R37PbU9gUKc0rWtvcp7D5jxHdaZ4XbUq8Wh5_7NjZxHNM5h78aK8dKMdVH7p-Wqeq2WUwg\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:575px;\"><img src=\"https://lh6.googleusercontent.com/ha5r3-EvwHOGrsRO6G6axQz3JAqXqa47-7ufgtPRhdLkIKAqUa00n3hFkQNBZM864L5E9-4O-r9U1RHvuo7xmaonUTyUwMfaS7OBvDofSUT_RcSeF2vFCqKCegafvVZbxl16sQGAul1ngtkfBnXrbq42l7piGWyWwYC0gTsaWWorYSqpHZmUsxD_yDZm0A\" width=\"864\" height=\"575\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh4.googleusercontent.com/qUfwK3WyoFHx83NNfkwXbuyIdR7wCkva8P8apNjH9fuQxbuEO5nvgQkjS9SONzkrun-AJAUA6_OkKe7rNif_VXjB_6aNizi3buYRi5OlkAqo_k_pSeB-q5dk-SbfrY8EWF2YK6X2cgNs4SLC-in20prdj31z2qeCB4e7XuiDh9XRuIytZVe-96Z94rEPwA\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br></p>','',19,NULL,19,'Published',0,0,NULL,NULL,'2024-09-04 05:28:01','2024-10-06 16:47:05','2024-08-29 14:10:31','2024-10-12 06:11:23','2022-11-28 09:35:14',0,35,3,4.33,2,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1151,'bMzNAmAViJOoSd8','MV0133',NULL,'newborn-baby-boys-girls-fall-outfits-long-sleeve-plaid-pattern-pullover-tops-and-pants-spring-clothes-set','Newborn Baby Boys Girls Fall Outfits Long Sleeve Plaid Pattern Pullover Tops and Pants Spring Clothes Set','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh5.googleusercontent.com/DSN_Vu-BAgEEgIElT6pbk3vNnwjquQRFmwHhkRy8WLLuRk8p6UrdzLI3oIpeaKmNKdWca1eqcNhWLhlk1O4YOhgnK3u-YHZVGd6QgyIQ2PnrBCieiHeY8R6LfwRdTRjdRIXeYveyRFgJjWA7FCwRDJtyIFoApIZJz6oThShcWrPswfgQSyfdFxAzCgRszA\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-05796bf0-7fff-211a-c6a4-30e46a8ab6cd\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh5.googleusercontent.com/95LvloOl0YScuUI7hwz3XDhtAKZ_15f4EXH_3efHcJ9gkMOYA5Z0Wta3ZC6EcGEhgyzk14ZghpSbahlsCyWAgobNH_Aa8Fvo9rvFeB86NC_o03YIzESgZ-2MRBC6p3Ymc9eqsezUgYj_lP03LybgYK0l9zp1lwpehJKRDPXJhSHMvEtLHPD0ObXK8iEZGw\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br></p>','',19,NULL,21,'Published',0,9,79.00000000,77.00000000,'2024-09-05 23:36:26','2024-10-01 11:18:26','2024-09-09 07:48:57','2024-09-30 15:04:49','2022-11-28 09:30:58',0,25,2,3.00,2,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:30',NULL),(1152,'29J8ZwFP9tOSpYa','MV0126',NULL,'miyake-pleated-women-new-fashion-printed-loose','Miyake Pleated Women New Fashion Printed Loose','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh5.googleusercontent.com/CcW4tMeArub42Cx490IttJBWdqO-u2GnClfa38yI4i1saI9beDhVGPeKhVFle5pYLWvAlY7WFgC8MQkgqCD8rwWfzmcIrSPcA1N1X8b19N527GYmHXICPJaFByMknX7n831HTqJz3Ufz52vBg9WcuQ-FrqEnAikwAlLeYBLrpYJ6J1ZZo749BrXSZ_WY_Q\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-e336f863-7fff-40e1-8806-214b333f5179\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh3.googleusercontent.com/khz-ibELOtf7nc-Un-37JWUR23yR2B8uYnubY6CcKMsUB3L55rrngmbyqQZqT1G74YEnIo2WyDJkJQTTXN3ddiNPgy7z2WHSmtBzNOX2ajje8di82rZ1NWvjeRNHkCFrbf_OO6EgUu7c5RrG997_W3LrnT4JQh-7KZ1luXYG7zjbqy3k-KmBsHKrsuRFyw\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br><br></p>','',19,NULL,18,'Published',0,0,NULL,NULL,'2024-09-11 06:11:24','2024-10-09 03:02:33','2024-07-30 11:55:16','2024-11-06 10:52:02',NULL,0,40,4,3.50,3,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1153,'qwP5zlmQSrcUAGn','MV0125',NULL,'kids-toddler-girls-cotton-coat-belt-collar-long-sleeve-zipper-outwear-jacket-fall-clothes','Kids Toddler Girls Cotton Coat Belt Collar Long Sleeve Zipper Outwear Jacket Fall Clothes','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-b85cae15-7fff-66ae-dab9-b3ddba4ca4ba\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh4.googleusercontent.com/F0RreXA10cp4URrY8BfYmPteH1FSmvFDRCFrFCpPDdBdwFD264XufKFiAsBfF9GlRrzTwL_9ll_j5ZONswn36E3NkSEVnNtXkUmJxW4CuUL8cVw7Bh3h-IAi-DYAN4x4-fUNVLjqxECZpSKv1NtGU_4gxI_WS8AP2DWXGS9uT_VDQ7iD2R0-4XCEyICDiQ\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh5.googleusercontent.com/LqcRweAp2efqduiChVSl90h6pXGF9fTUssoMLK8ScKmEYKVpYTaMYwggldjt2OhNUPgS6oIc_tcgqB0OvgWGefiblhFVBmiGCYtQ3IxPztEd2IRyeFvnr_3ZP1uOjj6r9y93OJxW63MXb4VfqVxPUOuIsLwpdaiseW_x6BTo31Rs7w8-1XIY-2kbBaWqWA\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br><br></p>','',19,NULL,26,'Published',0,0,79.00000000,76.00000000,'2024-09-06 18:36:59','2024-10-04 05:11:05','2024-08-10 20:12:02','2024-09-26 03:14:28','2022-11-28 09:05:22',0,22,2,4.00,2,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1154,'RiywSnewS9HXpan','MV0121',NULL,'kids-plaid-princess-pettiskirt-teenager-girl-skirt-for-school-plaid-skirts','Kids Plaid Princess Pettiskirt Teenager Girl Skirt For School Plaid Skirts','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:648px;\"><img src=\"https://lh5.googleusercontent.com/mQw9RZdPB56e6sHoroiX16UtYAS9VH2FOgD7mo9dWI2TuvsTguMplNQZzA3B-bYkkfHCmEAb4D4NIprYz1weH0OEocgGu25mfbVLpFZMP1PpvvugRZ1lXpiS8B8w_B0aCPJqAZSdUp0iPY6r32m8Jv4hLOuiW_4lIGvwO_ss547f2R4lxkxGe0U_KuUtUQ\" width=\"864\" height=\"648\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh6.googleusercontent.com/D9UQXnNad1PlUJKsiSb-xgs1803iEIN7MQ-gtA4pR2NppeJBi7PEhRe58TkKs31QIpJOdP31yrKU7Vm82Du2jHQq8CtU5auQLbVl2fUw-DvcEkAvqDlLNcGKGUM52rCQyp4CH3NqTuoLy1UUpofsG0uaoTE_vSsLiRE5iwqf97Hzi_a7OcGjam7CMbyPgw\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br><br></p>','',19,NULL,17,'Published',0,0,NULL,NULL,'2024-09-07 11:51:02','2024-09-21 02:52:02','2024-09-12 00:29:32','2024-09-22 20:35:28','2022-11-28 09:00:43',0,38,3,3.33,2,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1155,'acGGAomyS7WBkCv','MV0116',NULL,'cotton-newborn-baby-long-sleeve-romper-jumpsuits-outfits-boy-toddler-handsome','Cotton Newborn Baby Long Sleeve Romper Jumpsuits Outfits Boy Toddler Handsome','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-8b287e37-7fff-56be-b0bf-7de42d6ce1e7\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:485px;\"><img src=\"https://lh6.googleusercontent.com/diOi9O16csrtbkZlVdMfLffHVApuiwKCJdn3vXMh7j3byC36xSgZ6ZCDcnY6a-F3QaDNNCxMrCEILGTQMjpE77TEvsyr3Rfd1iIsaUT9E_Zv3PCCGCViL_hzTDeGee3-vKr5KupTyNyOrT_xJSVUDYrQVVVgLzEZ7CzGzZMoRzX7EClgrYtCB4_jNhvfdg\" width=\"864\" height=\"485\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',19,NULL,16,'Published',0,9,NULL,NULL,'2024-09-08 05:23:37','2024-10-02 09:46:11','2024-09-13 04:19:14','2024-11-15 20:28:07','2022-11-28 08:36:18',0,55,2,4.00,2,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:30',NULL),(1156,'1XtG1vAim5zOgkL','MV0110',NULL,'boys-shirts-classic-casual-plaid-flannel-children-shirts','Boys Shirts Classic Casual Plaid Flannel Children shirts','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:547px;\"><img src=\"https://lh4.googleusercontent.com/9Q2ilgxCTnG3x4tmlbWEEmxEjfGVRAGUv7DYpZ4a8HEuE3yByjoBUDvLKb-A1LaYnUPC1EhCGlsAxpEafWW3MBcND0P3oPooHGRFwbwP1agsV9Hbd8bEGG1fqJy2OgJpW4dOUiSuP3uI3-XusvSC-BG3EW6NdhWPQWPrQN-mG9j07ZHQTjSF6iK9EeTjww\" width=\"864\" height=\"547\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:525px;\"><img src=\"https://lh4.googleusercontent.com/Ym0zFKPmHvk6RntDDGDIVEAQAqxNX6E8rygh5dlS8GX88FH2lwZy0DAwNTaQp6VV4yVebgKu4s00kTAwXrKZsZkfaL4fDk0fkZ4BktPxMN1I2pYpEMse4UzghTJm5WaSaf3h1MJUe4nbouA05CpjtVx_t5kp-TWOAvz5hienxYDVMPX7CRVKrWfE7AYsLw\" width=\"864\" height=\"525\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',19,NULL,14,'Published',0,9,NULL,NULL,'2024-09-03 19:56:15','2024-09-24 04:04:55','2024-08-28 09:29:34','2024-11-16 14:42:07',NULL,0,40,1,2.00,3,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:30',NULL),(1157,'mHEcuUqmuteJAvS','MV0109',NULL,'wireless-game-controller-for-switch-pro-lite-olde-gamepad-joystick-for-pc-game-controller','Wireless Game Controller for Switch Pro Lite Olde Gamepad Joystick for PC Game Controller','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh4.googleusercontent.com/Myz5jS3My_j36RfXP_kbqIw1MJxpc8_yKjXC3854_6pOi4JnS7dLZtoz9EUQiDdCUUEAuKnBg1zginMYcBfnrwodKcgQNlOJEZ8pfzn-Lf3jnV9lyebki2_zuagN9W8KJnHZIq5hP_aAkOyLuB5w6rgEQoTT4ufG5II3d2rSI7xl046XhdqkJWcZYYfdCw\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh6.googleusercontent.com/gW4Ev0c-2NCmK0SrlARM56tKE6KpsCf0bGm6UMuZaLGWnac_vRYOr2JQNNRQSGs6I0xX_EEUfajrrJoxRdmfBz05APJHuIlb7QMjBkW91uuwgiAcZLfMOgoKE1IdsDL3Ba2Jws6thdmVSF4nNPS6xgiW1_rlgQjUTPKpbXsW3MVRFMHxGJ8fEN8-NtikYw\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh4.googleusercontent.com/6P70RLJR3Yka22fESsm4TVXonEsgCMJQd7aulYsW-N3aWgiGhqJPmfZC-JVhch-J_rmVTWW6tD7-2o8bv3ooMQUghQp72F-qb6Owlx0WBlelNmvz_o8g7ekDysFyPHnBMeI5xsPhwgkdSmO0FSYBtjbtHyuvk7Hbp_nlo5LZSzPkag0nCaQ5IfivffWyuw\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br></p>','',1,NULL,2,'Published',0,9,29.00000000,26.00000000,'2024-09-07 06:59:48','2024-09-20 22:55:21','2024-09-18 22:33:05','2024-09-25 08:53:54','2022-11-28 07:51:27',0,33,2,1.00,3,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:30',NULL),(1158,'qHYBS14sQvfspcf','MV0108',NULL,'romantic-tarot-cards-high-quality-read-fate-game-for-personal-use-board-e-guidebook','Romantic Tarot Cards High Quality Read Fate Game For Personal Use Board E-Guidebook','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:371px;\"><img src=\"https://lh4.googleusercontent.com/ZDNv3cPBzbl0FRsJqFL-AmiDUQj74ZQX_POXKFgCw5l31ZFYFzQfu3lpRVypPiCZoMFrTnfPaBvm5Ji0bgpnZ0jHKrITHGNJ9iF1owLaA74IY93Chf-t4dS71TML0TxVb0DEUQJLHa-1xBZw0LV08U3Svn4HvIieIdmJpkTw_elBkJ9ADGvMEDWz_kzhBg\" width=\"864\" height=\"371\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br></p>','',17,NULL,NULL,'Published',0,0,169.00000000,NULL,'2024-09-10 01:05:27','2024-10-05 01:35:18','2024-09-18 22:51:20','2024-09-23 13:46:48',NULL,0,15,3,3.00,3,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1159,'HR62UvPjB3ldODB','MV0107',NULL,'the-wildwood-tarot-holographic-tarot-deck-table-card-game-for-adults-fate-divination','The Wildwood Tarot Holographic Tarot Deck Table Card Game For Adults Fate Divination','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:331px;\"><img src=\"https://lh4.googleusercontent.com/QuCUIxrUkLcJ_2KgAQgFeFJ3dFYAOP2PLzL-uuyG5ZhqYyc7jA3XQ2jM8A4R3aM4OvFPEcIS7vouR6oUtIPiX-wUNFdAP03ST2AJtD7yWmuy1tUY3SrBM5KsEwBGq7nXg_Qm2zEFi2bOAYxlv48LV4CiOsthyhZeyS61NMIdlIRkHrEOSgcp7P6BU5rGUw\" width=\"864\" height=\"331\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:576px;\"><img src=\"https://lh6.googleusercontent.com/wcRaNtGKZkE-iqzsc_kUnHSZ5VHAyznIWnWlZAaA8obGIBCyjii6QjzR0BiX5GJjxV6Db7yVAansbmmjDz7xOep0WwPQRKd8oWDzPEuAFi0qj5-S7SOjpRoyMyIwkyV5t_SN636bmFOoj3LS8tRs3zp-hZJMfNvItlKs00qEqpwwN8VfZUHu6FHs8T2WHw\" width=\"864\" height=\"576\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br></p>','',17,NULL,NULL,'Published',0,0,159.00000000,NULL,'2024-09-18 14:23:26','2024-10-03 00:07:19','2024-09-01 16:39:40','2024-10-31 16:58:13',NULL,0,26,4,2.25,2,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1160,'NWOZqLINK6O4qcC','MV0106',NULL,'casual-waterproof-women-bags-school-backpack-for-teenagers-girls-travel-backbag-nylon-mochilas-female-small-bookbag-kawaii-bag','Casual Waterproof Women Bags School Backpack For Teenagers Girls Travel Backbag Nylon Mochilas Female Small Bookbag Kawaii Bag','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:573px;\"><img src=\"https://lh4.googleusercontent.com/cvCtw2t8zMSJYI8P1RxjIrpJZlMd7CFrNG-HnkEmkAetXeV8qYILWNOc0NegTT0T9KUqyCEU6_9RWZhOo-ffUcjnz26hV66aZCBWUKXspyQpIOyJ5NZLT4SaVsyqbcZmafWT2y6NkHiDUvly0-tyAqdPZJ1v5GxccW2ZXtsFUB5uTk5R9LN5MXX6-nU4_A\" width=\"864\" height=\"573\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-190c5b2d-7fff-3b23-cc92-63c3539adbca\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh3.googleusercontent.com/NS0ae7ggpjnhh7Hmo9UCwO1Si33cgpTJ3FRhz_BFjInLFJkT9kWl3ucvEWzPc9latEPka6G8d-TKVXrF3HRW8_VnouQAxJg2z5HiVShTlKRaDWqRxba1IL1eLb4lMa3FS-KftM3DOyW8fWnVxJRvXhrkRTR9DPbxk_EzBD2HbqpnTOCZO40WPDmunLX4Qw\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:504px;\"><img src=\"https://lh5.googleusercontent.com/HTmpTKAxWVS864liXnA3fRZHnOoMilIPmdfyplEjU1cJshF09jDk1dZnUaU0jZpX1nc6qIvskvqA5X9tadVnH135ofwusBATeYNulWeVGYdggEgoxQmAOy1BPf0PB1Jrv1gkmlHovEd6aMUX5fS4sVRHRgaj0Sa9rraC11vlH9Sd0zwtVQHlSEs6oN3aZA\" width=\"864\" height=\"504\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',17,NULL,23,'Published',0,0,35.00000000,32.00000000,'2024-08-31 06:53:31','2024-09-26 13:52:26','2024-09-17 00:05:52','2024-09-21 15:45:44',NULL,0,35,3,2.67,1,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1161,'dF4GeHYaKkDoKYQ','MV0102',NULL,'girls-cute-clutches-new-fashion-solid-color-leather-coin-purses-women-hasp-small-wallets-mini-change-purse-lady-pocket-bags','Girls Cute Clutches New Fashion Solid Color Leather Coin Purses Women Hasp Small Wallets Mini Change Purse Lady Pocket Bags','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:595px;\"><img src=\"https://lh3.googleusercontent.com/05T33xsru1wxSj1ONRwa7lMU-KTMtr59un05JpgEobAeA-IIq2R2hUUFLvjt0TFMonqtuwRxseoTvmemsgpJhNsyIzDqhGOxiZh6PeEf2czD907rI6U3IsUURMJf6kPQN_MM3sLvEMX8Bl8sq3SgQ721dNgx_dNwKRN7dX2uM1IjLGhId33JaFejrYDyTg\" width=\"864\" height=\"595\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-e4da4b91-7fff-20d3-d7ca-e508f6a91a15\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:664px;\"><img src=\"https://lh3.googleusercontent.com/QWo96wh0LulRDC4_J9pezM2g_Vh2Jo9jfzm9j41ABUQDlqBhs_UKuY9LUpkbDsiSfVBf29nU9ciO-giTa0wLOSvTwcsyK7RpBqUldzKWJIehJA6w5KOGCMhEnBrAleqP9ZY11rGtF8NgnExW4o-MaU2Q-MB0MZM1qjt4_uExrVi0HfKAGub1FsTV_oJcLw\" width=\"864\" height=\"664\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh6.googleusercontent.com/JjYsY8akVyNtlWRiPUvAHsZeVYE2cHE4l1GgzhA7ERQf9w74RVcCz7X7FyHcP-fPh_TUAJPfZNwAWEMBLbdgQmlUr6CBZ5RoJZWMpkFrYPvTxXCXAERzpSYS7Op_ufZrKJzpnr_AtYSG_GVj28FgzBVGP5FcWyqdbt-NIrHU4khCz9PYXqNAW47NfCyknA\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br></p>','',17,NULL,23,'Published',0,0,NULL,NULL,'2024-09-18 02:32:23','2024-09-21 22:29:26','2024-07-22 22:35:47','2024-10-15 18:38:33',NULL,0,35,3,2.67,2,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1162,'pS14dhMaRcC7CPC','MV0097',NULL,'women-chain-small-shoulder-bags-fashion-pu-leather-silk-scarf-crossbody-bags','Women Chain Small Shoulder Bags Fashion Pu Leather Silk Scarf Crossbody Bags','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-1d7258e7-7fff-e5de-651e-62ff2438f6d4\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh6.googleusercontent.com/kUmK5oAyst2Pq-cy1XvLKp4le2Lee4ghMSs74ii7PFK_0sAZIAm9CmvZB_G8BBCvQsIBoHdSH4UuO9zEEL0ONl2Kc30qrTGK0oieMdk3m95FsSWfPkj5fV01R37PbU9gUKc0rWtvcp7D5jxHdaZ4XbUq8Wh5_7NjZxHNM5h78aK8dKMdVH7p-Wqeq2WUwg\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:575px;\"><img src=\"https://lh6.googleusercontent.com/ha5r3-EvwHOGrsRO6G6axQz3JAqXqa47-7ufgtPRhdLkIKAqUa00n3hFkQNBZM864L5E9-4O-r9U1RHvuo7xmaonUTyUwMfaS7OBvDofSUT_RcSeF2vFCqKCegafvVZbxl16sQGAul1ngtkfBnXrbq42l7piGWyWwYC0gTsaWWorYSqpHZmUsxD_yDZm0A\" width=\"864\" height=\"575\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh4.googleusercontent.com/qUfwK3WyoFHx83NNfkwXbuyIdR7wCkva8P8apNjH9fuQxbuEO5nvgQkjS9SONzkrun-AJAUA6_OkKe7rNif_VXjB_6aNizi3buYRi5OlkAqo_k_pSeB-q5dk-SbfrY8EWF2YK6X2cgNs4SLC-in20prdj31z2qeCB4e7XuiDh9XRuIytZVe-96Z94rEPwA\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br></p>','',17,NULL,23,'Published',0,9,NULL,NULL,'2024-09-16 13:47:47','2024-09-19 16:49:09','2024-08-10 18:59:25','2024-10-29 12:43:49','2022-11-28 05:14:11',0,49,3,2.67,3,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:30',NULL),(1163,'pMaofuFlCqOhhiW','MV0093',NULL,'men-travel-bag-large-capacity-waterproof-storage-bag-bathroom-toiletries-organizer-multifunctional','Men Travel Bag Large Capacity Waterproof Storage Bag Bathroom Toiletries Organizer Multifunctional','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh5.googleusercontent.com/DSN_Vu-BAgEEgIElT6pbk3vNnwjquQRFmwHhkRy8WLLuRk8p6UrdzLI3oIpeaKmNKdWca1eqcNhWLhlk1O4YOhgnK3u-YHZVGd6QgyIQ2PnrBCieiHeY8R6LfwRdTRjdRIXeYveyRFgJjWA7FCwRDJtyIFoApIZJz6oThShcWrPswfgQSyfdFxAzCgRszA\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-05796bf0-7fff-211a-c6a4-30e46a8ab6cd\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh5.googleusercontent.com/95LvloOl0YScuUI7hwz3XDhtAKZ_15f4EXH_3efHcJ9gkMOYA5Z0Wta3ZC6EcGEhgyzk14ZghpSbahlsCyWAgobNH_Aa8Fvo9rvFeB86NC_o03YIzESgZ-2MRBC6p3Ymc9eqsezUgYj_lP03LybgYK0l9zp1lwpehJKRDPXJhSHMvEtLHPD0ObXK8iEZGw\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br></p>','',17,NULL,4,'Published',0,0,99.00000000,NULL,'2024-08-30 09:04:05','2024-09-27 00:25:28','2024-08-28 19:20:41','2024-09-27 17:58:56','2022-11-28 04:57:25',0,46,4,2.75,1,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1164,'lextuauMcchzwuy','MV0088',NULL,'napkin-sanitary-pad-pouch-women-girl-cute-towel-storage-bag-coin-purse-lipstick-headphone-case','Napkin Sanitary Pad Pouch Women Girl Cute Towel Storage Bag Coin Purse Lipstick Headphone Case','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh5.googleusercontent.com/CcW4tMeArub42Cx490IttJBWdqO-u2GnClfa38yI4i1saI9beDhVGPeKhVFle5pYLWvAlY7WFgC8MQkgqCD8rwWfzmcIrSPcA1N1X8b19N527GYmHXICPJaFByMknX7n831HTqJz3Ufz52vBg9WcuQ-FrqEnAikwAlLeYBLrpYJ6J1ZZo749BrXSZ_WY_Q\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-e336f863-7fff-40e1-8806-214b333f5179\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh3.googleusercontent.com/khz-ibELOtf7nc-Un-37JWUR23yR2B8uYnubY6CcKMsUB3L55rrngmbyqQZqT1G74YEnIo2WyDJkJQTTXN3ddiNPgy7z2WHSmtBzNOX2ajje8di82rZ1NWvjeRNHkCFrbf_OO6EgUu7c5RrG997_W3LrnT4JQh-7KZ1luXYG7zjbqy3k-KmBsHKrsuRFyw\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br><br></p>','',17,NULL,12,'Published',0,0,NULL,NULL,'2024-09-14 14:23:45','2024-09-25 17:15:02','2024-07-27 18:02:59','2024-10-24 16:36:48',NULL,0,50,1,2.00,2,'Variable Product',0,'2024-09-19 06:34:28',NULL,NULL),(1165,'MiiCc8j99pjqdQ1','MV0087',NULL,'cute-cartoon-womens-kids-lunch-bags-waterproof-insulated-picnic-foods-storage-container-handbag','Cute Cartoon Women\'s Kids Lunch Bags Waterproof Insulated Picnic Foods Storage Container Handbag','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-b85cae15-7fff-66ae-dab9-b3ddba4ca4ba\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh4.googleusercontent.com/F0RreXA10cp4URrY8BfYmPteH1FSmvFDRCFrFCpPDdBdwFD264XufKFiAsBfF9GlRrzTwL_9ll_j5ZONswn36E3NkSEVnNtXkUmJxW4CuUL8cVw7Bh3h-IAi-DYAN4x4-fUNVLjqxECZpSKv1NtGU_4gxI_WS8AP2DWXGS9uT_VDQ7iD2R0-4XCEyICDiQ\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh5.googleusercontent.com/LqcRweAp2efqduiChVSl90h6pXGF9fTUssoMLK8ScKmEYKVpYTaMYwggldjt2OhNUPgS6oIc_tcgqB0OvgWGefiblhFVBmiGCYtQ3IxPztEd2IRyeFvnr_3ZP1uOjj6r9y93OJxW63MXb4VfqVxPUOuIsLwpdaiseW_x6BTo31Rs7w8-1XIY-2kbBaWqWA\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br><br></p>','',17,NULL,31,'Published',0,0,39.00000000,37.00000000,'2024-09-11 22:47:31','2024-09-20 05:36:36','2024-09-03 04:39:37','2024-10-22 02:29:33',NULL,0,36,3,1.67,2,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1166,'yhJrRAvBsZyaN1X','MV0084',NULL,'cartoon-fish-school-bag-student-fashion-schoolbag-girls-lovely-backpack','Cartoon Fish School Bag Student Fashion Schoolbag Girls Lovely Backpack','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:648px;\"><img src=\"https://lh5.googleusercontent.com/mQw9RZdPB56e6sHoroiX16UtYAS9VH2FOgD7mo9dWI2TuvsTguMplNQZzA3B-bYkkfHCmEAb4D4NIprYz1weH0OEocgGu25mfbVLpFZMP1PpvvugRZ1lXpiS8B8w_B0aCPJqAZSdUp0iPY6r32m8Jv4hLOuiW_4lIGvwO_ss547f2R4lxkxGe0U_KuUtUQ\" width=\"864\" height=\"648\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh6.googleusercontent.com/D9UQXnNad1PlUJKsiSb-xgs1803iEIN7MQ-gtA4pR2NppeJBi7PEhRe58TkKs31QIpJOdP31yrKU7Vm82Du2jHQq8CtU5auQLbVl2fUw-DvcEkAvqDlLNcGKGUM52rCQyp4CH3NqTuoLy1UUpofsG0uaoTE_vSsLiRE5iwqf97Hzi_a7OcGjam7CMbyPgw\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br><br></p>','',17,NULL,40,'Published',0,0,NULL,NULL,'2024-09-10 17:24:09','2024-10-08 23:10:25','2024-07-27 10:47:17','2024-10-17 03:09:04','2022-11-28 04:18:00',0,26,3,4.33,2,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1167,'DGw2RfhFjlFwHvx','MV0083',NULL,'new-pet-dogs-polo-shirt-summer-cool-dogs-clothes-soft-chihuahua-for-puppy','New Pet Dogs Polo Shirt Summer Cool Dogs Clothes Soft Chihuahua For Puppy','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-8b287e37-7fff-56be-b0bf-7de42d6ce1e7\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:485px;\"><img src=\"https://lh6.googleusercontent.com/diOi9O16csrtbkZlVdMfLffHVApuiwKCJdn3vXMh7j3byC36xSgZ6ZCDcnY6a-F3QaDNNCxMrCEILGTQMjpE77TEvsyr3Rfd1iIsaUT9E_Zv3PCCGCViL_hzTDeGee3-vKr5KupTyNyOrT_xJSVUDYrQVVVgLzEZ7CzGzZMoRzX7EClgrYtCB4_jNhvfdg\" width=\"864\" height=\"485\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',17,NULL,15,'Published',0,0,45.00000000,43.00000000,'2024-08-31 03:19:50','2024-10-01 19:57:42','2024-09-12 03:26:16','2024-09-26 04:11:29',NULL,0,15,1,1.00,2,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1168,'V0rNC8hwcCvDH1j','MV0082',NULL,'lightweight-baby-carriers-with-adjustable-shoulder-strap-for-infants-toddlers-multifunctional-and-simple-front-hug-portable','Lightweight Baby Carriers With Adjustable Shoulder Strap For Infants Toddlers Multifunctional And Simple Front Hug Portable','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:547px;\"><img src=\"https://lh4.googleusercontent.com/9Q2ilgxCTnG3x4tmlbWEEmxEjfGVRAGUv7DYpZ4a8HEuE3yByjoBUDvLKb-A1LaYnUPC1EhCGlsAxpEafWW3MBcND0P3oPooHGRFwbwP1agsV9Hbd8bEGG1fqJy2OgJpW4dOUiSuP3uI3-XusvSC-BG3EW6NdhWPQWPrQN-mG9j07ZHQTjSF6iK9EeTjww\" width=\"864\" height=\"547\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:525px;\"><img src=\"https://lh4.googleusercontent.com/Ym0zFKPmHvk6RntDDGDIVEAQAqxNX6E8rygh5dlS8GX88FH2lwZy0DAwNTaQp6VV4yVebgKu4s00kTAwXrKZsZkfaL4fDk0fkZ4BktPxMN1I2pYpEMse4UzghTJm5WaSaf3h1MJUe4nbouA05CpjtVx_t5kp-TWOAvz5hienxYDVMPX7CRVKrWfE7AYsLw\" width=\"864\" height=\"525\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',17,NULL,14,'Published',0,0,150.00000000,149.00000000,'2024-09-04 10:58:39','2024-09-23 16:01:09','2024-09-04 01:33:19','2024-09-24 19:55:44',NULL,0,16,3,2.67,2,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1169,'sUwxak45JcHqTBp','MV0081',NULL,'snap-button-bracelet-bangle-elastic-metal-beaded-snap-bracelet-fit','Snap Button Bracelet Bangle Elastic Metal Beaded Snap Bracelet Fit','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh4.googleusercontent.com/Myz5jS3My_j36RfXP_kbqIw1MJxpc8_yKjXC3854_6pOi4JnS7dLZtoz9EUQiDdCUUEAuKnBg1zginMYcBfnrwodKcgQNlOJEZ8pfzn-Lf3jnV9lyebki2_zuagN9W8KJnHZIq5hP_aAkOyLuB5w6rgEQoTT4ufG5II3d2rSI7xl046XhdqkJWcZYYfdCw\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh6.googleusercontent.com/gW4Ev0c-2NCmK0SrlARM56tKE6KpsCf0bGm6UMuZaLGWnac_vRYOr2JQNNRQSGs6I0xX_EEUfajrrJoxRdmfBz05APJHuIlb7QMjBkW91uuwgiAcZLfMOgoKE1IdsDL3Ba2Jws6thdmVSF4nNPS6xgiW1_rlgQjUTPKpbXsW3MVRFMHxGJ8fEN8-NtikYw\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh4.googleusercontent.com/6P70RLJR3Yka22fESsm4TVXonEsgCMJQd7aulYsW-N3aWgiGhqJPmfZC-JVhch-J_rmVTWW6tD7-2o8bv3ooMQUghQp72F-qb6Owlx0WBlelNmvz_o8g7ekDysFyPHnBMeI5xsPhwgkdSmO0FSYBtjbtHyuvk7Hbp_nlo5LZSzPkag0nCaQ5IfivffWyuw\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br></p>','',1,NULL,14,'Published',0,0,3.00000000,NULL,'2024-09-14 19:26:11','2024-10-08 12:28:58','2024-08-09 17:16:25','2024-10-31 02:15:40','2022-11-27 15:54:15',1,26,4,3.00,1,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1170,'0E2Hlzs0SGoSKyh','MV0080',NULL,'wireless-wrist-strap-with-metal-bowl-in-hand-blue-antistatic-cordless-antistatic-bracelet','Wireless Wrist Strap With Metal Bowl In Hand Blue Antistatic Cordless Antistatic Bracelet','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:371px;\"><img src=\"https://lh4.googleusercontent.com/ZDNv3cPBzbl0FRsJqFL-AmiDUQj74ZQX_POXKFgCw5l31ZFYFzQfu3lpRVypPiCZoMFrTnfPaBvm5Ji0bgpnZ0jHKrITHGNJ9iF1owLaA74IY93Chf-t4dS71TML0TxVb0DEUQJLHa-1xBZw0LV08U3Svn4HvIieIdmJpkTw_elBkJ9ADGvMEDWz_kzhBg\" width=\"864\" height=\"371\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br></p>','',1,NULL,3,'Published',0,0,26.00000000,NULL,'2024-09-18 13:26:14','2024-10-01 19:27:57','2024-09-08 00:55:45','2024-11-15 07:46:42',NULL,1,36,2,1.50,2,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1171,'t4oWObaw8Tq6dri','MV0079',NULL,'christmas-truck-silicone-beads-diy-focus-bead-bpa-free-infant-chewable-dummy-necklace-pacifier','Christmas Truck Silicone Beads DIY Focus Bead BPA Free Infant Chewable Dummy Necklace Pacifier','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:331px;\"><img src=\"https://lh4.googleusercontent.com/QuCUIxrUkLcJ_2KgAQgFeFJ3dFYAOP2PLzL-uuyG5ZhqYyc7jA3XQ2jM8A4R3aM4OvFPEcIS7vouR6oUtIPiX-wUNFdAP03ST2AJtD7yWmuy1tUY3SrBM5KsEwBGq7nXg_Qm2zEFi2bOAYxlv48LV4CiOsthyhZeyS61NMIdlIRkHrEOSgcp7P6BU5rGUw\" width=\"864\" height=\"331\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:576px;\"><img src=\"https://lh6.googleusercontent.com/wcRaNtGKZkE-iqzsc_kUnHSZ5VHAyznIWnWlZAaA8obGIBCyjii6QjzR0BiX5GJjxV6Db7yVAansbmmjDz7xOep0WwPQRKd8oWDzPEuAFi0qj5-S7SOjpRoyMyIwkyV5t_SN636bmFOoj3LS8tRs3zp-hZJMfNvItlKs00qEqpwwN8VfZUHu6FHs8T2WHw\" width=\"864\" height=\"576\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br></p>','',1,NULL,NULL,'Published',0,0,99.00000000,NULL,'2024-09-15 16:17:09','2024-09-24 17:44:25','2024-08-07 14:10:31','2024-10-20 06:37:25',NULL,0,41,3,3.00,3,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1172,'tsBQWkAxjkX4dRB','MV0078',NULL,'gift-boxes-for-ring-or-bracelet-without-logo-fit-drop-shipping-jewelry-package','Gift Boxes for ring or bracelet without logo fit drop shipping Jewelry Package','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:573px;\"><img src=\"https://lh4.googleusercontent.com/cvCtw2t8zMSJYI8P1RxjIrpJZlMd7CFrNG-HnkEmkAetXeV8qYILWNOc0NegTT0T9KUqyCEU6_9RWZhOo-ffUcjnz26hV66aZCBWUKXspyQpIOyJ5NZLT4SaVsyqbcZmafWT2y6NkHiDUvly0-tyAqdPZJ1v5GxccW2ZXtsFUB5uTk5R9LN5MXX6-nU4_A\" width=\"864\" height=\"573\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-190c5b2d-7fff-3b23-cc92-63c3539adbca\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh3.googleusercontent.com/NS0ae7ggpjnhh7Hmo9UCwO1Si33cgpTJ3FRhz_BFjInLFJkT9kWl3ucvEWzPc9latEPka6G8d-TKVXrF3HRW8_VnouQAxJg2z5HiVShTlKRaDWqRxba1IL1eLb4lMa3FS-KftM3DOyW8fWnVxJRvXhrkRTR9DPbxk_EzBD2HbqpnTOCZO40WPDmunLX4Qw\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:504px;\"><img src=\"https://lh5.googleusercontent.com/HTmpTKAxWVS864liXnA3fRZHnOoMilIPmdfyplEjU1cJshF09jDk1dZnUaU0jZpX1nc6qIvskvqA5X9tadVnH135ofwusBATeYNulWeVGYdggEgoxQmAOy1BPf0PB1Jrv1gkmlHovEd6aMUX5fS4sVRHRgaj0Sa9rraC11vlH9Sd0zwtVQHlSEs6oN3aZA\" width=\"864\" height=\"504\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',1,NULL,16,'Published',0,0,89.00000000,NULL,'2024-09-13 02:47:58','2024-09-23 09:41:34','2024-08-29 06:31:57','2024-10-15 14:11:57',NULL,0,50,2,3.00,3,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1173,'iTa0CrHwXlyFOPS','MV0075',NULL,'velvet-jewelry-organizer-gift-small-bag-touching-plush-drawstring-packaging-storage','Velvet Jewelry Organizer Gift Small Bag Touching Plush Drawstring Packaging Storage','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:595px;\"><img src=\"https://lh3.googleusercontent.com/05T33xsru1wxSj1ONRwa7lMU-KTMtr59un05JpgEobAeA-IIq2R2hUUFLvjt0TFMonqtuwRxseoTvmemsgpJhNsyIzDqhGOxiZh6PeEf2czD907rI6U3IsUURMJf6kPQN_MM3sLvEMX8Bl8sq3SgQ721dNgx_dNwKRN7dX2uM1IjLGhId33JaFejrYDyTg\" width=\"864\" height=\"595\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-e4da4b91-7fff-20d3-d7ca-e508f6a91a15\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:664px;\"><img src=\"https://lh3.googleusercontent.com/QWo96wh0LulRDC4_J9pezM2g_Vh2Jo9jfzm9j41ABUQDlqBhs_UKuY9LUpkbDsiSfVBf29nU9ciO-giTa0wLOSvTwcsyK7RpBqUldzKWJIehJA6w5KOGCMhEnBrAleqP9ZY11rGtF8NgnExW4o-MaU2Q-MB0MZM1qjt4_uExrVi0HfKAGub1FsTV_oJcLw\" width=\"864\" height=\"664\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh6.googleusercontent.com/JjYsY8akVyNtlWRiPUvAHsZeVYE2cHE4l1GgzhA7ERQf9w74RVcCz7X7FyHcP-fPh_TUAJPfZNwAWEMBLbdgQmlUr6CBZ5RoJZWMpkFrYPvTxXCXAERzpSYS7Op_ufZrKJzpnr_AtYSG_GVj28FgzBVGP5FcWyqdbt-NIrHU4khCz9PYXqNAW47NfCyknA\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br></p>','',1,NULL,14,'Published',0,0,NULL,NULL,'2024-09-10 07:35:27','2024-09-21 09:46:54','2024-08-30 03:09:41','2024-09-30 21:20:38',NULL,1,50,3,3.33,3,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1174,'86hjI2HUdMho6Zv','MV0074',NULL,'usb-2.0-type-a-female-to-male-extension-extender-cable','USB 2.0 Type A Female To Male Extension Extender Cable','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\" id=\"docs-internal-guid-1d7258e7-7fff-e5de-651e-62ff2438f6d4\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh6.googleusercontent.com/kUmK5oAyst2Pq-cy1XvLKp4le2Lee4ghMSs74ii7PFK_0sAZIAm9CmvZB_G8BBCvQsIBoHdSH4UuO9zEEL0ONl2Kc30qrTGK0oieMdk3m95FsSWfPkj5fV01R37PbU9gUKc0rWtvcp7D5jxHdaZ4XbUq8Wh5_7NjZxHNM5h78aK8dKMdVH7p-Wqeq2WUwg\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:575px;\"><img src=\"https://lh6.googleusercontent.com/ha5r3-EvwHOGrsRO6G6axQz3JAqXqa47-7ufgtPRhdLkIKAqUa00n3hFkQNBZM864L5E9-4O-r9U1RHvuo7xmaonUTyUwMfaS7OBvDofSUT_RcSeF2vFCqKCegafvVZbxl16sQGAul1ngtkfBnXrbq42l7piGWyWwYC0gTsaWWorYSqpHZmUsxD_yDZm0A\" width=\"864\" height=\"575\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh4.googleusercontent.com/qUfwK3WyoFHx83NNfkwXbuyIdR7wCkva8P8apNjH9fuQxbuEO5nvgQkjS9SONzkrun-AJAUA6_OkKe7rNif_VXjB_6aNizi3buYRi5OlkAqo_k_pSeB-q5dk-SbfrY8EWF2YK6X2cgNs4SLC-in20prdj31z2qeCB4e7XuiDh9XRuIytZVe-96Z94rEPwA\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br><br></p>','',1,NULL,8,'Published',0,0,5.00000000,NULL,'2024-09-03 00:01:46','2024-09-29 08:41:21','2024-09-03 08:20:25','2024-11-09 08:17:22','2022-11-27 09:56:06',0,45,2,2.50,2,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1175,'7yDHlJJpc5vWnPb','MV0070',NULL,'usb-type-c-cable-2-in-1-fast-charging-cord-data-sync-charger-line-speed-transfer','USB Type C Cable 2 IN 1 Fast Charging Cord Data Sync Charger Line Speed Transfer','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh5.googleusercontent.com/DSN_Vu-BAgEEgIElT6pbk3vNnwjquQRFmwHhkRy8WLLuRk8p6UrdzLI3oIpeaKmNKdWca1eqcNhWLhlk1O4YOhgnK3u-YHZVGd6QgyIQ2PnrBCieiHeY8R6LfwRdTRjdRIXeYveyRFgJjWA7FCwRDJtyIFoApIZJz6oThShcWrPswfgQSyfdFxAzCgRszA\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\" id=\"docs-internal-guid-05796bf0-7fff-211a-c6a4-30e46a8ab6cd\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh5.googleusercontent.com/95LvloOl0YScuUI7hwz3XDhtAKZ_15f4EXH_3efHcJ9gkMOYA5Z0Wta3ZC6EcGEhgyzk14ZghpSbahlsCyWAgobNH_Aa8Fvo9rvFeB86NC_o03YIzESgZ-2MRBC6p3Ymc9eqsezUgYj_lP03LybgYK0l9zp1lwpehJKRDPXJhSHMvEtLHPD0ObXK8iEZGw\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p>','',1,NULL,2,'Published',0,0,NULL,NULL,'2024-09-13 07:21:45','2024-09-21 14:18:57','2024-08-20 23:11:16','2024-10-20 00:52:29','2022-11-27 09:16:29',0,36,3,4.00,3,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1176,'YXekdUoZnwR3JWR','MV0069',NULL,'usb-3.0-type-a-female-to-a-female-connector-adapter-af-to-af-coupler-ff-gender-changer-extender-converter','USB 3.0 Type A Female to A Female Connector Adapter AF to AF Coupler FF Gender Changer Extender Converter','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh5.googleusercontent.com/CcW4tMeArub42Cx490IttJBWdqO-u2GnClfa38yI4i1saI9beDhVGPeKhVFle5pYLWvAlY7WFgC8MQkgqCD8rwWfzmcIrSPcA1N1X8b19N527GYmHXICPJaFByMknX7n831HTqJz3Ufz52vBg9WcuQ-FrqEnAikwAlLeYBLrpYJ6J1ZZo749BrXSZ_WY_Q\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\" id=\"docs-internal-guid-e336f863-7fff-40e1-8806-214b333f5179\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh3.googleusercontent.com/khz-ibELOtf7nc-Un-37JWUR23yR2B8uYnubY6CcKMsUB3L55rrngmbyqQZqT1G74YEnIo2WyDJkJQTTXN3ddiNPgy7z2WHSmtBzNOX2ajje8di82rZ1NWvjeRNHkCFrbf_OO6EgUu7c5RrG997_W3LrnT4JQh-7KZ1luXYG7zjbqy3k-KmBsHKrsuRFyw\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br><br><br></p>','',1,NULL,5,'Published',0,9,3.00000000,2.00000000,'2024-09-03 02:29:19','2024-09-23 05:31:49','2024-08-05 22:31:53','2024-10-16 15:10:39','2022-11-27 09:09:25',0,34,2,2.50,1,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:30',NULL),(1177,'W1YWHWpAYU7nRdr','MV0068',NULL,'usb-cable-with-switch-onoff-cable-extension-toggle-for-usb-lamp-usb-fan-power-supply-line-durable','USB Cable With Switch ONOFF Cable Extension Toggle For USB Lamp USB Fan Power Supply Line Durable','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\" id=\"docs-internal-guid-b85cae15-7fff-66ae-dab9-b3ddba4ca4ba\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh4.googleusercontent.com/F0RreXA10cp4URrY8BfYmPteH1FSmvFDRCFrFCpPDdBdwFD264XufKFiAsBfF9GlRrzTwL_9ll_j5ZONswn36E3NkSEVnNtXkUmJxW4CuUL8cVw7Bh3h-IAi-DYAN4x4-fUNVLjqxECZpSKv1NtGU_4gxI_WS8AP2DWXGS9uT_VDQ7iD2R0-4XCEyICDiQ\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh5.googleusercontent.com/LqcRweAp2efqduiChVSl90h6pXGF9fTUssoMLK8ScKmEYKVpYTaMYwggldjt2OhNUPgS6oIc_tcgqB0OvgWGefiblhFVBmiGCYtQ3IxPztEd2IRyeFvnr_3ZP1uOjj6r9y93OJxW63MXb4VfqVxPUOuIsLwpdaiseW_x6BTo31Rs7w8-1XIY-2kbBaWqWA\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br><br><br></p>','',1,NULL,5,'Published',0,9,6.00000000,5.00000000,'2024-09-03 20:19:07','2024-10-07 18:40:42','2024-08-16 10:19:51','2024-11-10 10:40:37','2022-11-27 08:57:35',0,42,5,1.40,3,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:30',NULL),(1178,'IsTKOXBt0CEGq5d','MV0064',NULL,'smart-bracelet-sports-bracelet-d13-color-screen-bracelet-sports-pedometer-bluetooth-reminder-heart-rate-blood-pressure','Smart Bracelet Sports Bracelet D13 Color Screen Bracelet Sports Pedometer Bluetooth Reminder Heart Rate Blood Pressure','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:648px;\"><img src=\"https://lh5.googleusercontent.com/mQw9RZdPB56e6sHoroiX16UtYAS9VH2FOgD7mo9dWI2TuvsTguMplNQZzA3B-bYkkfHCmEAb4D4NIprYz1weH0OEocgGu25mfbVLpFZMP1PpvvugRZ1lXpiS8B8w_B0aCPJqAZSdUp0iPY6r32m8Jv4hLOuiW_4lIGvwO_ss547f2R4lxkxGe0U_KuUtUQ\" width=\"864\" height=\"648\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh6.googleusercontent.com/D9UQXnNad1PlUJKsiSb-xgs1803iEIN7MQ-gtA4pR2NppeJBi7PEhRe58TkKs31QIpJOdP31yrKU7Vm82Du2jHQq8CtU5auQLbVl2fUw-DvcEkAvqDlLNcGKGUM52rCQyp4CH3NqTuoLy1UUpofsG0uaoTE_vSsLiRE5iwqf97Hzi_a7OcGjam7CMbyPgw\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br><br></p>','',1,NULL,35,'Published',0,9,NULL,NULL,'2024-09-14 05:30:45','2024-09-21 14:06:14','2024-08-16 09:21:00','2024-11-10 06:15:44',NULL,0,16,3,4.00,5,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:30',NULL),(1179,'yDsSxheqjrqS2Xx','MV0060',NULL,'tumbler-dinosaur-egg-multi-colors-virtual-cyber-digital-pet-game-toy-tamagotchis-digital-electronic-e-pet','Tumbler Dinosaur Egg Multi-colors Virtual Cyber Digital Pet Game Toy Tamagotchis Digital Electronic E-Pet','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-8b287e37-7fff-56be-b0bf-7de42d6ce1e7\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:485px;\"><img src=\"https://lh6.googleusercontent.com/diOi9O16csrtbkZlVdMfLffHVApuiwKCJdn3vXMh7j3byC36xSgZ6ZCDcnY6a-F3QaDNNCxMrCEILGTQMjpE77TEvsyr3Rfd1iIsaUT9E_Zv3PCCGCViL_hzTDeGee3-vKr5KupTyNyOrT_xJSVUDYrQVVVgLzEZ7CzGzZMoRzX7EClgrYtCB4_jNhvfdg\" width=\"864\" height=\"485\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',1,NULL,23,'Published',0,0,NULL,NULL,'2024-09-11 04:51:16','2024-10-08 11:36:44','2024-07-30 18:44:53','2024-10-05 15:41:19',NULL,0,35,2,2.00,3,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:55:15',NULL),(1180,'jqUmgcZFWR6lDAq','MV0056',NULL,'smartwatch-men-support-118-sports-women-smart-watch','Smartwatch Men Support 118 Sports Women Smart Watch','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:547px;\"><img src=\"https://lh4.googleusercontent.com/9Q2ilgxCTnG3x4tmlbWEEmxEjfGVRAGUv7DYpZ4a8HEuE3yByjoBUDvLKb-A1LaYnUPC1EhCGlsAxpEafWW3MBcND0P3oPooHGRFwbwP1agsV9Hbd8bEGG1fqJy2OgJpW4dOUiSuP3uI3-XusvSC-BG3EW6NdhWPQWPrQN-mG9j07ZHQTjSF6iK9EeTjww\" width=\"864\" height=\"547\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:525px;\"><img src=\"https://lh4.googleusercontent.com/Ym0zFKPmHvk6RntDDGDIVEAQAqxNX6E8rygh5dlS8GX88FH2lwZy0DAwNTaQp6VV4yVebgKu4s00kTAwXrKZsZkfaL4fDk0fkZ4BktPxMN1I2pYpEMse4UzghTJm5WaSaf3h1MJUe4nbouA05CpjtVx_t5kp-TWOAvz5hienxYDVMPX7CRVKrWfE7AYsLw\" width=\"864\" height=\"525\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',1,NULL,8,'Published',0,10,NULL,NULL,'2024-08-30 19:11:57','2024-10-03 17:24:06','2024-08-08 17:22:25','2024-09-29 18:07:05',NULL,1,32,3,2.33,5,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:55:14',NULL),(1181,'mnr4P4NOtrX06iP','MV0055',NULL,'gk3v-mini-pc-intel-celeron-j4125n5105-8gb-ddr4-128gb256gb-windows-10-pro-gaming-computer-4k-60hz-hdmi-vga','GK3V Mini PC Intel Celeron J4125N5105 8GB DDR4 128GB256GB Windows 10 Pro Gaming Computer, 4K 60Hz HDMI VGA','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh4.googleusercontent.com/Myz5jS3My_j36RfXP_kbqIw1MJxpc8_yKjXC3854_6pOi4JnS7dLZtoz9EUQiDdCUUEAuKnBg1zginMYcBfnrwodKcgQNlOJEZ8pfzn-Lf3jnV9lyebki2_zuagN9W8KJnHZIq5hP_aAkOyLuB5w6rgEQoTT4ufG5II3d2rSI7xl046XhdqkJWcZYYfdCw\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh6.googleusercontent.com/gW4Ev0c-2NCmK0SrlARM56tKE6KpsCf0bGm6UMuZaLGWnac_vRYOr2JQNNRQSGs6I0xX_EEUfajrrJoxRdmfBz05APJHuIlb7QMjBkW91uuwgiAcZLfMOgoKE1IdsDL3Ba2Jws6thdmVSF4nNPS6xgiW1_rlgQjUTPKpbXsW3MVRFMHxGJ8fEN8-NtikYw\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh4.googleusercontent.com/6P70RLJR3Yka22fESsm4TVXonEsgCMJQd7aulYsW-N3aWgiGhqJPmfZC-JVhch-J_rmVTWW6tD7-2o8bv3ooMQUghQp72F-qb6Owlx0WBlelNmvz_o8g7ekDysFyPHnBMeI5xsPhwgkdSmO0FSYBtjbtHyuvk7Hbp_nlo5LZSzPkag0nCaQ5IfivffWyuw\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br></p>','',1,NULL,42,'Published',0,0,850.00000000,820.00000000,'2024-09-02 17:52:33','2024-09-25 19:00:58','2024-09-16 14:46:05','2024-11-15 10:32:10','2022-11-27 06:11:03',0,10,1,1.00,1,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1182,'AVMI0k67Obnto11','MV0053',NULL,'nvme-case-aluminum-m2-to-usb-3.1-gen-2-10gbps-pcie-type-c-ssd-m.2-enclosure-portable-box','NVME Case Aluminum M2 to USB 3.1 Gen 2 10Gbps PCIe Type C SSD M.2 Enclosure Portable Box','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:371px;\"><img src=\"https://lh4.googleusercontent.com/ZDNv3cPBzbl0FRsJqFL-AmiDUQj74ZQX_POXKFgCw5l31ZFYFzQfu3lpRVypPiCZoMFrTnfPaBvm5Ji0bgpnZ0jHKrITHGNJ9iF1owLaA74IY93Chf-t4dS71TML0TxVb0DEUQJLHa-1xBZw0LV08U3Svn4HvIieIdmJpkTw_elBkJ9ADGvMEDWz_kzhBg\" width=\"864\" height=\"371\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br></p>','',1,NULL,3,'Published',0,8,NULL,NULL,'2024-09-14 05:50:35','2024-10-08 08:03:56','2024-08-21 12:00:20','2024-10-16 20:48:38','2022-11-27 05:32:08',0,30,2,3.00,7,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 10:00:28',NULL),(1183,'gYp3sO2DNhtKrJt','MV0052',NULL,'usb-2.0-flash-pen-drive-32gb-16gb-64gb-128gb-squid-game-cle-usb-memorys-cards','USB 2.0 Flash Pen Drive 32GB 16GB 64GB 128GB Squid Game Cle Usb Memorys Cards','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:331px;\"><img src=\"https://lh4.googleusercontent.com/QuCUIxrUkLcJ_2KgAQgFeFJ3dFYAOP2PLzL-uuyG5ZhqYyc7jA3XQ2jM8A4R3aM4OvFPEcIS7vouR6oUtIPiX-wUNFdAP03ST2AJtD7yWmuy1tUY3SrBM5KsEwBGq7nXg_Qm2zEFi2bOAYxlv48LV4CiOsthyhZeyS61NMIdlIRkHrEOSgcp7P6BU5rGUw\" width=\"864\" height=\"331\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:576px;\"><img src=\"https://lh6.googleusercontent.com/wcRaNtGKZkE-iqzsc_kUnHSZ5VHAyznIWnWlZAaA8obGIBCyjii6QjzR0BiX5GJjxV6Db7yVAansbmmjDz7xOep0WwPQRKd8oWDzPEuAFi0qj5-S7SOjpRoyMyIwkyV5t_SN636bmFOoj3LS8tRs3zp-hZJMfNvItlKs00qEqpwwN8VfZUHu6FHs8T2WHw\" width=\"864\" height=\"576\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br></p>','',1,NULL,2,'Published',0,16,6.00000000,5.00000000,'2024-08-31 21:58:27','2024-10-07 14:14:48','2024-08-03 02:51:18','2024-10-15 10:55:43','2022-11-27 05:22:56',0,39,4,1.75,7,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:30',NULL),(1184,'rv7683URXcvNG1S','MV0052',NULL,'portable-usb-male-to-female-interface-data-cable-retractable-data-synchronization-charger-cable-for-android','Portable USB male-to-female interface data cable, retractable data synchronization charger cable for Android','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:573px;\"><img src=\"https://lh4.googleusercontent.com/cvCtw2t8zMSJYI8P1RxjIrpJZlMd7CFrNG-HnkEmkAetXeV8qYILWNOc0NegTT0T9KUqyCEU6_9RWZhOo-ffUcjnz26hV66aZCBWUKXspyQpIOyJ5NZLT4SaVsyqbcZmafWT2y6NkHiDUvly0-tyAqdPZJ1v5GxccW2ZXtsFUB5uTk5R9LN5MXX6-nU4_A\" width=\"864\" height=\"573\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-190c5b2d-7fff-3b23-cc92-63c3539adbca\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh3.googleusercontent.com/NS0ae7ggpjnhh7Hmo9UCwO1Si33cgpTJ3FRhz_BFjInLFJkT9kWl3ucvEWzPc9latEPka6G8d-TKVXrF3HRW8_VnouQAxJg2z5HiVShTlKRaDWqRxba1IL1eLb4lMa3FS-KftM3DOyW8fWnVxJRvXhrkRTR9DPbxk_EzBD2HbqpnTOCZO40WPDmunLX4Qw\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:504px;\"><img src=\"https://lh5.googleusercontent.com/HTmpTKAxWVS864liXnA3fRZHnOoMilIPmdfyplEjU1cJshF09jDk1dZnUaU0jZpX1nc6qIvskvqA5X9tadVnH135ofwusBATeYNulWeVGYdggEgoxQmAOy1BPf0PB1Jrv1gkmlHovEd6aMUX5fS4sVRHRgaj0Sa9rraC11vlH9Sd0zwtVQHlSEs6oN3aZA\" width=\"864\" height=\"504\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',1,NULL,3,'Published',0,0,5.00000000,NULL,'2024-09-16 15:50:41','2024-09-27 05:42:43','2024-07-23 09:27:08','2024-11-07 21:34:01',NULL,0,50,2,3.00,2,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1185,'o1epHa0iqtQJTJP','MV0051',NULL,'cartoon-camera-childrens-camera-240w-pixel-mini-camera-toy-camera','Cartoon Camera Children\'s Camera 240W Pixel Mini Camera Toy Camera','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:595px;\"><img src=\"https://lh3.googleusercontent.com/05T33xsru1wxSj1ONRwa7lMU-KTMtr59un05JpgEobAeA-IIq2R2hUUFLvjt0TFMonqtuwRxseoTvmemsgpJhNsyIzDqhGOxiZh6PeEf2czD907rI6U3IsUURMJf6kPQN_MM3sLvEMX8Bl8sq3SgQ721dNgx_dNwKRN7dX2uM1IjLGhId33JaFejrYDyTg\" width=\"864\" height=\"595\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-e4da4b91-7fff-20d3-d7ca-e508f6a91a15\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:664px;\"><img src=\"https://lh3.googleusercontent.com/QWo96wh0LulRDC4_J9pezM2g_Vh2Jo9jfzm9j41ABUQDlqBhs_UKuY9LUpkbDsiSfVBf29nU9ciO-giTa0wLOSvTwcsyK7RpBqUldzKWJIehJA6w5KOGCMhEnBrAleqP9ZY11rGtF8NgnExW4o-MaU2Q-MB0MZM1qjt4_uExrVi0HfKAGub1FsTV_oJcLw\" width=\"864\" height=\"664\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh6.googleusercontent.com/JjYsY8akVyNtlWRiPUvAHsZeVYE2cHE4l1GgzhA7ERQf9w74RVcCz7X7FyHcP-fPh_TUAJPfZNwAWEMBLbdgQmlUr6CBZ5RoJZWMpkFrYPvTxXCXAERzpSYS7Op_ufZrKJzpnr_AtYSG_GVj28FgzBVGP5FcWyqdbt-NIrHU4khCz9PYXqNAW47NfCyknA\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br></p>','',1,NULL,46,'Published',0,9,360.00000000,350.00000000,'2024-09-14 07:42:46','2024-09-24 16:25:25','2024-09-13 05:25:05','2024-11-08 20:31:22','2022-11-27 04:42:45',0,34,3,3.00,1,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:30',NULL),(1186,'YW3J6TD491finvR','MV0046',NULL,'anti-drop-airpods1-2-silicone-bluetooth-compatible-earphone-cover-air-pods','Anti-Drop AirPods1 2 Silicone Bluetooth Compatible Earphone Cover Air Pods','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-1d7258e7-7fff-e5de-651e-62ff2438f6d4\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh6.googleusercontent.com/kUmK5oAyst2Pq-cy1XvLKp4le2Lee4ghMSs74ii7PFK_0sAZIAm9CmvZB_G8BBCvQsIBoHdSH4UuO9zEEL0ONl2Kc30qrTGK0oieMdk3m95FsSWfPkj5fV01R37PbU9gUKc0rWtvcp7D5jxHdaZ4XbUq8Wh5_7NjZxHNM5h78aK8dKMdVH7p-Wqeq2WUwg\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:575px;\"><img src=\"https://lh6.googleusercontent.com/ha5r3-EvwHOGrsRO6G6axQz3JAqXqa47-7ufgtPRhdLkIKAqUa00n3hFkQNBZM864L5E9-4O-r9U1RHvuo7xmaonUTyUwMfaS7OBvDofSUT_RcSeF2vFCqKCegafvVZbxl16sQGAul1ngtkfBnXrbq42l7piGWyWwYC0gTsaWWorYSqpHZmUsxD_yDZm0A\" width=\"864\" height=\"575\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh4.googleusercontent.com/qUfwK3WyoFHx83NNfkwXbuyIdR7wCkva8P8apNjH9fuQxbuEO5nvgQkjS9SONzkrun-AJAUA6_OkKe7rNif_VXjB_6aNizi3buYRi5OlkAqo_k_pSeB-q5dk-SbfrY8EWF2YK6X2cgNs4SLC-in20prdj31z2qeCB4e7XuiDh9XRuIytZVe-96Z94rEPwA\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br></p>','',1,NULL,38,'Published',0,8,NULL,NULL,'2024-09-10 15:05:29','2024-10-07 22:46:01','2024-08-28 10:26:12','2024-11-11 07:22:17','2022-11-27 04:04:29',1,40,2,4.00,21,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 08:46:12',NULL),(1187,'06WfeJJha8gGaXQ','MV0042',NULL,'asymmetric-design-top','Asymmetric design top','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh5.googleusercontent.com/DSN_Vu-BAgEEgIElT6pbk3vNnwjquQRFmwHhkRy8WLLuRk8p6UrdzLI3oIpeaKmNKdWca1eqcNhWLhlk1O4YOhgnK3u-YHZVGd6QgyIQ2PnrBCieiHeY8R6LfwRdTRjdRIXeYveyRFgJjWA7FCwRDJtyIFoApIZJz6oThShcWrPswfgQSyfdFxAzCgRszA\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-05796bf0-7fff-211a-c6a4-30e46a8ab6cd\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh5.googleusercontent.com/95LvloOl0YScuUI7hwz3XDhtAKZ_15f4EXH_3efHcJ9gkMOYA5Z0Wta3ZC6EcGEhgyzk14ZghpSbahlsCyWAgobNH_Aa8Fvo9rvFeB86NC_o03YIzESgZ-2MRBC6p3Ymc9eqsezUgYj_lP03LybgYK0l9zp1lwpehJKRDPXJhSHMvEtLHPD0ObXK8iEZGw\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br></p>','',19,NULL,14,'Published',0,0,NULL,NULL,'2024-09-08 06:55:58','2024-09-19 19:49:12','2024-08-03 18:19:57','2024-11-10 04:09:58','2022-11-24 15:33:59',0,15,3,3.67,1,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1188,'2bEJpTczDb8FA2S','MV0035',NULL,'asymmetric-neckline-blouse','Asymmetric neckline blouse','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh5.googleusercontent.com/CcW4tMeArub42Cx490IttJBWdqO-u2GnClfa38yI4i1saI9beDhVGPeKhVFle5pYLWvAlY7WFgC8MQkgqCD8rwWfzmcIrSPcA1N1X8b19N527GYmHXICPJaFByMknX7n831HTqJz3Ufz52vBg9WcuQ-FrqEnAikwAlLeYBLrpYJ6J1ZZo749BrXSZ_WY_Q\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-e336f863-7fff-40e1-8806-214b333f5179\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh3.googleusercontent.com/khz-ibELOtf7nc-Un-37JWUR23yR2B8uYnubY6CcKMsUB3L55rrngmbyqQZqT1G74YEnIo2WyDJkJQTTXN3ddiNPgy7z2WHSmtBzNOX2ajje8di82rZ1NWvjeRNHkCFrbf_OO6EgUu7c5RrG997_W3LrnT4JQh-7KZ1luXYG7zjbqy3k-KmBsHKrsuRFyw\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br><br></p>','',19,NULL,18,'Published',0,0,NULL,NULL,'2024-09-08 10:19:08','2024-09-30 21:38:59','2024-09-13 00:22:04','2024-10-24 17:54:41','2022-11-24 10:21:18',0,26,3,3.67,2,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1189,'RNr6jjFXxTQFTai','MV0034',NULL,'asymmetric-neckline-blouse-full','Asymmetric neckline blouse full','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-b85cae15-7fff-66ae-dab9-b3ddba4ca4ba\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh4.googleusercontent.com/F0RreXA10cp4URrY8BfYmPteH1FSmvFDRCFrFCpPDdBdwFD264XufKFiAsBfF9GlRrzTwL_9ll_j5ZONswn36E3NkSEVnNtXkUmJxW4CuUL8cVw7Bh3h-IAi-DYAN4x4-fUNVLjqxECZpSKv1NtGU_4gxI_WS8AP2DWXGS9uT_VDQ7iD2R0-4XCEyICDiQ\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh5.googleusercontent.com/LqcRweAp2efqduiChVSl90h6pXGF9fTUssoMLK8ScKmEYKVpYTaMYwggldjt2OhNUPgS6oIc_tcgqB0OvgWGefiblhFVBmiGCYtQ3IxPztEd2IRyeFvnr_3ZP1uOjj6r9y93OJxW63MXb4VfqVxPUOuIsLwpdaiseW_x6BTo31Rs7w8-1XIY-2kbBaWqWA\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p><br><br><br></p>','',19,NULL,18,'Published',0,0,35.00000000,33.00000000,'2024-09-14 18:19:03','2024-09-29 09:28:02','2024-08-19 00:54:05','2024-10-16 22:04:24',NULL,0,50,2,3.00,2,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1190,'bJDMiokiCNLPZm6','MV0027',NULL,'cord-textured-dress','Cord textured dress','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:573px;\"><img src=\"https://lh4.googleusercontent.com/cvCtw2t8zMSJYI8P1RxjIrpJZlMd7CFrNG-HnkEmkAetXeV8qYILWNOc0NegTT0T9KUqyCEU6_9RWZhOo-ffUcjnz26hV66aZCBWUKXspyQpIOyJ5NZLT4SaVsyqbcZmafWT2y6NkHiDUvly0-tyAqdPZJ1v5GxccW2ZXtsFUB5uTk5R9LN5MXX6-nU4_A\" width=\"864\" height=\"573\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-778ad4dd-7fff-9c7e-7884-2ed3ca08ee5b\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh3.googleusercontent.com/NS0ae7ggpjnhh7Hmo9UCwO1Si33cgpTJ3FRhz_BFjInLFJkT9kWl3ucvEWzPc9latEPka6G8d-TKVXrF3HRW8_VnouQAxJg2z5HiVShTlKRaDWqRxba1IL1eLb4lMa3FS-KftM3DOyW8fWnVxJRvXhrkRTR9DPbxk_EzBD2HbqpnTOCZO40WPDmunLX4Qw\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:504px;\"><img src=\"https://lh5.googleusercontent.com/HTmpTKAxWVS864liXnA3fRZHnOoMilIPmdfyplEjU1cJshF09jDk1dZnUaU0jZpX1nc6qIvskvqA5X9tadVnH135ofwusBATeYNulWeVGYdggEgoxQmAOy1BPf0PB1Jrv1gkmlHovEd6aMUX5fS4sVRHRgaj0Sa9rraC11vlH9Sd0zwtVQHlSEs6oN3aZA\" width=\"864\" height=\"504\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',19,NULL,18,'Published',0,0,NULL,NULL,'2024-09-03 23:45:56','2024-10-04 02:25:06','2024-08-24 21:39:22','2024-10-22 13:19:39','2022-11-24 09:46:55',0,17,3,1.67,4,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1191,'J0BCZ3O9sqYFeZE','MV0026',NULL,'cord-textured-dress-top','Cord textured dress top','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:371px;\"><img src=\"https://lh4.googleusercontent.com/ZDNv3cPBzbl0FRsJqFL-AmiDUQj74ZQX_POXKFgCw5l31ZFYFzQfu3lpRVypPiCZoMFrTnfPaBvm5Ji0bgpnZ0jHKrITHGNJ9iF1owLaA74IY93Chf-t4dS71TML0TxVb0DEUQJLHa-1xBZw0LV08U3Svn4HvIieIdmJpkTw_elBkJ9ADGvMEDWz_kzhBg\" width=\"864\" height=\"371\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',19,NULL,18,'Published',0,0,39.00000000,NULL,'2024-09-18 09:02:46','2024-09-26 10:23:51','2024-08-27 01:03:13','2024-10-08 07:56:15','2022-11-24 09:21:42',0,25,3,3.33,3,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1192,'BWPpR1j25YxI2xs','MV0019',NULL,'crepe-fitted-suit-jacket','Crepe fitted suit jacket','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:648px;\"><img src=\"https://lh5.googleusercontent.com/mQw9RZdPB56e6sHoroiX16UtYAS9VH2FOgD7mo9dWI2TuvsTguMplNQZzA3B-bYkkfHCmEAb4D4NIprYz1weH0OEocgGu25mfbVLpFZMP1PpvvugRZ1lXpiS8B8w_B0aCPJqAZSdUp0iPY6r32m8Jv4hLOuiW_4lIGvwO_ss547f2R4lxkxGe0U_KuUtUQ\" width=\"864\" height=\"648\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh6.googleusercontent.com/D9UQXnNad1PlUJKsiSb-xgs1803iEIN7MQ-gtA4pR2NppeJBi7PEhRe58TkKs31QIpJOdP31yrKU7Vm82Du2jHQq8CtU5auQLbVl2fUw-DvcEkAvqDlLNcGKGUM52rCQyp4CH3NqTuoLy1UUpofsG0uaoTE_vSsLiRE5iwqf97Hzi_a7OcGjam7CMbyPgw\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p>','',19,NULL,35,'Published',0,0,NULL,NULL,'2024-09-15 03:11:33','2024-09-26 00:16:05','2024-09-15 17:58:54','2024-10-22 14:06:22','2022-11-24 09:11:58',0,30,1,5.00,5,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1193,'ktT2oUNJFraSffv','MV0018',NULL,'flared-long-dress','Flared long dress','<p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\" id=\"docs-internal-guid-1c6c3687-7fff-8fd3-d9f3-4f54ef0bdb61\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:485px;\"><img src=\"https://lh6.googleusercontent.com/diOi9O16csrtbkZlVdMfLffHVApuiwKCJdn3vXMh7j3byC36xSgZ6ZCDcnY6a-F3QaDNNCxMrCEILGTQMjpE77TEvsyr3Rfd1iIsaUT9E_Zv3PCCGCViL_hzTDeGee3-vKr5KupTyNyOrT_xJSVUDYrQVVVgLzEZ7CzGzZMoRzX7EClgrYtCB4_jNhvfdg\" width=\"864\" height=\"485\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p>','',19,NULL,26,'Published',0,0,49.00000000,NULL,'2024-09-05 00:44:15','2024-10-08 04:12:50','2024-07-29 04:09:35','2024-10-13 12:19:33',NULL,0,50,2,1.50,1,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1194,'gOUDSKzNAzoCt3a','MV011',NULL,'flowy-ruffled-dress','Flowy ruffled dress','<span id=\"docs-internal-guid-e5617a6b-7fff-0ec4-fcd1-7b127fa79b20\"><p dir=\"ltr\" style=\"line-height:1.38;text-align: justify;margin-top:0pt;margin-bottom:3pt;\"><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh4.googleusercontent.com/Myz5jS3My_j36RfXP_kbqIw1MJxpc8_yKjXC3854_6pOi4JnS7dLZtoz9EUQiDdCUUEAuKnBg1zginMYcBfnrwodKcgQNlOJEZ8pfzn-Lf3jnV9lyebki2_zuagN9W8KJnHZIq5hP_aAkOyLuB5w6rgEQoTT4ufG5II3d2rSI7xl046XhdqkJWcZYYfdCw\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><br><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><br><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/Zv5v402geYB83TDP603s36x-RmcQ1xOw7WcEVhURzru92lmt28r_drpSSlVTCl7oqlyHfhYFk4a6cO5erv4odnzaQzTCXj22YtPG_qwqWDl8Shf7cGEOXSh_90Q7PDVILeieSfyKZfenmEoKZhbsGlYwOnEef5QglStsgBE_KAe8mnpkmrOod0utn0hZqw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><br><ul style=\"margin-bottom: 0px; padding-inline-start: 48px;\"><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 11pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 11pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 11pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 11pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 11pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><br><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><br><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh6.googleusercontent.com/gW4Ev0c-2NCmK0SrlARM56tKE6KpsCf0bGm6UMuZaLGWnac_vRYOr2JQNNRQSGs6I0xX_EEUfajrrJoxRdmfBz05APJHuIlb7QMjBkW91uuwgiAcZLfMOgoKE1IdsDL3Ba2Jws6thdmVSF4nNPS6xgiW1_rlgQjUTPKpbXsW3MVRFMHxGJ8fEN8-NtikYw\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><br><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><br><ul style=\"margin-bottom: 0px; padding-inline-start: 48px;\"><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 11pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 11pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 11pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 11pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type: disc; font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size: 11pt; background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><br><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><br><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh4.googleusercontent.com/6P70RLJR3Yka22fESsm4TVXonEsgCMJQd7aulYsW-N3aWgiGhqJPmfZC-JVhch-J_rmVTWW6tD7-2o8bv3ooMQUghQp72F-qb6Owlx0WBlelNmvz_o8g7ekDysFyPHnBMeI5xsPhwgkdSmO0FSYBtjbtHyuvk7Hbp_nlo5LZSzPkag0nCaQ5IfivffWyuw\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><br><br><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size: 11pt; font-family: Arial; color: rgb(0, 0, 0); background-color: transparent; font-variant-numeric: normal; font-variant-east-asian: normal; vertical-align: baseline; white-space: pre-wrap;\"><br></span></div></span>','',19,NULL,21,'Published',0,0,39.00000000,38.00000000,'2024-08-31 23:20:38','2024-10-06 12:57:53','2024-09-17 14:33:16','2024-11-03 13:59:28','2022-11-24 08:34:14',0,40,4,3.00,3,'Variable Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1195,'dN24FgrUSvxYyMO','MV010',NULL,'heel-leather-sandals','Heel leather sandals','<p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><b style=\"font-weight:normal;\" id=\"docs-internal-guid-bab46cfb-7fff-96b6-e0bd-e8c62fe34c76\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:331px;\"><img src=\"https://lh4.googleusercontent.com/QuCUIxrUkLcJ_2KgAQgFeFJ3dFYAOP2PLzL-uuyG5ZhqYyc7jA3XQ2jM8A4R3aM4OvFPEcIS7vouR6oUtIPiX-wUNFdAP03ST2AJtD7yWmuy1tUY3SrBM5KsEwBGq7nXg_Qm2zEFi2bOAYxlv48LV4CiOsthyhZeyS61NMIdlIRkHrEOSgcp7P6BU5rGUw\" width=\"864\" height=\"331\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:576px;\"><img src=\"https://lh6.googleusercontent.com/wcRaNtGKZkE-iqzsc_kUnHSZ5VHAyznIWnWlZAaA8obGIBCyjii6QjzR0BiX5GJjxV6Db7yVAansbmmjDz7xOep0WwPQRKd8oWDzPEuAFi0qj5-S7SOjpRoyMyIwkyV5t_SN636bmFOoj3LS8tRs3zp-hZJMfNvItlKs00qEqpwwN8VfZUHu6FHs8T2WHw\" width=\"864\" height=\"576\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',19,NULL,16,'Published',0,0,49.00000000,NULL,'2024-09-07 12:56:13','2024-10-05 01:50:47','2024-08-17 06:37:54','2024-10-10 13:22:56','2022-11-24 08:16:09',0,40,3,3.00,3,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1196,'iJc47X5kAELZw6Q','MV009',NULL,'modal-blend-suit-blazer','Modal-blend suit blazer','<p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:595px;\"><img src=\"https://lh3.googleusercontent.com/05T33xsru1wxSj1ONRwa7lMU-KTMtr59un05JpgEobAeA-IIq2R2hUUFLvjt0TFMonqtuwRxseoTvmemsgpJhNsyIzDqhGOxiZh6PeEf2czD907rI6U3IsUURMJf6kPQN_MM3sLvEMX8Bl8sq3SgQ721dNgx_dNwKRN7dX2uM1IjLGhId33JaFejrYDyTg\" width=\"864\" height=\"595\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-a221b978-7fff-fb42-7e08-00647ad91691\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:664px;\"><img src=\"https://lh6.googleusercontent.com/TnLFcPul6fclZ8f0NtNtmtK6g4CtMSQ4nzQ3T72QgoIYpSylpmZxSUpDGkRdzR1rC8E0fKYyodVGXIxdTBvjjOhceKls_NdNbPKY0D6CzzjCX9UjT0cdUGu-7Z5CQFSCDh6uVtXFuJdRk1EC8o2crHEZm48yPpCgfR-76s3oFe2NwC4d43apici86GGhiA\" width=\"864\" height=\"664\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh6.googleusercontent.com/JjYsY8akVyNtlWRiPUvAHsZeVYE2cHE4l1GgzhA7ERQf9w74RVcCz7X7FyHcP-fPh_TUAJPfZNwAWEMBLbdgQmlUr6CBZ5RoJZWMpkFrYPvTxXCXAERzpSYS7Op_ufZrKJzpnr_AtYSG_GVj28FgzBVGP5FcWyqdbt-NIrHU4khCz9PYXqNAW47NfCyknA\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p>','',19,NULL,21,'Published',0,0,35.00000000,32.00000000,'2024-09-03 10:27:17','2024-09-27 15:30:54','2024-07-28 09:11:06','2024-10-14 01:30:45',NULL,0,25,3,3.00,2,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1197,'f2vSM88yaQ9SGPa','MV008',NULL,'paperbag-denim-shorts','Paperbag denim shorts','<p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-978c5923-7fff-8695-1c66-77ebc24152c8\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh6.googleusercontent.com/kUmK5oAyst2Pq-cy1XvLKp4le2Lee4ghMSs74ii7PFK_0sAZIAm9CmvZB_G8BBCvQsIBoHdSH4UuO9zEEL0ONl2Kc30qrTGK0oieMdk3m95FsSWfPkj5fV01R37PbU9gUKc0rWtvcp7D5jxHdaZ4XbUq8Wh5_7NjZxHNM5h78aK8dKMdVH7p-Wqeq2WUwg\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:575px;\"><img src=\"https://lh6.googleusercontent.com/ha5r3-EvwHOGrsRO6G6axQz3JAqXqa47-7ufgtPRhdLkIKAqUa00n3hFkQNBZM864L5E9-4O-r9U1RHvuo7xmaonUTyUwMfaS7OBvDofSUT_RcSeF2vFCqKCegafvVZbxl16sQGAul1ngtkfBnXrbq42l7piGWyWwYC0gTsaWWorYSqpHZmUsxD_yDZm0A\" width=\"864\" height=\"575\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh4.googleusercontent.com/qUfwK3WyoFHx83NNfkwXbuyIdR7wCkva8P8apNjH9fuQxbuEO5nvgQkjS9SONzkrun-AJAUA6_OkKe7rNif_VXjB_6aNizi3buYRi5OlkAqo_k_pSeB-q5dk-SbfrY8EWF2YK6X2cgNs4SLC-in20prdj31z2qeCB4e7XuiDh9XRuIytZVe-96Z94rEPwA\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',19,NULL,16,'Published',0,0,55.00000000,50.00000000,'2024-09-07 18:52:32','2024-09-26 10:39:16','2024-07-25 11:26:00','2024-11-06 22:22:08','2022-11-24 07:04:43',1,50,3,2.67,5,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1198,'xStnTQoSDuTZu4Y','MV008',NULL,'slouchy-pleated-shorts','Slouchy pleated shorts','<p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh5.googleusercontent.com/DSN_Vu-BAgEEgIElT6pbk3vNnwjquQRFmwHhkRy8WLLuRk8p6UrdzLI3oIpeaKmNKdWca1eqcNhWLhlk1O4YOhgnK3u-YHZVGd6QgyIQ2PnrBCieiHeY8R6LfwRdTRjdRIXeYveyRFgJjWA7FCwRDJtyIFoApIZJz6oThShcWrPswfgQSyfdFxAzCgRszA\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-8fb3c02f-7fff-33dc-873b-fd1bfc4d5a8c\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh4.googleusercontent.com/mWU0tw0FHOM9JCah7uric0iTTcIgFRiC62Z81eH_KQYVjZvxyAQK0XKmUQ_-EQf7zG73d8nkX60oHcbcHzum0E-iD95OxSUfEtxSGJS5zRvYdZswypM0qNsAbPd91Y85tloxu_m5i8ADw3Dkfm2fi1_zzm4Foq98SoGGZmTzgqEOC4y6T5QKoZ5VAvYkrw\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',19,NULL,19,'Published',0,0,59.00000000,NULL,'2024-09-04 23:29:47','2024-09-24 15:11:00','2024-08-03 04:50:46','2024-11-02 23:49:35',NULL,1,30,2,4.00,6,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:29',NULL),(1199,'OHUf3UPUH4MIWl8','MV007',NULL,'waist-straight-slouchy-jeans','Waist straight Slouchy jeans','<p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-0d172b6c-7fff-d971-686d-d8c499e65501\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh4.googleusercontent.com/F0RreXA10cp4URrY8BfYmPteH1FSmvFDRCFrFCpPDdBdwFD264XufKFiAsBfF9GlRrzTwL_9ll_j5ZONswn36E3NkSEVnNtXkUmJxW4CuUL8cVw7Bh3h-IAi-DYAN4x4-fUNVLjqxECZpSKv1NtGU_4gxI_WS8AP2DWXGS9uT_VDQ7iD2R0-4XCEyICDiQ\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh4.googleusercontent.com/OV1zIQSboA82c1sqHC7Gts7MrYnMFBtz_1r3YcZ0ndUAwW05UTlPvJ6j8Se18xOb5Yij9S_2iJq4dPO-ZY9hZeTnZ2vuHcInRPA3HusLTRHURsT7chQAUdcvfwdxnkFTm2r7DerFs-5NcCsoQYYSqtRe2_vKPiQZ8eyI0Fmh9lnNh_u3QzoBV6njPFg_Bw\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh5.googleusercontent.com/LqcRweAp2efqduiChVSl90h6pXGF9fTUssoMLK8ScKmEYKVpYTaMYwggldjt2OhNUPgS6oIc_tcgqB0OvgWGefiblhFVBmiGCYtQ3IxPztEd2IRyeFvnr_3ZP1uOjj6r9y93OJxW63MXb4VfqVxPUOuIsLwpdaiseW_x6BTo31Rs7w8-1XIY-2kbBaWqWA\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p>','',19,NULL,18,'Published',0,9,60.00000000,40.00000000,'2024-08-30 14:50:49','2024-09-23 21:09:28','2024-07-23 23:32:17','2024-10-06 16:58:59','2022-11-24 06:29:47',1,40,3,2.67,8,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:55:01',NULL),(1200,'Q1YUvPGq7XnEMbq','MV006',NULL,'pillow-chair-with-arm-moveable','Pillow Chair with Arm Moveable','<p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh5.googleusercontent.com/4E1GjYxQ4fezxl1DfM_r2Xy7LXXh_jir1og4IfSU2d-6a9QioVZRFcoHlozH6ofPF8VHzMqjnO--dhv_ImEjG4wNgFCXqz8B76nd1i9IrcgnwNZvWB-kwHQ9lU0RvLadG4RX40SQeOMk0nzzugEYAFN_RgOq7DsVqSYwW1858kqPJnDPUwEHsPFImU-V_g\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-f7d228b6-7fff-dbd2-3a85-2910fab66e57\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/9lsRCg1J_QXNeoEHYQEVA6eMaVbS2WpzdbwMRwd_7ehHY9ybuH7U3qNGWNSyQivq-y4VyS4rjWVDftkVNUDyAoUwc58bzjc369i0HiIXBNn0-BOEl_BMVvYHWPu3GLQxncWeErZBAES4f6vZ2uT1lzTbOtACPUhg1BeFCtbvuPgMGvKg63PZkUzJGLbOcg\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh6.googleusercontent.com/hYD2s8wbCk-EYUaUY146DV0Tmo2-VevavyTQXNbzcgV6JMYPI9eYZyqG_oB6Zte9NvSbgcJOKucO-8yuVwUGHp2ZbiV_ZTk-4IqUqGSHEKZml8W_eHAE4mO3c2YNNCxwLE0_7cg4yTA-7XI8ftcRpE0q8kgJwuGt7nFvnm6iYxbgpSjiXM4I_Ji-jTL-Rg\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><br></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p>','',16,NULL,29,'Published',0,9,350.00000000,325.00000000,'2024-09-05 23:56:20','2024-10-08 15:43:58','2024-08-15 19:22:08','2024-11-02 05:54:01','2022-11-23 09:10:00',1,0,2,3.00,4,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:30',NULL),(1201,'D97VeNSVhHQLgN5','MV005',NULL,'pillow-chair-without-arm','Pillow Chair without Arm','<p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh6.googleusercontent.com/yrloxP0o66ozNlrhg3_VgN8bIavwfs9Jfw1eNE242xU-IXlzKPp-9ko_How9cYRxp5kRSzCwriNMoVHGput0qeovMkC5it9MrzcMm1rH_CQuKnXNQ4mvp5jTeTvlQzQY6YmYupSmqK4e2lByNHfES3O0fnsKDwlehnmm0zcJfK1t-XQz0Xz_MpeZJP7s3A\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-f36abb54-7fff-ccab-03c3-04e57cbb00a7\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:616px;\"><img src=\"https://lh6.googleusercontent.com/Hdxpk7f5cekbrHd7ZQB05eNXomZgdVFq4G3KbPHd9J1gl61H_iehghLg1YiwagaXO803j7Lcsxe8GbKORK_rD3CBuN0KoV7CO3WEfUFHJQP_yZHoKh49qZRRc4gFP2eg0EHIsWxPi8nllUaBCO_md2BJlZAT_L8xHhqU5cHhrxdp84CHVCRnIOGzhuvupw\" width=\"864\" height=\"616\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',16,NULL,29,'Published',0,10,370.00000000,NULL,'2024-09-16 08:08:53','2024-09-27 19:30:12','2024-07-24 18:36:33','2024-10-21 15:39:02','2022-11-23 08:56:20',0,37,2,4.50,2,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:30',NULL),(1202,'sHIQEXkq559qpcg','MV004',NULL,'legs-modern-design-pillow-chair','Legs Modern Design Pillow Chair','<p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh6.googleusercontent.com/LGN3gIimdxyzpEUFrazjdZbbJEvdZHLDdp_4L4P3hML-mYn6v9wKeTgPUXdr5IRqcKwGdejJzj8Gt2uC-i4eIZlI9ov7rKvG32oDa4CWwIXmv3CPhUd7c-Y4VaSCVQBCTMgQCiJOdPaPzOxl5H_-rsDtpRCX2mxVf5UjA82SOBFgubfowwFQe3TiXMWC7Q\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-e39b5640-7fff-f859-02ee-66ea0e913102\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh4.googleusercontent.com/9zrCv_AVQqoeU9o7mTaiuv5SbPxXvxGginHWsm3gmiFj2p4qjeLKgfeSr4EBpDgq2wwkJINM6u3rnVc99wVaSvcJHqmH9zgHys0chk7d3kISP1hHiLIq3n3-lbPvaYXoqI9v5YdWRcsuFCf4vlrA_-We_4K5YyAGYUF9JoFHfDpQGIhfVQlgRnsWhvaz6A\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',16,NULL,22,'Published',0,8,330.00000000,300.00000000,'2024-09-12 08:12:10','2024-09-21 05:27:01','2024-09-08 10:51:37','2024-10-31 00:11:50',NULL,0,20,2,4.00,3,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:34:30',NULL),(1203,'lVgMGfzwcnQXnV1','MV003',NULL,'modern-design-four-legs-chair-withou-arms','Modern Design Four Legs Chair withou Arms','<p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:487px;\"><img src=\"https://lh5.googleusercontent.com/he8M2L-8QC_zeN_870z6nwzDUomRsoARaM7QmtVe7vU4Gj9O06PK9qCw0ushcNkZfFr4x5XWliaZcuGXmqpUreTCLZDJ8ewt0dwTpLIujVUOMwB3rp2_G_dWUYIhz5WHhrgNQ1zdjdh0Y5KsAwUusyuZiXyuv9b6ZWB5Cth32RIfpF5kkYt6XNRwEJLVRw\" width=\"864\" height=\"487\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-6247af64-7fff-c29b-f56e-8963900d09bf\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:575px;\"><img src=\"https://lh3.googleusercontent.com/QR9V61JCyB-t0bMxEMd5PTgbjLvWQi9GebrVdIva6rMFO-O1qiBlupRiiz-sYnrKO5-7epu6DLBu76k5T8svsJ2dkCuBe8NWDVB1Sf3lToVMU2Bk2vPuf3pIaYFs0t0EQuNf2DVrxoqKHC3INaNdH2SehOyTz9ZZpHcRy8xcNUcM9GoqqKk96bRTNR1vEg\" width=\"864\" height=\"575\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:432px;\"><img src=\"https://lh3.googleusercontent.com/Cp9M406hZ0yLACC7sCPbhS0PvRs3XF0V-fKkye9yTCZZShLfNIJ1IyzND1VnNHA7gVb9iPLgUGnyWPDlDp9qGfyXu-1Hp80qsfHEE-Ra1W3768Mz8EX_DBZYhi3TCliRzmIpHFQ-y0j0Jxn2S7bqwlFwPxk4zfFoDaBPN8KHiSxjwKmAsCsY8hmUib16uw\" width=\"864\" height=\"432\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',16,NULL,50,'Published',0,9,270.00000000,NULL,'2024-09-01 08:53:55','2024-09-29 15:58:50','2024-08-11 11:34:48','2024-10-13 21:23:20','2022-11-23 08:19:39',0,40,1,4.00,6,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:55:00',NULL),(1204,'GkgZyMdBBQNJbu2','MV002',NULL,'modern-designer-chair-isolated-white-background-furniture-set-3d-render','Modern Designer Chair Isolated White Background Furniture Set 3D Render','<p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-5812f08a-7fff-f494-1269-0af5f740e50d\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:331px;\"><img src=\"https://lh4.googleusercontent.com/4bWPos5Gdd4yGcgkcUK6FHBiPs1mkow-D3tLE6S2toxVwsUx8D4djIg8mrG3DsMwR3U3N6SUPk4Vc-VMtYw0EdVSQfHXzDItSl_eDiWYNflx7zTCaW5NN4PSvBFT57_M6Vsj-rmOuVkZHsHUR1ke7M95mREyU1QqwBFGaiTMmBF3v0AChjEkCGKTPDPHtA\" width=\"864\" height=\"331\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:576px;\"><img src=\"https://lh3.googleusercontent.com/bL3BhJZCw7qBLGCIWEa2voQsO9QT1C-SJrZ6vvzYwfVsmlL-S7Imfntu6qz1rahT2KanjLw6uo1Zi78l61xxsTywgzkLPHo4qwU0WBUNCOJSSJ-kdTzV5lmHIDjnv47bvEvSb_54r_kcVa2oDVp_sjGBJu-IfNHp51eZpobxHzdVPep9wmuLUVu6eSJxrg\" width=\"864\" height=\"576\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p><div><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><br></span></div>','',16,NULL,4,'Published',0,10,220.00000000,215.00000000,'2024-09-16 04:37:39','2024-09-25 21:14:46','2024-09-01 00:21:15','2024-09-24 23:18:32',NULL,1,34,3,2.33,6,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:54:58',NULL),(1205,'e9mxevTwCrdWTad','MV0001',NULL,'one-seat-pillow-yellow-sufa','One Seat Pillow Yellow Sufa','<p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Donec rutrum congue leo eget malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\" id=\"docs-internal-guid-4861992b-7fff-fda3-b62f-25b7f64ae548\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:436px;\"><img src=\"https://lh3.googleusercontent.com/9lsRCg1J_QXNeoEHYQEVA6eMaVbS2WpzdbwMRwd_7ehHY9ybuH7U3qNGWNSyQivq-y4VyS4rjWVDftkVNUDyAoUwc58bzjc369i0HiIXBNn0-BOEl_BMVvYHWPu3GLQxncWeErZBAES4f6vZ2uT1lzTbOtACPUhg1BeFCtbvuPgMGvKg63PZkUzJGLbOcg\" width=\"864\" height=\"436\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt. Quisque velit nisi, pretium ut lacinia in, elementum id enim.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\"><span style=\"border:none;display:inline-block;overflow:hidden;width:864px;height:371px;\"><img src=\"https://lh5.googleusercontent.com/hznX4bF12Vu77FgfYsfRA611cyMSrVqneSIfnLjF7VGfBa9LvfuLIvdHTyt7EDDZjODDpsDOV2Pw_WhxZzgWui8Ztcbfqs6IXhQP2T03kn9kZ2yn9r81g9Nx2-ifoFZUzGIT-x7MHaufxDKfylOd0sX2bRMc2lY_eriLkMTFAfWyS-vx14CQloFhcooeqQ\" width=\"864\" height=\"371\" style=\"margin-left:0px;margin-top:0px;\"></span></span></p><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus suscipit tortor eget felis porttitor volutpat.</span></p><p><b style=\"font-weight:normal;\"><br></b></p><ul style=\"margin-top:0;margin-bottom:0;padding-inline-start:48px;\"><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Pellentesque in ipsum id orci porta dapibus.</span></p></li><li dir=\"ltr\" style=\"list-style-type:disc;font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;\" aria-level=\"1\"><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\" role=\"presentation\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.</span></p></li></ul><p><b style=\"font-weight:normal;\"><br></b></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.</span></p><p dir=\"ltr\" style=\"line-height:1.38;margin-top:0pt;margin-bottom:0pt;\"><span style=\"font-size:11pt;font-family:Arial;color:#000000;background-color:transparent;font-weight:400;font-style:normal;font-variant:normal;text-decoration:none;vertical-align:baseline;white-space:pre;white-space:pre-wrap;\">Cras ultricies ligula sed magna dictum porta. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Sed porttitor lectus nibh.</span></p>','',16,NULL,29,'Published',0,10,410.00000000,400.00000000,'2024-09-01 14:04:41','2024-10-02 18:57:46','2024-08-13 10:20:32','2024-10-08 09:07:56','2022-11-23 06:54:08',1,24,2,4.50,9,'Simple Product',0,'2024-09-19 06:34:28','2024-09-19 06:54:58',NULL),(1206,'kYJ0UZ9alw2ZlNV','MV0012',1194,NULL,'Flowy ruffled dress, Soft Amber, S','',NULL,NULL,NULL,NULL,'Published',0,0,39.00000000,NULL,'2024-09-02 13:12:03','2024-10-07 17:35:47','2024-08-31 18:30:33','2024-11-13 22:02:52',NULL,0,25,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1207,'bFhc1ebA2uUnSnk','MV0013',1194,NULL,'Flowy ruffled dress, Soft Amber, M','',NULL,NULL,NULL,NULL,'Published',0,0,39.00000000,NULL,'2024-09-12 01:02:52','2024-10-03 09:00:33','2024-07-28 02:43:54','2024-10-07 10:01:49',NULL,0,26,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1208,'cFcOE4aokVtm280','MV0014',1194,NULL,'Flowy ruffled dress, Soft Amber, L','',NULL,NULL,NULL,NULL,'Published',0,0,39.00000000,NULL,'2024-09-05 10:09:37','2024-10-03 13:52:49','2024-09-04 23:41:12','2024-10-18 18:44:44',NULL,0,26,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1209,'jEYxaqg046AuHkh','MV0015',1194,NULL,'Flowy ruffled dress, Purple, S','',NULL,NULL,NULL,NULL,'Published',0,0,39.00000000,NULL,'2024-09-02 11:46:09','2024-09-29 09:09:04','2024-07-27 01:24:53','2024-11-15 03:39:42',NULL,0,25,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1210,'RBRDujKknP5MyJc','MV0016',1194,NULL,'Flowy ruffled dress, Purple, M','',NULL,NULL,NULL,NULL,'Published',0,0,39.00000000,NULL,'2024-09-02 07:43:16','2024-09-30 11:21:53','2024-09-03 22:10:06','2024-10-12 01:22:32',NULL,0,25,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1211,'W8BKYzcedkrgttr','MV0017',1194,NULL,'Flowy ruffled dress, Purple, L','',NULL,NULL,NULL,NULL,'Published',0,0,39.00000000,NULL,'2024-09-06 15:27:59','2024-10-09 04:53:03','2024-09-01 06:17:43','2024-10-09 17:43:46',NULL,0,25,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1212,'ZoDv1LtihXJbl0R',NULL,1192,NULL,'Crepe fitted suit jacket',NULL,NULL,NULL,NULL,NULL,'Draft',0,0,NULL,NULL,'2024-09-14 05:30:52','2024-10-07 12:05:47','2024-07-31 03:01:32','2024-10-25 11:30:57',NULL,0,0,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,'2022-11-24 09:02:03'),(1213,'MbctKi9GObUvSdD',NULL,1192,NULL,'Crepe fitted suit jacket',NULL,NULL,NULL,NULL,NULL,'Draft',0,0,NULL,NULL,'2024-09-04 18:03:23','2024-10-01 07:56:51','2024-08-28 08:24:33','2024-10-03 18:45:19',NULL,0,0,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,'2022-11-24 09:01:58'),(1214,'wZQHiK0GelCufwN',NULL,1192,NULL,'Crepe fitted suit jacket',NULL,NULL,NULL,NULL,NULL,'Draft',0,0,NULL,NULL,'2024-09-03 08:41:50','2024-10-01 00:22:25','2024-08-18 13:53:00','2024-09-21 23:31:52',NULL,0,0,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,'2022-11-24 09:02:07'),(1215,'taN6x84RaQPBKRO','MV0020',1192,NULL,'Crepe fitted suit jacket, Grey, S','',NULL,NULL,NULL,NULL,'Published',0,0,29.00000000,NULL,'2024-09-03 10:22:50','2024-10-04 01:11:21','2024-09-17 23:48:30','2024-11-15 10:37:15',NULL,0,25,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1216,'K4hKPscJmXT9zbP','MV0021',1192,NULL,'Crepe fitted suit jacket, Grey, M','',NULL,NULL,NULL,NULL,'Published',0,0,30.00000000,NULL,'2024-08-31 01:09:04','2024-10-06 05:12:58','2024-09-13 02:43:12','2024-11-09 13:17:26',NULL,0,15,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1217,'ydnrd5hleqwuzz3','MV0022',1192,NULL,'Crepe fitted suit jacket, Grey, L','',NULL,NULL,NULL,NULL,'Published',0,0,31.00000000,NULL,'2024-09-02 10:05:40','2024-09-27 12:37:19','2024-09-14 04:10:16','2024-10-26 01:49:23',NULL,0,15,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1218,'ii0fBK3fvnTHgjO','MV0023',1192,NULL,'Crepe fitted suit jacket, Pink, S','',NULL,NULL,NULL,NULL,'Published',0,0,29.00000000,NULL,'2024-09-15 11:12:10','2024-09-27 21:48:30','2024-08-23 23:04:11','2024-11-17 08:53:39',NULL,0,15,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1219,'XEeGhftOHJx3Bat','MV0024',1192,NULL,'Crepe fitted suit jacket, Pink, M','',NULL,NULL,NULL,NULL,'Published',0,0,30.00000000,NULL,'2024-09-16 08:24:33','2024-09-23 20:52:08','2024-07-30 15:00:44','2024-10-13 20:21:35',NULL,0,15,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1220,'Y5fATZlKa7hYQiF','MV0025',1192,NULL,'Crepe fitted suit jacket, Pink, L','',NULL,NULL,NULL,NULL,'Published',0,0,31.00000000,NULL,'2024-09-03 16:24:30','2024-10-05 15:29:03','2024-09-08 16:15:56','2024-10-03 18:55:05',NULL,0,15,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1221,'m1DAtvg8qkTKwDp','MV0028',1190,NULL,'Cord textured dress, Vanilla, S','',NULL,NULL,NULL,NULL,'Published',0,0,39.00000000,NULL,'2024-08-31 08:39:27','2024-10-05 13:45:55','2024-09-01 13:29:35','2024-11-01 11:41:34',NULL,0,15,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1222,'wLecSZ5diX0YMad','MV0029',1190,NULL,'Cord textured dress, Vanilla, M','',NULL,NULL,NULL,NULL,'Published',0,0,40.00000000,NULL,'2024-09-03 06:37:18','2024-09-24 16:54:50','2024-09-07 12:41:08','2024-09-19 15:05:25',NULL,0,15,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1223,'dsnHviEPvReK8rF','MV0030',1190,NULL,'Cord textured dress, Vanilla, L','',NULL,NULL,NULL,NULL,'Published',0,0,41.00000000,NULL,'2024-09-14 13:10:43','2024-09-23 16:19:32','2024-08-18 16:00:09','2024-10-11 23:03:59',NULL,0,15,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1224,'wTBsM5E9veeJ28T','MV0031',1190,NULL,'Cord textured dress, Brownish Pink, S','',NULL,NULL,NULL,NULL,'Published',0,0,39.00000000,NULL,'2024-09-08 02:10:22','2024-09-26 13:53:24','2024-08-09 15:08:26','2024-09-22 05:58:45',NULL,0,15,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1225,'4BY5XYXk5ZCGXTD','MV0032',1190,NULL,'Cord textured dress, Brownish Pink, M','',NULL,NULL,NULL,NULL,'Published',0,0,40.00000000,NULL,'2024-09-08 05:32:55','2024-10-01 06:27:36','2024-09-04 15:41:26','2024-11-02 22:47:27',NULL,0,15,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1226,'KRDdPOrCSDcrhx1','MV0033',1190,NULL,'Cord textured dress, Brownish Pink, L','',NULL,NULL,NULL,NULL,'Published',0,0,41.00000000,NULL,'2024-09-17 23:40:31','2024-09-21 14:36:09','2024-08-04 22:26:07','2024-10-08 03:47:18',NULL,0,15,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1227,'3gZa2DtCbbplDiP','MV0036',1188,NULL,'Asymmetric neckline blouse, Almond, S','',NULL,NULL,NULL,NULL,'Published',0,0,39.00000000,NULL,'2024-09-02 13:01:34','2024-10-03 21:13:20','2024-09-11 03:02:27','2024-11-02 08:21:31',NULL,0,25,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1228,'mKTTLGnIQnEi4Pk','MV0037',1188,NULL,'Asymmetric neckline blouse, Almond, M','',NULL,NULL,NULL,NULL,'Published',0,0,41.00000000,NULL,'2024-09-05 06:58:19','2024-10-07 15:45:16','2024-08-12 21:35:15','2024-10-31 15:30:06',NULL,0,14,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1229,'6hTfGVok0d2dMDC','MV0038',1188,NULL,'Asymmetric neckline blouse, Almond, L','',NULL,NULL,NULL,NULL,'Published',0,0,43.00000000,NULL,'2024-09-10 22:08:26','2024-09-22 03:52:55','2024-08-30 10:37:15','2024-10-03 12:04:43',NULL,0,16,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1230,'zuSSF8wxuYqvV9F','MV0039',1188,NULL,'Asymmetric neckline blouse, Bone, S','',NULL,NULL,NULL,NULL,'Published',0,0,39.00000000,NULL,'2024-09-04 00:57:55','2024-09-21 18:23:14','2024-07-21 17:04:07','2024-11-16 05:39:25',NULL,0,14,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1231,'3AaU3LKrAitAMc9','MV0040',1188,NULL,'Asymmetric neckline blouse, Bone, M','',NULL,NULL,NULL,NULL,'Published',0,0,41.00000000,NULL,'2024-09-14 14:55:01','2024-09-30 11:06:44','2024-08-27 20:19:00','2024-10-02 03:47:47',NULL,0,13,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1232,'aa7iwesyemevxAd','MV0041',1188,NULL,'Asymmetric neckline blouse, Bone, L','',NULL,NULL,NULL,NULL,'Published',0,0,43.00000000,NULL,'2024-09-11 19:17:08','2024-10-04 07:24:20','2024-08-06 08:49:17','2024-10-17 08:14:48',NULL,0,16,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1233,'wrFOTpb9L6zaPEl','MV0043',1187,NULL,'Asymmetric design top, S','',NULL,NULL,NULL,NULL,'Published',0,0,36.00000000,NULL,'2024-09-08 16:47:00','2024-09-26 22:58:12','2024-07-30 16:33:21','2024-10-09 10:19:48',NULL,0,15,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1234,'xtzUJ5trvszNsOh','MV0044',1187,NULL,'Asymmetric design top, M','',NULL,NULL,NULL,NULL,'Published',0,0,36.00000000,NULL,'2024-09-01 05:16:03','2024-10-01 19:32:57','2024-08-29 00:14:13','2024-10-09 04:38:13',NULL,0,10,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1235,'RI30ri6YJT5a6at','MV0045',1187,NULL,'Asymmetric design top, L','',NULL,NULL,NULL,NULL,'Published',0,0,36.00000000,NULL,'2024-09-04 00:46:23','2024-09-30 19:56:26','2024-08-03 07:26:14','2024-10-30 14:34:39',NULL,0,12,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1236,'nY4dTIhRzFNNHN5','MV0047',1186,NULL,'Anti-Drop AirPods1 2 Silicone Bluetooth Compatible Earphone Cover Air Pods, Blue','',NULL,1,NULL,NULL,'Published',0,0,30.00000000,NULL,'2024-09-08 02:17:54','2024-09-29 12:27:55','2024-08-30 17:23:08','2024-11-13 23:32:26',NULL,1,12,0,NULL,0,'Variation',0,'2024-09-19 06:34:28','2024-09-19 09:29:15','2024-09-19 09:29:15'),(1237,'ZabnefLXhQrj9dV','MV0048',1186,NULL,'Anti-Drop AirPods1 2 Silicone Bluetooth Compatible Earphone Cover Air Pods, Red','',NULL,1,NULL,NULL,'Published',0,0,31.00000000,NULL,'2024-09-09 16:56:00','2024-09-29 19:59:36','2024-08-03 02:24:53','2024-10-26 11:25:15',NULL,1,13,0,NULL,0,'Variation',0,'2024-09-19 06:34:28','2024-09-19 09:29:15','2024-09-19 09:29:15'),(1238,'aw5Y5X0izrM5WLQ','MV0049',1186,NULL,'Anti-Drop AirPods1 2 Silicone Bluetooth Compatible Earphone Cover Air Pods, Pink','',NULL,1,NULL,NULL,'Published',0,0,32.00000000,NULL,'2024-09-03 03:55:42','2024-09-26 06:50:06','2024-08-26 14:44:54','2024-10-09 17:58:19',NULL,1,14,0,NULL,0,'Variation',0,'2024-09-19 06:34:28','2024-09-19 09:29:15','2024-09-19 09:29:15'),(1239,'Qw5ck0CY61zHnD7','MV0050',1186,NULL,'Anti-Drop AirPods1 2 Silicone Bluetooth Compatible Earphone Cover Air Pods, Green','',NULL,1,NULL,NULL,'Published',0,0,29.00000000,NULL,'2024-09-05 11:13:18','2024-10-05 02:28:48','2024-08-03 15:52:46','2024-10-24 09:34:05',NULL,1,12,0,NULL,0,'Variation',0,'2024-09-19 06:34:28','2024-09-19 09:29:15','2024-09-19 09:29:15'),(1240,'mycWGHNDGchxLZQ','MV0053',1182,NULL,'NVME Case Aluminum M2 to USB 3.1 Gen 2 10Gbps PCIe Type C SSD M.2 Enclosure Portable Box, 256 GB','',NULL,1,NULL,NULL,'Published',0,0,440.00000000,NULL,'2024-09-15 08:54:20','2024-09-24 18:39:43','2024-09-19 05:18:23','2024-10-11 17:26:15',NULL,0,15,0,NULL,0,'Variation',0,'2024-09-19 06:34:28','2024-09-19 09:54:32','2024-09-19 09:54:32'),(1241,'WYKwjI6hW15TPEU','MV0054',1182,NULL,'NVME Case Aluminum M2 to USB 3.1 Gen 2 10Gbps PCIe Type C SSD M.2 Enclosure Portable Box, 512 GB','',NULL,1,NULL,NULL,'Published',0,0,830.00000000,NULL,'2024-09-11 05:53:50','2024-09-19 17:12:51','2024-08-20 06:44:10','2024-10-13 16:30:45',NULL,0,14,0,NULL,0,'Variation',0,'2024-09-19 06:34:28','2024-09-19 09:54:32','2024-09-19 09:54:32'),(1242,'LKqbb3CUQHWyrIx','MV0057',1180,NULL,'Smartwatch Men Support 118 Sports Women Smart Watch, Blue','',NULL,NULL,NULL,NULL,'Published',0,0,25.00000000,NULL,'2024-09-04 13:54:56','2024-10-07 10:48:18','2024-08-19 10:17:12','2024-10-31 15:36:23',NULL,0,11,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1243,'wUZQrTPJV258fZo','MV0058',1180,NULL,'Smartwatch Men Support 118 Sports Women Smart Watch, Black','',NULL,NULL,NULL,NULL,'Published',0,0,27.00000000,NULL,'2024-09-06 11:02:36','2024-09-23 05:58:15','2024-08-19 21:34:23','2024-10-09 15:50:12',NULL,0,16,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1244,'ttkdX4J217rxncl','MV0059',1180,NULL,'Smartwatch Men Support 118 Sports Women Smart Watch, Pink','',NULL,NULL,NULL,NULL,'Published',0,0,28.00000000,NULL,'2024-09-06 20:47:45','2024-10-07 03:55:31','2024-08-30 21:31:22','2024-11-03 19:26:00',NULL,0,25,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1245,'YvAbczySAlv9xWa','MV0061',1179,NULL,'Tumbler Dinosaur Egg Multi-colors Virtual Cyber Digital Pet Game Toy Tamagotchis Digital Electronic E-Pet, Purple','',NULL,NULL,NULL,NULL,'Published',0,0,2.00000000,NULL,'2024-09-16 12:38:39','2024-10-04 19:18:40','2024-09-02 00:08:05','2024-09-27 08:08:05',NULL,0,30,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1246,'o2GhiLq1YOEbkZZ',NULL,1179,NULL,'Tumbler Dinosaur Egg Multi-colors Virtual Cyber Digital Pet Game Toy Tamagotchis Digital Electronic E-Pet',NULL,NULL,NULL,NULL,NULL,'Draft',0,0,NULL,NULL,'2024-09-01 03:01:52','2024-10-07 19:16:44','2024-08-11 07:33:44','2024-10-24 01:28:05',NULL,0,0,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,'2022-11-27 07:54:35'),(1247,'9DnSgjpTYLPa6Kl','MV0062',1179,NULL,'Tumbler Dinosaur Egg Multi-colors Virtual Cyber Digital Pet Game Toy Tamagotchis Digital Electronic E-Pet, Yellow','',NULL,NULL,NULL,NULL,'Published',0,0,2.00000000,NULL,'2024-09-06 05:24:24','2024-09-29 14:51:54','2024-09-15 21:15:23','2024-10-11 22:01:04',NULL,0,16,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1248,'PecYDXnJEHBT26s','MV0063',1179,NULL,'Tumbler Dinosaur Egg Multi-colors Virtual Cyber Digital Pet Game Toy Tamagotchis Digital Electronic E-Pet, White','',NULL,NULL,NULL,NULL,'Published',0,0,1.00000000,NULL,'2024-09-10 22:15:34','2024-09-20 10:04:35','2024-08-14 15:28:41','2024-11-06 05:31:23',NULL,0,0,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1249,'hMDPEU5hJ2HNuS4','MV0065',1178,NULL,'Smart Bracelet Sports Bracelet D13 Color Screen Bracelet Sports Pedometer Bluetooth Reminder Heart Rate Blood Pressure, Blue','',NULL,NULL,NULL,NULL,'Published',0,0,25.00000000,NULL,'2024-09-01 21:12:58','2024-10-04 11:09:34','2024-09-01 05:25:42','2024-10-20 22:15:03',NULL,0,12,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1250,'JfRvM78f5ayzn4D','MV0066',1178,NULL,'Smart Bracelet Sports Bracelet D13 Color Screen Bracelet Sports Pedometer Bluetooth Reminder Heart Rate Blood Pressure, Brownish Pink','',NULL,NULL,NULL,NULL,'Published',0,0,24.00000000,NULL,'2024-09-08 18:02:17','2024-09-23 17:53:54','2024-08-09 14:13:40','2024-11-07 17:42:16',NULL,0,17,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1251,'tu5iaMYKLEgY4ec','MV0067',1178,NULL,'Smart Bracelet Sports Bracelet D13 Color Screen Bracelet Sports Pedometer Bluetooth Reminder Heart Rate Blood Pressure, Black','',NULL,NULL,NULL,NULL,'Published',0,0,25.00000000,NULL,'2024-09-02 00:07:20','2024-09-24 04:55:20','2024-08-29 04:17:39','2024-10-24 21:27:24',NULL,0,12,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1252,'gGpXfL6IxwcrumP','MV0071',1175,NULL,'USB Type C Cable 2 IN 1 Fast Charging Cord Data Sync Charger Line Speed Transfer, Blue','',NULL,NULL,NULL,NULL,'Published',0,0,10.00000000,NULL,'2024-09-16 04:31:57','2024-09-28 02:41:08','2024-08-12 14:13:04','2024-10-07 03:03:38',NULL,0,13,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1253,'o9lZ0lIFVPAk4TG','MV0072',1175,NULL,'USB Type C Cable 2 IN 1 Fast Charging Cord Data Sync Charger Line Speed Transfer, White','',NULL,NULL,NULL,NULL,'Published',0,0,11.00000000,NULL,'2024-09-10 10:28:26','2024-09-21 04:50:22','2024-09-17 12:36:33','2024-11-08 04:48:22',NULL,0,16,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1254,'eM0iKXGooOUwUGG','MV0073',1175,NULL,'USB Type C Cable 2 IN 1 Fast Charging Cord Data Sync Charger Line Speed Transfer, Black','',NULL,NULL,NULL,NULL,'Published',0,0,12.00000000,NULL,'2024-09-03 01:23:27','2024-09-25 12:18:16','2024-08-27 06:09:49','2024-10-28 14:49:28',NULL,0,16,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1255,'PwzdeQFXLArBuUp','MV0076',1173,NULL,'Velvet Jewelry Organizer Gift Small Bag Touching Plush Drawstring Packaging Storage, Blue','',NULL,NULL,NULL,NULL,'Published',0,0,99.00000000,NULL,'2024-09-07 03:25:36','2024-10-05 07:48:45','2024-08-02 12:14:50','2024-10-21 20:52:09',NULL,1,50,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1256,'VLOkrhvgXb75TFB','MV0077',1173,NULL,'Velvet Jewelry Organizer Gift Small Bag Touching Plush Drawstring Packaging Storage, Green','',NULL,NULL,NULL,NULL,'Published',0,0,99.00000000,NULL,'2024-09-13 06:33:33','2024-09-24 02:26:57','2024-08-14 16:58:19','2024-11-01 02:31:43',NULL,1,50,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1257,'1tk6fZaZ9UY2ivw','MV0085',1166,NULL,'Cartoon Fish School Bag Student Fashion Schoolbag Girls Lovely Backpack, Blue','',NULL,NULL,NULL,NULL,'Published',0,0,35.00000000,32.00000000,'2024-09-08 03:54:07','2024-10-08 05:52:20','2024-07-30 23:47:01','2024-11-17 00:32:21',NULL,0,19,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1258,'0iyG2ZpJjeQ2q5p','MV0086',1166,NULL,'Cartoon Fish School Bag Student Fashion Schoolbag Girls Lovely Backpack, Red','',NULL,NULL,NULL,NULL,'Published',0,0,35.00000000,33.00000000,'2024-09-16 21:29:55','2024-10-05 09:46:00','2024-09-18 06:58:38','2024-11-13 16:05:36',NULL,0,36,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1259,'Yk2c3n6p5nwXJBI','MV0089',1164,NULL,'Napkin Sanitary Pad Pouch Women Girl Cute Towel Storage Bag Coin Purse Lipstick Headphone Case, Brown','',NULL,NULL,NULL,NULL,'Published',0,0,3.00000000,NULL,'2024-09-14 04:04:04','2024-09-19 14:55:16','2024-09-13 12:15:21','2024-09-23 04:47:22',NULL,0,17,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1260,'GnvoqydSItgPAfw','MV0090',1164,NULL,'Napkin Sanitary Pad Pouch Women Girl Cute Towel Storage Bag Coin Purse Lipstick Headphone Case, Red','',NULL,NULL,NULL,NULL,'Published',0,0,3.00000000,NULL,'2024-08-31 17:51:37','2024-10-03 00:09:33','2024-08-28 05:51:24','2024-09-19 10:56:38',NULL,0,18,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1261,'Ol3JN6y5GcnmeCG','MV0091',1164,NULL,'Napkin Sanitary Pad Pouch Women Girl Cute Towel Storage Bag Coin Purse Lipstick Headphone Case, Grey','',NULL,NULL,NULL,NULL,'Published',0,0,3.00000000,NULL,'2024-09-08 15:07:45','2024-09-23 23:50:08','2024-08-18 04:07:13','2024-11-10 13:23:34',NULL,0,45,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1262,'e14kKp22R5ShzdO','MV0092',1164,NULL,'Napkin Sanitary Pad Pouch Women Girl Cute Towel Storage Bag Coin Purse Lipstick Headphone Case, Black','',NULL,NULL,NULL,NULL,'Published',0,0,3.00000000,NULL,'2024-09-01 06:17:21','2024-09-25 00:37:58','2024-09-13 08:09:11','2024-10-13 12:58:02',NULL,0,35,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1263,'YwLCN26rlaDshyP','MV0094',1163,NULL,'Men Travel Bag Large Capacity Waterproof Storage Bag Bathroom Toiletries Organizer Multifunctional, Blue','',NULL,NULL,NULL,NULL,'Published',0,0,15.00000000,NULL,'2024-09-12 21:26:28','2024-10-07 16:24:39','2024-07-30 02:24:17','2024-11-15 16:40:55',NULL,0,7,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1264,'k5LBZTS6GuZ6IXh','MV0095',1163,NULL,'Men Travel Bag Large Capacity Waterproof Storage Bag Bathroom Toiletries Organizer Multifunctional, Black','',NULL,NULL,NULL,NULL,'Published',0,0,17.00000000,NULL,'2024-08-30 06:57:06','2024-09-21 15:58:34','2024-08-26 11:03:14','2024-09-19 21:25:31',NULL,0,9,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1265,'j7s4OO1oIrPuhjc','MV0096',1163,NULL,'Men Travel Bag Large Capacity Waterproof Storage Bag Bathroom Toiletries Organizer Multifunctional, Pink','',NULL,NULL,NULL,NULL,'Published',0,0,16.00000000,NULL,'2024-09-14 09:39:18','2024-09-21 02:54:04','2024-07-22 10:35:07','2024-11-05 03:16:06',NULL,0,10,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1266,'hcDEQyhQN1kJSho','MV0098',1162,NULL,'Women Chain Small Shoulder Bags Fashion Pu Leather Silk Scarf Crossbody Bags, Blue','',NULL,NULL,NULL,NULL,'Published',0,0,25.00000000,NULL,'2024-09-01 05:26:55','2024-10-08 06:46:18','2024-08-30 20:46:59','2024-09-28 02:56:29',NULL,0,14,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1267,'n9GQ6V2pkp8nBKX','MV0099',1162,NULL,'Women Chain Small Shoulder Bags Fashion Pu Leather Silk Scarf Crossbody Bags, Green','',NULL,NULL,NULL,NULL,'Published',0,0,26.00000000,NULL,'2024-09-07 03:59:44','2024-10-02 05:03:29','2024-08-06 17:56:10','2024-11-09 01:39:37',NULL,0,35,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1268,'Fs7ibKE6MXLxnTs','MV0100',1162,NULL,'Women Chain Small Shoulder Bags Fashion Pu Leather Silk Scarf Crossbody Bags, White','',NULL,NULL,NULL,NULL,'Published',0,0,25.00000000,NULL,'2024-09-19 06:31:55','2024-09-29 18:21:53','2024-07-25 09:38:01','2024-11-11 12:05:47',NULL,0,35,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1269,'tkPMFuDzG4M7tQf','MV0101',1162,NULL,'Women Chain Small Shoulder Bags Fashion Pu Leather Silk Scarf Crossbody Bags, Black','',NULL,NULL,NULL,NULL,'Published',0,0,26.00000000,NULL,'2024-09-18 19:33:01','2024-09-28 11:37:35','2024-08-06 22:14:05','2024-10-30 11:19:17',NULL,0,23,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1270,'9nDdUdbiNDSRx0M','MV0102',1161,NULL,'Girls Cute Clutches New Fashion Solid Color Leather Coin Purses Women Hasp Small Wallets Mini Change Purse Lady Pocket Bags, Blue','',NULL,NULL,NULL,NULL,'Published',0,0,35.00000000,NULL,'2024-09-05 02:13:00','2024-10-01 05:17:11','2024-07-26 06:37:01','2024-09-29 17:52:59',NULL,0,29,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1271,'jTKjGySCQRTl5yb','MV0103',1161,NULL,'Girls Cute Clutches New Fashion Solid Color Leather Coin Purses Women Hasp Small Wallets Mini Change Purse Lady Pocket Bags, Pink','',NULL,NULL,NULL,NULL,'Published',0,0,35.00000000,NULL,'2024-09-15 22:36:16','2024-09-27 22:25:49','2024-08-31 13:22:22','2024-10-04 09:43:10',NULL,0,24,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1272,'7yaggp22ins9gT8','MV0104',1161,NULL,'Girls Cute Clutches New Fashion Solid Color Leather Coin Purses Women Hasp Small Wallets Mini Change Purse Lady Pocket Bags, Powder Blue','',NULL,NULL,NULL,NULL,'Published',0,0,36.00000000,NULL,'2024-09-04 10:47:02','2024-10-06 11:55:07','2024-08-19 05:31:41','2024-10-27 12:06:59',NULL,0,18,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1273,'0tSZceEG5gBdihP','MV0105',1161,NULL,'Girls Cute Clutches New Fashion Solid Color Leather Coin Purses Women Hasp Small Wallets Mini Change Purse Lady Pocket Bags, Orange','',NULL,NULL,NULL,NULL,'Published',0,0,36.00000000,NULL,'2024-09-05 21:50:46','2024-10-04 09:08:13','2024-08-15 04:31:43','2024-11-14 11:15:13',NULL,0,44,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1274,'jHZIvsfSodlSnuy','MV0111',1156,NULL,'Boys Shirts Classic Casual Plaid Flannel Children shirts, Blue','',NULL,NULL,NULL,NULL,'Published',0,0,25.00000000,NULL,'2024-09-08 11:27:46','2024-09-27 04:43:14','2024-08-01 13:15:53','2024-10-13 02:56:11',NULL,0,33,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1275,'GnNBMHsgFXpdHWS','MV0112',1156,NULL,'Boys Shirts Classic Casual Plaid Flannel Children shirts, Orange','',NULL,NULL,NULL,NULL,'Published',0,0,25.00000000,NULL,'2024-08-31 01:46:18','2024-09-29 12:12:13','2024-07-30 11:13:18','2024-09-27 17:32:24',NULL,0,22,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1276,'I6aSrVpOS4w6bOU','MV0113',1156,NULL,'Boys Shirts Classic Casual Plaid Flannel Children shirts, Purple','',NULL,NULL,NULL,NULL,'Published',0,0,26.00000000,NULL,'2024-09-14 03:24:04','2024-10-09 05:03:11','2024-08-15 23:33:33','2024-10-12 22:56:29',NULL,0,13,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1277,'wfKfdVZybZuUbnA','MV0114',1156,NULL,'Boys Shirts Classic Casual Plaid Flannel Children shirts, Grey','',NULL,NULL,NULL,NULL,'Published',0,0,25.00000000,NULL,'2024-09-12 12:10:27','2024-10-03 09:02:23','2024-08-03 08:15:17','2024-09-21 21:28:08',NULL,0,16,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1278,'DhgObdKEZ2QgyB7','MV0115',1156,NULL,'Boys Shirts Classic Casual Plaid Flannel Children shirts, Mango Orange','',NULL,NULL,NULL,NULL,'Published',0,0,27.00000000,NULL,'2024-08-31 16:24:58','2024-09-21 08:44:24','2024-07-26 14:19:27','2024-10-07 19:26:20',NULL,0,35,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1279,'k4o6ktlfNa7PB2R','MV0117',1155,NULL,'Cotton Newborn Baby Long Sleeve Romper Jumpsuits Outfits Boy Toddler Handsome, Blue','',NULL,NULL,NULL,NULL,'Published',0,0,59.00000000,NULL,'2024-09-10 16:19:06','2024-10-07 08:03:05','2024-07-26 04:41:10','2024-10-29 03:20:15',NULL,0,24,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1280,'KBdWjExQ3A4hOuN','MV0118',1155,NULL,'Cotton Newborn Baby Long Sleeve Romper Jumpsuits Outfits Boy Toddler Handsome, Grey','',NULL,NULL,NULL,NULL,'Published',0,0,60.00000000,NULL,'2024-09-08 16:19:00','2024-09-23 09:51:16','2024-08-26 22:50:53','2024-09-21 23:05:08',NULL,0,44,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1281,'VhteXaPVEo4ejT8','MV0119',1155,NULL,'Cotton Newborn Baby Long Sleeve Romper Jumpsuits Outfits Boy Toddler Handsome, Black','',NULL,NULL,NULL,NULL,'Published',0,0,59.00000000,NULL,'2024-09-12 23:53:08','2024-09-19 22:16:30','2024-08-23 22:34:47','2024-09-22 19:26:55',NULL,0,32,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1282,'qiJYYeqigXTkaD2','MV0120',1155,NULL,'Cotton Newborn Baby Long Sleeve Romper Jumpsuits Outfits Boy Toddler Handsome, Pink','',NULL,NULL,NULL,NULL,'Published',0,0,60.00000000,NULL,'2024-09-03 15:04:31','2024-09-30 18:19:05','2024-07-25 11:28:51','2024-10-08 12:51:06',NULL,0,26,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1283,'8O3f9IYYFMEEX1h','MV0122',1154,NULL,'Kids Plaid Princess Pettiskirt Teenager Girl Skirt For School Plaid Skirts, Brown','',NULL,NULL,NULL,NULL,'Published',0,0,49.00000000,NULL,'2024-09-16 15:34:37','2024-09-26 23:43:07','2024-09-04 08:17:03','2024-11-16 19:50:04',NULL,0,46,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1284,'3d5AV9nuCvq5Fai','MV0123',1154,NULL,'Kids Plaid Princess Pettiskirt Teenager Girl Skirt For School Plaid Skirts, Grey','',NULL,NULL,NULL,NULL,'Published',0,0,49.00000000,NULL,'2024-09-06 09:27:40','2024-09-30 11:29:55','2024-09-05 19:04:43','2024-09-30 22:26:40',NULL,0,33,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1285,'WlBYbAXwPkcwlBa','MV0124',1154,NULL,'Kids Plaid Princess Pettiskirt Teenager Girl Skirt For School Plaid Skirts, Black','',NULL,NULL,NULL,NULL,'Published',0,0,50.00000000,NULL,'2024-09-12 00:05:54','2024-10-03 19:11:11','2024-08-20 22:55:48','2024-10-03 21:10:37',NULL,0,22,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1286,'K3YNzTYszaF6USy','MV0127',1152,NULL,'Miyake Pleated Women New Fashion Printed Loose, Blue, S','',NULL,NULL,NULL,NULL,'Published',0,0,99.00000000,NULL,'2024-09-06 21:45:59','2024-10-04 00:02:57','2024-07-28 21:34:00','2024-11-09 20:24:34',NULL,0,33,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1287,'mpI1kDXws59gCvP','MV0128',1152,NULL,'Miyake Pleated Women New Fashion Printed Loose, Blue, M','',NULL,NULL,NULL,NULL,'Published',0,0,99.00000000,NULL,'2024-09-06 06:38:17','2024-10-08 09:33:38','2024-08-12 12:07:54','2024-10-17 02:48:34',NULL,0,44,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1288,'RwprM0BoDhur9qX','MV0129',1152,NULL,'Miyake Pleated Women New Fashion Printed Loose, Blue, L','',NULL,NULL,NULL,NULL,'Published',0,0,99.00000000,NULL,'2024-09-15 13:45:30','2024-10-06 03:11:14','2024-08-14 11:13:33','2024-11-04 19:35:51',NULL,0,22,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1289,'BRQslkZujopV5ji','MV0130',1152,NULL,'Miyake Pleated Women New Fashion Printed Loose, Orange, S','',NULL,NULL,NULL,NULL,'Published',0,0,99.00000000,NULL,'2024-09-10 16:53:46','2024-10-06 23:02:05','2024-08-17 23:53:30','2024-10-11 07:38:00',NULL,0,26,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1290,'64LOEu8BXiT5MuP','MV0131',1152,NULL,'Miyake Pleated Women New Fashion Printed Loose, Orange, M','',NULL,NULL,NULL,NULL,'Published',0,0,99.00000000,NULL,'2024-09-16 15:54:27','2024-09-20 19:57:58','2024-07-26 22:02:21','2024-09-26 16:30:06',NULL,0,23,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1291,'YCKcwAlIsncnu5v','MV0132',1152,NULL,'Miyake Pleated Women New Fashion Printed Loose, Orange, L','',NULL,NULL,NULL,NULL,'Published',0,0,99.00000000,NULL,'2024-09-10 22:23:03','2024-09-29 02:25:28','2024-09-02 21:52:23','2024-10-04 09:50:04',NULL,0,27,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1292,'ZRWZFCwhAbiRKJP','MV0135',1150,NULL,'Red T-Shirt Print Men and Women Short-sleeved Sport Fashion Clothing, M','',NULL,NULL,NULL,NULL,'Published',0,0,45.00000000,NULL,'2024-09-03 12:00:18','2024-10-03 22:03:47','2024-09-09 06:40:17','2024-10-22 16:09:22',NULL,0,32,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1293,'UKTjSuERJUH4I3w','MV0136',1150,NULL,'Red T-Shirt Print Men and Women Short-sleeved Sport Fashion Clothing, L','',NULL,NULL,NULL,NULL,'Published',0,0,47.00000000,NULL,'2024-09-14 20:48:01','2024-09-27 20:13:53','2024-08-16 06:58:40','2024-10-25 14:32:06',NULL,0,36,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1294,'8VvAYidw0anCLoQ','MV0138',1149,NULL,'Summer New Fashion Geometry Pattern Printed Elegant High-Grade Loose Plus Size Women\'s Dress, Brownish Pink','',NULL,NULL,NULL,NULL,'Published',0,0,79.00000000,NULL,'2024-09-09 09:47:01','2024-09-23 19:35:40','2024-08-20 10:05:26','2024-10-15 11:53:36',NULL,0,29,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1295,'V7OvzjU0R7WqC0X','MV0139',1149,NULL,'Summer New Fashion Geometry Pattern Printed Elegant High-Grade Loose Plus Size Women\'s Dress, Powder Blue','',NULL,NULL,NULL,NULL,'Published',0,0,79.00000000,NULL,'2024-09-01 00:14:53','2024-10-02 07:49:23','2024-08-20 15:20:54','2024-11-18 03:38:10',NULL,0,34,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1296,'btEZqWM1tgAWRUB','MV0141',1148,NULL,'Summer New Women T-Shirts Harajuku Kawaii Cute animal Flamingo Printing, Blue','',NULL,NULL,NULL,NULL,'Published',0,0,29.00000000,NULL,'2024-09-04 09:43:58','2024-10-08 04:16:45','2024-08-26 16:32:10','2024-11-10 07:35:08',NULL,0,19,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1297,'AR0RIS1MDpMZQ0i','MV0142',1148,NULL,'Summer New Women T-Shirts Harajuku Kawaii Cute animal Flamingo Printing, Green','',NULL,NULL,NULL,NULL,'Published',0,0,29.00000000,NULL,'2024-09-05 13:44:34','2024-09-29 16:29:30','2024-08-29 12:08:53','2024-10-31 18:08:40',NULL,0,34,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1298,'biV2ZtvI0exHM2p','MV0143',1148,NULL,'Summer New Women T-Shirts Harajuku Kawaii Cute animal Flamingo Printing, Purple','',NULL,NULL,NULL,NULL,'Published',0,0,29.00000000,NULL,'2024-09-02 19:06:46','2024-09-27 05:56:08','2024-07-25 10:24:35','2024-09-19 22:02:30',NULL,0,26,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1299,'WRzx1oQrh7k9VoJ','MV0144',1148,NULL,'Summer New Women T-Shirts Harajuku Kawaii Cute animal Flamingo Printing, Red','',NULL,NULL,NULL,NULL,'Published',0,0,19.00000000,NULL,'2024-09-10 11:58:43','2024-09-23 20:51:10','2024-08-02 23:24:37','2024-11-14 10:02:22',NULL,0,37,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1300,'wvUT94H42yS11Xk','MV0147',1146,NULL,'Two Piece Set Tracksuit Women Top+Pant Suits Hoodie Sweatshirt With Pockets, Blue','',NULL,NULL,NULL,NULL,'Published',0,0,99.00000000,NULL,'2024-09-05 07:50:20','2024-09-30 01:58:34','2024-09-19 03:59:20','2024-10-14 08:37:09',NULL,0,35,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1301,'KRGqDWAH9pF2FuJ','MV0148',1146,NULL,'Two Piece Set Tracksuit Women Top+Pant Suits Hoodie Sweatshirt With Pockets, Grey','',NULL,NULL,NULL,NULL,'Published',0,0,99.00000000,NULL,'2024-08-31 12:07:27','2024-10-03 08:22:19','2024-08-25 22:27:50','2024-10-03 05:56:58',NULL,0,33,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1302,'00TGGRjG2iCnlZo','MV0150',1145,NULL,'Winter New Baby Retro Thicken Plus Fleece Embroidery Wheat, Purple','',NULL,NULL,NULL,NULL,'Published',0,0,69.00000000,NULL,'2024-09-01 19:21:52','2024-10-05 05:52:25','2024-07-29 03:38:21','2024-10-03 10:16:58',NULL,0,34,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1303,'P84XqD67EXS4MMO','MV0151',1145,NULL,'Winter New Baby Retro Thicken Plus Fleece Embroidery Wheat, Grey','',NULL,NULL,NULL,NULL,'Published',0,0,69.00000000,NULL,'2024-08-31 21:48:29','2024-09-27 20:08:28','2024-08-31 03:29:57','2024-10-03 03:34:50',NULL,0,22,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1304,'PiI4LhAQ4Ym3BmO','MV0153',1144,NULL,'Woman Korean O-neck Knitted Pullovers Thick Autumn Winter Candy Color Loose Hoodies Solid Womens Clothing, Red','',NULL,NULL,NULL,NULL,'Published',0,0,75.00000000,NULL,'2024-09-15 06:22:20','2024-09-30 16:09:36','2024-08-25 13:09:05','2024-10-11 03:30:22',NULL,0,33,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1305,'xJlmpc7gTa3v5mk','MV0154',1144,NULL,'Woman Korean O-neck Knitted Pullovers Thick Autumn Winter Candy Color Loose Hoodies Solid Womens Clothing, White','',NULL,NULL,NULL,NULL,'Published',0,0,75.00000000,NULL,'2024-09-16 15:09:06','2024-10-04 15:33:23','2024-08-11 07:59:50','2024-11-07 15:07:04',NULL,0,22,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1306,'zVhu3wK073Y4W4Z','MV0155',1144,NULL,'Woman Korean O-neck Knitted Pullovers Thick Autumn Winter Candy Color Loose Hoodies Solid Womens Clothing, Grey','',NULL,NULL,NULL,NULL,'Published',0,0,75.00000000,NULL,'2024-09-03 19:55:57','2024-10-04 06:29:03','2024-07-30 07:12:30','2024-10-03 17:04:55',NULL,0,21,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1307,'QDiw6POQDUgdtDB','MV0156',1144,NULL,'Woman Korean O-neck Knitted Pullovers Thick Autumn Winter Candy Color Loose Hoodies Solid Womens Clothing, Black','',NULL,NULL,NULL,NULL,'Published',0,0,75.00000000,NULL,'2024-09-05 20:55:22','2024-09-28 06:43:27','2024-07-26 23:13:07','2024-09-29 17:21:29',NULL,0,42,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1308,'Zqi3kHMfUCLxxl2','MV0157',1144,NULL,'Woman Korean O-neck Knitted Pullovers Thick Autumn Winter Candy Color Loose Hoodies Solid Womens Clothing, Pink','',NULL,NULL,NULL,NULL,'Published',0,0,75.00000000,NULL,'2024-09-09 11:04:45','2024-09-19 16:12:51','2024-08-14 13:50:29','2024-10-06 19:26:47',NULL,0,21,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1309,'5mcEkJZMPGF4eM4','MV0159',1143,NULL,'Women Chiffon Solid Pure Basic Soft Red Blouses Tops Summer Top Casual Loose Short Sleeve, Bone, M','',NULL,NULL,NULL,NULL,'Published',0,0,45.00000000,NULL,'2024-09-11 12:02:37','2024-09-29 00:53:07','2024-09-11 06:09:09','2024-10-24 03:11:42',NULL,0,25,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1310,'XBCS55zKyUX5xup','MV0160',1143,NULL,'Women Chiffon Solid Pure Basic Soft Red Blouses Tops Summer Top Casual Loose Short Sleeve, Bone, L','',NULL,NULL,NULL,NULL,'Published',0,0,45.00000000,NULL,'2024-09-17 09:56:48','2024-09-19 14:21:16','2024-08-04 06:37:58','2024-10-26 05:22:53',NULL,0,19,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1311,'uBHgMyJgKfIGyyf','MV0161',1143,NULL,'Women Chiffon Solid Pure Basic Soft Red Blouses Tops Summer Top Casual Loose Short Sleeve, White, M','',NULL,NULL,NULL,NULL,'Published',0,0,45.00000000,NULL,'2024-09-01 05:40:18','2024-09-19 09:08:09','2024-08-08 02:40:57','2024-10-29 23:01:31',NULL,0,27,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1312,'Mqq2wC618Nk9DN7','MV0162',1143,NULL,'Women Chiffon Solid Pure Basic Soft Red Blouses Tops Summer Top Casual Loose Short Sleeve, White, L','',NULL,NULL,NULL,NULL,'Published',0,0,45.00000000,NULL,'2024-09-06 13:20:09','2024-10-04 17:23:19','2024-08-02 15:17:52','2024-11-11 21:22:01',NULL,0,13,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1313,'jw11fbK4oMjZseL','MV0163',1143,NULL,'Women Chiffon Solid Pure Basic Soft Red Blouses Tops Summer Top Casual Loose Short Sleeve, Pale Blue Lily, M','',NULL,NULL,NULL,NULL,'Published',0,0,45.00000000,NULL,'2024-09-06 00:14:14','2024-09-23 16:56:10','2024-08-08 22:11:33','2024-10-13 14:22:18',NULL,0,12,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1314,'FZLJDHaMy8UJKQe','MV0164',1143,NULL,'Women Chiffon Solid Pure Basic Soft Red Blouses Tops Summer Top Casual Loose Short Sleeve, Pale Blue Lily, L','',NULL,NULL,NULL,NULL,'Published',0,0,45.00000000,NULL,'2024-09-17 08:08:56','2024-10-02 03:17:19','2024-09-04 08:30:58','2024-10-13 05:44:24',NULL,0,14,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1315,'iMG5xl2R56rGs1v','MV0165',1143,NULL,'Women Chiffon Solid Pure Basic Soft Red Blouses Tops Summer Top Casual Loose Short Sleeve, Sea Mist, M','',NULL,NULL,NULL,NULL,'Published',0,0,45.00000000,NULL,'2024-09-17 12:49:34','2024-10-02 09:03:03','2024-08-29 01:25:39','2024-09-28 00:12:28',NULL,0,16,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1316,'G9XWtNLaaWX7c1g','MV0166',1143,NULL,'Women Chiffon Solid Pure Basic Soft Red Blouses Tops Summer Top Casual Loose Short Sleeve, Sea Mist, L','',NULL,NULL,NULL,NULL,'Published',0,0,45.00000000,NULL,'2024-09-06 08:19:18','2024-09-27 21:25:41','2024-08-19 21:07:04','2024-10-24 15:43:06',NULL,0,13,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1317,'FaDfMjr5wKYEc7s','MV0167',1143,NULL,'Women Chiffon Solid Pure Basic Soft Red Blouses Tops Summer Top Casual Loose Short Sleeve, Red-Orange, M','',NULL,NULL,NULL,NULL,'Published',0,0,45.00000000,NULL,'2024-09-18 08:11:20','2024-10-05 15:30:11','2024-08-26 23:02:19','2024-10-10 00:57:22',NULL,0,19,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1318,'Pjm25632hZyIXSA','MV0168',1143,NULL,'Women Chiffon Solid Pure Basic Soft Red Blouses Tops Summer Top Casual Loose Short Sleeve, Red-Orange, L','',NULL,NULL,NULL,NULL,'Published',0,0,45.00000000,NULL,'2024-09-10 15:30:44','2024-10-03 10:12:02','2024-07-29 07:27:19','2024-11-13 21:49:40',NULL,0,17,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1319,'kgKJzgh3Y63zeCX','MV0169',1143,NULL,'Women Chiffon Solid Pure Basic Soft Red Blouses Tops Summer Top Casual Loose Short Sleeve, Ecru White, M','',NULL,NULL,NULL,NULL,'Published',0,0,45.00000000,NULL,'2024-09-15 21:22:30','2024-09-29 16:30:41','2024-09-02 03:08:17','2024-10-08 09:28:03',NULL,0,34,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1320,'l0LQUYzEQeu92qn','MV0170',1143,NULL,'Women Chiffon Solid Pure Basic Soft Red Blouses Tops Summer Top Casual Loose Short Sleeve, Ecru White, L','',NULL,NULL,NULL,NULL,'Published',0,0,45.00000000,NULL,'2024-08-31 17:53:30','2024-09-26 02:59:11','2024-08-18 18:06:44','2024-10-25 05:34:06',NULL,0,46,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1321,'BcOfyRWl4vHs27x','MV0174',1141,NULL,'Women Solid Jacket Thick Short Hoodies Sweatshirt Kangaroo Long Sleeve Sweatshirt, Blue, S','',NULL,NULL,NULL,NULL,'Published',0,0,89.00000000,NULL,'2024-09-03 03:44:24','2024-10-08 04:03:00','2024-09-03 19:08:36','2024-09-21 18:12:37',NULL,0,26,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1322,'iydmO5PtDepWe5f','MV0175',1141,NULL,'Women Solid Jacket Thick Short Hoodies Sweatshirt Kangaroo Long Sleeve Sweatshirt, Blue, M','',NULL,NULL,NULL,NULL,'Published',0,0,89.00000000,NULL,'2024-08-30 22:23:58','2024-09-20 10:10:45','2024-09-16 10:40:12','2024-10-14 04:19:10',NULL,0,15,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1323,'vqnOTi17R2c6Qgg','MV0176',1141,NULL,'Women Solid Jacket Thick Short Hoodies Sweatshirt Kangaroo Long Sleeve Sweatshirt, Blue, L','',NULL,NULL,NULL,NULL,'Published',0,0,89.00000000,NULL,'2024-09-13 02:44:45','2024-09-22 23:57:16','2024-09-08 00:56:28','2024-10-11 12:05:30',NULL,0,17,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1324,'gJnGmhFA2zHAgzG','MV0177',1141,NULL,'Women Solid Jacket Thick Short Hoodies Sweatshirt Kangaroo Long Sleeve Sweatshirt, Grey, S','',NULL,NULL,NULL,NULL,'Published',0,0,89.00000000,NULL,'2024-09-17 11:23:08','2024-09-29 02:08:59','2024-08-07 11:08:50','2024-10-16 07:24:32',NULL,0,22,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1325,'GolcQWS9M8KgIBu','MV0178',1141,NULL,'Women Solid Jacket Thick Short Hoodies Sweatshirt Kangaroo Long Sleeve Sweatshirt, Grey, M','',NULL,NULL,NULL,NULL,'Published',0,0,89.00000000,NULL,'2024-09-01 02:45:50','2024-09-29 05:28:28','2024-08-26 08:56:03','2024-10-01 17:56:39',NULL,0,45,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1326,'eGCu8Lj7cr7oUjJ','MV0179',1141,NULL,'Women Solid Jacket Thick Short Hoodies Sweatshirt Kangaroo Long Sleeve Sweatshirt, Grey, L','',NULL,NULL,NULL,NULL,'Published',0,0,89.00000000,NULL,'2024-09-09 13:24:14','2024-09-26 09:10:44','2024-08-01 05:35:15','2024-11-13 00:02:28',NULL,0,25,0,NULL,0,'Variation',0,'2024-09-19 06:34:28',NULL,NULL),(1327,'68yRCHbyrB2Ypgi',NULL,1182,NULL,'NVME Case Aluminum M2 to USB 3.1 Gen 2 10Gbps PCIe Type C SSD M.2 Enclosure Portable Box',NULL,NULL,1,NULL,NULL,'Draft',0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,NULL,0,'Variation',0,'2024-09-19 09:59:00','2024-09-19 09:59:35','2024-09-19 09:59:35'),(1328,'Q6JmUiJHZJckfOA','test',1182,NULL,'NVME Case Aluminum M2 to USB 3.1 Gen 2 10Gbps PCIe Type C SSD M.2 Enclosure Portable Box','',NULL,1,NULL,NULL,'Published',0,0,22.00000000,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,NULL,0,'Variation',0,'2024-09-19 09:59:07','2024-09-19 10:00:57',NULL),(1329,'M4YSlXoe7AoSaut','',NULL,'test','test','<p>test</p>','',NULL,NULL,NULL,'Draft',0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,NULL,0,'Simple Product',0,'2024-09-21 02:47:45','2024-09-21 02:47:54',NULL);
/*!40000 ALTER TABLE `products` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `products_AUPD` AFTER UPDATE ON `products` FOR EACH ROW BEGIN
                IF !(NEW.deleted_at <=> OLD.deleted_at) THEN
                    DELETE FROM product_categories
                        WHERE product_categories.product_id = OLD.id;
                END IF;
            END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `products_meta`
--

DROP TABLE IF EXISTS `products_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `products_meta` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned NOT NULL,
  `type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT 'null',
  `key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` varchar(10000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `products_meta_key_product_id_unique` (`key`,`product_id`),
  KEY `products_meta_product_id_foreign_idx` (`product_id`),
  KEY `products_meta_key_index` (`key`),
  CONSTRAINT `products_meta_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=10560 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `products_meta`
--

LOCK TABLES `products_meta` WRITE;
/*!40000 ALTER TABLE `products_meta` DISABLE KEYS */;
INSERT INTO `products_meta` VALUES (1480,1141,'array','meta_image','[\"20221116/80e9b0d199208d79df3869c1c248acc7.webp\",\"20221116/d8be4961fc58751888180bf34a778088.webp\",\"20221116/dc3ecec9d2406223f5045339e668ae3d.webp\"]'),(1481,1141,'string','meta_virtual','0'),(1482,1141,'string','meta_downloadable','0'),(1483,1141,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(1484,1141,'array','meta_downloadable_files','[]'),(1485,1141,'string','meta_download_limit',''),(1486,1141,'string','meta_download_expiry',''),(1487,1141,'string','meta_tax_classes',''),(1488,1141,'string','meta_backorder','0'),(1489,1141,'string','meta_stock_threshold','5'),(1490,1141,'string','meta_hide_stock','0'),(1491,1141,'string','meta_stock_status','In Stock'),(1492,1141,'string','meta_individual_sale','0'),(1493,1141,'string','meta_shipping_id','light'),(1494,1141,'string','meta_cash_on_delivery','1'),(1495,1141,'string','meta_weight','0.439'),(1496,1141,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(1497,1141,'string','meta_warranty_type','No Warranty'),(1498,1141,'string','meta_warranty_period',''),(1499,1141,'string','meta_warranty_policy',''),(1500,1141,'string','meta_purchase_note',''),(1501,1141,'string','meta_estimated_delivery','7'),(1502,1141,'string','meta_enable_reviews','1'),(1503,1141,'array','meta_seo','{\"title\":\"Women Solid Jacket Thick Short Hoodies Sweatshirt Kangaroo Long Sleeve Sweatshirt\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Curabitur aliquet quam id dui posuere blandit. Curabitur aliquet quam id dui posuere blandit. Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui.\",\"image\":\"20221116/80e9b0d199208d79df3869c1c248acc7.webp\"}'),(1504,1141,'array','meta_video_files','[]'),(1505,1141,'array','meta_video_url','[]'),(1506,1142,'array','meta_image','[\"20221116/89f985fd1fb8a6591caed23273d0046c.webp\",\"20221116/151424cd2adfcb8c20a8f444d0732ee8.webp\",\"20221116/313d19c284cc9f024d7e6292e770e0e2.webp\"]'),(1507,1142,'string','meta_virtual','0'),(1508,1142,'string','meta_downloadable','0'),(1509,1142,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(1510,1142,'array','meta_downloadable_files','[]'),(1511,1142,'string','meta_download_limit',''),(1512,1142,'string','meta_download_expiry',''),(1513,1142,'string','meta_tax_classes','standard'),(1514,1142,'string','meta_backorder','0'),(1515,1142,'string','meta_stock_threshold','5'),(1516,1142,'string','meta_hide_stock','0'),(1517,1142,'string','meta_stock_status','In Stock'),(1518,1142,'string','meta_individual_sale','0'),(1519,1142,'string','meta_shipping_id','light'),(1520,1142,'string','meta_cash_on_delivery','1'),(1521,1142,'string','meta_weight','0.378'),(1522,1142,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(1523,1142,'string','meta_warranty_type','No Warranty'),(1524,1142,'string','meta_warranty_period',''),(1525,1142,'string','meta_warranty_policy',''),(1526,1142,'string','meta_purchase_note',''),(1527,1142,'string','meta_estimated_delivery','7'),(1528,1142,'string','meta_enable_reviews','1'),(1529,1142,'array','meta_seo','{\"title\":\"Women Dress Weave Sleeveless Strapless Diamonds Slim Sling Formal\",\"description\":\"Curabitur aliquet quam id dui posuere blandit. Cras ultricies ligula sed magna dictum porta. Nulla quis lorem ut libero malesuada feugiat. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Lorem ipsum dolor sit amet, consectetur adipiscing elit.\",\"image\":\"20221116/89f985fd1fb8a6591caed23273d0046c.webp\"}'),(1530,1142,'array','meta_video_files','[]'),(1531,1142,'array','meta_video_url','[]'),(1532,1143,'array','meta_image','[\"20221116/333e70339c86361d61ea7dc2d5497d09.webp\",\"20221116/d88525f61f2a10b68b30cc13b24b18c1.webp\",\"20221116/9faffed73bd4c60e3ade0a8fd7311a78.webp\",\"20221116/2c21d3637144e137fb364ecb9bedaeab.webp\",\"20221116/862c541768fde4c00286165736e7842e.webp\",\"20221116/39491453c1e23216ec2a0737c7f52bb9.webp\"]'),(1533,1143,'string','meta_virtual','0'),(1534,1143,'string','meta_downloadable','0'),(1535,1143,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(1536,1143,'array','meta_downloadable_files','[]'),(1537,1143,'string','meta_download_limit',''),(1538,1143,'string','meta_download_expiry',''),(1539,1143,'string','meta_tax_classes',''),(1540,1143,'string','meta_backorder','0'),(1541,1143,'string','meta_stock_threshold','5'),(1542,1143,'string','meta_hide_stock','0'),(1543,1143,'string','meta_stock_status','In Stock'),(1544,1143,'string','meta_individual_sale','0'),(1545,1143,'string','meta_shipping_id','light'),(1546,1143,'string','meta_cash_on_delivery','1'),(1547,1143,'string','meta_weight','0.192'),(1548,1143,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(1549,1143,'string','meta_warranty_type','No Warranty'),(1550,1143,'string','meta_warranty_period',''),(1551,1143,'string','meta_warranty_policy',''),(1552,1143,'string','meta_purchase_note',''),(1553,1143,'string','meta_estimated_delivery','7'),(1554,1143,'string','meta_enable_reviews','1'),(1555,1143,'array','meta_seo','{\"title\":\"Women Chiffon Solid Pure Basic Soft Red Blouses Tops Summer Top Casual Loose Short Sleeve\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sollicitudin molestie malesuada. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.\",\"image\":\"20221116/333e70339c86361d61ea7dc2d5497d09.webp\"}'),(1556,1143,'array','meta_video_files','[]'),(1557,1143,'array','meta_video_url','[]'),(1558,1144,'array','meta_image','[\"20221116/1f6a7f963c45fdf2697c4395d2d987ee.webp\",\"20221116/970d6e8b2e0d034418d7197168221218.webp\",\"20221116/4a1b06dd9b139659fb2ed2d8b08365be.webp\",\"20221116/15d29e911d327529118a2f354ddb557d.webp\",\"20221116/0b02718dd8afafb4da8edef07ac833db.webp\"]'),(1559,1144,'string','meta_virtual','0'),(1560,1144,'string','meta_downloadable','0'),(1561,1144,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(1562,1144,'array','meta_downloadable_files','[]'),(1563,1144,'string','meta_download_limit',''),(1564,1144,'string','meta_download_expiry',''),(1565,1144,'string','meta_tax_classes',''),(1566,1144,'string','meta_backorder','0'),(1567,1144,'string','meta_stock_threshold','5'),(1568,1144,'string','meta_hide_stock','0'),(1569,1144,'string','meta_stock_status','In Stock'),(1570,1144,'string','meta_individual_sale','0'),(1571,1144,'string','meta_shipping_id','light'),(1572,1144,'string','meta_cash_on_delivery','1'),(1573,1144,'string','meta_weight','0.237'),(1574,1144,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(1575,1144,'string','meta_warranty_type','No Warranty'),(1576,1144,'string','meta_warranty_period',''),(1577,1144,'string','meta_warranty_policy',''),(1578,1144,'string','meta_purchase_note',''),(1579,1144,'string','meta_estimated_delivery','7'),(1580,1144,'string','meta_enable_reviews','1'),(1581,1144,'array','meta_seo','{\"title\":\"Woman Korean O-neck Knitted Pullovers Thick Autumn Winter Candy Color Loose Hoodies Solid Womens Clothing\",\"description\":\"Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui. Nulla porttitor accumsan tincidunt. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Pellentesque in ipsum id orci porta dapibus.\",\"image\":\"20221116/1f6a7f963c45fdf2697c4395d2d987ee.webp\"}'),(1582,1144,'array','meta_video_files','[]'),(1583,1144,'array','meta_video_url','[]'),(1584,1145,'array','meta_image','[\"20221116/cba16a8447201689120bc7d39c2a3cc0.webp\",\"20221116/27fabac9a6e3c6ab8f81c414acc5a1b5.webp\",\"20221116/2fbbf87e374ab44d3d43e4d9143b9b87.webp\"]'),(1585,1145,'string','meta_virtual','0'),(1586,1145,'string','meta_downloadable','0'),(1587,1145,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(1588,1145,'array','meta_downloadable_files','[]'),(1589,1145,'string','meta_download_limit',''),(1590,1145,'string','meta_download_expiry',''),(1591,1145,'string','meta_tax_classes',''),(1592,1145,'string','meta_backorder','0'),(1593,1145,'string','meta_stock_threshold','5'),(1594,1145,'string','meta_hide_stock','0'),(1595,1145,'string','meta_stock_status','In Stock'),(1596,1145,'string','meta_individual_sale','0'),(1597,1145,'string','meta_shipping_id','light'),(1598,1145,'string','meta_cash_on_delivery','1'),(1599,1145,'string','meta_weight','0.237'),(1600,1145,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(1601,1145,'string','meta_warranty_type','No Warranty'),(1602,1145,'string','meta_warranty_period',''),(1603,1145,'string','meta_warranty_policy',''),(1604,1145,'string','meta_purchase_note',''),(1605,1145,'string','meta_estimated_delivery','7'),(1606,1145,'string','meta_enable_reviews','1'),(1607,1145,'array','meta_seo','{\"title\":\"Winter New Baby Retro Thicken Plus Fleece Embroidery Wheat\",\"description\":\"Proin eget tortor risus. Vivamus suscipit tortor eget felis porttitor volutpat. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Donec sollicitudin molestie malesuada.\",\"image\":\"20221116/cba16a8447201689120bc7d39c2a3cc0.webp\"}'),(1608,1145,'array','meta_video_files','[]'),(1609,1145,'array','meta_video_url','[]'),(1610,1146,'array','meta_image','[\"20221116/c06f58d02e8f56491a84a3467fc7d2d5.webp\",\"20221116/62c02178575b62bc052e3e04faed7b7a.webp\",\"20221116/41e08cd219ae9a5315e7ee1e3c09eb66.webp\",\"20221116/db0834262a141bd35649d8b5dee355d8.webp\"]'),(1611,1146,'string','meta_virtual','0'),(1612,1146,'string','meta_downloadable','0'),(1613,1146,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(1614,1146,'array','meta_downloadable_files','[]'),(1615,1146,'string','meta_download_limit',''),(1616,1146,'string','meta_download_expiry',''),(1617,1146,'string','meta_tax_classes',''),(1618,1146,'string','meta_backorder','0'),(1619,1146,'string','meta_stock_threshold','5'),(1620,1146,'string','meta_hide_stock','0'),(1621,1146,'string','meta_stock_status','In Stock'),(1622,1146,'string','meta_individual_sale','0'),(1623,1146,'string','meta_shipping_id','light'),(1624,1146,'string','meta_cash_on_delivery','1'),(1625,1146,'string','meta_weight','0.318'),(1626,1146,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(1627,1146,'string','meta_warranty_type','No Warranty'),(1628,1146,'string','meta_warranty_period',''),(1629,1146,'string','meta_warranty_policy',''),(1630,1146,'string','meta_purchase_note',''),(1631,1146,'string','meta_estimated_delivery','7'),(1632,1146,'string','meta_enable_reviews','1'),(1633,1146,'array','meta_seo','{\"title\":\"Two Piece Set Tracksuit Women Top+Pant Suits Hoodie Sweatshirt With Pockets\",\"description\":\"Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Cras ultricies ligula sed magna dictum porta. Sed porttitor lectus nibh. Donec rutrum congue leo eget malesuada. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.\",\"image\":\"20221116/c06f58d02e8f56491a84a3467fc7d2d5.webp\"}'),(1634,1146,'array','meta_video_files','[]'),(1635,1146,'array','meta_video_url','[\"https:\\/\\/player.vimeo.com\\/video\\/330420305?h=0c269f7e82&color=f7f7f7&title=0&byline=0&portrait=0\"]'),(1636,1147,'array','meta_image','[\"20221116/9a0f7b551a14b40abbb4d6c330feedd9.webp\",\"20221116/22008cbc2db861e19f2788ffde364ea9.webp\",\"20221116/d4f97b603be255fe3854e3b7d7980c47.webp\",\"20221116/e67ae001c862e4f8e2cb3eb2c500f35b.webp\",\"20221116/6b31906332e193e981bd2669fd2cc5c1.webp\"]'),(1637,1147,'string','meta_virtual','0'),(1638,1147,'string','meta_downloadable','0'),(1639,1147,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(1640,1147,'array','meta_downloadable_files','[]'),(1641,1147,'string','meta_download_limit',''),(1642,1147,'string','meta_download_expiry',''),(1643,1147,'string','meta_tax_classes','standard'),(1644,1147,'string','meta_backorder','0'),(1645,1147,'string','meta_stock_threshold','5'),(1646,1147,'string','meta_hide_stock','0'),(1647,1147,'string','meta_stock_status','In Stock'),(1648,1147,'string','meta_individual_sale','0'),(1649,1147,'string','meta_shipping_id','light'),(1650,1147,'string','meta_cash_on_delivery','1'),(1651,1147,'string','meta_weight','0.237'),(1652,1147,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(1653,1147,'string','meta_warranty_type','No Warranty'),(1654,1147,'string','meta_warranty_period',''),(1655,1147,'string','meta_warranty_policy',''),(1656,1147,'string','meta_purchase_note',''),(1657,1147,'string','meta_estimated_delivery','7'),(1658,1147,'string','meta_enable_reviews','1'),(1659,1147,'array','meta_seo','{\"title\":\"Summer thin loose cartoon printed short-sleeved shirt\",\"description\":\"Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a. Nulla porttitor accumsan tincidunt. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui.\",\"image\":\"20221116/9a0f7b551a14b40abbb4d6c330feedd9.webp\"}'),(1660,1147,'array','meta_video_files','[]'),(1661,1147,'array','meta_video_url','[\"https:\\/\\/player.vimeo.com\\/video\\/330420305?h=0c269f7e82&color=f7f7f7&title=0&byline=0&portrait=0\"]'),(1662,1148,'array','meta_image','[\"20221116/9bb2d571c26fe0a58b9659aa0c7b263a.webp\",\"20221116/0afb2cf13cc211bed62dc96ebec80148.webp\",\"20221116/69b2374fc9f15df44cd820af5da34eb3.webp\",\"20221116/4d123f6c3ad266ef10c436d577a9c273.webp\"]'),(1663,1148,'string','meta_virtual','0'),(1664,1148,'string','meta_downloadable','0'),(1665,1148,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(1666,1148,'array','meta_downloadable_files','[]'),(1667,1148,'string','meta_download_limit',''),(1668,1148,'string','meta_download_expiry',''),(1669,1148,'string','meta_tax_classes',''),(1670,1148,'string','meta_backorder','0'),(1671,1148,'string','meta_stock_threshold','5'),(1672,1148,'string','meta_hide_stock','0'),(1673,1148,'string','meta_stock_status','In Stock'),(1674,1148,'string','meta_individual_sale','0'),(1675,1148,'string','meta_shipping_id','light'),(1676,1148,'string','meta_cash_on_delivery','1'),(1677,1148,'string','meta_weight','0.254'),(1678,1148,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(1679,1148,'string','meta_warranty_type','No Warranty'),(1680,1148,'string','meta_warranty_period',''),(1681,1148,'string','meta_warranty_policy',''),(1682,1148,'string','meta_purchase_note',''),(1683,1148,'string','meta_estimated_delivery','7'),(1684,1148,'string','meta_enable_reviews','1'),(1685,1148,'array','meta_seo','{\"title\":\"Summer New Women T-Shirts Harajuku Kawaii Cute animal Flamingo Printing\",\"description\":\"Cras ultricies ligula sed magna dictum porta. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Pellentesque in ipsum id orci porta dapibus. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Nulla porttitor accumsan tincidunt.\",\"image\":\"20221116/9bb2d571c26fe0a58b9659aa0c7b263a.webp\"}'),(1686,1148,'array','meta_video_files','[]'),(1687,1148,'array','meta_video_url','[]'),(1699,1149,'array','meta_image','[\"20221116/8c8429f6579a8b6457e37ec1b4b6922d.webp\",\"20221116/563e1857ef81b9db6fbea967657b5777.webp\"]'),(1700,1149,'string','meta_virtual','0'),(1701,1149,'string','meta_downloadable','0'),(1702,1149,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(1703,1149,'array','meta_downloadable_files','[]'),(1704,1149,'string','meta_download_limit',''),(1705,1149,'string','meta_download_expiry',''),(1706,1149,'string','meta_tax_classes',''),(1707,1149,'string','meta_backorder','0'),(1708,1149,'string','meta_stock_threshold','5'),(1709,1149,'string','meta_hide_stock','0'),(1710,1149,'string','meta_stock_status','In Stock'),(1711,1149,'string','meta_individual_sale','0'),(1712,1149,'string','meta_shipping_id','light'),(1713,1149,'string','meta_cash_on_delivery','1'),(1714,1149,'string','meta_weight','0.367'),(1715,1149,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(1716,1149,'string','meta_warranty_type','No Warranty'),(1717,1149,'string','meta_warranty_period',''),(1718,1149,'string','meta_warranty_policy',''),(1719,1149,'string','meta_purchase_note',''),(1720,1149,'string','meta_estimated_delivery','7'),(1721,1149,'string','meta_enable_reviews','1'),(1722,1149,'array','meta_seo','{\"title\":\"Summer New Fashion Geometry Pattern Printed Elegant High-Grade Loose Plus Size Women\'s Dress\",\"description\":\"Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Donec rutrum congue leo eget malesuada. Cras ultricies ligula sed magna dictum porta. Cras ultricies ligula sed magna dictum porta. Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui.\",\"image\":\"20221116/8c8429f6579a8b6457e37ec1b4b6922d.webp\"}'),(1723,1149,'array','meta_video_files','[]'),(1724,1149,'array','meta_video_url','[]'),(1725,1150,'array','meta_image','[\"20221116/b03197acfd099238ac63580fba9b70b7.webp\",\"20221116/56b34ba41ad2593211a5929d115c55bd.webp\"]'),(1726,1150,'string','meta_virtual','0'),(1727,1150,'string','meta_downloadable','0'),(1728,1150,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(1729,1150,'array','meta_downloadable_files','[]'),(1730,1150,'string','meta_download_limit',''),(1731,1150,'string','meta_download_expiry',''),(1732,1150,'string','meta_tax_classes',''),(1733,1150,'string','meta_backorder','0'),(1734,1150,'string','meta_stock_threshold','5'),(1735,1150,'string','meta_hide_stock','0'),(1736,1150,'string','meta_stock_status','In Stock'),(1737,1150,'string','meta_individual_sale','0'),(1738,1150,'string','meta_shipping_id','light'),(1739,1150,'string','meta_cash_on_delivery','1'),(1740,1150,'string','meta_weight','0.279'),(1741,1150,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(1742,1150,'string','meta_warranty_type','No Warranty'),(1743,1150,'string','meta_warranty_period',''),(1744,1150,'string','meta_warranty_policy',''),(1745,1150,'string','meta_purchase_note',''),(1746,1150,'string','meta_estimated_delivery','7'),(1747,1150,'string','meta_enable_reviews','1'),(1748,1150,'array','meta_seo','{\"title\":\"Red T-Shirt Print Men and Women Short-sleeved Sport Fashion Clothing\",\"description\":\"Quisque velit nisi, pretium ut lacinia in, elementum id enim. Donec sollicitudin molestie malesuada. Nulla quis lorem ut libero malesuada feugiat. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Vivamus suscipit tortor eget felis porttitor volutpat.\",\"image\":\"20221116/b03197acfd099238ac63580fba9b70b7.webp\"}'),(1749,1150,'array','meta_video_files','[]'),(1750,1150,'array','meta_video_url','[]'),(1751,1151,'array','meta_image','[\"20221116/e1205e4765f1470292e06e32d8454d87.webp\",\"20221116/279aff06f4ddf233e04901fa0cf424f9.webp\",\"20221116/d0df98cbd1c93b123e133c03fe00b457.webp\",\"20221116/f2750799c62d016f7e94fa5e34711f39.webp\",\"20221116/519bec79ff6641dc86aeb86ca399162a.webp\"]'),(1752,1151,'string','meta_virtual','0'),(1753,1151,'string','meta_downloadable','0'),(1754,1151,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(1755,1151,'array','meta_downloadable_files','[]'),(1756,1151,'string','meta_download_limit',''),(1757,1151,'string','meta_download_expiry',''),(1758,1151,'string','meta_tax_classes','standard'),(1759,1151,'string','meta_backorder','0'),(1760,1151,'string','meta_stock_threshold','5'),(1761,1151,'string','meta_hide_stock','0'),(1762,1151,'string','meta_stock_status','In Stock'),(1763,1151,'string','meta_individual_sale','0'),(1764,1151,'string','meta_shipping_id','light'),(1765,1151,'string','meta_cash_on_delivery','1'),(1766,1151,'string','meta_weight','0.389'),(1767,1151,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(1768,1151,'string','meta_warranty_type','No Warranty'),(1769,1151,'string','meta_warranty_period',''),(1770,1151,'string','meta_warranty_policy',''),(1771,1151,'string','meta_purchase_note',''),(1772,1151,'string','meta_estimated_delivery','7'),(1773,1151,'string','meta_enable_reviews','1'),(1774,1151,'array','meta_seo','{\"title\":\"Newborn Baby Boys Girls Fall Outfits Long Sleeve Plaid Pattern Pullover Tops and Pants Spring Clothes Set\",\"description\":\"Nulla quis lorem ut libero malesuada feugiat. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Pellentesque in ipsum id orci porta dapibus. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Nulla quis lorem ut libero malesuada feugiat.\",\"image\":\"20221116/e1205e4765f1470292e06e32d8454d87.webp\"}'),(1775,1151,'array','meta_video_files','[]'),(1776,1151,'array','meta_video_url','[]'),(1777,1152,'array','meta_image','[\"20221116/87b34dc86a2bcc9e7f0b1e332344611d.webp\",\"20221116/e383b5566488e7e1dc90a9353ca06f15.webp\"]'),(1778,1152,'string','meta_virtual','0'),(1779,1152,'string','meta_downloadable','0'),(1780,1152,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(1781,1152,'array','meta_downloadable_files','[]'),(1782,1152,'string','meta_download_limit',''),(1783,1152,'string','meta_download_expiry',''),(1784,1152,'string','meta_tax_classes',''),(1785,1152,'string','meta_backorder','0'),(1786,1152,'string','meta_stock_threshold','5'),(1787,1152,'string','meta_hide_stock','0'),(1788,1152,'string','meta_stock_status','In Stock'),(1789,1152,'string','meta_individual_sale','0'),(1790,1152,'string','meta_shipping_id','light'),(1791,1152,'string','meta_cash_on_delivery','1'),(1792,1152,'string','meta_weight','0.357'),(1793,1152,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(1794,1152,'string','meta_warranty_type','No Warranty'),(1795,1152,'string','meta_warranty_period',''),(1796,1152,'string','meta_warranty_policy',''),(1797,1152,'string','meta_purchase_note',''),(1798,1152,'string','meta_estimated_delivery','7'),(1799,1152,'string','meta_enable_reviews','1'),(1800,1152,'array','meta_seo','{\"title\":\"Miyake Pleated Women New Fashion Printed Loose\",\"description\":\"Vivamus suscipit tortor eget felis porttitor volutpat. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Lorem ipsum dolor sit amet, consectetur adipiscing elit.\",\"image\":\"20221116/87b34dc86a2bcc9e7f0b1e332344611d.webp\"}'),(1801,1152,'array','meta_video_files','[]'),(1802,1152,'array','meta_video_url','[]'),(1803,1153,'array','meta_image','[\"20221116/ff019ee0f768d6f4d8c6cbda5e40975a.webp\",\"20221116/d7e3660f31975781e984e9538e375cfd.webp\"]'),(1804,1153,'string','meta_virtual','0'),(1805,1153,'string','meta_downloadable','0'),(1806,1153,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(1807,1153,'array','meta_downloadable_files','[]'),(1808,1153,'string','meta_download_limit',''),(1809,1153,'string','meta_download_expiry',''),(1810,1153,'string','meta_tax_classes','standard'),(1811,1153,'string','meta_backorder','0'),(1812,1153,'string','meta_stock_threshold','5'),(1813,1153,'string','meta_hide_stock','0'),(1814,1153,'string','meta_stock_status','In Stock'),(1815,1153,'string','meta_individual_sale','0'),(1816,1153,'string','meta_shipping_id','light'),(1817,1153,'string','meta_cash_on_delivery','1'),(1818,1153,'string','meta_weight','0.597'),(1819,1153,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(1820,1153,'string','meta_warranty_type','No Warranty'),(1821,1153,'string','meta_warranty_period',''),(1822,1153,'string','meta_warranty_policy',''),(1823,1153,'string','meta_purchase_note',''),(1824,1153,'string','meta_estimated_delivery','7'),(1825,1153,'string','meta_enable_reviews','1'),(1826,1153,'array','meta_seo','{\"title\":\"Kids Toddler Girls Cotton Coat Belt Collar Long Sleeve Zipper Outwear Jacket Fall Clothes\",\"description\":\"Nulla porttitor accumsan tincidunt. Sed porttitor lectus nibh. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Sed porttitor lectus nibh. Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui.\",\"image\":\"20221116/ff019ee0f768d6f4d8c6cbda5e40975a.webp\"}'),(1827,1153,'array','meta_video_files','[]'),(1828,1153,'array','meta_video_url','[]'),(1829,1154,'array','meta_image','[\"20221116/40770770531549c2d35c8e0a42e29fd0.webp\",\"20221116/e2d247c262c31a643649b635817514d5.webp\",\"20221116/2e7365431d01b4d53e5bc69909a4ad53.webp\"]'),(1830,1154,'string','meta_virtual','0'),(1831,1154,'string','meta_downloadable','0'),(1832,1154,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(1833,1154,'array','meta_downloadable_files','[]'),(1834,1154,'string','meta_download_limit',''),(1835,1154,'string','meta_download_expiry',''),(1836,1154,'string','meta_tax_classes',''),(1837,1154,'string','meta_backorder','0'),(1838,1154,'string','meta_stock_threshold','5'),(1839,1154,'string','meta_hide_stock','0'),(1840,1154,'string','meta_stock_status','In Stock'),(1841,1154,'string','meta_individual_sale','0'),(1842,1154,'string','meta_shipping_id','light'),(1843,1154,'string','meta_cash_on_delivery','1'),(1844,1154,'string','meta_weight','0.398'),(1845,1154,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(1846,1154,'string','meta_warranty_type','No Warranty'),(1847,1154,'string','meta_warranty_period',''),(1848,1154,'string','meta_warranty_policy',''),(1849,1154,'string','meta_purchase_note',''),(1850,1154,'string','meta_estimated_delivery','7'),(1851,1154,'string','meta_enable_reviews','1'),(1852,1154,'array','meta_seo','{\"title\":\"Kids Plaid Princess Pettiskirt Teenager Girl Skirt For School Plaid Skirts\",\"description\":\"Proin eget tortor risus. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Vivamus suscipit tortor eget felis porttitor volutpat. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Cras ultricies ligula sed magna dictum porta.\",\"image\":\"20221116/40770770531549c2d35c8e0a42e29fd0.webp\"}'),(1853,1154,'array','meta_video_files','[]'),(1854,1154,'array','meta_video_url','[]'),(1855,1155,'array','meta_image','[\"20221116/6d2dfa5aea81240a429d89d73ce6d977.webp\",\"20221116/752a1b3dddf5cd9c0cb4889a9f42d694.webp\",\"20221116/cc675f3ab0fcbb746ed9fceae22acba6.webp\",\"20221116/a1f1db319339cc3ee9d89008433d8133.webp\"]'),(1856,1155,'string','meta_virtual','0'),(1857,1155,'string','meta_downloadable','0'),(1858,1155,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(1859,1155,'array','meta_downloadable_files','[]'),(1860,1155,'string','meta_download_limit',''),(1861,1155,'string','meta_download_expiry',''),(1862,1155,'string','meta_tax_classes',''),(1863,1155,'string','meta_backorder','0'),(1864,1155,'string','meta_stock_threshold','5'),(1865,1155,'string','meta_hide_stock','0'),(1866,1155,'string','meta_stock_status','In Stock'),(1867,1155,'string','meta_individual_sale','0'),(1868,1155,'string','meta_shipping_id','light'),(1869,1155,'string','meta_cash_on_delivery','1'),(1870,1155,'string','meta_weight','0.398'),(1871,1155,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(1872,1155,'string','meta_warranty_type','No Warranty'),(1873,1155,'string','meta_warranty_period',''),(1874,1155,'string','meta_warranty_policy',''),(1875,1155,'string','meta_purchase_note',''),(1876,1155,'string','meta_estimated_delivery','7'),(1877,1155,'string','meta_enable_reviews','1'),(1878,1155,'array','meta_seo','{\"title\":\"Cotton Newborn Baby Long Sleeve Romper Jumpsuits Outfits Boy Toddler Handsome\",\"description\":\"Proin eget tortor risus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vivamus suscipit tortor eget felis porttitor volutpat.\",\"image\":\"20221116/6d2dfa5aea81240a429d89d73ce6d977.webp\"}'),(1879,1155,'array','meta_video_files','[]'),(1880,1155,'array','meta_video_url','[]'),(1881,1156,'array','meta_image','[\"20221116/f1e675ef1ffb3b061b589586922667f1.webp\",\"20221116/d304e38b901606e13589d71f9ca08a54.webp\",\"20221116/5ca5998a74e37d21087d59cb9f3cc404.webp\",\"20221116/119dd8bdcde7e42a505ffe41e14a6ffb.webp\",\"20221116/0e961d96e26709c29fc191b4c3298584.webp\"]'),(1882,1156,'string','meta_virtual','0'),(1883,1156,'string','meta_downloadable','0'),(1884,1156,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(1885,1156,'array','meta_downloadable_files','[]'),(1886,1156,'string','meta_download_limit',''),(1887,1156,'string','meta_download_expiry',''),(1888,1156,'string','meta_tax_classes',''),(1889,1156,'string','meta_backorder','0'),(1890,1156,'string','meta_stock_threshold','5'),(1891,1156,'string','meta_hide_stock','0'),(1892,1156,'string','meta_stock_status','In Stock'),(1893,1156,'string','meta_individual_sale','0'),(1894,1156,'string','meta_shipping_id','light'),(1895,1156,'string','meta_cash_on_delivery','1'),(1896,1156,'string','meta_weight','0.345'),(1897,1156,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(1898,1156,'string','meta_warranty_type','Brand Warranty'),(1899,1156,'string','meta_warranty_period','6 months'),(1900,1156,'string','meta_warranty_policy','Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur aliquet quam id dui posuere blandit.'),(1901,1156,'string','meta_purchase_note',''),(1902,1156,'string','meta_estimated_delivery','7'),(1903,1156,'string','meta_enable_reviews','1'),(1904,1156,'array','meta_seo','{\"title\":\"Boys Shirts Classic Casual Plaid Flannel Children shirts\",\"description\":\"Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Donec sollicitudin molestie malesuada. Nulla porttitor accumsan tincidunt. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Cras ultricies ligula sed magna dictum porta.\",\"image\":\"20221116/f1e675ef1ffb3b061b589586922667f1.webp\"}'),(1905,1156,'array','meta_video_files','[]'),(1906,1156,'array','meta_video_url','[]'),(1907,1157,'array','meta_image','[\"20221116/bb3ac55cb77b45694f720dd714a00b8e.webp\",\"20221116/7248d958055c2e000bf39a69083afd54.webp\"]'),(1908,1157,'string','meta_virtual','0'),(1909,1157,'string','meta_downloadable','0'),(1910,1157,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(1911,1157,'array','meta_downloadable_files','[]'),(1912,1157,'string','meta_download_limit',''),(1913,1157,'string','meta_download_expiry',''),(1914,1157,'string','meta_tax_classes','standard'),(1915,1157,'string','meta_backorder','0'),(1916,1157,'string','meta_stock_threshold','5'),(1917,1157,'string','meta_hide_stock','0'),(1918,1157,'string','meta_stock_status','In Stock'),(1919,1157,'string','meta_individual_sale','0'),(1920,1157,'string','meta_shipping_id','light'),(1921,1157,'string','meta_cash_on_delivery','1'),(1922,1157,'string','meta_weight','0.337'),(1923,1157,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(1924,1157,'string','meta_warranty_type','Seller Warranty'),(1925,1157,'string','meta_warranty_period','6 months'),(1926,1157,'string','meta_warranty_policy','Cras ultricies ligula sed magna dictum porta. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.'),(1927,1157,'string','meta_purchase_note',''),(1928,1157,'string','meta_estimated_delivery','7'),(1929,1157,'string','meta_enable_reviews','1'),(1930,1157,'array','meta_seo','{\"title\":\"Wireless Game Controller for Switch Pro Lite Olde Gamepad Joystick for PC Game Controller\",\"description\":\"Pellentesque in ipsum id orci porta dapibus. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Nulla quis lorem ut libero malesuada feugiat. Nulla porttitor accumsan tincidunt. Lorem ipsum dolor sit amet, consectetur adipiscing elit.\",\"image\":\"20221116/bb3ac55cb77b45694f720dd714a00b8e.webp\"}'),(1931,1157,'array','meta_video_files','[]'),(1932,1157,'array','meta_video_url','[]'),(1933,1158,'array','meta_image','[\"20221116/42765fec080996cc9b652e30a0cfa9e2.webp\",\"20221116/20904e9821f6aaba7d92612740d7c762.webp\",\"20221116/b5959ab067829723bc123f37e5fc4f9b.webp\"]'),(1934,1158,'string','meta_virtual','0'),(1935,1158,'string','meta_downloadable','0'),(1936,1158,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(1937,1158,'array','meta_downloadable_files','[]'),(1938,1158,'string','meta_download_limit',''),(1939,1158,'string','meta_download_expiry',''),(1940,1158,'string','meta_tax_classes','standard'),(1941,1158,'string','meta_backorder','0'),(1942,1158,'string','meta_stock_threshold','5'),(1943,1158,'string','meta_hide_stock','0'),(1944,1158,'string','meta_stock_status','In Stock'),(1945,1158,'string','meta_individual_sale','0'),(1946,1158,'string','meta_shipping_id','light'),(1947,1158,'string','meta_cash_on_delivery','1'),(1948,1158,'string','meta_weight','0.360'),(1949,1158,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(1950,1158,'string','meta_warranty_type','No Warranty'),(1951,1158,'string','meta_warranty_period',''),(1952,1158,'string','meta_warranty_policy',''),(1953,1158,'string','meta_purchase_note',''),(1954,1158,'string','meta_estimated_delivery','7'),(1955,1158,'string','meta_enable_reviews','1'),(1956,1158,'array','meta_seo','{\"title\":\"Romantic Tarot Cards High Quality Read Fate Game For Personal Use Board E-Guidebook\",\"description\":\"Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Nulla porttitor accumsan tincidunt. Cras ultricies ligula sed magna dictum porta. Vivamus suscipit tortor eget felis porttitor volutpat. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.\",\"image\":\"20221116/42765fec080996cc9b652e30a0cfa9e2.webp\"}'),(1957,1158,'array','meta_video_files','[]'),(1958,1158,'array','meta_video_url','[\"https:\\/\\/player.vimeo.com\\/video\\/330420305?h=0c269f7e82&color=f7f7f7&title=0&byline=0&portrait=0\"]'),(1959,1159,'array','meta_image','[\"20221116/c078112af00e32211f50e533635c20ec.webp\",\"20221116/ec6ce8550047520c8a9aa50fbde95330.webp\",\"20221116/71c033ca5beae9e9cc9b0e3964fb217d.webp\"]'),(1960,1159,'string','meta_virtual','0'),(1961,1159,'string','meta_downloadable','0'),(1962,1159,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(1963,1159,'array','meta_downloadable_files','[]'),(1964,1159,'string','meta_download_limit',''),(1965,1159,'string','meta_download_expiry',''),(1966,1159,'string','meta_tax_classes','standard'),(1967,1159,'string','meta_backorder','0'),(1968,1159,'string','meta_stock_threshold',''),(1969,1159,'string','meta_hide_stock','0'),(1970,1159,'string','meta_stock_status','In Stock'),(1971,1159,'string','meta_individual_sale','0'),(1972,1159,'string','meta_shipping_id','light'),(1973,1159,'string','meta_cash_on_delivery','1'),(1974,1159,'string','meta_weight','0.370'),(1975,1159,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(1976,1159,'string','meta_warranty_type','No Warranty'),(1977,1159,'string','meta_warranty_period',''),(1978,1159,'string','meta_warranty_policy',''),(1979,1159,'string','meta_purchase_note',''),(1980,1159,'string','meta_estimated_delivery','7'),(1981,1159,'string','meta_enable_reviews','1'),(1982,1159,'array','meta_seo','{\"title\":\"The Wildwood Tarot Holographic Tarot Deck Table Card Game For Adults Fate Divination\",\"description\":\"Vivamus suscipit tortor eget felis porttitor volutpat. Proin eget tortor risus. Donec sollicitudin molestie malesuada. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.\",\"image\":\"20221116/c078112af00e32211f50e533635c20ec.webp\"}'),(1983,1159,'array','meta_video_files','[]'),(1984,1159,'array','meta_video_url','[\"https:\\/\\/player.vimeo.com\\/video\\/330420305?h=0c269f7e82&color=f7f7f7&title=0&byline=0&portrait=0\"]'),(1985,1160,'array','meta_image','[\"20221116/d7c1a7b4d32ee46154aed56430763bb5.webp\"]'),(1986,1160,'string','meta_virtual','0'),(1987,1160,'string','meta_downloadable','0'),(1988,1160,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(1989,1160,'array','meta_downloadable_files','[]'),(1990,1160,'string','meta_download_limit',''),(1991,1160,'string','meta_download_expiry',''),(1992,1160,'string','meta_tax_classes','standard'),(1993,1160,'string','meta_backorder','0'),(1994,1160,'string','meta_stock_threshold','5'),(1995,1160,'string','meta_hide_stock','0'),(1996,1160,'string','meta_stock_status','In Stock'),(1997,1160,'string','meta_individual_sale','0'),(1998,1160,'string','meta_shipping_id','light'),(1999,1160,'string','meta_cash_on_delivery','1'),(2000,1160,'string','meta_weight','0.570'),(2001,1160,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2002,1160,'string','meta_warranty_type','Brand Warranty'),(2003,1160,'string','meta_warranty_period','1 year'),(2004,1160,'string','meta_warranty_policy','Sed porttitor lectus nibh. Nulla porttitor accumsan tincidunt.'),(2005,1160,'string','meta_purchase_note',''),(2006,1160,'string','meta_estimated_delivery','7'),(2007,1160,'string','meta_enable_reviews','1'),(2008,1160,'array','meta_seo','{\"title\":\"Casual Waterproof Women Bags School Backpack For Teenagers Girls Travel Backbag Nylon Mochilas Female Small Bookbag Kawaii Bag\",\"description\":\"Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui. Sed porttitor lectus nibh. Vivamus suscipit tortor eget felis porttitor volutpat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi.\",\"image\":\"20221116/d7c1a7b4d32ee46154aed56430763bb5.webp\"}'),(2009,1160,'array','meta_video_files','[]'),(2010,1160,'array','meta_video_url','[]'),(2011,1161,'array','meta_image','[\"20221116/0b643f20f9f2b8f89666d14532f71d9b.webp\",\"20221116/831ee5dc5b46e3d1adef99004d19ac18.webp\",\"20221116/c40f91c0d7962a3fb9a6a208e3f2ab96.webp\",\"20221116/4bbfc03d96630ac35e8b46334cf73ebe.webp\"]'),(2012,1161,'string','meta_virtual','0'),(2013,1161,'string','meta_downloadable','0'),(2014,1161,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2015,1161,'array','meta_downloadable_files','[]'),(2016,1161,'string','meta_download_limit',''),(2017,1161,'string','meta_download_expiry',''),(2018,1161,'string','meta_tax_classes',''),(2019,1161,'string','meta_backorder','0'),(2020,1161,'string','meta_stock_threshold','5'),(2021,1161,'string','meta_hide_stock','0'),(2022,1161,'string','meta_stock_status','In Stock'),(2023,1161,'string','meta_individual_sale','0'),(2024,1161,'string','meta_shipping_id','light'),(2025,1161,'string','meta_cash_on_delivery','1'),(2026,1161,'string','meta_weight','0.25'),(2027,1161,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2028,1161,'string','meta_warranty_type','Seller Warranty'),(2029,1161,'string','meta_warranty_period','6 months'),(2030,1161,'string','meta_warranty_policy','Vivamus suscipit tortor eget felis porttitor volutpat. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.'),(2031,1161,'string','meta_purchase_note',''),(2032,1161,'string','meta_estimated_delivery','7'),(2033,1161,'string','meta_enable_reviews','1'),(2034,1161,'array','meta_seo','{\"title\":\"Girls Cute Clutches New Fashion Solid Color Leather Coin Purses Women Hasp Small Wallets Mini Change Purse Lady Pocket Bags\",\"description\":\"Curabitur aliquet quam id dui posuere blandit. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Pellentesque in ipsum id orci porta dapibus.\",\"image\":\"20221116/0b643f20f9f2b8f89666d14532f71d9b.webp\"}'),(2035,1161,'array','meta_video_files','[]'),(2036,1161,'array','meta_video_url','[]'),(2037,1162,'array','meta_image','[\"20221116/d365206b7141f86c43ac3a71e4485ae8.webp\",\"20221116/290c384c80db20617d19384a06f75a46.webp\",\"20221116/0b04fa1b12a727e75c0309c5d13983f2.webp\",\"20221116/a239ee44938ad9f40976097d381ef57f.webp\"]'),(2038,1162,'string','meta_virtual','0'),(2039,1162,'string','meta_downloadable','0'),(2040,1162,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2041,1162,'array','meta_downloadable_files','[]'),(2042,1162,'string','meta_download_limit',''),(2043,1162,'string','meta_download_expiry',''),(2044,1162,'string','meta_tax_classes',''),(2045,1162,'string','meta_backorder','0'),(2046,1162,'string','meta_stock_threshold','5'),(2047,1162,'string','meta_hide_stock','0'),(2048,1162,'string','meta_stock_status','In Stock'),(2049,1162,'string','meta_individual_sale','0'),(2050,1162,'string','meta_shipping_id','light'),(2051,1162,'string','meta_cash_on_delivery','1'),(2052,1162,'string','meta_weight','0.27'),(2053,1162,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2054,1162,'string','meta_warranty_type','Seller Warranty'),(2055,1162,'string','meta_warranty_period','6 months'),(2056,1162,'string','meta_warranty_policy','Nulla porttitor accumsan tincidunt. Nulla porttitor accumsan tincidunt.'),(2057,1162,'string','meta_purchase_note',''),(2058,1162,'string','meta_estimated_delivery','7'),(2059,1162,'string','meta_enable_reviews','1'),(2060,1162,'array','meta_seo','{\"title\":\"Women Chain Small Shoulder Bags Fashion Pu Leather Silk Scarf Crossbody Bags\",\"description\":\"Curabitur aliquet quam id dui posuere blandit. Donec rutrum congue leo eget malesuada. Sed porttitor lectus nibh. Pellentesque in ipsum id orci porta dapibus. Cras ultricies ligula sed magna dictum porta.\",\"image\":\"20221116/d365206b7141f86c43ac3a71e4485ae8.webp\"}'),(2061,1162,'array','meta_video_files','[]'),(2062,1162,'array','meta_video_url','[]'),(2063,1163,'array','meta_image','[\"20221116/71f49acb55e0ecffc8d0758b32ccadca.webp\",\"20221116/433b192deb31c1979cf854465981a492.webp\",\"20221116/86852cdd6e64a72700577c427c3be4d8.webp\"]'),(2064,1163,'string','meta_virtual','0'),(2065,1163,'string','meta_downloadable','0'),(2066,1163,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2067,1163,'array','meta_downloadable_files','[]'),(2068,1163,'string','meta_download_limit',''),(2069,1163,'string','meta_download_expiry',''),(2070,1163,'string','meta_tax_classes',''),(2071,1163,'string','meta_backorder','0'),(2072,1163,'string','meta_stock_threshold','5'),(2073,1163,'string','meta_hide_stock','0'),(2074,1163,'string','meta_stock_status','In Stock'),(2075,1163,'string','meta_individual_sale','0'),(2076,1163,'string','meta_shipping_id','light'),(2077,1163,'string','meta_cash_on_delivery','1'),(2078,1163,'string','meta_weight','1.200'),(2079,1163,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2080,1163,'string','meta_warranty_type','Brand Warranty'),(2081,1163,'string','meta_warranty_period','1 year'),(2082,1163,'string','meta_warranty_policy','Donec rutrum congue leo eget malesuada. Pellentesque in ipsum id orci porta dapibus.'),(2083,1163,'string','meta_purchase_note',''),(2084,1163,'string','meta_estimated_delivery','7'),(2085,1163,'string','meta_enable_reviews','1'),(2086,1163,'array','meta_seo','{\"title\":\"Men Travel Bag Large Capacity Waterproof Storage Bag Bathroom Toiletries Organizer Multifunctional\",\"description\":\"Sed porttitor lectus nibh. Sed porttitor lectus nibh. Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur aliquet quam id dui posuere blandit.\",\"image\":\"20221116/71f49acb55e0ecffc8d0758b32ccadca.webp\"}'),(2087,1163,'array','meta_video_files','[]'),(2088,1163,'array','meta_video_url','[]'),(2089,1164,'array','meta_image','[\"20221116/c176b9613137502216b6bcf2af6ec971.webp\",\"20221116/5a7a4b5d82398aebce973cbf14f418fa.webp\",\"20221116/cf0f3ca1068d989088a76b306476031d.webp\",\"20221116/ec39765aa60cd5e6e28bfa5ed5d48d58.webp\",\"20221116/c65508ea6c70eb20b06892e00e8b5313.webp\"]'),(2090,1164,'string','meta_virtual','0'),(2091,1164,'string','meta_downloadable','0'),(2092,1164,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2093,1164,'array','meta_downloadable_files','[]'),(2094,1164,'string','meta_download_limit',''),(2095,1164,'string','meta_download_expiry',''),(2096,1164,'string','meta_tax_classes',''),(2097,1164,'string','meta_backorder','0'),(2098,1164,'string','meta_stock_threshold','5'),(2099,1164,'string','meta_hide_stock','0'),(2100,1164,'string','meta_stock_status','In Stock'),(2101,1164,'string','meta_individual_sale','0'),(2102,1164,'string','meta_shipping_id','light'),(2103,1164,'string','meta_cash_on_delivery','1'),(2104,1164,'string','meta_weight',''),(2105,1164,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2106,1164,'string','meta_warranty_type','No Warranty'),(2107,1164,'string','meta_warranty_period',''),(2108,1164,'string','meta_warranty_policy',''),(2109,1164,'string','meta_purchase_note',''),(2110,1164,'string','meta_estimated_delivery','7'),(2111,1164,'string','meta_enable_reviews','1'),(2112,1164,'array','meta_seo','{\"title\":\"Napkin Sanitary Pad Pouch Women Girl Cute Towel Storage Bag Coin Purse Lipstick Headphone Case\",\"description\":\"Vivamus suscipit tortor eget felis porttitor volutpat. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Proin eget tortor risus. Quisque velit nisi, pretium ut lacinia in, elementum id enim.\",\"image\":\"20221116/c176b9613137502216b6bcf2af6ec971.webp\"}'),(2113,1164,'array','meta_video_files','[]'),(2114,1164,'array','meta_video_url','[]'),(2115,1165,'array','meta_image','[\"20221116/b0c479b93f2cbbaefe1fd71e92038e61.webp\"]'),(2116,1165,'string','meta_virtual','0'),(2117,1165,'string','meta_downloadable','0'),(2118,1165,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2119,1165,'array','meta_downloadable_files','[]'),(2120,1165,'string','meta_download_limit',''),(2121,1165,'string','meta_download_expiry',''),(2122,1165,'string','meta_tax_classes','standard'),(2123,1165,'string','meta_backorder','0'),(2124,1165,'string','meta_stock_threshold','5'),(2125,1165,'string','meta_hide_stock','0'),(2126,1165,'string','meta_stock_status','In Stock'),(2127,1165,'string','meta_individual_sale','0'),(2128,1165,'string','meta_shipping_id','light'),(2129,1165,'string','meta_cash_on_delivery','1'),(2130,1165,'string','meta_weight','0.450'),(2131,1165,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2132,1165,'string','meta_warranty_type','Brand Warranty'),(2133,1165,'string','meta_warranty_period','2 years'),(2134,1165,'string','meta_warranty_policy','Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui. Vivamus suscipit tortor eget felis porttitor volutpat.'),(2135,1165,'string','meta_purchase_note',''),(2136,1165,'string','meta_estimated_delivery','7'),(2137,1165,'string','meta_enable_reviews','1'),(2138,1165,'array','meta_seo','{\"title\":\"Cute Cartoon Women\'s Kids Lunch Bags Waterproof Insulated Picnic Foods Storage Container Handbag\",\"description\":\"Sed porttitor lectus nibh. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Cras ultricies ligula sed magna dictum porta. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Lorem ipsum dolor sit amet, consectetur adipiscing elit.\",\"image\":\"20221116/b0c479b93f2cbbaefe1fd71e92038e61.webp\"}'),(2139,1165,'array','meta_video_files','[]'),(2140,1165,'array','meta_video_url','[]'),(2141,1166,'array','meta_image','[\"20221116/3cf1bee122398adba31ef000e5fac6c0.webp\",\"20221116/ebd6ad65191e7bc92e6a68dc09a6c8ef.webp\",\"20221116/7bd866eb6f3cc24c203e68e0940e6d43.webp\"]'),(2142,1166,'string','meta_virtual','0'),(2143,1166,'string','meta_downloadable','0'),(2144,1166,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2145,1166,'array','meta_downloadable_files','[]'),(2146,1166,'string','meta_download_limit',''),(2147,1166,'string','meta_download_expiry',''),(2148,1166,'string','meta_tax_classes',''),(2149,1166,'string','meta_backorder','0'),(2150,1166,'string','meta_stock_threshold','5'),(2151,1166,'string','meta_hide_stock','0'),(2152,1166,'string','meta_stock_status','In Stock'),(2153,1166,'string','meta_individual_sale','0'),(2154,1166,'string','meta_shipping_id','light'),(2155,1166,'string','meta_cash_on_delivery','1'),(2156,1166,'string','meta_weight','0.500'),(2157,1166,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2158,1166,'string','meta_warranty_type','Brand Warranty'),(2159,1166,'string','meta_warranty_period','1 year'),(2160,1166,'string','meta_warranty_policy','Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Donec sollicitudin molestie malesuada.'),(2161,1166,'string','meta_purchase_note',''),(2162,1166,'string','meta_estimated_delivery','7'),(2163,1166,'string','meta_enable_reviews','1'),(2164,1166,'array','meta_seo','{\"title\":\"Cartoon Fish School Bag Student Fashion Schoolbag Girls Lovely Backpack\",\"description\":\"Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Nulla porttitor accumsan tincidunt. Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a.\",\"image\":\"20221116/3cf1bee122398adba31ef000e5fac6c0.webp\"}'),(2165,1166,'array','meta_video_files','[]'),(2166,1166,'array','meta_video_url','[]'),(2167,1167,'array','meta_image','[\"20221116/e754335b63ccf0181856969a8397b461.webp\"]'),(2168,1167,'string','meta_virtual','0'),(2169,1167,'string','meta_downloadable','0'),(2170,1167,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2171,1167,'array','meta_downloadable_files','[]'),(2172,1167,'string','meta_download_limit',''),(2173,1167,'string','meta_download_expiry',''),(2174,1167,'string','meta_tax_classes',''),(2175,1167,'string','meta_backorder','0'),(2176,1167,'string','meta_stock_threshold','5'),(2177,1167,'string','meta_hide_stock','0'),(2178,1167,'string','meta_stock_status','In Stock'),(2179,1167,'string','meta_individual_sale','0'),(2180,1167,'string','meta_shipping_id','light'),(2181,1167,'string','meta_cash_on_delivery','1'),(2182,1167,'string','meta_weight','0.020'),(2183,1167,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2184,1167,'string','meta_warranty_type','No Warranty'),(2185,1167,'string','meta_warranty_period',''),(2186,1167,'string','meta_warranty_policy',''),(2187,1167,'string','meta_purchase_note',''),(2188,1167,'string','meta_estimated_delivery','7'),(2189,1167,'string','meta_enable_reviews','1'),(2190,1167,'array','meta_seo','{\"title\":\"New Pet Dogs Polo Shirt Summer Cool Dogs Clothes Soft Chihuahua For Puppy\",\"description\":\"Donec sollicitudin molestie malesuada. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Lorem ipsum dolor sit amet, consectetur adipiscing elit.\",\"image\":\"20221116/e754335b63ccf0181856969a8397b461.webp\"}'),(2191,1167,'array','meta_video_files','[]'),(2192,1167,'array','meta_video_url','[]'),(2193,1168,'array','meta_image','[\"20221116/d6521f45b60ae362a6855c4fa753435a.webp\",\"20221116/86a07d1d3ce4665a879d874fb73ccb55.webp\",\"20221116/3dd4cec2bc7cb8e84532e817fa31ccc5.webp\"]'),(2194,1168,'string','meta_virtual','0'),(2195,1168,'string','meta_downloadable','0'),(2196,1168,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2197,1168,'array','meta_downloadable_files','[]'),(2198,1168,'string','meta_download_limit',''),(2199,1168,'string','meta_download_expiry',''),(2200,1168,'string','meta_tax_classes','standard'),(2201,1168,'string','meta_backorder','0'),(2202,1168,'string','meta_stock_threshold','5'),(2203,1168,'string','meta_hide_stock','0'),(2204,1168,'string','meta_stock_status','In Stock'),(2205,1168,'string','meta_individual_sale','0'),(2206,1168,'string','meta_shipping_id','light'),(2207,1168,'string','meta_cash_on_delivery','1'),(2208,1168,'string','meta_weight','0.036'),(2209,1168,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2210,1168,'string','meta_warranty_type','No Warranty'),(2211,1168,'string','meta_warranty_period',''),(2212,1168,'string','meta_warranty_policy',''),(2213,1168,'string','meta_purchase_note',''),(2214,1168,'string','meta_estimated_delivery','7'),(2215,1168,'string','meta_enable_reviews','1'),(2216,1168,'array','meta_seo','{\"title\":\"Lightweight Baby Carriers With Adjustable Shoulder Strap For Infants Toddlers Multifunctional And Simple Front Hug Portable\",\"description\":\"Nulla quis lorem ut libero malesuada feugiat. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Sed porttitor lectus nibh. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Cras ultricies ligula sed magna dictum porta.\",\"image\":\"20221116/d6521f45b60ae362a6855c4fa753435a.webp\"}'),(2217,1168,'array','meta_video_files','[]'),(2218,1168,'array','meta_video_url','[]'),(2219,1169,'array','meta_image','[\"20221116/370f76928fac200f28f1e86b2086a1a7.webp\"]'),(2220,1169,'string','meta_virtual','0'),(2221,1169,'string','meta_downloadable','0'),(2222,1169,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2223,1169,'array','meta_downloadable_files','[]'),(2224,1169,'string','meta_download_limit',''),(2225,1169,'string','meta_download_expiry',''),(2226,1169,'string','meta_tax_classes',''),(2227,1169,'string','meta_backorder','0'),(2228,1169,'string','meta_stock_threshold','5'),(2229,1169,'string','meta_hide_stock','0'),(2230,1169,'string','meta_stock_status','In Stock'),(2231,1169,'string','meta_individual_sale','0'),(2232,1169,'string','meta_shipping_id','light'),(2233,1169,'string','meta_cash_on_delivery','1'),(2234,1169,'string','meta_weight','0.025'),(2235,1169,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2236,1169,'string','meta_warranty_type','Seller Warranty'),(2237,1169,'string','meta_warranty_period','3 months'),(2238,1169,'string','meta_warranty_policy','Quisque velit nisi, pretium ut lacinia in, elementum id enim. Pellentesque in ipsum id orci porta dapibus.'),(2239,1169,'string','meta_purchase_note',''),(2240,1169,'string','meta_estimated_delivery','7'),(2241,1169,'string','meta_enable_reviews','1'),(2242,1169,'array','meta_seo','{\"title\":\"Snap Button Bracelet Bangle Elastic Metal Beaded Snap Bracelet Fit\",\"description\":\"Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Proin eget tortor risus. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Nulla quis lorem ut libero malesuada feugiat.\",\"image\":\"20221116/370f76928fac200f28f1e86b2086a1a7.webp\"}'),(2243,1169,'array','meta_video_files','[]'),(2244,1169,'array','meta_video_url','[]'),(2245,1170,'array','meta_image','[\"20221116/15d36032f586fe8439c9af57b6dc9fcd.webp\",\"20221116/a17e3269255472cfe26daf77272dc77e.webp\",\"20221116/536358df3e2048f3921ef494cd33488d.webp\"]'),(2246,1170,'string','meta_virtual','0'),(2247,1170,'string','meta_downloadable','0'),(2248,1170,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2249,1170,'array','meta_downloadable_files','[]'),(2250,1170,'string','meta_download_limit',''),(2251,1170,'string','meta_download_expiry',''),(2252,1170,'string','meta_tax_classes','standard'),(2253,1170,'string','meta_backorder','0'),(2254,1170,'string','meta_stock_threshold','5'),(2255,1170,'string','meta_hide_stock','0'),(2256,1170,'string','meta_stock_status','In Stock'),(2257,1170,'string','meta_individual_sale','0'),(2258,1170,'string','meta_shipping_id','light'),(2259,1170,'string','meta_cash_on_delivery','1'),(2260,1170,'string','meta_weight','0.036'),(2261,1170,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2262,1170,'string','meta_warranty_type','No Warranty'),(2263,1170,'string','meta_warranty_period',''),(2264,1170,'string','meta_warranty_policy',''),(2265,1170,'string','meta_purchase_note',''),(2266,1170,'string','meta_estimated_delivery','7'),(2267,1170,'string','meta_enable_reviews','1'),(2268,1170,'array','meta_seo','{\"title\":\"Wireless Wrist Strap With Metal Bowl In Hand Blue Antistatic Cordless Antistatic Bracelet\",\"description\":\"Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Donec rutrum congue leo eget malesuada. Curabitur aliquet quam id dui posuere blandit. Nulla quis lorem ut libero malesuada feugiat. Proin eget tortor risus.\",\"image\":\"20221116/15d36032f586fe8439c9af57b6dc9fcd.webp\"}'),(2269,1170,'array','meta_video_files','[]'),(2270,1170,'array','meta_video_url','[\"https:\\/\\/player.vimeo.com\\/video\\/330420305?h=0c269f7e82&color=f7f7f7&title=0&byline=0&portrait=0\"]'),(2271,1171,'array','meta_image','[\"20221116/da1041f0dd09e05b8a75781ee4e5d753.webp\",\"20221116/2452833d7ad98237a43a413ad83f2759.webp\",\"20221116/584e86cd650fb12dd969a08de6528585.webp\"]'),(2272,1171,'string','meta_virtual','0'),(2273,1171,'string','meta_downloadable','0'),(2274,1171,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2275,1171,'array','meta_downloadable_files','[]'),(2276,1171,'string','meta_download_limit',''),(2277,1171,'string','meta_download_expiry',''),(2278,1171,'string','meta_tax_classes','standard'),(2279,1171,'string','meta_backorder','0'),(2280,1171,'string','meta_stock_threshold','5'),(2281,1171,'string','meta_hide_stock','0'),(2282,1171,'string','meta_stock_status','In Stock'),(2283,1171,'string','meta_individual_sale','0'),(2284,1171,'string','meta_shipping_id','light'),(2285,1171,'string','meta_cash_on_delivery','0'),(2286,1171,'string','meta_weight',''),(2287,1171,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2288,1171,'string','meta_warranty_type','No Warranty'),(2289,1171,'string','meta_warranty_period',''),(2290,1171,'string','meta_warranty_policy',''),(2291,1171,'string','meta_purchase_note',''),(2292,1171,'string','meta_estimated_delivery','15'),(2293,1171,'string','meta_enable_reviews','1'),(2294,1171,'array','meta_seo','{\"title\":\"Christmas Truck Silicone Beads DIY Focus Bead BPA Free Infant Chewable Dummy Necklace Pacifier\",\"description\":\"Curabitur aliquet quam id dui posuere blandit. Vivamus suscipit tortor eget felis porttitor volutpat. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Lorem ipsum dolor sit amet, consectetur adipiscing elit.\",\"image\":\"20221116/da1041f0dd09e05b8a75781ee4e5d753.webp\"}'),(2295,1171,'array','meta_video_files','[]'),(2296,1171,'array','meta_video_url','[\"https:\\/\\/player.vimeo.com\\/video\\/330420305?h=0c269f7e82&color=f7f7f7&title=0&byline=0&portrait=0\"]'),(2297,1172,'array','meta_image','[\"20221116/ba35eed70959b6000252f7fe9b440b72.webp\",\"20221116/f67a728eb33fcc3d2d884e142ceb6ef6.webp\"]'),(2298,1172,'string','meta_virtual','0'),(2299,1172,'string','meta_downloadable','0'),(2300,1172,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2301,1172,'array','meta_downloadable_files','[]'),(2302,1172,'string','meta_download_limit',''),(2303,1172,'string','meta_download_expiry',''),(2304,1172,'string','meta_tax_classes','standard'),(2305,1172,'string','meta_backorder','0'),(2306,1172,'string','meta_stock_threshold','5'),(2307,1172,'string','meta_hide_stock','0'),(2308,1172,'string','meta_stock_status','In Stock'),(2309,1172,'string','meta_individual_sale','0'),(2310,1172,'string','meta_shipping_id','light'),(2311,1172,'string','meta_cash_on_delivery','0'),(2312,1172,'string','meta_weight',''),(2313,1172,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2314,1172,'string','meta_warranty_type','No Warranty'),(2315,1172,'string','meta_warranty_period',''),(2316,1172,'string','meta_warranty_policy',''),(2317,1172,'string','meta_purchase_note',''),(2318,1172,'string','meta_estimated_delivery','15'),(2319,1172,'string','meta_enable_reviews','1'),(2320,1172,'array','meta_seo','{\"title\":\"Gift Boxes for ring or bracelet without logo fit drop shipping Jewelry Package\",\"description\":\"Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Donec rutrum congue leo eget malesuada. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.\",\"image\":\"20221116/ba35eed70959b6000252f7fe9b440b72.webp\"}'),(2321,1172,'array','meta_video_files','[]'),(2322,1172,'array','meta_video_url','[]'),(2323,1173,'array','meta_image','[\"20221116/eee9bfdc90877d251ec67f766bd802c9.webp\",\"20221116/8c67a9dbf6551bd22b08188f63344f52.webp\",\"20221116/f7aac2e7f5d4697e6df1f5e0ba7858ed.webp\"]'),(2324,1173,'string','meta_virtual','0'),(2325,1173,'string','meta_downloadable','0'),(2326,1173,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2327,1173,'array','meta_downloadable_files','[]'),(2328,1173,'string','meta_download_limit',''),(2329,1173,'string','meta_download_expiry',''),(2330,1173,'string','meta_tax_classes',''),(2331,1173,'string','meta_backorder','0'),(2332,1173,'string','meta_stock_threshold','5'),(2333,1173,'string','meta_hide_stock','0'),(2334,1173,'string','meta_stock_status','In Stock'),(2335,1173,'string','meta_individual_sale','0'),(2336,1173,'string','meta_shipping_id','light'),(2337,1173,'string','meta_cash_on_delivery','1'),(2338,1173,'string','meta_weight',''),(2339,1173,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2340,1173,'string','meta_warranty_type','No Warranty'),(2341,1173,'string','meta_warranty_period',''),(2342,1173,'string','meta_warranty_policy',''),(2343,1173,'string','meta_purchase_note',''),(2344,1173,'string','meta_estimated_delivery','15'),(2345,1173,'string','meta_enable_reviews','1'),(2346,1173,'array','meta_seo','{\"title\":\"Velvet Jewelry Organizer Gift Small Bag Touching Plush Drawstring Packaging Storage\",\"description\":\"Pellentesque in ipsum id orci porta dapibus. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Donec rutrum congue leo eget malesuada. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a. Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui.\",\"image\":\"20221116/eee9bfdc90877d251ec67f766bd802c9.webp\"}'),(2347,1173,'array','meta_video_files','[]'),(2348,1173,'array','meta_video_url','[]'),(2349,1174,'array','meta_image','[\"20221116/83d73390ba88a6390101c4d7a8766822.webp\",\"20221116/3d418353e7b238849c8675a20649caca.webp\",\"20221116/caa6ea61874ae4f54ee9cd5d0525147b.webp\",\"20221116/04f5788e13d4737267f1eb8a2ae7552f.webp\"]'),(2350,1174,'string','meta_virtual','0'),(2351,1174,'string','meta_downloadable','0'),(2352,1174,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2353,1174,'array','meta_downloadable_files','[]'),(2354,1174,'string','meta_download_limit',''),(2355,1174,'string','meta_download_expiry',''),(2356,1174,'string','meta_tax_classes','standard'),(2357,1174,'string','meta_backorder','0'),(2358,1174,'string','meta_stock_threshold','5'),(2359,1174,'string','meta_hide_stock','0'),(2360,1174,'string','meta_stock_status','In Stock'),(2361,1174,'string','meta_individual_sale','0'),(2362,1174,'string','meta_shipping_id','light'),(2363,1174,'string','meta_cash_on_delivery','1'),(2364,1174,'string','meta_weight','0.036'),(2365,1174,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2366,1174,'string','meta_warranty_type','No Warranty'),(2367,1174,'string','meta_warranty_period',''),(2368,1174,'string','meta_warranty_policy',''),(2369,1174,'string','meta_purchase_note',''),(2370,1174,'string','meta_estimated_delivery','7'),(2371,1174,'string','meta_enable_reviews','1'),(2372,1174,'array','meta_seo','{\"title\":\"USB 2.0 Type A Female To Male Extension Extender Cable\",\"description\":\"Nulla quis lorem ut libero malesuada feugiat. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Pellentesque in ipsum id orci porta dapibus.\",\"image\":\"20221116/83d73390ba88a6390101c4d7a8766822.webp\"}'),(2373,1174,'array','meta_video_files','[]'),(2374,1174,'array','meta_video_url','[]'),(2375,1175,'array','meta_image','[\"20221116/3c313278885be29855a556b5e27e1aea.webp\",\"20221116/0c38cb55c64d092f786bdf803468e133.webp\",\"20221116/6c2e5da60065189b2f5650ac05dc224f.webp\",\"20221116/9526c3d8c62977c8330ecb6a7aa2182f.webp\"]'),(2376,1175,'string','meta_virtual','0'),(2377,1175,'string','meta_downloadable','0'),(2378,1175,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2379,1175,'array','meta_downloadable_files','[]'),(2380,1175,'string','meta_download_limit',''),(2381,1175,'string','meta_download_expiry',''),(2382,1175,'string','meta_tax_classes',''),(2383,1175,'string','meta_backorder','0'),(2384,1175,'string','meta_stock_threshold','5'),(2385,1175,'string','meta_hide_stock','0'),(2386,1175,'string','meta_stock_status','In Stock'),(2387,1175,'string','meta_individual_sale','0'),(2388,1175,'string','meta_shipping_id','light'),(2389,1175,'string','meta_cash_on_delivery','1'),(2390,1175,'string','meta_weight','0.030'),(2391,1175,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2392,1175,'string','meta_warranty_type','No Warranty'),(2393,1175,'string','meta_warranty_period',''),(2394,1175,'string','meta_warranty_policy',''),(2395,1175,'string','meta_purchase_note',''),(2396,1175,'string','meta_estimated_delivery','7'),(2397,1175,'string','meta_enable_reviews','1'),(2398,1175,'array','meta_seo','{\"title\":\"USB Type C Cable 2 IN 1 Fast Charging Cord Data Sync Charger Line Speed Transfer\",\"description\":\"Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi.\",\"image\":\"20221116/3c313278885be29855a556b5e27e1aea.webp\"}'),(2399,1175,'array','meta_video_files','[]'),(2400,1175,'array','meta_video_url','[]'),(2401,1176,'array','meta_image','[\"20221116/23c4d1b84785337722f69736b86ff959.webp\",\"20221116/8ab8e217f11a4ebdd04e6a6fe83f5c3a.webp\"]'),(2402,1176,'string','meta_virtual','0'),(2403,1176,'string','meta_downloadable','0'),(2404,1176,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2405,1176,'array','meta_downloadable_files','[]'),(2406,1176,'string','meta_download_limit',''),(2407,1176,'string','meta_download_expiry',''),(2408,1176,'string','meta_tax_classes','standard'),(2409,1176,'string','meta_backorder','0'),(2410,1176,'string','meta_stock_threshold','5'),(2411,1176,'string','meta_hide_stock','0'),(2412,1176,'string','meta_stock_status','In Stock'),(2413,1176,'string','meta_individual_sale','0'),(2414,1176,'string','meta_shipping_id','light'),(2415,1176,'string','meta_cash_on_delivery','1'),(2416,1176,'string','meta_weight','0.036'),(2417,1176,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2418,1176,'string','meta_warranty_type','No Warranty'),(2419,1176,'string','meta_warranty_period',''),(2420,1176,'string','meta_warranty_policy',''),(2421,1176,'string','meta_purchase_note',''),(2422,1176,'string','meta_estimated_delivery','7'),(2423,1176,'string','meta_enable_reviews','1'),(2424,1176,'array','meta_seo','{\"title\":\"USB 3.0 Type A Female to A Female Connector Adapter AF to AF Coupler FF Gender Changer Extender Converter\",\"description\":\"Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur aliquet quam id dui posuere blandit. Pellentesque in ipsum id orci porta dapibus. Proin eget tortor risus.\",\"image\":\"20221116/23c4d1b84785337722f69736b86ff959.webp\"}'),(2425,1176,'array','meta_video_files','[]'),(2426,1176,'array','meta_video_url','[]'),(2427,1177,'array','meta_image','[\"20221116/12720eafbfded74f716406f2caa75ae4.webp\",\"20221116/cb6939c8a8bfa4d249654a4c6d45aa55.webp\"]'),(2428,1177,'string','meta_virtual','0'),(2429,1177,'string','meta_downloadable','0'),(2430,1177,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2431,1177,'array','meta_downloadable_files','[]'),(2432,1177,'string','meta_download_limit',''),(2433,1177,'string','meta_download_expiry',''),(2434,1177,'string','meta_tax_classes',''),(2435,1177,'string','meta_backorder','0'),(2436,1177,'string','meta_stock_threshold','5'),(2437,1177,'string','meta_hide_stock','0'),(2438,1177,'string','meta_stock_status','In Stock'),(2439,1177,'string','meta_individual_sale','0'),(2440,1177,'string','meta_shipping_id','light'),(2441,1177,'string','meta_cash_on_delivery','1'),(2442,1177,'string','meta_weight',''),(2443,1177,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2444,1177,'string','meta_warranty_type','No Warranty'),(2445,1177,'string','meta_warranty_period',''),(2446,1177,'string','meta_warranty_policy',''),(2447,1177,'string','meta_purchase_note',''),(2448,1177,'string','meta_estimated_delivery','7'),(2449,1177,'string','meta_enable_reviews','1'),(2450,1177,'array','meta_seo','{\"title\":\"USB Cable With Switch ONOFF Cable Extension Toggle For USB Lamp USB Fan Power Supply Line Durable\",\"description\":\"Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Sed porttitor lectus nibh. Curabitur aliquet quam id dui posuere blandit. Sed porttitor lectus nibh.\",\"image\":\"20221116/12720eafbfded74f716406f2caa75ae4.webp\"}'),(2451,1177,'array','meta_video_files','[]'),(2452,1177,'array','meta_video_url','[]'),(2453,1178,'array','meta_image','[\"20221116/2c6dcb0b6953482cd03b7dd6e754c51d.webp\",\"20221116/a8f3205751d743e0e08988429e1b86e7.webp\",\"20221116/5215d50c53b4b827e313fc525e52562a.webp\"]'),(2454,1178,'string','meta_virtual','0'),(2455,1178,'string','meta_downloadable','0'),(2456,1178,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2457,1178,'array','meta_downloadable_files','[]'),(2458,1178,'string','meta_download_limit',''),(2459,1178,'string','meta_download_expiry',''),(2460,1178,'string','meta_tax_classes',''),(2461,1178,'string','meta_backorder','0'),(2462,1178,'string','meta_stock_threshold','5'),(2463,1178,'string','meta_hide_stock','0'),(2464,1178,'string','meta_stock_status','In Stock'),(2465,1178,'string','meta_individual_sale','0'),(2466,1178,'string','meta_shipping_id','light'),(2467,1178,'string','meta_cash_on_delivery','1'),(2468,1178,'string','meta_weight',''),(2469,1178,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2470,1178,'string','meta_warranty_type','Brand Warranty'),(2471,1178,'string','meta_warranty_period','6 months'),(2472,1178,'string','meta_warranty_policy','Quisque velit nisi, pretium ut lacinia in, elementum id enim. Sed porttitor lectus nibh.'),(2473,1178,'string','meta_purchase_note',''),(2474,1178,'string','meta_estimated_delivery','7'),(2475,1178,'string','meta_enable_reviews','1'),(2476,1178,'array','meta_seo','{\"title\":\"Smart Bracelet Sports Bracelet D13 Color Screen Bracelet Sports Pedometer Bluetooth Reminder Heart Rate Blood Pressure\",\"description\":\"Donec sollicitudin molestie malesuada. Cras ultricies ligula sed magna dictum porta. Donec rutrum congue leo eget malesuada. Nulla porttitor accumsan tincidunt. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.\",\"image\":\"20221116/2c6dcb0b6953482cd03b7dd6e754c51d.webp\"}'),(2477,1178,'array','meta_video_files','[]'),(2478,1178,'array','meta_video_url','[]'),(2479,1179,'array','meta_image','[\"20221116/682e61992be05b11e77a5a94e4aa9bc4.webp\",\"20221116/37e7c239a34e249fcc333662743194d0.webp\",\"20221116/539708ae11d94dbca0770e4da809b253.webp\",\"20221116/dc04c86a127d1967056f11dad17bbb1d.webp\"]'),(2480,1179,'string','meta_virtual','0'),(2481,1179,'string','meta_downloadable','0'),(2482,1179,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2483,1179,'array','meta_downloadable_files','[]'),(2484,1179,'string','meta_download_limit',''),(2485,1179,'string','meta_download_expiry',''),(2486,1179,'string','meta_tax_classes',''),(2487,1179,'string','meta_backorder','0'),(2488,1179,'string','meta_stock_threshold','5'),(2489,1179,'string','meta_hide_stock','0'),(2490,1179,'string','meta_stock_status','In Stock'),(2491,1179,'string','meta_individual_sale','0'),(2492,1179,'string','meta_shipping_id','light'),(2493,1179,'string','meta_cash_on_delivery','1'),(2494,1179,'string','meta_weight','0.090'),(2495,1179,'array','meta_dimension','{\"length\":\"5\",\"width\":\"2\",\"height\":\"6\"}'),(2496,1179,'string','meta_warranty_type','No Warranty'),(2497,1179,'string','meta_warranty_period',''),(2498,1179,'string','meta_warranty_policy',''),(2499,1179,'string','meta_purchase_note',''),(2500,1179,'string','meta_estimated_delivery','7'),(2501,1179,'string','meta_enable_reviews','1'),(2502,1179,'array','meta_seo','{\"title\":\"Tumbler Dinosaur Egg Multi-colors Virtual Cyber Digital Pet Game Toy Tamagotchis Digital Electronic E-Pet\",\"description\":\"Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Donec sollicitudin molestie malesuada. Nulla quis lorem ut libero malesuada feugiat. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Donec sollicitudin molestie malesuada.\",\"image\":\"20221116/682e61992be05b11e77a5a94e4aa9bc4.webp\"}'),(2503,1179,'array','meta_video_files','[]'),(2504,1179,'array','meta_video_url','[]'),(2505,1180,'array','meta_image','[\"20221116/12a3bfa2188bc16c1bbabbe2c69553ff.webp\",\"20221116/b99d3148de455940d1d4ac4a943f1e88.webp\",\"20221116/be6e9408affa6ce6a6da8a19c99a92aa.webp\",\"20221116/4709673eec4646705e96c8e4de30dff5.webp\"]'),(2506,1180,'string','meta_virtual','0'),(2507,1180,'string','meta_downloadable','0'),(2508,1180,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2509,1180,'array','meta_downloadable_files','[]'),(2510,1180,'string','meta_download_limit',''),(2511,1180,'string','meta_download_expiry',''),(2512,1180,'string','meta_tax_classes',''),(2513,1180,'string','meta_backorder','0'),(2514,1180,'string','meta_stock_threshold','5'),(2515,1180,'string','meta_hide_stock','0'),(2516,1180,'string','meta_stock_status','In Stock'),(2517,1180,'string','meta_individual_sale','0'),(2518,1180,'string','meta_shipping_id','light'),(2519,1180,'string','meta_cash_on_delivery','1'),(2520,1180,'string','meta_weight','0.037'),(2521,1180,'array','meta_dimension','{\"length\":\"48\",\"width\":\"36\",\"height\":\"12\"}'),(2522,1180,'string','meta_warranty_type','No Warranty'),(2523,1180,'string','meta_warranty_period',''),(2524,1180,'string','meta_warranty_policy',''),(2525,1180,'string','meta_purchase_note',''),(2526,1180,'string','meta_estimated_delivery','7'),(2527,1180,'string','meta_enable_reviews','1'),(2528,1180,'array','meta_seo','{\"title\":\"Smartwatch Men Support 118 Sports Women Smart Watch\",\"description\":\"Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Nulla porttitor accumsan tincidunt. Sed porttitor lectus nibh. Sed porttitor lectus nibh.\",\"image\":\"20221116/12a3bfa2188bc16c1bbabbe2c69553ff.webp\"}'),(2529,1180,'array','meta_video_files','[]'),(2530,1180,'array','meta_video_url','[]'),(2531,1181,'array','meta_image','[\"20221116/f0851afdf3e11c911cf6f2202adb68d8.webp\",\"20221116/2a0a8309baa254d6b9c21389cbe0e799.webp\"]'),(2532,1181,'string','meta_virtual','0'),(2533,1181,'string','meta_downloadable','0'),(2534,1181,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2535,1181,'array','meta_downloadable_files','[]'),(2536,1181,'string','meta_download_limit',''),(2537,1181,'string','meta_download_expiry',''),(2538,1181,'string','meta_tax_classes','standard'),(2539,1181,'string','meta_backorder','0'),(2540,1181,'string','meta_stock_threshold','5'),(2541,1181,'string','meta_hide_stock','0'),(2542,1181,'string','meta_stock_status','In Stock'),(2543,1181,'string','meta_individual_sale','0'),(2544,1181,'string','meta_shipping_id','light'),(2545,1181,'string','meta_cash_on_delivery','1'),(2546,1181,'string','meta_weight',''),(2547,1181,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2548,1181,'string','meta_warranty_type','Brand Warranty'),(2549,1181,'string','meta_warranty_period','3 years'),(2550,1181,'string','meta_warranty_policy',''),(2551,1181,'string','meta_purchase_note',''),(2552,1181,'string','meta_estimated_delivery','7'),(2553,1181,'string','meta_enable_reviews','1'),(2554,1181,'array','meta_seo','{\"title\":\"GK3V Mini PC Intel Celeron J4125N5105 8GB DDR4 128GB256GB Windows 10 Pro Gaming Computer, 4K 60Hz HDMI VGA\",\"description\":\"Nulla porttitor accumsan tincidunt. Pellentesque in ipsum id orci porta dapibus. Nulla quis lorem ut libero malesuada feugiat. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a. Proin eget tortor risus.\",\"image\":\"20221116/f0851afdf3e11c911cf6f2202adb68d8.webp\"}'),(2555,1181,'array','meta_video_files','[]'),(2556,1181,'array','meta_video_url','[]'),(2557,1182,'array','meta_image','[\"20221116/31e679efa10c38424385f024b4da4a37.webp\",\"20221116/5f0e01e0e4e042d076271f0f07aba751.webp\",\"20221116/b290bcbc6a0e890c72bc97bcff37c302.webp\"]'),(2558,1182,'string','meta_virtual','0'),(2559,1182,'string','meta_downloadable','0'),(2560,1182,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2561,1182,'array','meta_downloadable_files','[]'),(2562,1182,'string','meta_download_limit',''),(2563,1182,'string','meta_download_expiry',''),(2564,1182,'string','meta_tax_classes',''),(2565,1182,'string','meta_backorder','0'),(2566,1182,'string','meta_stock_threshold','5'),(2567,1182,'string','meta_hide_stock','0'),(2568,1182,'string','meta_stock_status','In Stock'),(2569,1182,'string','meta_individual_sale','0'),(2570,1182,'string','meta_shipping_id','light'),(2571,1182,'string','meta_cash_on_delivery','1'),(2572,1182,'string','meta_weight','0.400'),(2573,1182,'array','meta_dimension','{\"length\":\"107\",\"width\":\"40\",\"height\":\"14\"}'),(2574,1182,'string','meta_warranty_type','Brand Warranty'),(2575,1182,'string','meta_warranty_period','3 years'),(2576,1182,'string','meta_warranty_policy','Vivamus suscipit tortor eget felis porttitor volutpat. Vivamus suscipit tortor eget felis porttitor volutpat.'),(2577,1182,'string','meta_purchase_note',''),(2578,1182,'string','meta_estimated_delivery','7'),(2579,1182,'string','meta_enable_reviews','1'),(2580,1182,'array','meta_seo','{\"title\":\"NVME Case Aluminum M2 to USB 3.1 Gen 2 10Gbps PCIe Type C SSD M.2 Enclosure Portable Box\",\"description\":\"Donec rutrum congue leo eget malesuada. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Donec rutrum congue leo eget malesuada. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.\",\"image\":\"20221116/31e679efa10c38424385f024b4da4a37.webp\"}'),(2581,1182,'array','meta_video_files','[]'),(2582,1182,'array','meta_video_url','[\"https:\\/\\/player.vimeo.com\\/video\\/330420305?h=0c269f7e82&color=f7f7f7&title=0&byline=0&portrait=0\"]'),(2583,1183,'array','meta_image','[\"20221116/8e4f7f9cffd21f3f267147d2cf3e79b1.webp\"]'),(2584,1183,'string','meta_virtual','0'),(2585,1183,'string','meta_downloadable','0'),(2586,1183,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2587,1183,'array','meta_downloadable_files','[]'),(2588,1183,'string','meta_download_limit',''),(2589,1183,'string','meta_download_expiry',''),(2590,1183,'string','meta_tax_classes','standard'),(2591,1183,'string','meta_backorder','0'),(2592,1183,'string','meta_stock_threshold','5'),(2593,1183,'string','meta_hide_stock','0'),(2594,1183,'string','meta_stock_status','In Stock'),(2595,1183,'string','meta_individual_sale','0'),(2596,1183,'string','meta_shipping_id','light'),(2597,1183,'string','meta_cash_on_delivery','1'),(2598,1183,'string','meta_weight','0.09'),(2599,1183,'array','meta_dimension','{\"length\":\"58\",\"width\":\"17\",\"height\":\"7\"}'),(2600,1183,'string','meta_warranty_type','Brand Warranty'),(2601,1183,'string','meta_warranty_period','Lifetime'),(2602,1183,'string','meta_warranty_policy','Pellentesque in ipsum id orci porta dapibus. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi.'),(2603,1183,'string','meta_purchase_note',''),(2604,1183,'string','meta_estimated_delivery','7'),(2605,1183,'string','meta_enable_reviews','1'),(2606,1183,'array','meta_seo','{\"title\":\"USB 2.0 Flash Pen Drive 32GB 16GB 64GB 128GB Squid Game Cle Usb Memorys Cards\",\"description\":\"Sed porttitor lectus nibh. Proin eget tortor risus. Curabitur aliquet quam id dui posuere blandit. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.\",\"image\":\"20221116/8e4f7f9cffd21f3f267147d2cf3e79b1.webp\"}'),(2607,1183,'array','meta_video_files','[]'),(2608,1183,'array','meta_video_url','[\"https:\\/\\/player.vimeo.com\\/video\\/330420305?h=0c269f7e82&color=f7f7f7&title=0&byline=0&portrait=0\"]'),(2609,1184,'array','meta_image','[\"20221116/1fbd86ffd210e250d46cce02433b5f5a.webp\",\"20221116/10ec4be90e74462efad15f3f79076b62.webp\"]'),(2610,1184,'string','meta_virtual','0'),(2611,1184,'string','meta_downloadable','0'),(2612,1184,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2613,1184,'array','meta_downloadable_files','[]'),(2614,1184,'string','meta_download_limit',''),(2615,1184,'string','meta_download_expiry',''),(2616,1184,'string','meta_tax_classes','standard'),(2617,1184,'string','meta_backorder','0'),(2618,1184,'string','meta_stock_threshold','5'),(2619,1184,'string','meta_hide_stock','0'),(2620,1184,'string','meta_stock_status','In Stock'),(2621,1184,'string','meta_individual_sale','0'),(2622,1184,'string','meta_shipping_id','light'),(2623,1184,'string','meta_cash_on_delivery','1'),(2624,1184,'string','meta_weight',''),(2625,1184,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2626,1184,'string','meta_warranty_type','No Warranty'),(2627,1184,'string','meta_warranty_period',''),(2628,1184,'string','meta_warranty_policy',''),(2629,1184,'string','meta_purchase_note',''),(2630,1184,'string','meta_estimated_delivery','7'),(2631,1184,'string','meta_enable_reviews','1'),(2632,1184,'array','meta_seo','{\"title\":\"Portable USB male-to-female interface data cable, retractable data synchronization charger cable for Android\",\"description\":\"Proin eget tortor risus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Donec rutrum congue leo eget malesuada. Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui.\",\"image\":\"20221116/1fbd86ffd210e250d46cce02433b5f5a.webp\"}'),(2633,1184,'array','meta_video_files','[]'),(2634,1184,'array','meta_video_url','[]'),(2635,1185,'array','meta_image','[\"20221116/fa07c364ad08b1923ede92071f798345.webp\",\"20221116/2d5ed2e57112efcfc843776788a92e2d.webp\"]'),(2636,1185,'string','meta_virtual','0'),(2637,1185,'string','meta_downloadable','0'),(2638,1185,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2639,1185,'array','meta_downloadable_files','[]'),(2640,1185,'string','meta_download_limit',''),(2641,1185,'string','meta_download_expiry',''),(2642,1185,'string','meta_tax_classes','standard'),(2643,1185,'string','meta_backorder','0'),(2644,1185,'string','meta_stock_threshold','5'),(2645,1185,'string','meta_hide_stock','0'),(2646,1185,'string','meta_stock_status','In Stock'),(2647,1185,'string','meta_individual_sale','0'),(2648,1185,'string','meta_shipping_id','light'),(2649,1185,'string','meta_cash_on_delivery','1'),(2650,1185,'string','meta_weight',''),(2651,1185,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2652,1185,'string','meta_warranty_type','Brand Warranty'),(2653,1185,'string','meta_warranty_period','3 years'),(2654,1185,'string','meta_warranty_policy','Quisque velit nisi, pretium ut lacinia in, elementum id enim. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.'),(2655,1185,'string','meta_purchase_note',''),(2656,1185,'string','meta_estimated_delivery','7'),(2657,1185,'string','meta_enable_reviews','1'),(2658,1185,'array','meta_seo','{\"title\":\"Cartoon Camera Children\'s Camera 240W Pixel Mini Camera Toy Camera\",\"description\":\"Sed porttitor lectus nibh. Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur aliquet quam id dui posuere blandit.\",\"image\":\"20221116/fa07c364ad08b1923ede92071f798345.webp\"}'),(2659,1185,'array','meta_video_files','[]'),(2660,1185,'array','meta_video_url','[]'),(2661,1186,'array','meta_image','[\"20221116/79e421bbcb090394f511aa53c47bd6b7.webp\",\"20221116/7de7dd441ea5a71a0e73635a8e6fe7da.webp\",\"20221116/0b023fa29dbf7e236f9aa1ed011ebb92.webp\",\"20221116/1613dcb74adf575d1ccd3eb35b958019.webp\",\"20221116/920a60aa5244194dae430dc8b8b758fb.webp\",\"20221116/a9ff70f7c6b5d8e03f71bb375772e449.webp\"]'),(2662,1186,'string','meta_virtual','0'),(2663,1186,'string','meta_downloadable','0'),(2664,1186,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2665,1186,'array','meta_downloadable_files','[]'),(2666,1186,'string','meta_download_limit',''),(2667,1186,'string','meta_download_expiry',''),(2668,1186,'string','meta_tax_classes',''),(2669,1186,'string','meta_backorder','0'),(2670,1186,'string','meta_stock_threshold',''),(2671,1186,'string','meta_hide_stock','0'),(2672,1186,'string','meta_stock_status','In Stock'),(2673,1186,'string','meta_individual_sale','0'),(2674,1186,'string','meta_shipping_id','light'),(2675,1186,'string','meta_cash_on_delivery','1'),(2676,1186,'string','meta_weight','0.400'),(2677,1186,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2678,1186,'string','meta_warranty_type','Brand Warranty'),(2679,1186,'string','meta_warranty_period','1 year'),(2680,1186,'string','meta_warranty_policy','Proin eget tortor risus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.'),(2681,1186,'string','meta_purchase_note',''),(2682,1186,'string','meta_estimated_delivery','7'),(2683,1186,'string','meta_enable_reviews','1'),(2684,1186,'array','meta_seo','{\"title\":\"Anti-Drop AirPods1 2 Silicone Bluetooth Compatible Earphone Cover Air Pods\",\"description\":\"Quisque velit nisi, pretium ut lacinia in, elementum id enim. Curabitur aliquet quam id dui posuere blandit. Nulla quis lorem ut libero malesuada feugiat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Proin eget tortor risus.\",\"image\":\"20221116/79e421bbcb090394f511aa53c47bd6b7.webp\"}'),(2685,1186,'array','meta_video_files','[]'),(2686,1186,'array','meta_video_url','[]'),(2687,1187,'array','meta_image','[\"20221120/139e75ab56c02c8e35cac98c4f6ea812.webp\"]'),(2688,1187,'string','meta_virtual','0'),(2689,1187,'string','meta_downloadable','0'),(2690,1187,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2691,1187,'array','meta_downloadable_files','[]'),(2692,1187,'string','meta_download_limit',''),(2693,1187,'string','meta_download_expiry',''),(2694,1187,'string','meta_tax_classes',''),(2695,1187,'string','meta_backorder','0'),(2696,1187,'string','meta_stock_threshold','5'),(2697,1187,'string','meta_hide_stock','0'),(2698,1187,'string','meta_stock_status','In Stock'),(2699,1187,'string','meta_individual_sale','0'),(2700,1187,'string','meta_shipping_id','light'),(2701,1187,'string','meta_cash_on_delivery','1'),(2702,1187,'string','meta_weight',''),(2703,1187,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2704,1187,'string','meta_warranty_type','No Warranty'),(2705,1187,'string','meta_warranty_period',''),(2706,1187,'string','meta_warranty_policy',''),(2707,1187,'string','meta_purchase_note',''),(2708,1187,'string','meta_estimated_delivery','7'),(2709,1187,'string','meta_enable_reviews','1'),(2710,1187,'array','meta_seo','{\"title\":\"Asymmetric design top\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed porttitor lectus nibh. Donec sollicitudin molestie malesuada. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Proin eget tortor risus. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Cras ultricies ligula sed magna dictum porta. Proin eget tortor risus. Sed porttitor lectus nibh. Pellentesque in ipsum id orci porta dapibus.\",\"image\":\"20221120/139e75ab56c02c8e35cac98c4f6ea812.webp\"}'),(2711,1187,'array','meta_video_files','[]'),(2712,1187,'array','meta_video_url','[]'),(2739,1188,'array','meta_image','[\"20221120/3854797b37a51099c22f45952459d8fd.webp\",\"20221120/fff6730c097bce46a0e88303e17aad82.webp\"]'),(2740,1188,'string','meta_virtual','0'),(2741,1188,'string','meta_downloadable','0'),(2742,1188,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2743,1188,'array','meta_downloadable_files','[]'),(2744,1188,'string','meta_download_limit',''),(2745,1188,'string','meta_download_expiry',''),(2746,1188,'string','meta_tax_classes',''),(2747,1188,'string','meta_backorder','0'),(2748,1188,'string','meta_stock_threshold','5'),(2749,1188,'string','meta_hide_stock','0'),(2750,1188,'string','meta_stock_status','In Stock'),(2751,1188,'string','meta_individual_sale','0'),(2752,1188,'string','meta_shipping_id','light'),(2753,1188,'string','meta_cash_on_delivery','0'),(2754,1188,'string','meta_weight',''),(2755,1188,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2756,1188,'string','meta_warranty_type','No Warranty'),(2757,1188,'string','meta_warranty_period',''),(2758,1188,'string','meta_warranty_policy',''),(2759,1188,'string','meta_purchase_note',''),(2760,1188,'string','meta_estimated_delivery','7'),(2761,1188,'string','meta_enable_reviews','1'),(2762,1188,'array','meta_seo','{\"title\":\"Asymmetric neckline blouse\",\"description\":\"Pellentesque in ipsum id orci porta dapibus. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Proin eget tortor risus. Pellentesque in ipsum id orci porta dapibus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.\",\"image\":\"20221120/3854797b37a51099c22f45952459d8fd.webp\"}'),(2763,1188,'array','meta_video_files','[]'),(2764,1188,'array','meta_video_url','[]'),(2765,1189,'array','meta_image','[\"20221120/8dbc149374c1046c5177438df2a021c7.webp\"]'),(2766,1189,'string','meta_virtual','0'),(2767,1189,'string','meta_downloadable','0'),(2768,1189,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2769,1189,'array','meta_downloadable_files','[]'),(2770,1189,'string','meta_download_limit',''),(2771,1189,'string','meta_download_expiry',''),(2772,1189,'string','meta_tax_classes','standard'),(2773,1189,'string','meta_backorder','0'),(2774,1189,'string','meta_stock_threshold','5'),(2775,1189,'string','meta_hide_stock','0'),(2776,1189,'string','meta_stock_status','In Stock'),(2777,1189,'string','meta_individual_sale','0'),(2778,1189,'string','meta_shipping_id','light'),(2779,1189,'string','meta_cash_on_delivery','1'),(2780,1189,'string','meta_weight','0.27'),(2781,1189,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2782,1189,'string','meta_warranty_type','No Warranty'),(2783,1189,'string','meta_warranty_period',''),(2784,1189,'string','meta_warranty_policy',''),(2785,1189,'string','meta_purchase_note',''),(2786,1189,'string','meta_estimated_delivery','7'),(2787,1189,'string','meta_enable_reviews','1'),(2788,1189,'array','meta_seo','{\"title\":\"Asymmetric neckline blouse full\",\"description\":\"Cras ultricies ligula sed magna dictum porta. Nulla porttitor accumsan tincidunt. Proin eget tortor risus. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Curabitur aliquet quam id dui posuere blandit.\",\"image\":\"20221120/8dbc149374c1046c5177438df2a021c7.webp\"}'),(2789,1189,'array','meta_video_files','[]'),(2790,1189,'array','meta_video_url','[]'),(2791,1190,'array','meta_image','[\"20221120/8abb4d2f7a254c2d3331ef7fd0511415.webp\",\"20221120/cf6a91666a7fb0f5bca5752f12f98143.webp\"]'),(2792,1190,'string','meta_virtual','0'),(2793,1190,'string','meta_downloadable','0'),(2794,1190,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2795,1190,'array','meta_downloadable_files','[]'),(2796,1190,'string','meta_download_limit',''),(2797,1190,'string','meta_download_expiry',''),(2798,1190,'string','meta_tax_classes',''),(2799,1190,'string','meta_backorder','0'),(2800,1190,'string','meta_stock_threshold','5'),(2801,1190,'string','meta_hide_stock','0'),(2802,1190,'string','meta_stock_status','In Stock'),(2803,1190,'string','meta_individual_sale','0'),(2804,1190,'string','meta_shipping_id','light'),(2805,1190,'string','meta_cash_on_delivery','1'),(2806,1190,'string','meta_weight','0.27'),(2807,1190,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2808,1190,'string','meta_warranty_type','No Warranty'),(2809,1190,'string','meta_warranty_period',''),(2810,1190,'string','meta_warranty_policy',''),(2811,1190,'string','meta_purchase_note',''),(2812,1190,'string','meta_estimated_delivery','7'),(2813,1190,'string','meta_enable_reviews','1'),(2814,1190,'array','meta_seo','{\"title\":\"Cord textured dress\",\"description\":\"Curabitur aliquet quam id dui posuere blandit. Curabitur aliquet quam id dui posuere blandit. Donec rutrum congue leo eget malesuada. Sed porttitor lectus nibh. Curabitur aliquet quam id dui posuere blandit.\",\"image\":\"20221120/8abb4d2f7a254c2d3331ef7fd0511415.webp\"}'),(2815,1190,'array','meta_video_files','[]'),(2816,1190,'array','meta_video_url','[]'),(2817,1191,'array','meta_image','[\"20221120/1af11c4b3c9b6d0e2806c144d80626ce.webp\"]'),(2818,1191,'string','meta_virtual','0'),(2819,1191,'string','meta_downloadable','0'),(2820,1191,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2821,1191,'array','meta_downloadable_files','[]'),(2822,1191,'string','meta_download_limit',''),(2823,1191,'string','meta_download_expiry',''),(2824,1191,'string','meta_tax_classes','standard'),(2825,1191,'string','meta_backorder','0'),(2826,1191,'string','meta_stock_threshold','5'),(2827,1191,'string','meta_hide_stock','0'),(2828,1191,'string','meta_stock_status','In Stock'),(2829,1191,'string','meta_individual_sale','0'),(2830,1191,'string','meta_shipping_id','light'),(2831,1191,'string','meta_cash_on_delivery','1'),(2832,1191,'string','meta_weight','0.25'),(2833,1191,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2834,1191,'string','meta_warranty_type','No Warranty'),(2835,1191,'string','meta_warranty_period',''),(2836,1191,'string','meta_warranty_policy',''),(2837,1191,'string','meta_purchase_note',''),(2838,1191,'string','meta_estimated_delivery','7'),(2839,1191,'string','meta_enable_reviews','1'),(2840,1191,'array','meta_seo','{\"title\":\"Cord textured dress top\",\"description\":\"Proin eget tortor risus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Donec sollicitudin molestie malesuada. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a.\",\"image\":\"20221120/1af11c4b3c9b6d0e2806c144d80626ce.webp\"}'),(2841,1191,'array','meta_video_files','[]'),(2842,1191,'array','meta_video_url','[\"https:\\/\\/player.vimeo.com\\/video\\/330420305?h=0c269f7e82&color=f7f7f7&title=0&byline=0&portrait=0\"]'),(2843,1192,'array','meta_image','[\"20221120/a2d7b299220cc0defef58fc76b7fa838.webp\",\"20221120/d265842eff83d6f419b0ca1582f87da8.webp\"]'),(2844,1192,'string','meta_virtual','0'),(2845,1192,'string','meta_downloadable','0'),(2846,1192,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2847,1192,'array','meta_downloadable_files','[]'),(2848,1192,'string','meta_download_limit',''),(2849,1192,'string','meta_download_expiry',''),(2850,1192,'string','meta_tax_classes',''),(2851,1192,'string','meta_backorder','0'),(2852,1192,'string','meta_stock_threshold','5'),(2853,1192,'string','meta_hide_stock','0'),(2854,1192,'string','meta_stock_status','In Stock'),(2855,1192,'string','meta_individual_sale','0'),(2856,1192,'string','meta_shipping_id','light'),(2857,1192,'string','meta_cash_on_delivery','1'),(2858,1192,'string','meta_weight','0.25'),(2859,1192,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2860,1192,'string','meta_warranty_type','No Warranty'),(2861,1192,'string','meta_warranty_period',''),(2862,1192,'string','meta_warranty_policy',''),(2863,1192,'string','meta_purchase_note',''),(2864,1192,'string','meta_estimated_delivery','7'),(2865,1192,'string','meta_enable_reviews','1'),(2866,1192,'array','meta_seo','{\"title\":\"Crepe fitted suit jacket\",\"description\":\"Sed porttitor lectus nibh. Donec rutrum congue leo eget malesuada. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a. Curabitur aliquet quam id dui posuere blandit. Nulla quis lorem ut libero malesuada feugiat.\",\"image\":\"20221120/a2d7b299220cc0defef58fc76b7fa838.webp\"}'),(2867,1192,'array','meta_video_files','[]'),(2868,1192,'array','meta_video_url','[]'),(2869,1193,'array','meta_image','[\"20221120/789ce2f39acd5aa9686c8c548017a973.webp\"]'),(2870,1193,'string','meta_virtual','0'),(2871,1193,'string','meta_downloadable','0'),(2872,1193,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2873,1193,'array','meta_downloadable_files','[]'),(2874,1193,'string','meta_download_limit',''),(2875,1193,'string','meta_download_expiry',''),(2876,1193,'string','meta_tax_classes','standard'),(2877,1193,'string','meta_backorder','0'),(2878,1193,'string','meta_stock_threshold','5'),(2879,1193,'string','meta_hide_stock','0'),(2880,1193,'string','meta_stock_status','In Stock'),(2881,1193,'string','meta_individual_sale','0'),(2882,1193,'string','meta_shipping_id','light'),(2883,1193,'string','meta_cash_on_delivery','1'),(2884,1193,'string','meta_weight','0.35'),(2885,1193,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2886,1193,'string','meta_warranty_type','No Warranty'),(2887,1193,'string','meta_warranty_period',''),(2888,1193,'string','meta_warranty_policy',''),(2889,1193,'string','meta_purchase_note',''),(2890,1193,'string','meta_estimated_delivery','7'),(2891,1193,'string','meta_enable_reviews','1'),(2892,1193,'array','meta_seo','{\"title\":\"Flared long dress\",\"description\":\"Quisque velit nisi, pretium ut lacinia in, elementum id enim. Proin eget tortor risus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.\",\"image\":\"20221120/789ce2f39acd5aa9686c8c548017a973.webp\"}'),(2893,1193,'array','meta_video_files','[]'),(2894,1193,'array','meta_video_url','[]'),(2895,1194,'array','meta_image','[\"20221120/13d2c440f58a73a30cb67b19202a83e2.webp\",\"20221120/aecae02fb3f920630d153e57f086cd39.webp\"]'),(2896,1194,'string','meta_virtual','0'),(2897,1194,'string','meta_downloadable','0'),(2898,1194,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2899,1194,'array','meta_downloadable_files','[]'),(2900,1194,'string','meta_download_limit',''),(2901,1194,'string','meta_download_expiry',''),(2902,1194,'string','meta_tax_classes','standard'),(2903,1194,'string','meta_backorder','0'),(2904,1194,'string','meta_stock_threshold','5'),(2905,1194,'string','meta_hide_stock','0'),(2906,1194,'string','meta_stock_status','In Stock'),(2907,1194,'string','meta_individual_sale','0'),(2908,1194,'string','meta_shipping_id','light'),(2909,1194,'string','meta_cash_on_delivery','1'),(2910,1194,'string','meta_weight','0.30'),(2911,1194,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2912,1194,'string','meta_warranty_type','No Warranty'),(2913,1194,'string','meta_warranty_period',''),(2914,1194,'string','meta_warranty_policy',''),(2915,1194,'string','meta_purchase_note',''),(2916,1194,'string','meta_estimated_delivery','7'),(2917,1194,'string','meta_enable_reviews','1'),(2918,1194,'array','meta_seo','{\"title\":\"Flowy ruffled dress\",\"description\":\"Nulla porttitor accumsan tincidunt. Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Nulla quis lorem ut libero malesuada feugiat. Nulla quis lorem ut libero malesuada feugiat.\",\"image\":\"20221120/13d2c440f58a73a30cb67b19202a83e2.webp\"}'),(2919,1194,'array','meta_video_files','[]'),(2920,1194,'array','meta_video_url','[]'),(2921,1195,'array','meta_image','[\"20221120/c5e80747d70af0aeecfc904425518436.webp\"]'),(2922,1195,'string','meta_virtual','0'),(2923,1195,'string','meta_downloadable','0'),(2924,1195,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2925,1195,'array','meta_downloadable_files','[]'),(2926,1195,'string','meta_download_limit',''),(2927,1195,'string','meta_download_expiry',''),(2928,1195,'string','meta_tax_classes','standard'),(2929,1195,'string','meta_backorder','0'),(2930,1195,'string','meta_stock_threshold',''),(2931,1195,'string','meta_hide_stock','0'),(2932,1195,'string','meta_stock_status','In Stock'),(2933,1195,'string','meta_individual_sale','0'),(2934,1195,'string','meta_shipping_id','light'),(2935,1195,'string','meta_cash_on_delivery','1'),(2936,1195,'string','meta_weight','0.35'),(2937,1195,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2938,1195,'string','meta_warranty_type','No Warranty'),(2939,1195,'string','meta_warranty_period',''),(2940,1195,'string','meta_warranty_policy',''),(2941,1195,'string','meta_purchase_note',''),(2942,1195,'string','meta_estimated_delivery','7'),(2943,1195,'string','meta_enable_reviews','1'),(2944,1195,'array','meta_seo','{\"title\":\"Heel leather sandals\",\"description\":\"Donec sollicitudin molestie malesuada. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Cras ultricies ligula sed magna dictum porta. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.\",\"image\":\"20221120/c5e80747d70af0aeecfc904425518436.webp\"}'),(2945,1195,'array','meta_video_files','[]'),(2946,1195,'array','meta_video_url','[\"https:\\/\\/player.vimeo.com\\/video\\/330420305?h=0c269f7e82&color=f7f7f7&title=0&byline=0&portrait=0\"]'),(2947,1196,'array','meta_image','[\"20221120/bbf4ee60755bd736492ebe29b856ccd2.webp\"]'),(2948,1196,'string','meta_virtual','0'),(2949,1196,'string','meta_downloadable','0'),(2950,1196,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2951,1196,'array','meta_downloadable_files','[]'),(2952,1196,'string','meta_download_limit',''),(2953,1196,'string','meta_download_expiry',''),(2954,1196,'string','meta_tax_classes',''),(2955,1196,'string','meta_backorder','0'),(2956,1196,'string','meta_stock_threshold',''),(2957,1196,'string','meta_hide_stock','0'),(2958,1196,'string','meta_stock_status','In Stock'),(2959,1196,'string','meta_individual_sale','0'),(2960,1196,'string','meta_shipping_id','light'),(2961,1196,'string','meta_cash_on_delivery','1'),(2962,1196,'string','meta_weight','0.25'),(2963,1196,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2964,1196,'string','meta_warranty_type','No Warranty'),(2965,1196,'string','meta_warranty_period',''),(2966,1196,'string','meta_warranty_policy',''),(2967,1196,'string','meta_purchase_note',''),(2968,1196,'string','meta_estimated_delivery','7'),(2969,1196,'string','meta_enable_reviews','1'),(2970,1196,'array','meta_seo','{\"title\":\"Modal-blend suit blazer\",\"description\":\"Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a. Proin eget tortor risus. Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui. Donec rutrum congue leo eget malesuada. Donec rutrum congue leo eget malesuada.\",\"image\":\"20221120/bbf4ee60755bd736492ebe29b856ccd2.webp\"}'),(2971,1196,'array','meta_video_files','[]'),(2972,1196,'array','meta_video_url','[]'),(2973,1197,'array','meta_image','[\"20221120/b6bb7855098d58bbcca91fc46f553dda.webp\"]'),(2974,1197,'string','meta_virtual','0'),(2975,1197,'string','meta_downloadable','0'),(2976,1197,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(2977,1197,'array','meta_downloadable_files','[]'),(2978,1197,'string','meta_download_limit',''),(2979,1197,'string','meta_download_expiry',''),(2980,1197,'string','meta_tax_classes','standard'),(2981,1197,'string','meta_backorder','0'),(2982,1197,'string','meta_stock_threshold',''),(2983,1197,'string','meta_hide_stock','0'),(2984,1197,'string','meta_stock_status','In Stock'),(2985,1197,'string','meta_individual_sale','0'),(2986,1197,'string','meta_shipping_id','light'),(2987,1197,'string','meta_cash_on_delivery','1'),(2988,1197,'string','meta_weight','0.3'),(2989,1197,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(2990,1197,'string','meta_warranty_type','No Warranty'),(2991,1197,'string','meta_warranty_period',''),(2992,1197,'string','meta_warranty_policy',''),(2993,1197,'string','meta_purchase_note',''),(2994,1197,'string','meta_estimated_delivery','7'),(2995,1197,'string','meta_enable_reviews','1'),(2996,1197,'array','meta_seo','{\"title\":\"Paperbag denim shorts\",\"description\":\"Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Donec rutrum congue leo eget malesuada. Sed porttitor lectus nibh.\",\"image\":\"20221120/b6bb7855098d58bbcca91fc46f553dda.webp\"}'),(2997,1197,'array','meta_video_files','[]'),(2998,1197,'array','meta_video_url','[]'),(2999,1198,'array','meta_image','[\"20221120/f3ae89350bf98da81d50be2886499091.webp\"]'),(3000,1198,'string','meta_virtual','0'),(3001,1198,'string','meta_downloadable','0'),(3002,1198,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(3003,1198,'array','meta_downloadable_files','[]'),(3004,1198,'string','meta_download_limit',''),(3005,1198,'string','meta_download_expiry',''),(3006,1198,'string','meta_tax_classes','standard'),(3007,1198,'string','meta_backorder','0'),(3008,1198,'string','meta_stock_threshold',''),(3009,1198,'string','meta_hide_stock','0'),(3010,1198,'string','meta_stock_status','In Stock'),(3011,1198,'string','meta_individual_sale','0'),(3012,1198,'string','meta_shipping_id','light'),(3013,1198,'string','meta_cash_on_delivery','1'),(3014,1198,'string','meta_weight','0.3'),(3015,1198,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(3016,1198,'string','meta_warranty_type','No Warranty'),(3017,1198,'string','meta_warranty_period',''),(3018,1198,'string','meta_warranty_policy',''),(3019,1198,'string','meta_purchase_note',''),(3020,1198,'string','meta_estimated_delivery','7'),(3021,1198,'string','meta_enable_reviews','1'),(3022,1198,'array','meta_seo','{\"title\":\"white fachion full\",\"description\":\"Proin eget tortor risus. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Proin eget tortor risus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Donec sollicitudin molestie malesuada.\",\"image\":\"20221120/f3ae89350bf98da81d50be2886499091.webp\"}'),(3023,1198,'array','meta_video_files','[]'),(3024,1198,'array','meta_video_url','[]'),(3025,1199,'array','meta_image','[\"20221120/abc930448a9f08de458b70e58e9f894e.webp\"]'),(3026,1199,'string','meta_virtual','0'),(3027,1199,'string','meta_downloadable','0'),(3028,1199,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(3029,1199,'array','meta_downloadable_files','[]'),(3030,1199,'string','meta_download_limit',''),(3031,1199,'string','meta_download_expiry',''),(3032,1199,'string','meta_tax_classes','standard'),(3033,1199,'string','meta_backorder','0'),(3034,1199,'string','meta_stock_threshold',''),(3035,1199,'string','meta_hide_stock','0'),(3036,1199,'string','meta_stock_status','In Stock'),(3037,1199,'string','meta_individual_sale','0'),(3038,1199,'string','meta_shipping_id','light'),(3039,1199,'string','meta_cash_on_delivery','1'),(3040,1199,'string','meta_weight','0.5'),(3041,1199,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(3042,1199,'string','meta_warranty_type','No Warranty'),(3043,1199,'string','meta_warranty_period',''),(3044,1199,'string','meta_warranty_policy',''),(3045,1199,'string','meta_purchase_note',''),(3046,1199,'string','meta_estimated_delivery','7'),(3047,1199,'string','meta_enable_reviews','1'),(3048,1199,'array','meta_seo','{\"title\":\"Waist straight Slouchy jeans\",\"description\":\"Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Curabitur aliquet quam id dui posuere blandit. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat.\",\"image\":\"20221120/abc930448a9f08de458b70e58e9f894e.webp\"}'),(3049,1199,'array','meta_video_files','[]'),(3050,1199,'array','meta_video_url','[]'),(3051,1200,'array','meta_image','[\"20221123/3e2bd32693086adee813af0977d00ede.webp\"]'),(3052,1200,'string','meta_virtual','0'),(3053,1200,'string','meta_downloadable','0'),(3054,1200,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(3055,1200,'array','meta_downloadable_files','[]'),(3056,1200,'string','meta_download_limit',''),(3057,1200,'string','meta_download_expiry',''),(3058,1200,'string','meta_tax_classes','standard'),(3059,1200,'string','meta_backorder','0'),(3060,1200,'string','meta_stock_threshold',''),(3061,1200,'string','meta_hide_stock','0'),(3062,1200,'string','meta_stock_status','In Stock'),(3063,1200,'string','meta_individual_sale','0'),(3064,1200,'string','meta_shipping_id','heavy'),(3065,1200,'string','meta_cash_on_delivery','1'),(3066,1200,'string','meta_weight','13'),(3067,1200,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(3068,1200,'string','meta_warranty_type','Brand Warranty'),(3069,1200,'string','meta_warranty_period','10 years'),(3070,1200,'string','meta_warranty_policy','Pellentesque in ipsum id orci porta dapibus. Pellentesque in ipsum id orci porta dapibus.'),(3071,1200,'string','meta_purchase_note',''),(3072,1200,'string','meta_estimated_delivery','25'),(3073,1200,'string','meta_enable_reviews','1'),(3074,1200,'array','meta_seo','{\"title\":\"Pillow Chair with Arm Moveable\",\"description\":\"Nulla quis lorem ut libero malesuada feugiat. Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui. Donec sollicitudin molestie malesuada. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus.\",\"image\":\"20221123/3e2bd32693086adee813af0977d00ede.webp\"}'),(3075,1200,'array','meta_video_files','[]'),(3076,1200,'array','meta_video_url','[]'),(3077,1201,'array','meta_image','[\"20221123/6b2f904f2fafb2b96388290860425dd0.webp\"]'),(3078,1201,'string','meta_virtual','0'),(3079,1201,'string','meta_downloadable','0'),(3080,1201,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(3081,1201,'array','meta_downloadable_files','[]'),(3082,1201,'string','meta_download_limit',''),(3083,1201,'string','meta_download_expiry',''),(3084,1201,'string','meta_tax_classes','standard'),(3085,1201,'string','meta_backorder','0'),(3086,1201,'string','meta_stock_threshold','5'),(3087,1201,'string','meta_hide_stock','0'),(3088,1201,'string','meta_stock_status','In Stock'),(3089,1201,'string','meta_individual_sale','0'),(3090,1201,'string','meta_shipping_id','heavy'),(3091,1201,'string','meta_cash_on_delivery','1'),(3092,1201,'string','meta_weight','12'),(3093,1201,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(3094,1201,'string','meta_warranty_type','Brand Warranty'),(3095,1201,'string','meta_warranty_period','7 years'),(3096,1201,'string','meta_warranty_policy','Cras ultricies ligula sed magna dictum porta. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi.'),(3097,1201,'string','meta_purchase_note',''),(3098,1201,'string','meta_estimated_delivery','25'),(3099,1201,'string','meta_enable_reviews','1'),(3100,1201,'array','meta_seo','{\"title\":\"Pillow Chair without Arm\",\"description\":\"Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a. Donec sollicitudin molestie malesuada. Pellentesque in ipsum id orci porta dapibus. Cras ultricies ligula sed magna dictum porta.\",\"image\":\"20221123/6b2f904f2fafb2b96388290860425dd0.webp\"}'),(3101,1201,'array','meta_video_files','[]'),(3102,1201,'array','meta_video_url','[]'),(3103,1202,'array','meta_image','[\"20221123/026b90fc64033306bc721aae8f2fd6c4.webp\"]'),(3104,1202,'string','meta_virtual','0'),(3105,1202,'string','meta_downloadable','0'),(3106,1202,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(3107,1202,'array','meta_downloadable_files','[]'),(3108,1202,'string','meta_download_limit',''),(3109,1202,'string','meta_download_expiry',''),(3110,1202,'string','meta_tax_classes',''),(3111,1202,'string','meta_backorder','0'),(3112,1202,'string','meta_stock_threshold','5'),(3113,1202,'string','meta_hide_stock','0'),(3114,1202,'string','meta_stock_status','In Stock'),(3115,1202,'string','meta_individual_sale','0'),(3116,1202,'string','meta_shipping_id','heavy'),(3117,1202,'string','meta_cash_on_delivery','1'),(3118,1202,'string','meta_weight','15'),(3119,1202,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(3120,1202,'string','meta_warranty_type','Seller Warranty'),(3121,1202,'string','meta_warranty_period','7 years'),(3122,1202,'string','meta_warranty_policy','Vivamus suscipit tortor eget felis porttitor volutpat. Sed porttitor lectus nibh.'),(3123,1202,'string','meta_purchase_note',''),(3124,1202,'string','meta_estimated_delivery','25'),(3125,1202,'string','meta_enable_reviews','1'),(3126,1202,'array','meta_seo','{\"title\":\"Legs Modern Design Pillow Chair\",\"description\":\"Vivamus suscipit tortor eget felis porttitor volutpat. Donec rutrum congue leo eget malesuada. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Pellentesque in ipsum id orci porta dapibus. Sed porttitor lectus nibh.\",\"image\":\"20221123/026b90fc64033306bc721aae8f2fd6c4.webp\"}'),(3127,1202,'array','meta_video_files','[]'),(3128,1202,'array','meta_video_url','[]'),(3129,1203,'array','meta_image','[\"20221123/f8256ae374c1432ad6b8ac1e81fde25e.webp\"]'),(3130,1203,'string','meta_virtual','0'),(3131,1203,'string','meta_downloadable','0'),(3132,1203,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(3133,1203,'array','meta_downloadable_files','[]'),(3134,1203,'string','meta_download_limit',''),(3135,1203,'string','meta_download_expiry',''),(3136,1203,'string','meta_tax_classes',''),(3137,1203,'string','meta_backorder','0'),(3138,1203,'string','meta_stock_threshold','5'),(3139,1203,'string','meta_hide_stock','0'),(3140,1203,'string','meta_stock_status','In Stock'),(3141,1203,'string','meta_individual_sale','0'),(3142,1203,'string','meta_shipping_id','heavy'),(3143,1203,'string','meta_cash_on_delivery','1'),(3144,1203,'string','meta_weight','12'),(3145,1203,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(3146,1203,'string','meta_warranty_type','Seller Warranty'),(3147,1203,'string','meta_warranty_period','7 months'),(3148,1203,'string','meta_warranty_policy',''),(3149,1203,'string','meta_purchase_note',''),(3150,1203,'string','meta_estimated_delivery','15'),(3151,1203,'string','meta_enable_reviews','1'),(3152,1203,'array','meta_seo','{\"title\":\"Modern Design Four Legs Chair withou Arms\",\"description\":\"Donec sollicitudin molestie malesuada. Pellentesque in ipsum id orci porta dapibus. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a. Sed porttitor lectus nibh.\",\"image\":\"20221123/f8256ae374c1432ad6b8ac1e81fde25e.webp\"}'),(3153,1203,'array','meta_video_files','[]'),(3154,1203,'array','meta_video_url','[]'),(3155,1204,'array','meta_image','[\"20221123/c3a40267142cdf69026abdffc1c50df6.webp\"]'),(3156,1204,'string','meta_virtual','0'),(3157,1204,'string','meta_downloadable','0'),(3158,1204,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(3159,1204,'array','meta_downloadable_files','[]'),(3160,1204,'string','meta_download_limit',''),(3161,1204,'string','meta_download_expiry',''),(3162,1204,'string','meta_tax_classes','standard'),(3163,1204,'string','meta_backorder','0'),(3164,1204,'string','meta_stock_threshold','5'),(3165,1204,'string','meta_hide_stock','0'),(3166,1204,'string','meta_stock_status','In Stock'),(3167,1204,'string','meta_individual_sale','0'),(3168,1204,'string','meta_shipping_id','heavy'),(3169,1204,'string','meta_cash_on_delivery','1'),(3170,1204,'string','meta_weight','7'),(3171,1204,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(3172,1204,'string','meta_warranty_type','Brand Warranty'),(3173,1204,'string','meta_warranty_period','5 years'),(3174,1204,'string','meta_warranty_policy','Proin eget tortor risus. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a.'),(3175,1204,'string','meta_purchase_note',''),(3176,1204,'string','meta_estimated_delivery','20'),(3177,1204,'string','meta_enable_reviews','1'),(3178,1204,'array','meta_seo','{\"title\":\"Modern Designer Chair Isolated White Background Furniture Set 3D Render\",\"description\":\"Vivamus suscipit tortor eget felis porttitor volutpat. Vivamus suscipit tortor eget felis porttitor volutpat. Pellentesque in ipsum id orci porta dapibus.\",\"image\":\"20221123/c3a40267142cdf69026abdffc1c50df6.webp\"}'),(3179,1204,'array','meta_video_files','[]'),(3180,1204,'array','meta_video_url','[\"https:\\/\\/player.vimeo.com\\/video\\/330420305?h=0c269f7e82&color=f7f7f7&title=0&byline=0&portrait=0\"]'),(3181,1205,'array','meta_image','[\"20221123/8455776f6791cd5479bb9a88c829876c.webp\"]'),(3182,1205,'string','meta_virtual','0'),(3183,1205,'string','meta_downloadable','0'),(3184,1205,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(3185,1205,'array','meta_downloadable_files','[]'),(3186,1205,'string','meta_download_limit',''),(3187,1205,'string','meta_download_expiry',''),(3188,1205,'string','meta_tax_classes','standard'),(3189,1205,'string','meta_backorder','0'),(3190,1205,'string','meta_stock_threshold','5'),(3191,1205,'string','meta_hide_stock','0'),(3192,1205,'string','meta_stock_status','In Stock'),(3193,1205,'string','meta_individual_sale','0'),(3194,1205,'string','meta_shipping_id','heavy'),(3195,1205,'string','meta_cash_on_delivery','1'),(3196,1205,'string','meta_weight',''),(3197,1205,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(3198,1205,'string','meta_warranty_type','Brand Warranty'),(3199,1205,'string','meta_warranty_period','5 years'),(3200,1205,'string','meta_warranty_policy','Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a.'),(3201,1205,'string','meta_purchase_note',''),(3202,1205,'string','meta_estimated_delivery','15'),(3203,1205,'string','meta_enable_reviews','1'),(3204,1205,'array','meta_seo','{\"title\":\"One Seat Pillow Yellow Sufa\",\"description\":\"Nulla quis lorem ut libero malesuada feugiat. Curabitur aliquet quam id dui posuere blandit.\",\"image\":\"20221123/8455776f6791cd5479bb9a88c829876c.webp\"}'),(3205,1205,'array','meta_video_files','[]'),(3206,1205,'array','meta_video_url','[\"https:\\/\\/player.vimeo.com\\/video\\/330420305?h=0c269f7e82&color=f7f7f7&title=0&byline=0&portrait=0\"]'),(3364,1205,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"186\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Wood\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"seatingcapacity\":{\"name\":\"Seating Capacity\",\"position\":\"2\",\"key\":\"seatingcapacity\",\"value\":[\"Single\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(3444,1204,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"186\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Wood\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"seatingcapacity\":{\"name\":\"Seating Capacity\",\"position\":\"2\",\"key\":\"seatingcapacity\",\"value\":[\"Single\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(3524,1203,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"186\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Wood\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"seatingcapacity\":{\"name\":\"Seating Capacity\",\"position\":\"2\",\"key\":\"seatingcapacity\",\"value\":[\"Single\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(3552,1202,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"186\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Wood\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"seatingcapacity\":{\"name\":\"Seating Capacity\",\"position\":\"2\",\"key\":\"seatingcapacity\",\"value\":[\"Single\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(3580,1201,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"186\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Wood\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"seatingcapacity\":{\"name\":\"Seating Capacity\",\"position\":\"2\",\"key\":\"seatingcapacity\",\"value\":[\"Single\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(3634,1200,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"186\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Wood\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"seatingcapacity\":{\"name\":\"Seating Capacity\",\"position\":\"2\",\"key\":\"seatingcapacity\",\"value\":[\"Single\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(3636,1199,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"186\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"size\":{\"name\":\"Size\",\"position\":\"2\",\"key\":\"size\",\"value\":[\"S\",\"M\",\"L\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(3690,1198,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"186\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"size\":{\"name\":\"Size\",\"position\":\"2\",\"key\":\"size\",\"value\":[\"S\",\"M\",\"L\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(3795,1197,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"186\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"size\":{\"name\":\"Size\",\"position\":\"2\",\"key\":\"size\",\"value\":[\"S\",\"M\",\"L\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(3875,1196,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"186\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"size\":{\"name\":\"Size\",\"position\":\"2\",\"key\":\"size\",\"value\":[\"S\",\"M\",\"L\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(3903,1195,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"186\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"size\":{\"name\":\"Size\",\"position\":\"2\",\"key\":\"size\",\"value\":[\"S\",\"M\",\"L\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(3931,1194,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"187\",\"188\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"size\":{\"name\":\"Size\",\"position\":\"2\",\"key\":\"size\",\"value\":[\"S\",\"M\",\"L\"],\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"\"}}'),(3959,1206,'null','attribute_size','S'),(3961,1207,'null','attribute_size','M'),(3963,1208,'null','attribute_size','L'),(3965,1209,'null','attribute_size','S'),(3967,1210,'null','attribute_size','M'),(3969,1211,'null','attribute_size','L'),(3970,1206,'string','meta_image','20221120/aecae02fb3f920630d153e57f086cd39.webp'),(3971,1206,'string','meta_downloadable','0'),(3972,1206,'string','meta_virtual','0'),(3973,1206,'string','meta_backorder','0'),(3974,1206,'string','meta_stock_threshold','5'),(3975,1206,'string','meta_weight','0.30'),(3976,1206,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(3977,1206,'string','meta_shipping_id','light'),(3978,1206,'string','meta_tax_classes','standard'),(3979,1206,'string','meta_download_limit',''),(3980,1206,'string','meta_download_expiry',''),(3981,1206,'array','meta_downloadable_files','[]'),(3982,1206,NULL,'variable_order','0'),(3983,1207,'string','meta_image','20221120/aecae02fb3f920630d153e57f086cd39.webp'),(3984,1207,'string','meta_downloadable','0'),(3985,1207,'string','meta_virtual','0'),(3986,1207,'string','meta_backorder','0'),(3987,1207,'string','meta_stock_threshold','5'),(3988,1207,'string','meta_weight','0.30'),(3989,1207,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(3990,1207,'string','meta_shipping_id','light'),(3991,1207,'string','meta_tax_classes','standard'),(3992,1207,'string','meta_download_limit',''),(3993,1207,'string','meta_download_expiry',''),(3994,1207,'array','meta_downloadable_files','[]'),(3995,1207,NULL,'variable_order','1'),(3996,1208,'string','meta_image','20221120/aecae02fb3f920630d153e57f086cd39.webp'),(3997,1208,'string','meta_downloadable','0'),(3998,1208,'string','meta_virtual','0'),(3999,1208,'string','meta_backorder','0'),(4000,1208,'string','meta_stock_threshold','5'),(4001,1208,'string','meta_weight','0.30'),(4002,1208,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4003,1208,'string','meta_shipping_id','light'),(4004,1208,'string','meta_tax_classes','standard'),(4005,1208,'string','meta_download_limit',''),(4006,1208,'string','meta_download_expiry',''),(4007,1208,'array','meta_downloadable_files','[]'),(4008,1208,NULL,'variable_order','2'),(4009,1209,'string','meta_image','20221120/13d2c440f58a73a30cb67b19202a83e2.webp'),(4010,1209,'string','meta_downloadable','0'),(4011,1209,'string','meta_virtual','0'),(4012,1209,'string','meta_backorder','0'),(4013,1209,'string','meta_stock_threshold','5'),(4014,1209,'string','meta_weight','0.30'),(4015,1209,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4016,1209,'string','meta_shipping_id','light'),(4017,1209,'string','meta_tax_classes','standard'),(4018,1209,'string','meta_download_limit',''),(4019,1209,'string','meta_download_expiry',''),(4020,1209,'array','meta_downloadable_files','[]'),(4021,1209,NULL,'variable_order','3'),(4022,1210,'string','meta_image','20221120/13d2c440f58a73a30cb67b19202a83e2.webp'),(4023,1210,'string','meta_downloadable','0'),(4024,1210,'string','meta_virtual','0'),(4025,1210,'string','meta_backorder','0'),(4026,1210,'string','meta_stock_threshold','5'),(4027,1210,'string','meta_weight','0.30'),(4028,1210,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4029,1210,'string','meta_shipping_id','light'),(4030,1210,'string','meta_tax_classes','standard'),(4031,1210,'string','meta_download_limit',''),(4032,1210,'string','meta_download_expiry',''),(4033,1210,'array','meta_downloadable_files','[]'),(4034,1210,NULL,'variable_order','4'),(4035,1211,'string','meta_image','20221120/13d2c440f58a73a30cb67b19202a83e2.webp'),(4036,1211,'string','meta_downloadable','0'),(4037,1211,'string','meta_virtual','0'),(4038,1211,'string','meta_backorder','0'),(4039,1211,'string','meta_stock_threshold','5'),(4040,1211,'string','meta_weight','0.30'),(4041,1211,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4042,1211,'string','meta_shipping_id','light'),(4043,1211,'string','meta_tax_classes','standard'),(4044,1211,'string','meta_download_limit',''),(4045,1211,'string','meta_download_expiry',''),(4046,1211,'array','meta_downloadable_files','[]'),(4047,1211,NULL,'variable_order','5'),(4048,1194,'array','default_attributes','{\"color\":\"\",\"size\":\"\"}'),(4088,1206,'string','meta_scheduled_sale','0'),(4089,1207,'string','meta_scheduled_sale','0'),(4090,1208,'string','meta_scheduled_sale','0'),(4091,1209,'string','meta_scheduled_sale','0'),(4092,1210,'string','meta_scheduled_sale','0'),(4093,1211,'string','meta_scheduled_sale','0'),(4296,1193,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"186\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"size\":{\"name\":\"Size\",\"position\":\"2\",\"key\":\"size\",\"value\":[\"S\",\"M\",\"L\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(4350,1192,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"25\",\"27\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"size\":{\"name\":\"Size\",\"position\":\"2\",\"key\":\"size\",\"value\":[\"S\",\"M\",\"L\"],\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"\"}}'),(4356,1215,'null','attribute_size','S'),(4358,1216,'null','attribute_size','M'),(4360,1217,'null','attribute_size','L'),(4362,1218,'null','attribute_size','S'),(4364,1219,'null','attribute_size','M'),(4366,1220,'null','attribute_size','L'),(4367,1215,'string','meta_image','20221120/a2d7b299220cc0defef58fc76b7fa838.webp'),(4368,1215,'string','meta_downloadable','0'),(4369,1215,'string','meta_virtual','0'),(4370,1215,'string','meta_backorder','0'),(4371,1215,'string','meta_stock_threshold','5'),(4372,1215,'string','meta_weight','0.25'),(4373,1215,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4374,1215,'string','meta_shipping_id','light'),(4375,1215,'string','meta_tax_classes','standard'),(4376,1215,'string','meta_download_limit',''),(4377,1215,'string','meta_download_expiry',''),(4378,1215,'array','meta_downloadable_files','[]'),(4379,1215,NULL,'variable_order','0'),(4380,1216,'string','meta_image','20221120/a2d7b299220cc0defef58fc76b7fa838.webp'),(4381,1216,'string','meta_downloadable','0'),(4382,1216,'string','meta_virtual','0'),(4383,1216,'string','meta_backorder','0'),(4384,1216,'string','meta_stock_threshold','5'),(4385,1216,'string','meta_weight','0.25'),(4386,1216,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4387,1216,'string','meta_shipping_id','light'),(4388,1216,'string','meta_tax_classes','standard'),(4389,1216,'string','meta_download_limit',''),(4390,1216,'string','meta_download_expiry',''),(4391,1216,'array','meta_downloadable_files','[]'),(4392,1216,NULL,'variable_order','1'),(4393,1217,'string','meta_image','20221120/a2d7b299220cc0defef58fc76b7fa838.webp'),(4394,1217,'string','meta_downloadable','0'),(4395,1217,'string','meta_virtual','0'),(4396,1217,'string','meta_backorder','0'),(4397,1217,'string','meta_stock_threshold','5'),(4398,1217,'string','meta_weight','0.25'),(4399,1217,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4400,1217,'string','meta_shipping_id','light'),(4401,1217,'string','meta_tax_classes','standard'),(4402,1217,'string','meta_download_limit',''),(4403,1217,'string','meta_download_expiry',''),(4404,1217,'array','meta_downloadable_files','[]'),(4405,1217,NULL,'variable_order','2'),(4406,1218,'string','meta_image','20221120/d265842eff83d6f419b0ca1582f87da8.webp'),(4407,1218,'string','meta_downloadable','0'),(4408,1218,'string','meta_virtual','0'),(4409,1218,'string','meta_backorder','0'),(4410,1218,'string','meta_stock_threshold','5'),(4411,1218,'string','meta_weight','0.25'),(4412,1218,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4413,1218,'string','meta_shipping_id','light'),(4414,1218,'string','meta_tax_classes','standard'),(4415,1218,'string','meta_download_limit',''),(4416,1218,'string','meta_download_expiry',''),(4417,1218,'array','meta_downloadable_files','[]'),(4418,1218,NULL,'variable_order','3'),(4419,1219,'string','meta_image','20221120/d265842eff83d6f419b0ca1582f87da8.webp'),(4420,1219,'string','meta_downloadable','0'),(4421,1219,'string','meta_virtual','0'),(4422,1219,'string','meta_backorder','0'),(4423,1219,'string','meta_stock_threshold','5'),(4424,1219,'string','meta_weight','0.25'),(4425,1219,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4426,1219,'string','meta_shipping_id','light'),(4427,1219,'string','meta_tax_classes','standard'),(4428,1219,'string','meta_download_limit',''),(4429,1219,'string','meta_download_expiry',''),(4430,1219,'array','meta_downloadable_files','[]'),(4431,1219,NULL,'variable_order','4'),(4432,1220,'string','meta_image','20221120/d265842eff83d6f419b0ca1582f87da8.webp'),(4433,1220,'string','meta_downloadable','0'),(4434,1220,'string','meta_virtual','0'),(4435,1220,'string','meta_backorder','0'),(4436,1220,'string','meta_stock_threshold','5'),(4437,1220,'string','meta_weight','0.25'),(4438,1220,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4439,1220,'string','meta_shipping_id','light'),(4440,1220,'string','meta_tax_classes','standard'),(4441,1220,'string','meta_download_limit',''),(4442,1220,'string','meta_download_expiry',''),(4443,1220,'array','meta_downloadable_files','[]'),(4444,1220,NULL,'variable_order','5'),(4445,1192,'array','default_attributes','{\"color\":\"\",\"size\":\"\"}'),(4484,1191,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"186\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"size\":{\"name\":\"Size\",\"position\":\"2\",\"key\":\"size\",\"value\":[\"S\",\"M\",\"L\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(4512,1215,'string','meta_scheduled_sale','0'),(4513,1216,'string','meta_scheduled_sale','0'),(4514,1217,'string','meta_scheduled_sale','0'),(4515,1218,'string','meta_scheduled_sale','0'),(4516,1219,'string','meta_scheduled_sale','0'),(4517,1220,'string','meta_scheduled_sale','0'),(4609,1190,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"189\",\"190\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"size\":{\"name\":\"Size\",\"position\":\"2\",\"key\":\"size\",\"value\":[\"S\",\"M\",\"L\"],\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"\"}}'),(4612,1221,'null','attribute_size','S'),(4614,1222,'null','attribute_size','M'),(4616,1223,'null','attribute_size','L'),(4618,1224,'null','attribute_size','S'),(4620,1225,'null','attribute_size','M'),(4622,1226,'null','attribute_size','L'),(4623,1221,'string','meta_image','20221120/8abb4d2f7a254c2d3331ef7fd0511415.webp'),(4624,1221,'string','meta_downloadable','0'),(4625,1221,'string','meta_virtual','0'),(4626,1221,'string','meta_backorder','0'),(4627,1221,'string','meta_stock_threshold','5'),(4628,1221,'string','meta_weight','0.27'),(4629,1221,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4630,1221,'string','meta_shipping_id','light'),(4631,1221,'string','meta_tax_classes','standard'),(4632,1221,'string','meta_download_limit',''),(4633,1221,'string','meta_download_expiry',''),(4634,1221,'array','meta_downloadable_files','[]'),(4635,1221,NULL,'variable_order','0'),(4636,1222,'string','meta_image','20221120/8abb4d2f7a254c2d3331ef7fd0511415.webp'),(4637,1222,'string','meta_downloadable','0'),(4638,1222,'string','meta_virtual','0'),(4639,1222,'string','meta_backorder','0'),(4640,1222,'string','meta_stock_threshold','5'),(4641,1222,'string','meta_weight','0.27'),(4642,1222,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4643,1222,'string','meta_shipping_id','light'),(4644,1222,'string','meta_tax_classes','standard'),(4645,1222,'string','meta_download_limit',''),(4646,1222,'string','meta_download_expiry',''),(4647,1222,'array','meta_downloadable_files','[]'),(4648,1222,NULL,'variable_order','1'),(4649,1223,'string','meta_image','20221120/8abb4d2f7a254c2d3331ef7fd0511415.webp'),(4650,1223,'string','meta_downloadable','0'),(4651,1223,'string','meta_virtual','0'),(4652,1223,'string','meta_backorder','0'),(4653,1223,'string','meta_stock_threshold','5'),(4654,1223,'string','meta_weight','0.27'),(4655,1223,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4656,1223,'string','meta_shipping_id','light'),(4657,1223,'string','meta_tax_classes','standard'),(4658,1223,'string','meta_download_limit',''),(4659,1223,'string','meta_download_expiry',''),(4660,1223,'array','meta_downloadable_files','[]'),(4661,1223,NULL,'variable_order','2'),(4662,1224,'string','meta_image','20221120/cf6a91666a7fb0f5bca5752f12f98143.webp'),(4663,1224,'string','meta_downloadable','0'),(4664,1224,'string','meta_virtual','0'),(4665,1224,'string','meta_backorder','0'),(4666,1224,'string','meta_stock_threshold','5'),(4667,1224,'string','meta_weight','0.27'),(4668,1224,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4669,1224,'string','meta_shipping_id','light'),(4670,1224,'string','meta_tax_classes','standard'),(4671,1224,'string','meta_download_limit',''),(4672,1224,'string','meta_download_expiry',''),(4673,1224,'array','meta_downloadable_files','[]'),(4674,1224,NULL,'variable_order','3'),(4675,1225,'string','meta_image','20221120/cf6a91666a7fb0f5bca5752f12f98143.webp'),(4676,1225,'string','meta_downloadable','0'),(4677,1225,'string','meta_virtual','0'),(4678,1225,'string','meta_backorder','0'),(4679,1225,'string','meta_stock_threshold','5'),(4680,1225,'string','meta_weight','0.27'),(4681,1225,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4682,1225,'string','meta_shipping_id','light'),(4683,1225,'string','meta_tax_classes','standard'),(4684,1225,'string','meta_download_limit',''),(4685,1225,'string','meta_download_expiry',''),(4686,1225,'array','meta_downloadable_files','[]'),(4687,1225,NULL,'variable_order','4'),(4688,1226,'string','meta_image','20221120/cf6a91666a7fb0f5bca5752f12f98143.webp'),(4689,1226,'string','meta_downloadable','0'),(4690,1226,'string','meta_virtual','0'),(4691,1226,'string','meta_backorder','0'),(4692,1226,'string','meta_stock_threshold','5'),(4693,1226,'string','meta_weight','0.27'),(4694,1226,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4695,1226,'string','meta_shipping_id','light'),(4696,1226,'string','meta_tax_classes','standard'),(4697,1226,'string','meta_download_limit',''),(4698,1226,'string','meta_download_expiry',''),(4699,1226,'array','meta_downloadable_files','[]'),(4700,1226,NULL,'variable_order','5'),(4701,1190,'array','default_attributes','{\"color\":\"\",\"size\":\"\"}'),(4740,1189,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"186\"],\"visibility\":\"1\",\"type\":\"color\",\"attribute_shape\":\"circle\",\"variation\":\"0\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"size\":{\"name\":\"Size\",\"position\":\"2\",\"key\":\"size\",\"value\":[\"S\",\"M\",\"L\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(4769,1188,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"191\",\"192\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"size\":{\"name\":\"Size\",\"position\":\"2\",\"key\":\"size\",\"value\":[\"S\",\"M\",\"L\"],\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"\"}}'),(4771,1227,'null','attribute_size','S'),(4773,1228,'null','attribute_size','M'),(4775,1229,'null','attribute_size','L'),(4777,1230,'null','attribute_size','S'),(4779,1231,'null','attribute_size','M'),(4781,1232,'null','attribute_size','L'),(4808,1227,'string','meta_image','20221120/3854797b37a51099c22f45952459d8fd.webp'),(4809,1227,'string','meta_downloadable','0'),(4810,1227,'string','meta_virtual','0'),(4811,1227,'string','meta_scheduled_sale','0'),(4812,1227,'string','meta_backorder','0'),(4813,1227,'string','meta_stock_threshold','5'),(4814,1227,'string','meta_weight',''),(4815,1227,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4816,1227,'string','meta_shipping_id','light'),(4817,1227,'string','meta_tax_classes','standard'),(4818,1227,'array','meta_downloadable_files','[]'),(4819,1227,'string','meta_download_limit',''),(4820,1227,'string','meta_download_expiry',''),(4821,1227,NULL,'variable_order','0'),(4822,1228,'string','meta_image','20221120/3854797b37a51099c22f45952459d8fd.webp'),(4823,1228,'string','meta_downloadable','0'),(4824,1228,'string','meta_virtual','0'),(4825,1228,'string','meta_scheduled_sale','0'),(4826,1228,'string','meta_backorder','0'),(4827,1228,'string','meta_stock_threshold','5'),(4828,1228,'string','meta_weight',''),(4829,1228,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4830,1228,'string','meta_shipping_id','light'),(4831,1228,'string','meta_tax_classes','standard'),(4832,1228,'array','meta_downloadable_files','[]'),(4833,1228,'string','meta_download_limit',''),(4834,1228,'string','meta_download_expiry',''),(4835,1228,NULL,'variable_order','1'),(4836,1229,'string','meta_image','20221120/3854797b37a51099c22f45952459d8fd.webp'),(4837,1229,'string','meta_downloadable','0'),(4838,1229,'string','meta_virtual','0'),(4839,1229,'string','meta_scheduled_sale','0'),(4840,1229,'string','meta_backorder','0'),(4841,1229,'string','meta_stock_threshold','5'),(4842,1229,'string','meta_weight',''),(4843,1229,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4844,1229,'string','meta_shipping_id','light'),(4845,1229,'string','meta_tax_classes','standard'),(4846,1229,'array','meta_downloadable_files','[]'),(4847,1229,'string','meta_download_limit',''),(4848,1229,'string','meta_download_expiry',''),(4849,1229,NULL,'variable_order','2'),(4850,1230,'string','meta_image','20221120/fff6730c097bce46a0e88303e17aad82.webp'),(4851,1230,'string','meta_downloadable','0'),(4852,1230,'string','meta_virtual','0'),(4853,1230,'string','meta_scheduled_sale','0'),(4854,1230,'string','meta_backorder','0'),(4855,1230,'string','meta_stock_threshold','5'),(4856,1230,'string','meta_weight',''),(4857,1230,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4858,1230,'string','meta_shipping_id','light'),(4859,1230,'string','meta_tax_classes','standard'),(4860,1230,'array','meta_downloadable_files','[]'),(4861,1230,'string','meta_download_limit',''),(4862,1230,'string','meta_download_expiry',''),(4863,1230,NULL,'variable_order','3'),(4864,1231,'string','meta_image','20221120/fff6730c097bce46a0e88303e17aad82.webp'),(4865,1231,'string','meta_downloadable','0'),(4866,1231,'string','meta_virtual','0'),(4867,1231,'string','meta_scheduled_sale','0'),(4868,1231,'string','meta_backorder','0'),(4869,1231,'string','meta_stock_threshold','5'),(4870,1231,'string','meta_weight',''),(4871,1231,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4872,1231,'string','meta_shipping_id','light'),(4873,1231,'string','meta_tax_classes','standard'),(4874,1231,'array','meta_downloadable_files','[]'),(4875,1231,'string','meta_download_limit',''),(4876,1231,'string','meta_download_expiry',''),(4877,1231,NULL,'variable_order','4'),(4878,1232,'string','meta_image','20221120/fff6730c097bce46a0e88303e17aad82.webp'),(4879,1232,'string','meta_downloadable','0'),(4880,1232,'string','meta_virtual','0'),(4881,1232,'string','meta_scheduled_sale','0'),(4882,1232,'string','meta_backorder','0'),(4883,1232,'string','meta_stock_threshold','5'),(4884,1232,'string','meta_weight',''),(4885,1232,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4886,1232,'string','meta_shipping_id','light'),(4887,1232,'string','meta_tax_classes','standard'),(4888,1232,'array','meta_downloadable_files','[]'),(4889,1232,'string','meta_download_limit',''),(4890,1232,'string','meta_download_expiry',''),(4891,1232,NULL,'variable_order','5'),(4892,1188,'array','default_attributes','{\"color\":\"\",\"size\":\"\"}'),(4906,1187,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"193\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"size\":{\"name\":\"Size\",\"position\":\"2\",\"key\":\"size\",\"value\":[\"S\",\"M\",\"L\"],\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"\"}}'),(4907,1233,'null','attribute_size','S'),(4908,1234,'null','attribute_size','M'),(4909,1235,'null','attribute_size','L'),(4910,1233,'string','meta_image','20221120/139e75ab56c02c8e35cac98c4f6ea812.webp'),(4911,1233,'string','meta_downloadable','0'),(4912,1233,'string','meta_virtual','0'),(4913,1233,'string','meta_backorder','0'),(4914,1233,'string','meta_stock_threshold','5'),(4915,1233,'string','meta_weight',''),(4916,1233,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4917,1233,'string','meta_shipping_id','light'),(4918,1233,'string','meta_tax_classes','standard'),(4919,1233,'string','meta_download_limit',''),(4920,1233,'string','meta_download_expiry',''),(4921,1233,'array','meta_downloadable_files','[]'),(4922,1233,NULL,'variable_order','0'),(4923,1234,'string','meta_image','20221120/139e75ab56c02c8e35cac98c4f6ea812.webp'),(4924,1234,'string','meta_downloadable','0'),(4925,1234,'string','meta_virtual','0'),(4926,1234,'string','meta_backorder','0'),(4927,1234,'string','meta_stock_threshold','5'),(4928,1234,'string','meta_weight',''),(4929,1234,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4930,1234,'string','meta_shipping_id','light'),(4931,1234,'string','meta_tax_classes','standard'),(4932,1234,'string','meta_download_limit',''),(4933,1234,'string','meta_download_expiry',''),(4934,1234,'array','meta_downloadable_files','[]'),(4935,1234,NULL,'variable_order','1'),(4936,1235,'string','meta_image','20221120/139e75ab56c02c8e35cac98c4f6ea812.webp'),(4937,1235,'string','meta_downloadable','0'),(4938,1235,'string','meta_virtual','0'),(4939,1235,'string','meta_backorder','0'),(4940,1235,'string','meta_stock_threshold','5'),(4941,1235,'string','meta_weight',''),(4942,1235,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(4943,1235,'string','meta_shipping_id','light'),(4944,1235,'string','meta_tax_classes','standard'),(4945,1235,'string','meta_download_limit',''),(4946,1235,'string','meta_download_expiry',''),(4947,1235,'array','meta_downloadable_files','[]'),(4948,1235,NULL,'variable_order','2'),(4949,1187,'array','default_attributes','{\"size\":\"\"}'),(5003,1186,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"1\",\"key\":\"color\",\"value\":[\"194\",\"193\"],\"additional_value\":\"\",\"type\":\"color\",\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\",\"attribute_shape\":\"\"}}'),(5060,1186,'array','default_attributes','{\"color\":\"\"}'),(5153,1185,'array','attributes','{\"modelname\":{\"name\":\"Model Name\",\"position\":\"0\",\"key\":\"modelname\",\"value\":[\"195\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"30\"},\"cameratype\":{\"name\":\"Camera Type\",\"position\":\"1\",\"key\":\"cameratype\",\"value\":[\"DSLR\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"imagesensor\":{\"name\":\"Image Sensor\",\"position\":\"2\",\"key\":\"imagesensor\",\"value\":[\"18.0 MP\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"autofocus\":{\"name\":\"Auto Focus\",\"position\":\"3\",\"key\":\"autofocus\",\"value\":[\"Automatic and manual selection\",\"AI focus one-shot\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"iso\":{\"name\":\"ISO\",\"position\":\"4\",\"key\":\"iso\",\"value\":[\"Auto 100-6400\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"shutter\":{\"name\":\"Shutter\",\"position\":\"5\",\"key\":\"shutter\",\"value\":[\"30-1\\/4000 sec\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"storage\":{\"name\":\"Storage\",\"position\":\"6\",\"key\":\"storage\",\"value\":[\"SD\",\"SDHC or SDXC Card\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"power\":{\"name\":\"Power\",\"position\":\"7\",\"key\":\"power\",\"value\":[\"1 x Rechargeable Li-ion Battery LP-E8\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(5207,1184,'array','attributes','{\"modelname\":{\"name\":\"Model Name\",\"position\":\"0\",\"key\":\"modelname\",\"value\":[\"196\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"30\"},\"type\":{\"name\":\"Type\",\"position\":\"1\",\"key\":\"type\",\"value\":[\"197\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"292\"},\"length\":{\"name\":\"Length\",\"position\":\"2\",\"key\":\"length\",\"value\":[\"3 Meter\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"color\":{\"name\":\"Color\",\"position\":\"3\",\"key\":\"color\",\"value\":[\"26\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"}}'),(5209,1183,'array','attributes','{\"capacity\":{\"name\":\"Capacity\",\"position\":\"0\",\"key\":\"capacity\",\"value\":[\"32 GB\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"connectivity\":{\"name\":\"Connectivity\",\"position\":\"1\",\"key\":\"connectivity\",\"value\":[\"USB 3.1 Gen1 (USB 3.0)\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"color\":{\"name\":\"Color\",\"position\":\"2\",\"key\":\"color\",\"value\":[\"26\"],\"visibility\":\"0\",\"variation\":\"0\",\"attribute_id\":\"26\"}}'),(5263,1182,'array','attributes','[]'),(5292,1182,'array','default_attributes','{\"color\":\"\"}'),(5348,1181,'array','attributes','{\"processor\":{\"name\":\"Processor\",\"position\":\"0\",\"key\":\"processor\",\"value\":[\"Intel Atom x5-Z8350 Processor (1.44 GHz To 1.92 GHz, Cache 2MB )\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"ram\":{\"name\":\"RAM\",\"position\":\"1\",\"key\":\"ram\",\"value\":[\"202\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"27\"},\"graphicscard\":{\"name\":\"Graphics Card\",\"position\":\"2\",\"key\":\"graphicscard\",\"value\":[\"Intel HD Integrated Graphics\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"powersupply\":{\"name\":\"Power Supply\",\"position\":\"3\",\"key\":\"powersupply\",\"value\":[\"18 W Power adapter\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"storage\":{\"name\":\"Storage\",\"position\":\"4\",\"key\":\"storage\",\"value\":[\"203\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"28\"},\"network&wirelessconnectivity\":{\"name\":\"Network & Wireless Connectivity\",\"position\":\"5\",\"key\":\"network&wirelessconnectivity\",\"value\":[\"802.11 a\\/b\\/g\\/n\\/ac , Bluetooth V4.1\",\"Side I\\/O Ports:\",\"1 x Micro USB (For Power Only)\",\"1 x USB 3.0\",\"1 x USB 2.0\",\"1 x Audio Jack(s) (Mic\\/Headphone Combo)\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"operatingsystem\":{\"name\":\"Operating System\",\"position\":\"6\",\"key\":\"operatingsystem\",\"value\":[\"204\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"36\"}}'),(5428,1180,'array','attributes','{\"display\":{\"name\":\"Display\",\"position\":\"0\",\"key\":\"display\",\"value\":[\"1.4 inch TFT Screen\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"connectivity\":{\"name\":\"Connectivity\",\"position\":\"1\",\"key\":\"connectivity\",\"value\":[\"Bluetooth V5.0\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"battery\":{\"name\":\"Battery\",\"position\":\"2\",\"key\":\"battery\",\"value\":[\"205\",\"207\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"376\"},\"material\":{\"name\":\"Material\",\"position\":\"3\",\"key\":\"material\",\"value\":[\"ABS\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"specialfeatures\":{\"name\":\"SpecialFeatures\",\"position\":\"4\",\"key\":\"specialfeatures\",\"value\":[\"Sport modes:\\r\\nJogging \\/ Fast walking \\/ Biking \\/ Climbing \\/ Spinning \\/ Yoga \\/ Indoor running \\/ Integrated training \\/ Gymnastics \\/ Basketball \\/ Football \\/ Rowing\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"color\":{\"name\":\"Color\",\"position\":\"5\",\"key\":\"color\",\"value\":[\"24\",\"26\",\"27\"],\"visibility\":\"0\",\"variation\":\"1\",\"attribute_id\":\"26\"}}'),(5432,1242,'string','meta_image','20221116/b99d3148de455940d1d4ac4a943f1e88.webp'),(5433,1242,'string','meta_downloadable','0'),(5434,1242,'string','meta_virtual','0'),(5435,1242,'string','meta_backorder','0'),(5436,1242,'string','meta_stock_threshold','5'),(5437,1242,'string','meta_weight',''),(5438,1242,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(5439,1242,'string','meta_shipping_id','light'),(5440,1242,'string','meta_tax_classes','standard'),(5441,1242,'string','meta_download_limit',''),(5442,1242,'string','meta_download_expiry',''),(5443,1242,'array','meta_downloadable_files','[]'),(5444,1242,NULL,'variable_order','0'),(5445,1243,'string','meta_image','20221116/4709673eec4646705e96c8e4de30dff5.webp'),(5446,1243,'string','meta_downloadable','0'),(5447,1243,'string','meta_virtual','0'),(5448,1243,'string','meta_backorder','0'),(5449,1243,'string','meta_stock_threshold','5'),(5450,1243,'string','meta_weight',''),(5451,1243,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(5452,1243,'string','meta_shipping_id','no-class'),(5453,1243,'string','meta_tax_classes','standard'),(5454,1243,'string','meta_download_limit',''),(5455,1243,'string','meta_download_expiry',''),(5456,1243,'array','meta_downloadable_files','[]'),(5457,1243,NULL,'variable_order','1'),(5458,1244,'string','meta_image','20221116/be6e9408affa6ce6a6da8a19c99a92aa.webp'),(5459,1244,'string','meta_downloadable','0'),(5460,1244,'string','meta_virtual','0'),(5461,1244,'string','meta_backorder','0'),(5462,1244,'string','meta_stock_threshold','5'),(5463,1244,'string','meta_weight',''),(5464,1244,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(5465,1244,'string','meta_shipping_id','light'),(5466,1244,'string','meta_tax_classes','standard'),(5467,1244,'string','meta_download_limit',''),(5468,1244,'string','meta_download_expiry',''),(5469,1244,'array','meta_downloadable_files','[]'),(5470,1244,NULL,'variable_order','2'),(5471,1180,'array','default_attributes','{\"color\":\"\"}'),(5476,1179,'array','attributes','{\"modelnumber\":{\"name\":\"Model Number\",\"position\":\"0\",\"key\":\"modelnumber\",\"value\":[\"208\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"29\"},\"feature\":{\"name\":\"Feature\",\"position\":\"1\",\"key\":\"feature\",\"value\":[\"Tamagotchi pet toy\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"material\":{\"name\":\"Material\",\"position\":\"2\",\"key\":\"material\",\"value\":[\"Plastic\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"battery\":{\"name\":\"Battery\",\"position\":\"3\",\"key\":\"battery\",\"value\":[\"209\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"376\"},\"color\":{\"name\":\"Color\",\"position\":\"4\",\"key\":\"color\",\"value\":[\"188\",\"27\",\"210\",\"211\"],\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"}}'),(5533,1245,'string','meta_image','20221116/539708ae11d94dbca0770e4da809b253.webp'),(5534,1245,'string','meta_downloadable','0'),(5535,1245,'string','meta_virtual','0'),(5536,1245,'string','meta_scheduled_sale','0'),(5537,1245,'string','meta_backorder','0'),(5538,1245,'string','meta_stock_threshold','5'),(5539,1245,'string','meta_weight',''),(5540,1245,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(5541,1245,'string','meta_shipping_id','no-class'),(5542,1245,'string','meta_tax_classes','standard'),(5543,1245,'array','meta_downloadable_files','[]'),(5544,1245,'string','meta_download_limit',''),(5545,1245,'string','meta_download_expiry',''),(5546,1245,NULL,'variable_order','0'),(5547,1247,'string','meta_image','20221116/682e61992be05b11e77a5a94e4aa9bc4.webp'),(5548,1247,'string','meta_downloadable','0'),(5549,1247,'string','meta_virtual','0'),(5550,1247,'string','meta_scheduled_sale','0'),(5551,1247,'string','meta_backorder','0'),(5552,1247,'string','meta_stock_threshold','5'),(5553,1247,'string','meta_weight',''),(5554,1247,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(5555,1247,'string','meta_shipping_id','no-class'),(5556,1247,'string','meta_tax_classes','standard'),(5557,1247,'array','meta_downloadable_files','[]'),(5558,1247,'string','meta_download_limit',''),(5559,1247,'string','meta_download_expiry',''),(5560,1247,NULL,'variable_order','1'),(5561,1248,'string','meta_image','20221116/dc04c86a127d1967056f11dad17bbb1d.webp'),(5562,1248,'string','meta_downloadable','0'),(5563,1248,'string','meta_virtual','0'),(5564,1248,'string','meta_scheduled_sale','0'),(5565,1248,'string','meta_backorder','0'),(5566,1248,'string','meta_stock_threshold','5'),(5567,1248,'string','meta_weight',''),(5568,1248,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(5569,1248,'string','meta_shipping_id','no-class'),(5570,1248,'string','meta_tax_classes','standard'),(5571,1248,'array','meta_downloadable_files','[]'),(5572,1248,'string','meta_download_limit',''),(5573,1248,'string','meta_download_expiry',''),(5574,1248,NULL,'variable_order','2'),(5575,1179,'array','default_attributes','{\"color\":\"\"}'),(5730,1178,'array','attributes','{\"displaysize\":{\"name\":\"Display Size\",\"position\":\"0\",\"key\":\"displaysize\",\"value\":[\"212\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"33\"},\"displaytype\":{\"name\":\"Display Type\",\"position\":\"1\",\"key\":\"displaytype\",\"value\":[\"213\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"35\"},\"storage\":{\"name\":\"Storage\",\"position\":\"2\",\"key\":\"storage\",\"value\":[\"214\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"28\"},\"battery\":{\"name\":\"Battery\",\"position\":\"3\",\"key\":\"battery\",\"value\":[\"205\",\"207\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"376\"},\"os\":{\"name\":\"OS\",\"position\":\"4\",\"key\":\"os\",\"value\":[\"Android 5.0 and above. IOS 10.0 and above\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"color\":{\"name\":\"Color\",\"position\":\"5\",\"key\":\"color\",\"value\":[\"24\",\"190\",\"26\"],\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"}}'),(5734,1249,'string','meta_image','20221116/2c6dcb0b6953482cd03b7dd6e754c51d.webp'),(5735,1249,'string','meta_downloadable','0'),(5736,1249,'string','meta_virtual','0'),(5737,1249,'string','meta_backorder','0'),(5738,1249,'string','meta_stock_threshold','5'),(5739,1249,'string','meta_weight',''),(5740,1249,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(5741,1249,'string','meta_shipping_id','light'),(5742,1249,'string','meta_tax_classes','standard'),(5743,1249,'string','meta_download_limit',''),(5744,1249,'string','meta_download_expiry',''),(5745,1249,'array','meta_downloadable_files','[]'),(5746,1249,NULL,'variable_order','0'),(5747,1250,'string','meta_image','20221116/5215d50c53b4b827e313fc525e52562a.webp'),(5748,1250,'string','meta_downloadable','0'),(5749,1250,'string','meta_virtual','0'),(5750,1250,'string','meta_backorder','0'),(5751,1250,'string','meta_stock_threshold','5'),(5752,1250,'string','meta_weight',''),(5753,1250,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(5754,1250,'string','meta_shipping_id','light'),(5755,1250,'string','meta_tax_classes','standard'),(5756,1250,'string','meta_download_limit',''),(5757,1250,'string','meta_download_expiry',''),(5758,1250,'array','meta_downloadable_files','[]'),(5759,1250,NULL,'variable_order','1'),(5760,1251,'string','meta_image','20221116/a8f3205751d743e0e08988429e1b86e7.webp'),(5761,1251,'string','meta_downloadable','0'),(5762,1251,'string','meta_virtual','0'),(5763,1251,'string','meta_backorder','0'),(5764,1251,'string','meta_stock_threshold','5'),(5765,1251,'string','meta_weight',''),(5766,1251,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(5767,1251,'string','meta_shipping_id','light'),(5768,1251,'string','meta_tax_classes','standard'),(5769,1251,'string','meta_download_limit',''),(5770,1251,'string','meta_download_expiry',''),(5771,1251,'array','meta_downloadable_files','[]'),(5772,1251,NULL,'variable_order','2'),(5773,1178,'array','default_attributes','{\"color\":\"\"}'),(5777,1249,'string','meta_scheduled_sale','0'),(5778,1250,'string','meta_scheduled_sale','0'),(5779,1251,'string','meta_scheduled_sale','0'),(6015,1177,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"211\",\"26\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"},\"lenght\":{\"name\":\"Lenght\",\"position\":\"1\",\"key\":\"lenght\",\"value\":[\"Approx. 30 cm\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"modelnumber\":{\"name\":\"Model Number\",\"position\":\"2\",\"key\":\"modelnumber\",\"value\":[\"215\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"29\"}}'),(6095,1176,'array','attributes','{\"type\":{\"name\":\"Type\",\"position\":\"1\",\"key\":\"type\",\"value\":[\"216\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"292\"},\"color\":{\"name\":\"Color\",\"position\":\"2\",\"key\":\"color\",\"value\":[\"24\",\"26\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"}}'),(6202,1175,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"24\",\"211\",\"26\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"0\",\"variation\":\"1\",\"attribute_id\":\"26\"},\"type\":{\"name\":\"Type\",\"position\":\"1\",\"key\":\"type\",\"value\":[\"216\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"292\"}}'),(6206,1252,'string','meta_downloadable','0'),(6207,1252,'string','meta_virtual','0'),(6208,1252,'string','meta_backorder','0'),(6209,1252,'string','meta_stock_threshold',''),(6210,1252,'string','meta_weight','5'),(6211,1252,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(6212,1252,'string','meta_shipping_id','no-class'),(6213,1252,'string','meta_tax_classes','standard'),(6214,1252,'string','meta_download_limit',''),(6215,1252,'string','meta_download_expiry',''),(6216,1252,'string','meta_image','20221116/3c313278885be29855a556b5e27e1aea.webp'),(6217,1252,'array','meta_downloadable_files','[]'),(6218,1252,NULL,'variable_order','0'),(6219,1253,'string','meta_downloadable','0'),(6220,1253,'string','meta_virtual','0'),(6221,1253,'string','meta_backorder','0'),(6222,1253,'string','meta_stock_threshold','5'),(6223,1253,'string','meta_weight',''),(6224,1253,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(6225,1253,'string','meta_shipping_id','light'),(6226,1253,'string','meta_tax_classes','standard'),(6227,1253,'string','meta_download_limit',''),(6228,1253,'string','meta_download_expiry',''),(6229,1253,'string','meta_image','20221116/9526c3d8c62977c8330ecb6a7aa2182f.webp'),(6230,1253,'array','meta_downloadable_files','[]'),(6231,1253,NULL,'variable_order','1'),(6232,1254,'string','meta_downloadable','0'),(6233,1254,'string','meta_virtual','0'),(6234,1254,'string','meta_backorder','0'),(6235,1254,'string','meta_stock_threshold','5'),(6236,1254,'string','meta_weight',''),(6237,1254,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(6238,1254,'string','meta_shipping_id','light'),(6239,1254,'string','meta_tax_classes','standard'),(6240,1254,'string','meta_download_limit',''),(6241,1254,'string','meta_download_expiry',''),(6242,1254,'string','meta_image','20221116/6c2e5da60065189b2f5650ac05dc224f.webp'),(6243,1254,'array','meta_downloadable_files','[]'),(6244,1254,NULL,'variable_order','2'),(6245,1175,'array','default_attributes','{\"color\":\"\"}'),(6249,1252,'string','meta_scheduled_sale','0'),(6250,1253,'string','meta_scheduled_sale','0'),(6251,1254,'string','meta_scheduled_sale','0'),(6400,1174,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"24\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Braided + Aluminum\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(6402,1173,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"24\",\"194\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"0\",\"variation\":\"1\",\"attribute_id\":\"26\"}}'),(6405,1255,'string','meta_image','20221116/f7aac2e7f5d4697e6df1f5e0ba7858ed.webp'),(6406,1255,'string','meta_downloadable','0'),(6407,1255,'string','meta_virtual','0'),(6408,1255,'string','meta_backorder','0'),(6409,1255,'string','meta_stock_threshold','5'),(6410,1255,'string','meta_weight',''),(6411,1255,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(6412,1255,'string','meta_shipping_id','light'),(6413,1255,'string','meta_tax_classes','standard'),(6414,1255,'string','meta_download_limit',''),(6415,1255,'string','meta_download_expiry',''),(6416,1255,'array','meta_downloadable_files','[]'),(6417,1255,NULL,'variable_order','0'),(6418,1256,'string','meta_image','20221116/8c67a9dbf6551bd22b08188f63344f52.webp'),(6419,1256,'string','meta_downloadable','0'),(6420,1256,'string','meta_virtual','0'),(6421,1256,'string','meta_backorder','0'),(6422,1256,'string','meta_stock_threshold','5'),(6423,1256,'string','meta_weight',''),(6424,1256,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(6425,1256,'string','meta_shipping_id','light'),(6426,1256,'string','meta_tax_classes','standard'),(6427,1256,'string','meta_download_limit',''),(6428,1256,'string','meta_download_expiry',''),(6429,1256,'array','meta_downloadable_files','[]'),(6430,1256,NULL,'variable_order','1'),(6431,1173,'array','default_attributes','{\"color\":\"\"}'),(6460,1255,'string','meta_scheduled_sale','0'),(6461,1256,'string','meta_scheduled_sale','0'),(6649,1170,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"24\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"}}'),(6678,1169,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"186\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"},\"type\":{\"name\":\"Type\",\"position\":\"1\",\"key\":\"type\",\"value\":[\"217\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"292\"}}'),(6706,1168,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"186\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"}}'),(6759,1167,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"186\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"}}'),(6787,1166,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"24\",\"193\"],\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Nylon\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(6790,1257,'string','meta_image','20221116/ebd6ad65191e7bc92e6a68dc09a6c8ef.webp'),(6791,1257,'string','meta_downloadable','0'),(6792,1257,'string','meta_virtual','0'),(6793,1257,'string','meta_backorder','0'),(6794,1257,'string','meta_stock_threshold','5'),(6795,1257,'string','meta_weight',''),(6796,1257,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(6797,1257,'string','meta_shipping_id','light'),(6798,1257,'string','meta_tax_classes','standard'),(6799,1257,'array','meta_downloadable_files','[]'),(6800,1257,'string','meta_download_limit',''),(6801,1257,'string','meta_download_expiry',''),(6802,1257,NULL,'variable_order','0'),(6803,1258,'string','meta_image','20221116/7bd866eb6f3cc24c203e68e0940e6d43.webp'),(6804,1258,'string','meta_downloadable','0'),(6805,1258,'string','meta_virtual','0'),(6806,1258,'string','meta_backorder','0'),(6807,1258,'string','meta_stock_threshold','5'),(6808,1258,'string','meta_weight',''),(6809,1258,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(6810,1258,'string','meta_shipping_id','light'),(6811,1258,'string','meta_tax_classes','standard'),(6812,1258,'array','meta_downloadable_files','[]'),(6813,1258,'string','meta_download_limit',''),(6814,1258,'string','meta_download_expiry',''),(6815,1258,NULL,'variable_order','1'),(6816,1166,'array','default_attributes','{\"color\":\"\"}'),(6871,1165,'array','attributes','{\"material\":{\"name\":\"Material\",\"position\":\"0\",\"key\":\"material\",\"value\":[\"Nylon\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"capacity\":{\"name\":\"Capacity\",\"position\":\"1\",\"key\":\"capacity\",\"value\":[\"5kg\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(6926,1164,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"183\",\"193\",\"25\",\"26\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Fabric\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(6931,1259,'string','meta_image','20221116/cf0f3ca1068d989088a76b306476031d.webp'),(6932,1259,'string','meta_downloadable','0'),(6933,1259,'string','meta_virtual','0'),(6934,1259,'string','meta_backorder','0'),(6935,1259,'string','meta_stock_threshold','5'),(6936,1259,'string','meta_weight',''),(6937,1259,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(6938,1259,'string','meta_shipping_id','light'),(6939,1259,'string','meta_tax_classes','standard'),(6940,1259,'array','meta_downloadable_files','[]'),(6941,1259,'string','meta_download_limit',''),(6942,1259,'string','meta_download_expiry',''),(6943,1259,NULL,'variable_order','0'),(6944,1260,'string','meta_image','20221116/5a7a4b5d82398aebce973cbf14f418fa.webp'),(6945,1260,'string','meta_downloadable','0'),(6946,1260,'string','meta_virtual','0'),(6947,1260,'string','meta_backorder','0'),(6948,1260,'string','meta_stock_threshold',''),(6949,1260,'string','meta_weight',''),(6950,1260,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(6951,1260,'string','meta_shipping_id','light'),(6952,1260,'string','meta_tax_classes','standard'),(6953,1260,'array','meta_downloadable_files','[]'),(6954,1260,'string','meta_download_limit',''),(6955,1260,'string','meta_download_expiry',''),(6956,1260,NULL,'variable_order','1'),(6957,1261,'string','meta_image','20221116/c65508ea6c70eb20b06892e00e8b5313.webp'),(6958,1261,'string','meta_downloadable','0'),(6959,1261,'string','meta_virtual','0'),(6960,1261,'string','meta_backorder','0'),(6961,1261,'string','meta_stock_threshold','5'),(6962,1261,'string','meta_weight',''),(6963,1261,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(6964,1261,'string','meta_shipping_id','light'),(6965,1261,'string','meta_tax_classes','standard'),(6966,1261,'array','meta_downloadable_files','[]'),(6967,1261,'string','meta_download_limit',''),(6968,1261,'string','meta_download_expiry',''),(6969,1261,NULL,'variable_order','2'),(6970,1262,'string','meta_image','20221116/ec39765aa60cd5e6e28bfa5ed5d48d58.webp'),(6971,1262,'string','meta_downloadable','0'),(6972,1262,'string','meta_virtual','0'),(6973,1262,'string','meta_backorder','0'),(6974,1262,'string','meta_stock_threshold','5'),(6975,1262,'string','meta_weight',''),(6976,1262,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(6977,1262,'string','meta_shipping_id','light'),(6978,1262,'string','meta_tax_classes','standard'),(6979,1262,'array','meta_downloadable_files','[]'),(6980,1262,'string','meta_download_limit',''),(6981,1262,'string','meta_download_expiry',''),(6982,1262,NULL,'variable_order','3'),(6983,1164,'array','default_attributes','{\"color\":\"\"}'),(6988,1259,'string','meta_scheduled_sale','0'),(6989,1260,'string','meta_scheduled_sale','0'),(6990,1261,'string','meta_scheduled_sale','0'),(6991,1262,'string','meta_scheduled_sale','0'),(7180,1163,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"24\",\"26\",\"27\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Nylon\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(7210,1263,'string','meta_image','20221116/71f49acb55e0ecffc8d0758b32ccadca.webp'),(7211,1263,'string','meta_downloadable','0'),(7212,1263,'string','meta_virtual','0'),(7213,1263,'string','meta_backorder','0'),(7214,1263,'string','meta_stock_threshold','1'),(7215,1263,'string','meta_weight','1'),(7216,1263,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7217,1263,'string','meta_shipping_id','light'),(7218,1263,'string','meta_tax_classes','standard'),(7219,1263,'array','meta_downloadable_files','[]'),(7220,1263,'string','meta_download_limit',''),(7221,1263,'string','meta_download_expiry',''),(7222,1263,NULL,'variable_order','0'),(7223,1264,'string','meta_image','20221116/86852cdd6e64a72700577c427c3be4d8.webp'),(7224,1264,'string','meta_downloadable','0'),(7225,1264,'string','meta_virtual','0'),(7226,1264,'string','meta_backorder','0'),(7227,1264,'string','meta_stock_threshold','5'),(7228,1264,'string','meta_weight','1.200'),(7229,1264,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7230,1264,'string','meta_shipping_id','light'),(7231,1264,'string','meta_tax_classes','standard'),(7232,1264,'array','meta_downloadable_files','[]'),(7233,1264,'string','meta_download_limit',''),(7234,1264,'string','meta_download_expiry',''),(7235,1264,NULL,'variable_order','1'),(7236,1265,'string','meta_image','20221116/433b192deb31c1979cf854465981a492.webp'),(7237,1265,'string','meta_downloadable','0'),(7238,1265,'string','meta_virtual','0'),(7239,1265,'string','meta_backorder','0'),(7240,1265,'string','meta_stock_threshold','5'),(7241,1265,'string','meta_weight','1'),(7242,1265,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7243,1265,'string','meta_shipping_id','light'),(7244,1265,'string','meta_tax_classes','standard'),(7245,1265,'array','meta_downloadable_files','[]'),(7246,1265,'string','meta_download_limit',''),(7247,1265,'string','meta_download_expiry',''),(7248,1265,NULL,'variable_order','2'),(7249,1163,'array','default_attributes','{\"color\":\"\"}'),(7306,1162,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"24\",\"194\",\"211\",\"26\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Pu Leather\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(7311,1266,'string','meta_image','20221116/a239ee44938ad9f40976097d381ef57f.webp'),(7312,1266,'string','meta_downloadable','0'),(7313,1266,'string','meta_virtual','0'),(7314,1266,'string','meta_backorder','0'),(7315,1266,'string','meta_stock_threshold','5'),(7316,1266,'string','meta_weight',''),(7317,1266,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7318,1266,'string','meta_shipping_id','light'),(7319,1266,'string','meta_tax_classes','standard'),(7320,1266,'array','meta_downloadable_files','[]'),(7321,1266,'string','meta_download_limit',''),(7322,1266,'string','meta_download_expiry',''),(7323,1266,NULL,'variable_order','0'),(7324,1267,'string','meta_image','20221116/d365206b7141f86c43ac3a71e4485ae8.webp'),(7325,1267,'string','meta_downloadable','0'),(7326,1267,'string','meta_virtual','0'),(7327,1267,'string','meta_backorder','0'),(7328,1267,'string','meta_stock_threshold','5'),(7329,1267,'string','meta_weight',''),(7330,1267,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7331,1267,'string','meta_shipping_id','light'),(7332,1267,'string','meta_tax_classes','standard'),(7333,1267,'array','meta_downloadable_files','[]'),(7334,1267,'string','meta_download_limit',''),(7335,1267,'string','meta_download_expiry',''),(7336,1267,NULL,'variable_order','1'),(7337,1268,'string','meta_image','20221116/0b04fa1b12a727e75c0309c5d13983f2.webp'),(7338,1268,'string','meta_downloadable','0'),(7339,1268,'string','meta_virtual','0'),(7340,1268,'string','meta_backorder','0'),(7341,1268,'string','meta_stock_threshold','5'),(7342,1268,'string','meta_weight',''),(7343,1268,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7344,1268,'string','meta_shipping_id','light'),(7345,1268,'string','meta_tax_classes','standard'),(7346,1268,'array','meta_downloadable_files','[]'),(7347,1268,'string','meta_download_limit',''),(7348,1268,'string','meta_download_expiry',''),(7349,1268,NULL,'variable_order','2'),(7350,1269,'string','meta_image','20221116/290c384c80db20617d19384a06f75a46.webp'),(7351,1269,'string','meta_downloadable','0'),(7352,1269,'string','meta_virtual','0'),(7353,1269,'string','meta_backorder','0'),(7354,1269,'string','meta_stock_threshold','5'),(7355,1269,'string','meta_weight',''),(7356,1269,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7357,1269,'string','meta_shipping_id','light'),(7358,1269,'string','meta_tax_classes','standard'),(7359,1269,'array','meta_downloadable_files','[]'),(7360,1269,'string','meta_download_limit',''),(7361,1269,'string','meta_download_expiry',''),(7362,1269,NULL,'variable_order','3'),(7363,1162,'array','default_attributes','{\"color\":\"\"}'),(7395,1161,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"24\",\"27\",\"218\",\"219\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Pu Leather\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(7400,1270,'string','meta_image','20221116/4bbfc03d96630ac35e8b46334cf73ebe.webp'),(7401,1270,'string','meta_downloadable','0'),(7402,1270,'string','meta_virtual','0'),(7403,1270,'string','meta_backorder','0'),(7404,1270,'string','meta_stock_threshold','5'),(7405,1270,'string','meta_weight',''),(7406,1270,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7407,1270,'string','meta_shipping_id','light'),(7408,1270,'string','meta_tax_classes','standard'),(7409,1270,'array','meta_downloadable_files','[]'),(7410,1270,'string','meta_download_limit',''),(7411,1270,'string','meta_download_expiry',''),(7412,1270,NULL,'variable_order','0'),(7413,1271,'string','meta_image','20221116/c40f91c0d7962a3fb9a6a208e3f2ab96.webp'),(7414,1271,'string','meta_downloadable','0'),(7415,1271,'string','meta_virtual','0'),(7416,1271,'string','meta_backorder','0'),(7417,1271,'string','meta_stock_threshold','5'),(7418,1271,'string','meta_weight',''),(7419,1271,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7420,1271,'string','meta_shipping_id','light'),(7421,1271,'string','meta_tax_classes','standard'),(7422,1271,'array','meta_downloadable_files','[]'),(7423,1271,'string','meta_download_limit',''),(7424,1271,'string','meta_download_expiry',''),(7425,1271,NULL,'variable_order','1'),(7426,1272,'string','meta_image','20221116/0b643f20f9f2b8f89666d14532f71d9b.webp'),(7427,1272,'string','meta_downloadable','0'),(7428,1272,'string','meta_virtual','0'),(7429,1272,'string','meta_backorder','0'),(7430,1272,'string','meta_stock_threshold','5'),(7431,1272,'string','meta_weight',''),(7432,1272,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7433,1272,'string','meta_shipping_id','light'),(7434,1272,'string','meta_tax_classes','standard'),(7435,1272,'array','meta_downloadable_files','[]'),(7436,1272,'string','meta_download_limit',''),(7437,1272,'string','meta_download_expiry',''),(7438,1272,NULL,'variable_order','2'),(7439,1273,'string','meta_image','20221116/831ee5dc5b46e3d1adef99004d19ac18.webp'),(7440,1273,'string','meta_downloadable','0'),(7441,1273,'string','meta_virtual','0'),(7442,1273,'string','meta_backorder','0'),(7443,1273,'string','meta_stock_threshold','5'),(7444,1273,'string','meta_weight',''),(7445,1273,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7446,1273,'string','meta_shipping_id','light'),(7447,1273,'string','meta_tax_classes','standard'),(7448,1273,'array','meta_downloadable_files','[]'),(7449,1273,'string','meta_download_limit',''),(7450,1273,'string','meta_download_expiry',''),(7451,1273,NULL,'variable_order','3'),(7452,1161,'array','default_attributes','{\"color\":\"\"}'),(7510,1160,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"186\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"}}'),(7538,1159,'array','attributes','{\"cardtype\":{\"name\":\"Card Type\",\"position\":\"0\",\"key\":\"cardtype\",\"value\":[\"TAROT\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"numberofsheets\":{\"name\":\"Number of Sheets\",\"position\":\"1\",\"key\":\"numberofsheets\",\"value\":[\"78Pcs\\/Box\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(7618,1158,'array','attributes','{\"material\":{\"name\":\"Material\",\"position\":\"0\",\"key\":\"material\",\"value\":[\"Paper\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"type\":{\"name\":\"Type\",\"position\":\"1\",\"key\":\"type\",\"value\":[\"ORACLE CARD TAROT CARD\"],\"visibility\":\"0\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(7672,1157,'array','attributes','{\"brand\":{\"name\":\"Brand\",\"position\":\"0\",\"key\":\"brand\",\"value\":[\"220\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"341\"},\"color\":{\"name\":\"Color\",\"position\":\"1\",\"key\":\"color\",\"value\":[\"27\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"},\"features\":{\"name\":\"Features\",\"position\":\"2\",\"key\":\"features\",\"value\":[\"with RGB Breathing LED, Enhanced Switch Pro Controller, Wireless Switch Controller\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(7752,1156,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"24\",\"219\",\"188\",\"25\",\"221\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(7758,1274,'string','meta_image','20221116/d304e38b901606e13589d71f9ca08a54.webp'),(7759,1274,'string','meta_downloadable','0'),(7760,1274,'string','meta_virtual','0'),(7761,1274,'string','meta_backorder','0'),(7762,1274,'string','meta_stock_threshold','5'),(7763,1274,'string','meta_weight',''),(7764,1274,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7765,1274,'string','meta_shipping_id','light'),(7766,1274,'string','meta_tax_classes','standard'),(7767,1274,'array','meta_downloadable_files','[]'),(7768,1274,'string','meta_download_limit',''),(7769,1274,'string','meta_download_expiry',''),(7770,1274,NULL,'variable_order','0'),(7771,1275,'string','meta_image','20221116/119dd8bdcde7e42a505ffe41e14a6ffb.webp'),(7772,1275,'string','meta_downloadable','0'),(7773,1275,'string','meta_virtual','0'),(7774,1275,'string','meta_backorder','0'),(7775,1275,'string','meta_stock_threshold','5'),(7776,1275,'string','meta_weight',''),(7777,1275,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7778,1275,'string','meta_shipping_id','light'),(7779,1275,'string','meta_tax_classes','standard'),(7780,1275,'array','meta_downloadable_files','[]'),(7781,1275,'string','meta_download_limit',''),(7782,1275,'string','meta_download_expiry',''),(7783,1275,NULL,'variable_order','1'),(7784,1276,'string','meta_image','20221116/5ca5998a74e37d21087d59cb9f3cc404.webp'),(7785,1276,'string','meta_downloadable','0'),(7786,1276,'string','meta_virtual','0'),(7787,1276,'string','meta_backorder','0'),(7788,1276,'string','meta_stock_threshold','5'),(7789,1276,'string','meta_weight',''),(7790,1276,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7791,1276,'string','meta_shipping_id','light'),(7792,1276,'string','meta_tax_classes','standard'),(7793,1276,'array','meta_downloadable_files','[]'),(7794,1276,'string','meta_download_limit',''),(7795,1276,'string','meta_download_expiry',''),(7796,1276,NULL,'variable_order','2'),(7797,1277,'string','meta_image','20221116/0e961d96e26709c29fc191b4c3298584.webp'),(7798,1277,'string','meta_downloadable','0'),(7799,1277,'string','meta_virtual','0'),(7800,1277,'string','meta_backorder','0'),(7801,1277,'string','meta_stock_threshold',''),(7802,1277,'string','meta_weight',''),(7803,1277,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7804,1277,'string','meta_shipping_id','light'),(7805,1277,'string','meta_tax_classes','standard'),(7806,1277,'array','meta_downloadable_files','[]'),(7807,1277,'string','meta_download_limit',''),(7808,1277,'string','meta_download_expiry',''),(7809,1277,NULL,'variable_order','3'),(7810,1278,'string','meta_image','20221116/f1e675ef1ffb3b061b589586922667f1.webp'),(7811,1278,'string','meta_downloadable','0'),(7812,1278,'string','meta_virtual','0'),(7813,1278,'string','meta_backorder','0'),(7814,1278,'string','meta_stock_threshold','5'),(7815,1278,'string','meta_weight',''),(7816,1278,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7817,1278,'string','meta_shipping_id','light'),(7818,1278,'string','meta_tax_classes','standard'),(7819,1278,'array','meta_downloadable_files','[]'),(7820,1278,'string','meta_download_limit',''),(7821,1278,'string','meta_download_expiry',''),(7822,1278,NULL,'variable_order','4'),(7823,1156,'array','default_attributes','{\"color\":\"\"}'),(7882,1155,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"24\",\"25\",\"26\",\"27\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(7887,1279,'string','meta_image','20221116/752a1b3dddf5cd9c0cb4889a9f42d694.webp'),(7888,1279,'string','meta_downloadable','0'),(7889,1279,'string','meta_virtual','0'),(7890,1279,'string','meta_backorder','0'),(7891,1279,'string','meta_stock_threshold','5'),(7892,1279,'string','meta_weight',''),(7893,1279,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7894,1279,'string','meta_shipping_id','light'),(7895,1279,'string','meta_tax_classes','standard'),(7896,1279,'array','meta_downloadable_files','[]'),(7897,1279,'string','meta_download_limit',''),(7898,1279,'string','meta_download_expiry',''),(7899,1279,NULL,'variable_order','0'),(7900,1280,'string','meta_image','20221116/6d2dfa5aea81240a429d89d73ce6d977.webp'),(7901,1280,'string','meta_downloadable','0'),(7902,1280,'string','meta_virtual','0'),(7903,1280,'string','meta_backorder','0'),(7904,1280,'string','meta_stock_threshold','5'),(7905,1280,'string','meta_weight',''),(7906,1280,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7907,1280,'string','meta_shipping_id','light'),(7908,1280,'string','meta_tax_classes','standard'),(7909,1280,'array','meta_downloadable_files','[]'),(7910,1280,'string','meta_download_limit',''),(7911,1280,'string','meta_download_expiry',''),(7912,1280,NULL,'variable_order','1'),(7913,1281,'string','meta_image','20221116/cc675f3ab0fcbb746ed9fceae22acba6.webp'),(7914,1281,'string','meta_downloadable','0'),(7915,1281,'string','meta_virtual','0'),(7916,1281,'string','meta_backorder','0'),(7917,1281,'string','meta_stock_threshold','5'),(7918,1281,'string','meta_weight',''),(7919,1281,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7920,1281,'string','meta_shipping_id','light'),(7921,1281,'string','meta_tax_classes','standard'),(7922,1281,'array','meta_downloadable_files','[]'),(7923,1281,'string','meta_download_limit',''),(7924,1281,'string','meta_download_expiry',''),(7925,1281,NULL,'variable_order','2'),(7926,1282,'string','meta_image','20221116/a1f1db319339cc3ee9d89008433d8133.webp'),(7927,1282,'string','meta_downloadable','0'),(7928,1282,'string','meta_virtual','0'),(7929,1282,'string','meta_backorder','0'),(7930,1282,'string','meta_stock_threshold','5'),(7931,1282,'string','meta_weight',''),(7932,1282,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7933,1282,'string','meta_shipping_id','light'),(7934,1282,'string','meta_tax_classes','standard'),(7935,1282,'array','meta_downloadable_files','[]'),(7936,1282,'string','meta_download_limit',''),(7937,1282,'string','meta_download_expiry',''),(7938,1282,NULL,'variable_order','3'),(7939,1155,'array','default_attributes','{\"color\":\"\"}'),(7971,1154,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"183\",\"25\",\"26\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(7975,1283,'string','meta_image','20221116/e2d247c262c31a643649b635817514d5.webp'),(7976,1283,'string','meta_downloadable','0'),(7977,1283,'string','meta_virtual','0'),(7978,1283,'string','meta_backorder','0'),(7979,1283,'string','meta_stock_threshold','5'),(7980,1283,'string','meta_weight',''),(7981,1283,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7982,1283,'string','meta_shipping_id','light'),(7983,1283,'string','meta_tax_classes','standard'),(7984,1283,'array','meta_downloadable_files','[]'),(7985,1283,'string','meta_download_limit',''),(7986,1283,'string','meta_download_expiry',''),(7987,1283,NULL,'variable_order','0'),(7988,1284,'string','meta_image','20221116/2e7365431d01b4d53e5bc69909a4ad53.webp'),(7989,1284,'string','meta_downloadable','0'),(7990,1284,'string','meta_virtual','0'),(7991,1284,'string','meta_backorder','0'),(7992,1284,'string','meta_stock_threshold','5'),(7993,1284,'string','meta_weight',''),(7994,1284,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(7995,1284,'string','meta_shipping_id','light'),(7996,1284,'string','meta_tax_classes','standard'),(7997,1284,'array','meta_downloadable_files','[]'),(7998,1284,'string','meta_download_limit',''),(7999,1284,'string','meta_download_expiry',''),(8000,1284,NULL,'variable_order','1'),(8001,1285,'string','meta_image','20221116/40770770531549c2d35c8e0a42e29fd0.webp'),(8002,1285,'string','meta_downloadable','0'),(8003,1285,'string','meta_virtual','0'),(8004,1285,'string','meta_backorder','0'),(8005,1285,'string','meta_stock_threshold','5'),(8006,1285,'string','meta_weight',''),(8007,1285,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8008,1285,'string','meta_shipping_id','light'),(8009,1285,'string','meta_tax_classes','standard'),(8010,1285,'array','meta_downloadable_files','[]'),(8011,1285,'string','meta_download_limit',''),(8012,1285,'string','meta_download_expiry',''),(8013,1285,NULL,'variable_order','2'),(8014,1154,'array','default_attributes','{\"color\":\"\"}'),(8045,1153,'array','attributes','{\"material\":{\"name\":\"Material\",\"position\":\"0\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(8125,1152,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"24\",\"219\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"},\"size\":{\"name\":\"Size\",\"position\":\"1\",\"key\":\"size\",\"value\":[\"S\",\"M\",\"L\"],\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"\"}}'),(8127,1286,'null','attribute_size','S'),(8129,1287,'null','attribute_size','M'),(8131,1288,'null','attribute_size','L'),(8133,1289,'null','attribute_size','S'),(8135,1290,'null','attribute_size','M'),(8137,1291,'null','attribute_size','L'),(8138,1286,'string','meta_image','20221116/87b34dc86a2bcc9e7f0b1e332344611d.webp'),(8139,1286,'string','meta_downloadable','0'),(8140,1286,'string','meta_virtual','0'),(8141,1286,'string','meta_backorder','0'),(8142,1286,'string','meta_stock_threshold','5'),(8143,1286,'string','meta_weight',''),(8144,1286,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8145,1286,'string','meta_shipping_id','light'),(8146,1286,'string','meta_tax_classes','standard'),(8147,1286,'array','meta_downloadable_files','[]'),(8148,1286,'string','meta_download_limit',''),(8149,1286,'string','meta_download_expiry',''),(8150,1286,NULL,'variable_order','0'),(8151,1287,'string','meta_image','20221116/87b34dc86a2bcc9e7f0b1e332344611d.webp'),(8152,1287,'string','meta_downloadable','0'),(8153,1287,'string','meta_virtual','0'),(8154,1287,'string','meta_backorder','0'),(8155,1287,'string','meta_stock_threshold','5'),(8156,1287,'string','meta_weight',''),(8157,1287,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8158,1287,'string','meta_shipping_id','light'),(8159,1287,'string','meta_tax_classes','standard'),(8160,1287,'array','meta_downloadable_files','[]'),(8161,1287,'string','meta_download_limit',''),(8162,1287,'string','meta_download_expiry',''),(8163,1287,NULL,'variable_order','1'),(8164,1288,'string','meta_image','20221116/87b34dc86a2bcc9e7f0b1e332344611d.webp'),(8165,1288,'string','meta_downloadable','0'),(8166,1288,'string','meta_virtual','0'),(8167,1288,'string','meta_backorder','0'),(8168,1288,'string','meta_stock_threshold','5'),(8169,1288,'string','meta_weight',''),(8170,1288,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8171,1288,'string','meta_shipping_id','light'),(8172,1288,'string','meta_tax_classes','standard'),(8173,1288,'array','meta_downloadable_files','[]'),(8174,1288,'string','meta_download_limit',''),(8175,1288,'string','meta_download_expiry',''),(8176,1288,NULL,'variable_order','2'),(8177,1289,'string','meta_image','20221116/e383b5566488e7e1dc90a9353ca06f15.webp'),(8178,1289,'string','meta_downloadable','0'),(8179,1289,'string','meta_virtual','0'),(8180,1289,'string','meta_backorder','0'),(8181,1289,'string','meta_stock_threshold','5'),(8182,1289,'string','meta_weight',''),(8183,1289,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8184,1289,'string','meta_shipping_id','light'),(8185,1289,'string','meta_tax_classes','standard'),(8186,1289,'array','meta_downloadable_files','[]'),(8187,1289,'string','meta_download_limit',''),(8188,1289,'string','meta_download_expiry',''),(8189,1289,NULL,'variable_order','3'),(8190,1290,'string','meta_image','20221116/e383b5566488e7e1dc90a9353ca06f15.webp'),(8191,1290,'string','meta_downloadable','0'),(8192,1290,'string','meta_virtual','0'),(8193,1290,'string','meta_backorder','0'),(8194,1290,'string','meta_stock_threshold','5'),(8195,1290,'string','meta_weight',''),(8196,1290,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8197,1290,'string','meta_shipping_id','light'),(8198,1290,'string','meta_tax_classes','standard'),(8199,1290,'array','meta_downloadable_files','[]'),(8200,1290,'string','meta_download_limit',''),(8201,1290,'string','meta_download_expiry',''),(8202,1290,NULL,'variable_order','4'),(8203,1291,'string','meta_image','20221116/e383b5566488e7e1dc90a9353ca06f15.webp'),(8204,1291,'string','meta_downloadable','0'),(8205,1291,'string','meta_virtual','0'),(8206,1291,'string','meta_backorder','0'),(8207,1291,'string','meta_stock_threshold','5'),(8208,1291,'string','meta_weight',''),(8209,1291,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8210,1291,'string','meta_shipping_id','light'),(8211,1291,'string','meta_tax_classes','standard'),(8212,1291,'array','meta_downloadable_files','[]'),(8213,1291,'string','meta_download_limit',''),(8214,1291,'string','meta_download_expiry',''),(8215,1291,NULL,'variable_order','5'),(8216,1152,'array','default_attributes','{\"color\":\"\",\"size\":\"\"}'),(8229,1286,'string','meta_scheduled_sale','0'),(8230,1287,'string','meta_scheduled_sale','0'),(8231,1288,'string','meta_scheduled_sale','0'),(8232,1289,'string','meta_scheduled_sale','0'),(8233,1290,'string','meta_scheduled_sale','0'),(8234,1291,'string','meta_scheduled_sale','0'),(8327,1151,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"211\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(8433,1150,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"193\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"size\":{\"name\":\"Size\",\"position\":\"2\",\"key\":\"size\",\"value\":[\"M\",\"L\"],\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"\"}}'),(8434,1292,'null','attribute_size','M'),(8435,1293,'null','attribute_size','L'),(8436,1292,'string','meta_image','20221116/b03197acfd099238ac63580fba9b70b7.webp'),(8437,1292,'string','meta_downloadable','0'),(8438,1292,'string','meta_virtual','0'),(8439,1292,'string','meta_backorder','0'),(8440,1292,'string','meta_stock_threshold','5'),(8441,1292,'string','meta_weight',''),(8442,1292,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8443,1292,'string','meta_shipping_id','light'),(8444,1292,'string','meta_tax_classes','standard'),(8445,1292,'array','meta_downloadable_files','[]'),(8446,1292,'string','meta_download_limit',''),(8447,1292,'string','meta_download_expiry',''),(8448,1292,NULL,'variable_order','0'),(8449,1293,'string','meta_image','20221116/56b34ba41ad2593211a5929d115c55bd.webp'),(8450,1293,'string','meta_downloadable','0'),(8451,1293,'string','meta_virtual','0'),(8452,1293,'string','meta_backorder','0'),(8453,1293,'string','meta_stock_threshold','5'),(8454,1293,'string','meta_weight',''),(8455,1293,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8456,1293,'string','meta_shipping_id','light'),(8457,1293,'string','meta_tax_classes','standard'),(8458,1293,'array','meta_downloadable_files','[]'),(8459,1293,'string','meta_download_limit',''),(8460,1293,'string','meta_download_expiry',''),(8461,1293,NULL,'variable_order','1'),(8462,1150,'array','default_attributes','{\"size\":\"\"}'),(8465,1292,'string','meta_scheduled_sale','0'),(8466,1293,'string','meta_scheduled_sale','0'),(8519,1149,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"190\",\"218\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(8522,1294,'string','meta_image','20221116/563e1857ef81b9db6fbea967657b5777.webp'),(8523,1294,'string','meta_downloadable','0'),(8524,1294,'string','meta_virtual','0'),(8525,1294,'string','meta_backorder','0'),(8526,1294,'string','meta_stock_threshold','5'),(8527,1294,'string','meta_weight',''),(8528,1294,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8529,1294,'string','meta_shipping_id','light'),(8530,1294,'string','meta_tax_classes','standard'),(8531,1294,'array','meta_downloadable_files','[]'),(8532,1294,'string','meta_download_limit',''),(8533,1294,'string','meta_download_expiry',''),(8534,1294,NULL,'variable_order','0'),(8535,1295,'string','meta_image','20221116/8c8429f6579a8b6457e37ec1b4b6922d.webp'),(8536,1295,'string','meta_downloadable','0'),(8537,1295,'string','meta_virtual','0'),(8538,1295,'string','meta_backorder','0'),(8539,1295,'string','meta_stock_threshold','5'),(8540,1295,'string','meta_weight',''),(8541,1295,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8542,1295,'string','meta_shipping_id','light'),(8543,1295,'string','meta_tax_classes','standard'),(8544,1295,'array','meta_downloadable_files','[]'),(8545,1295,'string','meta_download_limit',''),(8546,1295,'string','meta_download_expiry',''),(8547,1295,NULL,'variable_order','1'),(8548,1149,'array','default_attributes','{\"color\":\"\"}'),(8604,1148,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"24\",\"194\",\"188\",\"193\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(8609,1296,'string','meta_image','20221116/9bb2d571c26fe0a58b9659aa0c7b263a.webp'),(8610,1296,'string','meta_downloadable','0'),(8611,1296,'string','meta_virtual','0'),(8612,1296,'string','meta_backorder','0'),(8613,1296,'string','meta_stock_threshold','5'),(8614,1296,'string','meta_weight',''),(8615,1296,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8616,1296,'string','meta_shipping_id','light'),(8617,1296,'string','meta_tax_classes','standard'),(8618,1296,'array','meta_downloadable_files','[]'),(8619,1296,'string','meta_download_limit',''),(8620,1296,'string','meta_download_expiry',''),(8621,1296,NULL,'variable_order','0'),(8622,1297,'string','meta_image','20221116/0afb2cf13cc211bed62dc96ebec80148.webp'),(8623,1297,'string','meta_downloadable','0'),(8624,1297,'string','meta_virtual','0'),(8625,1297,'string','meta_backorder','0'),(8626,1297,'string','meta_stock_threshold','5'),(8627,1297,'string','meta_weight',''),(8628,1297,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8629,1297,'string','meta_shipping_id','light'),(8630,1297,'string','meta_tax_classes','standard'),(8631,1297,'array','meta_downloadable_files','[]'),(8632,1297,'string','meta_download_limit',''),(8633,1297,'string','meta_download_expiry',''),(8634,1297,NULL,'variable_order','1'),(8635,1298,'string','meta_image','20221116/69b2374fc9f15df44cd820af5da34eb3.webp'),(8636,1298,'string','meta_downloadable','0'),(8637,1298,'string','meta_virtual','0'),(8638,1298,'string','meta_backorder','0'),(8639,1298,'string','meta_stock_threshold','5'),(8640,1298,'string','meta_weight',''),(8641,1298,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8642,1298,'string','meta_shipping_id','light'),(8643,1298,'string','meta_tax_classes','standard'),(8644,1298,'array','meta_downloadable_files','[]'),(8645,1298,'string','meta_download_limit',''),(8646,1298,'string','meta_download_expiry',''),(8647,1298,NULL,'variable_order','2'),(8648,1299,'string','meta_image','20221116/4d123f6c3ad266ef10c436d577a9c273.webp'),(8649,1299,'string','meta_downloadable','0'),(8650,1299,'string','meta_virtual','0'),(8651,1299,'string','meta_backorder','0'),(8652,1299,'string','meta_stock_threshold','5'),(8653,1299,'string','meta_weight',''),(8654,1299,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8655,1299,'string','meta_shipping_id','light'),(8656,1299,'string','meta_tax_classes','standard'),(8657,1299,'array','meta_downloadable_files','[]'),(8658,1299,'string','meta_download_limit',''),(8659,1299,'string','meta_download_expiry',''),(8660,1299,NULL,'variable_order','3'),(8661,1148,'array','default_attributes','{\"color\":\"\"}'),(8667,1147,'array','attributes','{\"material\":{\"name\":\"Material\",\"position\":\"0\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"color\":{\"name\":\"Color\",\"position\":\"1\",\"key\":\"color\",\"value\":[\"211\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"}}'),(8721,1146,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"24\",\"25\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(8750,1300,'string','meta_image','20221116/62c02178575b62bc052e3e04faed7b7a.webp'),(8751,1300,'string','meta_downloadable','0'),(8752,1300,'string','meta_virtual','0'),(8753,1300,'string','meta_scheduled_sale','0'),(8754,1300,'string','meta_backorder','0'),(8755,1300,'string','meta_stock_threshold','5'),(8756,1300,'string','meta_weight',''),(8757,1300,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8758,1300,'string','meta_shipping_id','light'),(8759,1300,'string','meta_tax_classes','standard'),(8760,1300,'array','meta_downloadable_files','[]'),(8761,1300,'string','meta_download_limit',''),(8762,1300,'string','meta_download_expiry',''),(8763,1300,NULL,'variable_order','0'),(8764,1301,'string','meta_image','20221116/41e08cd219ae9a5315e7ee1e3c09eb66.webp'),(8765,1301,'string','meta_downloadable','0'),(8766,1301,'string','meta_virtual','0'),(8767,1301,'string','meta_scheduled_sale','0'),(8768,1301,'string','meta_backorder','0'),(8769,1301,'string','meta_stock_threshold','5'),(8770,1301,'string','meta_weight',''),(8771,1301,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8772,1301,'string','meta_shipping_id','light'),(8773,1301,'string','meta_tax_classes','standard'),(8774,1301,'array','meta_downloadable_files','[]'),(8775,1301,'string','meta_download_limit',''),(8776,1301,'string','meta_download_expiry',''),(8777,1301,NULL,'variable_order','1'),(8778,1146,'array','default_attributes','{\"color\":\"\"}'),(8808,1145,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"188\",\"25\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(8811,1302,'string','meta_image','20221116/27fabac9a6e3c6ab8f81c414acc5a1b5.webp'),(8812,1302,'string','meta_downloadable','0'),(8813,1302,'string','meta_virtual','0'),(8814,1302,'string','meta_backorder','0'),(8815,1302,'string','meta_stock_threshold','5'),(8816,1302,'string','meta_weight',''),(8817,1302,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8818,1302,'string','meta_shipping_id','light'),(8819,1302,'string','meta_tax_classes','standard'),(8820,1302,'array','meta_downloadable_files','[]'),(8821,1302,'string','meta_download_limit',''),(8822,1302,'string','meta_download_expiry',''),(8823,1302,NULL,'variable_order','0'),(8824,1303,'string','meta_image','20221116/2fbbf87e374ab44d3d43e4d9143b9b87.webp'),(8825,1303,'string','meta_downloadable','0'),(8826,1303,'string','meta_virtual','0'),(8827,1303,'string','meta_backorder','0'),(8828,1303,'string','meta_stock_threshold','5'),(8829,1303,'string','meta_weight',''),(8830,1303,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8831,1303,'string','meta_shipping_id','light'),(8832,1303,'string','meta_tax_classes','standard'),(8833,1303,'array','meta_downloadable_files','[]'),(8834,1303,'string','meta_download_limit',''),(8835,1303,'string','meta_download_expiry',''),(8836,1303,NULL,'variable_order','1'),(8837,1145,'array','default_attributes','{\"color\":\"\"}'),(8919,1144,'array','attributes','{\"material\":{\"name\":\"Material\",\"position\":\"0\",\"key\":\"material\",\"value\":[],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"color\":{\"name\":\"Color\",\"position\":\"1\",\"key\":\"color\",\"value\":[\"193\",\"211\",\"25\",\"26\",\"27\"],\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"}}'),(8925,1304,'string','meta_image','20221116/970d6e8b2e0d034418d7197168221218.webp'),(8926,1304,'string','meta_downloadable','0'),(8927,1304,'string','meta_virtual','0'),(8928,1304,'string','meta_backorder','0'),(8929,1304,'string','meta_stock_threshold','5'),(8930,1304,'string','meta_weight',''),(8931,1304,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8932,1304,'string','meta_shipping_id','light'),(8933,1304,'string','meta_tax_classes','standard'),(8934,1304,'array','meta_downloadable_files','[]'),(8935,1304,'string','meta_download_limit',''),(8936,1304,'string','meta_download_expiry',''),(8937,1304,NULL,'variable_order','0'),(8938,1305,'string','meta_image','20221116/0b02718dd8afafb4da8edef07ac833db.webp'),(8939,1305,'string','meta_downloadable','0'),(8940,1305,'string','meta_virtual','0'),(8941,1305,'string','meta_backorder','0'),(8942,1305,'string','meta_stock_threshold','5'),(8943,1305,'string','meta_weight',''),(8944,1305,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8945,1305,'string','meta_shipping_id','light'),(8946,1305,'string','meta_tax_classes','standard'),(8947,1305,'array','meta_downloadable_files','[]'),(8948,1305,'string','meta_download_limit',''),(8949,1305,'string','meta_download_expiry',''),(8950,1305,NULL,'variable_order','1'),(8951,1306,'string','meta_image','20221116/4a1b06dd9b139659fb2ed2d8b08365be.webp'),(8952,1306,'string','meta_downloadable','0'),(8953,1306,'string','meta_virtual','0'),(8954,1306,'string','meta_backorder','0'),(8955,1306,'string','meta_stock_threshold','5'),(8956,1306,'string','meta_weight',''),(8957,1306,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8958,1306,'string','meta_shipping_id','light'),(8959,1306,'string','meta_tax_classes','standard'),(8960,1306,'array','meta_downloadable_files','[]'),(8961,1306,'string','meta_download_limit',''),(8962,1306,'string','meta_download_expiry',''),(8963,1306,NULL,'variable_order','2'),(8964,1307,'string','meta_image','20221116/15d29e911d327529118a2f354ddb557d.webp'),(8965,1307,'string','meta_downloadable','0'),(8966,1307,'string','meta_virtual','0'),(8967,1307,'string','meta_backorder','0'),(8968,1307,'string','meta_stock_threshold','5'),(8969,1307,'string','meta_weight',''),(8970,1307,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8971,1307,'string','meta_shipping_id','light'),(8972,1307,'string','meta_tax_classes','standard'),(8973,1307,'array','meta_downloadable_files','[]'),(8974,1307,'string','meta_download_limit',''),(8975,1307,'string','meta_download_expiry',''),(8976,1307,NULL,'variable_order','3'),(8977,1308,'string','meta_image','20221116/1f6a7f963c45fdf2697c4395d2d987ee.webp'),(8978,1308,'string','meta_downloadable','0'),(8979,1308,'string','meta_virtual','0'),(8980,1308,'string','meta_backorder','0'),(8981,1308,'string','meta_stock_threshold','5'),(8982,1308,'string','meta_weight',''),(8983,1308,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(8984,1308,'string','meta_shipping_id','light'),(8985,1308,'string','meta_tax_classes','standard'),(8986,1308,'array','meta_downloadable_files','[]'),(8987,1308,'string','meta_download_limit',''),(8988,1308,'string','meta_download_expiry',''),(8989,1308,NULL,'variable_order','4'),(8990,1144,'array','default_attributes','{\"color\":\"\"}'),(8996,1304,'string','meta_scheduled_sale','0'),(8997,1305,'string','meta_scheduled_sale','0'),(8998,1306,'string','meta_scheduled_sale','0'),(8999,1307,'string','meta_scheduled_sale','0'),(9000,1308,'string','meta_scheduled_sale','0'),(9267,1143,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"192\",\"211\",\"222\",\"223\",\"224\",\"225\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"},\"material\":{\"name\":\"Material\",\"position\":\"1\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"size\":{\"name\":\"Size\",\"position\":\"2\",\"key\":\"size\",\"value\":[\"M\",\"L\"],\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"\"}}'),(9269,1309,'null','attribute_size','M'),(9271,1310,'null','attribute_size','L'),(9273,1311,'null','attribute_size','M'),(9275,1312,'null','attribute_size','L'),(9277,1313,'null','attribute_size','M'),(9279,1314,'null','attribute_size','L'),(9281,1315,'null','attribute_size','M'),(9283,1316,'null','attribute_size','L'),(9285,1317,'null','attribute_size','M'),(9287,1318,'null','attribute_size','L'),(9289,1319,'null','attribute_size','M'),(9291,1320,'null','attribute_size','L'),(9292,1309,'string','meta_downloadable','0'),(9293,1309,'string','meta_virtual','0'),(9294,1309,'string','meta_backorder','0'),(9295,1309,'string','meta_stock_threshold','5'),(9296,1309,'string','meta_weight',''),(9297,1309,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(9298,1309,'string','meta_shipping_id','light'),(9299,1309,'string','meta_tax_classes','standard'),(9300,1309,'array','meta_downloadable_files','[]'),(9301,1309,'string','meta_download_limit',''),(9302,1309,'string','meta_download_expiry',''),(9303,1309,'string','meta_image','20221116/39491453c1e23216ec2a0737c7f52bb9.webp'),(9304,1309,NULL,'variable_order','0'),(9305,1310,'string','meta_downloadable','0'),(9306,1310,'string','meta_virtual','0'),(9307,1310,'string','meta_backorder','0'),(9308,1310,'string','meta_stock_threshold','5'),(9309,1310,'string','meta_weight',''),(9310,1310,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(9311,1310,'string','meta_shipping_id','light'),(9312,1310,'string','meta_tax_classes','standard'),(9313,1310,'array','meta_downloadable_files','[]'),(9314,1310,'string','meta_download_limit',''),(9315,1310,'string','meta_download_expiry',''),(9316,1310,'string','meta_image','20221116/39491453c1e23216ec2a0737c7f52bb9.webp'),(9317,1310,NULL,'variable_order','1'),(9318,1311,'string','meta_downloadable','0'),(9319,1311,'string','meta_virtual','0'),(9320,1311,'string','meta_backorder','0'),(9321,1311,'string','meta_stock_threshold','5'),(9322,1311,'string','meta_weight',''),(9323,1311,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(9324,1311,'string','meta_shipping_id','light'),(9325,1311,'string','meta_tax_classes','standard'),(9326,1311,'array','meta_downloadable_files','[]'),(9327,1311,'string','meta_download_limit',''),(9328,1311,'string','meta_download_expiry',''),(9329,1311,'string','meta_image','20221116/2c21d3637144e137fb364ecb9bedaeab.webp'),(9330,1311,NULL,'variable_order','2'),(9331,1312,'string','meta_downloadable','0'),(9332,1312,'string','meta_virtual','0'),(9333,1312,'string','meta_backorder','0'),(9334,1312,'string','meta_stock_threshold','5'),(9335,1312,'string','meta_weight',''),(9336,1312,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(9337,1312,'string','meta_shipping_id','light'),(9338,1312,'string','meta_tax_classes','standard'),(9339,1312,'array','meta_downloadable_files','[]'),(9340,1312,'string','meta_download_limit',''),(9341,1312,'string','meta_download_expiry',''),(9342,1312,'string','meta_image','20221116/2c21d3637144e137fb364ecb9bedaeab.webp'),(9343,1312,NULL,'variable_order','3'),(9344,1313,'string','meta_downloadable','0'),(9345,1313,'string','meta_virtual','0'),(9346,1313,'string','meta_backorder','0'),(9347,1313,'string','meta_stock_threshold','5'),(9348,1313,'string','meta_weight',''),(9349,1313,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(9350,1313,'string','meta_shipping_id','light'),(9351,1313,'string','meta_tax_classes','standard'),(9352,1313,'array','meta_downloadable_files','[]'),(9353,1313,'string','meta_download_limit',''),(9354,1313,'string','meta_download_expiry',''),(9355,1313,'string','meta_image','20221116/333e70339c86361d61ea7dc2d5497d09.webp'),(9356,1313,NULL,'variable_order','4'),(9357,1314,'string','meta_downloadable','0'),(9358,1314,'string','meta_virtual','0'),(9359,1314,'string','meta_backorder','0'),(9360,1314,'string','meta_stock_threshold','5'),(9361,1314,'string','meta_weight',''),(9362,1314,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(9363,1314,'string','meta_shipping_id','light'),(9364,1314,'string','meta_tax_classes','standard'),(9365,1314,'array','meta_downloadable_files','[]'),(9366,1314,'string','meta_download_limit',''),(9367,1314,'string','meta_download_expiry',''),(9368,1314,'string','meta_image','20221116/333e70339c86361d61ea7dc2d5497d09.webp'),(9369,1314,NULL,'variable_order','5'),(9370,1315,'string','meta_downloadable','0'),(9371,1315,'string','meta_virtual','0'),(9372,1315,'string','meta_backorder','0'),(9373,1315,'string','meta_stock_threshold','5'),(9374,1315,'string','meta_weight',''),(9375,1315,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(9376,1315,'string','meta_shipping_id','light'),(9377,1315,'string','meta_tax_classes','standard'),(9378,1315,'array','meta_downloadable_files','[]'),(9379,1315,'string','meta_download_limit',''),(9380,1315,'string','meta_download_expiry',''),(9381,1315,'string','meta_image','20221116/862c541768fde4c00286165736e7842e.webp'),(9382,1315,NULL,'variable_order','6'),(9383,1316,'string','meta_downloadable','0'),(9384,1316,'string','meta_virtual','0'),(9385,1316,'string','meta_backorder','0'),(9386,1316,'string','meta_stock_threshold','5'),(9387,1316,'string','meta_weight',''),(9388,1316,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(9389,1316,'string','meta_shipping_id','light'),(9390,1316,'string','meta_tax_classes','standard'),(9391,1316,'array','meta_downloadable_files','[]'),(9392,1316,'string','meta_download_limit',''),(9393,1316,'string','meta_download_expiry',''),(9394,1316,'string','meta_image','20221116/862c541768fde4c00286165736e7842e.webp'),(9395,1316,NULL,'variable_order','7'),(9396,1317,'string','meta_downloadable','0'),(9397,1317,'string','meta_virtual','0'),(9398,1317,'string','meta_backorder','0'),(9399,1317,'string','meta_stock_threshold','5'),(9400,1317,'string','meta_weight',''),(9401,1317,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(9402,1317,'string','meta_shipping_id','light'),(9403,1317,'string','meta_tax_classes','standard'),(9404,1317,'array','meta_downloadable_files','[]'),(9405,1317,'string','meta_download_limit',''),(9406,1317,'string','meta_download_expiry',''),(9407,1317,'string','meta_image','20221116/d88525f61f2a10b68b30cc13b24b18c1.webp'),(9408,1317,NULL,'variable_order','8'),(9409,1318,'string','meta_downloadable','0'),(9410,1318,'string','meta_virtual','0'),(9411,1318,'string','meta_backorder','0'),(9412,1318,'string','meta_stock_threshold','5'),(9413,1318,'string','meta_weight',''),(9414,1318,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(9415,1318,'string','meta_shipping_id','light'),(9416,1318,'string','meta_tax_classes','standard'),(9417,1318,'array','meta_downloadable_files','[]'),(9418,1318,'string','meta_download_limit',''),(9419,1318,'string','meta_download_expiry',''),(9420,1318,'string','meta_image','20221116/d88525f61f2a10b68b30cc13b24b18c1.webp'),(9421,1318,NULL,'variable_order','9'),(9422,1319,'string','meta_downloadable','0'),(9423,1319,'string','meta_virtual','0'),(9424,1319,'string','meta_backorder','0'),(9425,1319,'string','meta_stock_threshold','5'),(9426,1319,'string','meta_weight',''),(9427,1319,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(9428,1319,'string','meta_shipping_id','light'),(9429,1319,'string','meta_tax_classes','standard'),(9430,1319,'array','meta_downloadable_files','[]'),(9431,1319,'string','meta_download_limit',''),(9432,1319,'string','meta_download_expiry',''),(9433,1319,'string','meta_image','20221116/9faffed73bd4c60e3ade0a8fd7311a78.webp'),(9434,1319,NULL,'variable_order','10'),(9435,1320,'string','meta_downloadable','0'),(9436,1320,'string','meta_virtual','0'),(9437,1320,'string','meta_backorder','0'),(9438,1320,'string','meta_stock_threshold','5'),(9439,1320,'string','meta_weight',''),(9440,1320,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(9441,1320,'string','meta_shipping_id','light'),(9442,1320,'string','meta_tax_classes','standard'),(9443,1320,'array','meta_downloadable_files','[]'),(9444,1320,'string','meta_download_limit',''),(9445,1320,'string','meta_download_expiry',''),(9446,1320,'string','meta_image','20221116/9faffed73bd4c60e3ade0a8fd7311a78.webp'),(9447,1320,NULL,'variable_order','11'),(9448,1143,'array','default_attributes','{\"color\":\"\",\"size\":\"\"}'),(9473,1309,'string','meta_scheduled_sale','0'),(9474,1310,'string','meta_scheduled_sale','0'),(9475,1311,'string','meta_scheduled_sale','0'),(9476,1312,'string','meta_scheduled_sale','0'),(9477,1313,'string','meta_scheduled_sale','0'),(9478,1314,'string','meta_scheduled_sale','0'),(9479,1315,'string','meta_scheduled_sale','0'),(9480,1316,'string','meta_scheduled_sale','0'),(9481,1317,'string','meta_scheduled_sale','0'),(9482,1318,'string','meta_scheduled_sale','0'),(9483,1319,'string','meta_scheduled_sale','0'),(9484,1320,'string','meta_scheduled_sale','0'),(9667,1142,'array','attributes','{\"material\":{\"name\":\"Material\",\"position\":\"0\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"},\"color\":{\"name\":\"Color\",\"position\":\"1\",\"key\":\"color\",\"value\":[\"211\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"26\"}}'),(9721,1141,'array','attributes','{\"color\":{\"name\":\"Color\",\"position\":\"0\",\"key\":\"color\",\"value\":[\"24\",\"25\"],\"type\":\"color\",\"attribute_shape\":\"circle\",\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"26\"},\"size\":{\"name\":\"Size\",\"position\":\"1\",\"key\":\"size\",\"value\":[\"S\",\"M\",\"L\"],\"visibility\":\"1\",\"variation\":\"1\",\"attribute_id\":\"\"},\"material\":{\"name\":\"Material\",\"position\":\"2\",\"key\":\"material\",\"value\":[\"Cotton\"],\"visibility\":\"1\",\"variation\":\"0\",\"attribute_id\":\"\"}}'),(9723,1321,'null','attribute_size','S'),(9725,1322,'null','attribute_size','M'),(9727,1323,'null','attribute_size','L'),(9729,1324,'null','attribute_size','S'),(9731,1325,'null','attribute_size','M'),(9733,1326,'null','attribute_size','L'),(9734,1321,'string','meta_image','20221116/d8be4961fc58751888180bf34a778088.webp'),(9735,1321,'string','meta_downloadable','0'),(9736,1321,'string','meta_virtual','0'),(9737,1321,'string','meta_backorder','0'),(9738,1321,'string','meta_stock_threshold','5'),(9739,1321,'string','meta_weight',''),(9740,1321,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(9741,1321,'string','meta_shipping_id','light'),(9742,1321,'string','meta_tax_classes','standard'),(9743,1321,'array','meta_downloadable_files','[]'),(9744,1321,'string','meta_download_limit',''),(9745,1321,'string','meta_download_expiry',''),(9746,1321,NULL,'variable_order','0'),(9747,1322,'string','meta_image','20221116/d8be4961fc58751888180bf34a778088.webp'),(9748,1322,'string','meta_downloadable','0'),(9749,1322,'string','meta_virtual','0'),(9750,1322,'string','meta_backorder','0'),(9751,1322,'string','meta_stock_threshold','5'),(9752,1322,'string','meta_weight',''),(9753,1322,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(9754,1322,'string','meta_shipping_id','light'),(9755,1322,'string','meta_tax_classes','standard'),(9756,1322,'array','meta_downloadable_files','[]'),(9757,1322,'string','meta_download_limit',''),(9758,1322,'string','meta_download_expiry',''),(9759,1322,NULL,'variable_order','1'),(9760,1323,'string','meta_image','20221116/d8be4961fc58751888180bf34a778088.webp'),(9761,1323,'string','meta_downloadable','0'),(9762,1323,'string','meta_virtual','0'),(9763,1323,'string','meta_backorder','0'),(9764,1323,'string','meta_stock_threshold','5'),(9765,1323,'string','meta_weight',''),(9766,1323,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(9767,1323,'string','meta_shipping_id','light'),(9768,1323,'string','meta_tax_classes','standard'),(9769,1323,'array','meta_downloadable_files','[]'),(9770,1323,'string','meta_download_limit',''),(9771,1323,'string','meta_download_expiry',''),(9772,1323,NULL,'variable_order','2'),(9773,1324,'string','meta_image','20221116/dc3ecec9d2406223f5045339e668ae3d.webp'),(9774,1324,'string','meta_downloadable','0'),(9775,1324,'string','meta_virtual','0'),(9776,1324,'string','meta_backorder','0'),(9777,1324,'string','meta_stock_threshold','5'),(9778,1324,'string','meta_weight',''),(9779,1324,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(9780,1324,'string','meta_shipping_id','light'),(9781,1324,'string','meta_tax_classes','standard'),(9782,1324,'array','meta_downloadable_files','[]'),(9783,1324,'string','meta_download_limit',''),(9784,1324,'string','meta_download_expiry',''),(9785,1324,NULL,'variable_order','3'),(9786,1325,'string','meta_image','20221116/dc3ecec9d2406223f5045339e668ae3d.webp'),(9787,1325,'string','meta_downloadable','0'),(9788,1325,'string','meta_virtual','0'),(9789,1325,'string','meta_backorder','0'),(9790,1325,'string','meta_stock_threshold','5'),(9791,1325,'string','meta_weight',''),(9792,1325,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(9793,1325,'string','meta_shipping_id','light'),(9794,1325,'string','meta_tax_classes','standard'),(9795,1325,'array','meta_downloadable_files','[]'),(9796,1325,'string','meta_download_limit',''),(9797,1325,'string','meta_download_expiry',''),(9798,1325,NULL,'variable_order','4'),(9799,1326,'string','meta_image','20221116/dc3ecec9d2406223f5045339e668ae3d.webp'),(9800,1326,'string','meta_downloadable','0'),(9801,1326,'string','meta_virtual','0'),(9802,1326,'string','meta_backorder','0'),(9803,1326,'string','meta_stock_threshold','5'),(9804,1326,'string','meta_weight',''),(9805,1326,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(9806,1326,'string','meta_shipping_id','light'),(9807,1326,'string','meta_tax_classes','standard'),(9808,1326,'array','meta_downloadable_files','[]'),(9809,1326,'string','meta_download_limit',''),(9810,1326,'string','meta_download_expiry',''),(9811,1326,NULL,'variable_order','5'),(9812,1141,'array','default_attributes','{\"color\":\"\",\"size\":\"\"}'),(9813,1140,'array','meta_image','[\"20221129/12188c61b8ef38c7dedc52e4cb70739b.webp\"]'),(9814,1140,'string','meta_virtual','0'),(9815,1140,'string','meta_downloadable','0'),(9816,1140,'array','meta_external_product','{\"url\":\"https:\\/\\/codecanyon.net\\/user\\/techvillage1\\/portfolio\",\"text\":\"BUY NOW\"}'),(9817,1140,'array','meta_downloadable_files','[]'),(9818,1140,'string','meta_download_limit',''),(9819,1140,'string','meta_download_expiry',''),(9820,1140,'string','meta_tax_classes',''),(9821,1140,'string','meta_backorder','0'),(9822,1140,'string','meta_stock_threshold',''),(9823,1140,'string','meta_hide_stock','0'),(9824,1140,'string','meta_stock_status','In Stock'),(9825,1140,'string','meta_individual_sale','0'),(9826,1140,'string','meta_shipping_id',''),(9827,1140,'string','meta_cash_on_delivery','0'),(9828,1140,'string','meta_weight',''),(9829,1140,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(9830,1140,'string','meta_warranty_type','Seller Warranty'),(9831,1140,'string','meta_warranty_period','6 months'),(9832,1140,'string','meta_warranty_policy','Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a. Sed porttitor lectus nibh. Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui.'),(9833,1140,'string','meta_purchase_note',''),(9834,1140,'string','meta_estimated_delivery',''),(9835,1140,'string','meta_enable_reviews','1'),(9836,1140,'array','meta_seo','{\"title\":\"MartVill - An ecommerce platform to sell everything\",\"description\":\"Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Sed porttitor lectus nibh. Sed porttitor lectus nibh.\",\"image\":\"20221129/12188c61b8ef38c7dedc52e4cb70739b.webp\"}'),(9837,1140,'array','meta_video_files','[]'),(9838,1140,'array','meta_video_url','[]'),(9865,1139,'array','meta_image','[\"20221129/e7bf0e48ef030f688794f19fce42e580.webp\"]'),(9866,1139,'string','meta_virtual','0'),(9867,1139,'string','meta_downloadable','0'),(9868,1139,'array','meta_external_product','{\"url\":\"https:\\/\\/codecanyon.net\\/item\\/cryptinvest-wallet-growth-investment-addon\\/40526686\",\"text\":\"BUY NOW\"}'),(9869,1139,'array','meta_downloadable_files','[]'),(9870,1139,'string','meta_download_limit',''),(9871,1139,'string','meta_download_expiry',''),(9872,1139,'string','meta_tax_classes',''),(9873,1139,'string','meta_backorder','0'),(9874,1139,'string','meta_stock_threshold',''),(9875,1139,'string','meta_hide_stock','0'),(9876,1139,'string','meta_stock_status','In Stock'),(9877,1139,'string','meta_individual_sale','0'),(9878,1139,'string','meta_shipping_id',''),(9879,1139,'string','meta_cash_on_delivery','0'),(9880,1139,'string','meta_weight',''),(9881,1139,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(9882,1139,'string','meta_warranty_type','Seller Warranty'),(9883,1139,'string','meta_warranty_period','2 months'),(9884,1139,'string','meta_warranty_policy',''),(9885,1139,'string','meta_purchase_note',''),(9886,1139,'string','meta_estimated_delivery',''),(9887,1139,'string','meta_enable_reviews','1'),(9888,1139,'array','meta_seo','{\"title\":\"CryptInvest - Wallet Growth Investment Addon\",\"description\":\"\",\"image\":\"20221129/e7bf0e48ef030f688794f19fce42e580.webp\"}'),(9889,1139,'array','meta_video_files','[]'),(9890,1139,'array','meta_video_url','[]'),(9969,1138,'array','meta_image','[\"20221129/440dc1db6a1f4109cbda978e95588b83.webp\"]'),(9970,1138,'string','meta_virtual','0'),(9971,1138,'string','meta_downloadable','0'),(9972,1138,'array','meta_external_product','{\"url\":\"https:\\/\\/codecanyon.net\\/item\\/vrent-vacation-rental-marketplace\\/19418596\",\"text\":\"BUY NOW\"}'),(9973,1138,'array','meta_downloadable_files','[]'),(9974,1138,'string','meta_download_limit',''),(9975,1138,'string','meta_download_expiry',''),(9976,1138,'string','meta_tax_classes',''),(9977,1138,'string','meta_backorder','0'),(9978,1138,'string','meta_stock_threshold',''),(9979,1138,'string','meta_hide_stock','0'),(9980,1138,'string','meta_stock_status','In Stock'),(9981,1138,'string','meta_individual_sale','0'),(9982,1138,'string','meta_shipping_id',''),(9983,1138,'string','meta_cash_on_delivery','0'),(9984,1138,'string','meta_weight',''),(9985,1138,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(9986,1138,'string','meta_warranty_type','Seller Warranty'),(9987,1138,'string','meta_warranty_period','6 months'),(9988,1138,'string','meta_warranty_policy','Donec rutrum congue leo eget malesuada. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.'),(9989,1138,'string','meta_purchase_note',''),(9990,1138,'string','meta_estimated_delivery',''),(9991,1138,'string','meta_enable_reviews','1'),(9992,1138,'array','meta_seo','{\"title\":\"vRent - Vacation Rental Marketplace\",\"description\":\"Donec rutrum congue leo eget malesuada. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.\",\"image\":\"20221129/440dc1db6a1f4109cbda978e95588b83.webp\"}'),(9993,1138,'array','meta_video_files','[]'),(9994,1138,'array','meta_video_url','[]'),(10073,1137,'array','meta_image','[\"20221129/659a1abaf5aa9f57f209e3009f7402a0.webp\"]'),(10074,1137,'string','meta_virtual','1'),(10075,1137,'string','meta_downloadable','1'),(10076,1137,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(10077,1137,'array','meta_downloadable_files','[{\"name\":\"Aug_25_-_White_And_Green_Envelope_01 1.webp\",\"id\":\"1097\",\"url\":\"http:\\/\\/localhost\\/laravel\\/public\\\\uploads\\\\20221129/659a1abaf5aa9f57f209e3009f7402a0.webp\"}]'),(10078,1137,'string','meta_download_limit','5'),(10079,1137,'string','meta_download_expiry','10'),(10080,1137,'string','meta_tax_classes',''),(10081,1137,'string','meta_backorder','0'),(10082,1137,'string','meta_stock_threshold',''),(10083,1137,'string','meta_hide_stock','0'),(10084,1137,'string','meta_stock_status','In Stock'),(10085,1137,'string','meta_individual_sale','1'),(10086,1137,'string','meta_shipping_id',''),(10087,1137,'string','meta_cash_on_delivery','0'),(10088,1137,'string','meta_weight',''),(10089,1137,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(10090,1137,'string','meta_warranty_type','Seller Warranty'),(10091,1137,'string','meta_warranty_period','6 months'),(10092,1137,'string','meta_warranty_policy',''),(10093,1137,'string','meta_purchase_note',''),(10094,1137,'string','meta_estimated_delivery',''),(10095,1137,'string','meta_enable_reviews','1'),(10096,1137,'array','meta_seo','{\"title\":\"Branding PSD Mockups For Your Business\",\"description\":\"\",\"image\":\"20221129/659a1abaf5aa9f57f209e3009f7402a0.webp\"}'),(10097,1137,'array','meta_video_files','[]'),(10098,1137,'array','meta_video_url','[]'),(10125,1136,'array','meta_image','[\"20221129/b4f5f5ed6d126d2bb57b4b82ea0939d9.webp\"]'),(10126,1136,'string','meta_virtual','1'),(10127,1136,'string','meta_downloadable','1'),(10128,1136,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(10129,1136,'array','meta_downloadable_files','[{\"name\":\"Group 95163.webp\",\"id\":\"1098\",\"url\":\"http:\\/\\/localhost\\/laravel\\/public\\\\uploads\\\\20221129/b4f5f5ed6d126d2bb57b4b82ea0939d9.webp\"}]'),(10130,1136,'string','meta_download_limit','2'),(10131,1136,'string','meta_download_expiry','30'),(10132,1136,'string','meta_tax_classes',''),(10133,1136,'string','meta_backorder','0'),(10134,1136,'string','meta_stock_threshold',''),(10135,1136,'string','meta_hide_stock','0'),(10136,1136,'string','meta_stock_status','In Stock'),(10137,1136,'string','meta_individual_sale','1'),(10138,1136,'string','meta_shipping_id',''),(10139,1136,'string','meta_cash_on_delivery','0'),(10140,1136,'string','meta_weight',''),(10141,1136,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(10142,1136,'string','meta_warranty_type','Seller Warranty'),(10143,1136,'string','meta_warranty_period','1 month'),(10144,1136,'string','meta_warranty_policy',''),(10145,1136,'string','meta_purchase_note',''),(10146,1136,'string','meta_estimated_delivery',''),(10147,1136,'string','meta_enable_reviews','1'),(10148,1136,'array','meta_seo','{\"title\":\"Illustration Set - Office Break Fun\",\"description\":\"\",\"image\":\"20221129/b4f5f5ed6d126d2bb57b4b82ea0939d9.webp\"}'),(10149,1136,'array','meta_video_files','[]'),(10150,1136,'array','meta_video_url','[\"https:\\/\\/player.vimeo.com\\/video\\/330420305?h=0c269f7e82&color=f7f7f7&title=0&byline=0&portrait=0\"]'),(10177,1135,'array','meta_image','[\"20221129/e3412a5eaa185058ae457ecbc7c827b8.webp\"]'),(10178,1135,'string','meta_virtual','1'),(10179,1135,'string','meta_downloadable','1'),(10180,1135,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(10181,1135,'array','meta_downloadable_files','[{\"name\":\"Group 95162.webp\",\"id\":\"1099\",\"url\":\"http:\\/\\/localhost\\/laravel\\/public\\\\uploads\\\\20221129/e3412a5eaa185058ae457ecbc7c827b8.webp\"}]'),(10182,1135,'string','meta_download_limit',''),(10183,1135,'string','meta_download_expiry',''),(10184,1135,'string','meta_tax_classes',''),(10185,1135,'string','meta_backorder','0'),(10186,1135,'string','meta_stock_threshold',''),(10187,1135,'string','meta_hide_stock','0'),(10188,1135,'string','meta_stock_status','In Stock'),(10189,1135,'string','meta_individual_sale','1'),(10190,1135,'string','meta_shipping_id',''),(10191,1135,'string','meta_cash_on_delivery','0'),(10192,1135,'string','meta_weight',''),(10193,1135,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(10194,1135,'string','meta_warranty_type','Seller Warranty'),(10195,1135,'string','meta_warranty_period','2 months'),(10196,1135,'string','meta_warranty_policy',''),(10197,1135,'string','meta_purchase_note',''),(10198,1135,'string','meta_estimated_delivery',''),(10199,1135,'string','meta_enable_reviews','1'),(10200,1135,'array','meta_seo','{\"title\":\"Video Promo - How To Promote Your Business (2 min)\",\"description\":\"\",\"image\":\"20221129/e3412a5eaa185058ae457ecbc7c827b8.webp\"}'),(10201,1135,'array','meta_video_files','[]'),(10202,1135,'array','meta_video_url','[\"https:\\/\\/player.vimeo.com\\/video\\/330420305?h=0c269f7e82&color=f7f7f7&title=0&byline=0&portrait=0\"]'),(10203,1130,'string','meta_virtual','0'),(10204,1130,'string','meta_downloadable','0'),(10205,1130,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(10206,1130,'array','meta_downloadable_files','[]'),(10207,1130,'string','meta_download_limit',''),(10208,1130,'string','meta_download_expiry',''),(10209,1130,'string','meta_tax_classes',''),(10210,1130,'string','meta_backorder','0'),(10211,1130,'string','meta_stock_threshold',''),(10212,1130,'string','meta_hide_stock','0'),(10213,1130,'string','meta_stock_status','In Stock'),(10214,1130,'string','meta_individual_sale','0'),(10215,1130,'string','meta_shipping_id',''),(10216,1130,'string','meta_cash_on_delivery','0'),(10217,1130,'string','meta_weight',''),(10218,1130,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(10219,1130,'string','meta_warranty_type','No Warranty'),(10220,1130,'string','meta_warranty_period',''),(10221,1130,'string','meta_warranty_policy',''),(10222,1130,'string','meta_purchase_note',''),(10223,1130,'string','meta_estimated_delivery',''),(10224,1130,'string','meta_enable_reviews','1'),(10225,1130,'array','meta_seo','{\"title\":\"Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui.\",\"description\":\"Proin eget tortor risus. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Quisque velit nisi, pretium ut lacinia in, elementum id enim.\",\"image\":\"20221123/f8256ae374c1432ad6b8ac1e81fde25e.webp\"}'),(10226,1130,'array','meta_video_files','[]'),(10227,1130,'array','meta_image','[\"20221123/f8256ae374c1432ad6b8ac1e81fde25e.webp\",\"20221123/c3a40267142cdf69026abdffc1c50df6.webp\",\"20221123/8455776f6791cd5479bb9a88c829876c.webp\"]'),(10228,1130,'array','meta_video_url','[]'),(10229,1130,'array','meta_grouped_products','[\"1203\",\"1204\",\"1205\"]'),(10320,1131,'string','meta_virtual','0'),(10321,1131,'string','meta_downloadable','0'),(10322,1131,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(10323,1131,'array','meta_downloadable_files','[]'),(10324,1131,'string','meta_download_limit',''),(10325,1131,'string','meta_download_expiry',''),(10326,1131,'string','meta_tax_classes',''),(10327,1131,'string','meta_backorder','0'),(10328,1131,'string','meta_stock_threshold',''),(10329,1131,'string','meta_hide_stock','0'),(10330,1131,'string','meta_stock_status','In Stock'),(10331,1131,'string','meta_individual_sale','0'),(10332,1131,'string','meta_shipping_id',''),(10333,1131,'string','meta_cash_on_delivery','0'),(10334,1131,'string','meta_weight',''),(10335,1131,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(10336,1131,'string','meta_warranty_type','No Warranty'),(10337,1131,'string','meta_warranty_period',''),(10338,1131,'string','meta_warranty_policy',''),(10339,1131,'string','meta_purchase_note',''),(10340,1131,'string','meta_estimated_delivery',''),(10341,1131,'string','meta_enable_reviews','1'),(10342,1131,'array','meta_seo','{\"title\":\"Pellentesque in ipsum id orci porta dapibus.\",\"description\":\"Pellentesque in ipsum id orci porta dapibus. Sed porttitor lectus nibh. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.\"}'),(10343,1131,'array','meta_video_files','[]'),(10344,1131,'array','meta_image','[\"20221120/abc930448a9f08de458b70e58e9f894e.webp\",\"20221120/13d2c440f58a73a30cb67b19202a83e2.webp\",\"20221116/0b04fa1b12a727e75c0309c5d13983f2.webp\"]'),(10345,1131,'array','meta_video_url','[]'),(10373,1131,'array','meta_grouped_products','[\"1199\",\"1188\",\"1162\"]'),(10403,1132,'string','meta_virtual','0'),(10404,1132,'string','meta_downloadable','0'),(10405,1132,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(10406,1132,'array','meta_downloadable_files','[]'),(10407,1132,'string','meta_download_limit',''),(10408,1132,'string','meta_download_expiry',''),(10409,1132,'string','meta_tax_classes',''),(10410,1132,'string','meta_backorder','0'),(10411,1132,'string','meta_stock_threshold',''),(10412,1132,'string','meta_hide_stock','0'),(10413,1132,'string','meta_stock_status','In Stock'),(10414,1132,'string','meta_individual_sale','0'),(10415,1132,'string','meta_shipping_id',''),(10416,1132,'string','meta_cash_on_delivery','0'),(10417,1132,'string','meta_weight',''),(10418,1132,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(10419,1132,'string','meta_warranty_type','No Warranty'),(10420,1132,'string','meta_warranty_period',''),(10421,1132,'string','meta_warranty_policy',''),(10422,1132,'string','meta_purchase_note',''),(10423,1132,'string','meta_estimated_delivery',''),(10424,1132,'string','meta_enable_reviews','1'),(10425,1132,'array','meta_seo','{\"title\":\"Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a.\",\"description\":\"Sed porttitor lectus nibh. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.\"}'),(10426,1132,'array','meta_video_files','[]'),(10427,1132,'array','meta_image','[\"20221116/b03197acfd099238ac63580fba9b70b7.webp\",\"20221116/0e961d96e26709c29fc191b4c3298584.webp\",\"20221116/be6e9408affa6ce6a6da8a19c99a92aa.webp\"]'),(10428,1132,'array','meta_video_url','[]'),(10430,1132,'array','meta_grouped_products','[\"1156\",\"1150\",\"1178\"]'),(10460,1133,'string','meta_virtual','0'),(10461,1133,'string','meta_downloadable','0'),(10462,1133,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(10463,1133,'array','meta_downloadable_files','[]'),(10464,1133,'string','meta_download_limit',''),(10465,1133,'string','meta_download_expiry',''),(10466,1133,'string','meta_tax_classes',''),(10467,1133,'string','meta_backorder','0'),(10468,1133,'string','meta_stock_threshold',''),(10469,1133,'string','meta_hide_stock','0'),(10470,1133,'string','meta_stock_status','In Stock'),(10471,1133,'string','meta_individual_sale','0'),(10472,1133,'string','meta_shipping_id',''),(10473,1133,'string','meta_cash_on_delivery','0'),(10474,1133,'string','meta_weight',''),(10475,1133,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(10476,1133,'string','meta_warranty_type','No Warranty'),(10477,1133,'string','meta_warranty_period',''),(10478,1133,'string','meta_warranty_policy',''),(10479,1133,'string','meta_purchase_note',''),(10480,1133,'string','meta_estimated_delivery',''),(10481,1133,'string','meta_enable_reviews','1'),(10482,1133,'array','meta_seo','{\"title\":\"Nulla porttitor accumsan tincidunt.\",\"description\":\"Donec sollicitudin molestie malesuada. Proin eget tortor risus. Pellentesque in ipsum id orci porta dapibus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.\"}'),(10483,1133,'array','meta_video_files','[]'),(10484,1133,'array','meta_image','[\"20221116/79e421bbcb090394f511aa53c47bd6b7.webp\",\"20221116/8e4f7f9cffd21f3f267147d2cf3e79b1.webp\",\"20221116/b290bcbc6a0e890c72bc97bcff37c302.webp\"]'),(10485,1133,'array','meta_video_url','[\"https:\\/\\/player.vimeo.com\\/video\\/330420305?h=0c269f7e82&color=f7f7f7&title=0&byline=0&portrait=0\"]'),(10487,1133,'array','meta_grouped_products','[\"1186\",\"1183\",\"1182\"]'),(10488,1134,'string','meta_virtual','0'),(10489,1134,'string','meta_downloadable','0'),(10490,1134,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(10491,1134,'array','meta_downloadable_files','[]'),(10492,1134,'string','meta_download_limit',''),(10493,1134,'string','meta_download_expiry',''),(10494,1134,'string','meta_tax_classes',''),(10495,1134,'string','meta_backorder','0'),(10496,1134,'string','meta_stock_threshold',''),(10497,1134,'string','meta_hide_stock','0'),(10498,1134,'string','meta_stock_status','In Stock'),(10499,1134,'string','meta_individual_sale','0'),(10500,1134,'string','meta_shipping_id',''),(10501,1134,'string','meta_cash_on_delivery','0'),(10502,1134,'string','meta_weight',''),(10503,1134,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(10504,1134,'string','meta_warranty_type','No Warranty'),(10505,1134,'string','meta_warranty_period',''),(10506,1134,'string','meta_warranty_policy',''),(10507,1134,'string','meta_purchase_note',''),(10508,1134,'string','meta_estimated_delivery',''),(10509,1134,'string','meta_enable_reviews','1'),(10510,1134,'array','meta_seo','{\"title\":\"Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a.\",\"description\":\"Cras ultricies ligula sed magna dictum porta. Nulla porttitor accumsan tincidunt. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Cras ultricies ligula sed magna dictum porta. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a.\"}'),(10511,1134,'array','meta_video_files','[]'),(10512,1134,'array','meta_image','[\"20221116/c06f58d02e8f56491a84a3467fc7d2d5.webp\",\"20221116/d4f97b603be255fe3854e3b7d7980c47.webp\",\"20221116/1f6a7f963c45fdf2697c4395d2d987ee.webp\",\"20221116/0b02718dd8afafb4da8edef07ac833db.webp\",\"20221116/62c02178575b62bc052e3e04faed7b7a.webp\"]'),(10513,1134,'array','meta_video_url','[]'),(10514,1134,'array','meta_grouped_products','[\"1147\",\"1144\",\"1146\"]'),(10516,1328,'null','attribute_color','24'),(10517,1328,'string','meta_downloadable','0'),(10518,1328,'string','meta_virtual','0'),(10519,1328,'string','meta_backorder','0'),(10520,1328,'string','meta_stock_threshold',''),(10521,1328,'string','meta_weight',''),(10522,1328,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(10523,1328,'string','meta_shipping_id','heavy'),(10524,1328,'string','meta_tax_classes','standard'),(10525,1328,'array','meta_downloadable_files','[]'),(10526,1328,'string','meta_download_limit',''),(10527,1328,'string','meta_download_expiry',''),(10528,1328,'string','meta_image',''),(10529,1328,NULL,'variable_order','0'),(10532,1328,'string','meta_scheduled_sale','0'),(10534,1329,'string','meta_virtual','0'),(10535,1329,'string','meta_downloadable','0'),(10536,1329,'array','meta_external_product','{\"url\":\"\",\"text\":\"\"}'),(10537,1329,'array','meta_downloadable_files','[]'),(10538,1329,'string','meta_download_limit',''),(10539,1329,'string','meta_download_expiry',''),(10540,1329,'string','meta_tax_classes',''),(10541,1329,'string','meta_backorder','0'),(10542,1329,'string','meta_stock_threshold',''),(10543,1329,'string','meta_hide_stock','0'),(10544,1329,'string','meta_stock_status','In Stock'),(10545,1329,'string','meta_individual_sale','0'),(10546,1329,'string','meta_shipping_id','Select One'),(10547,1329,'string','meta_cash_on_delivery','0'),(10548,1329,'string','meta_weight',''),(10549,1329,'array','meta_dimension','{\"length\":\"\",\"width\":\"\",\"height\":\"\"}'),(10550,1329,'string','meta_warranty_type','No Warranty'),(10551,1329,'string','meta_warranty_period',''),(10552,1329,'string','meta_warranty_policy',''),(10553,1329,'string','meta_purchase_note',''),(10554,1329,'string','meta_estimated_delivery',''),(10555,1329,'string','meta_enable_reviews','0'),(10556,1329,'array','meta_seo','{\"title\":\"\",\"description\":\"\"}'),(10557,1329,'array','meta_video_files','[]'),(10558,1329,'array','meta_image','[]'),(10559,1329,'array','meta_video_url','[]');
/*!40000 ALTER TABLE `products_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `purchase_details`
--

DROP TABLE IF EXISTS `purchase_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_details` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `purchase_id` bigint NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `product_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `quantity` decimal(16,8) NOT NULL,
  `amount` decimal(16,8) NOT NULL,
  `sku` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_charge` decimal(16,8) DEFAULT NULL,
  `quantity_receive` decimal(16,8) NOT NULL DEFAULT '0.00000000',
  `quantity_reject` decimal(16,8) NOT NULL DEFAULT '0.00000000',
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `purchase_details_purchase_id_foreign_idx` (`purchase_id`),
  KEY `purchase_details_product_id_foreign_idx` (`product_id`),
  CONSTRAINT `purchase_details_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_details_purchase_id_foreign` FOREIGN KEY (`purchase_id`) REFERENCES `purchases` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `purchase_details`
--

LOCK TABLES `purchase_details` WRITE;
/*!40000 ALTER TABLE `purchase_details` DISABLE KEYS */;
INSERT INTO `purchase_details` VALUES (1,1,1199,'Waist straight Slouchy jeans',130.00000000,55.00000000,'J1234',2.00000000,130.00000000,0.00000000,'2024-09-19 06:34:39',NULL),(2,1,1198,'Slouchy pleated shorts',124.00000000,54.00000000,'S3423',2.00000000,121.00000000,3.00000000,'2024-09-19 06:34:39',NULL),(3,1,1197,'Paperbag denim shorts',128.00000000,50.00000000,'D1236',2.00000000,120.00000000,0.00000000,'2024-09-19 06:34:39',NULL),(4,2,1236,'Anti-Drop AirPods1 2 Silicone Bluetooth Compatible Earphone Cover Air Pods, Blue',22.00000000,22.00000000,NULL,2.00000000,22.00000000,0.00000000,'2024-09-19 06:34:39',NULL),(5,2,1242,'Smartwatch Men Support 118 Sports Women Smart Watch, Blue',21.00000000,21.00000000,NULL,3.00000000,20.00000000,1.00000000,'2024-09-19 06:34:39',NULL),(6,2,1169,'Snap Button Bracelet Bangle Elastic Metal Beaded Snap Bracelet Fit',33.00000000,2.00000000,NULL,1.00000000,33.00000000,0.00000000,'2024-09-19 06:34:39',NULL);
/*!40000 ALTER TABLE `purchase_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `purchases`
--

DROP TABLE IF EXISTS `purchases`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchases` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `reference` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location_id` bigint NOT NULL,
  `supplier_id` int NOT NULL,
  `currency_id` int unsigned NOT NULL,
  `vendor_id` bigint NOT NULL,
  `exchange_rate` decimal(16,8) DEFAULT NULL,
  `shipping_charge` decimal(16,8) DEFAULT NULL,
  `payment_type` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_charge` decimal(16,8) DEFAULT NULL,
  `shipping_carrier` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tracking_number` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `note` text COLLATE utf8mb4_unicode_ci,
  `arrival_date` date DEFAULT NULL,
  `adjustment` text COLLATE utf8mb4_unicode_ci,
  `total_quantity` decimal(16,8) NOT NULL,
  `total_amount` decimal(16,8) NOT NULL,
  `paid_amount` decimal(16,8) DEFAULT NULL,
  `status` varchar(45) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `purchases_location_id_foreign_idx` (`location_id`),
  KEY `purchases_supplier_id_foreign_idx` (`supplier_id`),
  KEY `purchases_currency_id_idx` (`currency_id`),
  KEY `purchases_vendor_id_foreign_idx` (`vendor_id`),
  CONSTRAINT `purchases_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchases_location_id_foreign` FOREIGN KEY (`location_id`) REFERENCES `locations` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchases_supplier_id_foreign` FOREIGN KEY (`supplier_id`) REFERENCES `suppliers` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchases_vendor_id_foreign` FOREIGN KEY (`vendor_id`) REFERENCES `vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `purchases`
--

LOCK TABLES `purchases` WRITE;
/*!40000 ALTER TABLE `purchases` DISABLE KEYS */;
INSERT INTO `purchases` VALUES (1,'PU0001',3,2,3,19,NULL,60.00000000,'Cash On Delivery',404.92000000,'DHL express','4HeR',NULL,'2024-07-31','{\"name\":[\"Custom Duty\"],\"amount\":[\"20\"]}',382.00000000,20730.92000000,NULL,'Partial','2024-09-19 06:34:39',NULL),(2,'PU0002',1,1,3,1,NULL,15.00000000,'Cash On Delivery',23.57000000,NULL,'Rt12',NULL,'2024-08-01',NULL,76.00000000,1029.57000000,NULL,'Received','2024-09-19 06:34:39',NULL);
/*!40000 ALTER TABLE `purchases` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `purchases_receives`
--

DROP TABLE IF EXISTS `purchases_receives`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchases_receives` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `purchase_id` bigint NOT NULL,
  `type` varchar(45) COLLATE utf8mb4_unicode_ci NOT NULL,
  `quantity` decimal(16,8) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `purchases_receives_purchase_id_foreign_idx` (`purchase_id`),
  CONSTRAINT `purchases_receives_purchase_id_foreign` FOREIGN KEY (`purchase_id`) REFERENCES `purchases` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `purchases_receives`
--

LOCK TABLES `purchases_receives` WRITE;
/*!40000 ALTER TABLE `purchases_receives` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchases_receives` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `refund_processes`
--

DROP TABLE IF EXISTS `refund_processes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `refund_processes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint NOT NULL,
  `refund_id` bigint unsigned NOT NULL,
  `note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `refund_processes_user_id_index` (`user_id`),
  KEY `refund_processes_refund_id_index` (`refund_id`),
  CONSTRAINT `refund_processes_refund_id_foreign` FOREIGN KEY (`refund_id`) REFERENCES `refunds` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `refund_processes_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `refund_processes`
--

LOCK TABLES `refund_processes` WRITE;
/*!40000 ALTER TABLE `refund_processes` DISABLE KEYS */;
INSERT INTO `refund_processes` VALUES (1,1,1,'Sed porttitor lectus nibh?','2024-09-19 06:34:35',NULL),(2,2,1,'Curabitur aliquet quam id dui posuere blandit. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a. Donec sollicitudin molestie malesuada.','2024-09-19 06:34:35',NULL),(3,1,1,'Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a. Cras ultricies ligula sed magna dictum porta.','2024-09-19 06:34:35',NULL),(4,2,1,'Lorem ipsum dolor sit amet, consectetur adipiscing elit.','2024-09-19 06:34:35',NULL),(5,1,1,'Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.','2024-09-19 06:34:35',NULL),(6,1,2,'Nulla porttitor accumsan tincidunt?','2024-09-19 06:34:35',NULL),(7,7,2,'Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.','2024-09-19 06:34:35',NULL),(8,1,2,'Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui.','2024-09-19 06:34:35',NULL),(9,7,2,'Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.','2024-09-19 06:34:35',NULL),(11,1,2,'Donec sollicitudin molestie malesuada.','2024-09-19 06:34:35',NULL),(12,7,2,'Curabitur aliquet quam id dui posuere blandit?','2024-09-19 06:34:35',NULL),(13,7,2,'Proin eget tortor risus.','2024-09-19 06:34:35',NULL),(14,1,2,'Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui.','2024-09-19 06:34:35',NULL),(15,7,2,'Nulla quis lorem ut libero malesuada feugiat. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.','2024-09-19 06:34:35',NULL),(16,6,3,'Proin eget tortor risus. Cras ultricies ligula sed magna dictum porta. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a.','2024-09-19 06:34:35',NULL),(17,1,3,'Nulla quis lorem ut libero malesuada feugiat.','2024-09-19 06:34:35',NULL),(18,6,3,'Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.','2024-09-19 06:34:35',NULL),(19,1,3,'Pellentesque in ipsum id orci porta dapibus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.','2024-09-19 06:34:35',NULL),(20,6,3,'Quisque velit nisi, pretium ut lacinia in, elementum id enim. Sed porttitor lectus nibh.','2024-09-19 06:34:35',NULL),(21,1,3,'Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.','2024-09-19 06:34:35',NULL);
/*!40000 ALTER TABLE `refund_processes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `refund_reasons`
--

DROP TABLE IF EXISTS `refund_reasons`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `refund_reasons` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Pending' COMMENT 'Active/Inactive/Pending',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `refund_reasons_name_unique` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `refund_reasons`
--

LOCK TABLES `refund_reasons` WRITE;
/*!40000 ALTER TABLE `refund_reasons` DISABLE KEYS */;
INSERT INTO `refund_reasons` VALUES (4,'Accidental order','Active','2024-09-19 06:34:35',NULL),(5,'Arrived too late','Active','2024-09-19 06:34:35',NULL),(6,'Missing parts or accessories','Active','2024-09-19 06:34:35',NULL),(7,'Damaged during shipping','Active','2024-09-19 06:34:35',NULL),(8,'Wrong item sent','Active','2024-09-19 06:34:35',NULL),(9,'Product is the wrong color','Active','2024-09-19 06:34:35',NULL),(10,'Better price available','Active','2024-09-19 06:34:35',NULL),(11,'Different from what was ordered','Active','2024-09-19 06:34:35',NULL),(12,'I haven\'t received this item yet','Pending','2024-09-19 06:34:35',NULL),(13,'Product description was inaccurate','Active','2024-09-19 06:34:35',NULL),(14,'Not satisfied with the quality','Active','2024-09-19 06:34:35',NULL),(15,'Did not like the color','Active','2024-09-19 06:34:35',NULL),(16,'Other reason','Active','2024-09-19 06:34:35',NULL);
/*!40000 ALTER TABLE `refund_reasons` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `refunds`
--

DROP TABLE IF EXISTS `refunds`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `refunds` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint NOT NULL,
  `order_detail_id` bigint unsigned NOT NULL,
  `refund_reason_id` int unsigned NOT NULL,
  `reference` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'unique string',
  `quantity_sent` int unsigned NOT NULL DEFAULT '1',
  `refund_type` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Full/Partial',
  `refund_method` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Wallet/Bank',
  `shipping_method` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Courier/Drop',
  `payment_status` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Paid/Unpaid',
  `status` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Opened/In progress/Declined/Accepted',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `refunds_user_id_index` (`user_id`),
  KEY `refunds_order_detail_id_index` (`order_detail_id`),
  KEY `refunds_refund_reason_id_index` (`refund_reason_id`),
  CONSTRAINT `refunds_order_detail_id_foreign` FOREIGN KEY (`order_detail_id`) REFERENCES `order_details` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `refunds_refund_reason_id_foreign` FOREIGN KEY (`refund_reason_id`) REFERENCES `refund_reasons` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `refunds_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `refunds`
--

LOCK TABLES `refunds` WRITE;
/*!40000 ALTER TABLE `refunds` DISABLE KEYS */;
INSERT INTO `refunds` VALUES (1,2,3,9,'WanCmP',1,'Full','Wallet','Drop','Unpaid','Accepted','2024-09-19 06:34:35',NULL),(2,7,27,4,'0tmufL',1,'Full','Wallet','Drop','Paid','Accepted','2024-09-19 06:34:35',NULL),(3,6,22,4,'SauePS',2,'Full','Wallet','Drop','Unpaid','Declined','2024-09-19 06:34:35',NULL);
/*!40000 ALTER TABLE `refunds` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reviews`
--

DROP TABLE IF EXISTS `reviews`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `reviews` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `comments` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `rating` tinyint(1) DEFAULT NULL,
  `reviewed_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint DEFAULT NULL,
  `product_id` bigint unsigned NOT NULL,
  `is_public` tinyint(1) NOT NULL DEFAULT '0',
  `status` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Inactive',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `reviews_user_id_foreign_idx` (`user_id`),
  KEY `reviews_product_id_foreign_idx` (`product_id`),
  KEY `reviews_status_index` (`status`),
  CONSTRAINT `reviews_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `reviews_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=255 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `reviews`
--

LOCK TABLES `reviews` WRITE;
/*!40000 ALTER TABLE `reviews` DISABLE KEYS */;
INSERT INTO `reviews` VALUES (1,'Good Product',3,NULL,2,1141,1,'Active','2024-09-19 06:34:29'),(2,'Good phone',3,NULL,2,1142,1,'Active','2024-09-19 06:34:29'),(3,'I love this phone',5,NULL,2,1143,1,'Active','2024-09-19 06:34:29'),(4,'Highly recommend this buy. Excellent product.',3,NULL,16,1130,1,'Active','2024-09-10 20:47:19'),(5,'I liked the purchase. Great value for money.',4,NULL,22,1130,1,'Inactive','2024-08-24 04:33:42'),(6,'I enjoyed this choice! Fantastic experience.',1,NULL,19,1130,1,'Active','2024-09-03 13:37:22'),(7,'I admired the choice. Amazing value for money.',2,NULL,19,1131,1,'Active','2024-09-07 00:19:44'),(8,'I admired this choice! Awesome experience.',5,NULL,16,1131,1,'Active','2024-09-18 11:14:38'),(9,'Highly recommend this buy. Awesome product.',1,NULL,6,1131,1,'Active','2024-08-22 07:29:21'),(10,'I enjoyed the buy. Fantastic value for money.',3,NULL,24,1131,1,'Inactive','2024-08-27 09:34:44'),(11,'The Excellent purchase is enjoyed!',5,NULL,5,1132,1,'Active','2024-08-29 11:46:13'),(12,'I appreciated the purchase. Fantastic value for money.',1,NULL,16,1132,1,'Active','2024-09-01 20:07:59'),(13,'I admired this purchase! Awesome experience.',5,NULL,3,1132,1,'Active','2024-08-25 18:24:16'),(14,'Amazing choice. I loved it!',4,NULL,9,1132,1,'Active','2024-09-14 18:47:57'),(15,'Great choice. I admired it!',2,NULL,17,1132,1,'Active','2024-08-27 20:42:45'),(16,'Highly recommend this buy. Great product.',3,NULL,3,1133,1,'Active','2024-08-23 05:38:09'),(17,'I admired the item. Awesome value for money.',2,NULL,8,1133,1,'Active','2024-08-31 15:11:53'),(18,'The Great item is liked!',1,NULL,9,1133,1,'Active','2024-08-26 04:02:29'),(19,'Great choice. I appreciated it!',4,NULL,19,1133,1,'Active','2024-08-28 05:55:26'),(20,'I admired the buy. Great value for money.',1,NULL,20,1134,1,'Active','2024-08-25 22:25:13'),(21,'Highly recommend this item. Excellent product.',1,NULL,22,1134,1,'Inactive','2024-08-24 19:43:47'),(22,'I liked this item! Great experience.',5,NULL,7,1134,1,'Inactive','2024-08-28 17:23:27'),(23,'I appreciated this choice! Excellent experience.',4,NULL,8,1135,1,'Inactive','2024-09-18 15:13:19'),(24,'The Excellent product is admired!',4,NULL,22,1135,1,'Active','2024-09-06 02:26:41'),(25,'Highly recommend this purchase. Excellent product.',1,NULL,25,1135,1,'Active','2024-09-08 11:38:26'),(26,'I liked this product! Amazing experience.',1,NULL,1,1135,1,'Inactive','2024-08-23 21:54:51'),(27,'The Great purchase is loved!',4,NULL,20,1136,1,'Inactive','2024-09-13 03:35:43'),(28,'Amazing choice. I appreciated it!',2,NULL,4,1136,1,'Active','2024-08-30 18:22:28'),(29,'The Amazing product is enjoyed!',1,NULL,15,1137,1,'Active','2024-09-02 03:56:44'),(30,'Highly recommend this product. Great product.',1,NULL,8,1137,1,'Active','2024-09-15 23:10:06'),(31,'I loved the product. Fantastic value for money.',4,NULL,7,1138,1,'Inactive','2024-09-11 17:34:27'),(32,'Awesome choice. I loved it!',2,NULL,21,1138,1,'Active','2024-09-06 07:49:36'),(33,'Highly recommend this purchase. Fantastic product.',2,NULL,20,1138,1,'Active','2024-09-05 10:42:36'),(34,'Excellent choice. I appreciated it!',5,NULL,25,1139,1,'Inactive','2024-09-05 03:35:26'),(35,'Fantastic choice. I liked it!',5,NULL,7,1139,1,'Active','2024-09-09 01:12:31'),(36,'The Excellent purchase is enjoyed!',1,NULL,8,1139,1,'Inactive','2024-09-06 00:55:42'),(37,'Highly recommend this buy. Awesome product.',2,NULL,2,1139,1,'Active','2024-08-22 11:02:14'),(38,'Highly recommend this choice. Awesome product.',5,NULL,19,1140,1,'Inactive','2024-09-10 22:39:18'),(39,'The Awesome buy is enjoyed!',3,NULL,7,1140,1,'Inactive','2024-09-05 22:29:49'),(40,'I admired the purchase. Awesome value for money.',4,NULL,4,1140,1,'Inactive','2024-08-23 22:18:22'),(41,'I loved the choice. Excellent value for money.',2,NULL,2,1140,1,'Active','2024-08-23 04:25:48'),(42,'I enjoyed this choice! Fantastic experience.',1,NULL,23,1141,1,'Active','2024-09-16 12:16:09'),(43,'I admired this item! Excellent experience.',2,NULL,4,1141,1,'Inactive','2024-08-27 22:32:33'),(44,'Great choice. I liked it!',1,NULL,8,1141,1,'Active','2024-09-14 05:15:45'),(45,'I liked the item. Excellent value for money.',1,NULL,21,1141,1,'Active','2024-09-01 16:00:47'),(46,'I appreciated this choice! Awesome experience.',1,NULL,18,1142,1,'Inactive','2024-09-01 01:16:40'),(47,'Highly recommend this product. Awesome product.',4,NULL,21,1142,1,'Active','2024-09-14 18:46:27'),(48,'I enjoyed this buy! Fantastic experience.',3,NULL,25,1142,1,'Active','2024-09-12 17:00:25'),(49,'Excellent choice. I loved it!',4,NULL,9,1142,1,'Active','2024-09-10 02:29:25'),(50,'Highly recommend this buy. Fantastic product.',5,NULL,2,1143,1,'Active','2024-09-04 01:21:55'),(51,'The Amazing item is admired!',3,NULL,24,1143,1,'Active','2024-09-04 03:02:35'),(52,'I appreciated this buy! Great experience.',5,NULL,3,1143,1,'Active','2024-09-08 19:01:53'),(53,'I loved the product. Excellent value for money.',4,NULL,17,1143,1,'Active','2024-09-01 23:26:04'),(54,'The Fantastic choice is appreciated!',1,NULL,22,1144,1,'Active','2024-08-26 07:52:03'),(55,'I loved the product. Excellent value for money.',5,NULL,24,1144,1,'Active','2024-09-07 08:47:27'),(56,'Highly recommend this choice. Fantastic product.',4,NULL,18,1144,1,'Active','2024-09-08 03:07:42'),(57,'Highly recommend this item. Excellent product.',4,NULL,2,1145,1,'Inactive','2024-08-21 12:53:43'),(58,'Highly recommend this item. Awesome product.',1,NULL,25,1145,1,'Active','2024-09-01 00:14:14'),(59,'I liked this buy! Fantastic experience.',3,NULL,22,1146,1,'Active','2024-09-13 21:35:22'),(60,'I appreciated this buy! Awesome experience.',3,NULL,2,1146,1,'Active','2024-09-13 17:42:35'),(61,'Highly recommend this item. Fantastic product.',2,NULL,21,1146,1,'Inactive','2024-09-05 01:27:49'),(62,'The Great purchase is appreciated!',2,NULL,5,1146,1,'Inactive','2024-09-16 06:38:37'),(63,'Highly recommend this item. Excellent product.',2,NULL,7,1147,1,'Active','2024-08-27 08:44:06'),(64,'I liked the product. Amazing value for money.',5,NULL,15,1147,1,'Active','2024-09-07 07:29:07'),(65,'The Excellent choice is admired!',2,NULL,4,1148,1,'Inactive','2024-09-12 04:09:32'),(66,'I enjoyed the product. Awesome value for money.',4,NULL,6,1148,1,'Active','2024-08-28 14:46:38'),(67,'Highly recommend this item. Fantastic product.',1,NULL,19,1148,1,'Active','2024-09-05 04:17:45'),(68,'Great choice. I enjoyed it!',4,NULL,16,1148,1,'Active','2024-09-05 19:43:50'),(69,'Highly recommend this choice. Excellent product.',3,NULL,21,1148,1,'Active','2024-08-22 08:22:02'),(70,'Highly recommend this choice. Amazing product.',1,NULL,9,1149,1,'Active','2024-08-28 14:28:09'),(71,'The Amazing buy is liked!',1,NULL,17,1149,1,'Active','2024-09-11 08:16:48'),(72,'Great choice. I admired it!',4,NULL,5,1149,1,'Active','2024-09-03 09:13:26'),(73,'The Awesome purchase is loved!',1,NULL,2,1149,1,'Active','2024-09-10 17:47:24'),(74,'The Fantastic purchase is admired!',1,NULL,21,1149,1,'Inactive','2024-08-30 15:55:23'),(75,'Awesome choice. I enjoyed it!',3,NULL,9,1150,1,'Active','2024-09-01 07:04:45'),(76,'Amazing choice. I loved it!',5,NULL,23,1150,1,'Active','2024-09-19 06:13:34'),(77,'The Excellent product is liked!',5,NULL,8,1150,1,'Active','2024-08-20 10:38:29'),(78,'I enjoyed the buy. Excellent value for money.',4,NULL,3,1151,1,'Inactive','2024-09-18 18:08:41'),(79,'I admired the purchase. Amazing value for money.',5,NULL,25,1151,1,'Active','2024-09-08 14:04:31'),(80,'The Amazing product is enjoyed!',1,NULL,7,1151,1,'Active','2024-08-21 03:39:34'),(81,'Highly recommend this choice. Amazing product.',4,NULL,4,1152,1,'Active','2024-09-03 21:36:46'),(82,'I liked this buy! Fantastic experience.',4,NULL,19,1152,1,'Active','2024-09-09 07:37:30'),(83,'I appreciated this buy! Awesome experience.',5,NULL,8,1152,1,'Active','2024-09-16 10:39:34'),(84,'I loved this product! Awesome experience.',1,NULL,21,1152,1,'Active','2024-08-21 18:36:52'),(85,'The Fantastic buy is loved!',3,NULL,3,1153,1,'Active','2024-09-03 11:48:02'),(86,'I enjoyed this purchase! Awesome experience.',5,NULL,18,1153,1,'Active','2024-09-17 05:25:06'),(87,'I loved this buy! Excellent experience.',3,NULL,19,1154,1,'Active','2024-08-30 09:11:46'),(88,'The Great product is enjoyed!',5,NULL,4,1154,1,'Active','2024-09-01 04:06:55'),(89,'The Great product is admired!',2,NULL,24,1154,1,'Active','2024-08-22 20:35:57'),(90,'I liked the item. Amazing value for money.',4,NULL,8,1155,1,'Active','2024-08-26 19:15:55'),(91,'I liked the choice. Fantastic value for money.',4,NULL,24,1155,1,'Active','2024-09-07 20:21:57'),(92,'I appreciated this item! Excellent experience.',2,NULL,17,1156,1,'Active','2024-09-14 16:42:53'),(93,'I enjoyed the purchase. Fantastic value for money.',5,NULL,18,1156,1,'Inactive','2024-09-17 16:46:52'),(94,'The Awesome buy is loved!',3,NULL,16,1156,1,'Inactive','2024-08-20 17:16:02'),(95,'The Awesome product is admired!',4,NULL,3,1156,1,'Inactive','2024-08-25 07:27:48'),(96,'Amazing choice. I admired it!',1,NULL,17,1157,1,'Active','2024-09-17 13:29:23'),(97,'The Great product is enjoyed!',1,NULL,1,1157,1,'Active','2024-09-04 17:08:08'),(98,'Highly recommend this choice. Awesome product.',2,NULL,22,1158,1,'Active','2024-09-07 01:41:02'),(99,'I admired this purchase! Awesome experience.',4,NULL,20,1158,1,'Active','2024-09-03 10:59:28'),(100,'I loved the item. Awesome value for money.',3,NULL,7,1158,1,'Active','2024-09-12 23:04:20'),(101,'I appreciated the item. Amazing value for money.',4,NULL,25,1159,1,'Active','2024-08-27 17:46:20'),(102,'The Excellent buy is enjoyed!',1,NULL,2,1159,1,'Active','2024-08-28 11:48:17'),(103,'Highly recommend this choice. Amazing product.',3,NULL,7,1159,1,'Active','2024-09-10 09:51:28'),(104,'The Awesome buy is enjoyed!',1,NULL,15,1159,1,'Active','2024-08-31 01:41:12'),(105,'The Awesome item is admired!',2,NULL,15,1160,1,'Active','2024-09-08 21:53:19'),(106,'The Fantastic buy is appreciated!',3,NULL,18,1160,1,'Active','2024-09-19 00:39:15'),(107,'I admired this item! Excellent experience.',3,NULL,16,1160,1,'Active','2024-09-09 05:44:00'),(108,'The Fantastic item is appreciated!',5,NULL,19,1161,1,'Active','2024-09-07 10:14:38'),(109,'I enjoyed the choice. Great value for money.',2,NULL,4,1161,1,'Active','2024-09-13 15:34:20'),(110,'Great choice. I loved it!',1,NULL,5,1161,1,'Active','2024-09-10 16:13:30'),(111,'Fantastic choice. I liked it!',4,NULL,19,1162,1,'Active','2024-09-02 20:13:07'),(112,'I liked this item! Fantastic experience.',5,NULL,8,1162,1,'Inactive','2024-09-05 08:24:22'),(113,'The Awesome purchase is appreciated!',4,NULL,17,1162,1,'Inactive','2024-09-01 11:23:43'),(114,'Fantastic choice. I admired it!',1,NULL,16,1162,1,'Active','2024-08-20 22:00:24'),(115,'The Excellent product is enjoyed!',3,NULL,21,1162,1,'Active','2024-09-06 07:07:29'),(116,'Amazing choice. I liked it!',1,NULL,25,1163,1,'Active','2024-09-15 05:41:49'),(117,'I enjoyed this product! Great experience.',5,NULL,5,1163,1,'Active','2024-09-11 23:49:20'),(118,'The Excellent item is enjoyed!',2,NULL,19,1163,1,'Active','2024-09-16 12:00:37'),(119,'I loved this choice! Excellent experience.',3,NULL,3,1163,1,'Active','2024-09-10 19:47:55'),(120,'Awesome choice. I appreciated it!',2,NULL,18,1164,1,'Active','2024-08-21 14:16:43'),(121,'Fantastic choice. I liked it!',3,NULL,15,1164,1,'Inactive','2024-09-11 10:01:19'),(122,'The Amazing choice is appreciated!',3,NULL,16,1164,1,'Inactive','2024-09-13 09:24:36'),(123,'Awesome choice. I liked it!',1,NULL,2,1165,1,'Active','2024-09-08 20:34:59'),(124,'I admired the purchase. Awesome value for money.',4,NULL,15,1165,1,'Inactive','2024-08-30 23:58:00'),(125,'Highly recommend this product. Awesome product.',1,NULL,4,1165,1,'Active','2024-09-05 07:03:18'),(126,'The Amazing choice is admired!',3,NULL,19,1165,1,'Active','2024-08-29 14:58:26'),(127,'Fantastic choice. I appreciated it!',4,NULL,25,1166,1,'Active','2024-09-02 08:05:23'),(128,'Highly recommend this choice. Great product.',5,NULL,21,1166,1,'Inactive','2024-08-24 08:07:26'),(129,'Great choice. I enjoyed it!',4,NULL,22,1166,1,'Active','2024-09-10 11:50:34'),(130,'I appreciated this purchase! Awesome experience.',5,NULL,7,1166,1,'Active','2024-08-31 18:36:59'),(131,'I liked this buy! Awesome experience.',1,NULL,4,1167,1,'Inactive','2024-08-21 00:14:06'),(132,'The Excellent item is appreciated!',1,NULL,17,1167,1,'Active','2024-08-23 18:10:58'),(133,'I liked this choice! Fantastic experience.',1,NULL,20,1167,1,'Inactive','2024-08-23 14:09:38'),(134,'I admired the product. Excellent value for money.',1,NULL,21,1168,1,'Active','2024-09-18 13:58:20'),(135,'I enjoyed this buy! Great experience.',5,NULL,19,1168,1,'Active','2024-09-16 17:30:01'),(136,'The Amazing choice is liked!',1,NULL,18,1168,1,'Inactive','2024-08-25 15:01:35'),(137,'Excellent choice. I appreciated it!',2,NULL,6,1168,1,'Active','2024-09-01 06:58:46'),(138,'I liked the choice. Great value for money.',5,NULL,15,1169,1,'Active','2024-08-22 21:13:31'),(139,'The Amazing buy is liked!',1,NULL,5,1169,1,'Active','2024-09-14 14:24:03'),(140,'Fantastic choice. I appreciated it!',1,NULL,7,1169,1,'Active','2024-09-01 11:16:48'),(141,'Highly recommend this choice. Great product.',5,NULL,16,1169,1,'Active','2024-09-10 14:09:28'),(142,'I loved the choice. Great value for money.',2,NULL,6,1170,1,'Active','2024-09-06 15:24:22'),(143,'Highly recommend this purchase. Fantastic product.',1,NULL,9,1170,1,'Active','2024-08-21 12:06:36'),(144,'I appreciated the item. Amazing value for money.',2,NULL,17,1170,1,'Inactive','2024-08-26 05:15:14'),(145,'Highly recommend this purchase. Amazing product.',4,NULL,17,1171,1,'Active','2024-08-29 17:19:31'),(146,'Highly recommend this product. Awesome product.',3,NULL,25,1171,1,'Active','2024-09-15 18:49:06'),(147,'Excellent choice. I admired it!',2,NULL,21,1171,1,'Active','2024-09-14 19:41:25'),(148,'I loved this item! Amazing experience.',4,NULL,1,1172,1,'Active','2024-09-11 21:43:08'),(149,'I liked the item. Excellent value for money.',2,NULL,2,1172,1,'Active','2024-08-31 20:32:18'),(150,'The Amazing product is loved!',5,NULL,4,1173,1,'Active','2024-09-16 01:52:07'),(151,'I admired the buy. Excellent value for money.',1,NULL,17,1173,1,'Active','2024-08-23 18:21:54'),(152,'The Amazing item is liked!',4,NULL,9,1173,1,'Active','2024-09-16 02:33:19'),(153,'I enjoyed this product! Great experience.',4,NULL,1,1174,1,'Active','2024-09-08 05:25:59'),(154,'The Amazing purchase is liked!',5,NULL,9,1174,1,'Inactive','2024-08-25 12:10:38'),(155,'I admired the choice. Awesome value for money.',1,NULL,25,1174,1,'Active','2024-09-11 18:56:49'),(156,'I loved the buy. Awesome value for money.',5,NULL,21,1175,1,'Active','2024-08-31 10:43:19'),(157,'I loved the buy. Great value for money.',2,NULL,1,1175,1,'Active','2024-09-17 01:06:49'),(158,'Excellent choice. I appreciated it!',5,NULL,15,1175,1,'Active','2024-08-26 05:05:21'),(159,'Highly recommend this purchase. Awesome product.',1,NULL,8,1176,1,'Active','2024-08-31 15:04:24'),(160,'I enjoyed this choice! Amazing experience.',4,NULL,15,1176,1,'Active','2024-09-05 09:42:29'),(161,'The Fantastic product is loved!',1,NULL,19,1177,1,'Active','2024-09-15 16:44:47'),(162,'I enjoyed the item. Fantastic value for money.',2,NULL,22,1177,1,'Active','2024-09-17 04:13:40'),(163,'Great choice. I appreciated it!',2,NULL,8,1177,1,'Active','2024-08-25 05:22:07'),(164,'I liked the purchase. Awesome value for money.',1,NULL,20,1177,1,'Active','2024-09-14 04:43:35'),(165,'The Awesome buy is admired!',1,NULL,17,1177,1,'Active','2024-09-12 04:05:12'),(166,'The Fantastic product is appreciated!',3,NULL,7,1178,1,'Active','2024-09-05 01:06:43'),(167,'I loved the item. Excellent value for money.',4,NULL,16,1178,1,'Active','2024-08-29 05:05:26'),(168,'I liked the purchase. Amazing value for money.',5,NULL,2,1178,1,'Active','2024-09-15 23:31:28'),(169,'Amazing choice. I loved it!',3,NULL,23,1178,1,'Inactive','2024-09-17 02:18:57'),(170,'I enjoyed the product. Amazing value for money.',1,NULL,8,1178,1,'Inactive','2024-09-13 11:03:41'),(171,'Highly recommend this product. Great product.',2,NULL,4,1179,1,'Active','2024-08-30 08:58:25'),(172,'Highly recommend this item. Amazing product.',2,NULL,23,1179,1,'Active','2024-08-24 14:16:02'),(173,'I enjoyed this product! Amazing experience.',1,NULL,15,1180,1,'Inactive','2024-08-27 11:56:07'),(174,'I liked this product! Excellent experience.',4,NULL,1,1180,1,'Active','2024-09-17 03:35:33'),(175,'Highly recommend this choice. Great product.',1,NULL,20,1180,1,'Active','2024-09-05 11:29:19'),(176,'Highly recommend this product. Amazing product.',2,NULL,4,1180,1,'Active','2024-08-26 20:54:46'),(177,'I loved this choice! Excellent experience.',1,NULL,18,1181,1,'Inactive','2024-09-16 07:22:41'),(178,'Great choice. I enjoyed it!',1,NULL,16,1181,1,'Active','2024-09-11 23:59:54'),(179,'Awesome choice. I admired it!',4,NULL,8,1182,1,'Inactive','2024-09-08 03:11:26'),(180,'Highly recommend this choice. Excellent product.',1,NULL,3,1182,1,'Active','2024-08-30 14:13:37'),(181,'I appreciated this purchase! Excellent experience.',3,NULL,7,1182,1,'Inactive','2024-09-07 21:15:44'),(182,'I enjoyed the purchase. Excellent value for money.',5,NULL,18,1182,1,'Active','2024-09-02 07:50:22'),(183,'I enjoyed the choice. Awesome value for money.',2,NULL,20,1183,1,'Active','2024-09-06 00:36:38'),(184,'I loved this choice! Amazing experience.',1,NULL,7,1183,1,'Active','2024-08-23 16:33:02'),(185,'The Great purchase is admired!',1,NULL,19,1183,1,'Active','2024-08-21 15:26:39'),(186,'I enjoyed this choice! Fantastic experience.',3,NULL,23,1183,1,'Active','2024-08-31 03:48:46'),(187,'The Awesome purchase is loved!',1,NULL,25,1184,1,'Inactive','2024-08-23 01:18:44'),(188,'I loved this item! Fantastic experience.',1,NULL,17,1184,1,'Active','2024-08-23 05:27:52'),(189,'I liked this choice! Amazing experience.',4,NULL,6,1184,1,'Inactive','2024-08-21 03:29:42'),(190,'Awesome choice. I liked it!',5,NULL,20,1184,1,'Active','2024-09-08 08:05:58'),(191,'I loved this purchase! Excellent experience.',3,NULL,6,1185,1,'Active','2024-09-01 15:45:48'),(192,'The Awesome item is enjoyed!',5,NULL,5,1185,1,'Active','2024-08-31 14:15:19'),(193,'The Awesome purchase is appreciated!',1,NULL,9,1185,1,'Active','2024-09-14 04:16:57'),(194,'The Great buy is enjoyed!',1,NULL,20,1185,1,'Inactive','2024-09-18 09:56:01'),(195,'The Awesome purchase is liked!',2,NULL,8,1186,1,'Inactive','2024-08-21 03:42:02'),(196,'Great choice. I appreciated it!',3,NULL,2,1186,1,'Active','2024-09-02 19:19:19'),(197,'Highly recommend this choice. Fantastic product.',5,NULL,21,1186,1,'Active','2024-08-29 21:35:55'),(198,'The Fantastic item is loved!',3,NULL,19,1187,1,'Active','2024-09-01 17:31:00'),(199,'Highly recommend this choice. Excellent product.',4,NULL,3,1187,1,'Active','2024-09-11 21:58:35'),(200,'I appreciated the product. Amazing value for money.',4,NULL,5,1187,1,'Active','2024-08-24 08:27:00'),(201,'The Excellent buy is enjoyed!',4,NULL,4,1188,1,'Active','2024-08-22 05:35:30'),(202,'I liked this product! Great experience.',3,NULL,18,1188,1,'Active','2024-08-25 14:43:07'),(203,'I enjoyed the purchase. Fantastic value for money.',4,NULL,22,1188,1,'Active','2024-09-14 08:33:58'),(204,'I appreciated the item. Great value for money.',2,NULL,9,1189,1,'Active','2024-08-27 13:02:19'),(205,'I liked the choice. Awesome value for money.',4,NULL,17,1189,1,'Active','2024-09-11 10:29:34'),(206,'I appreciated the purchase. Great value for money.',4,NULL,24,1189,1,'Inactive','2024-09-06 16:26:50'),(207,'The Great purchase is admired!',3,NULL,17,1190,1,'Active','2024-08-29 13:47:01'),(208,'Highly recommend this purchase. Fantastic product.',1,NULL,19,1190,1,'Active','2024-08-31 19:00:25'),(209,'The Excellent item is liked!',1,NULL,25,1190,1,'Active','2024-09-08 22:46:20'),(210,'The Great choice is appreciated!',4,NULL,9,1191,1,'Active','2024-08-23 07:55:59'),(211,'Amazing choice. I appreciated it!',3,NULL,1,1191,1,'Active','2024-08-25 01:04:54'),(212,'The Awesome choice is loved!',3,NULL,22,1191,1,'Active','2024-09-01 13:43:51'),(213,'Excellent choice. I admired it!',5,NULL,3,1192,1,'Active','2024-08-23 23:04:59'),(214,'I appreciated the choice. Fantastic value for money.',1,NULL,16,1192,1,'Inactive','2024-09-18 18:43:02'),(215,'Excellent choice. I appreciated it!',2,NULL,15,1193,1,'Active','2024-08-23 20:08:59'),(216,'I admired the purchase. Excellent value for money.',1,NULL,7,1193,1,'Active','2024-09-18 19:13:36'),(217,'Highly recommend this choice. Awesome product.',3,NULL,23,1194,1,'Active','2024-09-19 06:19:15'),(218,'Highly recommend this product. Amazing product.',3,NULL,8,1194,1,'Active','2024-08-31 04:36:10'),(219,'Highly recommend this buy. Fantastic product.',3,NULL,5,1194,1,'Active','2024-09-01 18:15:48'),(220,'I admired this item! Excellent experience.',3,NULL,22,1194,1,'Active','2024-08-28 15:01:47'),(221,'Great choice. I loved it!',3,NULL,1,1195,1,'Active','2024-08-29 08:48:47'),(222,'I appreciated this purchase! Awesome experience.',5,NULL,24,1195,1,'Active','2024-08-26 07:46:43'),(223,'I appreciated this buy! Excellent experience.',1,NULL,8,1195,1,'Active','2024-09-14 10:41:42'),(224,'Highly recommend this purchase. Great product.',4,NULL,24,1196,1,'Active','2024-08-23 15:33:17'),(225,'The Great buy is liked!',3,NULL,23,1196,1,'Active','2024-09-08 20:48:27'),(226,'Amazing choice. I loved it!',2,NULL,16,1196,1,'Active','2024-08-29 09:26:05'),(227,'I appreciated this purchase! Fantastic experience.',2,NULL,15,1197,1,'Active','2024-08-24 13:22:47'),(228,'Highly recommend this choice. Fantastic product.',4,NULL,2,1197,1,'Active','2024-08-27 06:57:38'),(229,'I liked the purchase. Fantastic value for money.',2,NULL,5,1197,1,'Active','2024-09-02 04:00:51'),(230,'I liked the item. Fantastic value for money.',5,NULL,3,1198,1,'Active','2024-08-29 07:07:27'),(231,'I admired this item! Fantastic experience.',2,NULL,1,1198,1,'Inactive','2024-08-31 18:52:07'),(232,'I liked the product. Great value for money.',3,NULL,5,1198,1,'Active','2024-09-17 07:44:57'),(233,'I admired this buy! Awesome experience.',3,NULL,17,1199,1,'Inactive','2024-09-08 20:15:11'),(234,'The Great item is liked!',4,NULL,4,1199,1,'Active','2024-08-23 15:55:11'),(235,'I appreciated this buy! Excellent experience.',1,NULL,25,1199,1,'Active','2024-09-16 15:54:41'),(236,'The Amazing item is appreciated!',1,NULL,7,1199,1,'Inactive','2024-09-12 12:19:24'),(237,'I enjoyed this item! Amazing experience.',3,NULL,1,1199,1,'Active','2024-09-05 05:56:19'),(238,'I enjoyed this purchase! Great experience.',2,NULL,22,1200,1,'Active','2024-08-29 20:23:08'),(239,'Excellent choice. I appreciated it!',4,NULL,1,1200,1,'Active','2024-09-16 04:53:03'),(240,'I admired the purchase. Excellent value for money.',4,NULL,7,1201,1,'Active','2024-08-20 19:44:02'),(241,'I appreciated the product. Fantastic value for money.',5,NULL,4,1201,1,'Active','2024-09-03 05:57:14'),(242,'The Excellent item is enjoyed!',5,NULL,5,1201,1,'Inactive','2024-09-17 18:12:15'),(243,'I liked the purchase. Awesome value for money.',3,NULL,25,1202,1,'Active','2024-09-12 14:09:32'),(244,'I loved this choice! Excellent experience.',5,NULL,16,1202,1,'Active','2024-09-13 15:32:46'),(245,'Highly recommend this buy. Awesome product.',2,NULL,1,1203,1,'Inactive','2024-09-03 00:20:56'),(246,'Amazing choice. I liked it!',4,NULL,20,1203,1,'Active','2024-09-07 18:07:01'),(247,'Highly recommend this choice. Great product.',3,NULL,9,1203,1,'Inactive','2024-08-28 03:14:53'),(248,'Great choice. I liked it!',2,NULL,6,1204,1,'Active','2024-09-02 22:48:57'),(249,'I admired the item. Amazing value for money.',1,NULL,22,1204,1,'Active','2024-08-28 17:34:55'),(250,'Highly recommend this purchase. Excellent product.',4,NULL,4,1204,1,'Active','2024-09-13 13:27:56'),(251,'I admired this product! Great experience.',2,NULL,18,1204,1,'Inactive','2024-09-15 03:03:14'),(252,'Highly recommend this buy. Awesome product.',5,NULL,18,1205,1,'Active','2024-09-11 01:46:30'),(253,'I enjoyed the buy. Great value for money.',4,NULL,9,1205,1,'Active','2024-08-30 13:11:25'),(254,'Awesome choice. I appreciated it!',3,NULL,16,1205,1,'Inactive','2024-08-25 12:51:25');
/*!40000 ALTER TABLE `reviews` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `reviews_AINS` AFTER INSERT ON `reviews` FOR EACH ROW UPDATE products SET review_count = (select count(product_id) from reviews WHERE product_id = products.id AND is_public = "1" AND status = "Active"), review_average = (select avg(rating) from reviews WHERE product_id = products.id AND is_public = "1" AND status = "Active") WHERE products.id = NEW.product_id */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `reviews_AUPD` AFTER UPDATE ON `reviews` FOR EACH ROW UPDATE products SET review_count = (select count(product_id) from reviews WHERE product_id = products.id AND is_public = "1" AND status = "Active"), review_average = (select avg(rating) from reviews WHERE product_id = products.id AND is_public = "1" AND status = "Active") WHERE products.id = NEW.product_id */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `reviews_ADEL` AFTER DELETE ON `reviews` FOR EACH ROW UPDATE products SET review_count = (select count(product_id) from reviews WHERE product_id = products.id AND is_public = "1" AND status = "Active"), review_average = (select avg(rating) from reviews WHERE product_id = products.id AND is_public = "1" AND status = "Active") WHERE products.id = OLD.product_id */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `role_users`
--

DROP TABLE IF EXISTS `role_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `role_users` (
  `role_id` int NOT NULL,
  `user_id` bigint NOT NULL,
  KEY `role_users_role_id_foreign_idx` (`role_id`),
  KEY `role_users_user_id_foreign_idx` (`user_id`),
  CONSTRAINT `role_users_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `role_users_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role_users`
--

LOCK TABLES `role_users` WRITE;
/*!40000 ALTER TABLE `role_users` DISABLE KEYS */;
INSERT INTO `role_users` VALUES (1,1),(2,3),(3,2),(3,4),(3,6),(3,5),(3,8),(3,7),(3,9),(2,15),(2,16),(2,17),(2,18),(2,19),(3,20),(2,21),(2,22),(2,23),(2,24),(2,25);
/*!40000 ALTER TABLE `role_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `roles`
--

DROP TABLE IF EXISTS `roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `roles` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(70) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'global' COMMENT 'global, vendor',
  `description` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `vendor_id` bigint DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `slug_UNIQUE` (`slug`),
  KEY `roles_name_index` (`name`),
  KEY `roles_type_index` (`type`),
  KEY `roles_vendor_id_foreign_idx` (`vendor_id`),
  CONSTRAINT `roles_vendor_id_foreign` FOREIGN KEY (`vendor_id`) REFERENCES `vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `roles`
--

LOCK TABLES `roles` WRITE;
/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` VALUES (1,'Admin','super-admin','global','Super admin description',NULL,'2024-09-19 06:34:28','2021-10-10 08:41:07'),(2,'Vendor Admin','vendor-admin','vendor','Vendor admin description',NULL,'2024-09-19 06:34:28','2021-10-11 08:41:07'),(3,'Customer','customer','global','Customer description',NULL,'2024-09-19 06:34:28','2021-10-11 09:41:07'),(4,'Guest','guest','global','Guest description',NULL,'2024-09-19 06:34:28','2021-10-11 09:42:07');
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `searches`
--

DROP TABLE IF EXISTS `searches`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `searches` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `total` bigint NOT NULL DEFAULT '1',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `searches_total_index` (`total`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `searches`
--

LOCK TABLES `searches` WRITE;
/*!40000 ALTER TABLE `searches` DISABLE KEYS */;
/*!40000 ALTER TABLE `searches` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `seos`
--

DROP TABLE IF EXISTS `seos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `seos` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned DEFAULT NULL,
  `blog_id` bigint unsigned DEFAULT NULL,
  `title` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `slug` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `seos_product_id_foreign_idx` (`product_id`),
  KEY `seos_blog_id_foreign_idx` (`blog_id`),
  CONSTRAINT `seos_blog_id_foreign` FOREIGN KEY (`blog_id`) REFERENCES `blogs` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `seos_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `seos`
--

LOCK TABLES `seos` WRITE;
/*!40000 ALTER TABLE `seos` DISABLE KEYS */;
/*!40000 ALTER TABLE `seos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shipping_classes`
--

DROP TABLE IF EXISTS `shipping_classes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `shipping_classes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `product_count` int NOT NULL DEFAULT '0',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `shipping_classes_name_index` (`name`),
  KEY `shipping_classes_slug_index` (`slug`),
  KEY `shipping_classes_product_count_index` (`product_count`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shipping_classes`
--

LOCK TABLES `shipping_classes` WRITE;
/*!40000 ALTER TABLE `shipping_classes` DISABLE KEYS */;
INSERT INTO `shipping_classes` VALUES (1,'No shipping class cost','no-class',NULL,0,'2024-09-19 06:34:35',NULL),(2,'Heavy weight','heavy','This class should be apply on heavy weight product',0,'2024-09-19 06:34:35',NULL),(3,'Light weight','light','This class should be apply on light weight product',0,'2024-09-19 06:34:35',NULL);
/*!40000 ALTER TABLE `shipping_classes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shipping_methods`
--

DROP TABLE IF EXISTS `shipping_methods`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `shipping_methods` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `status` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Inactive',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `shipping_methods_name_unique` (`name`),
  KEY `shipping_methods_status_index` (`status`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shipping_methods`
--

LOCK TABLES `shipping_methods` WRITE;
/*!40000 ALTER TABLE `shipping_methods` DISABLE KEYS */;
INSERT INTO `shipping_methods` VALUES (1,'Free shipping',NULL,'Active','2024-09-19 06:34:35',NULL),(2,'Local Pickup',NULL,'Active','2024-09-19 06:34:35',NULL),(3,'Fixed',NULL,'Active','2024-09-19 06:34:35',NULL);
/*!40000 ALTER TABLE `shipping_methods` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shipping_providers`
--

DROP TABLE IF EXISTS `shipping_providers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `shipping_providers` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `country_id` bigint unsigned NOT NULL,
  `tracking_base_url` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tracking_url_method` varchar(5) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Get',
  `status` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `shipping_providers_country_id_foreign` (`country_id`),
  KEY `shipping_providers_name_index` (`name`),
  KEY `shipping_providers_slug_index` (`slug`),
  KEY `shipping_providers_status_index` (`status`),
  CONSTRAINT `shipping_providers_country_id_foreign` FOREIGN KEY (`country_id`) REFERENCES `geolocale_countries` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=856 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shipping_providers`
--

LOCK TABLES `shipping_providers` WRITE;
/*!40000 ALTER TABLE `shipping_providers` DISABLE KEYS */;
INSERT INTO `shipping_providers` VALUES (1,'Australia Post','australia-post',15,'https://auspost.com.au/mypost/track/details/%number%','Get','Active',NULL,NULL),(2,'CouriersPlease','couriersplease',15,'https://www.couriersplease.com.au/tools-track?no=%number%','Get','Active',NULL,NULL),(3,'Dai Post','dai-post',15,'https://daiglobaltrack.com/tracking.aspx?custtracknbr=%number%','Get','Active',NULL,NULL),(4,'StarTrack','startrack',15,'https://startrack.com.au/track/details/%number%','Get','Active',NULL,NULL),(6,'DPD Austria','dpd-at',16,'http://www.mydpd.at/?f=parcel.load&amp;p=%number%','Get','Active',NULL,NULL),(7,'post.at','post-at',16,'http://www.post.at/sendungsverfolgung.php?pnum1=%number%','Get','Active',NULL,NULL),(10,'Canada Post','canada-post',2,'https://www.canadapost.ca/track-reperage/en#/search?searchFor=%number%','Get','Active',NULL,NULL),(11,'Canpar','canpar',2,'https://www.canpar.ca/en/tracking/track.htm?barcode=%number%','Get','Active',NULL,NULL),(12,'Correos Chile','correos-chile',44,'https://www.correos.cl/web/guest/seguimiento-en-linea?codigos=%number%','Get','Active',NULL,NULL),(13,'China Post','china-post',45,'https://www.ems.com.cn/english','Get','Active',NULL,NULL),(14,'EMS','ems',45,'https://www.ems.post/en/global-network/tracking','Get','Active',NULL,NULL),(17,'Correos Costa Rica','correos-costa-rica',52,'https://correos.go.cr/rastreo/','Get','Active',NULL,NULL),(19,'DPD Czech Republic','dpd-cz',56,'https://tracking.dpd.de/parcelstatus?locale=cs_CZ&query=%number%','Get','Active',NULL,NULL),(20,'Chronopost','chronopost',74,'https://www.chronopost.fr/fr/chrono_suivi_search?listeNumerosLT=%number%','Get','Active',NULL,NULL),(21,'Colis Privé','colis-prive',74,'https://www.colisprive.com/moncolis/pages/detailColis.aspx?numColis=%number%','Get','Active',NULL,NULL),(22,'Colissimo','colissimo',74,'https://www.laposte.fr/outils/suivre-vos-envois?code=%number%','Get','Active',NULL,NULL),(23,'La Poste','la-poste',74,'https://www.laposte.fr/outils/suivre-vos-envois?code=%number%','Get','Active',NULL,NULL),(24,'Mondial Relay','mondial-relay',74,'https://www.mondialrelay.fr/suivi-de-colis?numeroExpedition=%number%&CodePostal=%postal_code%','Get','Active',NULL,NULL),(25,'Deutsche Post','deutsche-post',82,'https://www.deutschepost.de/en/s/shipment-tracking.html?piececode=%number%','Get','Active',NULL,NULL),(28,'DPD Germany','dpd-de',82,'https://tracking.dpd.de/parcelstatus?query=%number%&amp;amp;locale=en_DE','Get','Active',NULL,NULL),(29,'Hermes Germany','hermes-de',82,'https://www.myhermes.de/empfangen/sendungsverfolgung/?suche=%number%','Get','Active',NULL,NULL),(30,'UPS Germany','ups-germany',82,'https://wwwapps.ups.com/WebTracking/processInputRequest?sort_by=status&tracknums_displayed=1&TypeOfInquiryNumber=T&loc=de_DE&InquiryNumber1=%number%','Get','Active',NULL,NULL),(31,'Hong Kong Post','hong-kong-post',97,'https://www.hongkongpost.hk/en/mail_tracking/index.html','Get','Active',NULL,NULL),(33,'Delhivery','delhivery',100,'https://www.delhivery.com/track/package/%number%','Get','Active',NULL,NULL),(34,'Ukraine EMS','ukraine-ems',224,'http://dpsz.ua/en/track/ems','Get','Active',NULL,NULL),(35,'Swiss Post','swiss-post',208,'https://www.post.ch/swisspost-tracking?formattedParcelCodes=%number%','Get','Active',NULL,NULL),(36,'Ecom Express','ecom-express',100,'https://ecomexpress.in/tracking/?awb_field=%number%','Get','Active',NULL,NULL),(37,'India Post','india-post',100,'https://www.indiapost.gov.in/_layouts/15/dop.portal.tracking/trackconsignment.aspx','Get','Active',NULL,NULL),(38,'Israel Post','israel-post',105,'https://mypost.israelpost.co.il/itemtrace?itemcode=%number%','Get','Active',NULL,NULL),(39,'DHL se','dhl-se',207,'https://www.dhl.com/se-sv/home/tracking/tracking-freight.html?tracking-id=%number%','Get','Active',NULL,NULL),(40,'JP Post','jp-post',109,'https://trackings.post.japanpost.jp/services/srv/search/direct?reqCodeNo1=%number%&searchKind=S002&locale=ja','Get','Active',NULL,NULL),(41,'Latvia Post','latvijas-pasts',119,'https://track.pasts.lv/consignment/tracking?type=pasts&ampid=&lttrackid=&gt=&id=%number%&type=pasts&button=Track','Get','Active',NULL,NULL),(42,'South African Post Office','south-african-post-office',197,'http://www.southafricanpostoffice.post/index.html','Get','Active',NULL,NULL),(43,'DPD Netherlands','dpd-nl',152,'https://tracking.dpd.de/status/nl_NL/parcel/%number%','Get','Active',NULL,NULL),(44,'PostNL','postnl',152,'https://tracking.postnl.nl/track-and-trace/%number%-%country_code%-%postal_code%','Get','Active',NULL,NULL),(45,'DPD Romania','dpd-romania',178,'https://tracking.dpd.ro/?shipmentNumber=%number%&language=ro','Get','Active',NULL,NULL),(47,'Ninja Van','ninja-van',192,'https://www.ninjavan.co/en-sg/?tracking_id=%number%','Get','Active',NULL,NULL),(48,'Singapore Post','singapore-post',192,'https://www.singpost.com/track-items?trackingid=%number%','Get','Active',NULL,NULL),(49,'Portugal Post - CTT','portugal-post-ctt',173,'https://www.ctt.pt/feapl_2/app/open/objectSearch/objectSearch.jspx?objects=%number%','Get','Active',NULL,NULL),(50,'PostNord Sverige AB','postnord-sverige-ab',207,'https://www.postnord.se/vara-verktyg/spara-brev-paket-och-pall?shipmentId=%number%','Get','Active',NULL,NULL),(51,'UPS.se','ups-se',207,'https://wwwapps.ups.com/WebTracking/track?track=yes&loc=sv_SE&trackNums=%number%','Get','Active',NULL,NULL),(52,'Aramex NZ','aramex-nz',155,'https://www.fastway.co.nz/tools/track?l=%number%','Get','Active',NULL,NULL),(53,'Ukrposhta','ukrposhta',224,'https://track.ukrposhta.ua/tracking_EN.html?barcode=%number%','Get','Active',NULL,NULL),(55,'DHLParcel NL','dhlparcel-nl',152,'https://www.dhlparcel.nl/en/follow-your-shipment?tc=%number%&pc=%postal_code%','Get','Active',NULL,NULL),(62,'Monaco EMS','monaco-ems',143,'http://www.lapostemonaco.mc','Get','Active',NULL,NULL),(70,'Direct Link','direct-link',82,'https://tracking.directlink.com/?itemNumber=%number%','Get','Active',NULL,NULL),(75,'TNT Italy','tnt-italy',106,'https://www.tnt.it/tracking/getTrack.html?wt=1&consigNos=%number%','Get','Active',NULL,NULL),(76,'TNT Click','tnt-click',106,'https://www.tnt-click.it/','Get','Active',NULL,NULL),(77,'DPD Ireland','dpd-ie',104,'https://dpd.ie/tracking?deviceType=5&consignmentNumber=%number%','Get','Active',NULL,NULL),(78,'An Post','an-post',104,'https://www.anpost.com/Post-Parcels/Track/History?item=%number%','Get','Active',NULL,NULL),(79,'DTDC','dtdc',100,'https://tracking.dtdc.com/ctbs-tracking/customerInterface.tr?submitName=showCITrackingDetails&cType=Consignment&cnNo=%number%','Get','Active',NULL,NULL),(80,'DTDC Plus','dtdc-plus',100,'https://tracking.dtdc.com/ctbs-tracking/customerInterface.tr?submitName=showCITrackingDetails&cnNo=%number%&cType=Consignment','Get','Active',NULL,NULL),(81,'Deutsche Post DHL','deutsche-post-dhl',82,'https://www.deutschepost.de/sendung/simpleQueryResult.html?form.sendungsnummer=%number%','Get','Active',NULL,NULL),(82,'DHL Germany','dhl-de',82,'https://www.dhl.de/de/privatkunden/pakete-empfangen/verfolgen.html?piececode=%number%','Get','Active',NULL,NULL),(83,'Overseas Territory FR EMS','overseas-territory-fr-ems',74,'https://www.chronopost.fr/tracking-no-cms/suivi-page?listeNumerosLT=%number%','Get','Active',NULL,NULL),(84,'TNT France','tnt-france',74,'https://www.tnt.fr/public/suivi_colis/recherche/visubontransport.do','Get','Active',NULL,NULL),(85,'Estonia Post','estonia-post',68,'https://www.omniva.ee/private/track_and_trace','Get','Active',NULL,NULL),(86,'Denmark Post','denmark-post',58,'https://www.postnord.dk/en/track-and-trace#dynamicloading=true&shipmentid=%number%','Get','Active',NULL,NULL),(87,'DHL cz','dhl-cz',56,'https://www.dhl.com/cz-cs/home/tracking.html?tracking-id=%number%&submit=1','Get','Active',NULL,NULL),(88,'Cyprus Post','cyprus-post',55,'https://ips.cypruspost.gov.cy/ipswebtrack/IPSWeb_item_events.aspx?itemid=%number%','Get','Active',NULL,NULL),(90,'Ivory Coast EMS','ivory-coast-ems',107,'https://laposte.ci.post/tracking-colis?identifiant=%number%','Get','Active',NULL,NULL),(91,'Costa Rica Post','costa-rica-post',52,'https://correos.go.cr/rastreo/','Get','Active',NULL,NULL),(92,'Colombia Post','colombia-post',48,'http://www.4-72.com.co/','Get','Active',NULL,NULL),(93,'ePacket','epacket',45,'https://www.ems.com.cn','Get','Active',NULL,NULL),(94,'SF Express','sf-express',45,'http://www.sf-express.com/cn/en/dynamic_function/waybill/#search/bill-number/%number%','Get','Active',NULL,NULL),(95,'Brazil Correios','brazil-correios',32,'https://www2.correios.com.br/sistemas/rastreamento/default.cfm','Get','Active',NULL,NULL),(96,'Bpost','belgium-post',23,'https://track.bpost.cloud/btr/web/#/search?lang=en&itemCode=%number%&postalCode=%postal_code%','Get','Active',NULL,NULL),(97,'Bangladesh EMS','bangladesh-ems',20,'http://www.bangladeshpost.gov.bd/tracking.html','Get','Active',NULL,NULL),(98,'DHL at','dhl-at',16,'https://www.dhl.com/at-en/home/tracking/tracking-parcel.html?submit=1&tracking-id=%number%','Get','Active',NULL,NULL),(99,'Australia EMS','australia-ems',15,'https://auspost.com.au/mypost/track/details/%number%','Get','Active',NULL,NULL),(100,'TNT Australia','tnt-australia',15,'https://www.tntexpress.com.au/interaction/Trackntrace.aspx','Get','Active',NULL,NULL),(102,'Sendle','sendle',15,'https://track.sendle.com/tracking?ref=%number%','Get','Active',NULL,NULL),(104,'Deppon','deppon',45,'https://www.deppon.com/en/toTrack.action','Get','Active',NULL,NULL),(105,'GLS Italy','gls-italy',106,'https://gls-group.com/IT/it/servizi-online/ricerca-spedizioni.html?match=%number%&type=NAT','Get','Active',NULL,NULL),(107,'Poslaju National','malaysia-post',131,'https://tracking.pos.com.my/tracking/%number%','Get','Active',NULL,NULL),(108,'Yun Express','yunexpress',45,'https://www.yuntrack.com/parcelTracking?id=%number%','Get','Active',NULL,NULL),(111,'Xpressbees','xpressbees',100,'https://www.xpressbees.com/shipment/tracking?awbNo=%number%','Get','Active',NULL,NULL),(113,'Yanwen','yanwen',45,'https://track.yw56.com.cn/en/querydel?nums=%number%','Get','Active',NULL,NULL),(115,'Vietnam Post','vietnam-post',233,'https://vnpost.vn/ca-nhan/chuyen-phat/chuyen-phat-trong-nuoc?code=%number%','Get','Active',NULL,NULL),(116,'Correos España','correos-spain',199,'https://www.correos.es/ss/Satellite/site/aplicacion-4000003383089-herramientas_y_apps/detalle_app-sidioma=es_ES?numero=%number%','Get','Active',NULL,NULL),(117,'DHL Spain','dhl-es',199,'https://www.dhl.com/es-es/home/tracking/tracking-express.html?submit=1&tracking-id=%number%','Get','Active',NULL,NULL),(118,'Redur Spain','redur-es',199,'https://redur.es/track-trace/','Get','Active',NULL,NULL),(123,'Bluedart','bluedart',100,'https://www.bluedart.com/web/guest/trackdartresultthirdparty?trackFor=0&trackNo=%number%','Get','Active',NULL,NULL),(124,'ELTA Courier','elta-courier',85,'https://www.elta-courier.gr/search?br=%number%','Get','Active',NULL,NULL),(127,'Purolator','purolator',2,'https://www.purolator.com/en/app-tracker.page?pins=%number%','Get','Active',NULL,NULL),(128,'Turkey Post','turkey-post',219,'https://track.ptt.gov.tr/Track/Verify?q=%number%','Get','Active',NULL,NULL),(129,'ACS Courier','acs-courier',85,'https://www.acscourier.net/el/web/greece/track-and-trace?action=getTracking&generalCode=%number%','Get','Active',NULL,NULL),(130,'The Professional Couriers','the-professional-couriers',100,'https://www.tpcindia.com/Default.aspx','Get','Active',NULL,NULL),(131,'SDA','sda',106,'https://www.sda.it/wps/portal/Servizi_online/dettaglio-spedizione?locale=it&tracing.letteraVettura=%number%','Get','Active',NULL,NULL),(133,'CourierPost','courierpost',155,'http://trackandtrace.courierpost.co.nz/search/%number%?tracks','Get','Active',NULL,NULL),(134,'New Zealand Post','new-zealand-post',155,'https://www.nzpost.co.nz/tools/tracking/item/%number%','Get','Active',NULL,NULL),(135,'Naqel','naqel',187,'https://www.naqelexpress.com/','Get','Active',NULL,NULL),(136,'SMSA Express','smsa-express',225,'https://www.smsaexpress.com/sa/trackingdetails?tracknumbers0=%number%','Get','Active',NULL,NULL),(137,'Poste Maroc','poste-maroc',146,'http://www.poste.ma/wps/portal/GPM/Accueil','Get','Active',NULL,NULL),(138,'Posten Norge','posten-norge',162,'https://sporing.posten.no/sporing/%number%','Get','Active',NULL,NULL),(139,'Emirates Post','emirates-post',225,'https://www.emiratespost.ae/all-services/track-a-package/step-two?q=%number%','Get','Active',NULL,NULL),(140,'7-ELEVEN','qi-eleven',210,'https://eservice.7-11.com.tw/E-Tracking/search.aspx/%number%','Get','Active',NULL,NULL),(141,'Ceska Posta','ceska-posta',56,'https://www.postaonline.cz/trackandtrace/-/zasilka/cislo?parcelNumbers=%number%','Get','Active',NULL,NULL),(143,'DHL Paket','dhl-paket',82,'https://www.dhl.de/de/privatkunden/pakete-empfangen/verfolgen.html?idc=%number%','Get','Active',NULL,NULL),(145,'TOLL','toll',15,'https://www.myteamge.com/web/guest/search-shipment','Get','Active',NULL,NULL),(146,'Loomis Express','loomis-express',2,'https://www.loomisexpress.com/loomship/Track/TrackStatus?wbs=%number%','Get','Active',NULL,NULL),(147,'Ethiopia Post','ethiopia-post',69,'http://globaltracktrace.ptc.post/gtt.web/','Get','Active',NULL,NULL),(149,'GLS Spain','gls-spain',199,'https://m.gls-spain.es/e/%number%/%postal_code%','Get','Active',NULL,NULL),(150,'Sagawa','sagawa',109,'https://k2k.sagawa-exp.co.jp/p/web/okurijosearch.do?okurijoNo=%number%','Get','Active',NULL,NULL),(151,'Citi Sprint','citi-sprint',197,'https://www.citisprint.co.za/track-your-parcel','Get','Active',NULL,NULL),(154,'Lithuania Post','lietuvos-pasta',125,'https://www.post.lt/siuntu-sekimas','Get','Active',NULL,NULL),(155,'CJPacket','cj-packet',45,'https://cjpacket.com/?trackingNumber=%number%','Get','Active',NULL,NULL),(156,'Trackon','trackon',100,'https://trackon.in/','Get','Active',NULL,NULL),(157,'Serbia Post','serbia-post',189,'https://www.posta.rs/cir/alati/pracenje-posiljke.aspx?broj=%number%','Get','Active',NULL,NULL),(158,'Magyar Posta','magyar-posta',98,'https://www.posta.hu/nyomkovetes/nyitooldal?searchvalue=%number%','Get','Active',NULL,NULL),(159,'Ekart','ekart',100,'https://www.ekartlogistics.com/shipmenttrack/%number%/','Get','Active',NULL,NULL),(160,'Poste Italiane','poste-italiane',106,'https://www.poste.it/cerca/index.html#/risultati-spedizioni/%number%','Get','Active',NULL,NULL),(161,'Thailand Post','thailand-post',213,'https://track.thailandpost.co.th/?trackNumber=%number%','Get','Active',NULL,NULL),(164,'Saudi Post','saudi-post',187,'https://sp.com.sa/ar/tracktrace/?tid=%number%','Get','Active',NULL,NULL),(165,'BRT','brt',106,'https://services.brt.it/it/tracking?OP=N&CD=%number%','Get','Active',NULL,NULL),(167,'Lion Parcel','lion-parcel',101,'http://lionparcel.com/track/stt?q=%number%','Get','Active',NULL,NULL),(168,'Shadowfax','shadowfax',100,'https://track.shadowfax.in/track?order=new&trackingId=%number%','Get','Active',NULL,NULL),(170,'JCEX','jcex',45,'https://www.jcex.com/EN/Track_DetailNumber_J_%number%.html','Get','Active',NULL,NULL),(171,'Toll IPEC','toll-ipec',15,'https://www.myteamge.com/web/guest/search-shipment','Get','Active',NULL,NULL),(172,'Ontime','ontime',199,'http://www.ontime.es/','Get','Active',NULL,NULL),(174,'Redpack','redpack',140,'https://www.redpack.com.mx/es/rastreo/?guias=%number%','Get','Active',NULL,NULL),(175,'DPD France','dpd-fr',74,'https://www.dpd.fr/trace/%number%','Get','Active',NULL,NULL),(176,'GLS Denmark','gls-denmark',58,'https://gls-group.eu/DK/da/find-pakke.html?match=%number%','Get','Active',NULL,NULL),(177,'HFD','hfd',105,'https://www.hfd.co.il/','Get','Active',NULL,NULL),(178,'JNE Express','jne',101,'https://www.jne.co.id/id/tracking/trace','Get','Active',NULL,NULL),(179,'TIKI','tiki',101,'https://www.tiki.id/id/tracking','Get','Active',NULL,NULL),(180,'J&T ID','j-t',101,'http://www.jet.co.id/track','Get','Active',NULL,NULL),(181,'Ninja Express','ninja-express',101,'https://www.ninjaxpress.co/id-id/tracking?id=%number%','Get','Active',NULL,NULL),(182,'Wahana','rides',101,'https://www.wahana.com/lacak-kiriman?noresi=%number%','Get','Active',NULL,NULL),(183,'Pos Indonesia','pos-indonesia',101,'https://www.posindonesia.co.id/id/tracking/%number%','Get','Active',NULL,NULL),(184,'Sicepat','sicepat',101,'http://sicepat.com/checkAwb','Get','Active',NULL,NULL),(185,'JET Express','jet-express',101,'http://www.jetexpress.co.id/','Get','Active',NULL,NULL),(186,'Shree Maruti Courier','shree-maruti-courier',100,'https://shreemaruti.com/track-shipment','Get','Active',NULL,NULL),(187,'Gig Logistics','gig-logistics',158,'https://portal.gigagilitysystems.com/public/track','Get','Active',NULL,NULL),(188,'MRW','mrw',199,'https://mrw.es/seguimiento_envios/MRW_resultados_consultas.asp?modo=nacional&envio=%number%&','Get','Active',NULL,NULL),(189,'Yamato','yamato',109,'http://jizen.kuronekoyamato.co.jp/jizen/servlet/crjz.b.NQ0010?id=%number%','Get','Active',NULL,NULL),(190,'Luxembourg Post','luxembourg-post',126,'http://www.trackandtrace.lu/homepage.htm','Get','Active',NULL,NULL),(191,'Shree Tirupati Courier','shree-tirupati-courier',100,'http://www.shreetirupaticourier.net/Frm_DocTrack.aspx?docno=%number%','Get','Active',NULL,NULL),(193,'Skynet','skynet',131,'http://www.skynet.com.my/track#TrackingResult','Get','Active',NULL,NULL),(194,'CNE Express','cne-express',45,'https://www.cne.com/track/?no=%number%','Get','Active',NULL,NULL),(195,'Chit Chats','chit-chats',2,'https://chitchats.com/tracking/%number%','Get','Active',NULL,NULL),(196,'Tipsa','tip-sa',199,'https://www.tip-sa.com/','Get','Active',NULL,NULL),(197,'DPD Portugal','dpd-pt',173,'https://dpd.pt/track-and-trace?reference=%number%','Get','Active',NULL,NULL),(198,'Dicom','dicom',2,'https://www.dicom.com/en/express/tracking','Get','Active',NULL,NULL),(199,'Correos Express','correos-express',199,'https://s.correosexpress.com/SeguimientoSinCP/search?shippingNumber=%number%','Get','Active',NULL,NULL),(200,'Dotzot','dotzot',100,'https://dotzot.in/index.php','Get','Active',NULL,NULL),(201,'Gati','gati',100,'https://www.gati.com/track-by-docket','Get','Active',NULL,NULL),(202,'NZ Couriers','nz-couriers',155,'https://tools.nzcouriers.co.nz/nzc/servlet/ITNG_TAndTServlet?page=1&VCCA=Enabled&Key_Type=Ticket&product_code=%number2%&serial_number=%number%','Get','Active',NULL,NULL),(203,'Border Express','border-express',15,'https://bexonline.borderexpress.com.au/bxo/track?consignmentNumber=%number%','Get','Active',NULL,NULL),(204,'Finland Post','finland-post',73,'https://www.posti.fi/fi/seuranta#/lahetys/%number%','Get','Active',NULL,NULL),(205,'TNT Sweden','tnt-sweden',207,'https://www.tnt.com/express/sv_se/site/shipping-tools/tracking.html?searchType=con&cons=%number%','Get','Active',NULL,NULL),(206,'Mrw Portugal','mrw-portugal',173,'https://www.mrw.pt/seguimiento_envios/MRW_paqueteria_nacional_multiple.asp','Get','Active',NULL,NULL),(207,'Nacex','nacex',199,'https://www.nacex.es/seguimientoFormularioExterno.do?intcli=%number%','Get','Active',NULL,NULL),(208,'Post Haste','post-haste',155,'https://www.posthaste.co.nz/phl/servlet/ITNG_TAndTServlet?page=1&Key_Type=Ticket&VCCA=Enabled&product_code=%number2%&serial_number=%number%','Get','Active',NULL,NULL),(209,'Castle Parcels','castle-parcels',155,'https://www.castleparcels.co.nz/cpl/servlet/ITNG_TAndTServlet?page=1&VCCA=Enabled&Key_Type=Ticket&product_code=%number2%&serial_number=%number%','Get','Active',NULL,NULL),(210,'Now Couriers','now-couriers',155,'https://www.nowcouriers.co.nz/now/servlet/ITNG_TAndTServlet?page=1&VCCA=Enabled&Key_Type=Ticket&product_code=%number2%&serial_number=%number%','Get','Active',NULL,NULL),(211,'Dx Mail','dx-mail',155,'https://www.dxmail.co.nz/nzdx/servlet/ITNG_TAndTServlet?page=1&Key_Type=Ticket&VCCA=Disabled&product_code=%number2%&serial_number=%number%&Submit=Check+Status','Get','Active',NULL,NULL),(214,'GLS France','gls-france',74,'https://gls-group.eu/FR/fr/suivi-colis?match=%number%','Get','Active',NULL,NULL),(217,'UBI Smart Parcel','ubi-smart-parcel',45,'https://en.ubismartparcel.com/','Get','Active',NULL,NULL),(218,'Dawn Wing','dawn-wing',197,'http://www.dawnwing.co.za/business-tools/online-parcel-tracking/','Get','Active',NULL,NULL),(219,'GLS Paket','gls-paket',82,'https://www.gls-pakete.de/sendungsverfolgung?match=%number%','Get','Active',NULL,NULL),(220,'Fastway Ireland','fastway-ireland',104,'https://fastway.ie/courier-services/track-your-parcel/?l=%number%','Get','Active',NULL,NULL),(223,'GLS Slovenia','gls-slovenia',194,'https://gls-group.eu/SI/sl/sledenje-posiljki?match=%number%','Get','Active',NULL,NULL),(224,'DPD Slovenia','dpd-si',194,'https://tracking.dpd.de/status/sl_SI/parcel/%number%','Get','Active',NULL,NULL),(225,'Bulgaria Post','bulgaria-post',35,'https://www.bgpost.bg/IPSWebTracking/IPSWeb_item_events.asp?itemid=%number%','Get','Active',NULL,NULL),(226,'Poczta Polska','poland-post',172,'https://emonitoring.poczta-polska.pl/?numer=%number%','Get','Active',NULL,NULL),(227,'DHL Poland','dhl-pl',172,'https://www.dhl.com/pl-en/home/tracking/tracking-parcel.html?submit=1&tracking-id=%number%','Get','Active',NULL,NULL),(228,'FedEx Poland','fedex-pl',172,'https://www.fedex.com/apps/fedextrack/index.html?tracknumbers=%number%&cntry_code=pl','Get','Active',NULL,NULL),(229,'DPD Poland','dpd-pl',172,'https://tracktrace.dpd.com.pl/parcelDetails?typ=1&p1=%number%','Get','Active',NULL,NULL),(230,'GLS Netherlands','gls-netherlands',152,'https://www.gls-info.nl/tracking/ttlink?parcelNo=%number%&zipCode=%postal_code%','Get','Active',NULL,NULL),(231,'Yurtiçi Kargo','yurtici-kargo',219,'https://www.yurticikargo.com/tr/online-servisler/gonderi-sorgula?code=%number%','Get','Active',NULL,NULL),(232,'Aras Kargo','aras-kargo',219,'https://kargotakip.araskargo.com.tr/mainpage.aspx?code=%number%','Get','Active',NULL,NULL),(233,'MNG Kargo','mng-kargo',219,'https://kargotakip.mngkargo.com.tr/?takipNo=%number%','Get','Active',NULL,NULL),(234,'PTT Kargo','ptt-kargo',219,'https://gonderitakip.ptt.gov.tr/Track/Verify?q=%number%','Get','Active',NULL,NULL),(235,'PTT Posta','ptt-posta',219,'https://track.ptt.gov.tr/Track/Verify?q=%number%','Get','Active',NULL,NULL),(237,'FastWay South Africa','fastway-za',197,'https://www.fastway.co.za/our-services/track-your-parcel?l=%number%','Get','Active',NULL,NULL),(240,'Jadlog','jadlog',32,'https://www.jadlog.com.br/tracking?cte=%number%','Get','Active',NULL,NULL),(241,'Geniki Taxydromiki','taxydromiki',85,'https://www.taxydromiki.com/track/%number%','Get','Active',NULL,NULL),(242,'Ninja Van Malaysia','ninjavan-my',131,'https://www.ninjavan.co/en-my/tracking?id=%number%','Get','Active',NULL,NULL),(245,'LBC Express','lbc-express',170,'https://www.lbcexpress.com','Get','Active',NULL,NULL),(246,'XPOST','xpost',170,'https://www.xpost.ph/track','Get','Active',NULL,NULL),(247,'Ninja Van Philippines','ninjavan-ph',170,'https://www.ninjavan.co/en-ph/tracking?id=%number%','Get','Active',NULL,NULL),(248,'T Cat','t-cat',210,'https://www.t-cat.com.tw/Inquire/TraceDetail.aspx?BillID=%number%&ReturnUrl=Trace.aspx','Get','Active',NULL,NULL),(250,'Singapore Speedpost','singapore-speedpost',192,'https://www.speedpost.com.sg/track-and-trace#t%number%','Get','Active',NULL,NULL),(251,'Servientrega','servientrega',48,'https://www.servientrega.com/wps/portal/rastreo-envio/detalle?id=%number%','Get','Active',NULL,NULL),(252,'RPX Indonesia','rpx',101,'https://rpx.co.id/tracking?tracking_number[]=%number%','Get','Active',NULL,NULL),(253,'Direct Freight','direct-freight',15,'https://www.directfreight.com.au/','Get','Active',NULL,NULL),(255,'Franch Express','franch-express',100,'http://erpfranchexpress.com/awb_tracking2.php?keyword=%number%','Get','Active',NULL,NULL),(256,'ST couriers','st-couriers',100,'https://www.erpstcourier.com/awb_tracking2.php?keyword=%number%','Get','Active',NULL,NULL),(257,'Atlantic Courier','atlantic-courier',100,'https://atlanticcourier.net/track.php?awbno=%number%&search=A','Get','Active',NULL,NULL),(258,'Tapuz delivery','tapuz-delivery',105,'https://crm.tapuzdelivery.co.il/Baldar/deliverystatus.aspx','Get','Active',NULL,NULL),(259,'Chita delivery','chita-delivery',105,'https://chita-il.com/run_public1/','Get','Active',NULL,NULL),(260,'mylerz','mylerz',64,'https://mylerz.net/trackShipment','Get','Active',NULL,NULL),(262,'Janio','janio',192,'https://tracker.janio.asia/%number%','Get','Active',NULL,NULL),(263,'TCS express','tcs-express',164,'https://www.tcsexpress.com/Tracking','Get','Active',NULL,NULL),(264,'Pakistan Post','pakistan-post',164,'https://ep.gov.pk/emtts/EPTrack_Live.aspx?ArticleIDz=%number%','Get','Active',NULL,NULL),(266,'InPost Paczkomaty','inpost-paczkomaty',172,'https://inpost.pl/sledzenie-przesylek?number=%number%','Get','Active',NULL,NULL),(267,'247 Express','247express',233,'https://247express.vn/dinh-vi-buu-pham/%number%?','Get','Active',NULL,NULL),(268,'hunter-express','hunter-express',15,'https://www.hunterexpress.com.au/tracking','Get','Active',NULL,NULL),(271,'The Courier Guy','the-courier-guy',197,'https://portal.thecourierguy.co.za/track?ref=%number%','Get','Active',NULL,NULL),(272,'PostNord Denmark','post-nord-denmark',58,'https://www.postnord.dk/varktojer/track-trace?shipmentId=%number%','Get','Active',NULL,NULL),(275,'Teleport','teleport',131,'https://teleport.delivery/track?tracking_number=%number%','Get','Active',NULL,NULL),(278,'DPEX','dpex',192,'https://tracking.frontierforce.com/tracking.aspx?stid=dpexwwe&cn=%number%&option=,8,','Get','Active',NULL,NULL),(279,'Israel Post He','ilpost-he',105,'https://mypost.israelpost.co.il/itemtrace_he?itemcode=%number%','Get','Active',NULL,NULL),(280,'City-Link Express','city-link-express',131,'https://www.citylinkexpress.com/MY/Tracking.aspx','Get','Active',NULL,NULL),(283,'Chilexpress','chilexpress',44,'https://centrodeayuda.chilexpress.cl/seguimiento/%number%','Get','Active',NULL,NULL),(284,'BOXIT','boxit',105,'http://portal.fcx.co.il/he/Track?shipmentNumber=%number%','Get','Active',NULL,NULL),(285,'Slovakia Post','slovakia-post',193,'https://tandt.posta.sk/en/items/%number%','Get','Active',NULL,NULL),(287,'GDEX','gdex',131,'https://www.gdexpress.com/malaysia/e-tracking/','Get','Active',NULL,NULL),(288,'Speedex Greece','speedex-greece',85,'http://www.speedex.gr/isapohi.asp?voucher_code=%number%&searcggo=Submit','Get','Active',NULL,NULL),(289,'J&T PH','jt-express-ph',170,'https://www.jtexpress.ph/index/query/gzquery.html?bills=%number%','Get','Active',NULL,NULL),(290,'Estafeta','estafeta',140,'https://www.estafeta.com/Herramientas/Rastreo','Get','Active',NULL,NULL),(291,'Nampost','nampost',149,'http://globaltracktrace.ptc.post/gtt.web/','Get','Active',NULL,NULL),(292,'ENVIALIA','envialia',199,'https://www.envialia.com/tracking/','Get','Active',NULL,NULL),(293,'wanbexpress','wanbexpress',45,'https://tracking.wanbexpress.com/?trackingNumbers=%number%','Get','Active',NULL,NULL),(294,'99minutos','99minutos',140,'https://tracking.99minutos.com/search/%number%','Get','Active',NULL,NULL),(297,'DPD Latvia','dpd-lv',119,'https://tracking.dpd.de/status/lv_LV/parcel/%number%','Get','Active',NULL,NULL),(300,'Cargoboard','cargoboard',82,'https://cargoboard.customer.cepra.de/Track/None?cRef=%number%','Get','Active',NULL,NULL),(301,'Zeleris','zeleris',199,'https://www.zeleris.com','Get','Active',NULL,NULL),(302,'Chunghwa Post','taiwan-post',210,'https://postserv.post.gov.tw/pstmail/main_mail.html','Get','Active',NULL,NULL),(303,'Nexive','nexive',106,'https://tracking.nexive.it/?&b=%number%','Get','Active',NULL,NULL),(304,'Speedy','speedy',35,'https://www.speedy.bg/en/track-shipment?shipmentNumber=%number%','Get','Active',NULL,NULL),(305,'GEODIS','geodis',74,'https://espace-client.geodis.com/services/destinataires/#/%number%/home','Get','Active',NULL,NULL),(307,'Orian','orian',105,'https://www.orian.com/OrianBarcodeTracking/?barcode=%number%','Get','Active',NULL,NULL),(308,'Sri Lanka Post','sri-lanka-post',200,'https://globaltracktrace.ptc.post/gtt.web/','Get','Active',NULL,NULL),(309,'DHL Parcel Spain','dhl-parcel-se',199,'https://clientesparcel.dhl.es/LiveTracking/ModificarEnvio/%number%','Get','Active',NULL,NULL),(310,'BEST Express','best-my',131,'https://www.best-inc.my/track?bills=%number%','Get','Active',NULL,NULL),(313,'Udaan Express','udaan-express',100,'https://udaanexpress.com/track/%number%','Get','Active',NULL,NULL),(314,'JS EXPRESS','js-express',45,'http://www.js-exp.com/index.php?page=19','Get','Active',NULL,NULL),(315,'HCT Logistics','hct',210,'https://www.hct.com.tw/Search/SearchGoods_n.aspx','Get','Active',NULL,NULL),(316,'Kerry Express TH','kerry-express-th',213,'https://th.kerryexpress.com/en/track/?track=%number%','Get','Active',NULL,NULL),(317,'Kerry Express VN','kerry-express-vn',233,'https://kerryexpress.com.vn/trang-thai-don-hang?trackingid=%number%','Get','Active',NULL,NULL),(319,'Sunyou','sunyou',45,'https://www.sypost.net/search?orderNo=%number%','Get','Active',NULL,NULL),(320,'J&T SG','jt-express-sg',192,'https://www.jtexpress.sg/trackmyparcel','Get','Active',NULL,NULL),(321,'J&T CN','jt-express-cn',45,'https://www.jtexpress.com.cn/service.html?indexIpt=%number%','Get','Active',NULL,NULL),(322,'J&T TH','jt-express-th',213,'https://www.jtexpress.co.th/index/query/gzquery.html?bills=%number%','Get','Active',NULL,NULL),(323,'J&T VN','jt-express-vn',233,'https://jtexpress.vn/track?billcodes=%number%','Get','Active',NULL,NULL),(324,'SFC Service','sfc-service',45,'https://www.sfcservice.com/track','Get','Active',NULL,NULL),(325,'Royale International','royale-international',197,'https://royaleinternational.pperfect.com/','Get','Active',NULL,NULL),(326,'Flash Express','flash-express',213,'https://www.flashexpress.co.th/en/tracking/','Get','Active',NULL,NULL),(327,'PostNord Norge','postnord-norge',162,'https://www.postnord.no/pakkesporing?shipmentId=%number%','Get','Active',NULL,NULL),(328,'Pgeon','pgeon',131,'https://www.pgeon.delivery/track-parcel?awb_no=%number%','Get','Active',NULL,NULL),(331,'RTT Logistics','rtt-logistics',197,'https://www.rtt.co.za/tracking/','Get','Active',NULL,NULL),(332,'GAP AKIS EXPRESS','gap-akis-express',55,'https://gapakisexpress.com/track-your-packages/?tracking_num=%number%','Get','Active',NULL,NULL),(333,'CJ Logistics Malaysia','cj-logistics-my',131,'https://mysgnexs.cjlogistics-global.com/web/g_tracking_eng.jsp?slipno=%number%','Get','Active',NULL,NULL),(334,'Envia','envia',48,'https://envia.co/','Get','Active',NULL,NULL),(335,'Coordinadora','coordinadora',48,'https://www.coordinadora.com/portafolio-de-servicios/servicios-en-linea/rastrear-guias/','Get','Active',NULL,NULL),(336,'TCC','tcc',48,'https://tcc.com.co/courier/mensajeria/rastrear-envio/','Get','Active',NULL,NULL),(337,'GLS Ireland','gls-ireland',104,'https://gls-group.eu/IE/en/parcel-tracking.html?match=%number%','Get','Active',NULL,NULL),(338,'Spoton','spoton',100,'https://web1.spoton.co.in/spotoncontracker.html','Get','Active',NULL,NULL),(339,'Safexpress','safexpress',100,'http://www.safexpress.com/index.html','Get','Active',NULL,NULL),(340,'TCI Express','tci-express',100,'https://www.tciexpress.in/trackingdocket.aspx?trackshipment=%number%&dwb=dwb','Get','Active',NULL,NULL),(341,'J&T MY','jtexpress-my',131,'https://www.jtexpress.my/tracking/%number%','Get','Active',NULL,NULL),(342,'Famiport','famiport',210,'https://www.famiport.com.tw/Web_Famiport/page/process.aspx','Get','Active',NULL,NULL),(343,'PosLaju','poslaju',131,'https://tracking.pos.com.my/tracking/%number%','Get','Active',NULL,NULL),(344,'Giao Hàng Nhanh','ghn',233,'https://donhang.ghn.vn/?order_code=%number%','Get','Active',NULL,NULL),(346,'RIVIGO','rivigo',100,'https://zoom-ops.rivigo.com/#/trackconsignment/%number%?redirectedFromRivigo=true','Get','Active',NULL,NULL),(347,'GoJavas','gojavas',100,'http://gojavas.com/docket_details.php?pop=docno&docno=%number%','Get','Active',NULL,NULL),(348,'First Flight','first-flight',100,'https://www.firstflight.net/tracking.php','Get','Active',NULL,NULL),(349,'Bombino Express','bombino-express',100,'https://www.bombinoexp.com/track.aspx?AwbNo=%number%','Get','Active',NULL,NULL),(350,'Overseas Logistics','overseas-logistics',100,'http://www.overseaslogistics.in/tracking.aspx','Get','Active',NULL,NULL),(351,'Airwings','airwings-india',100,'http://www.airwingsindia.com/tracking.aspx','Get','Active',NULL,NULL),(352,'Shree Mahabali Express','shree-mahabali-express',100,'http://www.shreemahabaliexpress.com/Frm_DocTrack.aspx?No=%number%&Tmp=1630996767218','Get','Active',NULL,NULL),(353,'Grand Slam Express','grand-slam-express',100,'http://grandslamexpress.in/Web/Track?AwbNo=%number%','Get','Active',NULL,NULL),(354,'SAP Express','sap-express',101,'https://www.sap-express.id/layanan/tracking/track','Get','Active',NULL,NULL),(355,'V-Xpress','v-xpress',100,'https://www.vxpress.in/track','Get','Active',NULL,NULL),(356,'Lexship','lexship',100,'https://track.lexship.com/track?tracking_id=%number%','Get','Active',NULL,NULL),(357,'Pushpak Courier','pushpak-courier',100,'https://www.pushpakcourier.net/query.php?trackcode','Get','Active',NULL,NULL),(358,'Madhur Couriers','madhur-couriers',100,'https://www.madhurcouriers.in/(S(jfqtmkzwgkgu5gktywfgklws))/CNoteTracking','Get','Active',NULL,NULL),(359,'Bombax','bombax',100,'https://bombax.in/booking/Tracking?OrderNo=%number%','Get','Active',NULL,NULL),(360,'CTT Express','ctt-express',173,'https://www.ctt.pt/feapl_2/app/open/objectSearch/objectSearch.jspx?objects=%number%','Get','Active',NULL,NULL),(361,'Amazon IN','amazon-in',100,'https://track.amazon.in/tracking/%number%?trackingId=%number%','Get','Active',NULL,NULL),(362,'DPD South Africa','dpd-sa',197,'https://my.dpdl.co.za/quicktrack/%number%','Get','Active',NULL,NULL),(363,'Internet Express Couriers','internet-express',197,'https://ie.shiplogic.com/track?ref=%number%/1','Get','Active',NULL,NULL),(364,'DAO','dao',58,'https://www.dao.as/privat/find-din-pakke?stregkode=%number%','Get','Active',NULL,NULL),(366,'Zajil Express','zajil-express',187,'https://zajil-express.com','Get','Active',NULL,NULL),(368,'IQfulfillment','iq-fulfillment',225,'https://track.iqfulfillment.com/','Get','Active',NULL,NULL),(371,'Dachser','dachser',131,'https://elogistics.dachser.com/shp2s/ShpApplicationPage?4','Get','Active',NULL,NULL),(372,'TopYou','topyou',131,'http://track.szty56.com/?track=%number%','Get','Active',NULL,NULL),(373,'Redpack Mexico','redpack-mexico',131,'https://www.redpack.com.mx/es/rastreo','Get','Active',NULL,NULL),(375,'360lion Express','360lion',45,'https://customer.360lion.com/track/%number%','Get','Active',NULL,NULL),(377,'Relais Colis','relais-colis',74,'https://www.relaiscolis.com/suivi-de-colis','Get','Active',NULL,NULL),(378,'Shree Anjani Courier','shree-anjani-courier',100,'http://shreeanjanicourier.com/awb.php','Get','Active',NULL,NULL),(379,'Paquet Express','paquet',140,'https://www.paquetexpress.com.mx/rastreo/%number%','Get','Active',NULL,NULL),(380,'Correos de Cuba','correos-de-cuba',54,'https://www.correos.cu/rastreador-de-envios/','Get','Active',NULL,NULL),(382,'BH Posta','bh-posta',29,'https://bhpwebout.posta.ba/trackwebapp/','Get','Active',NULL,NULL),(383,'Iceland Post','iceland-post',99,'https://posturinn.is/en/individuals/receive/track-shipment/?q=%number%','Get','Active',NULL,NULL),(384,'Malta Post','malta-post',134,'https://www.maltapost.com/tracking#/tracking','Get','Active',NULL,NULL),(386,'Gibraltar Post','gibraltar-post',84,'https://post.gi/','Get','Active',NULL,NULL),(387,'Liechtenstein Post','liechtenstein-post',124,'https://www.post.li/privatkunden/','Get','Active',NULL,NULL),(388,'Faroe Islands Post','faroe-islands',71,'https://www.posta.fo/search?cc=%number%','Get','Active',NULL,NULL),(390,'Greenland Post','tele-post',86,'https://www.tusass.gl/en/track-and-trace/#%number%','Get','Active',NULL,NULL),(391,'Kerry TJ Logistics','kerry-tj',210,'http://www.kerrytj.com/zh/search/search_track.aspx','Get','Active',NULL,NULL),(392,'CH EXPRESS','ch-express',45,'http://www.hzchgj.com/','Get','Active',NULL,NULL),(393,'FMX','fmx',131,'http://www.freightmark.com.my/fmx/result/resultdetail.php?conno=%number%','Get','Active',NULL,NULL),(394,'Sürat Kargo','surat-kargo',219,'http://suratkargo.com.tr/KargoTakip/?kargotakipno=%number%','Get','Active',NULL,NULL),(396,'GESWL Express','geswl',45,'https://www.geswl.com/home/en/index.asp','Get','Active',NULL,NULL),(397,'DPD Hungary','dpd-hu',98,'https://tracking.dpd.de/status/en_EN/parcel/%number%','Get','Active',NULL,NULL),(398,'DPD Slovakia','dpd-sk',193,'https://tracking.dpd.de/status/sk_SK/parcel/%number%','Get','Active',NULL,NULL),(399,'FBA Swiship ES','swiship-es',199,'https://www.swiship.es/track?id=%number%','Get','Active',NULL,NULL),(401,'FBA Swiship JP','swiship-jp',109,'https://www.swiship.jp/track','Get','Active',NULL,NULL),(402,'FBA Swiship CA','swiship-ca',2,'https://www.swiship.ca/track?id=%number%','Get','Active',NULL,NULL),(403,'FBA Swiship FR','swiship-fr',74,'https://www.swiship.fr/track?id=%number%','Get','Active',NULL,NULL),(404,'FBA Swiship AU','swiship-au',15,'https://www.swiship.com.au/track?id=%number%','Get','Active',NULL,NULL),(405,'FBA Swiship IT','swiship-it',106,'https://www.swiship.it/track?id=%number%','Get','Active',NULL,NULL),(406,'FBA Swiship DE','swiship-de',82,'https://www.swiship.de/track?id=%number%','Get','Active',NULL,NULL),(408,'J&T KH','jtexpress-kh',38,'https://www.jtexpress.com.kh/index/query/gzquery.html','Get','Active',NULL,NULL),(409,'GOGO Xpress','gogo-xpress',170,'https://app.gogoxpress.com/track/%number%','Get','Active',NULL,NULL),(410,'Zip','zip-ph',170,'https://zip-ph.com/tracking?no=%number%','Get','Active',NULL,NULL),(411,'RAF Philippines','raf',170,'https://tracking.frontierforce.com/tracking.aspx?stid=raf&cn=%number%','Get','Active',NULL,NULL),(412,'PHL Post','phlpost',170,'https://www.phlpost.gov.ph/','Get','Active',NULL,NULL),(413,'Airpak Express','airpak-express',192,'https://tracking.airpak-express.com/tracking.aspx?stid=airpak&cn=%number%','Get','Active',NULL,NULL),(414,'Aramex AU','aramex-au',15,'https://www.aramex.com.au/tools/track/?l=%number%','Get','Active',NULL,NULL),(415,'Amalgamated','Amalgamated',15,'https://www.amaldist.com.au/track.php','Get','Active',NULL,NULL),(416,'City Express','city-express',189,'https://www.cityexpress.rs/pracenje-posiljaka/','Get','Active',NULL,NULL),(438,'Day & Ross','dayross',2,'https://dayross.com/en/track-shipments','Get','Active',NULL,NULL),(439,'Greyhound','greyhound',2,'https://greyhound.shiptrackapp.com/view.aspx?tracking=%number%&x=14&y=15&lng=en&company=2addc85e-5a32-4d40-9888-b2dcf53eca56','Get','Active',NULL,NULL),(441,'JoeyCo','joeyco',2,'https://www.joeyco.com/track-order/%number%','Get','Active',NULL,NULL),(442,'PFC Express','pfcexpress',45,'https://www.pfcexpress.com/Manage/WebManage/Inquire.aspx?txtID=%number%','Get','Active',NULL,NULL),(443,'DHL Benelux','dhl-be',23,'https://www.dhl.com/nl-nl/home/traceren.html?tracking-id=%number%&submit=1','Get','Active',NULL,NULL),(444,'Post One','postone',35,'https://postone.eu/track?code=%number%','Get','Active',NULL,NULL),(445,'Czech Post','czech-post',56,'https://www.postaonline.cz/trackandtrace/-/zasilka/cislo?parcelNumbers=%number%','Get','Active',NULL,NULL),(446,'PPL CZ','ppl-cz',56,'https://www.ppl.cz/en/track-a-shipment?shipmentId=%number%','Get','Active',NULL,NULL),(447,'Geis CZ','geis-cz',56,'https://www.geis-group.cz/cs/detail-zasilky?packNumber=%number%','Get','Active',NULL,NULL),(448,'Matkahuolto','matkahuolto',73,'https://www.matkahuolto.fi/seuranta?parcelNumber=%number%','Get','Active',NULL,NULL),(449,'Asendia Germany','asendia-de',82,'https://tracking.asendia.com/tracking/%number%','Get','Active',NULL,NULL),(450,'GEL Express','gel-express',82,'https://srv4.thalmaier.de/gel/send/DE-de/Sendungssuche.aspx?snr=%number%','Get','Active',NULL,NULL),(451,'GmbH','my-austrianpost',82,'https://www.austrianpost.de/suche/?search=%number%&erw_suchbereich=&menuid_search=141','Get','Active',NULL,NULL),(452,'Easy Mail','easy-mail',85,'https://www.easymail.gr/web-tracking','Get','Active',NULL,NULL),(453,'Comet Hellas','cometcourier',85,'https://www.comethellas.gr','Get','Active',NULL,NULL),(454,'Nightline','nightline',104,'https://www.nightline-delivers.com/SmartShip.Online/Tracking/Actions/Default?TrackingNumbers=%number%','Get','Active',NULL,NULL),(455,'Wiseloads','wiseloads',104,'https://wiseloads.com/','Get','Active',NULL,NULL),(456,'LP Express','lpexpress',125,'https://www.post.lt/siuntu-sekimas?parcels=%number%','Get','Active',NULL,NULL),(457,'Venipak','venipak',125,'https://venipak.lt/tracking/track/%number%','Get','Active',NULL,NULL),(458,'Timelytitan','timelytitan',152,'https://www.timelytitan.com/tracking.html?number=%number%','Get','Active',NULL,NULL),(459,'Allekurier','allekurier',172,'https://allekurier.pl/sledzenie','Get','Active',NULL,NULL),(460,'Romania Post','posta-romana',178,'https://www.posta-romana.ro/track-trace.html','Get','Active',NULL,NULL),(461,'Slovenia Post','slovenia-post',194,'https://www.posta.si/zasebno','Get','Active',NULL,NULL),(462,'Packlink','packlink',199,'https://www.packlink.es/cms/static/tracking/','Get','Active',NULL,NULL),(463,'CBL Logistics','cbl-logistica',199,'https://www.cbl-logistica.com/','Get','Active',NULL,NULL),(464,'Szendex','szendex',199,'https://www.szendex.com/','Get','Active',NULL,NULL),(465,'Mail Boxed Etc','mbe',199,'https://www.mbe.es/es/tracking?c=%number%','Get','Active',NULL,NULL),(466,'Courier IT','courier-it',197,'https://www.courierit.co.za/','Get','Active',NULL,NULL),(468,'Interparcel Au','interparcel-au',15,'https://au.interparcel.com/tracking/%number%','Get','Active',NULL,NULL),(469,'Interparcel NZ','interparcel-nz',155,'https://nz.interparcel.com/tracking/%number%','Get','Active',NULL,NULL),(470,'Postnet','postnet',197,'https://www.postnet.co.za/tracker','Get','Active',NULL,NULL),(473,'Main Freight','mainfreight',155,'https://www.mainfreight.com/en-nz/tracking?trackingnumber=%number%','Get','Active',NULL,NULL),(474,'Flyt Express','flyt-express',45,'http://www.flytexpress.com/Home/LogisticsTracking#orderIds','Get','Active',NULL,NULL),(475,'Arco Spedizioni','arco-spedizioni',106,'https://clienti.arcospedizioni.it/#/trackingDetail/%number%','Get','Active',NULL,NULL),(476,'Allied Express','alliedexpress',15,'https://neptune.alliedexpress.com.au/iTrack/search.do','Get','Active',NULL,NULL),(477,'Bonds Couriers','bondscouriers',15,'https://bondscouriers.com.au/','Get','Active',NULL,NULL),(479,'DPD Lithuania','dpd-lt',125,'https://www.dpdgroup.com/lt/mydpd/my-parcels/incoming?parcelNumber=%number%','Get','Active',NULL,NULL),(481,'J&T SA','jt-sa',187,'https://www.jtexpress-sa.com/trajectoryQuery?waybillNo=%number%&type=0','Get','Active',NULL,NULL),(482,'ABX Express','abx-express',131,'https://www.abxexpress.com.my/tracking','Get','Active',NULL,NULL),(483,'PostNord Finland','postnord-finland',73,'https://www.postnord.fi/tyokalut/lahetysten-seuranta?shipmentId=%number%','Get','Active',NULL,NULL),(485,'Sendeo','sendeo',219,'https://sendeo.com.tr/tracking?q=%number%','Get','Active',NULL,NULL),(486,'Shree Nandan Courier','shree-nandan',100,'http://www.shreenandancourier.com/TrackingInfo.aspx?cn=%number%','Get','Active',NULL,NULL),(488,'Iberomail','iberomail',173,'https://iberomail.com/pt/localizar-encomenda/','Get','Active',NULL,NULL),(489,'Ltian Exp','ltian-exp',45,'http://www.ltianexp.com/trajectory','Get','Active',NULL,NULL),(490,'YDH','ydh',45,'https://www.ydhex.com/tools/inquire?number=%number%','Get','Active',NULL,NULL),(491,'Omniva','omniva',125,'https://mano.omniva.lt/track/%number%','Get','Active',NULL,NULL),(492,'YHT','yht',45,'https://www.eshippinggateway.com/tracking.html','Get','Active',NULL,NULL),(496,'Econt','econt',35,'https://www.econt.com/en/services/track-shipment','Get','Active',NULL,NULL),(497,'M Xpress','mxpress',131,'https://gold.mxpress2u.net/gold/PublicShipmentTracking.aspx','Get','Active',NULL,NULL),(499,'HyperSKU','hyper-sku',45,'https://track.hypersku.com/?set_lang=en&finalNo=%number%','Get','Active',NULL,NULL),(500,'Smartr Logistics','smartr-logistics',100,'https://smartr.in/tracking?wb=%number%','Get','Active',NULL,NULL),(502,'HepsiJet','hepsi-jet',219,'https://www.hepsijet.com/gonderi-takibi/%number%','Get','Active',NULL,NULL),(503,'Dt Express Couriers','dt-express-couriers',197,'https://dtsolutions.pperfect.com/','Get','Active',NULL,NULL),(504,'DPD BE','dpd-be',23,'https://www.dpdgroup.com/be/mydpd/my-parcels/search?lang=en&parcelNumber=%number%','Get','Active',NULL,NULL),(505,'Courier Center','courier-center',85,'https://www.courier.gr/track/','Get','Active',NULL,NULL),(506,'Flash Express MY','flash-express-my',131,'https://www.flashexpress.my/tracking/?se=%number%','Get','Active',NULL,NULL),(507,'Quantium','quantium',192,'http://track.quantiumsolutions.com/','Get','Active',NULL,NULL),(508,'iMile','imile',225,'https://www.imile.com/track','Get','Active',NULL,NULL),(509,'eTower','etower',45,'http://etowertech.com/home','Get','Active',NULL,NULL),(510,'Seino','seino',109,'https://track.seino.co.jp/cgi-bin/gnpquery.pgm','Get','Active',NULL,NULL),(511,'Nova Poshta Global','nova-poshta-global',224,'https://novaposhtaglobal.ua/en/track/?Tracking_ID=%number%','Get','Active',NULL,NULL),(512,'Inter Rapidisimo','inter-rapidisimo',48,'https://interrapidisimo.com/','Get','Active',NULL,NULL),(513,'XL Express','xl-express',15,'https://xleonline.com.au/tracking/xlexpress/view/%number%','Get','Active',NULL,NULL),(514,'Redx','redx',20,'https://redx.com.bd/track-global-parcel/?trackingId=%number%','Get','Active',NULL,NULL),(515,'Pathao','pathao',20,'https://pathao.com/','Get','Active',NULL,NULL),(516,'Paperfly','paperfly',20,'https://www.paperfly.com.bd/','Get','Active',NULL,NULL),(517,'Logista Parcel','logista-parcel',199,'https://www.logistaparcel.com/es/home/track-and-trace/shipment-tracking.html','Get','Active',NULL,NULL),(518,'Instabox','instabox',152,'https://track.instabox.nl/t/%number%/2312KJ','Get','Active',NULL,NULL),(519,'Sundarban Courier','sundarban-courier',20,'http://103.3.227.172:4040/Default.aspx?Page=SearchByContact','Get','Active',NULL,NULL),(520,'Posstore','posstore',131,'http://47.250.41.212:8085/DNYInterfaceServer/ztserver/tabOrderBill/query?nu=%number%','Get','Active',NULL,NULL),(521,'Scharff','scharff',169,'https://wsintegracion.holascharff.com/webpage/trackingweb/Tracking.asp','Get','Active',NULL,NULL),(522,'Shalom','shalom',169,'https://rastrea.shalom.pe/','Get','Active',NULL,NULL),(523,'Olva courier','olva-courier',169,'https://tracking.olvaexpress.pe/','Get','Active',NULL,NULL),(524,'GoPack Peru','gopack-peru',169,'https://gopack-peru.com/vista/verPedido/','Get','Active',NULL,NULL),(525,'Az Express','az-express',169,'http://azexpress.ddns.net/consulta_dni.php','Get','Active',NULL,NULL),(526,'Cruz del sur','cruz-del-sur',169,'https://www.cruzdelsurcargo.com.pe/agenciasbuscatuencomienda','Get','Active',NULL,NULL),(527,'Urbano','urbano',169,'https://www.urbano.com.pe/','Get','Active',NULL,NULL),(528,'Happy Courier','happy-courier',85,'https://happycourier.extranet4u.com/el/courier/voucher/Voucher.html?r18p01=%number%','Get','Active',NULL,NULL),(529,'Flash Express PH','flash-express-ph',170,'https://www.flashexpress.ph/tracking/?se=%number%','Get','Active',NULL,NULL),(530,'Nationwide Express','nationwide-express',131,'http://www.nationwide.com.my/Tracking/Details/N8690523108498','Get','Active',NULL,NULL),(532,'Express one','expressone',98,'https://tracking.expressone.hu/?plc_number=%number%','Get','Active',NULL,NULL),(533,'Equick','equick',45,'http://www.equick.cn/en/index.php?m=content&c=index&a=lists&catid=25&code=%number%','Get','Active',NULL,NULL),(534,'TakeSend','takesend',45,'http://k5.takesend.com:8180/WebTrack?action=list&language=en','Get','Active',NULL,NULL),(536,'GLS Austria','gls-au',16,'https://gls-group.eu/EU/en/parcel-tracking?match=%number%&amp;postalCode=%postal_code%','Get','Active',NULL,NULL),(537,'Skynet South Africa','skynet-south-africa',197,'https://www.skynet.co.za/','Get','Active',NULL,NULL),(538,'Starken','starken',44,'https://www.starken.cl/seguimiento','Get','Active',NULL,NULL),(539,'ELTA Hellenic','elta-hellenic',85,'https://elta.gr/en/track?code=%number%','Get','Active',NULL,NULL),(540,'BEST Express','best-express-th',213,'https://www.best-inc.co.th/track?bills=%number%','Get','Active',NULL,NULL),(541,'Blues Express','bluex',44,'https://www.blue.cl/seguimiento/?n_seguimiento=%number%','Get','Active',NULL,NULL),(542,'Correos de Mexico','correos-de-mexico',140,'https://www.correosdemexico.gob.mx/SSLServicios/SeguimientoEnvio/Seguimiento.aspx','Get','Active',NULL,NULL),(543,'Lafasta','lafasta',225,'https://c.lafasta.sa.com/Track/%number%','Get','Active',NULL,NULL),(544,'Ram','ram',197,'https://www.ram.co.za/Track/%number%','Get','Active',NULL,NULL),(545,'ETG','etg',45,'http://www.etg56.com/logistics.html?tab=1','Get','Active',NULL,NULL),(546,'GLS Hungary','gls-hungary',98,'https://gls-group.eu/HU/en/parcel-tracking?match=%number%','Get','Active',NULL,NULL),(547,'GLS Canada','gls-canada',2,'https://www.gls-canada.com/en/dicom/tracking','Get','Active',NULL,NULL),(551,'Intelcom','intelcom',2,'https://intelcom.ca/en/track-your-package/?tracking-id=%number%','Get','Active',NULL,NULL),(552,'DExpress','dexpress',189,'https://www.dexpress.rs/en/track-and-trace/%number%','Get','Active',NULL,NULL),(553,'GLS Slovakia','gls-slovakia',193,'https://gls-group.eu/SK/sk/sledovanie-zasielok?match=%number%','Get','Active',NULL,NULL),(554,'ZTO Express','zto-express',45,'https://www.zto.com/express/expressCheck.html','Get','Active',NULL,NULL),(557,'GLS Romania','gls-romania',178,'https://gls-group.com/RO/ro/urmarire-colet.html?match=%number%','Get','Active',NULL,NULL),(558,'WEL','wel',45,'http://shgj.rtb56.com/track_query.aspx?type=cp&documentCode=%number%&Submit.x=18&Submit.y=9','Get','Active',NULL,NULL),(560,'Exelot','exelot',105,'https://public.exelot.com/tracking/%number%?lang=en','Get','Active',NULL,NULL),(561,'SANA','sana',45,'http://www.mhafly.com/','Get','Active',NULL,NULL),(562,'SDH','sdh',45,'https://www.sdh-scm.com/','Get','Active',NULL,NULL),(563,'Collivery','collivery',197,'https://collivery.net/tracking?waybill=%number%','Get','Active',NULL,NULL),(564,'Bosta','bosta',64,'https://bosta.co/tracking-shipments?shipment-number=%number%','Get','Active',NULL,NULL),(580,'Uruguay Post','uruguay-post',228,'https://www.correo.com.uy/home','Get','Active',NULL,NULL),(581,'Serpost','serpost',169,'https://www.serpost.com.pe/Cliente/SegumientoLinea','Get','Active',NULL,NULL),(582,'Jamaica Post','jamaica-post',108,'https://jamaicapost.gov.jm/track-and-trace/','Get','Active',NULL,NULL),(583,'El Salvador Post','el-salvador-post',65,'https://www.transparencia.gob.sv/search?utf8=&ft=%number%','Get','Active',NULL,NULL),(584,'Dominican Post','dominican-post',61,'https://www.inposdom.gob.do/search?q=%number%','Get','Active',NULL,NULL),(585,'Cuba Post','cuba-post',54,'https://www.correos.cu/rastreador-de-envios/','Get','Active',NULL,NULL),(586,'Bermuda Post','bermuda-post',26,'https://www.bermudapost.bm/track-your-item/?trackNumber=%number%','Get','Active',NULL,NULL),(587,'Barbados Post','barbados-post',21,'https://bps.gov.bb/','Get','Active',NULL,NULL),(588,'Aruba Post','aruba-post',14,'https://cds.postaruba.com/ipswt/IPSWeb_item_events.aspx?itemid=%number%&Submit=Submit','Get','Active',NULL,NULL),(590,'AMSEGROUP','amsegroup',15,'http://eretail.amservices.net.au:8080/parceltracker.aspx','Get','Active',NULL,NULL),(591,'Beebird Logistics','beebird-logistics',15,'https://beebird.com.au/tracking/%number%','Get','Active',NULL,NULL),(593,'SX Express','sx-express',15,'https://sxexpress.myazstore.com/searchtracking?no=%number%','Get','Active',NULL,NULL),(594,'Ark express','ark-express',15,'http://en.arkexpress.com.au/searchOrder?orderNo=%number%','Get','Active',NULL,NULL),(595,'Chinz Logistics','chinz-logistics',155,'http://www.chinz56.co.nz/','Get','Active',NULL,NULL),(596,'EWE Global Express','ewe global express',15,'https://www.ewe.com.au/','Get','Active',NULL,NULL),(598,'XDEXPRESS','xdexpress',15,'https://www.xdexpress.com.au/Express.aspx','Get','Active',NULL,NULL),(599,'EFSPost','efsPost',45,'http://www.efspost.com/index/query_track?postnum=%number%&code=pesu','Get','Active',NULL,NULL),(600,'Auexpress','euexpress',45,'https://www.auexpress.com/tracking?OrderId=%number%','Get','Active',NULL,NULL),(601,'FTD Express','ftd-Express',155,'https://www.ftd.nz/query/?code=%number%','Get','Active',NULL,NULL),(602,'PCA','pca',15,'https://www.pcaexpress.com.au/tracking/?c=%number%','Get','Active',NULL,NULL),(603,'Fastgo','fastgo',45,'https://www.fastgo.com.au/WaybillQuery','Get','Active',NULL,NULL),(604,'ADSOne','adaone',15,'https://tracking.icumulus.cloud/','Get','Active',NULL,NULL),(605,'Shiprocket','shiprocket',100,'https://shiprocket.co/tracking/%number%','Get','Active',NULL,NULL),(606,'Pidge','pidge',100,'https://pidge.in/','Get','Active',NULL,NULL),(607,'Wanmeng','wanmeng',45,'https://wms.wmycc.com/tracking.aspx','Get','Active',NULL,NULL),(608,'ConnectCo','connectco',200,'https://connectcoapps.lk/tracking/%number%','Get','Active',NULL,NULL),(609,'BIRD SYSTEM LTD','bird-system-ltd',45,'http://track.birdsystem.com/?ids=%number%','Get','Active',NULL,NULL),(610,'U-Speed Express','u-speed-express',45,'https://www.u-speedex.com/queryTracks?no=%number%','Get','Active',NULL,NULL),(611,'SPX ID','spx-id',101,'https://spx.co.id/detail/%number%','Get','Active',NULL,NULL),(612,'CGS Express','cgs-Express',45,'http://www.cgs-express.com:8082/trackIndex.htm','Get','Active',NULL,NULL),(613,'SCG Express','scg-express',213,'https://www.scgexpress.co.th/tracking/?fav','Get','Active',NULL,NULL),(614,'SPX MY','spx-my',131,'https://shopeexpress.com.my/detail/%number%','Get','Active',NULL,NULL),(615,'Morning Express','morning-express',97,'https://www.mechk.com/guest-order-tracking/','Get','Active',NULL,NULL),(616,'Asyad Express','asyad-express',163,'https://www.asyadexpress.om/track-trace','Get','Active',NULL,NULL),(617,'SPX VN','spx-vn',233,'https://spx.vn/','Get','Active',NULL,NULL),(618,'We World Express','we-world-express',45,'https://www.weworldexpress.com/wwe/track','Get','Active',NULL,NULL),(619,'Nippon Express','Nippon Express',109,'https://www.nittsu.co.jp/','Get','Active',NULL,NULL),(620,'Taiwan Pelican Express','taiwan pelican express',210,'https://www.e-can.com.tw/search_Goods.aspx','Get','Active',NULL,NULL),(621,'FedEx Mexico','fedex-mexico',140,'https://www.fedex.com/fedextrack/no-results-found?trknbr=%number%','Get','Active',NULL,NULL),(622,'DHL Mexico','dhl-mx',140,'https://www.dhl.com/mx-es/home/rastreo.html?tracking-id=%number%&submit=1','Get','Active',NULL,NULL),(625,'Pandu Logistics','pandu-logistics',101,'https://pandulogistics.com/track/','Get','Active',NULL,NULL),(626,'RZY Express','rzy-express',192,'https://rzyexpress.com.sg/tracking.php','Get','Active',NULL,NULL),(629,'ACOMMERCE','acommerce',213,'https://tracking.acommerce.asia/?id=%number%','Get','Active',NULL,NULL),(630,'Viettel Post','viettel-post',233,'https://en.viettelpost.com.vn/#one2','Get','Active',NULL,NULL),(631,'Xend Express','xend-express',170,'https://xendexpress.com/','Get','Active',NULL,NULL),(632,'Uzbekistan Post','uzbekistan-post',229,'https://pochta.uz/en/2014-06-09-08-50-39/track-trace.html','Get','Active',NULL,NULL),(636,'Emons','emons',82,'https://www.emons.de/tracking','Get','Active',NULL,NULL),(637,'Beexpress','bee-express',213,'https://www.beexprss.com/','Get','Active',NULL,NULL),(638,'Solid Logistcs','solid-logistcs',45,'https://solidlogistics.id/web.solid/aboutus?c=tracking','Get','Active',NULL,NULL),(639,'Flyway Express','flyway-express',45,'https://flywayexpress.com/','Get','Active',NULL,NULL),(640,'QEXPRESS','qexpress',155,'https://www.qxpress.net/','Get','Active',NULL,NULL),(641,'Blue Sky Express','blue-sky-express',15,'https://www.bskyexpress.com/track.php?awb=%number%','Get','Active',NULL,NULL),(642,'HKD Express','hkd-express',15,'http://www.hkdexpress.net/','Get','Active',NULL,NULL),(643,'Cosco Express','cosco-express',15,'https://www.zy100-express.com/index.php?c=category&id=5&title=%number%','Get','Active',NULL,NULL),(644,'Cargus','cargus',178,'https://www.cargus.ro/tracking-romanian/?t=%number%','Get','Active',NULL,NULL),(645,'Ghana Post','ghana-post',197,'https://tools.v2.ghanapost.com.gh/toolsv1/','Get','Active',NULL,NULL),(646,'Pargo','pargo',197,'https://pargo.co.za/track-trace/','Get','Active',NULL,NULL),(647,'Roadbull Logistics','roadbull-logistics',197,'https://cds.roadbull.com/order/track/%number%','Get','Active',NULL,NULL),(648,'Nigeria Post','nigeria-post',158,'https://www.nipost.gov.ng/Track_Trace','Get','Active',NULL,NULL),(649,'Mauritius Post','mauritius-post',138,'https://www.mauritiuspost.mu/trackandtrace.php?itemid=%number%','Get','Active',NULL,NULL),(650,'Correios Cabo Verde','correios-cabo-verde',40,'https://correios.cv/ferramentas/tracking?tracking-ids=%number%','Get','Active',NULL,NULL),(651,'Benin Post','benin-post',25,'https://laposte.bj/','Get','Active',NULL,NULL),(652,'Bosnia And Herzegovina Post','bosnia-and-herzegovina-post',29,'https://bhpwebout.posta.ba/trackwebapp/','Get','Active',NULL,NULL),(653,'Belarus Post','belarus-post',22,'https://belpost.by/Otsleditotpravleniye?number=%number%','Get','Active',NULL,NULL),(654,'Albania Post','albania-post',4,'https://www.postashqiptare.al/','Get','Active',NULL,NULL),(655,'Zambia Post','zambia post',241,'http://www.postglobalonline.com/track/zm/track.aspx','Get','Active',NULL,NULL),(656,'Uganda Post','uganda-post',223,'http://globaltracktrace.ptc.post/gtt.web/','Get','Active',NULL,NULL),(659,'Espost','espost',199,'https://www.espost.es/track','Get','Active',NULL,NULL),(660,'Sailpost','sailpost',106,'https://www.sailpost.it/traccia-il-pacco/','Get','Active',NULL,NULL),(661,'Cacesa Postal','cacesa-postal',199,'https://www.cacesa.com/es/seguimiento?busqueda=%number%','Get','Active',NULL,NULL),(663,'Hua Han Logistics','hua-han-logistics',45,'https://www.hh-exp.cn/WebTrack/CargoTrack.html','Get','Active',NULL,NULL),(665,'San Marino Post','san-marino-post',185,'https://www.poste.sm/on-line/home.html','Get','Active',NULL,NULL),(668,'Euasia Express','euasia-express',152,'http://www.euasia.eu/h1.html?%number%','Get','Active',NULL,NULL),(669,'Postal State International','postal-state-international',82,'http://www.youban.de/CN/track/?expressnum=%number%','Get','Active',NULL,NULL),(670,'J-NET Express','j-net Express',45,'https://www.j-net.cn/index.php/page/track.html?number=%number%','Get','Active',NULL,NULL),(673,'Cosmetics Now','cosmetics-now',15,'https://www.cosmeticsnow.in/?main_page=account_history_info&track=true&order_id=%number%','Get','Active',NULL,NULL),(674,'Vanuatu Post','vanuatu-post',230,'https://www.vanuatupost.vu/track-and-trace','Get','Active',NULL,NULL),(675,'Tuvalu Post','tuvalu-post',222,'http://tuvalupost.tv/Track','Get','Active',NULL,NULL),(676,'Samoa Post','samoa-post',184,'https://www.samoapost.ws/','Get','Active',NULL,NULL),(677,'Saint Lucia Post','saint-lucia-post',182,'https://stluciapostal.com/track-and-trace/','Get','Active',NULL,NULL),(678,'Papua New Guinea Post','papua-new-guinea-post',167,'https://www.postpng.com.pg/track_trace','Get','Active',NULL,NULL),(679,'Parcel Freight Logistics','parcel-freight-logistics',15,'http://www.pflogistics.com.au/tracking-result','Get','Active',NULL,NULL),(680,'DD Express','dd-express',131,'https://tracking.dd.express/v2/','Get','Active',NULL,NULL),(682,'Airspeed International','airspeed-international',170,'https://airspeed.ph/track-cargo/','Get','Active',NULL,NULL),(683,'Maldives Post','maldives-post',132,'https://www.maldivespost.com/tracker?tracking_number=%number%','Get','Active',NULL,NULL),(684,'ZMC EXPRESS','zmc-express',45,'https://www.zmcexpress.com/','Get','Active',NULL,NULL),(685,'ICS Courier','ics-courier',2,'https://www.icscourier.ca/online-services/parcel-tracking.aspx?trackNums=%number%','Get','Active',NULL,NULL),(686,'Georgia Post','georgia-post',81,'https://www.gpost.ge/main','Get','Active',NULL,NULL),(687,'UPS Italy','ups-italy',106,'https://www.ups.com/track?loc=en_IT&requester=QUIC&tracknum=%number%/trackdetails','Get','Active',NULL,NULL),(688,'Blexpress','blexpress',45,'blexpress','Get','Active',NULL,NULL),(689,'Biz Courier','biz-courier',85,'https://trackit.bizcourier.eu/app/en/%number%','Get','Active',NULL,NULL),(690,'Dhlink','dhlink',45,'http://www.dhlink.com/trackQuery','Get','Active',NULL,NULL),(691,'HHY Express','hhy-express',45,'https://www.track718.com/en/detail?nums=%number%','Get','Active',NULL,NULL),(692,'Elog Luxembourg','elog-luxembourg',126,'https://www.elog-luxembourg.com/tracking?q=%number%','Get','Active',NULL,NULL),(694,'Kaigenlogistics','kaigenlogistics',45,'https://www.kaigenlogistics.com/','Get','Active',NULL,NULL),(695,'Xin Shu Logistics','xin-shu-logistics',45,'http://106.52.18.124:8082/trackIndex.htm','Get','Active',NULL,NULL),(696,'KOMON EXPRESS','komon-express',45,'https://t.17track.net/en#nums=%number%','Get','Active',NULL,NULL),(697,'Yide International','yide-international',45,'http://www.ydexp.com/','Get','Active',NULL,NULL),(698,'Hua Xi','hua-xi',45,'http://www.huaxiexpress.com/','Get','Active',NULL,NULL),(699,'Zhi Teng Logistics','zhi-teng-logistics',45,'http://www.zhiteng.biz:8888/WebTrack','Get','Active',NULL,NULL),(701,'HOTWMS','hotwms',45,'http://www.hotwms.com/trace.html','Get','Active',NULL,NULL),(702,'HJWL','hjwl',44,'http://www.hjwl.ltd/login','Get','Active',NULL,NULL),(703,'HD Express','hd-express',45,'http://www.hdc-express.com/#/user/login/redirect=','Get','Active',NULL,NULL),(705,'Bridge','bridge',45,'https://www.bri-ems.com/query','Get','Active',NULL,NULL),(706,'Canada Air Express','canada-air-express',45,'https://air-gtc.com/WaybillLot.aspx','Get','Active',NULL,NULL),(707,'LONGCPS','longcps',45,'http://www.longcps.com/select/?num=%number%','Get','Active',NULL,NULL),(708,'Hui Feng Logistics','hui-feng-logistics',45,'https://www.huif56.com/chaxun.php?act=search','Get','Active',NULL,NULL),(710,'La Huo Express','la-huo-express',45,'http://www.lahuoex.com/cha/query1.php','Get','Active',NULL,NULL),(711,'FT Exprss','ft-exprss',45,'http://www.101iex.com/select/?num=%number%','Get','Active',NULL,NULL),(712,'Run Bai Internation','run bai internation',45,'http://www.runbail.com/dhcx?%number%','Get','Active',NULL,NULL),(714,'JIACHEN INTERNATIONAL','jiachen-international',45,'https://www.jiachenexpress.com/select/?num=%number%','Get','Active',NULL,NULL),(715,'LD Express','ld-express',45,'http://www.leda-express.com/queryexpress.html','Get','Active',NULL,NULL),(716,'VALUEWAY','valueway',45,'http://www.valueway.net/main.html','Get','Active',NULL,NULL),(718,'Go Express','go-express',45,'http://www.goex.co.nz/cgi-bin/GInfo.dll?DispInfo&w=flywayex&nid=3','Get','Active',NULL,NULL),(722,'LvSe International','lvse-international',45,'http://www.ntlsgj.com/','Get','Active',NULL,NULL),(723,'Speedaf Express','speedaf-express',45,'https://speedaf.com/cn-cn/send-parcel','Get','Active',NULL,NULL),(725,'YFHEX LOGISTICS','yfhex-logistics',45,'http://www.yfhex.com/','Get','Active',NULL,NULL),(726,'China Post E-commerce','china-post-e-commerce',45,'http://wuliu.chinapost-cb.com/enquiry/cx','Get','Active',NULL,NULL),(728,'Xun Tian International','xun-tian-international',45,'https://www.uniment.net/itdida-flash/uniment/waybill-search-result/xtl','Get','Active',NULL,NULL),(729,'Zhongrong Tailong','zhongrong-tailong',45,'http://www.zrtl.com/search/#num','Get','Active',NULL,NULL),(731,'SKR InterNational','skr-international',45,'http://www.skr56.com/','Get','Active',NULL,NULL),(732,'Yi Long Exp','yi-long-exp',45,'http://open.ylexp.com/ylexp/6/d.htm','Get','Active',NULL,NULL),(734,'Cloud mail cross border Express','cloud-mail-cross-border-express',45,'http://www.hkems.cn/','Get','Active',NULL,NULL),(736,'Youhai International Express','youhai-international-express',82,'http://www.uhiexpress.com/Track/Index?trackcodes=%number%','Get','Active',NULL,NULL),(737,'BJYTSYWL','bjytsywl',45,'http://www.bjytsywl.com/?c=article&a=wuliuinfo','Get','Active',NULL,NULL),(738,'SLICITY','slicity',45,'http://www.yz-ex.com/','Get','Active',NULL,NULL),(740,'Yjs-China','yjs-china',45,'http://www.yjs-china.com/Home/QueryOrder','Get','Active',NULL,NULL),(741,'Yadex','yadex',45,'http://www.yadex.com.cn/index/waybill?nu=%number%','Get','Active',NULL,NULL),(742,'Qhxyyg','qhxyyg',45,'http://www.qhxyyg.com/','Get','Active',NULL,NULL),(743,'Armenia Post','armenia-post',13,'https://www.haypost.am/am/track-trace#%number%','Get','Active',NULL,NULL),(744,'Azerbaijan Post','azerbaijan-post',17,'http://www.azerpost.az/az/tracking','Get','Active',NULL,NULL),(745,'Cambodia Post','cambodia-post',38,'https://www.cambodiapost.com.kh/global-track','Get','Active',NULL,NULL),(746,'Namibia Post','namibia-post',149,'https://www.nampost.com.na/','Get','Active',NULL,NULL),(747,'Matdespatch','matdespatch',131,'https://matdespatch-my.delyva.app/customer/strack?trackingNo=%number%','Get','Active',NULL,NULL),(750,'PostaPlus','postaplus',116,'https://www.postaplus.com/?trackid=%number%&trackby=awb','Get','Active',NULL,NULL),(751,'Royal Shipments','royal-shipments',172,'https://royalshipments.com/tt/%number%','Get','Active',NULL,NULL),(752,'Ninja Van Vietnam','ninja-van-vietnam',233,'https://www.ninjavan.co/en-sg/tracking?id=%number%','Get','Active',NULL,NULL),(754,'Kazakhstan Post','kazakhstan-post',111,'https://post.kz/services/postal/%number%','Get','Active',NULL,NULL),(755,'Smart Delivery','smart-delivery',111,'https://www.smartdelivery.kz/index.php?lang=ru#track','Get','Active',NULL,NULL),(756,'Togo Post','togo-post',214,'https://www.laposte.tg/suivi-envois','Get','Active',NULL,NULL),(764,'Pasamar','pasamar',48,'https://pasamar.com.co/historial-guia/%number%','Get','Active',NULL,NULL),(773,'FLYSMAN','flysman',44,'http://www.flysman.com/','Get','Active',NULL,NULL),(776,'Kwai Bon','kwai-bon',45,'http://oms-sz.kwaibon.com:8082/en/trackIndex.htm','Get','Active',NULL,NULL),(777,'PTS','pts',219,'https://wp.pts.net/en/track-your-parcel','Get','Active',NULL,NULL),(778,'Sameday','sameday',178,'https://sameday.ro/?lang=en#awb=%number%','Get','Active',NULL,NULL),(779,'UniUni','uniuni',2,'https://www.uniuni.com/tracking/','Get','Active',NULL,NULL),(780,'Leopard Courier','leopard-courier',164,'https://www.leopardscourier.com/leopards-tracking','Get','Active',NULL,NULL),(783,'FUJIE Express','fujie-express',45,'http://www.fujexp.com/','Get','Active',NULL,NULL),(784,'GTA GSM','gta-gsm',2,'https://tracking.gtagsm.com/Tracking/Details/%number%','Get','Active',NULL,NULL),(786,'Sequoia Logistica','sequoia-logistica',32,'https://rastreio.frenet.com.br/SEQ/%number%','Get','Active',NULL,NULL),(787,'Geis Poland','geis-poland',172,'https://www.geis.pl/en/detail-of-cargo?packNumber=%number%','Get','Active',NULL,NULL),(788,'YTO Express','yto-express',45,'https://www.yto.net.cn/tracesimple.html/?orders=%number%','Get','Active',NULL,NULL),(790,'TAS COURIER','tas-courier',85,'https://www.tascourier.gr/track?v=%number%','Get','Active',NULL,NULL),(791,'Anjun','anjun',45,'https://pu.anjuntrack.com/trackQuery?t=%number%','Get','Active',NULL,NULL),(794,'Intertown Transport','intertown-transport',197,'https://www.intertown.co.za/','Get','Active',NULL,NULL),(796,'CTT Express Spain','ctt-express-spain',199,'https://www.cttexpress.com/localizador-de-envios/?sc=%number%&amp;button=Localiza+tu+env%C3%ADo','Get','Active',NULL,NULL),(797,'GLS Serbia','gls-serbia',189,'https://gls-group.com/RS/en/parcel-tracking?match=%number%','Get','Active',NULL,NULL),(798,'Cargo Expreso','cargo-expreso',90,'https://www.cargoexpreso.com/tracking/?guia=%number%','Get','Active',NULL,NULL),(799,'Team Global Express','team-global-express',15,'https://www.myteamge.com/web/guest/','Get','Active',NULL,NULL),(800,'FleetOptics','fleetoptics',2,'https://fleetopticsinc.ca/','Get','Active',NULL,NULL),(801,'Shopee Xpress','shopeexpress',213,'https://spx.co.th/detail/%number%','Get','Active',NULL,NULL),(803,'InPost','inpost',106,'https://inpost.it/trova-il-tuo-pacco?number=%number%','Get','Active',NULL,NULL),(804,'YDM','ydm',105,'https://connect.datalogics.co.il/shipping/ydm3/?shipment_id=%number%','Get','Active',NULL,NULL),(805,'TIMISC','timisc',45,'http://www.timisc.com/track.htm','Get','Active',NULL,NULL),(807,'Mahavir','mahavir',100,'http://www.shreemahavircourier.com/index.aspx','Get','Active',NULL,NULL),(808,'DPD Switzerland','dpd-switzerland',208,'https://tracking.dpd.de/status/de_CH/parcel/%number%','Get','Active',NULL,NULL),(809,'SFYD Express','sfyd-express',45,'http://www.sfydexpress.com/track.html?c=%number%','Get','Active',NULL,NULL),(810,'ED Post','ed-post',45,'http://www.666post.com/track','Get','Active',NULL,NULL),(811,'XYS Logistics','xys-logistics',45,'http://xyslogistics.com/track.html?c=%number%','Get','Active',NULL,NULL),(812,'AJEX','ajex',45,'https://www.aj-ex.com.cn/tracking?tracking_number=%number%','Get','Active',NULL,NULL),(814,'Road Logistics','roadlogistics',187,'https://my.road-logistics.com/track','Get','Active',NULL,NULL),(815,'Call Courier','call-courier',164,'https://callcourier.com.pk/tracking/?tc=%number%','Get','Active',NULL,NULL),(816,'Swyft Logistics','swyftlogistics',164,'https://parceltracking.swyftlogistics.com/?%number%','Get','Active',NULL,NULL),(817,'GLS Czech','gls-czech',56,'https://gls-group.eu/CZ/cs/sledovani-zasilek/?match=%number%','Get','Active',NULL,NULL),(818,'EcoScooting','ecoscooting',199,'https://www.ecoscooting.com/','Get','Active',NULL,NULL),(819,'JPS','jps',45,'http://jpsgjwl.com/search_order.aspx?trackNumber=%number%','Get','Active',NULL,NULL),(820,'UPS France','ups-france',74,'https://www.ups.com/track?loc=fr_FR&requester=QUIC&tracknum=%number%/trackdetails','Get','Active',NULL,NULL),(826,'Danske Fragtmænd','danske-fragtmænd',58,'https://trace.fragt.dk/#/trackTrace/%number%','Get','Active',NULL,NULL),(828,'Sameday Hungary','sameday-hungary',98,'https://sameday.hu/?lang=en#awb=%number%','Get','Active',NULL,NULL),(832,'PACKS','packs',152,'https://www.packs.nl/track-trace/','Get','Active',NULL,NULL),(833,'Sunson','sunson',45,'http://111.230.206.59:8082/trackIndex.htm','Get','Active',NULL,NULL),(834,'BGY','bgy',45,'http://www.bgygyl.com/track.aspx','Get','Active',NULL,NULL),(835,'Orlen paczka','orlen-paczka',172,'https://www.orlenpaczka.pl/sledz-paczke/?numer=%number%','Get','Active',NULL,NULL),(836,'Itella','itella',68,'https://itella.ee/en/private-customer/parcel-tracking/','Get','Active',NULL,NULL),(839,'LICCARDI EXPRESS','liccardi-express',106,'https://my.liccarditrasporti.com/segui','Get','Active',NULL,NULL),(840,'BOX NOW','box-now',85,'https://boxnow.gr/?track=%number%','Get','Active',NULL,NULL),(841,'Mark Express','mark-express',100,'https://markexpress.co.in/','Get','Active',NULL,NULL),(842,'Taxydema','taxydema',85,'https://taxydema.gr/','Get','Active',NULL,NULL),(843,'Pullman Cargo','pullman-cargo',44,'https://www.pullmango.cl/','Get','Active',NULL,NULL),(844,'Followmont Transport','followmont-transport',15,'https://www.followmont.com.au/?page=fmt_template&fmt_template=track-trace&track-trace=track-trace-start-unsecured-user','Get','Active',NULL,NULL),(846,'Northline','northline',15,'https://www.northline.com.au/','Get','Active',NULL,NULL),(847,'PostNord Sweden','postNord-sweden',207,'https://www.postnord.se/vara-verktyg/spara-brev-paket-och-pall/?shipmentId=%number%','Get','Active',NULL,NULL),(848,'Fan Courier','fan-courier',178,'https://www.fancourier.ro/awb-tracking/?tracking=%number%','Get','Active',NULL,NULL),(849,'Team Global Express NZ','team-global-express-nz',155,'https://fasttracker.teamglobalexp.co.nz/fast-tracker.aspx?fasttracker_action=findmostrecent&ConsignmentNumber=%number%','Get','Active',NULL,NULL),(850,'PostEx','postex',164,'https://merchant.postex.pk/?cn=%number%','Get','Active',NULL,NULL),(851,'Jiayou','jiayou',45,'http://www.jiayouexp.com/inquire.html?key=%number%','Get','Active',NULL,NULL),(853,'DPD Estonia','dpd-et',68,'https://tracking.dpd.de/status/et_EE/parcel/%number%','Get','Active',NULL,NULL),(855,'Quiken','quiken',140,'https://quiken.mx/rastreo/%number%','Get','Active',NULL,NULL);
/*!40000 ALTER TABLE `shipping_providers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shipping_zone_geolocales`
--

DROP TABLE IF EXISTS `shipping_zone_geolocales`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `shipping_zone_geolocales` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `shipping_zone_id` int unsigned NOT NULL,
  `country` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `zip` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `shipping_zone_geolocales_shipping_zone_id_index` (`shipping_zone_id`),
  KEY `shipping_zone_geolocales_country_index` (`country`),
  KEY `shipping_zone_geolocales_state_index` (`state`),
  KEY `shipping_zone_geolocales_city_index` (`city`),
  CONSTRAINT `shipping_zone_geolocales_shipping_zone_id_foreign` FOREIGN KEY (`shipping_zone_id`) REFERENCES `shipping_zones` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=67 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shipping_zone_geolocales`
--

LOCK TABLES `shipping_zone_geolocales` WRITE;
/*!40000 ALTER TABLE `shipping_zone_geolocales` DISABLE KEYS */;
INSERT INTO `shipping_zone_geolocales` VALUES (58,1,'BD','81','','','2024-09-19 06:34:35',NULL),(59,2,'BD','82','','','2024-09-19 06:34:35',NULL),(60,3,'BD','H','','','2024-09-19 06:34:35',NULL),(61,4,'BD','85','','','2024-09-19 06:34:35',NULL),(62,5,'BD','87','','','2024-09-19 06:34:35',NULL),(63,6,'BD','84','','','2024-09-19 06:34:35',NULL),(64,7,'BD','86','','','2024-09-19 06:34:35',NULL),(65,8,'BD','83','','','2024-09-19 06:34:35',NULL),(66,9,'','','','','2024-09-19 06:34:35',NULL);
/*!40000 ALTER TABLE `shipping_zone_geolocales` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shipping_zone_shipping_classes`
--

DROP TABLE IF EXISTS `shipping_zone_shipping_classes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `shipping_zone_shipping_classes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `shipping_zone_id` int unsigned NOT NULL,
  `shipping_class_slug` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cost` decimal(16,8) DEFAULT NULL,
  `cost_type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `shipping_zone_shipping_classes_shipping_zone_id_index` (`shipping_zone_id`),
  KEY `shipping_zone_shipping_classes_shipping_class_slug_index` (`shipping_class_slug`),
  KEY `shipping_zone_shipping_classes_cost_index` (`cost`),
  KEY `shipping_zone_shipping_classes_cost_type_index` (`cost_type`),
  CONSTRAINT `shipping_zone_shipping_classes_shipping_class_slug_foreign` FOREIGN KEY (`shipping_class_slug`) REFERENCES `shipping_classes` (`slug`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `shipping_zone_shipping_classes_shipping_zone_id_foreign` FOREIGN KEY (`shipping_zone_id`) REFERENCES `shipping_zones` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=199 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shipping_zone_shipping_classes`
--

LOCK TABLES `shipping_zone_shipping_classes` WRITE;
/*!40000 ALTER TABLE `shipping_zone_shipping_classes` DISABLE KEYS */;
INSERT INTO `shipping_zone_shipping_classes` VALUES (172,1,'no-class',0.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(173,1,'heavy',2.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(174,1,'light',1.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(175,2,'no-class',0.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(176,2,'heavy',4.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(177,2,'light',1.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(178,3,'no-class',0.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(179,3,'heavy',2.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(180,3,'light',1.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(181,4,'no-class',0.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(182,4,'heavy',3.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(183,4,'light',2.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(184,5,'no-class',0.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(185,5,'heavy',3.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(186,5,'light',1.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(187,6,'no-class',0.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(188,6,'heavy',4.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(189,6,'light',2.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(190,7,'no-class',0.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(191,7,'heavy',2.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(192,7,'light',1.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(193,8,'no-class',0.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(194,8,'heavy',3.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(195,8,'light',1.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(196,9,'no-class',0.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(197,9,'heavy',20.00000000,'cost_per_order','2024-09-19 06:34:35',NULL),(198,9,'light',5.00000000,'cost_per_order','2024-09-19 06:34:35',NULL);
/*!40000 ALTER TABLE `shipping_zone_shipping_classes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shipping_zone_shipping_methods`
--

DROP TABLE IF EXISTS `shipping_zone_shipping_methods`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `shipping_zone_shipping_methods` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `shipping_zone_id` int unsigned NOT NULL,
  `shipping_method_id` int unsigned NOT NULL,
  `method_title` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_status` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cost` decimal(16,8) DEFAULT NULL COMMENT 'free shipping minimum order',
  `cost_type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `calculation_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'free shipping coupon discount',
  `requirements` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint NOT NULL DEFAULT '0',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `shipping_zone_shipping_methods_shipping_zone_id_index` (`shipping_zone_id`),
  KEY `shipping_zone_shipping_methods_shipping_method_id_index` (`shipping_method_id`),
  KEY `shipping_zone_shipping_methods_tax_status_index` (`tax_status`),
  KEY `shipping_zone_shipping_methods_cost_index` (`cost`),
  KEY `shipping_zone_shipping_methods_cost_type_index` (`cost_type`),
  KEY `shipping_zone_shipping_methods_calculation_type_index` (`calculation_type`),
  KEY `shipping_zone_shipping_methods_requirements_index` (`requirements`),
  KEY `shipping_zone_shipping_methods_status_index` (`status`),
  CONSTRAINT `shipping_zone_shipping_methods_shipping_method_id_foreign` FOREIGN KEY (`shipping_method_id`) REFERENCES `shipping_methods` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `shipping_zone_shipping_methods_shipping_zone_id_foreign` FOREIGN KEY (`shipping_zone_id`) REFERENCES `shipping_zones` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=199 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shipping_zone_shipping_methods`
--

LOCK TABLES `shipping_zone_shipping_methods` WRITE;
/*!40000 ALTER TABLE `shipping_zone_shipping_methods` DISABLE KEYS */;
INSERT INTO `shipping_zone_shipping_methods` VALUES (172,1,3,'Flat Rate','taxable',1.00000000,'cost_per_order','class',NULL,1,'2024-09-19 06:34:35',NULL),(173,1,2,'Local Pickup','none',0.00000000,'cost_per_order',NULL,NULL,1,'2024-09-19 06:34:35',NULL),(174,1,1,'Free Shipping',NULL,0.00000000,NULL,'0','',0,'2024-09-19 06:34:35',NULL),(175,2,3,'Flat Rate','taxable',1.00000000,'cost_per_order','order',NULL,1,'2024-09-19 06:34:35',NULL),(176,2,2,'Local Pickup','none',2.00000000,'cost_per_order',NULL,NULL,1,'2024-09-19 06:34:35',NULL),(177,2,1,'Free Shipping',NULL,0.00000000,NULL,'0','',0,'2024-09-19 06:34:35',NULL),(178,3,3,'Flat Rate','taxable',0.00000000,'cost_per_order','order',NULL,1,'2024-09-19 06:34:35',NULL),(179,3,2,'Local Pickup','none',0.00000000,'cost_per_order',NULL,NULL,1,'2024-09-19 06:34:35',NULL),(180,3,1,'Free Shipping',NULL,0.00000000,NULL,'0','',0,'2024-09-19 06:34:35',NULL),(181,4,3,'Flat Rate','taxable',3.00000000,'cost_per_order','class',NULL,1,'2024-09-19 06:34:35',NULL),(182,4,2,'Local Pickup','none',0.00000000,'cost_per_order',NULL,NULL,1,'2024-09-19 06:34:35',NULL),(183,4,1,'Free Shipping',NULL,0.00000000,NULL,'0','',0,'2024-09-19 06:34:35',NULL),(184,5,3,'Flat Rate','taxable',2.00000000,'cost_per_order','class',NULL,1,'2024-09-19 06:34:35',NULL),(185,5,2,'Local Pickup','none',1.00000000,'cost_per_order',NULL,NULL,1,'2024-09-19 06:34:35',NULL),(186,5,1,'Free Shipping',NULL,0.00000000,NULL,'0','',0,'2024-09-19 06:34:35',NULL),(187,6,3,'Flat Rate','taxable',2.00000000,'cost_per_order','order',NULL,1,'2024-09-19 06:34:35',NULL),(188,6,2,'Local Pickup','none',1.00000000,'cost_per_order',NULL,NULL,1,'2024-09-19 06:34:35',NULL),(189,6,1,'Free Shipping',NULL,0.00000000,NULL,'0','',0,'2024-09-19 06:34:35',NULL),(190,7,3,'Flat Rate','taxable',1.00000000,'cost_per_order','class',NULL,1,'2024-09-19 06:34:35',NULL),(191,7,2,'Local Pickup','none',1.00000000,'cost_per_order',NULL,NULL,1,'2024-09-19 06:34:35',NULL),(192,7,1,'Free Shipping',NULL,0.00000000,NULL,'0','',1,'2024-09-19 06:34:35',NULL),(193,8,3,'Flat Rate','taxable',2.00000000,'cost_per_order','class',NULL,1,'2024-09-19 06:34:35',NULL),(194,8,2,'Local Pickup','none',1.00000000,'cost_per_order',NULL,NULL,1,'2024-09-19 06:34:35',NULL),(195,8,1,'Free Shipping',NULL,0.00000000,NULL,'0','',0,'2024-09-19 06:34:35',NULL),(196,9,3,'Flat Rate','taxable',10.00000000,'cost_per_order','order',NULL,1,'2024-09-19 06:34:35',NULL),(197,9,2,'Local Pickup','none',1.00000000,'cost_per_order',NULL,NULL,1,'2024-09-19 06:34:35',NULL),(198,9,1,'Free Shipping',NULL,0.00000000,NULL,'0','',0,'2024-09-19 06:34:35',NULL);
/*!40000 ALTER TABLE `shipping_zone_shipping_methods` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shipping_zones`
--

DROP TABLE IF EXISTS `shipping_zones`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `shipping_zones` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `shipping_zones_name_index` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shipping_zones`
--

LOCK TABLES `shipping_zones` WRITE;
/*!40000 ALTER TABLE `shipping_zones` DISABLE KEYS */;
INSERT INTO `shipping_zones` VALUES (1,'Bangladesh - Dhaka','2024-09-19 06:34:35',NULL),(2,'Bangladesh - Khulna','2024-09-19 06:34:35',NULL),(3,'Bangladesh - Mymensingh','2024-09-19 06:34:35',NULL),(4,'Bangladesh - Barishal','2024-09-19 06:34:35',NULL),(5,'Bangladesh - Rangpur','2024-09-19 06:34:35',NULL),(6,'Bangladesh - Chittagong','2024-09-19 06:34:35',NULL),(7,'Bangladesh - Sylhet','2024-09-19 06:34:35',NULL),(8,'Bangladesh - Rajshahi','2024-09-19 06:34:35',NULL),(9,'Global','2024-09-19 06:34:35',NULL);
/*!40000 ALTER TABLE `shipping_zones` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shops`
--

DROP TABLE IF EXISTS `shops`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `shops` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `vendor_id` bigint NOT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `website` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `alias` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `address` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `post_code` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `fax` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(5000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Active' COMMENT 'Active/Inactive;',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `shops_alias_unique` (`alias`),
  KEY `shops_vendor_id_foreign_idx` (`vendor_id`),
  KEY `shops_name_index` (`name`),
  KEY `shops_email_index` (`email`),
  KEY `shops_phone_index` (`phone`),
  KEY `shops_status_index` (`status`),
  CONSTRAINT `shops_vendor_id_foreign` FOREIGN KEY (`vendor_id`) REFERENCES `vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shops`
--

LOCK TABLES `shops` WRITE;
/*!40000 ALTER TABLE `shops` DISABLE KEYS */;
INSERT INTO `shops` VALUES (1,2,'Jamal','vendor@techvill.net',NULL,'jamal','House no: 47, Road no: 02','bd','87','nilphamari','5300','09854789632',NULL,NULL,'Active','2024-09-19 06:34:36',NULL),(2,1,'Henry\'s Shop','henry012045@gmail.com',NULL,'henry-william','House no: 19, Road no: 01','au','7','bonegilla','6280','0135467989',NULL,NULL,'Active','2024-09-19 06:34:36',NULL),(3,17,'Jacob','jacob012045@gmail.com',NULL,'jacob-wiliam','House no: 2','be','wal','baileux','6280','0135467989',NULL,NULL,'Active','2024-09-19 06:34:36',NULL),(4,18,'Mason','mason012045@gmail.com',NULL,'mason-william','House no: 9, Road no: 11','ru','3','Souzga','6280','0135467989',NULL,NULL,'Active','2024-09-19 06:34:36',NULL),(5,19,'Daniel','daniel012045@gmail.com',NULL,'daniel-william','House no: 9, Road no: 11','us','ny','Boston','6280','0135467989',NULL,NULL,'Active','2024-09-19 06:34:36',NULL),(6,20,'Micheal','micheal012045@gmail.com',NULL,'micheal-william','house no: 7','bd','81','Azimpur','6280','0135467989',NULL,NULL,'Active','2024-09-19 06:34:36',NULL),(7,16,'SevenStar Furnitures','henry012045@gmail.com',NULL,'sevenStar-furnitures','house no: 7','bd','81','Azimpur','6280','0135467988',NULL,NULL,'Active','2024-09-19 06:34:36',NULL),(8,21,'Lenin Rock','lenin.rock@gmail.com',NULL,'lenin-rock','house no: 7','bd','81','Azimpur','6280','0135467939',NULL,NULL,'Active','2024-09-19 06:34:36',NULL),(9,22,'Danielle Rios','jexygobevo@mailinator.com',NULL,'anthony-hendricks-adena-stout','Sit molestiae bland','pl','86','Babiak','54000','01732216554',NULL,NULL,'Active','2024-09-19 06:34:36',NULL),(10,23,'Curran Guerra','tawuqokel@mailinator.com',NULL,'daryl-long-garrett-nichols','Officia quos in sit','ru','3','Biyka','25454','01248876447',NULL,NULL,'Active','2024-09-19 06:34:36',NULL),(11,24,'Aurelia Hopper','neses@mailinator.com',NULL,'ivor-barber-lesley-figueroa','Qui voluptatem ut ab','la','22','Ban Houakhoua','76266','01734487668',NULL,NULL,'Active','2024-09-19 06:34:36',NULL),(12,25,'Harlan Whitehead','beganeco@mailinator.com',NULL,'arden-bryant-kiara-nash','Cumque aliquam ullam','pw','1','Ngchemiangel','24875','01451176447',NULL,NULL,'Active','2024-09-19 06:34:36',NULL);
/*!40000 ALTER TABLE `shops` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sliders`
--

DROP TABLE IF EXISTS `sliders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sliders` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sliders`
--

LOCK TABLES `sliders` WRITE;
/*!40000 ALTER TABLE `sliders` DISABLE KEYS */;
INSERT INTO `sliders` VALUES (1,'Home Page','home-page','Active',NULL,NULL),(2,'Grocery','grocery','Active',NULL,NULL),(3,'Fashion','fashion','Active',NULL,NULL),(4,'Fashion - Accessories','fashion-accessories','Active',NULL,NULL),(5,'Mixed Primary','mixed','Active',NULL,NULL),(6,'Mixed Secondary','mixed-secondary','Active',NULL,NULL),(7,'Fashion V2 Primary','fashion-v2-primary','Active',NULL,NULL),(8,'Fashion V2 Secondary','fashion-v2-secondary','Active',NULL,NULL),(9,'Fashion V3.1','fashion-v31','Active',NULL,NULL),(10,'Fashion V3.2','fashion-v32','Active',NULL,NULL),(11,'Fashion V3.3','fashion-v33','Active',NULL,NULL),(12,'Fashion V3.4','fashion-v34','Active',NULL,NULL),(13,'Fashion V3.5','fashion-v35','Active',NULL,NULL),(14,'Furniture V1.1','furniture-v11','Active',NULL,NULL),(15,'Furniture V1.2','furniture-v12','Active',NULL,NULL),(16,'Furniture V1.3','furniture-v13','Active',NULL,NULL),(17,'Fashion V4.1','fashion-v41','Active',NULL,NULL),(18,'Digital V1.1','digital-v11','Active',NULL,NULL),(19,'Digital V1.2','digital-v12','Active',NULL,NULL),(20,'Fashion V5 Primary','fashion-v5-primary','Active',NULL,NULL),(21,'Fashion V5.1','fashion-v51','Active',NULL,NULL),(22,'Fashion V5.3','fashion-v53','Active',NULL,NULL),(23,'Fashion V5.4','fashion-v54','Active',NULL,NULL),(24,'Fashion V5.2','fashion-v52','Active',NULL,NULL);
/*!40000 ALTER TABLE `sliders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `slides`
--

DROP TABLE IF EXISTS `slides`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `slides` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `slider_id` bigint unsigned NOT NULL,
  `title_text` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `title_animation` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `title_delay` double(4,3) DEFAULT NULL,
  `title_font_color` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `title_font_size` int DEFAULT NULL,
  `title_direction` varchar(6) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_title_text` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_title_animation` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_title_delay` double(4,3) DEFAULT NULL,
  `sub_title_font_color` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_title_font_size` int DEFAULT NULL,
  `sub_title_direction` varchar(6) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description_title_text` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description_title_animation` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description_title_delay` double(4,3) DEFAULT NULL,
  `description_title_font_color` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description_title_font_size` int DEFAULT NULL,
  `description_title_direction` varchar(6) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `button_title` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `button_link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `button_font_color` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '#ffffff',
  `button_bg_color` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '#000000',
  `button_position` varchar(6) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `button_animation` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'fadeIn',
  `button_delay` double(4,3) DEFAULT NULL,
  `is_open_in_new_window` varchar(3) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Yes',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `slides_slider_id_foreign` (`slider_id`),
  CONSTRAINT `slides_slider_id_foreign` FOREIGN KEY (`slider_id`) REFERENCES `sliders` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=54 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `slides`
--

LOCK TABLES `slides` WRITE;
/*!40000 ALTER TABLE `slides` DISABLE KEYS */;
INSERT INTO `slides` VALUES (1,1,'','fadeIn',0.020,'#737373',0,'left','','fadeIn',0.020,'#000000',40,'left','','fadeIn',0.030,'#000000',26,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=Fashion','#2c2c2c','#fcca19','left','fadeIn',0.000,'Yes',NULL,NULL),(2,1,'Hena’s Lifestyle','fadeIn',0.020,'#dcdbdb',26,'left','MODERN FURNITURES','fadeIn',0.020,'#ffffff',40,'left','Flash Sale up to <br><span style=\"color:#E43147;margin-top:10px\">10% OFF<span>','fadeIn',0.020,'#ffffff',26,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=Home%20Appliances','#2c2c2c','#fcca19','left','fadeIn',0.000,'Yes',NULL,NULL),(3,1,'Custom Men’s','fadeIn',0.020,'#878787',26,'left','SPORTS GEAR','fadeIn',0.020,'#000000',40,'left','Flash Sale up to <br><span style=\"color:#E43147;margin-top:10px\">30% OFF<span>','fadeIn',0.020,'#000000',26,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=Automotive%20%26%20Motorbike','#2c2c2c','#fcca19','left','fadeIn',0.000,'Yes',NULL,NULL),(4,1,'CellHive Gadgets','fadeIn',0.020,'#8c8c8c',26,'left','GEN V EARPHONES','fadeIn',0.020,'#000000',40,'left','Sale up to <br><span style=\"color:#E43147;margin-top:10px\">30% OFF<span>','fadeIn',0.020,'#000000',26,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=Electronic%20Accessories','#2c2c2c','#fcca19','left','fadeIn',0.000,'Yes',NULL,NULL),(5,2,'New Martvill’s','fadeIn',0.200,'#069c6f',26,'left','GROCERY STORE','fadeIn',0.200,'#2c2c2c',40,'left','Free Home Delivery<br><span style=\"color:#FA886A;margin-top:10px\">30% OFF<span>','fadeIn',0.200,'#2c2c2c',26,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=Food%20Preparation','#2c2c2c','#fcca19','left','fadeIn',0.000,'Yes',NULL,NULL),(6,2,'New Martvill’s','fadeIn',0.200,'#069c6f',26,'left','ALL VEGGIES','fadeIn',0.200,'#2c2c2c',40,'left','Free Home delivery <br><span style=\"color:#FA886A;margin-top:10px\">30% OFF<span>','fadeIn',0.200,'#2c2c2c',26,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=Food%20Preparation','#2c2c2c','#fcca19','left','fadeIn',0.000,'Yes',NULL,NULL),(7,2,'New Martvill’s','fadeIn',0.200,'#2c2c2c',26,'left','TROPICANOS','fadeIn',0.200,'#069c6f',40,'left','Free Home delivery<br><span style=\"color:#2c2c2c;margin-top:10px\">30% OFF<span>','fadeIn',0.200,'#2c2c2c',26,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=Food%20Preparation','#ffffff','#069c6f','left','fadeIn',0.000,'Yes',NULL,NULL),(8,2,'New Martvill’s','fadeIn',0.200,'#069c6f',26,'left','PURE HONEY','fadeIn',0.200,'#2c2c2c',40,'left','Free Home delivery <br><span style=\"color:#FA886A;margin-top:10px\">30% OFF<span>','fadeIn',0.200,'#2c2c2c',26,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=Food%20Preparation','#2c2c2c','#fcca19','left','fadeIn',0.000,'Yes',NULL,NULL),(9,3,'New Martvill’s','fadeIn',0.200,'#2c2c2c',26,'left','LIVING & FASHION','fadeIn',0.200,'#2c2c2c',40,'left','Free Home delivery <br><span style=\"color:#E43147;margin-top:10px\">30% OFF<span>','fadeIn',0.200,'#2c2c2c',26,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=Panjabi%20%26%20Fatua','#2c2c2c','#fcca19','left','fadeIn',0.000,'Yes',NULL,NULL),(10,3,'New Martvill’s','fadeIn',0.200,'#2c2c2c',26,'left','LIVING & FASHION','fadeIn',0.200,'#2c2c2c',40,'left','Free Home delivery <br><span style=\"color:#E43147;margin-top:10px\">30% OFF<span>','fadeIn',0.200,'#2c2c2c',26,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=Panjabi%20%26%20Fatua','#2c2c2c','#fcca19','left','fadeIn',0.000,'Yes',NULL,NULL),(11,3,'New Martvill’s','fadeIn',0.200,'#ffffff',26,'left','ALL ABOUT MEN','fadeIn',0.200,'#ffffff',40,'left','Free Home delivery 30% OFF','fadeIn',0.200,'#ffffff',26,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=Jackets%20%26%20Coats','#2c2c2c','#fcca19','left','fadeIn',0.000,'Yes',NULL,NULL),(12,3,'New Martvill’s','fadeIn',0.200,'#2c2c2c',26,'left','AGE DOESN’T MATTER','fadeIn',0.200,'#2c2c2c',26,'left','Free Home delivery <br><span style=\"color:#E43147;margin-top:10px\">30% OFF<span>','fadeIn',0.200,'#2c2c2c',26,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=Jackets%20%26%20Coats','#2c2c2c','#fcca19','left','fadeIn',0.000,'Yes',NULL,NULL),(13,4,'Martvill’s Luxury','fadeIn',0.000,'#fcca19',26,'left','KING ROE’S SUIT','fadeIn',0.000,'#ffffff',40,'left','Free Home delivery <br><span style=\"color:#E43147;margin-top:10px\">30% OFF<span>','fadeIn',0.200,'#ffffff',26,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=Jackets%20%26%20Coats','#2c2c2c','#fcca19','left','fadeIn',0.000,'Yes',NULL,NULL),(15,4,'Watches','fadeIn',0.000,'#ffffff',26,'left','SUPREME ELEGANCE','fadeIn',0.000,'#ffffff',40,'left','Free Home delivery <br><span style=\"color:#E43147;margin-top:10px\">30% OFF<span>','fadeIn',0.000,'#ffffff',26,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=Men%27s%20Watch','#2c2c2c','#fcca19','left','fadeIn',0.000,'Yes',NULL,NULL),(16,4,'Suits & Trousers','fadeIn',0.000,'#2c2c2c',26,'left','WILD ATTITUDES','fadeIn',0.000,'#2c2c2c',40,'left','Free Home delivery <br><span style=\"color:#E43147;margin-top:10px\">30% OFF<span>','fadeIn',0.000,'#2c2c2c',26,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=Jackets%20%26%20Coats','#2c2c2c','#fcca19','left','fadeIn',0.000,'Yes',NULL,NULL),(17,5,'New Martvill’s','fadeIn',0.000,'#2c2c2c',26,'left','LIVING & FASHION','fadeIn',0.000,'#2c2c2c',40,'left','Free Home delivery <br><span style=\"color:#E43147;margin-top:10px\">30% OFF<span>','fadeIn',0.000,'#2c2c2c',26,'left','Shop now','http://localhost/multi-vendor/search-products?categories=Jackets%20%26%20Coats','#2c2c2c','#fcca19','left','fadeIn',0.000,'Yes',NULL,NULL),(18,5,'Sports Zone','fadeIn',0.000,'#e43147',26,'left','FIGHT & BE FREE','fadeIn',0.000,'#ffffff',40,'left','Free Home delivery <br><span style=\"color:#E43147;margin-top:10px\">30% OFF<span>','fadeIn',0.000,'#ffffff',26,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=Boxing%2C%20Martial%20Arts%20%26%20MMA','#ffffff','#e43147','left','fadeIn',0.000,'Yes',NULL,NULL),(19,5,'Martvill’s Footwear','fadeIn',0.000,'#fcca19',26,'left','STYLE UP YOUR FEET','fadeIn',0.000,'#ffffff',40,'left','Free Home delivery <br><span style=\"color:#E43147;margin-top:10px\">30% OFF<span>','fadeIn',0.000,'#ffffff',26,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=Shoes','#2c2c2c','#fcca19','left','fadeIn',0.000,'Yes',NULL,NULL),(20,5,'Home Sweet Home','fadeIn',0.000,'#898989',26,'left','DECORATE YOUR HOMES','fadeIn',0.000,'#2c2c2c',40,'left','Free Home delivery <br><span style=\"color:#E43147;margin-top:10px\">30% OFF<span>','fadeIn',0.000,'#2c2c2c',26,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=Small%20Kitchen%20Appliances','#2c2c2c','#fcca19','left','fadeIn',0.000,'Yes',NULL,NULL),(21,6,'Groom you kiddos','fadeIn',0.000,'#ffffff',26,'left','LITTLE STARS SHOP','fadeIn',0.000,'#ffffff',40,'left','Up to 30% OFF','fadeIn',0.000,'#2c2c2c',26,'left','Shop Now','http://localhost/multi-vendor/earch-products?categories=Babies%20%26%20Toys','#2c2c2c','#fcca19','left','fadeIn',0.000,'Yes',NULL,NULL),(22,6,'Computers','fadeIn',0.000,'#898989',26,'left','BUSINESS LAPTOPS','fadeIn',0.000,'#2c2c2c',40,'left','Up to 30% OFF','fadeIn',0.000,'#e43147',26,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=Laptops','#2c2c2c','#fcca19','left','fadeIn',0.000,'Yes',NULL,NULL),(23,6,'Mac & iPhones','fadeIn',0.000,'#898989',26,'left','TRUE CLASS','fadeIn',0.000,'#2c2c2c',40,'left','Free Delivery','fadeIn',0.000,'#e43147',26,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=Smartphones','#2c2c2c','#fcca19','left','fadeIn',0.000,'Yes',NULL,NULL),(24,6,'Mobile Phones','fadeIn',0.000,'#ffffff',26,'left','MOST WANTED','fadeIn',0.000,'#ffffff',40,'left','Starting From $199','fadeIn',0.000,'#ffffff',26,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=Smartphones','#2c2c2c','#fcca19','left','fadeIn',0.000,'Yes',NULL,NULL),(25,7,'New Martvill’s','fadeIn',0.000,'#ff6b00',26,'left','LIVING & FASHION','fadeIn',0.000,'#2c2c2c',40,'left','Free Home delivery <br><span style=\"color:#E43147;margin-top:10px\">30% OFF<span>','fadeIn',0.000,'#000000',0,'left','Shop Now','http://localhost/multi-vendor/#','#ffffff','#ff324d','left','fadeIn',0.000,'Yes',NULL,NULL),(26,7,'New Martvill’s','fadeIn',0.000,'#ff6b00',26,'left','STYLE YOUR CHILD','fadeIn',0.000,'#2c2c2c',40,'left','Free Home delivery <br><span style=\"color:#E43147;margin-top:10px\">30% OFF<span>','fadeIn',0.000,'#2c2c2c',26,'left','Shop Now','http://localhost/multi-vendor/#','#ffffff','#ff324d','left','fadeIn',0.000,'Yes',NULL,NULL),(27,7,'New Martvill’s','fadeIn',0.000,'#898989',26,'left','JAPANESE SAMURAI SUIT','fadeIn',0.000,'#2c2c2c',40,'left','Free Home delivery <br><span style=\"color:#E43147;margin-top:10px\">30% OFF<span>','fadeIn',0.000,'#2c2c2c',26,'left','Shop Now','http://localhost/multi-vendor/#','#ffffff','#ff324d','left','fadeIn',0.000,'Yes',NULL,NULL),(28,8,'<p style=\"margin-top: 64px;\">New Martvill’s</p>','fadeIn',0.000,'#23c692',26,'left','CLOTHES YOU WILL LOVE','fadeIn',0.000,'#2c2c2c',40,'left','Free Home delivery <br><span style=\"color:#E43147;margin-top:10px\">30% OFF<span>','fadeIn',0.000,'#2c2c2c',26,'left','Shop Now','http://localhost/multi-vendor/#','#ffffff','#ff324d','left','fadeIn',0.000,'Yes',NULL,NULL),(29,7,'New Martvill’s','fadeIn',0.000,'#778777',26,'left','CORPORATE ZONE','fadeIn',0.000,'#2c2c2c',40,'left','Free Home delivery <br><span style=\"color:#E43147;margin-top:10px\">30% OFF<span>','fadeIn',0.000,'#2c2c2c',26,'left','Shop Now','http://localhost/multi-vendor/#','#ffffff','#ff324d','left','fadeIn',0.000,'Yes',NULL,NULL),(30,9,'','slideInDown',0.000,'#292929',16,'left','<p style=\"margin-bottom: 30px;\">A Revolution</p>','slideInDown',0.300,'#292929',80,'left','In Retail','slideInDown',0.300,'#292929',80,'left','Shop Now','http://localhost/multi-vendor/#','#ffffff','#000000','left','slideInDown',0.600,'Yes',NULL,NULL),(31,9,'','slideInDown',0.000,'#292929',16,'left','<p style=\"margin-bottom: 30px;\">Summer Hot</p>','slideInDown',0.300,'#292929',80,'left','Key Trends','slideInDown',0.300,'#292929',60,'left','Shop Now','http://localhost/multi-vendor/#','#ffffff','#000000','left','slideInDown',0.600,'Yes',NULL,NULL),(32,9,'','slideInDown',0.000,'#292929',16,'left','<p style=\"margin-bottom: 30px;\">Baby Doll</p>','slideInDown',0.300,'#292929',80,'left','Collar Blouse','slideInDown',0.300,'#292929',60,'left','Shop Now','http://localhost/multi-vendor/#','#ffffff','#000000','left','slideInDown',0.600,'Yes',NULL,NULL),(33,10,'New Martvill’s','fadeIn',0.000,'#292929',26,'right','LIVING & FASHION','fadeIn',0.000,'#292929',40,'right','Sale up to 30% OFF','fadeIn',0.000,'#292929',26,'right','Shop Now','http://localhost/multi-vendor/#','#ffffff','#000000','right','fadeIn',0.000,'Yes',NULL,NULL),(34,11,'SUMMER COLLECTION','fadeIn',0.000,'#000000',26,'left','A Revolution','fadeIn',0.000,'#292929',50,'left','In Retail','fadeIn',0.000,'#292929',40,'left','Explore Now','http://localhost/multi-vendor/#','#ffffff','#000000','left','fadeIn',0.000,'Yes',NULL,NULL),(35,12,'New Martvill’s','fadeIn',0.000,'#292929',26,'center','LIVING & FASHION','fadeIn',0.000,'#292929',40,'center','Sale up to 30% OFF','fadeIn',0.000,'#292929',26,'center','Visit Shop','http://localhost/multi-vendor/#','#ffffff','#000000','center','fadeIn',0.000,'Yes',NULL,NULL),(36,13,'New Martvill’s','fadeIn',0.000,'#292929',26,'left','LIVING & FASHION','fadeIn',0.000,'#292929',40,'left','Sale up to 30% OFF','fadeIn',0.000,'#292929',26,'left','Explore Now','http://localhost/multi-vendor/#','#ffffff','#000000','left','fadeIn',0.000,'Yes',NULL,NULL),(37,13,'SUMMER COLLECTION','fadeIn',0.000,'#292929',26,'left','A Revolution','fadeIn',0.000,'#292929',40,'left','In Retail','fadeIn',0.000,'#292929',26,'left','Explore Now','http://localhost/multi-vendor/#','#ffffff','#000000','left','fadeIn',0.000,'Yes',NULL,NULL),(38,14,'Martvill Furnitures','slideInDown',0.000,'#ff5b30',24,'left','NO MORE','slideInDown',0.400,'#2c2c2c',56,'left','BORING HOMES','slideInDown',0.800,'#2c2c2c',56,'left','Explore All','http://localhost/multi-vendor/#','#2c2c2c','#ffb648','left','slideInDown',1.200,'Yes',NULL,NULL),(39,14,'Martvill Furnitures','slideInDown',0.000,'#ff5b30',24,'left','EXOTIC AND','slideInDown',0.400,'#2c2c2c',56,'left','MINIMAL','slideInDown',0.800,'#2c2c2c',56,'left','Explore All','http://localhost/multi-vendor/#','#2c2c2c','#ffb648','left','slideInDown',1.200,'Yes',NULL,NULL),(40,14,'New Martvill’s','slideInDown',0.000,'#ff5b30',24,'left','CLASSIC YET','slideInDown',0.400,'#2c2c2c',56,'left','MODERN','slideInDown',0.800,'#2c2c2c',56,'left','Explore All','http://localhost/multi-vendor/#','#2c2c2c','#ffb648','left','slideInDown',1.200,'Yes',NULL,NULL),(41,15,'Martvill Furniture','fadeIn',0.000,'#898989',22,'left','MINIMAL IN EVERYWAY','fadeIn',0.000,'#2c2c2c',34,'left','Free Home delivery <br> <span style=\"color: #FF693A\">30% OFF</span>','fadeIn',0.000,'#2c2c2c',20,'left','Shop Now','http://localhost/multi-vendor/#','#2c2c2c','#ffb648','left','fadeIn',0.000,'Yes',NULL,NULL),(42,16,'Martvill Furniture','fadeIn',0.000,'#898989',26,'center','MINIMALISTIC IS EVERYWAY','fadeIn',0.000,'#2c2c2c',40,'center','Get the best with worldwide shipping <br> <span style=\"color: #FF693A\">up to 30% Discount</span>','fadeIn',0.000,'#2c2c2c',26,'center','','','#ffffff','#000000','left','fadeIn',0.000,'Yes',NULL,NULL),(43,17,'NEW COLLECTION','slideInLeft',0.000,'#333333',13,'left','Find Your New <br> Favorite Clothing','slideInLeft',0.200,'#333333',45,'left','Keep perfect time with the contemporary, expertly-crafted designs.','slideInLeft',0.400,'#777777',13,'left','DISCOVER NOW','http://localhost/multi-vendor/#','#ffffff','#48cab2','left','slideInLeft',0.600,'Yes',NULL,NULL),(44,17,'NEED-IT-NOW','slideInUp',0.000,'#333333',13,'right','Must-Haves <br> for the Season','slideInUp',0.200,'#333333',45,'right','Contemporary, minimal and beautifully iconic.','slideInUp',0.400,'#777777',13,'right','SHOP NOW','http://localhost/multi-vendor/#','#ffffff','#48cab2','right','slideInUp',0.600,'Yes',NULL,NULL),(45,17,'DON\'T MISS TODAY\'S FEATURED DEALS','slideInRight',0.000,'#000000',13,'left','Get up to <br> 50% Off','slideInRight',0.200,'#333333',45,'left','Here to bring your life style to the next level.','slideInRight',0.400,'#000000',13,'left','Explore All','http://localhost/multi-vendor/#','#ffffff','#48cab2','left','slideInRight',0.600,'Yes',NULL,NULL),(46,18,'Martvill Digital','fadeIn',0.000,'#ffffff',26,'left','PREMIUM TUTORIALS <br> & SOFTWARES','fadeIn',0.000,'#ffffff',40,'left','Right at your fingertips','fadeIn',0.000,'#ffffff',26,'left','Get Started','http://localhost/multi-vendor/#','#2c2c2c','#ffffff','left','fadeIn',0.000,'Yes',NULL,NULL),(47,20,'New Martvill’s','fadeIn',NULL,'#2c2c2c',26,'left','CLOTHES <span style=\"color:#19c880;margin-top:10px\">YOU LOVE<span>','fadeIn',NULL,'#2c2c2c',40,'left',NULL,'fadeIn',NULL,'#2c2c2c',NULL,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=&keyword=&brands=&attributes=&price_range=&rating=&sort_by=Price%20Low%20to%20High&showing=12','#2c2c2c','#ffffff','left','fadeIn',NULL,'Yes',NULL,NULL),(48,20,'New Martvill’s','fadeIn',NULL,'#2c2c2c',26,'left','CLOTHES <span style=\"color:#19c880;margin-top:10px\">YOU LOVE<span>','fadeIn',NULL,'#2c2c2c',40,'left',NULL,'fadeIn',NULL,'#2c2c2c',NULL,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=&keyword=&brands=&attributes=&price_range=&rating=&sort_by=Price%20Low%20to%20High&showing=12','#2c2c2c','#ffffff','left','fadeIn',NULL,'Yes',NULL,NULL),(49,20,'New Martvill’s','fadeIn',NULL,'#2c2c2c',26,'left','CLOTHES <span style=\"color:#19c880;margin-top:10px\">YOU LOVE<span>','fadeIn',NULL,'#2c2c2c',40,'left',NULL,'fadeIn',NULL,'#2c2c2c',NULL,'left','Shop Now','http://localhost/multi-vendor/search-products?categories=&keyword=&brands=&attributes=&price_range=&rating=&sort_by=Price%20Low%20to%20High&showing=12','#2c2c2c','#ffffff','left','fadeIn',NULL,'Yes',NULL,NULL),(50,21,'New Martvill’s','fadeIn',NULL,'#2c2c2c',26,'right','LIVING & <span style=\"color:#19c880;margin-top:10px\">FASHION<span>','fadeIn',NULL,'#2c2c2c',40,'right',NULL,'fadeIn',NULL,'#000000',NULL,'left','Explore Now','http://localhost/multi-vendor/search-products?categories=&keyword=&brands=&attributes=&price_range=&rating=&sort_by=Price%20Low%20to%20High&showing=12','#2c2c2c','#ffffff','right','fadeIn',NULL,'Yes',NULL,NULL),(51,22,'Martvill Furnitures','fadeIn',NULL,'#2c2c2c',26,'left','LUXURIOUS <span style=\"color:#19c880;margin-top:10px\">COMFORT<span>','fadeIn',NULL,'#2c2c2c',40,'left',NULL,'fadeIn',NULL,'#000000',NULL,'left','Explore Now','http://localhost/multi-vendor/search-products?categories=&keyword=&brands=&attributes=&price_range=&rating=&sort_by=Price%20Low%20to%20High&showing=12','#2c2c2c','#ffffff','left','fadeIn',NULL,'Yes',NULL,NULL),(52,23,'New Martvill’s','fadeIn',NULL,'#2c2c2c',26,'right','LIVING & <span style=\"color:#19c880;margin-top:10px\">FASHION<span>','fadeIn',NULL,'#2c2c2c',40,'right',NULL,'fadeIn',NULL,'#000000',NULL,'left','Explore Now','http://localhost/multi-vendor/search-products?categories=&keyword=&brands=&attributes=&price_range=&rating=&sort_by=Price%20Low%20to%20High&showing=12','#2c2c2c','#ffffff','right','fadeIn',NULL,'Yes',NULL,NULL),(53,24,NULL,'fadeIn',NULL,'#000000',NULL,'left',NULL,'fadeIn',NULL,'#000000',NULL,'left',NULL,'fadeIn',NULL,'#000000',NULL,'left',NULL,NULL,'#ffffff','#000000','left','fadeIn',NULL,'Yes',NULL,NULL);
/*!40000 ALTER TABLE `slides` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sms_gateways`
--

DROP TABLE IF EXISTS `sms_gateways`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sms_gateways` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `alias` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `data` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `instruction` text COLLATE utf8mb4_unicode_ci,
  `status` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `sms_gateways_alias_unique` (`alias`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sms_gateways`
--

LOCK TABLES `sms_gateways` WRITE;
/*!40000 ALTER TABLE `sms_gateways` DISABLE KEYS */;
/*!40000 ALTER TABLE `sms_gateways` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `stock_managements`
--

DROP TABLE IF EXISTS `stock_managements`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `stock_managements` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `location_id` bigint NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `quantity` decimal(16,8) NOT NULL,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `date` date NOT NULL,
  `note` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(45) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `stock_managements_location_id_foreign_idx` (`location_id`),
  KEY `stock_managements_product_id_foreign_idx` (`product_id`),
  CONSTRAINT `stock_managements_location_id_foreign` FOREIGN KEY (`location_id`) REFERENCES `locations` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `stock_managements_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=30 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `stock_managements`
--

LOCK TABLES `stock_managements` WRITE;
/*!40000 ALTER TABLE `stock_managements` DISABLE KEYS */;
INSERT INTO `stock_managements` VALUES (1,1,1157,60.00000000,'stock_in_initial','2024-07-25',NULL,'approve','2024-09-19 06:34:39',NULL),(2,1,1169,85.00000000,'stock_in_initial','2024-07-05',NULL,'approve','2024-09-19 06:34:39',NULL),(3,1,1170,120.00000000,'stock_in_initial','2024-09-11',NULL,'approve','2024-09-19 06:34:39',NULL),(4,1,1173,97.00000000,'stock_in_initial','2024-07-09',NULL,'approve','2024-09-19 06:34:39',NULL),(5,1,1255,112.00000000,'stock_in_initial','2024-09-11',NULL,'approve','2024-09-19 06:34:39',NULL),(6,1,1180,225.00000000,'stock_in_initial','2024-08-02',NULL,'approve','2024-09-19 06:34:39',NULL),(7,1,1186,123.00000000,'stock_in_initial','2024-08-31',NULL,'approve','2024-09-19 06:34:39',NULL),(8,1,1236,170.00000000,'stock_in_initial','2024-08-02',NULL,'approve','2024-09-19 06:34:39',NULL),(9,1,1237,167.00000000,'stock_in_initial','2024-08-26',NULL,'approve','2024-09-19 06:34:39',NULL),(10,1,1238,332.00000000,'stock_in_initial','2024-09-17',NULL,'approve','2024-09-19 06:34:39',NULL),(11,1,1239,79.00000000,'stock_in_initial','2024-07-20',NULL,'approve','2024-09-19 06:34:39',NULL),(12,2,1205,232.00000000,'stock_in_initial','2024-07-21',NULL,'approve','2024-09-19 06:34:39',NULL),(13,2,1204,59.00000000,'stock_in_initial','2024-08-05',NULL,'approve','2024-09-19 06:34:39',NULL),(14,2,1200,66.00000000,'stock_in_initial','2024-06-28',NULL,'approve','2024-09-19 06:34:39',NULL),(15,1,1255,-2.00000000,'transfer','2024-07-09',NULL,'approve','2024-09-19 06:34:39',NULL),(16,1,1238,-3.00000000,'transfer','2024-08-20',NULL,'approve','2024-09-19 06:34:39',NULL),(17,5,1255,2.00000000,'transfer','2024-07-28',NULL,'approve','2024-09-19 06:34:39',NULL),(18,5,1238,3.00000000,'transfer','2024-08-03',NULL,'approve','2024-09-19 06:34:39',NULL),(19,1,1236,-3.00000000,'transfer','2024-09-18',NULL,'approve','2024-09-19 06:34:39',NULL),(20,1,1238,-2.00000000,'transfer','2024-09-17',NULL,'approve','2024-09-19 06:34:39',NULL),(21,3,1199,130.00000000,'purchase','2024-08-28',NULL,'approve','2024-09-19 06:34:39',NULL),(22,3,1198,121.00000000,'purchase','2024-07-24',NULL,'approve','2024-09-19 06:34:39',NULL),(23,3,1197,120.00000000,'purchase','2024-07-03',NULL,'approve','2024-09-19 06:34:39',NULL),(24,1,1236,22.00000000,'purchase','2024-07-14',NULL,'approve','2024-09-19 06:34:39',NULL),(25,1,1242,20.00000000,'purchase','2024-08-11',NULL,'approve','2024-09-19 06:34:39',NULL),(26,1,1169,33.00000000,'purchase','2024-07-04',NULL,'approve','2024-09-19 06:34:39',NULL),(27,7,1205,14.00000000,'stock_in_initial','2024-08-21',NULL,'approve','2024-09-19 06:34:39',NULL),(28,7,1204,20.00000000,'stock_in_initial','2024-09-16',NULL,'approve','2024-09-19 06:34:39',NULL),(29,2,1205,-2.00000000,'adjust','2024-08-02',NULL,'approve','2024-09-19 06:34:39',NULL);
/*!40000 ALTER TABLE `stock_managements` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `subscribers`
--

DROP TABLE IF EXISTS `subscribers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `subscribers` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `confirmation_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Active' COMMENT 'Active/Inactive',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `subscribers_email_unique` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `subscribers`
--

LOCK TABLES `subscribers` WRITE;
/*!40000 ALTER TABLE `subscribers` DISABLE KEYS */;
/*!40000 ALTER TABLE `subscribers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `subscription_invoice_items`
--

DROP TABLE IF EXISTS `subscription_invoice_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `subscription_invoice_items` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `invoice_id` bigint DEFAULT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `period` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `object_type` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `object_id` bigint DEFAULT NULL,
  `price` decimal(18,8) DEFAULT NULL,
  `quantity` tinyint DEFAULT NULL,
  `amount` decimal(16,8) DEFAULT NULL,
  `discount` decimal(16,8) DEFAULT NULL,
  `tax_amount` decimal(16,8) DEFAULT NULL,
  `total` decimal(16,8) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `subscription_invoice_items_invoice_id_index` (`invoice_id`),
  KEY `subscription_invoice_items_object_type_index` (`object_type`),
  KEY `subscription_invoice_items_object_id_index` (`object_id`),
  CONSTRAINT `subscription_invoice_items_invoice_id_foreign` FOREIGN KEY (`invoice_id`) REFERENCES `subscription_invoices` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `subscription_invoice_items`
--

LOCK TABLES `subscription_invoice_items` WRITE;
/*!40000 ALTER TABLE `subscription_invoice_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `subscription_invoice_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `subscription_invoices`
--

DROP TABLE IF EXISTS `subscription_invoices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `subscription_invoices` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `invoice_date` date DEFAULT NULL,
  `due_date` date DEFAULT NULL,
  `object_type` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `object_id` bigint DEFAULT NULL,
  `description` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `transaction_reference` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `billing_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `billing_email` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `billing_address` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `billing_address_2` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `billing_city` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `billing_zip` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `billing_state` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `billing_country` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `billing_phone` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `billed_amount` decimal(16,8) DEFAULT NULL,
  `received_amount` decimal(16,8) DEFAULT NULL,
  `discount_amount` decimal(16,8) DEFAULT NULL,
  `tax_amount` decimal(16,8) DEFAULT NULL,
  `balance_amount` decimal(16,8) DEFAULT NULL COMMENT 'Balance has to be zero after payment. (Received + discount) - Billied',
  `currency` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'USD',
  `vendor_id` bigint DEFAULT NULL,
  `user_id` bigint DEFAULT NULL,
  `notes` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `is_resolved` int DEFAULT '0',
  `status` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT 'Draft',
  `charged_customer_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `charged_amount` decimal(16,8) DEFAULT NULL,
  `charged_billing_method` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `charged_email` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `charged_card` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `charged_at` datetime DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `subscription_invoices_invoice_date_index` (`invoice_date`),
  KEY `subscription_invoices_object_type_index` (`object_type`),
  KEY `subscription_invoices_object_id_index` (`object_id`),
  KEY `subscription_invoices_vendor_id_index` (`vendor_id`),
  KEY `subscription_invoices_user_id_index` (`user_id`),
  KEY `subscription_invoices_is_resolved_index` (`is_resolved`),
  KEY `subscription_invoices_status_index` (`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `subscription_invoices`
--

LOCK TABLES `subscription_invoices` WRITE;
/*!40000 ALTER TABLE `subscription_invoices` DISABLE KEYS */;
/*!40000 ALTER TABLE `subscription_invoices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `subscription_quotes`
--

DROP TABLE IF EXISTS `subscription_quotes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `subscription_quotes` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `quote_date` date DEFAULT NULL,
  `due_date` date DEFAULT NULL,
  `object_type` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `object_id` bigint DEFAULT NULL,
  `description` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `billing_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `billing_email` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `billing_address` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `billing_address_2` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `billing_city` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `billing_zip` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `billing_state` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `billing_country` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `billing_phone` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `amount` decimal(16,8) DEFAULT NULL,
  `currency` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'USD',
  `vendor_id` bigint DEFAULT NULL,
  `user_id` bigint DEFAULT NULL,
  `notes` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `is_resolved` int DEFAULT '0',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `subscription_quotes_quote_date_index` (`quote_date`),
  KEY `subscription_quotes_object_type_index` (`object_type`),
  KEY `subscription_quotes_object_id_index` (`object_id`),
  KEY `subscription_quotes_vendor_id_index` (`vendor_id`),
  KEY `subscription_quotes_user_id_index` (`user_id`),
  KEY `subscription_quotes_is_resolved_index` (`is_resolved`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `subscription_quotes`
--

LOCK TABLES `subscription_quotes` WRITE;
/*!40000 ALTER TABLE `subscription_quotes` DISABLE KEYS */;
/*!40000 ALTER TABLE `subscription_quotes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `suppliers`
--

DROP TABLE IF EXISTS `suppliers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `suppliers` (
  `id` int NOT NULL AUTO_INCREMENT,
  `vendor_id` bigint DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `company_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `zip` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(45) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `suppliers_vendor_id_foreign_idx` (`vendor_id`),
  CONSTRAINT `suppliers_vendor_id_foreign` FOREIGN KEY (`vendor_id`) REFERENCES `vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `suppliers`
--

LOCK TABLES `suppliers` WRITE;
/*!40000 ALTER TABLE `suppliers` DISABLE KEYS */;
INSERT INTO `suppliers` VALUES (1,1,'David Hunt',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active','2024-09-19 06:34:39',NULL),(2,19,'Carmen Harvey',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active','2024-09-19 06:34:39',NULL),(3,16,'Wendy Jefferson',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active','2024-09-19 06:34:39',NULL),(4,1,'Dwayne Rodgers',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active','2024-09-19 06:34:39',NULL);
/*!40000 ALTER TABLE `suppliers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tags`
--

DROP TABLE IF EXISTS `tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tags` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `vendor_id` bigint DEFAULT NULL,
  `product_counts` int unsigned DEFAULT '0',
  `status` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Active',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `tags_name_unique` (`name`),
  KEY `tags_vendor_id_foreign_idx` (`vendor_id`),
  KEY `tags_status_index` (`status`),
  CONSTRAINT `tags_vendor_id_foreign` FOREIGN KEY (`vendor_id`) REFERENCES `vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=78 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tags`
--

LOCK TABLES `tags` WRITE;
/*!40000 ALTER TABLE `tags` DISABLE KEYS */;
INSERT INTO `tags` VALUES (1,'Samsung',1,2,'Active','2024-09-19 06:34:29',NULL),(2,'Tab',1,1,'Active','2024-09-19 06:34:29',NULL),(3,'Galaxy',1,2,'Active','2024-09-19 06:34:29',NULL),(4,'Samsung Galaxy Tab',1,1,'Active','2024-09-19 06:34:29',NULL),(5,'Smart Phone',1,4,'Active','2024-09-19 06:34:29',NULL),(6,'iPhone',1,1,'Active','2024-09-19 06:34:29',NULL),(7,' 13 Pro',1,1,'Active','2024-09-19 06:34:29',NULL),(8,' iPhone 13 Pro',1,1,'Active','2024-09-19 06:34:29',NULL),(9,'A30',1,1,'Active','2024-09-19 06:34:29',NULL),(10,'Nokia',1,1,'Active','2024-09-19 06:34:29',NULL),(11,'Nokia 3.4 DS',1,1,'Active','2024-09-19 06:34:29',NULL),(12,'Laptop',1,1,'Active','2024-09-19 06:34:29',NULL),(13,'Laptop PC touch',1,1,'Active','2024-09-19 06:34:29',NULL),(14,'HP ENVY 17t-ch000',1,1,'Active','2024-09-19 06:34:29',NULL),(15,'HP Laptop',1,1,'Active','2024-09-19 06:34:29',NULL),(16,'LED TV',1,1,'Active','2024-09-19 06:34:29',NULL),(17,' MI 43 Inch P1 4K UHD android LED TV',1,1,'Active','2024-09-19 06:34:29',NULL),(18,'MI 43 Inch',1,1,'Active','2024-09-19 06:34:29',NULL),(19,'MI',1,1,'Active','2024-09-19 06:34:29',NULL),(20,'MI P1',1,1,'Active','2024-09-19 06:34:29',NULL),(21,'WFC-3F5-GDEL-XX (Inverter)',1,1,'Active','2024-09-19 06:34:29',NULL),(22,'Inverter',1,1,'Active','2024-09-19 06:34:29',NULL),(23,'WFC',1,1,'Active','2024-09-19 06:34:29',NULL),(24,'Waxjambu GL710H',1,1,'Active','2024-09-19 06:34:29',NULL),(25,'Waxjambu',1,1,'Active','2024-09-19 06:34:29',NULL),(26,'GL710H',1,1,'Active','2024-09-19 06:34:29',NULL),(27,'WPL02-C1',1,1,'Active','2024-09-19 06:34:29',NULL),(28,'power bank',NULL,1,'Active','2024-09-19 06:34:29',NULL),(29,'mobile',NULL,1,'Active','2024-09-19 06:34:29',NULL),(30,'accessory',NULL,1,'Active','2024-09-19 06:34:29',NULL),(31,'men',NULL,2,'Active','2024-09-19 06:34:29',NULL),(32,'wallet',NULL,1,'Active','2024-09-19 06:34:29',NULL),(33,'fashion',NULL,1,'Active','2024-09-19 06:34:29',NULL),(34,'girls',NULL,2,'Active','2024-09-19 06:34:29',NULL),(35,'women',NULL,2,'Active','2024-09-19 06:34:29',NULL),(36,'ear',NULL,1,'Active','2024-09-19 06:34:29',NULL),(37,'ear rings',NULL,1,'Active','2024-09-19 06:34:29',NULL),(38,'watch',NULL,1,'Active','2024-09-19 06:34:29',NULL),(39,'girl',NULL,1,'Active','2024-09-19 06:34:29',NULL),(41,'toy',NULL,1,'Active','2024-09-19 06:34:29',NULL),(42,'boys',NULL,1,'Active','2024-09-19 06:34:29',NULL),(43,'children',NULL,1,'Active','2024-09-19 06:34:29',NULL),(44,'adult',NULL,1,'Active','2024-09-19 06:34:29',NULL),(45,'anti-stress',NULL,1,'Active','2024-09-19 06:34:29',NULL),(46,'headphone',NULL,1,'Active','2024-09-19 06:34:29',NULL),(47,'bluetooth',NULL,1,'Active','2024-09-19 06:34:29',NULL),(48,'bag',NULL,6,'Active','2024-09-19 06:34:29','2024-09-19 06:34:29'),(49,'bagpack',NULL,1,'Active','2024-09-19 06:34:29',NULL),(50,'smart',NULL,1,'Active','2024-09-19 06:34:29',NULL),(51,'Electronic device',NULL,4,'Active','2024-09-19 06:34:29','2024-09-19 06:34:29'),(52,'Television',NULL,1,'Active','2024-09-19 06:34:29',NULL),(53,'white fachion',NULL,11,'Active','2024-09-19 06:34:29','2024-09-19 06:34:29'),(54,'white fachion full',NULL,5,'Active','2024-09-19 06:34:29','2024-09-19 06:34:29'),(55,'Furniture',NULL,6,'Active','2024-09-19 06:34:29','2024-09-19 06:34:29'),(56,'Woman Dress',NULL,4,'Active','2024-09-19 06:34:29','2024-09-19 06:34:29'),(57,'Woman Fashion',NULL,3,'Active','2024-09-19 06:34:29','2024-09-19 06:34:29'),(58,'School bag',NULL,2,'Active','2024-09-19 06:34:29','2024-09-19 06:34:29'),(59,'Pad',NULL,1,'Active','2024-09-19 06:34:29',NULL),(60,'Sanitary Pad',NULL,1,'Active','2024-09-19 06:34:29',NULL),(61,'Napkin',NULL,1,'Active','2024-09-19 06:34:29',NULL),(62,'Travel Bag',NULL,1,'Active','2024-09-19 06:34:29',NULL),(63,'Book',NULL,2,'Active','2024-09-19 06:34:29','2024-09-19 06:34:29'),(64,'Card',NULL,2,'Active','2024-09-19 06:34:29','2024-09-19 06:34:29'),(65,'Wireless',NULL,1,'Active','2024-09-19 06:34:29',NULL),(66,'Shirts',NULL,2,'Active','2024-09-19 06:34:29','2024-09-19 06:34:29'),(67,'Kids',NULL,1,'Active','2024-09-19 06:34:29',NULL),(68,'T-shirt',NULL,1,'Active','2024-09-19 06:34:29',NULL),(69,'digital product',NULL,6,'Active','2024-09-19 06:34:29','2024-09-19 06:34:29'),(70,'digital product feature',NULL,2,'Active','2024-09-19 06:34:29','2024-09-19 06:34:29'),(71,'New Fashion',NULL,8,'Active','2024-09-19 06:34:29','2024-09-19 06:34:29'),(73,'Electronics',NULL,8,'Active','2024-09-19 06:34:29','2024-09-19 06:34:29'),(74,'group product',NULL,2,'Active','2024-09-19 06:34:29','2024-09-19 06:34:29'),(75,'combo product',NULL,1,'Active','2024-09-19 06:34:29',NULL),(77,'women\'s',NULL,1,'Active','2024-09-19 06:34:29',NULL);
/*!40000 ALTER TABLE `tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tax_classes`
--

DROP TABLE IF EXISTS `tax_classes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tax_classes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `tax_classes_slug_unique` (`slug`),
  KEY `tax_classes_name_index` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tax_classes`
--

LOCK TABLES `tax_classes` WRITE;
/*!40000 ALTER TABLE `tax_classes` DISABLE KEYS */;
INSERT INTO `tax_classes` VALUES (1,'Standard','standard','2024-09-19 06:34:37',NULL);
/*!40000 ALTER TABLE `tax_classes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tax_rates`
--

DROP TABLE IF EXISTS `tax_rates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tax_rates` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `tax_class_id` int unsigned NOT NULL,
  `country` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `postcode` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_rate` decimal(16,8) DEFAULT NULL,
  `priority` int DEFAULT '0',
  `compound` tinyint DEFAULT NULL,
  `shipping` tinyint DEFAULT '1',
  `sort_by` int NOT NULL DEFAULT '0',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `tax_rates_tax_class_id_index` (`tax_class_id`),
  KEY `tax_rates_country_index` (`country`),
  KEY `tax_rates_state_index` (`state`),
  KEY `tax_rates_city_index` (`city`),
  KEY `tax_rates_name_index` (`name`),
  KEY `tax_rates_tax_rate_index` (`tax_rate`),
  KEY `tax_rates_priority_index` (`priority`),
  CONSTRAINT `tax_rates_tax_class_id_foreign` FOREIGN KEY (`tax_class_id`) REFERENCES `tax_classes` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=99 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tax_rates`
--

LOCK TABLES `tax_rates` WRITE;
/*!40000 ALTER TABLE `tax_rates` DISABLE KEYS */;
INSERT INTO `tax_rates` VALUES (90,1,NULL,NULL,NULL,NULL,'Sales',2.00000000,1,1,0,0,'2024-09-19 06:34:37',NULL),(91,1,'bd',NULL,NULL,NULL,'VAT',3.00000000,2,0,0,8,'2024-09-19 06:34:37',NULL),(92,1,'in',NULL,NULL,NULL,'GST',5.00000000,2,0,0,8,'2024-09-19 06:34:37',NULL),(93,1,'gb',NULL,NULL,NULL,'VAT',20.00000000,3,1,1,8,'2024-09-19 06:34:37',NULL),(94,1,'gb',NULL,NULL,NULL,'VAT',5.00000000,3,1,1,8,'2024-09-19 06:34:37',NULL),(95,1,'gb',NULL,NULL,NULL,'VAT',0.00000000,3,1,1,8,'2024-09-19 06:34:37',NULL),(96,1,'us',NULL,NULL,NULL,'US',10.00000000,3,1,1,8,'2024-09-19 06:34:37',NULL),(97,1,'us','AL',NULL,'90210','US AL',2.00000000,4,1,1,13,'2024-09-19 06:34:37',NULL),(98,1,'us','AL',NULL,'20500','US AL',2.00000000,4,1,1,13,'2024-09-19 06:34:37',NULL);
/*!40000 ALTER TABLE `tax_rates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `theme_options`
--

DROP TABLE IF EXISTS `theme_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `theme_options` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=193 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `theme_options`
--

LOCK TABLES `theme_options` WRITE;
/*!40000 ALTER TABLE `theme_options` DISABLE KEYS */;
INSERT INTO `theme_options` VALUES (1,'default_template_footer_logo',''),(2,'default_template_google_play',''),(3,'default_template_app_store',''),(4,'default_template_payment_methods',''),(5,'default_template_phone_no','0'),(6,'default_template_email','0'),(7,'default_template_currency','0'),(8,'default_template_footer','{\"en\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"About Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"The ultimate all-in-one solution for your ecommerce business worldwide.\\\",\\\"download_app\\\":\\\"Download Our App\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Useful Links\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"About Us\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"2\\\":{\\\"label\\\":\\\"Contact Us\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/contact-us\\\"},\\\"3\\\":{\\\"label\\\":\\\"Privacy Policy\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"4\\\":{\\\"label\\\":\\\"Refund Policy\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Digital Payment\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/digital-payments\\\"},\\\"6\\\":{\\\"label\\\":\\\"Track Order\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/track-order\\\"},\\\"7\\\":{\\\"label\\\":\\\"All Products\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products\\\"},\\\"8\\\":{\\\"label\\\":\\\"Be A Seller\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/seller\\\\\\/sign-up\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Home Pages\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Homepage - Mixed\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-1\\\"},\\\"2\\\":{\\\"label\\\":\\\"Homepage - Furniture\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-3\\\"},\\\"3\\\":{\\\"label\\\":\\\"Homepage - Digital Product\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-6\\\"},\\\"4\\\":{\\\"label\\\":\\\"Homepage - Groceries\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-7\\\"},\\\"5\\\":{\\\"label\\\":\\\"Homepage - Fashion - I\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-8\\\"},\\\"6\\\":{\\\"label\\\":\\\"Homepage - Fashion - II\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-5\\\"},\\\"7\\\":{\\\"label\\\":\\\"Homepage - Fashion - III\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"8\\\":{\\\"label\\\":\\\"Homepage - Fashion - IV\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-4\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Categories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Electronics Devices\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"},\\\"2\\\":{\\\"label\\\":\\\"Electronics Accessories\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Accessories\\\"},\\\"3\\\":{\\\"label\\\":\\\"Health and Beauty\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Health%20%26%20Beauty\\\"},\\\"4\\\":{\\\"label\\\":\\\"Babies and Toys\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Babies%20%26%20Toys\\\"},\\\"5\\\":{\\\"label\\\":\\\"Fashion for All\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},\\\"6\\\":{\\\"label\\\":\\\"Watches & Accessories\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Watches%20%26%20Accessories\\\"},\\\"7\\\":{\\\"label\\\":\\\"Sports and Outdoor\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"},\\\"8\\\":{\\\"label\\\":\\\"Automobile & Bicycles\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Automotive%20%26%20Motorbike\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contact Us\\\",\\\"data\\\":{\\\"address\\\":\\\"Address: 184 Main Rd E, St Albans, Australia\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"Stay Connected\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"border_top\\\":\\\"#050505\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | All Rights Reserved\\\",\\\"position\\\":\\\"center\\\"}}\",\"bn\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0986\\u09ae\\u09be\\u09a6\\u09c7\\u09b0 \\u09b8\\u09ae\\u09cd\\u09aa\\u09b0\\u09cd\\u0995\\u09c7\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u09ac\\u09bf\\u09b6\\u09cd\\u09ac\\u09ac\\u09cd\\u09af\\u09be\\u09aa\\u09c0 \\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u0987-\\u0995\\u09ae\\u09be\\u09b0\\u09cd\\u09b8 \\u09ac\\u09cd\\u09af\\u09ac\\u09b8\\u09be\\u09b0 \\u099c\\u09a8\\u09cd\\u09af \\u09b8\\u09b0\\u09cd\\u09ac\\u09be\\u09a7\\u09bf\\u0995 \\u09b8\\u09b0\\u09cd\\u09ac-\\u09b8\\u09ae\\u09c7\\u09a4 \\u09b8\\u09ae\\u09be\\u09a7\\u09be\\u09a8\\u0964\\\",\\\"download_app\\\":\\\"\\u0986\\u09ae\\u09be\\u09a6\\u09c7\\u09b0 \\u0985\\u09cd\\u09af\\u09be\\u09aa \\u09a1\\u09be\\u0989\\u09a8\\u09b2\\u09cb\\u09a1 \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0989\\u09aa\\u0995\\u09be\\u09b0\\u09c0 \\u09b2\\u09bf\\u0999\\u09cd\\u0995\\u0997\\u09c1\\u09b2\\u09bf\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0986\\u09ae\\u09be\\u09a6\\u09c7\\u09b0 \\u09b8\\u09ae\\u09cd\\u09aa\\u09b0\\u09cd\\u0995\\u09c7\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u09af\\u09cb\\u0997\\u09be\\u09af\\u09cb\\u0997 \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/contact-us\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0997\\u09cb\\u09aa\\u09a8\\u09c0\\u09af\\u09bc\\u09a4\\u09be \\u09a8\\u09c0\\u09a4\\u09bf\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u09ab\\u09c7\\u09b0\\u09a4\\u09c7\\u09b0 \\u09a8\\u09c0\\u09a4\\u09bf\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u09a1\\u09bf\\u099c\\u09bf\\u099f\\u09be\\u09b2 \\u09aa\\u09c7\\u09ae\\u09c7\\u09a8\\u09cd\\u099f\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/digital-payments\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0985\\u09b0\\u09cd\\u09a1\\u09be\\u09b0 \\u099f\\u09cd\\u09b0\\u09cd\\u09af\\u09be\\u0995 \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/track-order\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u09b8\\u09ae\\u09b8\\u09cd\\u09a4 \\u09aa\\u09a3\\u09cd\\u09af\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products\\\"},\\\"8\\\":{\\\"label\\\":\\\"\\u09ac\\u09bf\\u0995\\u09cd\\u09b0\\u09c7\\u09a4\\u09be \\u09b9\\u09cb\\u09a8\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/seller\\\\\\/sign-up\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09b9\\u09cb\\u09ae \\u09aa\\u09c7\\u099c\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae\\u09aa\\u09c7\\u099c - \\u09ae\\u09bf\\u09b6\\u09cd\\u09b0\\u09bf\\u09a4\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-1\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae\\u09aa\\u09c7\\u099c - \\u0986\\u09b8\\u09ac\\u09be\\u09ac\\u09aa\\u09a4\\u09cd\\u09b0\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-3\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae\\u09aa\\u09c7\\u099c - \\u09a1\\u09bf\\u099c\\u09bf\\u099f\\u09be\\u09b2 \\u09aa\\u09a3\\u09cd\\u09af\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-6\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae\\u09aa\\u09c7\\u099c - \\u09ae\\u09c1\\u09a6\\u09bf\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-7\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae\\u09aa\\u09c7\\u099c - \\u09ab\\u09cd\\u09af\\u09be\\u09b6\\u09a8 - I\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-8\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae\\u09aa\\u09c7\\u099c - \\u09ab\\u09cd\\u09af\\u09be\\u09b6\\u09a8 - II\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-5\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae\\u09aa\\u09c7\\u099c - \\u09ab\\u09cd\\u09af\\u09be\\u09b6\\u09a8 - III\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"8\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae\\u09aa\\u09c7\\u099c - \\u09ab\\u09cd\\u09af\\u09be\\u09b6\\u09a8 - IV\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-4\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09ac\\u09bf\\u09ad\\u09be\\u0997\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0987\\u09b2\\u09c7\\u0995\\u099f\\u09cd\\u09b0\\u09a8\\u09bf\\u0995 \\u09a1\\u09bf\\u09ad\\u09be\\u0987\\u09b8\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0987\\u09b2\\u09c7\\u0995\\u099f\\u09cd\\u09b0\\u09a8\\u09bf\\u0995 \\u0986\\u09a8\\u09c1\\u09b7\\u09be\\u0999\\u09cd\\u0997\\u09bf\\u0995\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Accessories\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u09b8\\u09cd\\u09ac\\u09be\\u09b8\\u09cd\\u09a5\\u09cd\\u09af \\u098f\\u09ac\\u0982 \\u09b8\\u09cc\\u09a8\\u09cd\\u09a6\\u09b0\\u09cd\\u09af\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Health%20%26%20Beauty\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u09b6\\u09bf\\u09b6\\u09c1 \\u098f\\u09ac\\u0982 \\u0996\\u09c7\\u09b2\\u09a8\\u09be\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Babies%20%26%20Toys\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u09b8\\u09ac\\u09be\\u09b0 \\u099c\\u09a8\\u09cd\\u09af \\u09ab\\u09cd\\u09af\\u09be\\u09b6\\u09a8\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0998\\u09a1\\u09bc\\u09bf \\u098f\\u09ac\\u0982 \\u0986\\u09a8\\u09c1\\u09b7\\u09be\\u0999\\u09cd\\u0997\\u09bf\\u0995\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Watches%20%26%20Accessories\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0995\\u09cd\\u09b0\\u09c0\\u09a1\\u09bc\\u09be \\u098f\\u09ac\\u0982 \\u09ac\\u09b9\\u09bf\\u09b0\\u0999\\u09cd\\u0997\\u09a8\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"},\\\"8\\\":{\\\"label\\\":\\\"\\u0997\\u09be\\u09a1\\u09bc\\u09bf \\u098f\\u09ac\\u0982 \\u09ac\\u09be\\u0987\\u09b8\\u09be\\u0987\\u0995\\u09c7\\u09b2\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Automotive%20%26%20Motorbike\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09af\\u09cb\\u0997\\u09be\\u09af\\u09cb\\u0997 \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u09a0\\u09bf\\u0995\\u09be\\u09a8\\u09be: \\u09e7\\u09ee\\u09ea \\u09ae\\u09c7\\u0987\\u09a8 \\u09b0\\u09cb\\u09a1 \\u0987, \\u09b8\\u09c7\\u09a8\\u09cd\\u099f \\u0985\\u09cd\\u09af\\u09be\\u09b2\\u09ac\\u09cd\\u09af\\u09be\\u09a8\\u09cd\\u09b8, \\u0985\\u09b8\\u09cd\\u099f\\u09cd\\u09b0\\u09c7\\u09b2\\u09bf\\u09af\\u09bc\\u09be\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u09b8\\u0982\\u09af\\u09c1\\u0995\\u09cd\\u09a4 \\u09a5\\u09be\\u0995\\u09c1\\u09a8\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"border_top\\\":\\\"#050505\\\",\\\"title\\\":\\\"\\\\u00a92022 \\u09ae\\u09be\\u09b0\\u09cd\\u099f \\u09ad\\u09bf\\u09b2 | \\u09b8\\u09ae\\u09b8\\u09cd\\u09a4 \\u0985\\u09a7\\u09bf\\u0995\\u09be\\u09b0 \\u09b8\\u0982\\u09b0\\u0995\\u09cd\\u09b7\\u09bf\\u09a4\\\",\\\"position\\\":\\\"center\\\"}}\",\"fr\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u00c0 propos de nous\\\",\\\"data\\\":{\\\"short_details\\\":\\\"La solution ultime tout-en-un pour votre entreprise de commerce \\u00e9lectronique dans le monde entier.\\\",\\\"download_app\\\":\\\"T\\u00e9l\\u00e9chargez notre application\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Liens utiles\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u00c0 propos de nous\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"2\\\":{\\\"label\\\":\\\"Contactez-nous\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/contact-us\\\"},\\\"3\\\":{\\\"label\\\":\\\"Politique de confidentialit\\u00e9\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"4\\\":{\\\"label\\\":\\\"Politique de remboursement\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Paiement num\\u00e9rique\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/digital-payments\\\"},\\\"6\\\":{\\\"label\\\":\\\"Suivre la commande\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/track-order\\\"},\\\"7\\\":{\\\"label\\\":\\\"Tous les produits\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products\\\"},\\\"8\\\":{\\\"label\\\":\\\"Devenir vendeur\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/seller\\\\\\/sign-up\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Pages d\'accueil\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Page d\'accueil - Mixte\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-1\\\"},\\\"2\\\":{\\\"label\\\":\\\"Page d\'accueil - Meubles\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-3\\\"},\\\"3\\\":{\\\"label\\\":\\\"Page d\'accueil - Produit num\\u00e9rique\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-6\\\"},\\\"4\\\":{\\\"label\\\":\\\"Page d\'accueil - \\u00c9picerie\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-7\\\"},\\\"5\\\":{\\\"label\\\":\\\"Page d\'accueil - Mode - I\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-8\\\"},\\\"6\\\":{\\\"label\\\":\\\"Page d\'accueil - Mode - II\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-5\\\"},\\\"7\\\":{\\\"label\\\":\\\"Page d\'accueil - Mode - III\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"8\\\":{\\\"label\\\":\\\"Page d\'accueil - Mode - IV\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-4\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Cat\\u00e9gories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Appareils \\u00e9lectroniques\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"},\\\"2\\\":{\\\"label\\\":\\\"Accessoires \\u00e9lectroniques\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Accessories\\\"},\\\"3\\\":{\\\"label\\\":\\\"Sant\\u00e9 et beaut\\u00e9\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Health%20%26%20Beauty\\\"},\\\"4\\\":{\\\"label\\\":\\\"B\\u00e9b\\u00e9s et jouets\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Babies%20%26%20Toys\\\"},\\\"5\\\":{\\\"label\\\":\\\"Mode pour tous\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},\\\"6\\\":{\\\"label\\\":\\\"Montres et accessoires\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Watches%20%26%20Accessories\\\"},\\\"7\\\":{\\\"label\\\":\\\"Sports et plein air\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"},\\\"8\\\":{\\\"label\\\":\\\"Automobile et v\\u00e9los\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Automotive%20%26%20Motorbike\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contactez-nous\\\",\\\"data\\\":{\\\"address\\\":\\\"Adresse : 184 Main Rd E, St Albans, Australie\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"Restez connect\\u00e9\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"border_top\\\":\\\"#050505\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Tous droits r\\u00e9serv\\u00e9s\\\",\\\"position\\\":\\\"center\\\"}}\",\"zh\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u5173\\u4e8e\\u6211\\u4eec\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u4e3a\\u60a8\\u7684\\u5168\\u7403\\u7535\\u5b50\\u5546\\u52a1\\u4e1a\\u52a1\\u63d0\\u4f9b\\u7ec8\\u6781\\u4e00\\u4f53\\u5316\\u89e3\\u51b3\\u65b9\\u6848\\u3002\\\",\\\"download_app\\\":\\\"\\u4e0b\\u8f7d\\u6211\\u4eec\\u7684\\u5e94\\u7528\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u6709\\u7528\\u7684\\u94fe\\u63a5\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u5173\\u4e8e\\u6211\\u4eec\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u8054\\u7cfb\\u6211\\u4eec\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/contact-us\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u9690\\u79c1\\u653f\\u7b56\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u9000\\u6b3e\\u653f\\u7b56\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u6570\\u5b57\\u652f\\u4ed8\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/digital-payments\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u8ddf\\u8e2a\\u8ba2\\u5355\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/track-order\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u6240\\u6709\\u4ea7\\u54c1\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products\\\"},\\\"8\\\":{\\\"label\\\":\\\"\\u6210\\u4e3a\\u5356\\u5bb6\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/seller\\\\\\/sign-up\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u4e3b\\u9875\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u4e3b\\u9875 - \\u6df7\\u5408\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-1\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u4e3b\\u9875 - \\u5bb6\\u5177\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-3\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u4e3b\\u9875 - \\u6570\\u5b57\\u4ea7\\u54c1\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-6\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u4e3b\\u9875 - \\u6742\\u8d27\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-7\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u4e3b\\u9875 - \\u65f6\\u5c1a - I\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-8\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u4e3b\\u9875 - \\u65f6\\u5c1a - II\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-5\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u4e3b\\u9875 - \\u65f6\\u5c1a - III\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"8\\\":{\\\"label\\\":\\\"\\u4e3b\\u9875 - \\u65f6\\u5c1a - IV\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-4\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u7c7b\\u522b\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u7535\\u5b50\\u8bbe\\u5907\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u7535\\u5b50\\u914d\\u4ef6\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Accessories\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u5065\\u5eb7\\u4e0e\\u7f8e\\u5bb9\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Health%20%26%20Beauty\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u5a74\\u513f\\u548c\\u73a9\\u5177\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Babies%20%26%20Toys\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u4eba\\u4eba\\u65f6\\u5c1a\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u624b\\u8868\\u548c\\u914d\\u4ef6\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Watches%20%26%20Accessories\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u8fd0\\u52a8\\u4e0e\\u6237\\u5916\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"},\\\"8\\\":{\\\"label\\\":\\\"\\u6c7d\\u8f66\\u548c\\u81ea\\u884c\\u8f66\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Automotive%20%26%20Motorbike\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u8054\\u7cfb\\u6211\\u4eec\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u5730\\u5740\\uff1a\\u6fb3\\u5927\\u5229\\u4e9a\\u5723\\u5965\\u5c14\\u672c\\u65af\\u4e1c\\u4e3b\\u5e72\\u9053184\\u53f7\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u4fdd\\u6301\\u8054\\u7cfb\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"border_top\\\":\\\"#050505\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u7248\\u6743\\u6240\\u6709\\\",\\\"position\\\":\\\"center\\\"}}\",\"ar\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0639\\u0646\\u0627\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u0627\\u0644\\u062d\\u0644 \\u0627\\u0644\\u0634\\u0627\\u0645\\u0644 \\u0627\\u0644\\u0646\\u0647\\u0627\\u0626\\u064a \\u0644\\u0639\\u0645\\u0644\\u0643 \\u0641\\u064a \\u0627\\u0644\\u062a\\u062c\\u0627\\u0631\\u0629 \\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\u0629 \\u0639\\u0644\\u0649 \\u0645\\u0633\\u062a\\u0648\\u0649 \\u0627\\u0644\\u0639\\u0627\\u0644\\u0645.\\\",\\\"download_app\\\":\\\"\\u0642\\u0645 \\u0628\\u062a\\u0646\\u0632\\u064a\\u0644 \\u062a\\u0637\\u0628\\u064a\\u0642\\u0646\\u0627\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0631\\u0648\\u0627\\u0628\\u0637 \\u0645\\u0641\\u064a\\u062f\\u0629\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0639\\u0646\\u0627\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0627\\u062a\\u0635\\u0644 \\u0628\\u0646\\u0627\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/contact-us\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u0627\\u0633\\u062a\\u0631\\u062f\\u0627\\u062f\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u062f\\u0641\\u0639 \\u0627\\u0644\\u0631\\u0642\\u0645\\u064a\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/digital-payments\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u062a\\u062a\\u0628\\u0639 \\u0627\\u0644\\u0637\\u0644\\u0628\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/track-order\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u062c\\u0645\\u064a\\u0639 \\u0627\\u0644\\u0645\\u0646\\u062a\\u062c\\u0627\\u062a\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products\\\"},\\\"8\\\":{\\\"label\\\":\\\"\\u0643\\u0646 \\u0628\\u0627\\u0626\\u0639\\u0627\\u064b\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/seller\\\\\\/sign-up\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0627\\u062a \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0629 \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629 - \\u0645\\u062e\\u062a\\u0644\\u0637\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-1\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0629 \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629 - \\u0623\\u062b\\u0627\\u062b\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-3\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0629 \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629 - \\u0645\\u0646\\u062a\\u062c \\u0631\\u0642\\u0645\\u064a\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-6\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0629 \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629 - \\u0628\\u0642\\u0627\\u0644\\u0629\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-7\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0629 \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629 - \\u0623\\u0632\\u064a\\u0627\\u0621 - I\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-8\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0629 \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629 - \\u0623\\u0632\\u064a\\u0627\\u0621 - II\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-5\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0629 \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629 - \\u0623\\u0632\\u064a\\u0627\\u0621 - III\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"8\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0629 \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629 - \\u0623\\u0632\\u064a\\u0627\\u0621 - IV\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-4\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0627\\u0644\\u0641\\u0626\\u0627\\u062a\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0623\\u062c\\u0647\\u0632\\u0629 \\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\u0629\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0645\\u0644\\u062d\\u0642\\u0627\\u062a \\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\u0629\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Accessories\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u062d\\u0629 \\u0648\\u0627\\u0644\\u062c\\u0645\\u0627\\u0644\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Health%20%26%20Beauty\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0623\\u0637\\u0641\\u0627\\u0644 \\u0648\\u0627\\u0644\\u0623\\u0644\\u0639\\u0627\\u0628\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Babies%20%26%20Toys\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0645\\u0648\\u0636\\u0629 \\u0644\\u0644\\u062c\\u0645\\u064a\\u0639\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0633\\u0627\\u0639\\u0627\\u062a \\u0648\\u0627\\u0644\\u0625\\u0643\\u0633\\u0633\\u0648\\u0627\\u0631\\u0627\\u062a\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Watches%20%26%20Accessories\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0631\\u064a\\u0627\\u0636\\u0629 \\u0648\\u0627\\u0644\\u0647\\u0648\\u0627\\u0621 \\u0627\\u0644\\u0637\\u0644\\u0642\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"},\\\"8\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0633\\u064a\\u0627\\u0631\\u0627\\u062a \\u0648\\u0627\\u0644\\u062f\\u0631\\u0627\\u062c\\u0627\\u062a\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Automotive%20%26%20Motorbike\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0627\\u062a\\u0635\\u0644 \\u0628\\u0646\\u0627\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u0627\\u0644\\u0639\\u0646\\u0648\\u0627\\u0646: 184 Main Rd E, St Albans, \\u0623\\u0633\\u062a\\u0631\\u0627\\u0644\\u064a\\u0627\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u0627\\u0628\\u0642\\u0649 \\u0639\\u0644\\u0649 \\u062a\\u0648\\u0627\\u0635\\u0644\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"border_top\\\":\\\"#050505\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u062c\\u0645\\u064a\\u0639 \\u0627\\u0644\\u062d\\u0642\\u0648\\u0642 \\u0645\\u062d\\u0641\\u0648\\u0638\\u0629\\\",\\\"position\\\":\\\"center\\\"}}\",\"be\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041f\\u0440\\u0430 \\u043d\\u0430\\u0441\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u041b\\u0435\\u043f\\u0448\\u0430\\u0435 \\u0440\\u0430\\u0448\\u044d\\u043d\\u043d\\u0435 \\u00ab\\u045e\\u0441\\u0451 \\u045e \\u0430\\u0434\\u043d\\u044b\\u043c\\u00bb \\u0434\\u043b\\u044f \\u0432\\u0430\\u0448\\u0430\\u0433\\u0430 \\u0431\\u0456\\u0437\\u043d\\u0435\\u0441\\u0443 \\u045e \\u0441\\u0444\\u0435\\u0440\\u044b \\u044d\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u0430\\u0439 \\u043a\\u0430\\u043c\\u0435\\u0440\\u0446\\u044b\\u0456 \\u0432\\u0430 \\u045e\\u0441\\u0456\\u043c \\u0441\\u0432\\u0435\\u0446\\u0435.\\\",\\\"download_app\\\":\\\"\\u0421\\u043f\\u0430\\u043c\\u043f\\u0430\\u0432\\u0430\\u0446\\u044c \\u043d\\u0430\\u0448\\u0430 \\u043f\\u0440\\u044b\\u043a\\u043b\\u0430\\u0434\\u0430\\u043d\\u043d\\u0435\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0440\\u044b\\u0441\\u043d\\u044b\\u044f \\u0441\\u043f\\u0430\\u0441\\u044b\\u043b\\u043a\\u0456\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041f\\u0440\\u0430 \\u043d\\u0430\\u0441\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0417\\u0432\\u044f\\u0436\\u044b\\u0446\\u0435\\u0441\\u044f \\u0437 \\u043d\\u0430\\u043c\\u0456\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/contact-us\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041f\\u0430\\u043b\\u0456\\u0442\\u044b\\u043a\\u0430 \\u043f\\u0440\\u044b\\u0432\\u0430\\u0442\\u043d\\u0430\\u0441\\u0446\\u0456\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041f\\u0430\\u043b\\u0456\\u0442\\u044b\\u043a\\u0430 \\u0432\\u044f\\u0440\\u0442\\u0430\\u043d\\u043d\\u044f\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u041b\\u0456\\u0447\\u0431\\u0430\\u0432\\u044b \\u043f\\u043b\\u0430\\u0446\\u0435\\u0436\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/digital-payments\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0410\\u0434\\u0441\\u043e\\u0447\\u044b\\u0446\\u044c \\u0437\\u0430\\u043a\\u0430\\u0437\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/track-order\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0423\\u0441\\u0435 \\u043f\\u0440\\u0430\\u0434\\u0443\\u043a\\u0442\\u044b\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products\\\"},\\\"8\\\":{\\\"label\\\":\\\"\\u0421\\u0442\\u0430\\u043d\\u044c \\u043f\\u0440\\u0430\\u0434\\u0430\\u045e\\u0446\\u043e\\u043c\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/seller\\\\\\/sign-up\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u044b\\u044f \\u0441\\u0442\\u0430\\u0440\\u043e\\u043d\\u043a\\u0456\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u0430\\u044f \\u0441\\u0442\\u0430\\u0440\\u043e\\u043d\\u043a\\u0430 - \\u0437\\u043c\\u0435\\u0448\\u0430\\u043d\\u0430\\u044f\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-1\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u0430\\u044f \\u0441\\u0442\\u0430\\u0440\\u043e\\u043d\\u043a\\u0430 - \\u041c\\u044d\\u0431\\u043b\\u044f\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-3\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u0430\\u044f \\u0441\\u0442\\u0430\\u0440\\u043e\\u043d\\u043a\\u0430 - \\u043b\\u0456\\u0447\\u0431\\u0430\\u0432\\u044b \\u043f\\u0440\\u0430\\u0434\\u0443\\u043a\\u0442\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-6\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u0430\\u044f \\u0441\\u0442\\u0430\\u0440\\u043e\\u043d\\u043a\\u0430 - \\u041f\\u0440\\u0430\\u0434\\u0443\\u043a\\u0442\\u044b \\u0445\\u0430\\u0440\\u0447\\u0430\\u0432\\u0430\\u043d\\u043d\\u044f\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-7\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u0430\\u044f \\u0441\\u0442\\u0430\\u0440\\u043e\\u043d\\u043a\\u0430 - \\u041c\\u043e\\u0434\\u0430 - I\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-8\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u0430\\u044f \\u0441\\u0442\\u0430\\u0440\\u043e\\u043d\\u043a\\u0430 - \\u041c\\u043e\\u0434\\u0430 - II\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-5\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u0430\\u044f \\u0441\\u0442\\u0430\\u0440\\u043e\\u043d\\u043a\\u0430 - \\u041c\\u043e\\u0434\\u0430 - III\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"8\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u0430\\u044f \\u0441\\u0442\\u0430\\u0440\\u043e\\u043d\\u043a\\u0430 - \\u041c\\u043e\\u0434\\u0430 - IV\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-4\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0442\\u044d\\u0433\\u043e\\u0440\\u044b\\u0456\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u042d\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u044b\\u044f \\u043f\\u0440\\u044b\\u043b\\u0430\\u0434\\u044b\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u042d\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u044b\\u044f \\u0430\\u043a\\u0441\\u044d\\u0441\\u0443\\u0430\\u0440\\u044b\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Accessories\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0417\\u0434\\u0430\\u0440\\u043e\\u045e\\u0435 \\u0456 \\u043f\\u0440\\u044b\\u0433\\u0430\\u0436\\u043e\\u0441\\u0446\\u044c\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Health%20%26%20Beauty\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0414\\u0437\\u0435\\u0446\\u0456 \\u0456 \\u0446\\u0430\\u0446\\u043a\\u0456\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Babies%20%26%20Toys\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u041c\\u043e\\u0434\\u0430 \\u0434\\u043b\\u044f \\u045e\\u0441\\u0456\\u0445\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u0434\\u0437\\u0456\\u043d\\u043d\\u0456\\u043a\\u0456 \\u0456 \\u0430\\u043a\\u0441\\u044d\\u0441\\u0443\\u0430\\u0440\\u044b\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Watches%20%26%20Accessories\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0421\\u043f\\u043e\\u0440\\u0442 \\u0456 \\u043d\\u0430 \\u0430\\u0434\\u043a\\u0440\\u044b\\u0442\\u044b\\u043c \\u043f\\u0430\\u0432\\u0435\\u0442\\u0440\\u044b\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"},\\\"8\\\":{\\\"label\\\":\\\"\\u0410\\u045e\\u0442\\u0430\\u043c\\u0430\\u0431\\u0456\\u043b\\u0456 \\u0456 \\u0440\\u043e\\u0432\\u0430\\u0440\\u044b\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Automotive%20%26%20Motorbike\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0417\\u0432\\u044f\\u0436\\u044b\\u0446\\u0435\\u0441\\u044f \\u0437 \\u043d\\u0430\\u043c\\u0456\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u0410\\u0434\\u0440\\u0430\\u0441: 184 Main Rd E, St Albans, \\u0410\\u045e\\u0441\\u0442\\u0440\\u0430\\u043b\\u0456\\u044f\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u0417\\u0430\\u0441\\u0442\\u0430\\u0432\\u0430\\u0439\\u0446\\u0435\\u0441\\u044f \\u043d\\u0430 \\u0441\\u0443\\u0432\\u044f\\u0437\\u0456\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"border_top\\\":\\\"#050505\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u0423\\u0441\\u0435 \\u043f\\u0440\\u0430\\u0432\\u044b \\u0430\\u0431\\u0430\\u0440\\u043e\\u043d\\u0435\\u043d\\u044b\\\",\\\"position\\\":\\\"center\\\"}}\",\"bg\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0417\\u0430 \\u043d\\u0430\\u0441\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u041d\\u0430\\u0439-\\u0434\\u043e\\u0431\\u0440\\u043e\\u0442\\u043e \\u0432\\u0441\\u0438\\u0447\\u043a\\u043e-\\u0432-\\u0435\\u0434\\u043d\\u043e \\u0440\\u0435\\u0448\\u0435\\u043d\\u0438\\u0435 \\u0437\\u0430 \\u0432\\u0430\\u0448\\u0438\\u044f \\u0431\\u0438\\u0437\\u043d\\u0435\\u0441 \\u0441 \\u0435\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u0430 \\u0442\\u044a\\u0440\\u0433\\u043e\\u0432\\u0438\\u044f \\u0432 \\u0441\\u0432\\u0435\\u0442\\u043e\\u0432\\u0435\\u043d \\u043c\\u0430\\u0449\\u0430\\u0431.\\\",\\\"download_app\\\":\\\"\\u0418\\u0437\\u0442\\u0435\\u0433\\u043b\\u0435\\u0442\\u0435 \\u043d\\u0430\\u0448\\u0435\\u0442\\u043e \\u043f\\u0440\\u0438\\u043b\\u043e\\u0436\\u0435\\u043d\\u0438\\u0435\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041f\\u043e\\u043b\\u0435\\u0437\\u043d\\u0438 \\u0432\\u0440\\u044a\\u0437\\u043a\\u0438\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0417\\u0430 \\u043d\\u0430\\u0441\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0421\\u0432\\u044a\\u0440\\u0436\\u0435\\u0442\\u0435 \\u0441\\u0435 \\u0441 \\u043d\\u0430\\u0441\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/contact-us\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u043b\\u0438\\u0442\\u0438\\u043a\\u0430 \\u0437\\u0430 \\u043f\\u043e\\u0432\\u0435\\u0440\\u0438\\u0442\\u0435\\u043b\\u043d\\u043e\\u0441\\u0442\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u043b\\u0438\\u0442\\u0438\\u043a\\u0430 \\u0437\\u0430 \\u0432\\u044a\\u0437\\u0441\\u0442\\u0430\\u043d\\u043e\\u0432\\u044f\\u0432\\u0430\\u043d\\u0435 \\u043d\\u0430 \\u0441\\u0443\\u043c\\u0438\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0426\\u0438\\u0444\\u0440\\u043e\\u0432\\u043e \\u043f\\u043b\\u0430\\u0449\\u0430\\u043d\\u0435\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/digital-payments\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u041f\\u0440\\u043e\\u0441\\u043b\\u0435\\u0434\\u044f\\u0432\\u0430\\u043d\\u0435 \\u043d\\u0430 \\u043f\\u043e\\u0440\\u044a\\u0447\\u043a\\u0430\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/track-order\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0412\\u0441\\u0438\\u0447\\u043a\\u0438 \\u043f\\u0440\\u043e\\u0434\\u0443\\u043a\\u0442\\u0438\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products\\\"},\\\"8\\\":{\\\"label\\\":\\\"\\u0421\\u0442\\u0430\\u043d\\u0438 \\u043f\\u0440\\u043e\\u0434\\u0430\\u0432\\u0430\\u0447\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/seller\\\\\\/sign-up\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0438 \\u0441\\u0442\\u0440\\u0430\\u043d\\u0438\\u0446\\u0438\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0430 \\u0441\\u0442\\u0440\\u0430\\u043d\\u0438\\u0446\\u0430 - \\u0441\\u043c\\u0435\\u0441\\u0435\\u043d\\u0430\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-1\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0430 \\u0441\\u0442\\u0440\\u0430\\u043d\\u0438\\u0446\\u0430 - \\u041c\\u0435\\u0431\\u0435\\u043b\\u0438\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-3\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0430 \\u0441\\u0442\\u0440\\u0430\\u043d\\u0438\\u0446\\u0430 - \\u0426\\u0438\\u0444\\u0440\\u043e\\u0432 \\u043f\\u0440\\u043e\\u0434\\u0443\\u043a\\u0442\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-6\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0430 \\u0441\\u0442\\u0440\\u0430\\u043d\\u0438\\u0446\\u0430 - \\u0425\\u0440\\u0430\\u043d\\u0438\\u0442\\u0435\\u043b\\u043d\\u0438 \\u0441\\u0442\\u043e\\u043a\\u0438\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-7\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0430 \\u0441\\u0442\\u0440\\u0430\\u043d\\u0438\\u0446\\u0430 - \\u041c\\u043e\\u0434\\u0430 - I\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-8\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0430 \\u0441\\u0442\\u0440\\u0430\\u043d\\u0438\\u0446\\u0430 - \\u041c\\u043e\\u0434\\u0430 - II\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-5\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0430 \\u0441\\u0442\\u0440\\u0430\\u043d\\u0438\\u0446\\u0430 - \\u041c\\u043e\\u0434\\u0430 - III\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"8\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0430 \\u0441\\u0442\\u0440\\u0430\\u043d\\u0438\\u0446\\u0430 - \\u041c\\u043e\\u0434\\u0430 - IV\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-4\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0442\\u0435\\u0433\\u043e\\u0440\\u0438\\u0438\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0415\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u0438 \\u0443\\u0441\\u0442\\u0440\\u043e\\u0439\\u0441\\u0442\\u0432\\u0430\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0415\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u0438 \\u0430\\u043a\\u0441\\u0435\\u0441\\u043e\\u0430\\u0440\\u0438\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Accessories\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0417\\u0434\\u0440\\u0430\\u0432\\u0435 \\u0438 \\u043a\\u0440\\u0430\\u0441\\u043e\\u0442\\u0430\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Health%20%26%20Beauty\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0411\\u0435\\u0431\\u0435\\u0442\\u0430 \\u0438 \\u0438\\u0433\\u0440\\u0430\\u0447\\u043a\\u0438\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Babies%20%26%20Toys\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u041c\\u043e\\u0434\\u0430 \\u0437\\u0430 \\u0432\\u0441\\u0438\\u0447\\u043a\\u0438\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0427\\u0430\\u0441\\u043e\\u0432\\u043d\\u0438\\u0446\\u0438 \\u0438 \\u0430\\u043a\\u0441\\u0435\\u0441\\u043e\\u0430\\u0440\\u0438\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Watches%20%26%20Accessories\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0421\\u043f\\u043e\\u0440\\u0442 \\u0438 \\u043d\\u0430 \\u043e\\u0442\\u043a\\u0440\\u0438\\u0442\\u043e\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"},\\\"8\\\":{\\\"label\\\":\\\"\\u0410\\u0432\\u0442\\u043e\\u043c\\u043e\\u0431\\u0438\\u043b\\u0438 \\u0438 \\u0432\\u0435\\u043b\\u043e\\u0441\\u0438\\u043f\\u0435\\u0434\\u0438\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Automotive%20%26%20Motorbike\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0421\\u0432\\u044a\\u0440\\u0436\\u0435\\u0442\\u0435 \\u0441\\u0435 \\u0441 \\u043d\\u0430\\u0441\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u0410\\u0434\\u0440\\u0435\\u0441: 184 Main Rd E, St Albans, \\u0410\\u0432\\u0441\\u0442\\u0440\\u0430\\u043b\\u0438\\u044f\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u041e\\u0441\\u0442\\u0430\\u043d\\u0435\\u0442\\u0435 \\u0441\\u0432\\u044a\\u0440\\u0437\\u0430\\u043d\\u0438\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"border_top\\\":\\\"#050505\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u0412\\u0441\\u0438\\u0447\\u043a\\u0438 \\u043f\\u0440\\u0430\\u0432\\u0430 \\u0437\\u0430\\u043f\\u0430\\u0437\\u0435\\u043d\\u0438\\\",\\\"position\\\":\\\"center\\\"}}\",\"ca\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Sobre nosaltres\\\",\\\"data\\\":{\\\"short_details\\\":\\\"La soluci\\u00f3 definitiva tot-en-un per al teu negoci de comer\\u00e7 electr\\u00f2nic a tot el m\\u00f3n.\\\",\\\"download_app\\\":\\\"Descarrega la nostra aplicaci\\u00f3\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Enlla\\u00e7os \\u00fatils\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Sobre nosaltres\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"2\\\":{\\\"label\\\":\\\"Contacta amb nosaltres\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/contact-us\\\"},\\\"3\\\":{\\\"label\\\":\\\"Pol\\u00edtica de privadesa\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"4\\\":{\\\"label\\\":\\\"Pol\\u00edtica de reemborsament\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Pagament digital\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/digital-payments\\\"},\\\"6\\\":{\\\"label\\\":\\\"Rastrejar la comanda\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/track-order\\\"},\\\"7\\\":{\\\"label\\\":\\\"Tots els productes\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products\\\"},\\\"8\\\":{\\\"label\\\":\\\"Sigues venedor\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/seller\\\\\\/sign-up\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"P\\u00e0gines d\'inici\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"P\\u00e0gina d\'inici - Mixta\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-1\\\"},\\\"2\\\":{\\\"label\\\":\\\"P\\u00e0gina d\'inici - Mobles\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-3\\\"},\\\"3\\\":{\\\"label\\\":\\\"P\\u00e0gina d\'inici - Producte digital\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-6\\\"},\\\"4\\\":{\\\"label\\\":\\\"P\\u00e0gina d\'inici - Queviures\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-7\\\"},\\\"5\\\":{\\\"label\\\":\\\"P\\u00e0gina d\'inici - Moda - I\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-8\\\"},\\\"6\\\":{\\\"label\\\":\\\"P\\u00e0gina d\'inici - Moda - II\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-5\\\"},\\\"7\\\":{\\\"label\\\":\\\"P\\u00e0gina d\'inici - Moda - III\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"8\\\":{\\\"label\\\":\\\"P\\u00e0gina d\'inici - Moda - IV\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-4\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Categories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Dispositius electr\\u00f2nics\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"},\\\"2\\\":{\\\"label\\\":\\\"Accessoris electr\\u00f2nics\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Accessories\\\"},\\\"3\\\":{\\\"label\\\":\\\"Salut i bellesa\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Health%20%26%20Beauty\\\"},\\\"4\\\":{\\\"label\\\":\\\"Beb\\u00e8s i joguines\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Babies%20%26%20Toys\\\"},\\\"5\\\":{\\\"label\\\":\\\"Moda per a tots\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},\\\"6\\\":{\\\"label\\\":\\\"Rellotges i accessoris\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Watches%20%26%20Accessories\\\"},\\\"7\\\":{\\\"label\\\":\\\"Esports i aire lliure\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"},\\\"8\\\":{\\\"label\\\":\\\"Autom\\u00f2bils i bicicletes\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Automotive%20%26%20Motorbike\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contacta amb nosaltres\\\",\\\"data\\\":{\\\"address\\\":\\\"Adre\\u00e7a: 184 Main Rd E, St Albans, Austr\\u00e0lia\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"Mantingueu-vos connectat\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"border_top\\\":\\\"#050505\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Tots els drets reservats\\\",\\\"position\\\":\\\"center\\\"}}\",\"et\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Meist\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u00dclim k\\u00f5ik-\\u00fches lahendus teie e-kaubanduse \\u00e4rile kogu maailmas.\\\",\\\"download_app\\\":\\\"Laadige alla meie rakendus\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Kasulikud lingid\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Meist\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"2\\\":{\\\"label\\\":\\\"V\\u00f5ta meiega \\u00fchendust\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/contact-us\\\"},\\\"3\\\":{\\\"label\\\":\\\"Privaatsuspoliitika\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"4\\\":{\\\"label\\\":\\\"Tagasimaksepoliitika\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Digitaalne makse\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/digital-payments\\\"},\\\"6\\\":{\\\"label\\\":\\\"J\\u00e4lgi tellimust\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/track-order\\\"},\\\"7\\\":{\\\"label\\\":\\\"K\\u00f5ik tooted\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products\\\"},\\\"8\\\":{\\\"label\\\":\\\"Ole m\\u00fc\\u00fcja\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/seller\\\\\\/sign-up\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Kodulehed\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Koduleht - Segatud\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-1\\\"},\\\"2\\\":{\\\"label\\\":\\\"Koduleht - M\\u00f6\\u00f6bel\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-3\\\"},\\\"3\\\":{\\\"label\\\":\\\"Koduleht - Digitaalne toode\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-6\\\"},\\\"4\\\":{\\\"label\\\":\\\"Koduleht - Toidukaubad\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-7\\\"},\\\"5\\\":{\\\"label\\\":\\\"Koduleht - Mood - I\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-8\\\"},\\\"6\\\":{\\\"label\\\":\\\"Koduleht - Mood - II\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-5\\\"},\\\"7\\\":{\\\"label\\\":\\\"Koduleht - Mood - III\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"8\\\":{\\\"label\\\":\\\"Koduleht - Mood - IV\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-4\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Kategooriad\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Elektroonikaseadmed\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"},\\\"2\\\":{\\\"label\\\":\\\"Elektroonikatarvikud\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Accessories\\\"},\\\"3\\\":{\\\"label\\\":\\\"Tervis ja ilu\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Health%20%26%20Beauty\\\"},\\\"4\\\":{\\\"label\\\":\\\"Beebid ja m\\u00e4nguasjad\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Babies%20%26%20Toys\\\"},\\\"5\\\":{\\\"label\\\":\\\"Mood k\\u00f5igile\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},\\\"6\\\":{\\\"label\\\":\\\"Kellad ja aksessuaarid\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Watches%20%26%20Accessories\\\"},\\\"7\\\":{\\\"label\\\":\\\"Sport ja \\u00f5ues\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"},\\\"8\\\":{\\\"label\\\":\\\"Autod ja jalgrattad\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Automotive%20%26%20Motorbike\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"V\\u00f5ta meiega \\u00fchendust\\\",\\\"data\\\":{\\\"address\\\":\\\"Aadress: 184 Main Rd E, St Albans, Austraalia\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"P\\u00fcsige \\u00fchenduses\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"border_top\\\":\\\"#050505\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | K\\u00f5ik \\u00f5igused kaitstud\\\",\\\"position\\\":\\\"center\\\"}}\",\"nl\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Over ons\\\",\\\"data\\\":{\\\"short_details\\\":\\\"De ultieme alles-in-\\u00e9\\u00e9n oplossing voor uw e-commercebedrijf wereldwijd.\\\",\\\"download_app\\\":\\\"Download onze app\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Handige links\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Over ons\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"2\\\":{\\\"label\\\":\\\"Neem contact op\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/contact-us\\\"},\\\"3\\\":{\\\"label\\\":\\\"Privacybeleid\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"4\\\":{\\\"label\\\":\\\"Restitutiebeleid\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Digitale betaling\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/digital-payments\\\"},\\\"6\\\":{\\\"label\\\":\\\"Volg bestelling\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/track-order\\\"},\\\"7\\\":{\\\"label\\\":\\\"Alle producten\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products\\\"},\\\"8\\\":{\\\"label\\\":\\\"Word verkoper\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/seller\\\\\\/sign-up\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Homepagina\'s\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Homepage - Gemengd\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-1\\\"},\\\"2\\\":{\\\"label\\\":\\\"Homepage - Meubilair\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-3\\\"},\\\"3\\\":{\\\"label\\\":\\\"Homepage - Digitaal product\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-6\\\"},\\\"4\\\":{\\\"label\\\":\\\"Homepage - Boodschappen\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-7\\\"},\\\"5\\\":{\\\"label\\\":\\\"Homepage - Mode - I\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-8\\\"},\\\"6\\\":{\\\"label\\\":\\\"Homepage - Mode - II\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-5\\\"},\\\"7\\\":{\\\"label\\\":\\\"Homepage - Mode - III\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"8\\\":{\\\"label\\\":\\\"Homepage - Mode - IV\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/page\\\\\\/home-4\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Categorie\\u00ebn\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Elektronische apparaten\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Devices\\\"},\\\"2\\\":{\\\"label\\\":\\\"Elektronische accessoires\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Electronic%20Accessories\\\"},\\\"3\\\":{\\\"label\\\":\\\"Gezondheid en schoonheid\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Health%20%26%20Beauty\\\"},\\\"4\\\":{\\\"label\\\":\\\"Baby\'s en speelgoed\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Babies%20%26%20Toys\\\"},\\\"5\\\":{\\\"label\\\":\\\"Mode voor iedereen\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Fashion\\\"},\\\"6\\\":{\\\"label\\\":\\\"Horloges en accessoires\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Watches%20%26%20Accessories\\\"},\\\"7\\\":{\\\"label\\\":\\\"Sport en buiten\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Sports%20%26%20Outdoor\\\"},\\\"8\\\":{\\\"label\\\":\\\"Automobielen en fietsen\\\",\\\"link\\\":\\\"http:\\/\\/localhost\\/multi-vendor\\/search-products?categories=Automotive%20%26%20Motorbike\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Neem contact op\\\",\\\"data\\\":{\\\"address\\\":\\\"Adres: 184 Main Rd E, St Albans, Australi\\u00eb\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"Blijf verbonden\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"border_top\\\":\\\"#050505\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Alle rechten voorbehouden\\\",\\\"position\\\":\\\"center\\\"}}\"}'),(9,'file_id','[\"1167\",\"1167\",\"1167\"]'),(10,'default_template_header','{\"top\":{\"show_header\":\"1\",\"text_color\":\"#2c2c2c\",\"bg_color\":\"#fcca19\",\"show_phone\":\"1\",\"phone\":\"+12013828902\",\"show_email\":\"1\",\"email\":\"admin@techvill.net\",\"show_seller\":\"1\",\"show_compare\":\"1\",\"show_currency\":\"1\",\"show_language\":\"1\"},\"main\":{\"text_color\":\"#898989\",\"bg_color\":\"#ffffff\",\"show_logo\":\"1\",\"show_searchbar\":\"1\",\"show_account\":\"1\",\"show_wishlist\":\"1\",\"show_cart\":\"1\",\"show_track\":\"1\"},\"bottom\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#ffffff\",\"show_category\":\"1\",\"category_expand\":\"1\",\"border_top\":\"#dfdfdf\",\"border_bottom\":\"#dfdfdf\",\"show_page_menu\":\"1\",\"show_download_app\":\"1\",\"show_google_play\":\"1\",\"google_play_link\":\"https:\\/\\/play.google.com\\/store\\/games\",\"show_app_store\":\"1\",\"app_store_link\":\"https:\\/\\/www.apple.com\\/app-store\\/\"},\"bottom_category\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#f3f3f3\"}}'),(11,'default_template_header_logo',''),(12,'default_template_is_color_picker_active','0'),(13,'default_template_social','{\"facebook\":\"1\",\"whatsapp\":\"1\",\"instagram\":\"1\",\"pinterest\":\"1\",\"linkedin\":\"1\"}'),(14,'default_template_page','{\"term_condition\":\"privacy-policy\",\"slider\":\"home-page\"}'),(15,'default_template_header_mobile_logo',''),(16,'default_template_download_google_play_logo',''),(17,'default_template_download_app_store_logo',''),(18,'default_template_primary_color','#fcca19'),(19,'fashion_template_footer_logo',''),(20,'fashion_template_google_play',''),(21,'fashion_template_app_store',''),(22,'fashion_template_payment_methods',''),(23,'fashion_template_phone_no','0'),(24,'fashion_template_email','0'),(25,'fashion_template_currency','0'),(26,'fashion_template_footer','{\"en\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#f2ebd9\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"About Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"The ultimate all-in-one solution for your ecommerce business worldwide.\\\",\\\"download_app\\\":\\\"Download Our App\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Useful Links\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Store Location\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Latest News\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"My Account\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Size Guide\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"FAQs\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Information\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Homepage\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Home 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"About\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Privacy Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Refund Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Digital Payments\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Categories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Electronics\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Lifestyle & Living\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Healthcare\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Men\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Women\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"Children\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"Sports\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contact Us\\\",\\\"data\\\":{\\\"address\\\":\\\"Address: 184 Main Rd E, St Albans, Australia\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"Stay Connected\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#2c2c2c\\\",\\\"bg_color\\\":\\\"#fcca19\\\",\\\"border_top\\\":\\\"#ebb800\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | All Rights Reserved\\\",\\\"position\\\":\\\"center\\\"}}\",\"bn\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#f2ebd9\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0986\\u09ae\\u09be\\u09a6\\u09c7\\u09b0 \\u09b8\\u09ae\\u09cd\\u09aa\\u09b0\\u09cd\\u0995\\u09c7\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u09ac\\u09bf\\u09b6\\u09cd\\u09ac\\u09ac\\u09cd\\u09af\\u09be\\u09aa\\u09c0 \\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u0987-\\u0995\\u09ae\\u09be\\u09b0\\u09cd\\u09b8 \\u09ac\\u09cd\\u09af\\u09ac\\u09b8\\u09be\\u09b0 \\u099c\\u09a8\\u09cd\\u09af \\u09b8\\u09b0\\u09cd\\u09ac\\u09be\\u09a7\\u09bf\\u0995 \\u09b8\\u09b0\\u09cd\\u09ac-\\u09b8\\u09ae\\u09c7\\u09a4 \\u09b8\\u09ae\\u09be\\u09a7\\u09be\\u09a8\\u0964\\\",\\\"download_app\\\":\\\"\\u0986\\u09ae\\u09be\\u09a6\\u09c7\\u09b0 \\u0985\\u09cd\\u09af\\u09be\\u09aa \\u09a1\\u09be\\u0989\\u09a8\\u09b2\\u09cb\\u09a1 \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0989\\u09aa\\u0995\\u09be\\u09b0\\u09c0 \\u09b2\\u09bf\\u0999\\u09cd\\u0995\\u0997\\u09c1\\u09b2\\u09bf\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u09a6\\u09cb\\u0995\\u09be\\u09a8\\u09c7\\u09b0 \\u0985\\u09ac\\u09b8\\u09cd\\u09a5\\u09be\\u09a8\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u09b8\\u09b0\\u09cd\\u09ac\\u09b6\\u09c7\\u09b7 \\u09b8\\u0982\\u09ac\\u09be\\u09a6\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0986\\u09ae\\u09be\\u09b0 \\u0985\\u09cd\\u09af\\u09be\\u0995\\u09be\\u0989\\u09a8\\u09cd\\u099f\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0986\\u0995\\u09be\\u09b0 \\u09a8\\u09bf\\u09b0\\u09cd\\u09a6\\u09c7\\u09b6\\u09bf\\u0995\\u09be\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u09b8\\u09be\\u09a7\\u09be\\u09b0\\u09a3 \\u09aa\\u09cd\\u09b0\\u09b6\\u09cd\\u09a8\\u0997\\u09c1\\u09b2\\u09bf\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u09a4\\u09a5\\u09cd\\u09af\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae\\u09aa\\u09c7\\u099c\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u09b8\\u09ae\\u09cd\\u09aa\\u09b0\\u09cd\\u0995\\u09c7\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0997\\u09cb\\u09aa\\u09a8\\u09c0\\u09af\\u09bc\\u09a4\\u09be \\u09a8\\u09c0\\u09a4\\u09bf\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u09ab\\u09c7\\u09b0\\u09a4 \\u09a8\\u09c0\\u09a4\\u09bf\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u09a1\\u09bf\\u099c\\u09bf\\u099f\\u09be\\u09b2 \\u09aa\\u09c7\\u09ae\\u09c7\\u09a8\\u09cd\\u099f\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u09ac\\u09bf\\u09ad\\u09be\\u0997\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0987\\u09b2\\u09c7\\u0995\\u09cd\\u099f\\u09cd\\u09b0\\u09a8\\u09bf\\u0995\\u09cd\\u09b8\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u099c\\u09c0\\u09ac\\u09a8\\u09af\\u09be\\u09aa\\u09a8 \\u0993 \\u09ac\\u09be\\u09b8\\u09be\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u09b9\\u09c7\\u09b2\\u09a5\\u0995\\u09c7\\u09af\\u09bc\\u09be\\u09b0\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u09aa\\u09c1\\u09b0\\u09c1\\u09b7\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u09a8\\u09be\\u09b0\\u09c0\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u09b6\\u09bf\\u09b6\\u09c1\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0996\\u09c7\\u09b2\\u09be\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09af\\u09cb\\u0997\\u09be\\u09af\\u09cb\\u0997 \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u09a0\\u09bf\\u0995\\u09be\\u09a8\\u09be: \\u09e7\\u09ee\\u09ea \\u09ae\\u09c7\\u0987\\u09a8 \\u09b0\\u09cb\\u09a1 \\u0987, \\u09b8\\u09c7\\u09a8\\u09cd\\u099f \\u0985\\u09cd\\u09af\\u09be\\u09b2\\u09ac\\u09cd\\u09af\\u09be\\u09a8\\u09cd\\u09b8, \\u0985\\u09b8\\u09cd\\u099f\\u09cd\\u09b0\\u09c7\\u09b2\\u09bf\\u09af\\u09bc\\u09be\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u09b8\\u0982\\u09af\\u09c1\\u0995\\u09cd\\u09a4 \\u09a5\\u09be\\u0995\\u09c1\\u09a8\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#2c2c2c\\\",\\\"bg_color\\\":\\\"#fcca19\\\",\\\"border_top\\\":\\\"#ebb800\\\",\\\"title\\\":\\\"\\\\u00a92022 \\u09ae\\u09be\\u09b0\\u09cd\\u099f \\u09ad\\u09bf\\u09b2 | \\u09b8\\u09ae\\u09b8\\u09cd\\u09a4 \\u0985\\u09a7\\u09bf\\u0995\\u09be\\u09b0 \\u09b8\\u0982\\u09b0\\u0995\\u09cd\\u09b7\\u09bf\\u09a4\\\",\\\"position\\\":\\\"center\\\"}}\",\"fr\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#f2ebd9\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u00c0 propos de nous\\\",\\\"data\\\":{\\\"short_details\\\":\\\"La solution ultime tout-en-un pour votre entreprise de commerce \\u00e9lectronique dans le monde entier.\\\",\\\"download_app\\\":\\\"T\\u00e9l\\u00e9chargez notre application\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Liens utiles\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Emplacement du magasin\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Derni\\u00e8res nouvelles\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Mon compte\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Guide des tailles\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"FAQ\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Information\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Page d\'accueil\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Accueil 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Sur\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Politique de confidentialit\\u00e9\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Politique de remboursement\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Paiements num\\u00e9riques\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Cat\\u00e9gories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u00c9lectronique\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Style de vie et vie\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Soins de sant\\u00e9\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Hommes\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Femmes\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"Enfants\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"Sports\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contactez-nous\\\",\\\"data\\\":{\\\"address\\\":\\\"Adresse : 184 Main Rd E, St Albans, Australie\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"Restez connect\\u00e9\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#2c2c2c\\\",\\\"bg_color\\\":\\\"#fcca19\\\",\\\"border_top\\\":\\\"#ebb800\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Tous droits r\\u00e9serv\\u00e9s\\\",\\\"position\\\":\\\"center\\\"}}\",\"zh\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#f2ebd9\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u5173\\u4e8e\\u6211\\u4eec\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u4e3a\\u60a8\\u7684\\u5168\\u7403\\u7535\\u5b50\\u5546\\u52a1\\u4e1a\\u52a1\\u63d0\\u4f9b\\u7ec8\\u6781\\u4e00\\u4f53\\u5316\\u89e3\\u51b3\\u65b9\\u6848\\u3002\\\",\\\"download_app\\\":\\\"\\u4e0b\\u8f7d\\u6211\\u4eec\\u7684\\u5e94\\u7528\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u6709\\u7528\\u7684\\u94fe\\u63a5\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u5546\\u5e97\\u4f4d\\u7f6e\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u6700\\u65b0\\u6d88\\u606f\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u6211\\u7684\\u8d26\\u6237\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u5c3a\\u7801\\u6307\\u5357\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u5e38\\u89c1\\u95ee\\u9898\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u4fe1\\u606f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u4e3b\\u9875\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u4e3b\\u9875 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u5173\\u4e8e\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u9690\\u79c1\\u653f\\u7b56\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u9000\\u6b3e\\u653f\\u7b56\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u6570\\u5b57\\u652f\\u4ed8\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u5206\\u7c7b\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u7535\\u5b50\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u751f\\u6d3b\\u65b9\\u5f0f\\u4e0e\\u751f\\u6d3b\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u4fdd\\u5065\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u7537\\u6027\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u5973\\u6027\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u513f\\u7ae5\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u4f53\\u80b2\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u8054\\u7cfb\\u6211\\u4eec\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u5730\\u5740\\uff1a\\u6fb3\\u5927\\u5229\\u4e9a\\u5723\\u5965\\u5c14\\u672c\\u65af\\u4e1c\\u4e3b\\u5e72\\u9053184\\u53f7\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u4fdd\\u6301\\u8054\\u7cfb\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#2c2c2c\\\",\\\"bg_color\\\":\\\"#fcca19\\\",\\\"border_top\\\":\\\"#ebb800\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u7248\\u6743\\u6240\\u6709\\\",\\\"position\\\":\\\"center\\\"}}\",\"ar\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#f2ebd9\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0639\\u0646\\u0627\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u0627\\u0644\\u062d\\u0644 \\u0627\\u0644\\u0634\\u0627\\u0645\\u0644 \\u0627\\u0644\\u0646\\u0647\\u0627\\u0626\\u064a \\u0644\\u0639\\u0645\\u0644\\u0643 \\u0641\\u064a \\u0627\\u0644\\u062a\\u062c\\u0627\\u0631\\u0629 \\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\u0629 \\u0639\\u0644\\u0649 \\u0645\\u0633\\u062a\\u0648\\u0649 \\u0627\\u0644\\u0639\\u0627\\u0644\\u0645.\\\",\\\"download_app\\\":\\\"\\u0642\\u0645 \\u0628\\u062a\\u0646\\u0632\\u064a\\u0644 \\u062a\\u0637\\u0628\\u064a\\u0642\\u0646\\u0627\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0631\\u0648\\u0627\\u0628\\u0637 \\u0645\\u0641\\u064a\\u062f\\u0629\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0645\\u0648\\u0642\\u0639 \\u0627\\u0644\\u0645\\u062a\\u062c\\u0631\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0623\\u062d\\u062f\\u062b \\u0627\\u0644\\u0623\\u062e\\u0628\\u0627\\u0631\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u062d\\u0633\\u0627\\u0628\\u064a\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u062f\\u0644\\u064a\\u0644 \\u0627\\u0644\\u0645\\u0642\\u0627\\u0633\\u0627\\u062a\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0623\\u0633\\u0626\\u0644\\u0629 \\u0627\\u0644\\u0634\\u0627\\u0626\\u0639\\u0629\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0629 \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0629 \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u062d\\u0648\\u0644\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u0627\\u0633\\u062a\\u0631\\u062f\\u0627\\u062f\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0645\\u062f\\u0641\\u0648\\u0639\\u0627\\u062a \\u0627\\u0644\\u0631\\u0642\\u0645\\u064a\\u0629\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0627\\u0644\\u0641\\u0626\\u0627\\u062a\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\u0627\\u062a\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0646\\u0645\\u0637 \\u0627\\u0644\\u062d\\u064a\\u0627\\u0629 \\u0648\\u0627\\u0644\\u0639\\u064a\\u0634\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0631\\u0639\\u0627\\u064a\\u0629 \\u0627\\u0644\\u0635\\u062d\\u064a\\u0629\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0631\\u062c\\u0627\\u0644\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0646\\u0633\\u0627\\u0621\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0623\\u0637\\u0641\\u0627\\u0644\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0631\\u064a\\u0627\\u0636\\u0629\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0627\\u062a\\u0635\\u0644 \\u0628\\u0646\\u0627\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u0627\\u0644\\u0639\\u0646\\u0648\\u0627\\u0646: 184 Main Rd E, St Albans, \\u0623\\u0633\\u062a\\u0631\\u0627\\u0644\\u064a\\u0627\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u0627\\u0628\\u0642\\u0649 \\u0639\\u0644\\u0649 \\u062a\\u0648\\u0627\\u0635\\u0644\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#2c2c2c\\\",\\\"bg_color\\\":\\\"#fcca19\\\",\\\"border_top\\\":\\\"#ebb800\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u062c\\u0645\\u064a\\u0639 \\u0627\\u0644\\u062d\\u0642\\u0648\\u0642 \\u0645\\u062d\\u0641\\u0648\\u0638\\u0629\\\",\\\"position\\\":\\\"center\\\"}}\",\"be\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#f2ebd9\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041f\\u0440\\u0430 \\u043d\\u0430\\u0441\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u041b\\u0435\\u043f\\u0448\\u0430\\u0435 \\u0440\\u0430\\u0448\\u044d\\u043d\\u043d\\u0435 \\u00ab\\u045e\\u0441\\u0451 \\u045e \\u0430\\u0434\\u043d\\u044b\\u043c\\u00bb \\u0434\\u043b\\u044f \\u0432\\u0430\\u0448\\u0430\\u0433\\u0430 \\u0431\\u0456\\u0437\\u043d\\u0435\\u0441\\u0443 \\u045e \\u0441\\u0444\\u0435\\u0440\\u044b \\u044d\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u0430\\u0439 \\u043a\\u0430\\u043c\\u0435\\u0440\\u0446\\u044b\\u0456 \\u0432\\u0430 \\u045e\\u0441\\u0456\\u043c \\u0441\\u0432\\u0435\\u0446\\u0435.\\\",\\\"download_app\\\":\\\"\\u0421\\u043f\\u0430\\u043c\\u043f\\u0430\\u0432\\u0430\\u0446\\u044c \\u043d\\u0430\\u0448\\u0430 \\u043f\\u0440\\u044b\\u043a\\u043b\\u0430\\u0434\\u0430\\u043d\\u043d\\u0435\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0440\\u044b\\u0441\\u043d\\u044b\\u044f \\u0441\\u043f\\u0430\\u0441\\u044b\\u043b\\u043a\\u0456\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041c\\u0435\\u0441\\u0446\\u0430 \\u0437\\u043d\\u0430\\u0445\\u043e\\u0434\\u0436\\u0430\\u043d\\u043d\\u044f \\u043c\\u0430\\u0433\\u0430\\u0437\\u0456\\u043d\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0410\\u043f\\u043e\\u0448\\u043d\\u0456\\u044f \\u043d\\u0430\\u0432\\u0456\\u043d\\u044b\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041c\\u043e\\u0439 \\u0440\\u0430\\u0445\\u0443\\u043d\\u0430\\u043a\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041a\\u0456\\u0440\\u0430\\u045e\\u043d\\u0456\\u0446\\u0442\\u0432\\u0430 \\u043f\\u0430 \\u043f\\u0430\\u043c\\u0435\\u0440\\u0430\\u0445\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u041f\\u0430\\u043f\\u0443\\u043b\\u044f\\u0440\\u043d\\u044b\\u044f \\u043f\\u044b\\u0442\\u0430\\u043d\\u043d\\u0456\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0406\\u043d\\u0444\\u0430\\u0440\\u043c\\u0430\\u0446\\u044b\\u044f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u0430\\u044f \\u0441\\u0442\\u0430\\u0440\\u043e\\u043d\\u043a\\u0430\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u0430\\u044f 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041f\\u0440\\u0430\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041f\\u0430\\u043b\\u0456\\u0442\\u044b\\u043a\\u0430 \\u043f\\u0440\\u044b\\u0432\\u0430\\u0442\\u043d\\u0430\\u0441\\u0446\\u0456\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u041f\\u0430\\u043b\\u0456\\u0442\\u044b\\u043a\\u0430 \\u0432\\u044f\\u0440\\u0442\\u0430\\u043d\\u043d\\u044f\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0426\\u044b\\u0444\\u0440\\u0430\\u0432\\u044b\\u044f \\u043f\\u043b\\u0430\\u0446\\u0435\\u0436\\u044b\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0442\\u044d\\u0433\\u043e\\u0440\\u044b\\u0456\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u042d\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u0456\\u043a\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0421\\u0446\\u044b\\u043b\\u044c \\u0436\\u044b\\u0446\\u0446\\u044f \\u0456 \\u0436\\u044b\\u0446\\u0446\\u0451\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0410\\u0445\\u043e\\u0432\\u0430 \\u0437\\u0434\\u0430\\u0440\\u043e\\u045e\\u044f\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041c\\u0443\\u0436\\u0447\\u044b\\u043d\\u044b\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0416\\u0430\\u043d\\u0447\\u044b\\u043d\\u044b\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0414\\u0437\\u0435\\u0446\\u0456\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0421\\u043f\\u043e\\u0440\\u0442\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0417\\u0432\\u044f\\u0436\\u044b\\u0446\\u0435\\u0441\\u044f \\u0437 \\u043d\\u0430\\u043c\\u0456\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u0410\\u0434\\u0440\\u0430\\u0441: 184 Main Rd E, St Albans, \\u0410\\u045e\\u0441\\u0442\\u0440\\u0430\\u043b\\u0456\\u044f\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u0417\\u0430\\u0441\\u0442\\u0430\\u0432\\u0430\\u0439\\u0446\\u0435\\u0441\\u044f \\u043d\\u0430 \\u0441\\u0443\\u0432\\u044f\\u0437\\u0456\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#2c2c2c\\\",\\\"bg_color\\\":\\\"#fcca19\\\",\\\"border_top\\\":\\\"#ebb800\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u0423\\u0441\\u0435 \\u043f\\u0440\\u0430\\u0432\\u044b \\u0430\\u0431\\u0430\\u0440\\u043e\\u043d\\u0435\\u043d\\u044b\\\",\\\"position\\\":\\\"center\\\"}}\",\"bg\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#f2ebd9\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0417\\u0430 \\u043d\\u0430\\u0441\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u041d\\u0430\\u0439-\\u0434\\u043e\\u0431\\u0440\\u043e\\u0442\\u043e \\u0432\\u0441\\u0438\\u0447\\u043a\\u043e-\\u0432-\\u0435\\u0434\\u043d\\u043e \\u0440\\u0435\\u0448\\u0435\\u043d\\u0438\\u0435 \\u0437\\u0430 \\u0432\\u0430\\u0448\\u0438\\u044f \\u0431\\u0438\\u0437\\u043d\\u0435\\u0441 \\u0441 \\u0435\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u0430 \\u0442\\u044a\\u0440\\u0433\\u043e\\u0432\\u0438\\u044f \\u0432 \\u0441\\u0432\\u0435\\u0442\\u043e\\u0432\\u0435\\u043d \\u043c\\u0430\\u0449\\u0430\\u0431.\\\",\\\"download_app\\\":\\\"\\u0418\\u0437\\u0442\\u0435\\u0433\\u043b\\u0435\\u0442\\u0435 \\u043d\\u0430\\u0448\\u0435\\u0442\\u043e \\u043f\\u0440\\u0438\\u043b\\u043e\\u0436\\u0435\\u043d\\u0438\\u0435\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u041f\\u043e\\u043b\\u0435\\u0437\\u043d\\u0438 \\u0432\\u0440\\u044a\\u0437\\u043a\\u0438\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041c\\u0435\\u0441\\u0442\\u043e\\u043f\\u043e\\u043b\\u043e\\u0436\\u0435\\u043d\\u0438\\u0435 \\u043d\\u0430 \\u043c\\u0430\\u0433\\u0430\\u0437\\u0438\\u043d\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u0441\\u043b\\u0435\\u0434\\u043d\\u0438 \\u043d\\u043e\\u0432\\u0438\\u043d\\u0438\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041c\\u043e\\u044f\\u0442 \\u043f\\u0440\\u043e\\u0444\\u0438\\u043b\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0420\\u044a\\u043a\\u043e\\u0432\\u043e\\u0434\\u0441\\u0442\\u0432\\u043e \\u0437\\u0430 \\u0440\\u0430\\u0437\\u043c\\u0435\\u0440\\u0438\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0427\\u0417\\u0412\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0418\\u043d\\u0444\\u043e\\u0440\\u043c\\u0430\\u0446\\u0438\\u044f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0430 \\u0441\\u0442\\u0440\\u0430\\u043d\\u0438\\u0446\\u0430\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0430 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041e\\u0442\\u043d\\u043e\\u0441\\u043d\\u043e\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u043b\\u0438\\u0442\\u0438\\u043a\\u0430 \\u0437\\u0430 \\u043f\\u043e\\u0432\\u0435\\u0440\\u0438\\u0442\\u0435\\u043b\\u043d\\u043e\\u0441\\u0442\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u043b\\u0438\\u0442\\u0438\\u043a\\u0430 \\u0437\\u0430 \\u0432\\u0440\\u044a\\u0449\\u0430\\u043d\\u0435\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0414\\u0438\\u0433\\u0438\\u0442\\u0430\\u043b\\u043d\\u0438 \\u043f\\u043b\\u0430\\u0449\\u0430\\u043d\\u0438\\u044f\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0442\\u0435\\u0433\\u043e\\u0440\\u0438\\u0438\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0415\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u0438\\u043a\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0438\\u043d \\u043d\\u0430 \\u0436\\u0438\\u0432\\u043e\\u0442 \\u0438 \\u0436\\u0438\\u0432\\u043e\\u0442\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0417\\u0434\\u0440\\u0430\\u0432\\u0435\\u043e\\u043f\\u0430\\u0437\\u0432\\u0430\\u043d\\u0435\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041c\\u044a\\u0436\\u0435\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0416\\u0435\\u043d\\u0438\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0414\\u0435\\u0446\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0421\\u043f\\u043e\\u0440\\u0442\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0421\\u0432\\u044a\\u0440\\u0436\\u0435\\u0442\\u0435 \\u0441\\u0435 \\u0441 \\u043d\\u0430\\u0441\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u0410\\u0434\\u0440\\u0435\\u0441: 184 Main Rd E, St Albans, \\u0410\\u0432\\u0441\\u0442\\u0440\\u0430\\u043b\\u0438\\u044f\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u041e\\u0441\\u0442\\u0430\\u043d\\u0435\\u0442\\u0435 \\u0441\\u0432\\u044a\\u0440\\u0437\\u0430\\u043d\\u0438\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#2c2c2c\\\",\\\"bg_color\\\":\\\"#fcca19\\\",\\\"border_top\\\":\\\"#ebb800\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u0412\\u0441\\u0438\\u0447\\u043a\\u0438 \\u043f\\u0440\\u0430\\u0432\\u0430 \\u0437\\u0430\\u043f\\u0430\\u0437\\u0435\\u043d\\u0438\\\",\\\"position\\\":\\\"center\\\"}}\",\"ca\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#f2ebd9\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Sobre nosaltres\\\",\\\"data\\\":{\\\"short_details\\\":\\\"La soluci\\u00f3 definitiva tot-en-un per al teu negoci de comer\\u00e7 electr\\u00f2nic a tot el m\\u00f3n.\\\",\\\"download_app\\\":\\\"Descarrega la nostra aplicaci\\u00f3\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Enlla\\u00e7os \\u00fatils\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Ubicaci\\u00f3 de la botiga\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u00daltimes not\\u00edcies\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"El meu compte\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Guia de tamanys\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"PMF\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Informaci\\u00f3\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"P\\u00e0gina d\'inici\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Inici 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Sobre\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Pol\\u00edtica de privadesa\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Pol\\u00edtica de devolucions\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Pagaments digitals\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Categories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Electr\\u00f2nica\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Estil de vida i vida\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Atenci\\u00f3 sanit\\u00e0ria\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Homes\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Dones\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"Nens\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"Esports\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contacta\'ns\\\",\\\"data\\\":{\\\"address\\\":\\\"Adre\\u00e7a: 184 Main Rd E, St Albans, Austr\\u00e0lia\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"Mantingueu-vos connectat\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#2c2c2c\\\",\\\"bg_color\\\":\\\"#fcca19\\\",\\\"border_top\\\":\\\"#ebb800\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Tots els drets reservats\\\",\\\"position\\\":\\\"center\\\"}}\",\"et\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#f2ebd9\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Meist\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u00dclim k\\u00f5ik-\\u00fches lahendus teie e-kaubanduse \\u00e4rile kogu maailmas.\\\",\\\"download_app\\\":\\\"Laadige alla meie rakendus\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Kasulikud lingid\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Poe asukoht\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Viimased uudised\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Minu konto\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Suurusjuhend\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"KKK\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Info\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Koduleht\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Kodu 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Teave\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Privaatsuspoliitika\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Tagasimaksmise poliitika\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Digitaalsed maksed\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Kategooriad\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Elektroonika\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Elustiil ja elamine\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Tervishoid\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Mehed\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Naised\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"Lapsed\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"Sport\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"V\\u00f5ta meiega \\u00fchendust\\\",\\\"data\\\":{\\\"address\\\":\\\"Aadress: 184 Main Rd E, St Albans, Austraalia\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"P\\u00fcsige \\u00fchenduses\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#2c2c2c\\\",\\\"bg_color\\\":\\\"#fcca19\\\",\\\"border_top\\\":\\\"#ebb800\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | K\\u00f5ik \\u00f5igused kaitstud\\\",\\\"position\\\":\\\"center\\\"}}\",\"nl\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#f2ebd9\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Over ons\\\",\\\"data\\\":{\\\"short_details\\\":\\\"De ultieme alles-in-\\u00e9\\u00e9n oplossing voor uw e-commercebedrijf wereldwijd.\\\",\\\"download_app\\\":\\\"Download onze app\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Handige links\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Winkellocatie\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Laatste nieuws\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Mijn account\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Maatgids\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"FAQs\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Informatie\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Homepage\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Home 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Over\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Privacybeleid\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Restitutiebeleid\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Digitale betalingen\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Categorie\\u00ebn\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Elektronica\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Lifestyle & Living\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Gezondheidszorg\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Mannen\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Vrouwen\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"Kinderen\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"Sport\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Neem contact op\\\",\\\"data\\\":{\\\"address\\\":\\\"Adres: 184 Main Rd E, St Albans, Australi\\u00eb\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"Blijf verbonden\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#2c2c2c\\\",\\\"bg_color\\\":\\\"#fcca19\\\",\\\"border_top\\\":\\\"#ebb800\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Alle rechten voorbehouden\\\",\\\"position\\\":\\\"center\\\"}}\"}'),(27,'fashion_template_header','{\"top\":{\"show_header\":\"0\",\"text_color\":\"#2c2c2c\",\"bg_color\":\"#fcca19\",\"show_phone\":\"1\",\"phone\":\"+12013828902\",\"show_email\":\"1\",\"email\":\"admin@techvill.net\",\"show_seller\":\"1\",\"show_compare\":\"1\",\"show_currency\":\"1\",\"show_language\":\"1\"},\"main\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#fcca19\",\"show_logo\":\"1\",\"show_searchbar\":\"1\",\"show_account\":\"1\",\"show_wishlist\":\"1\",\"show_cart\":\"1\",\"show_track\":\"0\"},\"bottom\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#ffffff\",\"show_category\":\"0\",\"category_expand\":\"1\",\"border_top\":\"#dfdfdf\",\"border_bottom\":\"#dfdfdf\",\"show_page_menu\":\"0\",\"show_download_app\":\"0\",\"show_google_play\":\"1\",\"google_play_link\":\"https:\\/\\/play.google.com\\/store\\/games\",\"show_app_store\":\"1\",\"app_store_link\":\"https:\\/\\/www.apple.com\\/app-store\\/\"},\"bottom_category\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#f3f3f3\"}}'),(28,'fashion_template_header_logo',''),(29,'fashion_template_is_color_picker_active','0'),(30,'fashion_template_social','{\"facebook\":\"1\",\"whatsapp\":\"1\",\"instagram\":\"1\",\"pinterest\":\"1\",\"linkedin\":\"1\"}'),(31,'fashion_template_page','{\"term_condition\":\"privacy-policy\",\"slider\":\"home-page\"}'),(32,'fashion_template_header_mobile_logo',''),(33,'fashion_template_download_google_play_logo',''),(34,'fashion_template_download_app_store_logo',''),(35,'fashion_template_primary_color','#fcca19'),(36,'groceries_template_footer_logo',''),(37,'groceries_template_google_play',''),(38,'groceries_template_app_store',''),(39,'groceries_template_payment_methods',''),(40,'groceries_template_phone_no','0'),(41,'groceries_template_email','0'),(42,'groceries_template_currency','0'),(43,'groceries_template_footer','{\"en\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#10633c\\\",\\\"bg_color\\\":\\\"#54c992\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"About Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"The ultimate all-in-one solution for your ecommerce business worldwide.\\\",\\\"download_app\\\":\\\"Download Our App\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Useful Links\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Store Location\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Latest News\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"My Account\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Size Guide\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"FAQs\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Information\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Homepage\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Home 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"About\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Privacy Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Refund Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Digital Payments\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Categories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Electronics\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Lifestyle & Living\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Healthcare\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Men\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Women\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"Children\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"Sports\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contact Us\\\",\\\"data\\\":{\\\"address\\\":\\\"Address: 184 Main Rd E, St Albans, Australia\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"Stay Connected\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#10633c\\\",\\\"bg_color\\\":\\\"#54c992\\\",\\\"border_top\\\":\\\"#10633c\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | All Rights Reserved\\\",\\\"position\\\":\\\"center\\\"}}\",\"bn\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#10633c\\\",\\\"bg_color\\\":\\\"#54c992\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09b8\\u09ae\\u09cd\\u09aa\\u09b0\\u09cd\\u0995\\u09c7 Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u09ac\\u09bf\\u09b6\\u09cd\\u09ac\\u09ac\\u09cd\\u09af\\u09be\\u09aa\\u09c0 \\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u0987-\\u0995\\u09ae\\u09be\\u09b0\\u09cd\\u09b8 \\u09ac\\u09cd\\u09af\\u09ac\\u09b8\\u09be\\u09b0 \\u099c\\u09a8\\u09cd\\u09af \\u09b8\\u09b0\\u09cd\\u09ac\\u09be\\u09a7\\u09bf\\u0995 \\u09b8\\u09b0\\u09cd\\u09ac-\\u09b8\\u09ae\\u09c7\\u09a4 \\u09b8\\u09ae\\u09be\\u09a7\\u09be\\u09a8\\u0964\\\",\\\"download_app\\\":\\\"\\u0986\\u09ae\\u09be\\u09a6\\u09c7\\u09b0 \\u0985\\u09cd\\u09af\\u09be\\u09aa \\u09a1\\u09be\\u0989\\u09a8\\u09b2\\u09cb\\u09a1 \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0989\\u09aa\\u0995\\u09be\\u09b0\\u09c0 \\u09b2\\u09bf\\u0999\\u09cd\\u0995\\u0997\\u09c1\\u09b2\\u09bf\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u09a6\\u09cb\\u0995\\u09be\\u09a8\\u09c7\\u09b0 \\u0985\\u09ac\\u09b8\\u09cd\\u09a5\\u09be\\u09a8\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u09b8\\u09b0\\u09cd\\u09ac\\u09b6\\u09c7\\u09b7 \\u09b8\\u0982\\u09ac\\u09be\\u09a6\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0986\\u09ae\\u09be\\u09b0 \\u0985\\u09cd\\u09af\\u09be\\u0995\\u09be\\u0989\\u09a8\\u09cd\\u099f\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0986\\u0995\\u09be\\u09b0 \\u09a8\\u09bf\\u09b0\\u09cd\\u09a6\\u09c7\\u09b6\\u09bf\\u0995\\u09be\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u09b8\\u09be\\u09a7\\u09be\\u09b0\\u09a3 \\u09aa\\u09cd\\u09b0\\u09b6\\u09cd\\u09a8\\u0997\\u09c1\\u09b2\\u09bf\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09a4\\u09a5\\u09cd\\u09af\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae\\u09aa\\u09c7\\u099c\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u09b8\\u09ae\\u09cd\\u09aa\\u09b0\\u09cd\\u0995\\u09c7\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0997\\u09cb\\u09aa\\u09a8\\u09c0\\u09af\\u09bc\\u09a4\\u09be \\u09a8\\u09c0\\u09a4\\u09bf\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u09ab\\u09c7\\u09b0\\u09a4 \\u09a8\\u09c0\\u09a4\\u09bf\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u09a1\\u09bf\\u099c\\u09bf\\u099f\\u09be\\u09b2 \\u09aa\\u09c7\\u09ae\\u09c7\\u09a8\\u09cd\\u099f\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u09ac\\u09bf\\u09ad\\u09be\\u0997\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0987\\u09b2\\u09c7\\u0995\\u09cd\\u099f\\u09cd\\u09b0\\u09a8\\u09bf\\u0995\\u09cd\\u09b8\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u099c\\u09c0\\u09ac\\u09a8\\u09af\\u09be\\u09aa\\u09a8 \\u0993 \\u09ac\\u09be\\u09b8\\u09be\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u09b9\\u09c7\\u09b2\\u09a5\\u0995\\u09c7\\u09af\\u09bc\\u09be\\u09b0\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u09aa\\u09c1\\u09b0\\u09c1\\u09b7\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u09a8\\u09be\\u09b0\\u09c0\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u09b6\\u09bf\\u09b6\\u09c1\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0996\\u09c7\\u09b2\\u09be\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09af\\u09cb\\u0997\\u09be\\u09af\\u09cb\\u0997 \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u09a0\\u09bf\\u0995\\u09be\\u09a8\\u09be: \\u09e7\\u09ee\\u09ea \\u09ae\\u09c7\\u0987\\u09a8 \\u09b0\\u09cb\\u09a1 \\u0987, \\u09b8\\u09c7\\u09a8\\u09cd\\u099f \\u0985\\u09cd\\u09af\\u09be\\u09b2\\u09ac\\u09cd\\u09af\\u09be\\u09a8\\u09cd\\u09b8, \\u0985\\u09b8\\u09cd\\u099f\\u09cd\\u09b0\\u09c7\\u09b2\\u09bf\\u09af\\u09bc\\u09be\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u09b8\\u0982\\u09af\\u09c1\\u0995\\u09cd\\u09a4 \\u09a5\\u09be\\u0995\\u09c1\\u09a8\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#10633c\\\",\\\"bg_color\\\":\\\"#54c992\\\",\\\"border_top\\\":\\\"#10633c\\\",\\\"title\\\":\\\"\\\\u00a92022 \\u09ae\\u09be\\u09b0\\u09cd\\u099f \\u09ad\\u09bf\\u09b2 | \\u09b8\\u09ae\\u09b8\\u09cd\\u09a4 \\u0985\\u09a7\\u09bf\\u0995\\u09be\\u09b0 \\u09b8\\u0982\\u09b0\\u0995\\u09cd\\u09b7\\u09bf\\u09a4\\\",\\\"position\\\":\\\"center\\\"}}\",\"fr\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#10633c\\\",\\\"bg_color\\\":\\\"#54c992\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Sur Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"La solution ultime tout-en-un pour votre entreprise de commerce \\u00e9lectronique dans le monde entier.\\\",\\\"download_app\\\":\\\"T\\u00e9l\\u00e9chargez notre application\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Liens utiles\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Emplacement du magasin\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Derni\\u00e8res nouvelles\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Mon compte\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Guide des tailles\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"FAQ\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Information\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Page d\'accueil\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Accueil 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Sur\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Politique de confidentialit\\u00e9\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Politique de remboursement\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Paiements num\\u00e9riques\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Cat\\u00e9gories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u00c9lectronique\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Style de vie et vie\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Soins de sant\\u00e9\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Hommes\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Femmes\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"Enfants\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"Sports\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contactez-nous\\\",\\\"data\\\":{\\\"address\\\":\\\"Adresse : 184 Main Rd E, St Albans, Australie\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"Restez connect\\u00e9\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#10633c\\\",\\\"bg_color\\\":\\\"#54c992\\\",\\\"border_top\\\":\\\"#10633c\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Tous droits r\\u00e9serv\\u00e9s\\\",\\\"position\\\":\\\"center\\\"}}\",\"zh\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#10633c\\\",\\\"bg_color\\\":\\\"#54c992\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u5173\\u4e8e Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u4e3a\\u60a8\\u7684\\u5168\\u7403\\u7535\\u5b50\\u5546\\u52a1\\u4e1a\\u52a1\\u63d0\\u4f9b\\u7ec8\\u6781\\u4e00\\u4f53\\u5316\\u89e3\\u51b3\\u65b9\\u6848\\u3002\\\",\\\"download_app\\\":\\\"\\u4e0b\\u8f7d\\u6211\\u4eec\\u7684\\u5e94\\u7528\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u6709\\u7528\\u7684\\u94fe\\u63a5\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u5546\\u5e97\\u4f4d\\u7f6e\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u6700\\u65b0\\u6d88\\u606f\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u6211\\u7684\\u8d26\\u6237\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u5c3a\\u7801\\u6307\\u5357\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u5e38\\u89c1\\u95ee\\u9898\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u4fe1\\u606f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u4e3b\\u9875\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u4e3b\\u9875 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u5173\\u4e8e\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u9690\\u79c1\\u653f\\u7b56\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u9000\\u6b3e\\u653f\\u7b56\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u6570\\u5b57\\u652f\\u4ed8\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u5206\\u7c7b\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u7535\\u5b50\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u751f\\u6d3b\\u65b9\\u5f0f\\u4e0e\\u751f\\u6d3b\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u4fdd\\u5065\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u7537\\u6027\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u5973\\u6027\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u513f\\u7ae5\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u4f53\\u80b2\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u8054\\u7cfb\\u6211\\u4eec\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u5730\\u5740\\uff1a\\u6fb3\\u5927\\u5229\\u4e9a\\u5723\\u5965\\u5c14\\u672c\\u65af\\u4e1c\\u4e3b\\u5e72\\u9053184\\u53f7\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u4fdd\\u6301\\u8054\\u7cfb\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#10633c\\\",\\\"bg_color\\\":\\\"#54c992\\\",\\\"border_top\\\":\\\"#10633c\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u7248\\u6743\\u6240\\u6709\\\",\\\"position\\\":\\\"center\\\"}}\",\"ar\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#10633c\\\",\\\"bg_color\\\":\\\"#54c992\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u062d\\u0648\\u0644 Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u0627\\u0644\\u062d\\u0644 \\u0627\\u0644\\u0634\\u0627\\u0645\\u0644 \\u0627\\u0644\\u0646\\u0647\\u0627\\u0626\\u064a \\u0644\\u0639\\u0645\\u0644\\u0643 \\u0641\\u064a \\u0627\\u0644\\u062a\\u062c\\u0627\\u0631\\u0629 \\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\u0629 \\u0639\\u0644\\u0649 \\u0645\\u0633\\u062a\\u0648\\u0649 \\u0627\\u0644\\u0639\\u0627\\u0644\\u0645.\\\",\\\"download_app\\\":\\\"\\u0642\\u0645 \\u0628\\u062a\\u0646\\u0632\\u064a\\u0644 \\u062a\\u0637\\u0628\\u064a\\u0642\\u0646\\u0627\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0631\\u0648\\u0627\\u0628\\u0637 \\u0645\\u0641\\u064a\\u062f\\u0629\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0645\\u0648\\u0642\\u0639 \\u0627\\u0644\\u0645\\u062a\\u062c\\u0631\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0623\\u062d\\u062f\\u062b \\u0627\\u0644\\u0623\\u062e\\u0628\\u0627\\u0631\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u062d\\u0633\\u0627\\u0628\\u064a\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u062f\\u0644\\u064a\\u0644 \\u0627\\u0644\\u0645\\u0642\\u0627\\u0633\\u0627\\u062a\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0623\\u0633\\u0626\\u0644\\u0629 \\u0627\\u0644\\u0634\\u0627\\u0626\\u0639\\u0629\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0629 \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0629 \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u062d\\u0648\\u0644\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u0627\\u0633\\u062a\\u0631\\u062f\\u0627\\u062f\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0645\\u062f\\u0641\\u0648\\u0639\\u0627\\u062a \\u0627\\u0644\\u0631\\u0642\\u0645\\u064a\\u0629\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0627\\u0644\\u0641\\u0626\\u0627\\u062a\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\u0627\\u062a\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0646\\u0645\\u0637 \\u0627\\u0644\\u062d\\u064a\\u0627\\u0629 \\u0648\\u0627\\u0644\\u0639\\u064a\\u0634\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0631\\u0639\\u0627\\u064a\\u0629 \\u0627\\u0644\\u0635\\u062d\\u064a\\u0629\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0631\\u062c\\u0627\\u0644\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0646\\u0633\\u0627\\u0621\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0623\\u0637\\u0641\\u0627\\u0644\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0631\\u064a\\u0627\\u0636\\u0629\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0627\\u062a\\u0635\\u0644 \\u0628\\u0646\\u0627\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u0627\\u0644\\u0639\\u0646\\u0648\\u0627\\u0646: 184 Main Rd E, St Albans, \\u0623\\u0633\\u062a\\u0631\\u0627\\u0644\\u064a\\u0627\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u0627\\u0628\\u0642\\u0649 \\u0639\\u0644\\u0649 \\u062a\\u0648\\u0627\\u0635\\u0644\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#10633c\\\",\\\"bg_color\\\":\\\"#54c992\\\",\\\"border_top\\\":\\\"#10633c\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u062c\\u0645\\u064a\\u0639 \\u0627\\u0644\\u062d\\u0642\\u0648\\u0642 \\u0645\\u062d\\u0641\\u0648\\u0638\\u0629\\\",\\\"position\\\":\\\"center\\\"}}\",\"be\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#10633c\\\",\\\"bg_color\\\":\\\"#54c992\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041f\\u0440\\u0430 Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u041b\\u0435\\u043f\\u0448\\u0430\\u0435 \\u0440\\u0430\\u0448\\u044d\\u043d\\u043d\\u0435 \\u00ab\\u045e\\u0441\\u0451 \\u045e \\u0430\\u0434\\u043d\\u044b\\u043c\\u00bb \\u0434\\u043b\\u044f \\u0432\\u0430\\u0448\\u0430\\u0433\\u0430 \\u0431\\u0456\\u0437\\u043d\\u0435\\u0441\\u0443 \\u045e \\u0441\\u0444\\u0435\\u0440\\u044b \\u044d\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u0430\\u0439 \\u043a\\u0430\\u043c\\u0435\\u0440\\u0446\\u044b\\u0456 \\u0432\\u0430 \\u045e\\u0441\\u0456\\u043c \\u0441\\u0432\\u0435\\u0446\\u0435.\\\",\\\"download_app\\\":\\\"\\u0421\\u043f\\u0430\\u043c\\u043f\\u0430\\u0432\\u0430\\u0446\\u044c \\u043d\\u0430\\u0448\\u0430 \\u043f\\u0440\\u044b\\u043a\\u043b\\u0430\\u0434\\u0430\\u043d\\u043d\\u0435\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0440\\u044b\\u0441\\u043d\\u044b\\u044f \\u0441\\u043f\\u0430\\u0441\\u044b\\u043b\\u043a\\u0456\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041c\\u0435\\u0441\\u0446\\u0430 \\u0437\\u043d\\u0430\\u0445\\u043e\\u0434\\u0436\\u0430\\u043d\\u043d\\u044f \\u043c\\u0430\\u0433\\u0430\\u0437\\u0456\\u043d\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0410\\u043f\\u043e\\u0448\\u043d\\u0456\\u044f \\u043d\\u0430\\u0432\\u0456\\u043d\\u044b\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041c\\u043e\\u0439 \\u0440\\u0430\\u0445\\u0443\\u043d\\u0430\\u043a\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041a\\u0456\\u0440\\u0430\\u045e\\u043d\\u0456\\u0446\\u0442\\u0432\\u0430 \\u043f\\u0430 \\u043f\\u0430\\u043c\\u0435\\u0440\\u0430\\u0445\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u041f\\u0430\\u043f\\u0443\\u043b\\u044f\\u0440\\u043d\\u044b\\u044f \\u043f\\u044b\\u0442\\u0430\\u043d\\u043d\\u0456\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0406\\u043d\\u0444\\u0430\\u0440\\u043c\\u0430\\u0446\\u044b\\u044f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u0430\\u044f \\u0441\\u0442\\u0430\\u0440\\u043e\\u043d\\u043a\\u0430\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u0430\\u044f 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041f\\u0440\\u0430\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041f\\u0430\\u043b\\u0456\\u0442\\u044b\\u043a\\u0430 \\u043f\\u0440\\u044b\\u0432\\u0430\\u0442\\u043d\\u0430\\u0441\\u0446\\u0456\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u041f\\u0430\\u043b\\u0456\\u0442\\u044b\\u043a\\u0430 \\u0432\\u044f\\u0440\\u0442\\u0430\\u043d\\u043d\\u044f\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0426\\u044b\\u0444\\u0440\\u0430\\u0432\\u044b\\u044f \\u043f\\u043b\\u0430\\u0446\\u0435\\u0436\\u044b\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0442\\u044d\\u0433\\u043e\\u0440\\u044b\\u0456\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u042d\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u0456\\u043a\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0421\\u0446\\u044b\\u043b\\u044c \\u0436\\u044b\\u0446\\u0446\\u044f \\u0456 \\u0436\\u044b\\u0446\\u0446\\u0451\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0410\\u0445\\u043e\\u0432\\u0430 \\u0437\\u0434\\u0430\\u0440\\u043e\\u045e\\u044f\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041c\\u0443\\u0436\\u0447\\u044b\\u043d\\u044b\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0416\\u0430\\u043d\\u0447\\u044b\\u043d\\u044b\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0414\\u0437\\u0435\\u0446\\u0456\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0421\\u043f\\u043e\\u0440\\u0442\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0417\\u0432\\u044f\\u0436\\u044b\\u0446\\u0435\\u0441\\u044f \\u0437 \\u043d\\u0430\\u043c\\u0456\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u0410\\u0434\\u0440\\u0430\\u0441: 184 Main Rd E, St Albans, \\u0410\\u045e\\u0441\\u0442\\u0440\\u0430\\u043b\\u0456\\u044f\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u0417\\u0430\\u0441\\u0442\\u0430\\u0432\\u0430\\u0439\\u0446\\u0435\\u0441\\u044f \\u043d\\u0430 \\u0441\\u0443\\u0432\\u044f\\u0437\\u0456\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#10633c\\\",\\\"bg_color\\\":\\\"#54c992\\\",\\\"border_top\\\":\\\"#10633c\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u0423\\u0441\\u0435 \\u043f\\u0440\\u0430\\u0432\\u044b \\u0430\\u0431\\u0430\\u0440\\u043e\\u043d\\u0435\\u043d\\u044b\\\",\\\"position\\\":\\\"center\\\"}}\",\"bg\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#10633c\\\",\\\"bg_color\\\":\\\"#54c992\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041e\\u0442\\u043d\\u043e\\u0441\\u043d\\u043e Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u041d\\u0430\\u0439-\\u0434\\u043e\\u0431\\u0440\\u043e\\u0442\\u043e \\u0432\\u0441\\u0438\\u0447\\u043a\\u043e-\\u0432-\\u0435\\u0434\\u043d\\u043e \\u0440\\u0435\\u0448\\u0435\\u043d\\u0438\\u0435 \\u0437\\u0430 \\u0432\\u0430\\u0448\\u0438\\u044f \\u0431\\u0438\\u0437\\u043d\\u0435\\u0441 \\u0441 \\u0435\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u0430 \\u0442\\u044a\\u0440\\u0433\\u043e\\u0432\\u0438\\u044f \\u0432 \\u0441\\u0432\\u0435\\u0442\\u043e\\u0432\\u0435\\u043d \\u043c\\u0430\\u0449\\u0430\\u0431.\\\",\\\"download_app\\\":\\\"\\u0418\\u0437\\u0442\\u0435\\u0433\\u043b\\u0435\\u0442\\u0435 \\u043d\\u0430\\u0448\\u0435\\u0442\\u043e \\u043f\\u0440\\u0438\\u043b\\u043e\\u0436\\u0435\\u043d\\u0438\\u0435\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u041f\\u043e\\u043b\\u0435\\u0437\\u043d\\u0438 \\u0432\\u0440\\u044a\\u0437\\u043a\\u0438\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041c\\u0435\\u0441\\u0442\\u043e\\u043f\\u043e\\u043b\\u043e\\u0436\\u0435\\u043d\\u0438\\u0435 \\u043d\\u0430 \\u043c\\u0430\\u0433\\u0430\\u0437\\u0438\\u043d\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u0441\\u043b\\u0435\\u0434\\u043d\\u0438 \\u043d\\u043e\\u0432\\u0438\\u043d\\u0438\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041c\\u043e\\u044f\\u0442 \\u043f\\u0440\\u043e\\u0444\\u0438\\u043b\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0420\\u044a\\u043a\\u043e\\u0432\\u043e\\u0434\\u0441\\u0442\\u0432\\u043e \\u0437\\u0430 \\u0440\\u0430\\u0437\\u043c\\u0435\\u0440\\u0438\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0427\\u0417\\u0412\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0418\\u043d\\u0444\\u043e\\u0440\\u043c\\u0430\\u0446\\u0438\\u044f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0430 \\u0441\\u0442\\u0440\\u0430\\u043d\\u0438\\u0446\\u0430\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0430 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041e\\u0442\\u043d\\u043e\\u0441\\u043d\\u043e\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u043b\\u0438\\u0442\\u0438\\u043a\\u0430 \\u0437\\u0430 \\u043f\\u043e\\u0432\\u0435\\u0440\\u0438\\u0442\\u0435\\u043b\\u043d\\u043e\\u0441\\u0442\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u043b\\u0438\\u0442\\u0438\\u043a\\u0430 \\u0437\\u0430 \\u0432\\u0440\\u044a\\u0449\\u0430\\u043d\\u0435\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0414\\u0438\\u0433\\u0438\\u0442\\u0430\\u043b\\u043d\\u0438 \\u043f\\u043b\\u0430\\u0449\\u0430\\u043d\\u0438\\u044f\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0442\\u0435\\u0433\\u043e\\u0440\\u0438\\u0438\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0415\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u0438\\u043a\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0438\\u043d \\u043d\\u0430 \\u0436\\u0438\\u0432\\u043e\\u0442 \\u0438 \\u0436\\u0438\\u0432\\u043e\\u0442\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0417\\u0434\\u0440\\u0430\\u0432\\u0435\\u043e\\u043f\\u0430\\u0437\\u0432\\u0430\\u043d\\u0435\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041c\\u044a\\u0436\\u0435\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0416\\u0435\\u043d\\u0438\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0414\\u0435\\u0446\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0421\\u043f\\u043e\\u0440\\u0442\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0421\\u0432\\u044a\\u0440\\u0436\\u0435\\u0442\\u0435 \\u0441\\u0435 \\u0441 \\u043d\\u0430\\u0441\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u0410\\u0434\\u0440\\u0435\\u0441: 184 Main Rd E, St Albans, \\u0410\\u0432\\u0441\\u0442\\u0440\\u0430\\u043b\\u0438\\u044f\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u041e\\u0441\\u0442\\u0430\\u043d\\u0435\\u0442\\u0435 \\u0441\\u0432\\u044a\\u0440\\u0437\\u0430\\u043d\\u0438\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#10633c\\\",\\\"bg_color\\\":\\\"#54c992\\\",\\\"border_top\\\":\\\"#10633c\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u0412\\u0441\\u0438\\u0447\\u043a\\u0438 \\u043f\\u0440\\u0430\\u0432\\u0430 \\u0437\\u0430\\u043f\\u0430\\u0437\\u0435\\u043d\\u0438\\\",\\\"position\\\":\\\"center\\\"}}\",\"ca\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#10633c\\\",\\\"bg_color\\\":\\\"#54c992\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Sobre Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"La soluci\\u00f3 definitiva tot-en-un per al teu negoci de comer\\u00e7 electr\\u00f2nic a tot el m\\u00f3n.\\\",\\\"download_app\\\":\\\"Descarrega la nostra aplicaci\\u00f3\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Enlla\\u00e7os \\u00fatils\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Ubicaci\\u00f3 de la botiga\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u00daltimes not\\u00edcies\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"El meu compte\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Guia de tamanys\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"PMF\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Informaci\\u00f3\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"P\\u00e0gina d\'inici\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Inici 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Sobre\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Pol\\u00edtica de privadesa\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Pol\\u00edtica de devolucions\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Pagaments digitals\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Categories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Electr\\u00f2nica\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Estil de vida i vida\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Atenci\\u00f3 sanit\\u00e0ria\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Homes\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Dones\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"Nens\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"Esports\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contacta\'ns\\\",\\\"data\\\":{\\\"address\\\":\\\"Adre\\u00e7a: 184 Main Rd E, St Albans, Austr\\u00e0lia\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"Mantingueu-vos connectat\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#10633c\\\",\\\"bg_color\\\":\\\"#54c992\\\",\\\"border_top\\\":\\\"#10633c\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Tots els drets reservats\\\",\\\"position\\\":\\\"center\\\"}}\",\"et\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#10633c\\\",\\\"bg_color\\\":\\\"#54c992\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Teave Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u00dclim k\\u00f5ik-\\u00fches lahendus teie e-kaubanduse \\u00e4rile kogu maailmas.\\\",\\\"download_app\\\":\\\"Laadige alla meie rakendus\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Kasulikud lingid\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Poe asukoht\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Viimased uudised\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Minu konto\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Suurusjuhend\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"KKK\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Info\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Koduleht\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Kodu 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Teave\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Privaatsuspoliitika\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Tagasimaksmise poliitika\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Digitaalsed maksed\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Kategooriad\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Elektroonika\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Elustiil ja elamine\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Tervishoid\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Mehed\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Naised\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"Lapsed\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"Sport\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"V\\u00f5ta meiega \\u00fchendust\\\",\\\"data\\\":{\\\"address\\\":\\\"Aadress: 184 Main Rd E, St Albans, Austraalia\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"P\\u00fcsige \\u00fchenduses\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#10633c\\\",\\\"bg_color\\\":\\\"#54c992\\\",\\\"border_top\\\":\\\"#10633c\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | K\\u00f5ik \\u00f5igused kaitstud\\\",\\\"position\\\":\\\"center\\\"}}\",\"nl\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#10633c\\\",\\\"bg_color\\\":\\\"#54c992\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Over Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"De ultieme alles-in-\\u00e9\\u00e9n oplossing voor uw e-commercebedrijf wereldwijd.\\\",\\\"download_app\\\":\\\"Download onze app\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Handige links\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Winkellocatie\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Laatste nieuws\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Mijn account\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Maatgids\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"FAQs\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Informatie\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Homepage\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Home 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Over\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Privacybeleid\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Restitutiebeleid\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Digitale betalingen\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Categorie\\u00ebn\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Elektronica\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Lifestyle & Living\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Gezondheidszorg\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Mannen\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Vrouwen\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"Kinderen\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"Sport\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Neem contact op\\\",\\\"data\\\":{\\\"address\\\":\\\"Adres: 184 Main Rd E, St Albans, Australi\\u00eb\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"Blijf verbonden\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#10633c\\\",\\\"bg_color\\\":\\\"#54c992\\\",\\\"border_top\\\":\\\"#10633c\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Alle rechten voorbehouden\\\",\\\"position\\\":\\\"center\\\"}}\"}'),(44,'groceries_template_header','{\"top\":{\"show_header\":\"1\",\"text_color\":\"#2c2c2c\",\"bg_color\":\"#54c992\",\"show_phone\":\"1\",\"phone\":\"+12013828902\",\"show_email\":\"1\",\"email\":\"admin@techvill.net\",\"show_seller\":\"0\",\"show_compare\":\"0\",\"show_currency\":\"1\",\"show_language\":\"1\"},\"main\":{\"text_color\":\"#898989\",\"bg_color\":\"#f3f3f3\",\"show_logo\":\"1\",\"show_searchbar\":\"1\",\"show_account\":\"1\",\"show_wishlist\":\"0\",\"show_cart\":\"1\",\"show_track\":\"1\"},\"bottom\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#ffffff\",\"show_category\":\"1\",\"category_expand\":\"0\",\"border_top\":\"#dfdfdf\",\"border_bottom\":\"#dfdfdf\",\"show_page_menu\":\"1\",\"show_download_app\":\"0\",\"show_google_play\":\"1\",\"google_play_link\":\"https:\\/\\/play.google.com\\/store\\/games\",\"show_app_store\":\"1\",\"app_store_link\":\"https:\\/\\/www.apple.com\\/app-store\\/\"},\"bottom_category\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#54c992\"}}'),(45,'groceries_template_header_logo',''),(46,'groceries_template_is_color_picker_active','0'),(47,'groceries_template_social','{\"facebook\":\"1\",\"whatsapp\":\"1\",\"instagram\":\"1\",\"pinterest\":\"1\",\"linkedin\":\"1\"}'),(48,'groceries_template_page','{\"term_condition\":\"privacy-policy\",\"slider\":\"home-page\"}'),(49,'groceries_template_header_mobile_logo',''),(50,'groceries_template_download_google_play_logo',''),(51,'groceries_template_download_app_store_logo',''),(52,'groceries_template_primary_color','#54c992'),(53,'mixed_template_footer_logo',''),(54,'mixed_template_google_play',''),(55,'mixed_template_app_store',''),(56,'mixed_template_payment_methods',''),(57,'mixed_template_phone_no','0'),(58,'mixed_template_email','0'),(59,'mixed_template_currency','0'),(60,'mixed_template_footer','{\"en\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#e2e2e2\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"About Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"The ultimate all-in-one solution for your ecommerce business worldwide.\\\",\\\"download_app\\\":\\\"Download Our App\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"pages\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Information\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Homepage\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Home 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"About\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Privacy Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Refund Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Digital Payments\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contact Us\\\",\\\"data\\\":{\\\"address\\\":\\\"Address: 184 Main Rd E, St Albans, Australia\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"Stay Connected\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}},\\\"useful_links\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Useful Links\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Store Location\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Latest News\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"My Account\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Size Guide\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"FAQs\\\",\\\"link\\\":\\\"\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Categories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Electronics\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Lifestyle & Living\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Healthcare\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Men\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Women\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"Children\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"Sports\\\",\\\"link\\\":\\\"\\\"}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#e43147\\\",\\\"border_top\\\":\\\"#fa001d\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | All Rights Reserved\\\",\\\"position\\\":\\\"center\\\"}}\",\"bn\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#e2e2e2\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09b8\\u09ae\\u09cd\\u09aa\\u09b0\\u09cd\\u0995\\u09c7 Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u09ac\\u09bf\\u09b6\\u09cd\\u09ac\\u09ac\\u09cd\\u09af\\u09be\\u09aa\\u09c0 \\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u0987-\\u0995\\u09ae\\u09be\\u09b0\\u09cd\\u09b8 \\u09ac\\u09cd\\u09af\\u09ac\\u09b8\\u09be\\u09b0 \\u099c\\u09a8\\u09cd\\u09af \\u09b8\\u09b0\\u09cd\\u09ac\\u09be\\u09a7\\u09bf\\u0995 \\u09b8\\u09b0\\u09cd\\u09ac-\\u09b8\\u09ae\\u09c7\\u09a4 \\u09b8\\u09ae\\u09be\\u09a7\\u09be\\u09a8\\u0964\\\",\\\"download_app\\\":\\\"\\u0986\\u09ae\\u09be\\u09a6\\u09c7\\u09b0 \\u0985\\u09cd\\u09af\\u09be\\u09aa \\u09a1\\u09be\\u0989\\u09a8\\u09b2\\u09cb\\u09a1 \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"pages\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09a4\\u09a5\\u09cd\\u09af\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae\\u09aa\\u09c7\\u099c\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u09b8\\u09ae\\u09cd\\u09aa\\u09b0\\u09cd\\u0995\\u09c7\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0997\\u09cb\\u09aa\\u09a8\\u09c0\\u09af\\u09bc\\u09a4\\u09be \\u09a8\\u09c0\\u09a4\\u09bf\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u09ab\\u09c7\\u09b0\\u09a4 \\u09a8\\u09c0\\u09a4\\u09bf\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u09a1\\u09bf\\u099c\\u09bf\\u099f\\u09be\\u09b2 \\u09aa\\u09c7\\u09ae\\u09c7\\u09a8\\u09cd\\u099f\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09af\\u09cb\\u0997\\u09be\\u09af\\u09cb\\u0997 \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u09a0\\u09bf\\u0995\\u09be\\u09a8\\u09be: \\u09e7\\u09ee\\u09ea \\u09ae\\u09c7\\u0987\\u09a8 \\u09b0\\u09cb\\u09a1 \\u0987, \\u09b8\\u09c7\\u09a8\\u09cd\\u099f \\u0985\\u09cd\\u09af\\u09be\\u09b2\\u09ac\\u09cd\\u09af\\u09be\\u09a8\\u09cd\\u09b8, \\u0985\\u09b8\\u09cd\\u099f\\u09cd\\u09b0\\u09c7\\u09b2\\u09bf\\u09af\\u09bc\\u09be\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u09b8\\u0982\\u09af\\u09c1\\u0995\\u09cd\\u09a4 \\u09a5\\u09be\\u0995\\u09c1\\u09a8\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}},\\\"useful_links\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0997\\u09c1\\u09b0\\u09c1\\u09a4\\u09cd\\u09ac\\u09aa\\u09c2\\u09b0\\u09cd\\u09a3 \\u09b2\\u09bf\\u0999\\u09cd\\u0995\\u0997\\u09c1\\u09b2\\u09bf\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u09a6\\u09cb\\u0995\\u09be\\u09a8\\u09c7\\u09b0 \\u0985\\u09ac\\u09b8\\u09cd\\u09a5\\u09be\\u09a8\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u09b8\\u09b0\\u09cd\\u09ac\\u09b6\\u09c7\\u09b7 \\u09b8\\u0982\\u09ac\\u09be\\u09a6\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0986\\u09ae\\u09be\\u09b0 \\u0985\\u09cd\\u09af\\u09be\\u0995\\u09be\\u0989\\u09a8\\u09cd\\u099f\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0986\\u0995\\u09be\\u09b0 \\u0997\\u09be\\u0987\\u09a1\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u09aa\\u09cd\\u09b0\\u09be\\u09af\\u09bc\\u09b6\\u0987 \\u099c\\u09bf\\u099c\\u09cd\\u099e\\u09be\\u09b8\\u09bf\\u09a4 \\u09aa\\u09cd\\u09b0\\u09b6\\u09cd\\u09a8\\\",\\\"link\\\":\\\"\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u09ac\\u09bf\\u09ad\\u09be\\u0997\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0987\\u09b2\\u09c7\\u0995\\u09cd\\u099f\\u09cd\\u09b0\\u09a8\\u09bf\\u0995\\u09cd\\u09b8\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u099c\\u09c0\\u09ac\\u09a8\\u09af\\u09be\\u09aa\\u09a8 \\u0993 \\u09ac\\u09be\\u09b8\\u09be\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u09b9\\u09c7\\u09b2\\u09a5\\u0995\\u09c7\\u09af\\u09bc\\u09be\\u09b0\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u09aa\\u09c1\\u09b0\\u09c1\\u09b7\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u09a8\\u09be\\u09b0\\u09c0\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u09b6\\u09bf\\u09b6\\u09c1\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0996\\u09c7\\u09b2\\u09be\\\",\\\"link\\\":\\\"\\\"}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#e43147\\\",\\\"border_top\\\":\\\"#fa001d\\\",\\\"title\\\":\\\"\\\\u00a92022 \\u09ae\\u09be\\u09b0\\u09cd\\u099f \\u09ad\\u09bf\\u09b2 | \\u09b8\\u09ae\\u09b8\\u09cd\\u09a4 \\u0985\\u09a7\\u09bf\\u0995\\u09be\\u09b0 \\u09b8\\u0982\\u09b0\\u0995\\u09cd\\u09b7\\u09bf\\u09a4\\\",\\\"position\\\":\\\"center\\\"}}\",\"fr\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#e2e2e2\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Sur Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"La solution ultime tout-en-un pour votre entreprise de commerce \\u00e9lectronique dans le monde entier.\\\",\\\"download_app\\\":\\\"T\\u00e9l\\u00e9chargez notre application\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"pages\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Information\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Page d\'accueil\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Accueil 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Sur\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Politique de confidentialit\\u00e9\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Politique de remboursement\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Paiements num\\u00e9riques\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contactez-nous\\\",\\\"data\\\":{\\\"address\\\":\\\"Adresse : 184 Main Rd E, St Albans, Australie\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"Restez connect\\u00e9\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}},\\\"useful_links\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Liens utiles\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Emplacement du magasin\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Derni\\u00e8res nouvelles\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Mon compte\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Guide des tailles\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"FAQ\\\",\\\"link\\\":\\\"\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Cat\\u00e9gories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u00c9lectronique\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Style de vie et vie\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Soins de sant\\u00e9\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Hommes\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Femmes\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"Enfants\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"Sports\\\",\\\"link\\\":\\\"\\\"}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#e43147\\\",\\\"border_top\\\":\\\"#fa001d\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Tous droits r\\u00e9serv\\u00e9s\\\",\\\"position\\\":\\\"center\\\"}}\",\"zh\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#e2e2e2\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u5173\\u4e8e Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u4e3a\\u60a8\\u7684\\u5168\\u7403\\u7535\\u5b50\\u5546\\u52a1\\u4e1a\\u52a1\\u63d0\\u4f9b\\u7ec8\\u6781\\u4e00\\u4f53\\u5316\\u89e3\\u51b3\\u65b9\\u6848\\u3002\\\",\\\"download_app\\\":\\\"\\u4e0b\\u8f7d\\u6211\\u4eec\\u7684\\u5e94\\u7528\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"pages\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u4fe1\\u606f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u4e3b\\u9875\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u4e3b\\u9875 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u5173\\u4e8e\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u9690\\u79c1\\u653f\\u7b56\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u9000\\u6b3e\\u653f\\u7b56\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u6570\\u5b57\\u652f\\u4ed8\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u8054\\u7cfb\\u6211\\u4eec\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u5730\\u5740\\uff1a\\u6fb3\\u5927\\u5229\\u4e9a\\u5723\\u5965\\u5c14\\u672c\\u65af\\u4e1c\\u4e3b\\u5e72\\u9053184\\u53f7\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u4fdd\\u6301\\u8054\\u7cfb\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}},\\\"useful_links\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u6709\\u7528\\u94fe\\u63a5\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u5546\\u5e97\\u4f4d\\u7f6e\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u6700\\u65b0\\u6d88\\u606f\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u6211\\u7684\\u5e10\\u6237\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u5c3a\\u7801\\u6307\\u5357\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u5e38\\u89c1\\u95ee\\u9898\\u89e3\\u7b54\\\",\\\"link\\\":\\\"\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u5206\\u7c7b\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u7535\\u5b50\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u751f\\u6d3b\\u65b9\\u5f0f\\u4e0e\\u751f\\u6d3b\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u4fdd\\u5065\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u7537\\u6027\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u5973\\u6027\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u513f\\u7ae5\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u4f53\\u80b2\\\",\\\"link\\\":\\\"\\\"}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#e43147\\\",\\\"border_top\\\":\\\"#fa001d\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u7248\\u6743\\u6240\\u6709\\\",\\\"position\\\":\\\"center\\\"}}\",\"ar\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#e2e2e2\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u062d\\u0648\\u0644 Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u0627\\u0644\\u062d\\u0644 \\u0627\\u0644\\u0634\\u0627\\u0645\\u0644 \\u0627\\u0644\\u0646\\u0647\\u0627\\u0626\\u064a \\u0644\\u0639\\u0645\\u0644\\u0643 \\u0641\\u064a \\u0627\\u0644\\u062a\\u062c\\u0627\\u0631\\u0629 \\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\u0629 \\u0639\\u0644\\u0649 \\u0645\\u0633\\u062a\\u0648\\u0649 \\u0627\\u0644\\u0639\\u0627\\u0644\\u0645.\\\",\\\"download_app\\\":\\\"\\u0642\\u0645 \\u0628\\u062a\\u0646\\u0632\\u064a\\u0644 \\u062a\\u0637\\u0628\\u064a\\u0642\\u0646\\u0627\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"pages\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0629 \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0629 \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u062d\\u0648\\u0644\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u0627\\u0633\\u062a\\u0631\\u062f\\u0627\\u062f\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0645\\u062f\\u0641\\u0648\\u0639\\u0627\\u062a \\u0627\\u0644\\u0631\\u0642\\u0645\\u064a\\u0629\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0627\\u062a\\u0635\\u0644 \\u0628\\u0646\\u0627\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u0627\\u0644\\u0639\\u0646\\u0648\\u0627\\u0646: 184 Main Rd E, St Albans, \\u0623\\u0633\\u062a\\u0631\\u0627\\u0644\\u064a\\u0627\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u0627\\u0628\\u0642\\u0649 \\u0639\\u0644\\u0649 \\u062a\\u0648\\u0627\\u0635\\u0644\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}},\\\"useful_links\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0631\\u0648\\u0627\\u0628\\u0637 \\u0645\\u0641\\u064a\\u062f\\u0629\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0645\\u0648\\u0642\\u0639 \\u0627\\u0644\\u0645\\u062a\\u062c\\u0631\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0623\\u062d\\u062f\\u062b \\u0627\\u0644\\u0623\\u062e\\u0628\\u0627\\u0631\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u062d\\u0633\\u0627\\u0628\\u064a\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u062f\\u0644\\u064a\\u0644 \\u0627\\u0644\\u0645\\u0642\\u0627\\u0633\\u0627\\u062a\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0623\\u0633\\u0626\\u0644\\u0629 \\u0627\\u0644\\u0634\\u0627\\u0626\\u0639\\u0629\\\",\\\"link\\\":\\\"\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0627\\u0644\\u0641\\u0626\\u0627\\u062a\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\u0627\\u062a\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0646\\u0645\\u0637 \\u0627\\u0644\\u062d\\u064a\\u0627\\u0629 \\u0648\\u0627\\u0644\\u0639\\u064a\\u0634\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0631\\u0639\\u0627\\u064a\\u0629 \\u0627\\u0644\\u0635\\u062d\\u064a\\u0629\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0631\\u062c\\u0627\\u0644\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0646\\u0633\\u0627\\u0621\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0623\\u0637\\u0641\\u0627\\u0644\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0631\\u064a\\u0627\\u0636\\u0629\\\",\\\"link\\\":\\\"\\\"}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#e43147\\\",\\\"border_top\\\":\\\"#fa001d\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u062c\\u0645\\u064a\\u0639 \\u0627\\u0644\\u062d\\u0642\\u0648\\u0642 \\u0645\\u062d\\u0641\\u0648\\u0638\\u0629\\\",\\\"position\\\":\\\"center\\\"}}\",\"be\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#e2e2e2\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041f\\u0440\\u0430 Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u041b\\u0435\\u043f\\u0448\\u0430\\u0435 \\u0440\\u0430\\u0448\\u044d\\u043d\\u043d\\u0435 \\u00ab\\u045e\\u0441\\u0451 \\u045e \\u0430\\u0434\\u043d\\u044b\\u043c\\u00bb \\u0434\\u043b\\u044f \\u0432\\u0430\\u0448\\u0430\\u0433\\u0430 \\u0431\\u0456\\u0437\\u043d\\u0435\\u0441\\u0443 \\u045e \\u0441\\u0444\\u0435\\u0440\\u044b \\u044d\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u0430\\u0439 \\u043a\\u0430\\u043c\\u0435\\u0440\\u0446\\u044b\\u0456 \\u0432\\u0430 \\u045e\\u0441\\u0456\\u043c \\u0441\\u0432\\u0435\\u0446\\u0435.\\\",\\\"download_app\\\":\\\"\\u0421\\u043f\\u0430\\u043c\\u043f\\u0430\\u0432\\u0430\\u0446\\u044c \\u043d\\u0430\\u0448\\u0430 \\u043f\\u0440\\u044b\\u043a\\u043b\\u0430\\u0434\\u0430\\u043d\\u043d\\u0435\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"pages\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0406\\u043d\\u0444\\u0430\\u0440\\u043c\\u0430\\u0446\\u044b\\u044f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u0430\\u044f \\u0441\\u0442\\u0430\\u0440\\u043e\\u043d\\u043a\\u0430\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u0430\\u044f 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041f\\u0440\\u0430\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041f\\u0430\\u043b\\u0456\\u0442\\u044b\\u043a\\u0430 \\u043f\\u0440\\u044b\\u0432\\u0430\\u0442\\u043d\\u0430\\u0441\\u0446\\u0456\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u041f\\u0430\\u043b\\u0456\\u0442\\u044b\\u043a\\u0430 \\u0432\\u044f\\u0440\\u0442\\u0430\\u043d\\u043d\\u044f\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0426\\u044b\\u0444\\u0440\\u0430\\u0432\\u044b\\u044f \\u043f\\u043b\\u0430\\u0446\\u0435\\u0436\\u044b\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0417\\u0432\\u044f\\u0436\\u044b\\u0446\\u0435\\u0441\\u044f \\u0437 \\u043d\\u0430\\u043c\\u0456\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u0410\\u0434\\u0440\\u0430\\u0441: 184 Main Rd E, St Albans, \\u0410\\u045e\\u0441\\u0442\\u0440\\u0430\\u043b\\u0456\\u044f\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u0417\\u0430\\u0441\\u0442\\u0430\\u0432\\u0430\\u0439\\u0446\\u0435\\u0441\\u044f \\u043d\\u0430 \\u0441\\u0443\\u0432\\u044f\\u0437\\u0456\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}},\\\"useful_links\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0440\\u044b\\u0441\\u043d\\u044b\\u044f \\u0441\\u043f\\u0430\\u0441\\u044b\\u043b\\u043a\\u0456\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041c\\u0435\\u0441\\u0446\\u0430 \\u0437\\u043d\\u0430\\u0445\\u043e\\u0434\\u0436\\u0430\\u043d\\u043d\\u044f \\u043c\\u0430\\u0433\\u0430\\u0437\\u0456\\u043d\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0410\\u043f\\u043e\\u0448\\u043d\\u0456\\u044f \\u043d\\u0430\\u0432\\u0456\\u043d\\u044b\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041c\\u043e\\u0439 \\u0440\\u0430\\u0445\\u0443\\u043d\\u0430\\u043a\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041f\\u0440\\u0430\\u0434\\u0443\\u043a\\u0446\\u044b\\u0439\\u043d\\u044b \\u0433\\u0456\\u0434\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0427\\u0430\\u0441\\u0442\\u044b\\u044f \\u043f\\u044b\\u0442\\u0430\\u043d\\u043d\\u0456\\\",\\\"link\\\":\\\"\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0442\\u044d\\u0433\\u043e\\u0440\\u044b\\u0456\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u042d\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u0456\\u043a\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0421\\u0446\\u044b\\u043b\\u044c \\u0436\\u044b\\u0446\\u0446\\u044f \\u0456 \\u0436\\u044b\\u0446\\u0446\\u0451\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0410\\u0445\\u043e\\u0432\\u0430 \\u0437\\u0434\\u0430\\u0440\\u043e\\u045e\\u044f\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041c\\u0443\\u0436\\u0447\\u044b\\u043d\\u044b\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0416\\u0430\\u043d\\u0447\\u044b\\u043d\\u044b\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0414\\u0437\\u0435\\u0446\\u0456\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0421\\u043f\\u043e\\u0440\\u0442\\\",\\\"link\\\":\\\"\\\"}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#e43147\\\",\\\"border_top\\\":\\\"#fa001d\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u0423\\u0441\\u0435 \\u043f\\u0440\\u0430\\u0432\\u044b \\u0430\\u0431\\u0430\\u0440\\u043e\\u043d\\u0435\\u043d\\u044b\\\",\\\"position\\\":\\\"center\\\"}}\",\"bg\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#e2e2e2\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041e\\u0442\\u043d\\u043e\\u0441\\u043d\\u043e Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u041d\\u0430\\u0439-\\u0434\\u043e\\u0431\\u0440\\u043e\\u0442\\u043e \\u0432\\u0441\\u0438\\u0447\\u043a\\u043e-\\u0432-\\u0435\\u0434\\u043d\\u043e \\u0440\\u0435\\u0448\\u0435\\u043d\\u0438\\u0435 \\u0437\\u0430 \\u0432\\u0430\\u0448\\u0438\\u044f \\u0431\\u0438\\u0437\\u043d\\u0435\\u0441 \\u0441 \\u0435\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u0430 \\u0442\\u044a\\u0440\\u0433\\u043e\\u0432\\u0438\\u044f \\u0432 \\u0441\\u0432\\u0435\\u0442\\u043e\\u0432\\u0435\\u043d \\u043c\\u0430\\u0449\\u0430\\u0431.\\\",\\\"download_app\\\":\\\"\\u0418\\u0437\\u0442\\u0435\\u0433\\u043b\\u0435\\u0442\\u0435 \\u043d\\u0430\\u0448\\u0435\\u0442\\u043e \\u043f\\u0440\\u0438\\u043b\\u043e\\u0436\\u0435\\u043d\\u0438\\u0435\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"pages\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0418\\u043d\\u0444\\u043e\\u0440\\u043c\\u0430\\u0446\\u0438\\u044f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0430 \\u0441\\u0442\\u0440\\u0430\\u043d\\u0438\\u0446\\u0430\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0430 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041e\\u0442\\u043d\\u043e\\u0441\\u043d\\u043e\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u043b\\u0438\\u0442\\u0438\\u043a\\u0430 \\u0437\\u0430 \\u043f\\u043e\\u0432\\u0435\\u0440\\u0438\\u0442\\u0435\\u043b\\u043d\\u043e\\u0441\\u0442\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u043b\\u0438\\u0442\\u0438\\u043a\\u0430 \\u0437\\u0430 \\u0432\\u0440\\u044a\\u0449\\u0430\\u043d\\u0435\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0414\\u0438\\u0433\\u0438\\u0442\\u0430\\u043b\\u043d\\u0438 \\u043f\\u043b\\u0430\\u0449\\u0430\\u043d\\u0438\\u044f\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0421\\u0432\\u044a\\u0440\\u0436\\u0435\\u0442\\u0435 \\u0441\\u0435 \\u0441 \\u043d\\u0430\\u0441\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u0410\\u0434\\u0440\\u0435\\u0441: 184 Main Rd E, St Albans, \\u0410\\u0432\\u0441\\u0442\\u0440\\u0430\\u043b\\u0438\\u044f\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u041e\\u0441\\u0442\\u0430\\u043d\\u0435\\u0442\\u0435 \\u0441\\u0432\\u044a\\u0440\\u0437\\u0430\\u043d\\u0438\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}},\\\"useful_links\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u041f\\u043e\\u043b\\u0435\\u0437\\u043d\\u0438 \\u0432\\u0440\\u044a\\u0437\\u043a\\u0438\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041c\\u0435\\u0441\\u0442\\u043e\\u043f\\u043e\\u043b\\u043e\\u0436\\u0435\\u043d\\u0438\\u0435 \\u043d\\u0430 \\u043c\\u0430\\u0433\\u0430\\u0437\\u0438\\u043d\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u0441\\u043b\\u0435\\u0434\\u043d\\u0438 \\u043d\\u043e\\u0432\\u0438\\u043d\\u0438\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041c\\u043e\\u044f\\u0442 \\u043f\\u0440\\u043e\\u0444\\u0438\\u043b\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0420\\u044a\\u043a\\u043e\\u0432\\u043e\\u0434\\u0441\\u0442\\u0432\\u043e \\u0437\\u0430 \\u0440\\u0430\\u0437\\u043c\\u0435\\u0440\\u0438\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0427\\u0417\\u0412\\\",\\\"link\\\":\\\"\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0442\\u0435\\u0433\\u043e\\u0440\\u0438\\u0438\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0415\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u0438\\u043a\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0438\\u043d \\u043d\\u0430 \\u0436\\u0438\\u0432\\u043e\\u0442 \\u0438 \\u0436\\u0438\\u0432\\u043e\\u0442\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0417\\u0434\\u0440\\u0430\\u0432\\u0435\\u043e\\u043f\\u0430\\u0437\\u0432\\u0430\\u043d\\u0435\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041c\\u044a\\u0436\\u0435\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0416\\u0435\\u043d\\u0438\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0414\\u0435\\u0446\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0421\\u043f\\u043e\\u0440\\u0442\\\",\\\"link\\\":\\\"\\\"}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#e43147\\\",\\\"border_top\\\":\\\"#fa001d\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u0412\\u0441\\u0438\\u0447\\u043a\\u0438 \\u043f\\u0440\\u0430\\u0432\\u0430 \\u0437\\u0430\\u043f\\u0430\\u0437\\u0435\\u043d\\u0438\\\",\\\"position\\\":\\\"center\\\"}}\",\"ca\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#e2e2e2\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Sobre Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"La soluci\\u00f3 definitiva tot-en-un per al teu negoci de comer\\u00e7 electr\\u00f2nic a tot el m\\u00f3n.\\\",\\\"download_app\\\":\\\"Descarrega la nostra aplicaci\\u00f3\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"pages\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Informaci\\u00f3\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"P\\u00e0gina d\'inici\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Inici 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Sobre\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Pol\\u00edtica de privadesa\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Pol\\u00edtica de devolucions\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Pagaments digitals\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contacta\'ns\\\",\\\"data\\\":{\\\"address\\\":\\\"Adre\\u00e7a: 184 Main Rd E, St Albans, Austr\\u00e0lia\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"Mantingueu-vos connectat\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}},\\\"useful_links\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Enlla\\u00e7os \\u00fatils\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Ubicaci\\u00f3 de la botiga\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u00daltimes not\\u00edcies\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"El meu compte\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Guia de talles\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"FAQ\\\",\\\"link\\\":\\\"\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Categories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Electr\\u00f2nica\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Estil de vida i vida\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Atenci\\u00f3 sanit\\u00e0ria\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Homes\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Dones\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"Nens\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"Esports\\\",\\\"link\\\":\\\"\\\"}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#e43147\\\",\\\"border_top\\\":\\\"#fa001d\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Tots els drets reservats\\\",\\\"position\\\":\\\"center\\\"}}\",\"et\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#e2e2e2\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Teave Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u00dclim k\\u00f5ik-\\u00fches lahendus teie e-kaubanduse \\u00e4rile kogu maailmas.\\\",\\\"download_app\\\":\\\"Laadige alla meie rakendus\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"pages\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Info\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Koduleht\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Kodu 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Teave\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Privaatsuspoliitika\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Tagasimaksmise poliitika\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Digitaalsed maksed\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"V\\u00f5ta meiega \\u00fchendust\\\",\\\"data\\\":{\\\"address\\\":\\\"Aadress: 184 Main Rd E, St Albans, Austraalia\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"P\\u00fcsige \\u00fchenduses\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}},\\\"useful_links\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Kasulikud lingid\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Poe asukoht\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Viimased uudised\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Minu konto\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Suuruste juhend\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"KKK\\\",\\\"link\\\":\\\"\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Kategooriad\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Elektroonika\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Elustiil ja elamine\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Tervishoid\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Mehed\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Naised\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"Lapsed\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"Sport\\\",\\\"link\\\":\\\"\\\"}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#e43147\\\",\\\"border_top\\\":\\\"#fa001d\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | K\\u00f5ik \\u00f5igused kaitstud\\\",\\\"position\\\":\\\"center\\\"}}\",\"nl\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#e2e2e2\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Over Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"De ultieme alles-in-\\u00e9\\u00e9n oplossing voor uw e-commercebedrijf wereldwijd.\\\",\\\"download_app\\\":\\\"Download onze app\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"pages\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Informatie\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Homepage\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Home 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Over\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Privacybeleid\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Restitutiebeleid\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Digitale betalingen\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Neem contact op\\\",\\\"data\\\":{\\\"address\\\":\\\"Adres: 184 Main Rd E, St Albans, Australi\\u00eb\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"Blijf verbonden\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}},\\\"useful_links\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Nuttige links\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Winkellocatie\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Laatste nieuws\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Mijn account\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Maattabel\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Veelgestelde vragen\\\",\\\"link\\\":\\\"\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Categorie\\u00ebn\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Elektronica\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Lifestyle & Living\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Gezondheidszorg\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Mannen\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Vrouwen\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"Kinderen\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"Sport\\\",\\\"link\\\":\\\"\\\"}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#e43147\\\",\\\"border_top\\\":\\\"#fa001d\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Alle rechten voorbehouden\\\",\\\"position\\\":\\\"center\\\"}}\"}'),(61,'mixed_template_header','{\"top\":{\"show_header\":\"1\",\"text_color\":\"#ffffff\",\"bg_color\":\"#2c2c2c\",\"show_phone\":\"1\",\"phone\":\"+12013828902\",\"show_email\":\"1\",\"email\":\"admin@techvill.net\",\"show_seller\":\"0\",\"show_compare\":\"0\",\"show_currency\":\"0\",\"show_language\":\"1\"},\"main\":{\"text_color\":\"#ffffff\",\"bg_color\":\"#e43147\",\"show_logo\":\"1\",\"show_searchbar\":\"1\",\"show_account\":\"1\",\"show_wishlist\":\"1\",\"show_cart\":\"1\",\"show_track\":\"0\"},\"bottom\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#ffffff\",\"show_category\":\"0\",\"category_expand\":\"1\",\"border_top\":\"#dfdfdf\",\"border_bottom\":\"#dfdfdf\",\"show_page_menu\":\"0\",\"show_download_app\":\"0\",\"show_google_play\":\"1\",\"google_play_link\":\"https:\\/\\/play.google.com\\/store\\/games\",\"show_app_store\":\"1\",\"app_store_link\":\"https:\\/\\/www.apple.com\\/app-store\\/\"},\"bottom_category\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#f3f3f3\"}}'),(62,'mixed_template_header_logo',''),(63,'mixed_template_is_color_picker_active','0'),(64,'mixed_template_social','{\"facebook\":\"1\",\"whatsapp\":\"1\",\"instagram\":\"1\",\"pinterest\":\"1\",\"linkedin\":\"1\"}'),(65,'mixed_template_page','{\"term_condition\":\"privacy-policy\",\"slider\":\"home-page\"}'),(66,'mixed_template_header_mobile_logo',''),(67,'mixed_template_download_google_play_logo',''),(68,'mixed_template_download_app_store_logo',''),(69,'mixed_template_primary_color','#e43147'),(70,'fashion_v2_template_footer_logo',''),(71,'fashion_v2_template_google_play',''),(72,'fashion_v2_template_app_store',''),(73,'fashion_v2_template_payment_methods',''),(74,'fashion_v2_template_phone_no','0'),(75,'fashion_v2_template_email','0'),(76,'fashion_v2_template_currency','0'),(77,'fashion_v2_template_footer','{\"en\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"About Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"The ultimate all-in-one solution for your ecommerce business worldwide.\\\",\\\"download_app\\\":\\\"Download Our App\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Useful Links\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Store Location\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Latest News\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"My Account\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Size Guide\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"FAQs\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Information\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Homepage\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Home 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"About\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Privacy Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Refund Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Digital Payments\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Categories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Electronics\\\",\\\"link\\\":\\\"#\\\"},\\\"2\\\":{\\\"label\\\":\\\"Lifestyle & Living\\\",\\\"link\\\":\\\"#\\\"},\\\"3\\\":{\\\"label\\\":\\\"Healthcare\\\",\\\"link\\\":\\\"#\\\"},\\\"4\\\":{\\\"label\\\":\\\"Men\\\",\\\"link\\\":\\\"#\\\"},\\\"5\\\":{\\\"label\\\":\\\"Women\\\",\\\"link\\\":\\\"#\\\"},\\\"6\\\":{\\\"label\\\":\\\"Children\\\",\\\"link\\\":\\\"#\\\"},\\\"7\\\":{\\\"label\\\":\\\"Sports\\\",\\\"link\\\":\\\"#\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contact Us\\\",\\\"data\\\":{\\\"address\\\":\\\"Address: 184 Main Rd E, St Albans, Australia\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"Stay Connected\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#ff324d\\\",\\\"border_top\\\":\\\"#ff001e\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | All Rights Reserved\\\",\\\"position\\\":\\\"center\\\"}}\",\"bn\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09b8\\u09ae\\u09cd\\u09aa\\u09b0\\u09cd\\u0995\\u09bf\\u09a4 Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u09ac\\u09bf\\u09b6\\u09cd\\u09ac\\u09ac\\u09cd\\u09af\\u09be\\u09aa\\u09c0 \\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u0987-\\u0995\\u09ae\\u09be\\u09b0\\u09cd\\u09b8 \\u09ac\\u09cd\\u09af\\u09ac\\u09b8\\u09be\\u09b0 \\u099c\\u09a8\\u09cd\\u09af \\u09b8\\u09b0\\u09cd\\u09ac\\u09be\\u09a7\\u09bf\\u0995 \\u09b8\\u09b0\\u09cd\\u09ac-\\u09b8\\u09ae\\u09c7\\u09a4 \\u09b8\\u09ae\\u09be\\u09a7\\u09be\\u09a8\\u0964\\\",\\\"download_app\\\":\\\"\\u0986\\u09ae\\u09be\\u09a6\\u09c7\\u09b0 \\u0985\\u09cd\\u09af\\u09be\\u09aa \\u09a1\\u09be\\u0989\\u09a8\\u09b2\\u09cb\\u09a1 \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0989\\u09aa\\u0995\\u09be\\u09b0\\u09c0 \\u09b2\\u09bf\\u0982\\u0995\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u09b8\\u09cd\\u099f\\u09cb\\u09b0 \\u0985\\u09ac\\u09b8\\u09cd\\u09a5\\u09be\\u09a8\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u09b8\\u09b0\\u09cd\\u09ac\\u09b6\\u09c7\\u09b7 \\u0996\\u09ac\\u09b0\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0986\\u09ae\\u09be\\u09b0 \\u0985\\u09cd\\u09af\\u09be\\u0995\\u09be\\u0989\\u09a8\\u09cd\\u099f\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0986\\u0995\\u09be\\u09b0 \\u0997\\u09be\\u0987\\u09a1\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u09aa\\u09cd\\u09b0\\u09be\\u09af\\u09bc\\u09b6\\u0987 \\u099c\\u09bf\\u099c\\u09cd\\u099e\\u09be\\u09b8\\u09bf\\u09a4 \\u09aa\\u09cd\\u09b0\\u09b6\\u09cd\\u09a8\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u09a4\\u09a5\\u09cd\\u09af\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae\\u09aa\\u09c7\\u099c\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u09b8\\u09ae\\u09cd\\u09aa\\u09b0\\u09cd\\u0995\\u09bf\\u09a4\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0997\\u09cb\\u09aa\\u09a8\\u09c0\\u09af\\u09bc\\u09a4\\u09be \\u09a8\\u09c0\\u09a4\\u09bf\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u09ab\\u09c7\\u09b0\\u09a4 \\u09a8\\u09c0\\u09a4\\u09bf\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u09a1\\u09bf\\u099c\\u09bf\\u099f\\u09be\\u09b2 \\u09aa\\u09c7\\u09ae\\u09c7\\u09a8\\u09cd\\u099f\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09ac\\u09bf\\u09ad\\u09be\\u0997\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0987\\u09b2\\u09c7\\u0995\\u099f\\u09cd\\u09b0\\u09a8\\u09bf\\u0995\\u09cd\\u09b8\\\",\\\"link\\\":\\\"#\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u099c\\u09c0\\u09ac\\u09a8\\u09a7\\u09be\\u09b0\\u09be \\u0993 \\u09ac\\u09be\\u09b8\\u09b8\\u09cd\\u09a5\\u09be\\u09a8\\\",\\\"link\\\":\\\"#\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u09b8\\u09cd\\u09ac\\u09be\\u09b8\\u09cd\\u09a5\\u09cd\\u09af\\u09b8\\u09c7\\u09ac\\u09be\\\",\\\"link\\\":\\\"#\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u09aa\\u09c1\\u09b0\\u09c1\\u09b7\\\",\\\"link\\\":\\\"#\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u09a8\\u09be\\u09b0\\u09c0\\\",\\\"link\\\":\\\"#\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u09b6\\u09bf\\u09b6\\u09c1\\\",\\\"link\\\":\\\"#\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0996\\u09c7\\u09b2\\u09be\\u09a7\\u09c1\\u09b2\\u09be\\\",\\\"link\\\":\\\"#\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09af\\u09cb\\u0997\\u09be\\u09af\\u09cb\\u0997 \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u09a0\\u09bf\\u0995\\u09be\\u09a8\\u09be: \\u09e7\\u09ee\\u09ea \\u09ae\\u09c7\\u0987\\u09a8 \\u09b0\\u09cb\\u09a1 \\u0987, \\u09b8\\u09c7\\u09a8\\u09cd\\u099f \\u0985\\u09cd\\u09af\\u09be\\u09b2\\u09ac\\u09cd\\u09af\\u09be\\u09a8\\u09cd\\u09b8, \\u0985\\u09b8\\u09cd\\u099f\\u09cd\\u09b0\\u09c7\\u09b2\\u09bf\\u09af\\u09bc\\u09be\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u09b8\\u0982\\u09af\\u09c1\\u0995\\u09cd\\u09a4 \\u09a5\\u09be\\u0995\\u09c1\\u09a8\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#ff324d\\\",\\\"border_top\\\":\\\"#ff001e\\\",\\\"title\\\":\\\"\\\\u00a92022 \\u09ae\\u09be\\u09b0\\u09cd\\u099f \\u09ad\\u09bf\\u09b2 | \\u09b8\\u09ae\\u09b8\\u09cd\\u09a4 \\u0985\\u09a7\\u09bf\\u0995\\u09be\\u09b0 \\u09b8\\u0982\\u09b0\\u0995\\u09cd\\u09b7\\u09bf\\u09a4\\\",\\\"position\\\":\\\"center\\\"}}\",\"fr\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u00c0 propos Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"La solution ultime tout-en-un pour votre entreprise de commerce \\u00e9lectronique dans le monde entier.\\\",\\\"download_app\\\":\\\"T\\u00e9l\\u00e9chargez notre application\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Liens utiles\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Emplacement du magasin\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Derni\\u00e8res nouvelles\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Mon compte\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Guide des tailles\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"FAQ\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Information\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Page d\'accueil\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Accueil 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u00c0 propos\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Politique de confidentialit\\u00e9\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Politique de remboursement\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Paiements num\\u00e9riques\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Cat\\u00e9gories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u00c9lectronique\\\",\\\"link\\\":\\\"#\\\"},\\\"2\\\":{\\\"label\\\":\\\"Mode de vie & vie\\\",\\\"link\\\":\\\"#\\\"},\\\"3\\\":{\\\"label\\\":\\\"Soins de sant\\u00e9\\\",\\\"link\\\":\\\"#\\\"},\\\"4\\\":{\\\"label\\\":\\\"Hommes\\\",\\\"link\\\":\\\"#\\\"},\\\"5\\\":{\\\"label\\\":\\\"Femmes\\\",\\\"link\\\":\\\"#\\\"},\\\"6\\\":{\\\"label\\\":\\\"Enfants\\\",\\\"link\\\":\\\"#\\\"},\\\"7\\\":{\\\"label\\\":\\\"Sports\\\",\\\"link\\\":\\\"#\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contactez-nous\\\",\\\"data\\\":{\\\"address\\\":\\\"Adresse : 184 Main Rd E, St Albans, Australie\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"Restez connect\\u00e9\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#ff324d\\\",\\\"border_top\\\":\\\"#ff001e\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Tous droits r\\u00e9serv\\u00e9s\\\",\\\"position\\\":\\\"center\\\"}}\",\"zh\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u5173\\u4e8e Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u4e3a\\u60a8\\u7684\\u5168\\u7403\\u7535\\u5b50\\u5546\\u52a1\\u4e1a\\u52a1\\u63d0\\u4f9b\\u7ec8\\u6781\\u4e00\\u4f53\\u5316\\u89e3\\u51b3\\u65b9\\u6848\\u3002\\\",\\\"download_app\\\":\\\"\\u4e0b\\u8f7d\\u6211\\u4eec\\u7684\\u5e94\\u7528\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u5b9e\\u7528\\u94fe\\u63a5\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u5546\\u5e97\\u4f4d\\u7f6e\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u6700\\u65b0\\u6d88\\u606f\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u6211\\u7684\\u5e10\\u6237\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u5c3a\\u7801\\u6307\\u5357\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u5e38\\u89c1\\u95ee\\u9898\\u89e3\\u7b54\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u4fe1\\u606f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u4e3b\\u9875\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u4e3b\\u9875 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u5173\\u4e8e\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u9690\\u79c1\\u653f\\u7b56\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u9000\\u6b3e\\u653f\\u7b56\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u6570\\u5b57\\u652f\\u4ed8\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u7c7b\\u522b\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u7535\\u5b50\\u4ea7\\u54c1\\\",\\\"link\\\":\\\"#\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u751f\\u6d3b\\u65b9\\u5f0f\\u4e0e\\u751f\\u6d3b\\\",\\\"link\\\":\\\"#\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u533b\\u7597\\u4fdd\\u5065\\\",\\\"link\\\":\\\"#\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u7537\\u58eb\\\",\\\"link\\\":\\\"#\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u5973\\u58eb\\\",\\\"link\\\":\\\"#\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u513f\\u7ae5\\\",\\\"link\\\":\\\"#\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u8fd0\\u52a8\\\",\\\"link\\\":\\\"#\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u8054\\u7cfb\\u6211\\u4eec\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u5730\\u5740\\uff1a\\u6fb3\\u5927\\u5229\\u4e9a\\u5723\\u5965\\u5c14\\u672c\\u65af\\u4e1c\\u4e3b\\u5e72\\u9053184\\u53f7\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u4fdd\\u6301\\u8054\\u7cfb\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#ff324d\\\",\\\"border_top\\\":\\\"#ff001e\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u7248\\u6743\\u6240\\u6709\\\",\\\"position\\\":\\\"center\\\"}}\",\"ar\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u062d\\u0648\\u0644 Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u0627\\u0644\\u062d\\u0644 \\u0627\\u0644\\u0634\\u0627\\u0645\\u0644 \\u0627\\u0644\\u0646\\u0647\\u0627\\u0626\\u064a \\u0644\\u0639\\u0645\\u0644\\u0643 \\u0641\\u064a \\u0627\\u0644\\u062a\\u062c\\u0627\\u0631\\u0629 \\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\u0629 \\u0639\\u0644\\u0649 \\u0645\\u0633\\u062a\\u0648\\u0649 \\u0627\\u0644\\u0639\\u0627\\u0644\\u0645.\\\",\\\"download_app\\\":\\\"\\u0642\\u0645 \\u0628\\u062a\\u0646\\u0632\\u064a\\u0644 \\u062a\\u0637\\u0628\\u064a\\u0642\\u0646\\u0627\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0631\\u0648\\u0627\\u0628\\u0637 \\u0645\\u0641\\u064a\\u062f\\u0629\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0645\\u0648\\u0642\\u0639 \\u0627\\u0644\\u0645\\u062a\\u062c\\u0631\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0623\\u062d\\u062f\\u062b \\u0627\\u0644\\u0623\\u062e\\u0628\\u0627\\u0631\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u062d\\u0633\\u0627\\u0628\\u064a\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u062f\\u0644\\u064a\\u0644 \\u0627\\u0644\\u0645\\u0642\\u0627\\u0633\\u0627\\u062a\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0623\\u0633\\u0626\\u0644\\u0629 \\u0627\\u0644\\u0634\\u0627\\u0626\\u0639\\u0629\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0645\\u0639\\u0644\\u0648\\u0645\\u0629\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0629 \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0629 \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u062d\\u0648\\u0644\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u0627\\u0633\\u062a\\u0631\\u062f\\u0627\\u062f\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0645\\u062f\\u0641\\u0648\\u0639\\u0627\\u062a \\u0627\\u0644\\u0631\\u0642\\u0645\\u064a\\u0629\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0627\\u0644\\u0641\\u0626\\u0627\\u062a\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\u0627\\u062a\\\",\\\"link\\\":\\\"#\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0623\\u0633\\u0644\\u0648\\u0628 \\u0627\\u0644\\u062d\\u064a\\u0627\\u0629 \\u0648\\u0627\\u0644\\u0639\\u064a\\u0634\\\",\\\"link\\\":\\\"#\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0631\\u0639\\u0627\\u064a\\u0629 \\u0627\\u0644\\u0635\\u062d\\u064a\\u0629\\\",\\\"link\\\":\\\"#\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0631\\u062c\\u0627\\u0644\\\",\\\"link\\\":\\\"#\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0646\\u0633\\u0627\\u0621\\\",\\\"link\\\":\\\"#\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0623\\u0637\\u0641\\u0627\\u0644\\\",\\\"link\\\":\\\"#\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0631\\u064a\\u0627\\u0636\\u0629\\\",\\\"link\\\":\\\"#\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0627\\u062a\\u0635\\u0644 \\u0628\\u0646\\u0627\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u0627\\u0644\\u0639\\u0646\\u0648\\u0627\\u0646: 184 Main Rd E, St Albans, \\u0623\\u0633\\u062a\\u0631\\u0627\\u0644\\u064a\\u0627\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u0627\\u0628\\u0642\\u0649 \\u0639\\u0644\\u0649 \\u062a\\u0648\\u0627\\u0635\\u0644\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#ff324d\\\",\\\"border_top\\\":\\\"#ff001e\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u062c\\u0645\\u064a\\u0639 \\u0627\\u0644\\u062d\\u0642\\u0648\\u0642 \\u0645\\u062d\\u0641\\u0648\\u0638\\u0629\\\",\\\"position\\\":\\\"center\\\"}}\",\"be\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0410\\u0431 Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u041b\\u0435\\u043f\\u0448\\u0430\\u0435 \\u0440\\u0430\\u0448\\u044d\\u043d\\u043d\\u0435 \\u00ab\\u045e\\u0441\\u0451 \\u045e \\u0430\\u0434\\u043d\\u044b\\u043c\\u00bb \\u0434\\u043b\\u044f \\u0432\\u0430\\u0448\\u0430\\u0433\\u0430 \\u0431\\u0456\\u0437\\u043d\\u0435\\u0441\\u0443 \\u045e \\u0441\\u0444\\u0435\\u0440\\u044b \\u044d\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u0430\\u0439 \\u043a\\u0430\\u043c\\u0435\\u0440\\u0446\\u044b\\u0456 \\u0432\\u0430 \\u045e\\u0441\\u0456\\u043c \\u0441\\u0432\\u0435\\u0446\\u0435.\\\",\\\"download_app\\\":\\\"\\u0421\\u043f\\u0430\\u043c\\u043f\\u0430\\u0432\\u0430\\u0446\\u044c \\u043d\\u0430\\u0448\\u0430 \\u043f\\u0440\\u044b\\u043a\\u043b\\u0430\\u0434\\u0430\\u043d\\u043d\\u0435\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0440\\u044b\\u0441\\u043d\\u044b\\u044f \\u0441\\u043f\\u0430\\u0441\\u044b\\u043b\\u043a\\u0456\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0420\\u0430\\u0437\\u043c\\u044f\\u0448\\u0447\\u044d\\u043d\\u043d\\u0435 \\u043a\\u0440\\u0430\\u043c\\u044b\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0410\\u043f\\u043e\\u0448\\u043d\\u0456\\u044f \\u043d\\u0430\\u0432\\u0456\\u043d\\u044b\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041c\\u043e\\u0439 \\u0440\\u0430\\u0445\\u0443\\u043d\\u0430\\u043a\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041f\\u0440\\u0430\\u0434\\u0443\\u043a\\u0446\\u044b\\u0439\\u043d\\u044b \\u0433\\u0456\\u0434\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0427\\u0430\\u0441\\u0442\\u044b\\u044f \\u043f\\u044b\\u0442\\u0430\\u043d\\u043d\\u0456\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0406\\u043d\\u0444\\u0430\\u0440\\u043c\\u0430\\u0446\\u044b\\u044f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u0430\\u044f \\u0441\\u0442\\u0430\\u0440\\u043e\\u043d\\u043a\\u0430\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u0430\\u044f 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0410\\u0431\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041f\\u0430\\u043b\\u0456\\u0442\\u044b\\u043a\\u0430 \\u043f\\u0440\\u044b\\u0432\\u0430\\u0442\\u043d\\u0430\\u0441\\u0446\\u0456\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u041f\\u0430\\u043b\\u0456\\u0442\\u044b\\u043a\\u0430 \\u0432\\u044f\\u0440\\u0442\\u0430\\u043d\\u043d\\u044f\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u041b\\u0456\\u0447\\u0431\\u0430\\u0432\\u044b\\u044f \\u043f\\u043b\\u0430\\u0446\\u044f\\u0436\\u044b\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0442\\u044d\\u0433\\u043e\\u0440\\u044b\\u0456\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u042d\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u0456\\u043a\\u0430\\\",\\\"link\\\":\\\"#\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0421\\u0442\\u044b\\u043b\\u044c \\u0436\\u044b\\u0446\\u0446\\u044f \\u0456 \\u043f\\u0440\\u0430\\u0436\\u044b\\u0432\\u0430\\u043d\\u043d\\u0435\\\",\\\"link\\\":\\\"#\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0410\\u0445\\u043e\\u0432\\u0430 \\u0437\\u0434\\u0430\\u0440\\u043e\\u045e\\u044f\\\",\\\"link\\\":\\\"#\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041c\\u0443\\u0436\\u0447\\u044b\\u043d\\u044b\\\",\\\"link\\\":\\\"#\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0416\\u0430\\u043d\\u0447\\u044b\\u043d\\u044b\\\",\\\"link\\\":\\\"#\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0414\\u0437\\u0435\\u0446\\u0456\\\",\\\"link\\\":\\\"#\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0421\\u043f\\u043e\\u0440\\u0442\\\",\\\"link\\\":\\\"#\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0417\\u0432\\u044f\\u0436\\u044b\\u0446\\u0435\\u0441\\u044f \\u0437 \\u043d\\u0430\\u043c\\u0456\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u0410\\u0434\\u0440\\u0430\\u0441: 184 Main Rd E, St Albans, \\u0410\\u045e\\u0441\\u0442\\u0440\\u0430\\u043b\\u0456\\u044f\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u0417\\u0430\\u0441\\u0442\\u0430\\u0432\\u0430\\u0439\\u0446\\u0435\\u0441\\u044f \\u043d\\u0430 \\u0441\\u0443\\u0432\\u044f\\u0437\\u0456\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#ff324d\\\",\\\"border_top\\\":\\\"#ff001e\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u0423\\u0441\\u0435 \\u043f\\u0440\\u0430\\u0432\\u044b \\u0430\\u0431\\u0430\\u0440\\u043e\\u043d\\u0435\\u043d\\u044b\\\",\\\"position\\\":\\\"center\\\"}}\",\"bg\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0417\\u0430 Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u041d\\u0430\\u0439-\\u0434\\u043e\\u0431\\u0440\\u043e\\u0442\\u043e \\u0432\\u0441\\u0438\\u0447\\u043a\\u043e-\\u0432-\\u0435\\u0434\\u043d\\u043e \\u0440\\u0435\\u0448\\u0435\\u043d\\u0438\\u0435 \\u0437\\u0430 \\u0432\\u0430\\u0448\\u0438\\u044f \\u0431\\u0438\\u0437\\u043d\\u0435\\u0441 \\u0441 \\u0435\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u0430 \\u0442\\u044a\\u0440\\u0433\\u043e\\u0432\\u0438\\u044f \\u0432 \\u0441\\u0432\\u0435\\u0442\\u043e\\u0432\\u0435\\u043d \\u043c\\u0430\\u0449\\u0430\\u0431.\\\",\\\"download_app\\\":\\\"\\u0418\\u0437\\u0442\\u0435\\u0433\\u043b\\u0435\\u0442\\u0435 \\u043d\\u0430\\u0448\\u0435\\u0442\\u043e \\u043f\\u0440\\u0438\\u043b\\u043e\\u0436\\u0435\\u043d\\u0438\\u0435\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u041f\\u043e\\u043b\\u0435\\u0437\\u043d\\u0438 \\u0432\\u0440\\u044a\\u0437\\u043a\\u0438\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041c\\u0435\\u0441\\u0442\\u043e\\u043f\\u043e\\u043b\\u043e\\u0436\\u0435\\u043d\\u0438\\u0435 \\u043d\\u0430 \\u043c\\u0430\\u0433\\u0430\\u0437\\u0438\\u043d\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u0441\\u043b\\u0435\\u0434\\u043d\\u0438 \\u043d\\u043e\\u0432\\u0438\\u043d\\u0438\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041c\\u043e\\u044f\\u0442 \\u043f\\u0440\\u043e\\u0444\\u0438\\u043b\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0420\\u044a\\u043a\\u043e\\u0432\\u043e\\u0434\\u0441\\u0442\\u0432\\u043e \\u0437\\u0430 \\u0440\\u0430\\u0437\\u043c\\u0435\\u0440\\u0438\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0427\\u0417\\u0412\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0418\\u043d\\u0444\\u043e\\u0440\\u043c\\u0430\\u0446\\u0438\\u044f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0430 \\u0441\\u0442\\u0440\\u0430\\u043d\\u0438\\u0446\\u0430\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0430 \\u0441\\u0442\\u0440\\u0430\\u043d\\u0438\\u0446\\u0430 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0417\\u0430\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u043b\\u0438\\u0442\\u0438\\u043a\\u0430 \\u0437\\u0430 \\u043f\\u043e\\u0432\\u0435\\u0440\\u0438\\u0442\\u0435\\u043b\\u043d\\u043e\\u0441\\u0442\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u043b\\u0438\\u0442\\u0438\\u043a\\u0430 \\u0437\\u0430 \\u0432\\u044a\\u0437\\u0441\\u0442\\u0430\\u043d\\u043e\\u0432\\u044f\\u0432\\u0430\\u043d\\u0435 \\u043d\\u0430 \\u0441\\u0443\\u043c\\u0438\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0426\\u0438\\u0444\\u0440\\u043e\\u0432\\u0438 \\u043f\\u043b\\u0430\\u0449\\u0430\\u043d\\u0438\\u044f\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0442\\u0435\\u0433\\u043e\\u0440\\u0438\\u0438\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0415\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u0438\\u043a\\u0430\\\",\\\"link\\\":\\\"#\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0438\\u043d \\u043d\\u0430 \\u0436\\u0438\\u0432\\u043e\\u0442 \\u0438 \\u0436\\u0438\\u0432\\u043e\\u0442\\\",\\\"link\\\":\\\"#\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0417\\u0434\\u0440\\u0430\\u0432\\u0435\\u043e\\u043f\\u0430\\u0437\\u0432\\u0430\\u043d\\u0435\\\",\\\"link\\\":\\\"#\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041c\\u044a\\u0436\\u0435\\\",\\\"link\\\":\\\"#\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0416\\u0435\\u043d\\u0438\\\",\\\"link\\\":\\\"#\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0414\\u0435\\u0446\\u0430\\\",\\\"link\\\":\\\"#\\\"},\\\"7\\\":{\\\"label\\\":\\\"\\u0421\\u043f\\u043e\\u0440\\u0442\\\",\\\"link\\\":\\\"#\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0421\\u0432\\u044a\\u0440\\u0436\\u0435\\u0442\\u0435 \\u0441\\u0435 \\u0441 \\u043d\\u0430\\u0441\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u0410\\u0434\\u0440\\u0435\\u0441: 184 Main Rd E, St Albans, \\u0410\\u0432\\u0441\\u0442\\u0440\\u0430\\u043b\\u0438\\u044f\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\u041e\\u0441\\u0442\\u0430\\u043d\\u0435\\u0442\\u0435 \\u0441\\u0432\\u044a\\u0440\\u0437\\u0430\\u043d\\u0438\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#ff324d\\\",\\\"border_top\\\":\\\"#ff001e\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u0412\\u0441\\u0438\\u0447\\u043a\\u0438 \\u043f\\u0440\\u0430\\u0432\\u0430 \\u0437\\u0430\\u043f\\u0430\\u0437\\u0435\\u043d\\u0438\\\",\\\"position\\\":\\\"center\\\"}}\",\"ca\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Quant a Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"La soluci\\u00f3 definitiva tot-en-un per al teu negoci de comer\\u00e7 electr\\u00f2nic a tot el m\\u00f3n.\\\",\\\"download_app\\\":\\\"Descarrega la nostra aplicaci\\u00f3\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Enlla\\u00e7os \\u00fatils\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Ubicaci\\u00f3 de la botiga\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u00daltimes not\\u00edcies\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"El meu compte\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Guia de talles\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"FAQ\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Informaci\\u00f3\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"P\\u00e0gina principal\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"P\\u00e0gina d\'inici 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Quant a\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Pol\\u00edtica de privacitat\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Pol\\u00edtica de reemborsament\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Pagaments digitals\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Categories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Electr\\u00f2nica\\\",\\\"link\\\":\\\"#\\\"},\\\"2\\\":{\\\"label\\\":\\\"Estil de vida i vida\\\",\\\"link\\\":\\\"#\\\"},\\\"3\\\":{\\\"label\\\":\\\"Atenci\\u00f3 sanit\\u00e0ria\\\",\\\"link\\\":\\\"#\\\"},\\\"4\\\":{\\\"label\\\":\\\"Homes\\\",\\\"link\\\":\\\"#\\\"},\\\"5\\\":{\\\"label\\\":\\\"Dones\\\",\\\"link\\\":\\\"#\\\"},\\\"6\\\":{\\\"label\\\":\\\"Nens\\\",\\\"link\\\":\\\"#\\\"},\\\"7\\\":{\\\"label\\\":\\\"Esports\\\",\\\"link\\\":\\\"#\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contacta\'ns\\\",\\\"data\\\":{\\\"address\\\":\\\"Adre\\u00e7a: 184 Main Rd E, St Albans, Austr\\u00e0lia\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"Mantingueu-vos connectat\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#ff324d\\\",\\\"border_top\\\":\\\"#ff001e\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Tots els drets reservats\\\",\\\"position\\\":\\\"center\\\"}}\",\"et\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Umbes Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u00dclim k\\u00f5ik-\\u00fches lahendus teie e-kaubanduse \\u00e4rile kogu maailmas.\\\",\\\"download_app\\\":\\\"Laadige alla meie rakendus\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Kasulikud lingid\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Poekoht\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Viimased uudised\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Minu konto\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Suuruste juhend\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"KKK\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Informatsioon\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Avaleht\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Kodu 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Umbes\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Privaatsuspoliitika\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Tagasimakse poliitika\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Digitaalsed maksed\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Kategooriad\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Elektroonika\\\",\\\"link\\\":\\\"#\\\"},\\\"2\\\":{\\\"label\\\":\\\"Elustiil ja elu\\\",\\\"link\\\":\\\"#\\\"},\\\"3\\\":{\\\"label\\\":\\\"Tervishoid\\\",\\\"link\\\":\\\"#\\\"},\\\"4\\\":{\\\"label\\\":\\\"Mehed\\\",\\\"link\\\":\\\"#\\\"},\\\"5\\\":{\\\"label\\\":\\\"Naised\\\",\\\"link\\\":\\\"#\\\"},\\\"6\\\":{\\\"label\\\":\\\"Lapsed\\\",\\\"link\\\":\\\"#\\\"},\\\"7\\\":{\\\"label\\\":\\\"Sport\\\",\\\"link\\\":\\\"#\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"V\\u00f5ta meiega \\u00fchendust\\\",\\\"data\\\":{\\\"address\\\":\\\"Aadress: 184 Main Rd E, St Albans, Austraalia\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"P\\u00fcsige \\u00fchenduses\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#ff324d\\\",\\\"border_top\\\":\\\"#ff001e\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | K\\u00f5ik \\u00f5igused kaitstud\\\",\\\"position\\\":\\\"center\\\"}}\",\"nl\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2c2c2c\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Over Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"De ultieme alles-in-\\u00e9\\u00e9n oplossing voor uw e-commercebedrijf wereldwijd.\\\",\\\"download_app\\\":\\\"Download onze app\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Handige links\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Winkel locatie\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Laatste nieuws\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Mijn account\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Maattabel\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Veelgestelde vragen\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Informatie\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Startpagina\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Home 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Over\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Privacybeleid\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Retourbeleid\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Digitale betalingen\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Categorie\\u00ebn\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Elektronica\\\",\\\"link\\\":\\\"#\\\"},\\\"2\\\":{\\\"label\\\":\\\"Lifestyle & Living\\\",\\\"link\\\":\\\"#\\\"},\\\"3\\\":{\\\"label\\\":\\\"Gezondheidszorg\\\",\\\"link\\\":\\\"#\\\"},\\\"4\\\":{\\\"label\\\":\\\"Mannen\\\",\\\"link\\\":\\\"#\\\"},\\\"5\\\":{\\\"label\\\":\\\"Vrouwen\\\",\\\"link\\\":\\\"#\\\"},\\\"6\\\":{\\\"label\\\":\\\"Kinderen\\\",\\\"link\\\":\\\"#\\\"},\\\"7\\\":{\\\"label\\\":\\\"Sport\\\",\\\"link\\\":\\\"#\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Neem contact op\\\",\\\"data\\\":{\\\"address\\\":\\\"Adres: 184 Main Rd E, St Albans, Australi\\u00eb\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"Blijf verbonden\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.twitter.com\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.quora.com\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.linkedin.com\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#ff324d\\\",\\\"border_top\\\":\\\"#ff001e\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Alle rechten voorbehouden\\\",\\\"position\\\":\\\"center\\\"}}\"}'),(78,'fashion_v2_template_header','{\"top\":{\"show_header\":\"0\",\"text_color\":\"#2c2c2c\",\"bg_color\":\"#fcca19\",\"show_phone\":\"1\",\"phone\":\"+12013828902\",\"show_email\":\"1\",\"email\":\"admin@techvill.net\",\"show_seller\":\"1\",\"show_compare\":\"1\",\"show_currency\":\"1\",\"show_language\":\"1\"},\"main\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#ffffff\",\"show_logo\":\"1\",\"show_searchbar\":\"1\",\"show_account\":\"1\",\"show_wishlist\":\"1\",\"show_cart\":\"1\",\"show_track\":\"0\"},\"bottom\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#ffffff\",\"show_category\":\"0\",\"category_expand\":\"1\",\"border_top\":\"#dfdfdf\",\"border_bottom\":\"#dfdfdf\",\"show_page_menu\":\"1\",\"show_download_app\":\"1\",\"show_google_play\":\"1\",\"google_play_link\":\"https:\\/\\/play.google.com\\/store\\/games\",\"show_app_store\":\"1\",\"app_store_link\":\"https:\\/\\/www.apple.com\\/app-store\\/\"},\"bottom_category\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#f3f3f3\"}}'),(79,'fashion_v2_template_header_logo',''),(80,'fashion_v2_template_is_color_picker_active','0'),(81,'fashion_v2_template_social','{\"facebook\":\"1\",\"whatsapp\":\"1\",\"instagram\":\"1\",\"pinterest\":\"1\",\"linkedin\":\"1\"}'),(82,'fashion_v2_template_page','{\"term_condition\":\"privacy-policy\",\"slider\":\"home-page\"}'),(83,'fashion_v2_template_header_mobile_logo',''),(84,'fashion_v2_template_download_google_play_logo',''),(85,'fashion_v2_template_download_app_store_logo',''),(86,'fashion_v2_template_primary_color','#ff324d'),(87,'default_template_product','{\"add_to_cart\":\"1\",\"wishlist\":\"1\",\"compare\":\"1\",\"quick_view\":\"1\",\"review\":\"1\",\"price\":\"1\",\"badge\":\"1\",\"height\":\"192\"}'),(88,'fashion_template_product','{\"add_to_cart\":\"1\",\"wishlist\":\"1\",\"compare\":\"1\",\"quick_view\":\"1\",\"review\":\"1\",\"price\":\"1\",\"badge\":\"1\",\"height\":\"192\"}'),(89,'groceries_template_product','{\"add_to_cart\":\"1\",\"wishlist\":\"1\",\"compare\":\"1\",\"quick_view\":\"1\",\"review\":\"1\",\"price\":\"1\",\"badge\":\"1\",\"height\":\"192\"}'),(90,'mixed_template_product','{\"add_to_cart\":\"1\",\"wishlist\":\"1\",\"compare\":\"1\",\"quick_view\":\"1\",\"review\":\"1\",\"price\":\"1\",\"badge\":\"1\",\"height\":\"192\"}'),(91,'fashion_v2_template_product','{\"add_to_cart\":\"1\",\"wishlist\":\"1\",\"compare\":\"1\",\"quick_view\":\"1\",\"review\":\"1\",\"price\":\"1\",\"badge\":\"1\",\"height\":\"192\"}'),(92,'fashion_v3_template_footer_logo',''),(93,'fashion_v3_template_google_play',''),(94,'fashion_v3_template_app_store',''),(95,'fashion_v3_template_payment_methods',''),(96,'fashion_v3_template_phone_no','0'),(97,'fashion_v3_template_email','0'),(98,'fashion_v3_template_currency','0'),(99,'fashion_v3_template_footer','{\"en\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#fafafa\\\",\\\"bg_color\\\":\\\"#292929\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"About Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"The ultimate all-in-one solution for your ecommerce business worldwide.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Useful Links\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Store Location\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Latest News\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"My Account\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Size Guide\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Information\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Homepage\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Home 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"About\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Privacy Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Categories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Electronics\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Lifestyle & Living\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Healthcare\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Men\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contact Us\\\",\\\"data\\\":{\\\"address\\\":\\\"Address: 184 Main Rd E, St Albans, Australia\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ddd7d3\\\",\\\"bg_color\\\":\\\"#292929\\\",\\\"border_top\\\":\\\"#616161\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | All Rights Reserved\\\",\\\"position\\\":\\\"center\\\"}}\",\"bn\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#fafafa\\\",\\\"bg_color\\\":\\\"#292929\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09b8\\u09ae\\u09cd\\u09aa\\u09b0\\u09cd\\u0995\\u09bf\\u09a4 Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u09ac\\u09bf\\u09b6\\u09cd\\u09ac\\u09ac\\u09cd\\u09af\\u09be\\u09aa\\u09c0 \\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u0987-\\u0995\\u09ae\\u09be\\u09b0\\u09cd\\u09b8 \\u09ac\\u09cd\\u09af\\u09ac\\u09b8\\u09be\\u09b0 \\u099c\\u09a8\\u09cd\\u09af \\u09b8\\u09b0\\u09cd\\u09ac\\u09be\\u09a7\\u09bf\\u0995 \\u09b8\\u09b0\\u09cd\\u09ac-\\u09b8\\u09ae\\u09c7\\u09a4 \\u09b8\\u09ae\\u09be\\u09a7\\u09be\\u09a8\\u0964\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0989\\u09aa\\u0995\\u09be\\u09b0\\u09c0 \\u09b2\\u09bf\\u0982\\u0995\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u09b8\\u09cd\\u099f\\u09cb\\u09b0 \\u0985\\u09ac\\u09b8\\u09cd\\u09a5\\u09be\\u09a8\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u09b8\\u09b0\\u09cd\\u09ac\\u09b6\\u09c7\\u09b7 \\u0996\\u09ac\\u09b0\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0986\\u09ae\\u09be\\u09b0 \\u0985\\u09cd\\u09af\\u09be\\u0995\\u09be\\u0989\\u09a8\\u09cd\\u099f\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0986\\u0995\\u09be\\u09b0 \\u0997\\u09be\\u0987\\u09a1\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09a4\\u09a5\\u09cd\\u09af\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae\\u09aa\\u09c7\\u099c\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u09b8\\u09ae\\u09cd\\u09aa\\u09b0\\u09cd\\u0995\\u09bf\\u09a4\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0997\\u09cb\\u09aa\\u09a8\\u09c0\\u09af\\u09bc\\u09a4\\u09be \\u09a8\\u09c0\\u09a4\\u09bf\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09ac\\u09bf\\u09ad\\u09be\\u0997\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0987\\u09b2\\u09c7\\u0995\\u099f\\u09cd\\u09b0\\u09a8\\u09bf\\u0995\\u09cd\\u09b8\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u099c\\u09c0\\u09ac\\u09a8\\u09a7\\u09be\\u09b0\\u09be \\u0993 \\u09ac\\u09be\\u09b8\\u09b8\\u09cd\\u09a5\\u09be\\u09a8\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u09b8\\u09cd\\u09ac\\u09be\\u09b8\\u09cd\\u09a5\\u09cd\\u09af\\u09b8\\u09c7\\u09ac\\u09be\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u09aa\\u09c1\\u09b0\\u09c1\\u09b7\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09af\\u09cb\\u0997\\u09be\\u09af\\u09cb\\u0997 \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u09a0\\u09bf\\u0995\\u09be\\u09a8\\u09be: \\u09e7\\u09ee\\u09ea \\u09ae\\u09c7\\u0987\\u09a8 \\u09b0\\u09cb\\u09a1 \\u0987, \\u09b8\\u09c7\\u09a8\\u09cd\\u099f \\u0985\\u09cd\\u09af\\u09be\\u09b2\\u09ac\\u09cd\\u09af\\u09be\\u09a8\\u09cd\\u09b8, \\u0985\\u09b8\\u09cd\\u099f\\u09cd\\u09b0\\u09c7\\u09b2\\u09bf\\u09af\\u09bc\\u09be\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ddd7d3\\\",\\\"bg_color\\\":\\\"#292929\\\",\\\"border_top\\\":\\\"#616161\\\",\\\"title\\\":\\\"\\\\u00a92022 \\u09ae\\u09be\\u09b0\\u09cd\\u099f \\u09ad\\u09bf\\u09b2 | \\u09b8\\u09ae\\u09b8\\u09cd\\u09a4 \\u0985\\u09a7\\u09bf\\u0995\\u09be\\u09b0 \\u09b8\\u0982\\u09b0\\u0995\\u09cd\\u09b7\\u09bf\\u09a4\\\",\\\"position\\\":\\\"center\\\"}}\",\"fr\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#fafafa\\\",\\\"bg_color\\\":\\\"#292929\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u00c0 propos Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"La solution ultime tout-en-un pour votre entreprise de commerce \\u00e9lectronique dans le monde entier.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Liens utiles\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Emplacement du magasin\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Derni\\u00e8res nouvelles\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Mon compte\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Guide des tailles\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Information\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Page d\'accueil\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Accueil 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u00c0 propos\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Politique de confidentialit\\u00e9\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Cat\\u00e9gories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u00c9lectronique\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Mode de vie & vie\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Soins de sant\\u00e9\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Hommes\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contactez-nous\\\",\\\"data\\\":{\\\"address\\\":\\\"Adresse : 184 Main Rd E, St Albans, Australie\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ddd7d3\\\",\\\"bg_color\\\":\\\"#292929\\\",\\\"border_top\\\":\\\"#616161\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Tous droits r\\u00e9serv\\u00e9s\\\",\\\"position\\\":\\\"center\\\"}}\",\"zh\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#fafafa\\\",\\\"bg_color\\\":\\\"#292929\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u5173\\u4e8e Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u4e3a\\u60a8\\u7684\\u5168\\u7403\\u7535\\u5b50\\u5546\\u52a1\\u4e1a\\u52a1\\u63d0\\u4f9b\\u7ec8\\u6781\\u4e00\\u4f53\\u5316\\u89e3\\u51b3\\u65b9\\u6848\\u3002\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u5b9e\\u7528\\u94fe\\u63a5\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u5546\\u5e97\\u4f4d\\u7f6e\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u6700\\u65b0\\u6d88\\u606f\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u6211\\u7684\\u5e10\\u6237\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u5c3a\\u7801\\u6307\\u5357\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u4fe1\\u606f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u4e3b\\u9875\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u4e3b\\u9875 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u5173\\u4e8e\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u9690\\u79c1\\u653f\\u7b56\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u7c7b\\u522b\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u7535\\u5b50\\u4ea7\\u54c1\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u751f\\u6d3b\\u65b9\\u5f0f\\u4e0e\\u751f\\u6d3b\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u533b\\u7597\\u4fdd\\u5065\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u7537\\u58eb\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u8054\\u7cfb\\u6211\\u4eec\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u5730\\u5740\\uff1a\\u6fb3\\u5927\\u5229\\u4e9a\\u5723\\u5965\\u5c14\\u672c\\u65af\\u4e1c\\u4e3b\\u5e72\\u9053184\\u53f7\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ddd7d3\\\",\\\"bg_color\\\":\\\"#292929\\\",\\\"border_top\\\":\\\"#616161\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u7248\\u6743\\u6240\\u6709\\\",\\\"position\\\":\\\"center\\\"}}\",\"ar\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#fafafa\\\",\\\"bg_color\\\":\\\"#292929\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u062d\\u0648\\u0644 Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u0627\\u0644\\u062d\\u0644 \\u0627\\u0644\\u0634\\u0627\\u0645\\u0644 \\u0627\\u0644\\u0646\\u0647\\u0627\\u0626\\u064a \\u0644\\u0639\\u0645\\u0644\\u0643 \\u0641\\u064a \\u0627\\u0644\\u062a\\u062c\\u0627\\u0631\\u0629 \\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\u0629 \\u0639\\u0644\\u0649 \\u0645\\u0633\\u062a\\u0648\\u0649 \\u0627\\u0644\\u0639\\u0627\\u0644\\u0645.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0631\\u0648\\u0627\\u0628\\u0637 \\u0645\\u0641\\u064a\\u062f\\u0629\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0645\\u0648\\u0642\\u0639 \\u0627\\u0644\\u0645\\u062a\\u062c\\u0631\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0623\\u062d\\u062f\\u062b \\u0627\\u0644\\u0623\\u062e\\u0628\\u0627\\u0631\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u062d\\u0633\\u0627\\u0628\\u064a\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u062f\\u0644\\u064a\\u0644 \\u0627\\u0644\\u0645\\u0642\\u0627\\u0633\\u0627\\u062a\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0645\\u0639\\u0644\\u0648\\u0645\\u0629\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0629 \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0629 \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u062d\\u0648\\u0644\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0627\\u0644\\u0641\\u0626\\u0627\\u062a\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\u0627\\u062a\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0623\\u0633\\u0644\\u0648\\u0628 \\u0627\\u0644\\u062d\\u064a\\u0627\\u0629 \\u0648\\u0627\\u0644\\u0639\\u064a\\u0634\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0631\\u0639\\u0627\\u064a\\u0629 \\u0627\\u0644\\u0635\\u062d\\u064a\\u0629\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0631\\u062c\\u0627\\u0644\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0627\\u062a\\u0635\\u0644 \\u0628\\u0646\\u0627\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u0627\\u0644\\u0639\\u0646\\u0648\\u0627\\u0646: 184 Main Rd E, St Albans, \\u0623\\u0633\\u062a\\u0631\\u0627\\u0644\\u064a\\u0627\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ddd7d3\\\",\\\"bg_color\\\":\\\"#292929\\\",\\\"border_top\\\":\\\"#616161\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u062c\\u0645\\u064a\\u0639 \\u0627\\u0644\\u062d\\u0642\\u0648\\u0642 \\u0645\\u062d\\u0641\\u0648\\u0638\\u0629\\\",\\\"position\\\":\\\"center\\\"}}\",\"be\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#fafafa\\\",\\\"bg_color\\\":\\\"#292929\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0410\\u0431 Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u041b\\u0435\\u043f\\u0448\\u0430\\u0435 \\u0440\\u0430\\u0448\\u044d\\u043d\\u043d\\u0435 \\u00ab\\u045e\\u0441\\u0451 \\u045e \\u0430\\u0434\\u043d\\u044b\\u043c\\u00bb \\u0434\\u043b\\u044f \\u0432\\u0430\\u0448\\u0430\\u0433\\u0430 \\u0431\\u0456\\u0437\\u043d\\u0435\\u0441\\u0443 \\u045e \\u0441\\u0444\\u0435\\u0440\\u044b \\u044d\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u0430\\u0439 \\u043a\\u0430\\u043c\\u0435\\u0440\\u0446\\u044b\\u0456 \\u0432\\u0430 \\u045e\\u0441\\u0456\\u043c \\u0441\\u0432\\u0435\\u0446\\u0435.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0440\\u044b\\u0441\\u043d\\u044b\\u044f \\u0441\\u043f\\u0430\\u0441\\u044b\\u043b\\u043a\\u0456\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0420\\u0430\\u0437\\u043c\\u044f\\u0448\\u0447\\u044d\\u043d\\u043d\\u0435 \\u043a\\u0440\\u0430\\u043c\\u044b\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0410\\u043f\\u043e\\u0448\\u043d\\u0456\\u044f \\u043d\\u0430\\u0432\\u0456\\u043d\\u044b\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041c\\u043e\\u0439 \\u0440\\u0430\\u0445\\u0443\\u043d\\u0430\\u043a\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041f\\u0440\\u0430\\u0434\\u0443\\u043a\\u0446\\u044b\\u0439\\u043d\\u044b \\u0433\\u0456\\u0434\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0406\\u043d\\u0444\\u0430\\u0440\\u043c\\u0430\\u0446\\u044b\\u044f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u0430\\u044f \\u0441\\u0442\\u0430\\u0440\\u043e\\u043d\\u043a\\u0430\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u0430\\u044f 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0410\\u0431\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041f\\u0430\\u043b\\u0456\\u0442\\u044b\\u043a\\u0430 \\u043f\\u0440\\u044b\\u0432\\u0430\\u0442\\u043d\\u0430\\u0441\\u0446\\u0456\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0442\\u044d\\u0433\\u043e\\u0440\\u044b\\u0456\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u042d\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u0456\\u043a\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0421\\u0442\\u044b\\u043b\\u044c \\u0436\\u044b\\u0446\\u0446\\u044f \\u0456 \\u043f\\u0440\\u0430\\u0436\\u044b\\u0432\\u0430\\u043d\\u043d\\u0435\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0410\\u0445\\u043e\\u0432\\u0430 \\u0437\\u0434\\u0430\\u0440\\u043e\\u045e\\u044f\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041c\\u0443\\u0436\\u0447\\u044b\\u043d\\u044b\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0417\\u0432\\u044f\\u0436\\u044b\\u0446\\u0435\\u0441\\u044f \\u0437 \\u043d\\u0430\\u043c\\u0456\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u0410\\u0434\\u0440\\u0430\\u0441: 184 Main Rd E, St Albans, \\u0410\\u045e\\u0441\\u0442\\u0440\\u0430\\u043b\\u0456\\u044f\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ddd7d3\\\",\\\"bg_color\\\":\\\"#292929\\\",\\\"border_top\\\":\\\"#616161\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u0423\\u0441\\u0435 \\u043f\\u0440\\u0430\\u0432\\u044b \\u0430\\u0431\\u0430\\u0440\\u043e\\u043d\\u0435\\u043d\\u044b\\\",\\\"position\\\":\\\"center\\\"}}\",\"bg\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#fafafa\\\",\\\"bg_color\\\":\\\"#292929\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0417\\u0430 Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u041d\\u0430\\u0439-\\u0434\\u043e\\u0431\\u0440\\u043e\\u0442\\u043e \\u0432\\u0441\\u0438\\u0447\\u043a\\u043e-\\u0432-\\u0435\\u0434\\u043d\\u043e \\u0440\\u0435\\u0448\\u0435\\u043d\\u0438\\u0435 \\u0437\\u0430 \\u0432\\u0430\\u0448\\u0438\\u044f \\u0431\\u0438\\u0437\\u043d\\u0435\\u0441 \\u0441 \\u0435\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u0430 \\u0442\\u044a\\u0440\\u0433\\u043e\\u0432\\u0438\\u044f \\u0432 \\u0441\\u0432\\u0435\\u0442\\u043e\\u0432\\u0435\\u043d \\u043c\\u0430\\u0449\\u0430\\u0431.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041f\\u043e\\u043b\\u0435\\u0437\\u043d\\u0438 \\u0432\\u0440\\u044a\\u0437\\u043a\\u0438\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041c\\u0435\\u0441\\u0442\\u043e\\u043f\\u043e\\u043b\\u043e\\u0436\\u0435\\u043d\\u0438\\u0435 \\u043d\\u0430 \\u043c\\u0430\\u0433\\u0430\\u0437\\u0438\\u043d\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u0441\\u043b\\u0435\\u0434\\u043d\\u0438 \\u043d\\u043e\\u0432\\u0438\\u043d\\u0438\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041c\\u043e\\u044f\\u0442 \\u043f\\u0440\\u043e\\u0444\\u0438\\u043b\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0420\\u044a\\u043a\\u043e\\u0432\\u043e\\u0434\\u0441\\u0442\\u0432\\u043e \\u0437\\u0430 \\u0440\\u0430\\u0437\\u043c\\u0435\\u0440\\u0438\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0418\\u043d\\u0444\\u043e\\u0440\\u043c\\u0430\\u0446\\u0438\\u044f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0430 \\u0441\\u0442\\u0440\\u0430\\u043d\\u0438\\u0446\\u0430\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0430 \\u0441\\u0442\\u0440\\u0430\\u043d\\u0438\\u0446\\u0430 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0417\\u0430\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u043b\\u0438\\u0442\\u0438\\u043a\\u0430 \\u0437\\u0430 \\u043f\\u043e\\u0432\\u0435\\u0440\\u0438\\u0442\\u0435\\u043b\\u043d\\u043e\\u0441\\u0442\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0442\\u0435\\u0433\\u043e\\u0440\\u0438\\u0438\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0415\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u0438\\u043a\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0438\\u043d \\u043d\\u0430 \\u0436\\u0438\\u0432\\u043e\\u0442 \\u0438 \\u0436\\u0438\\u0432\\u043e\\u0442\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0417\\u0434\\u0440\\u0430\\u0432\\u0435\\u043e\\u043f\\u0430\\u0437\\u0432\\u0430\\u043d\\u0435\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041c\\u044a\\u0436\\u0435\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0421\\u0432\\u044a\\u0440\\u0436\\u0435\\u0442\\u0435 \\u0441\\u0435 \\u0441 \\u043d\\u0430\\u0441\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u0410\\u0434\\u0440\\u0435\\u0441: 184 Main Rd E, St Albans, \\u0410\\u0432\\u0441\\u0442\\u0440\\u0430\\u043b\\u0438\\u044f\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ddd7d3\\\",\\\"bg_color\\\":\\\"#292929\\\",\\\"border_top\\\":\\\"#616161\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u0412\\u0441\\u0438\\u0447\\u043a\\u0438 \\u043f\\u0440\\u0430\\u0432\\u0430 \\u0437\\u0430\\u043f\\u0430\\u0437\\u0435\\u043d\\u0438\\\",\\\"position\\\":\\\"center\\\"}}\",\"ca\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#fafafa\\\",\\\"bg_color\\\":\\\"#292929\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Quant a Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"La soluci\\u00f3 definitiva tot-en-un per al teu negoci de comer\\u00e7 electr\\u00f2nic a tot el m\\u00f3n.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Enlla\\u00e7os \\u00fatils\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Ubicaci\\u00f3 de la botiga\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u00daltimes not\\u00edcies\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"El meu compte\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Guia de talles\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Informaci\\u00f3\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"P\\u00e0gina principal\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"P\\u00e0gina d\'inici 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Quant a\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Pol\\u00edtica de privacitat\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Categories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Electr\\u00f2nica\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Estil de vida i vida\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Atenci\\u00f3 sanit\\u00e0ria\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Homes\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contacta\'ns\\\",\\\"data\\\":{\\\"address\\\":\\\"Adre\\u00e7a: 184 Main Rd E, St Albans, Austr\\u00e0lia\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ddd7d3\\\",\\\"bg_color\\\":\\\"#292929\\\",\\\"border_top\\\":\\\"#616161\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Tots els drets reservats\\\",\\\"position\\\":\\\"center\\\"}}\",\"et\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#fafafa\\\",\\\"bg_color\\\":\\\"#292929\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Umbes Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u00dclim k\\u00f5ik-\\u00fches lahendus teie e-kaubanduse \\u00e4rile kogu maailmas.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Kasulikud lingid\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Poekoht\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Viimased uudised\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Minu konto\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Suuruste juhend\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Informatsioon\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Avaleht\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Kodu 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Umbes\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Privaatsuspoliitika\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Kategooriad\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Elektroonika\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Elustiil ja elu\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Tervishoid\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Mehed\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"V\\u00f5ta meiega \\u00fchendust\\\",\\\"data\\\":{\\\"address\\\":\\\"Aadress: 184 Main Rd E, St Albans, Austraalia\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ddd7d3\\\",\\\"bg_color\\\":\\\"#292929\\\",\\\"border_top\\\":\\\"#616161\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | K\\u00f5ik \\u00f5igused kaitstud\\\",\\\"position\\\":\\\"center\\\"}}\",\"nl\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#fafafa\\\",\\\"bg_color\\\":\\\"#292929\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Over Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"De ultieme alles-in-\\u00e9\\u00e9n oplossing voor uw e-commercebedrijf wereldwijd.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Handige links\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Winkel locatie\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Laatste nieuws\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Mijn account\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Maattabel\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Informatie\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Startpagina\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Home 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Over\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Privacybeleid\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Categorie\\u00ebn\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Elektronica\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Lifestyle & Living\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Gezondheidszorg\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Mannen\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Neem contact op\\\",\\\"data\\\":{\\\"address\\\":\\\"Adres: 184 Main Rd E, St Albans, Australi\\u00eb\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ddd7d3\\\",\\\"bg_color\\\":\\\"#292929\\\",\\\"border_top\\\":\\\"#616161\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Alle rechten voorbehouden\\\",\\\"position\\\":\\\"center\\\"}}\"}'),(100,'fashion_v3_template_header','{\"top\":{\"show_header\":\"0\",\"text_color\":\"#2c2c2c\",\"bg_color\":\"#fcca19\",\"show_phone\":\"1\",\"phone\":\"+12013828902\",\"show_email\":\"1\",\"email\":\"admin@techvill.net\",\"show_seller\":\"1\",\"show_compare\":\"1\",\"show_currency\":\"1\",\"show_language\":\"1\"},\"main\":{\"text_color\":\"#564c42\",\"bg_color\":\"#e8e7e3\",\"show_logo\":\"1\",\"show_searchbar\":\"0\",\"show_account\":\"1\",\"show_wishlist\":\"1\",\"show_cart\":\"1\",\"show_track\":\"1\"},\"bottom\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#ffffff\",\"show_category\":\"0\",\"category_expand\":\"1\",\"border_top\":\"#dfdfdf\",\"border_bottom\":\"#dfdfdf\",\"show_page_menu\":\"0\",\"show_download_app\":\"0\",\"show_google_play\":\"1\",\"google_play_link\":\"https:\\/\\/play.google.com\\/store\\/games\",\"show_app_store\":\"1\",\"app_store_link\":\"https:\\/\\/www.apple.com\\/app-store\\/\"},\"bottom_category\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#f3f3f3\"}}'),(101,'fashion_v3_template_header_logo',''),(102,'fashion_v3_template_is_color_picker_active','0'),(103,'fashion_v3_template_social','{\"facebook\":\"1\",\"whatsapp\":\"1\",\"instagram\":\"1\",\"pinterest\":\"1\",\"linkedin\":\"1\"}'),(104,'fashion_v3_template_page','{\"term_condition\":\"privacy-policy\",\"slider\":\"home-page\"}'),(105,'fashion_v3_template_header_mobile_logo',''),(106,'fashion_v3_template_download_google_play_logo',''),(107,'fashion_v3_template_download_app_store_logo',''),(108,'fashion_v3_template_primary_color','#eaeae8'),(109,'fashion_v3_template_product','{\"add_to_cart\":\"1\",\"wishlist\":\"1\",\"compare\":\"1\",\"quick_view\":\"1\",\"review\":\"0\",\"price\":\"1\",\"badge\":\"1\",\"height\":\"192\"}'),(110,'furniture_template_footer_logo',''),(111,'furniture_template_google_play',''),(112,'furniture_template_app_store',''),(113,'furniture_template_payment_methods',''),(114,'furniture_template_phone_no','0'),(115,'furniture_template_email','0'),(116,'furniture_template_currency','0'),(117,'furniture_template_footer','{\"en\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"About Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"The ultimate all-in-one solution for your ecommerce business worldwide.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Useful Links\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Store Location\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Latest News\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"My Account\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Size Guide\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"FAQs\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Information\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Homepage\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Home 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"About\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Privacy Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Refund Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Digital Payments\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Categories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Electronics\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Lifestyle & Living\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Healthcare\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Men\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Women\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contact Us\\\",\\\"data\\\":{\\\"address\\\":\\\"Address: 184 Main Rd E, St Albans, Australia\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#2c2c2c\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"border_top\\\":\\\"#dfdfdf\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | All Rights Reserved\\\",\\\"position\\\":\\\"center\\\"}}\",\"bn\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09b8\\u09ae\\u09cd\\u09aa\\u09b0\\u09cd\\u0995\\u09bf\\u09a4 Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u09ac\\u09bf\\u09b6\\u09cd\\u09ac\\u09ac\\u09cd\\u09af\\u09be\\u09aa\\u09c0 \\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u0987-\\u0995\\u09ae\\u09be\\u09b0\\u09cd\\u09b8 \\u09ac\\u09cd\\u09af\\u09ac\\u09b8\\u09be\\u09b0 \\u099c\\u09a8\\u09cd\\u09af \\u09b8\\u09b0\\u09cd\\u09ac\\u09be\\u09a7\\u09bf\\u0995 \\u09b8\\u09b0\\u09cd\\u09ac-\\u09b8\\u09ae\\u09c7\\u09a4 \\u09b8\\u09ae\\u09be\\u09a7\\u09be\\u09a8\\u0964\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0989\\u09aa\\u0995\\u09be\\u09b0\\u09c0 \\u09b2\\u09bf\\u0982\\u0995\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u09b8\\u09cd\\u099f\\u09cb\\u09b0 \\u0985\\u09ac\\u09b8\\u09cd\\u09a5\\u09be\\u09a8\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u09b8\\u09b0\\u09cd\\u09ac\\u09b6\\u09c7\\u09b7 \\u0996\\u09ac\\u09b0\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0986\\u09ae\\u09be\\u09b0 \\u0985\\u09cd\\u09af\\u09be\\u0995\\u09be\\u0989\\u09a8\\u09cd\\u099f\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0986\\u0995\\u09be\\u09b0 \\u0997\\u09be\\u0987\\u09a1\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u09aa\\u09cd\\u09b0\\u09be\\u09af\\u09bc\\u09b6\\u0987 \\u099c\\u09bf\\u099c\\u09cd\\u099e\\u09be\\u09b8\\u09bf\\u09a4 \\u09aa\\u09cd\\u09b0\\u09b6\\u09cd\\u09a8\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u09a4\\u09a5\\u09cd\\u09af\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae\\u09aa\\u09c7\\u099c\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u09b8\\u09ae\\u09cd\\u09aa\\u09b0\\u09cd\\u0995\\u09bf\\u09a4\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0997\\u09cb\\u09aa\\u09a8\\u09c0\\u09af\\u09bc\\u09a4\\u09be \\u09a8\\u09c0\\u09a4\\u09bf\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Refund Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u09a1\\u09bf\\u099c\\u09bf\\u099f\\u09be\\u09b2 \\u09aa\\u09c7\\u09ae\\u09c7\\u09a8\\u09cd\\u099f\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09ac\\u09bf\\u09ad\\u09be\\u0997\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0987\\u09b2\\u09c7\\u0995\\u099f\\u09cd\\u09b0\\u09a8\\u09bf\\u0995\\u09cd\\u09b8\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u099c\\u09c0\\u09ac\\u09a8\\u09a7\\u09be\\u09b0\\u09be \\u0993 \\u09ac\\u09be\\u09b8\\u09b8\\u09cd\\u09a5\\u09be\\u09a8\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u09b8\\u09cd\\u09ac\\u09be\\u09b8\\u09cd\\u09a5\\u09cd\\u09af\\u09b8\\u09c7\\u09ac\\u09be\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u09aa\\u09c1\\u09b0\\u09c1\\u09b7\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Women\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09af\\u09cb\\u0997\\u09be\\u09af\\u09cb\\u0997 \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u09a0\\u09bf\\u0995\\u09be\\u09a8\\u09be: \\u09e7\\u09ee\\u09ea \\u09ae\\u09c7\\u0987\\u09a8 \\u09b0\\u09cb\\u09a1 \\u0987, \\u09b8\\u09c7\\u09a8\\u09cd\\u099f \\u0985\\u09cd\\u09af\\u09be\\u09b2\\u09ac\\u09cd\\u09af\\u09be\\u09a8\\u09cd\\u09b8, \\u0985\\u09b8\\u09cd\\u099f\\u09cd\\u09b0\\u09c7\\u09b2\\u09bf\\u09af\\u09bc\\u09be\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#2c2c2c\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"border_top\\\":\\\"#dfdfdf\\\",\\\"title\\\":\\\"\\\\u00a92022 \\u09ae\\u09be\\u09b0\\u09cd\\u099f \\u09ad\\u09bf\\u09b2 | \\u09b8\\u09ae\\u09b8\\u09cd\\u09a4 \\u0985\\u09a7\\u09bf\\u0995\\u09be\\u09b0 \\u09b8\\u0982\\u09b0\\u0995\\u09cd\\u09b7\\u09bf\\u09a4\\\",\\\"position\\\":\\\"center\\\"}}\",\"fr\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u00c0 propos Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"La solution ultime tout-en-un pour votre entreprise de commerce \\u00e9lectronique dans le monde entier.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Liens utiles\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Emplacement du magasin\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Derni\\u00e8res nouvelles\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Mon compte\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Guide des tailles\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"FAQ\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Information\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Page d\'accueil\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Accueil 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u00c0 propos\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Politique de confidentialit\\u00e9\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Refund Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Paiements num\\u00e9riques\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Cat\\u00e9gories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u00c9lectronique\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Mode de vie & vie\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Soins de sant\\u00e9\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Hommes\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Women\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contactez-nous\\\",\\\"data\\\":{\\\"address\\\":\\\"Adresse : 184 Main Rd E, St Albans, Australie\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#2c2c2c\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"border_top\\\":\\\"#dfdfdf\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Tous droits r\\u00e9serv\\u00e9s\\\",\\\"position\\\":\\\"center\\\"}}\",\"zh\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u5173\\u4e8e Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u4e3a\\u60a8\\u7684\\u5168\\u7403\\u7535\\u5b50\\u5546\\u52a1\\u4e1a\\u52a1\\u63d0\\u4f9b\\u7ec8\\u6781\\u4e00\\u4f53\\u5316\\u89e3\\u51b3\\u65b9\\u6848\\u3002\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u5b9e\\u7528\\u94fe\\u63a5\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u5546\\u5e97\\u4f4d\\u7f6e\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u6700\\u65b0\\u6d88\\u606f\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u6211\\u7684\\u5e10\\u6237\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u5c3a\\u7801\\u6307\\u5357\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u5e38\\u89c1\\u95ee\\u9898\\u89e3\\u7b54\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u4fe1\\u606f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u4e3b\\u9875\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u4e3b\\u9875 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u5173\\u4e8e\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u9690\\u79c1\\u653f\\u7b56\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Refund Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u6570\\u5b57\\u652f\\u4ed8\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u7c7b\\u522b\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u7535\\u5b50\\u4ea7\\u54c1\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u751f\\u6d3b\\u65b9\\u5f0f\\u4e0e\\u751f\\u6d3b\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u533b\\u7597\\u4fdd\\u5065\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u7537\\u58eb\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Women\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u8054\\u7cfb\\u6211\\u4eec\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u5730\\u5740\\uff1a\\u6fb3\\u5927\\u5229\\u4e9a\\u5723\\u5965\\u5c14\\u672c\\u65af\\u4e1c\\u4e3b\\u5e72\\u9053184\\u53f7\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#2c2c2c\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"border_top\\\":\\\"#dfdfdf\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u7248\\u6743\\u6240\\u6709\\\",\\\"position\\\":\\\"center\\\"}}\",\"ar\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u062d\\u0648\\u0644 Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u0627\\u0644\\u062d\\u0644 \\u0627\\u0644\\u0634\\u0627\\u0645\\u0644 \\u0627\\u0644\\u0646\\u0647\\u0627\\u0626\\u064a \\u0644\\u0639\\u0645\\u0644\\u0643 \\u0641\\u064a \\u0627\\u0644\\u062a\\u062c\\u0627\\u0631\\u0629 \\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\u0629 \\u0639\\u0644\\u0649 \\u0645\\u0633\\u062a\\u0648\\u0649 \\u0627\\u0644\\u0639\\u0627\\u0644\\u0645.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0631\\u0648\\u0627\\u0628\\u0637 \\u0645\\u0641\\u064a\\u062f\\u0629\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0645\\u0648\\u0642\\u0639 \\u0627\\u0644\\u0645\\u062a\\u062c\\u0631\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0623\\u062d\\u062f\\u062b \\u0627\\u0644\\u0623\\u062e\\u0628\\u0627\\u0631\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u062d\\u0633\\u0627\\u0628\\u064a\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u062f\\u0644\\u064a\\u0644 \\u0627\\u0644\\u0645\\u0642\\u0627\\u0633\\u0627\\u062a\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0623\\u0633\\u0626\\u0644\\u0629 \\u0627\\u0644\\u0634\\u0627\\u0626\\u0639\\u0629\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0645\\u0639\\u0644\\u0648\\u0645\\u0629\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0629 \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0629 \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u062d\\u0648\\u0644\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Refund Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0645\\u062f\\u0641\\u0648\\u0639\\u0627\\u062a \\u0627\\u0644\\u0631\\u0642\\u0645\\u064a\\u0629\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0627\\u0644\\u0641\\u0626\\u0627\\u062a\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\u0627\\u062a\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0623\\u0633\\u0644\\u0648\\u0628 \\u0627\\u0644\\u062d\\u064a\\u0627\\u0629 \\u0648\\u0627\\u0644\\u0639\\u064a\\u0634\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0631\\u0639\\u0627\\u064a\\u0629 \\u0627\\u0644\\u0635\\u062d\\u064a\\u0629\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0631\\u062c\\u0627\\u0644\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Women\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0627\\u062a\\u0635\\u0644 \\u0628\\u0646\\u0627\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u0627\\u0644\\u0639\\u0646\\u0648\\u0627\\u0646: 184 Main Rd E, St Albans, \\u0623\\u0633\\u062a\\u0631\\u0627\\u0644\\u064a\\u0627\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#2c2c2c\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"border_top\\\":\\\"#dfdfdf\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u062c\\u0645\\u064a\\u0639 \\u0627\\u0644\\u062d\\u0642\\u0648\\u0642 \\u0645\\u062d\\u0641\\u0648\\u0638\\u0629\\\",\\\"position\\\":\\\"center\\\"}}\",\"be\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0410\\u0431 Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u041b\\u0435\\u043f\\u0448\\u0430\\u0435 \\u0440\\u0430\\u0448\\u044d\\u043d\\u043d\\u0435 \\u00ab\\u045e\\u0441\\u0451 \\u045e \\u0430\\u0434\\u043d\\u044b\\u043c\\u00bb \\u0434\\u043b\\u044f \\u0432\\u0430\\u0448\\u0430\\u0433\\u0430 \\u0431\\u0456\\u0437\\u043d\\u0435\\u0441\\u0443 \\u045e \\u0441\\u0444\\u0435\\u0440\\u044b \\u044d\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u0430\\u0439 \\u043a\\u0430\\u043c\\u0435\\u0440\\u0446\\u044b\\u0456 \\u0432\\u0430 \\u045e\\u0441\\u0456\\u043c \\u0441\\u0432\\u0435\\u0446\\u0435.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0440\\u044b\\u0441\\u043d\\u044b\\u044f \\u0441\\u043f\\u0430\\u0441\\u044b\\u043b\\u043a\\u0456\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0420\\u0430\\u0437\\u043c\\u044f\\u0448\\u0447\\u044d\\u043d\\u043d\\u0435 \\u043a\\u0440\\u0430\\u043c\\u044b\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0410\\u043f\\u043e\\u0448\\u043d\\u0456\\u044f \\u043d\\u0430\\u0432\\u0456\\u043d\\u044b\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041c\\u043e\\u0439 \\u0440\\u0430\\u0445\\u0443\\u043d\\u0430\\u043a\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041f\\u0440\\u0430\\u0434\\u0443\\u043a\\u0446\\u044b\\u0439\\u043d\\u044b \\u0433\\u0456\\u0434\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0427\\u0430\\u0441\\u0442\\u044b\\u044f \\u043f\\u044b\\u0442\\u0430\\u043d\\u043d\\u0456\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0406\\u043d\\u0444\\u0430\\u0440\\u043c\\u0430\\u0446\\u044b\\u044f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u0430\\u044f \\u0441\\u0442\\u0430\\u0440\\u043e\\u043d\\u043a\\u0430\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u0430\\u044f 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0410\\u0431\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041f\\u0430\\u043b\\u0456\\u0442\\u044b\\u043a\\u0430 \\u043f\\u0440\\u044b\\u0432\\u0430\\u0442\\u043d\\u0430\\u0441\\u0446\\u0456\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Refund Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u041b\\u0456\\u0447\\u0431\\u0430\\u0432\\u044b\\u044f \\u043f\\u043b\\u0430\\u0446\\u044f\\u0436\\u044b\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0442\\u044d\\u0433\\u043e\\u0440\\u044b\\u0456\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u042d\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u0456\\u043a\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0421\\u0442\\u044b\\u043b\\u044c \\u0436\\u044b\\u0446\\u0446\\u044f \\u0456 \\u043f\\u0440\\u0430\\u0436\\u044b\\u0432\\u0430\\u043d\\u043d\\u0435\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0410\\u0445\\u043e\\u0432\\u0430 \\u0437\\u0434\\u0430\\u0440\\u043e\\u045e\\u044f\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041c\\u0443\\u0436\\u0447\\u044b\\u043d\\u044b\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Women\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0417\\u0432\\u044f\\u0436\\u044b\\u0446\\u0435\\u0441\\u044f \\u0437 \\u043d\\u0430\\u043c\\u0456\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u0410\\u0434\\u0440\\u0430\\u0441: 184 Main Rd E, St Albans, \\u0410\\u045e\\u0441\\u0442\\u0440\\u0430\\u043b\\u0456\\u044f\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#2c2c2c\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"border_top\\\":\\\"#dfdfdf\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u0423\\u0441\\u0435 \\u043f\\u0440\\u0430\\u0432\\u044b \\u0430\\u0431\\u0430\\u0440\\u043e\\u043d\\u0435\\u043d\\u044b\\\",\\\"position\\\":\\\"center\\\"}}\",\"bg\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0417\\u0430 Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u041d\\u0430\\u0439-\\u0434\\u043e\\u0431\\u0440\\u043e\\u0442\\u043e \\u0432\\u0441\\u0438\\u0447\\u043a\\u043e-\\u0432-\\u0435\\u0434\\u043d\\u043e \\u0440\\u0435\\u0448\\u0435\\u043d\\u0438\\u0435 \\u0437\\u0430 \\u0432\\u0430\\u0448\\u0438\\u044f \\u0431\\u0438\\u0437\\u043d\\u0435\\u0441 \\u0441 \\u0435\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u0430 \\u0442\\u044a\\u0440\\u0433\\u043e\\u0432\\u0438\\u044f \\u0432 \\u0441\\u0432\\u0435\\u0442\\u043e\\u0432\\u0435\\u043d \\u043c\\u0430\\u0449\\u0430\\u0431.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u041f\\u043e\\u043b\\u0435\\u0437\\u043d\\u0438 \\u0432\\u0440\\u044a\\u0437\\u043a\\u0438\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041c\\u0435\\u0441\\u0442\\u043e\\u043f\\u043e\\u043b\\u043e\\u0436\\u0435\\u043d\\u0438\\u0435 \\u043d\\u0430 \\u043c\\u0430\\u0433\\u0430\\u0437\\u0438\\u043d\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u0441\\u043b\\u0435\\u0434\\u043d\\u0438 \\u043d\\u043e\\u0432\\u0438\\u043d\\u0438\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041c\\u043e\\u044f\\u0442 \\u043f\\u0440\\u043e\\u0444\\u0438\\u043b\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0420\\u044a\\u043a\\u043e\\u0432\\u043e\\u0434\\u0441\\u0442\\u0432\\u043e \\u0437\\u0430 \\u0440\\u0430\\u0437\\u043c\\u0435\\u0440\\u0438\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0427\\u0417\\u0412\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0418\\u043d\\u0444\\u043e\\u0440\\u043c\\u0430\\u0446\\u0438\\u044f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0430 \\u0441\\u0442\\u0440\\u0430\\u043d\\u0438\\u0446\\u0430\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0430 \\u0441\\u0442\\u0440\\u0430\\u043d\\u0438\\u0446\\u0430 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0417\\u0430\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u043b\\u0438\\u0442\\u0438\\u043a\\u0430 \\u0437\\u0430 \\u043f\\u043e\\u0432\\u0435\\u0440\\u0438\\u0442\\u0435\\u043b\\u043d\\u043e\\u0441\\u0442\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Refund Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0426\\u0438\\u0444\\u0440\\u043e\\u0432\\u0438 \\u043f\\u043b\\u0430\\u0449\\u0430\\u043d\\u0438\\u044f\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0442\\u0435\\u0433\\u043e\\u0440\\u0438\\u0438\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0415\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u0438\\u043a\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0438\\u043d \\u043d\\u0430 \\u0436\\u0438\\u0432\\u043e\\u0442 \\u0438 \\u0436\\u0438\\u0432\\u043e\\u0442\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0417\\u0434\\u0440\\u0430\\u0432\\u0435\\u043e\\u043f\\u0430\\u0437\\u0432\\u0430\\u043d\\u0435\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041c\\u044a\\u0436\\u0435\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Women\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0421\\u0432\\u044a\\u0440\\u0436\\u0435\\u0442\\u0435 \\u0441\\u0435 \\u0441 \\u043d\\u0430\\u0441\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u0410\\u0434\\u0440\\u0435\\u0441: 184 Main Rd E, St Albans, \\u0410\\u0432\\u0441\\u0442\\u0440\\u0430\\u043b\\u0438\\u044f\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#2c2c2c\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"border_top\\\":\\\"#dfdfdf\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u0412\\u0441\\u0438\\u0447\\u043a\\u0438 \\u043f\\u0440\\u0430\\u0432\\u0430 \\u0437\\u0430\\u043f\\u0430\\u0437\\u0435\\u043d\\u0438\\\",\\\"position\\\":\\\"center\\\"}}\",\"ca\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Quant a Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"La soluci\\u00f3 definitiva tot-en-un per al teu negoci de comer\\u00e7 electr\\u00f2nic a tot el m\\u00f3n.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Enlla\\u00e7os \\u00fatils\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Ubicaci\\u00f3 de la botiga\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u00daltimes not\\u00edcies\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"El meu compte\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Guia de talles\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"FAQ\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Informaci\\u00f3\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"P\\u00e0gina principal\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"P\\u00e0gina d\'inici 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Quant a\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Pol\\u00edtica de privacitat\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Refund Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Pagaments digitals\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Categories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Electr\\u00f2nica\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Estil de vida i vida\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Atenci\\u00f3 sanit\\u00e0ria\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Homes\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Women\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contacta\'ns\\\",\\\"data\\\":{\\\"address\\\":\\\"Adre\\u00e7a: 184 Main Rd E, St Albans, Austr\\u00e0lia\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#2c2c2c\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"border_top\\\":\\\"#dfdfdf\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Tots els drets reservats\\\",\\\"position\\\":\\\"center\\\"}}\",\"et\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Umbes Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u00dclim k\\u00f5ik-\\u00fches lahendus teie e-kaubanduse \\u00e4rile kogu maailmas.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Kasulikud lingid\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Poekoht\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Viimased uudised\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Minu konto\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Suuruste juhend\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"KKK\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Informatsioon\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Avaleht\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Kodu 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Umbes\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Privaatsuspoliitika\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Refund Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Digitaalsed maksed\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Kategooriad\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Elektroonika\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Elustiil ja elu\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Tervishoid\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Mehed\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Women\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"V\\u00f5ta meiega \\u00fchendust\\\",\\\"data\\\":{\\\"address\\\":\\\"Aadress: 184 Main Rd E, St Albans, Austraalia\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#2c2c2c\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"border_top\\\":\\\"#dfdfdf\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | K\\u00f5ik \\u00f5igused kaitstud\\\",\\\"position\\\":\\\"center\\\"}}\",\"nl\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"direction\\\":\\\"center\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Over Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"De ultieme alles-in-\\u00e9\\u00e9n oplossing voor uw e-commercebedrijf wereldwijd.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Handige links\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Winkel locatie\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Laatste nieuws\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Mijn account\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Maattabel\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Veelgestelde vragen\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Informatie\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Startpagina\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Home 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Over\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Privacybeleid\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Refund Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Digitale betalingen\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Categorie\\u00ebn\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Elektronica\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Lifestyle & Living\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Gezondheidszorg\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Mannen\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Women\\\",\\\"link\\\":\\\"\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Neem contact op\\\",\\\"data\\\":{\\\"address\\\":\\\"Adres: 184 Main Rd E, St Albans, Australi\\u00eb\\\",\\\"email\\\":\\\"admin@techvill.net\\\",\\\"phone\\\":\\\"+12013828901\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#2c2c2c\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"border_top\\\":\\\"#dfdfdf\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Alle rechten voorbehouden\\\",\\\"position\\\":\\\"center\\\"}}\"}'),(118,'furniture_template_header','{\"top\":{\"show_header\":\"0\",\"text_color\":\"#2c2c2c\",\"bg_color\":\"#fcca19\",\"show_phone\":\"1\",\"phone\":\"+12013828902\",\"show_email\":\"1\",\"email\":\"admin@techvill.net\",\"show_seller\":\"1\",\"show_compare\":\"1\",\"show_currency\":\"1\",\"show_language\":\"1\"},\"main\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#ffecdb\",\"show_logo\":\"1\",\"show_searchbar\":\"1\",\"show_account\":\"1\",\"show_wishlist\":\"1\",\"show_cart\":\"1\",\"show_track\":\"0\"},\"bottom\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#ffecdb\",\"show_category\":\"0\",\"category_expand\":\"1\",\"border_top\":\"#ffecdb\",\"border_bottom\":\"#ffecdb\",\"show_page_menu\":\"1\",\"show_download_app\":\"1\",\"show_google_play\":\"1\",\"google_play_link\":\"https:\\/\\/play.google.com\\/store\\/games\",\"show_app_store\":\"1\",\"app_store_link\":\"https:\\/\\/www.apple.com\\/app-store\\/\"},\"bottom_category\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#f3f3f3\"}}'),(119,'furniture_template_header_logo',''),(120,'furniture_template_is_color_picker_active','0'),(121,'furniture_template_social','{\"facebook\":\"1\",\"whatsapp\":\"1\",\"instagram\":\"1\",\"pinterest\":\"1\",\"linkedin\":\"1\"}'),(122,'furniture_template_page','{\"term_condition\":\"privacy-policy\",\"slider\":\"home-page\"}'),(123,'furniture_template_header_mobile_logo',''),(124,'furniture_template_download_google_play_logo',''),(125,'furniture_template_download_app_store_logo',''),(126,'furniture_template_primary_color','#ebb155'),(127,'furniture_template_product','{\"add_to_cart\":\"1\",\"wishlist\":\"1\",\"compare\":\"1\",\"quick_view\":\"1\",\"review\":\"1\",\"price\":\"1\",\"badge\":\"1\",\"height\":\"192\"}'),(128,'delete_file_ids','[\"214\",\"213\",\"215\"]'),(129,'fashion_v4_template_footer_logo','1032'),(130,'fashion_v4_template_google_play',''),(131,'fashion_v4_template_app_store',''),(132,'fashion_v4_template_payment_methods',''),(133,'fashion_v4_template_phone_no','0'),(134,'fashion_v4_template_email','0'),(135,'fashion_v4_template_currency','0'),(136,'fashion_v4_template_footer','{\"en\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"About Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"Experience Personalized Online Shopping in World Wide with MartVill\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"categories\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Categories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Electronic Device\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Electronic Accessories\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Healthy and Beautiy\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Watches Accessories\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Automobile\\\",\\\"link\\\":\\\"\\\"}}},\\\"useful_links\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Useful Links\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"About\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Contact\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Wishlist\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Compare\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"FAQs\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Information\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"About Us\\\",\\\"link\\\":\\\"#\\\"},\\\"2\\\":{\\\"label\\\":\\\"Shipping and Returns\\\",\\\"link\\\":\\\"#\\\"},\\\"3\\\":{\\\"label\\\":\\\"Contact Us\\\",\\\"link\\\":\\\"#\\\"},\\\"4\\\":{\\\"label\\\":\\\"404 Page\\\",\\\"link\\\":\\\"#\\\"},\\\"5\\\":{\\\"label\\\":\\\"Maintenance\\\",\\\"link\\\":\\\"#\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contact Us\\\",\\\"data\\\":{\\\"address\\\":\\\"2548 Broaddus Maple Court Avenue, Madisonville KY 4783, United States of America\\\",\\\"email\\\":\\\"youremail@gmail.com\\\",\\\"phone\\\":\\\"+1 456 145 8547\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"border_top\\\":\\\"#e7e7e7\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | All Rights Reserved\\\",\\\"position\\\":\\\"center\\\"}}\",\"bn\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0986\\u09ae\\u09be\\u09a6\\u09c7\\u09b0 \\u09b8\\u09ae\\u09cd\\u09aa\\u09b0\\u09cd\\u0995\\u09c7\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u09ae\\u09be\\u09b0\\u09cd\\u099f\\u09ad\\u09bf\\u09b2\\u09c7\\u09b0 \\u09b8\\u09be\\u09a5\\u09c7 \\u09ac\\u09bf\\u09b6\\u09cd\\u09ac\\u09ac\\u09cd\\u09af\\u09be\\u09aa\\u09c0 \\u09ac\\u09cd\\u09af\\u0995\\u09cd\\u09a4\\u09bf\\u0997\\u09a4\\u0995\\u09c3\\u09a4 \\u0985\\u09a8\\u09b2\\u09be\\u0987\\u09a8 \\u0995\\u09c7\\u09a8\\u09be\\u0995\\u09be\\u099f\\u09be \\u0985\\u09a8\\u09c1\\u09ad\\u09ac \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"categories\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09ac\\u09bf\\u09ad\\u09be\\u0997\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0987\\u09b2\\u09c7\\u0995\\u099f\\u09cd\\u09b0\\u09a8\\u09bf\\u0995 \\u09a1\\u09bf\\u09ad\\u09be\\u0987\\u09b8\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0987\\u09b2\\u09c7\\u0995\\u099f\\u09cd\\u09b0\\u09a8\\u09bf\\u0995 \\u0986\\u09a8\\u09c1\\u09b7\\u09be\\u0999\\u09cd\\u0997\\u09bf\\u0995\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Healthy and Beautiy\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0998\\u09a1\\u09bc\\u09bf \\u0986\\u09a8\\u09c1\\u09b7\\u09be\\u0999\\u09cd\\u0997\\u09bf\\u0995\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0985\\u099f\\u09cb\\u09ae\\u09cb\\u09ac\\u09be\\u0987\\u09b2\\\",\\\"link\\\":\\\"\\\"}}},\\\"useful_links\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0989\\u09aa\\u0995\\u09be\\u09b0\\u09c0 \\u09b2\\u09bf\\u0999\\u09cd\\u0995\\u09b8\\u09ae\\u09c2\\u09b9\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u09b8\\u09ae\\u09cd\\u09aa\\u09b0\\u09cd\\u0995\\u09bf\\u09a4\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u09af\\u09cb\\u0997\\u09be\\u09af\\u09cb\\u0997\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0987\\u099a\\u09cd\\u099b\\u09c7\\u09a4\\u09be\\u09b2\\u09bf\\u0995\\u09be\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u09a4\\u09c1\\u09b2\\u09a8\\u09be \\u0995\\u09b0\\u09c1\\u09a8\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u09aa\\u09cd\\u09b0\\u09b6\\u09cd\\u09a8\\u09cb\\u09a4\\u09cd\\u09a4\\u09b0\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09a4\\u09a5\\u09cd\\u09af\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0986\\u09ae\\u09be\\u09a6\\u09c7\\u09b0 \\u09b8\\u09ae\\u09cd\\u09aa\\u09b0\\u09cd\\u0995\\u09c7\\\",\\\"link\\\":\\\"#\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u09b6\\u09bf\\u09aa\\u09bf\\u0982 \\u098f\\u09ac\\u0982 \\u09b0\\u09bf\\u099f\\u09be\\u09b0\\u09cd\\u09a8\\u09b8\\\",\\\"link\\\":\\\"#\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u09af\\u09cb\\u0997\\u09be\\u09af\\u09cb\\u0997 Us\\\",\\\"link\\\":\\\"#\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u09ea\\u09e6\\u09ea \\u09aa\\u09c3\\u09b7\\u09cd\\u09a0\\u09be\\\",\\\"link\\\":\\\"#\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u09b0\\u0995\\u09cd\\u09b7\\u09a3\\u09be\\u09ac\\u09c7\\u0995\\u09cd\\u09b7\\u09a3\\\",\\\"link\\\":\\\"#\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u09af\\u09cb\\u0997\\u09be\\u09af\\u09cb\\u0997 Us\\\",\\\"data\\\":{\\\"address\\\":\\\"\\u09e8\\u09eb\\u09ea\\u09ee \\u09ac\\u09cd\\u09b0\\u09a1\\u09a1\\u09be\\u09b8 \\u09ae\\u09cd\\u09af\\u09be\\u09aa\\u09b2 \\u0995\\u09cb\\u09b0\\u09cd\\u099f \\u098f\\u09ad\\u09bf\\u09a8\\u09bf\\u0989, \\u09ae\\u09cd\\u09af\\u09be\\u09a1\\u09bf\\u09b8\\u09a8\\u09ad\\u09bf\\u09b2 \\u0995\\u09c7\\u0993\\u09af\\u09bc\\u09be\\u0987 \\u09ea\\u09ed\\u09ee\\u09e9, \\u09ae\\u09be\\u09b0\\u09cd\\u0995\\u09bf\\u09a8 \\u09af\\u09c1\\u0995\\u09cd\\u09a4\\u09b0\\u09be\\u09b7\\u09cd\\u099f\\u09cd\\u09b0\\\",\\\"email\\\":\\\"youremail@gmail.com\\\",\\\"phone\\\":\\\"+1 456 145 8547\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"border_top\\\":\\\"#e7e7e7\\\",\\\"title\\\":\\\"\\\\u00a92022 \\u09ae\\u09be\\u09b0\\u09cd\\u099f \\u09ad\\u09bf\\u09b2 | \\u09b8\\u09b0\\u09cd\\u09ac\\u09b8\\u09cd\\u09ac\\u09a4\\u09cd\\u09ac \\u09b8\\u0982\\u09b0\\u0995\\u09cd\\u09b7\\u09bf\\u09a4\\\",\\\"position\\\":\\\"center\\\"}}\",\"fr\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u00c0 propos de nous\\\",\\\"data\\\":{\\\"short_details\\\":\\\"Vivez une exp\\u00e9rience d\'achat en ligne personnalis\\u00e9e dans le monde entier avec MartVill\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"categories\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Cat\\u00e9gories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Appareil \\u00e9lectronique\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Accessoires \\u00e9lectroniques\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Healthy and Beautiy\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Accessoires pour montres\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Automobile\\\",\\\"link\\\":\\\"\\\"}}},\\\"useful_links\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Liens utiles\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u00c0 propos\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Contact\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Liste de souhaits\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Comparer\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"FAQ\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Information\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u00c0 propos de nous\\\",\\\"link\\\":\\\"#\\\"},\\\"2\\\":{\\\"label\\\":\\\"Exp\\u00e9ditions et retours\\\",\\\"link\\\":\\\"#\\\"},\\\"3\\\":{\\\"label\\\":\\\"Contactez-nous\\\",\\\"link\\\":\\\"#\\\"},\\\"4\\\":{\\\"label\\\":\\\"Page 404\\\",\\\"link\\\":\\\"#\\\"},\\\"5\\\":{\\\"label\\\":\\\"Maintenance\\\",\\\"link\\\":\\\"#\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contactez-nous\\\",\\\"data\\\":{\\\"address\\\":\\\"2548 Broaddus Maple Court Avenue, Madisonville KY 4783, \\u00c9tats-Unis d\'am\\u00e9rique\\\",\\\"email\\\":\\\"youremail@gmail.com\\\",\\\"phone\\\":\\\"+1 456 145 8547\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"border_top\\\":\\\"#e7e7e7\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Tous droits r\\u00e9serv\\u00e9s\\\",\\\"position\\\":\\\"center\\\"}}\",\"zh\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u5173\\u4e8e\\u6211\\u4eec\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u4e0eMartVill\\u4e00\\u8d77\\u4f53\\u9a8c\\u5168\\u7403\\u4e2a\\u6027\\u5316\\u5728\\u7ebf\\u8d2d\\u7269\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"categories\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u7c7b\\u522b\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u7535\\u5b50\\u8bbe\\u5907\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u7535\\u5b50\\u914d\\u4ef6\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Healthy and Beautiy\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u624b\\u8868\\u914d\\u4ef6\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u6c7d\\u8f66\\\",\\\"link\\\":\\\"\\\"}}},\\\"useful_links\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u6709\\u7528\\u94fe\\u63a5\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u5173\\u4e8e\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u8054\\u7cfb\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u613f\\u671b\\u6e05\\u5355\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u6bd4\\u8f83\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u5e38\\u89c1\\u95ee\\u9898\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u4fe1\\u606f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u5173\\u4e8e\\u6211\\u4eec\\\",\\\"link\\\":\\\"#\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u8fd0\\u8f93\\u4e0e\\u9000\\u8d27\\\",\\\"link\\\":\\\"#\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u8054\\u7cfb Us\\\",\\\"link\\\":\\\"#\\\"},\\\"4\\\":{\\\"label\\\":\\\"404\\u9875\\u9762\\\",\\\"link\\\":\\\"#\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u7ef4\\u62a4\\\",\\\"link\\\":\\\"#\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u8054\\u7cfb Us\\\",\\\"data\\\":{\\\"address\\\":\\\"2548 Broaddus Maple Court Avenue, Madisonville KY 4783, \\u7f8e\\u56fd\\\",\\\"email\\\":\\\"youremail@gmail.com\\\",\\\"phone\\\":\\\"+1 456 145 8547\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"border_top\\\":\\\"#e7e7e7\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u7248\\u6743\\u6240\\u6709\\\",\\\"position\\\":\\\"center\\\"}}\",\"ar\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0639\\u0646\\u0627\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u062a\\u062c\\u0631\\u0628\\u0629 \\u0627\\u0644\\u062a\\u0633\\u0648\\u0642 \\u0639\\u0628\\u0631 \\u0627\\u0644\\u0625\\u0646\\u062a\\u0631\\u0646\\u062a \\u0627\\u0644\\u0634\\u062e\\u0635\\u064a\\u0629 \\u0641\\u064a \\u062c\\u0645\\u064a\\u0639 \\u0623\\u0646\\u062d\\u0627\\u0621 \\u0627\\u0644\\u0639\\u0627\\u0644\\u0645 \\u0645\\u0639 MartVill\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"categories\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0627\\u0644\\u0641\\u0626\\u0627\\u062a\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u062c\\u0647\\u0627\\u0632 \\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0627\\u0643\\u0633\\u0633\\u0648\\u0627\\u0631\\u0627\\u062a \\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\u0629\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Healthy and Beautiy\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0625\\u0643\\u0633\\u0633\\u0648\\u0627\\u0631\\u0627\\u062a \\u0627\\u0644\\u0633\\u0627\\u0639\\u0627\\u062a\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0633\\u064a\\u0627\\u0631\\u0627\\u062a\\\",\\\"link\\\":\\\"\\\"}}},\\\"useful_links\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0631\\u0648\\u0627\\u0628\\u0637 \\u0645\\u0641\\u064a\\u062f\\u0629\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u062d\\u0648\\u0644\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0627\\u062a\\u0635\\u0644\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0642\\u0627\\u0626\\u0645\\u0629 \\u0627\\u0644\\u0623\\u0645\\u0646\\u064a\\u0627\\u062a\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0642\\u0627\\u0631\\u0646\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0623\\u0633\\u0626\\u0644\\u0629 \\u0627\\u0644\\u0634\\u0627\\u0626\\u0639\\u0629\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0639\\u0646\\u0627\\\",\\\"link\\\":\\\"#\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0634\\u062d\\u0646 \\u0648\\u0627\\u0644\\u0639\\u0648\\u0627\\u0626\\u062f\\\",\\\"link\\\":\\\"#\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0627\\u062a\\u0635\\u0644 Us\\\",\\\"link\\\":\\\"#\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0635\\u0641\\u062d\\u0629 404\\\",\\\"link\\\":\\\"#\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u064a\\u0627\\u0646\\u0629\\\",\\\"link\\\":\\\"#\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0627\\u062a\\u0635\\u0644 Us\\\",\\\"data\\\":{\\\"address\\\":\\\"2548 \\u0634\\u0627\\u0631\\u0639 \\u0628\\u0631\\u0648\\u062f\\u0648\\u0633 \\u0645\\u0627\\u0628\\u0644 \\u0643\\u0648\\u0631\\u062a\\u060c \\u0645\\u0627\\u062f\\u064a\\u0633\\u0648\\u0646\\u0641\\u064a\\u0644 KY 4783\\u060c \\u0627\\u0644\\u0648\\u0644\\u0627\\u064a\\u0627\\u062a \\u0627\\u0644\\u0645\\u062a\\u062d\\u062f\\u0629 \\u0627\\u0644\\u0623\\u0645\\u0631\\u064a\\u0643\\u064a\\u0629\\\",\\\"email\\\":\\\"youremail@gmail.com\\\",\\\"phone\\\":\\\"+1 456 145 8547\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"border_top\\\":\\\"#e7e7e7\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u062c\\u0645\\u064a\\u0639 \\u0627\\u0644\\u062d\\u0642\\u0648\\u0642 \\u0645\\u062d\\u0641\\u0648\\u0638\\u0629\\\",\\\"position\\\":\\\"center\\\"}}\",\"be\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041f\\u0440\\u0430 \\u043d\\u0430\\u0441\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u0410\\u0442\\u0440\\u044b\\u043c\\u043b\\u0456\\u0432\\u0430\\u0439\\u0446\\u0435 \\u0430\\u0441\\u0430\\u043b\\u043e\\u0434\\u0443 \\u0430\\u0434 \\u043f\\u0435\\u0440\\u0441\\u0430\\u043d\\u0430\\u043b\\u0456\\u0437\\u0430\\u0432\\u0430\\u043d\\u044b\\u0445 \\u0456\\u043d\\u0442\\u044d\\u0440\\u043d\\u044d\\u0442-\\u043f\\u0430\\u043a\\u0443\\u043f\\u0430\\u043a \\u043f\\u0430 \\u045e\\u0441\\u0456\\u043c \\u0441\\u0432\\u0435\\u0446\\u0435 \\u0437 MartVill\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"categories\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0442\\u044d\\u0433\\u043e\\u0440\\u044b\\u0456\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u042d\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u0430\\u044f \\u043f\\u0440\\u044b\\u043b\\u0430\\u0434\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u042d\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u044b\\u044f \\u0430\\u043a\\u0441\\u044d\\u0441\\u0443\\u0430\\u0440\\u044b\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Healthy and Beautiy\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0410\\u043a\\u0441\\u044d\\u0441\\u0443\\u0430\\u0440\\u044b \\u0434\\u043b\\u044f \\u0433\\u0430\\u0434\\u0437\\u0456\\u043d\\u043d\\u0456\\u043a\\u0430\\u045e\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0410\\u045e\\u0442\\u0430\\u043c\\u0430\\u0431\\u0456\\u043b\\u044c\\\",\\\"link\\\":\\\"\\\"}}},\\\"useful_links\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0440\\u044b\\u0441\\u043d\\u044b\\u044f \\u0441\\u043f\\u0430\\u0441\\u044b\\u043b\\u043a\\u0456\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041f\\u0440\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041a\\u0430\\u043d\\u0442\\u0430\\u043a\\u0442\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0421\\u043f\\u0456\\u0441 \\u0436\\u0430\\u0434\\u0430\\u043d\\u043d\\u044f\\u045e\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041f\\u0430\\u0440\\u0430\\u045e\\u043d\\u0430\\u0446\\u044c\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0427\\u0430\\u0441\\u0442\\u044b\\u044f \\u043f\\u044b\\u0442\\u0430\\u043d\\u043d\\u0456\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0406\\u043d\\u0444\\u0430\\u0440\\u043c\\u0430\\u0446\\u044b\\u044f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041f\\u0440\\u0430 \\u043d\\u0430\\u0441\\\",\\\"link\\\":\\\"#\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0414\\u0430\\u0441\\u0442\\u0430\\u045e\\u043a\\u0430 \\u0456 \\u0432\\u044f\\u0440\\u0442\\u0430\\u043d\\u043d\\u0435\\\",\\\"link\\\":\\\"#\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041a\\u0430\\u043d\\u0442\\u0430\\u043a\\u0442 Us\\\",\\\"link\\\":\\\"#\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0421\\u0442\\u0430\\u0440\\u043e\\u043d\\u043a\\u0430 404\\\",\\\"link\\\":\\\"#\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0410\\u0431\\u0441\\u043b\\u0443\\u0433\\u043e\\u045e\\u0432\\u0430\\u043d\\u043d\\u0435\\\",\\\"link\\\":\\\"#\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u043d\\u0442\\u0430\\u043a\\u0442 Us\\\",\\\"data\\\":{\\\"address\\\":\\\"2548 Broaddus Maple Court Avenue, Madisonville KY 4783, \\u0417\\u043b\\u0443\\u0447\\u0430\\u043d\\u044b\\u044f \\u0428\\u0442\\u0430\\u0442\\u044b \\u0410\\u043c\\u0435\\u0440\\u044b\\u043a\\u0456\\\",\\\"email\\\":\\\"youremail@gmail.com\\\",\\\"phone\\\":\\\"+1 456 145 8547\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"border_top\\\":\\\"#e7e7e7\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u0423\\u0441\\u0435 \\u043f\\u0440\\u0430\\u0432\\u044b \\u0430\\u0431\\u0430\\u0440\\u043e\\u043d\\u0435\\u043d\\u044b\\\",\\\"position\\\":\\\"center\\\"}}\",\"bg\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0417\\u0430 \\u043d\\u0430\\u0441\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u0418\\u0437\\u0436\\u0438\\u0432\\u0435\\u0439\\u0442\\u0435 \\u043f\\u0435\\u0440\\u0441\\u043e\\u043d\\u0430\\u043b\\u0438\\u0437\\u0438\\u0440\\u0430\\u043d\\u043e \\u043e\\u043d\\u043b\\u0430\\u0439\\u043d \\u043f\\u0430\\u0437\\u0430\\u0440\\u0443\\u0432\\u0430\\u043d\\u0435 \\u043f\\u043e \\u0446\\u0435\\u043b\\u0438\\u044f \\u0441\\u0432\\u044f\\u0442 \\u0441 MartVill\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"categories\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0442\\u0435\\u0433\\u043e\\u0440\\u0438\\u0438\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0415\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u043e \\u0443\\u0441\\u0442\\u0440\\u043e\\u0439\\u0441\\u0442\\u0432\\u043e\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0415\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u0438 \\u0430\\u043a\\u0441\\u0435\\u0441\\u043e\\u0430\\u0440\\u0438\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Healthy and Beautiy\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0410\\u043a\\u0441\\u0435\\u0441\\u043e\\u0430\\u0440\\u0438 \\u0437\\u0430 \\u0447\\u0430\\u0441\\u043e\\u0432\\u043d\\u0438\\u0446\\u0438\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0410\\u0432\\u0442\\u043e\\u043c\\u043e\\u0431\\u0438\\u043b\\\",\\\"link\\\":\\\"\\\"}}},\\\"useful_links\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041f\\u043e\\u043b\\u0435\\u0437\\u043d\\u0438 \\u0432\\u0440\\u044a\\u0437\\u043a\\u0438\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041e\\u0442\\u043d\\u043e\\u0441\\u043d\\u043e\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041a\\u043e\\u043d\\u0442\\u0430\\u043a\\u0442\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0421\\u043f\\u0438\\u0441\\u044a\\u043a \\u0441 \\u0436\\u0435\\u043b\\u0430\\u043d\\u0438\\u044f\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0421\\u0440\\u0430\\u0432\\u043d\\u0435\\u0442\\u0435\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0427\\u0417\\u0412\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0418\\u043d\\u0444\\u043e\\u0440\\u043c\\u0430\\u0446\\u0438\\u044f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0417\\u0430 \\u043d\\u0430\\u0441\\\",\\\"link\\\":\\\"#\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0414\\u043e\\u0441\\u0442\\u0430\\u0432\\u043a\\u0430 \\u0438 \\u0432\\u0440\\u044a\\u0449\\u0430\\u043d\\u0435\\\",\\\"link\\\":\\\"#\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041a\\u043e\\u043d\\u0442\\u0430\\u043a\\u0442 Us\\\",\\\"link\\\":\\\"#\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0421\\u0442\\u0440\\u0430\\u043d\\u0438\\u0446\\u0430 404\\\",\\\"link\\\":\\\"#\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u0434\\u0434\\u0440\\u044a\\u0436\\u043a\\u0430\\\",\\\"link\\\":\\\"#\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041a\\u043e\\u043d\\u0442\\u0430\\u043a\\u0442 Us\\\",\\\"data\\\":{\\\"address\\\":\\\"2548 Broaddus Maple Court Avenue, Madisonville KY 4783, \\u0421\\u044a\\u0435\\u0434\\u0438\\u043d\\u0435\\u043d\\u0438 \\u0430\\u043c\\u0435\\u0440\\u0438\\u043a\\u0430\\u043d\\u0441\\u043a\\u0438 \\u0449\\u0430\\u0442\\u0438\\\",\\\"email\\\":\\\"youremail@gmail.com\\\",\\\"phone\\\":\\\"+1 456 145 8547\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"border_top\\\":\\\"#e7e7e7\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | \\u0412\\u0441\\u0438\\u0447\\u043a\\u0438 \\u043f\\u0440\\u0430\\u0432\\u0430 \\u0437\\u0430\\u043f\\u0430\\u0437\\u0435\\u043d\\u0438\\\",\\\"position\\\":\\\"center\\\"}}\",\"ca\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Sobre nosaltres\\\",\\\"data\\\":{\\\"short_details\\\":\\\"Experimenteu les compres en l\\u00ednia personalitzades a tot el m\\u00f3n amb MartVill\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"categories\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Categories\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Dispositiu electr\\u00f2nic\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Accessoris electr\\u00f2nics\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Healthy and Beautiy\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Accessoris per a rellotges\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Autom\\u00f2bil\\\",\\\"link\\\":\\\"\\\"}}},\\\"useful_links\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Enlla\\u00e7os \\u00fatils\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Quant a\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Contacte\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Llista de desitjos\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Comparar\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Preguntes freq\\u00fcents\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Informaci\\u00f3\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Sobre nosaltres\\\",\\\"link\\\":\\\"#\\\"},\\\"2\\\":{\\\"label\\\":\\\"Enviaments i devolucions\\\",\\\"link\\\":\\\"#\\\"},\\\"3\\\":{\\\"label\\\":\\\"Contacte Us\\\",\\\"link\\\":\\\"#\\\"},\\\"4\\\":{\\\"label\\\":\\\"P\\u00e0gina 404\\\",\\\"link\\\":\\\"#\\\"},\\\"5\\\":{\\\"label\\\":\\\"Manteniment\\\",\\\"link\\\":\\\"#\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Contacte Us\\\",\\\"data\\\":{\\\"address\\\":\\\"2548 Broaddus Maple Court Avenue, Madisonville KY 4783, Estats Units d\'am\\u00e8rica\\\",\\\"email\\\":\\\"youremail@gmail.com\\\",\\\"phone\\\":\\\"+1 456 145 8547\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"border_top\\\":\\\"#e7e7e7\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Tots els drets reservats\\\",\\\"position\\\":\\\"center\\\"}}\",\"et\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Meist\\\",\\\"data\\\":{\\\"short_details\\\":\\\"Kogege isikup\\u00e4rastatud veebipoodlemist kogu maailmas MartVilliga\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"categories\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Kategooriad\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Elektrooniline seade\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Elektroonilised tarvikud\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Healthy and Beautiy\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Kellade tarvikud\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Automobiil\\\",\\\"link\\\":\\\"\\\"}}},\\\"useful_links\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Kasulikud lingid\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Umbes\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Kontakt\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Soovinimekiri\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"V\\u00f5rdle\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"KKK\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Informatsioon\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Meist\\\",\\\"link\\\":\\\"#\\\"},\\\"2\\\":{\\\"label\\\":\\\"Saatmine ja tagastamine\\\",\\\"link\\\":\\\"#\\\"},\\\"3\\\":{\\\"label\\\":\\\"Kontakt Us\\\",\\\"link\\\":\\\"#\\\"},\\\"4\\\":{\\\"label\\\":\\\"404 leht\\\",\\\"link\\\":\\\"#\\\"},\\\"5\\\":{\\\"label\\\":\\\"Hooldus\\\",\\\"link\\\":\\\"#\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Kontakt Us\\\",\\\"data\\\":{\\\"address\\\":\\\"2548 Broaddus Maple Court Avenue, Madisonville KY 4783, Ameerika \\u00dchendriigid\\\",\\\"email\\\":\\\"youremail@gmail.com\\\",\\\"phone\\\":\\\"+1 456 145 8547\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"border_top\\\":\\\"#e7e7e7\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | K\\u00f5ik \\u00f5igused kaitstud\\\",\\\"position\\\":\\\"center\\\"}}\",\"nl\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Over ons\\\",\\\"data\\\":{\\\"short_details\\\":\\\"Ervaar gepersonaliseerd online winkelen wereldwijd met MartVill\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"categories\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Categorie\\u00ebn\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Elektronisch apparaat\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Elektronische accessoires\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Healthy and Beautiy\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Horlogeaccessoires\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Auto\\\",\\\"link\\\":\\\"\\\"}}},\\\"useful_links\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Nuttige links\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Over\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Contact\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Verlanglijst\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Vergelijken\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Veelgestelde vragen\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Informatie\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Over ons\\\",\\\"link\\\":\\\"#\\\"},\\\"2\\\":{\\\"label\\\":\\\"Verzending en retouren\\\",\\\"link\\\":\\\"#\\\"},\\\"3\\\":{\\\"label\\\":\\\"Neem contact op\\\",\\\"link\\\":\\\"#\\\"},\\\"4\\\":{\\\"label\\\":\\\"404 pagina\\\",\\\"link\\\":\\\"#\\\"},\\\"5\\\":{\\\"label\\\":\\\"Onderhoud\\\",\\\"link\\\":\\\"#\\\"}}},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Neem contact op\\\",\\\"data\\\":{\\\"address\\\":\\\"2548 Broaddus Maple Court Avenue, Madisonville KY 4783, Verenigde Staten van Amerika\\\",\\\"email\\\":\\\"youremail@gmail.com\\\",\\\"phone\\\":\\\"+1 456 145 8547\\\",\\\"social_title\\\":\\\"\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#898989\\\",\\\"bg_color\\\":\\\"#ffffff\\\",\\\"border_top\\\":\\\"#e7e7e7\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill | Alle rechten voorbehouden\\\",\\\"position\\\":\\\"center\\\"}}\"}'),(137,'fashion_v4_template_header','{\"top\":{\"show_header\":\"0\",\"text_color\":\"#2c2c2c\",\"bg_color\":\"#fcca19\",\"show_phone\":\"1\",\"phone\":\"+12013828902\",\"show_email\":\"1\",\"email\":\"admin@techvill.net\",\"show_seller\":\"1\",\"show_compare\":\"1\",\"show_currency\":\"1\",\"show_language\":\"1\"},\"main\":{\"text_color\":\"#161616\",\"bg_color\":\"#ffffff\",\"show_logo\":\"1\",\"show_searchbar\":\"1\",\"show_account\":\"1\",\"show_wishlist\":\"1\",\"show_cart\":\"1\",\"show_track\":\"1\"},\"bottom\":{\"text_color\":\"#161616\",\"bg_color\":\"#fafafa\",\"show_category\":\"1\",\"category_expand\":\"0\",\"border_top\":\"#fafafa\",\"border_bottom\":\"#fafafa\",\"show_page_menu\":\"1\",\"show_download_app\":\"1\",\"show_google_play\":\"1\",\"google_play_link\":\"https:\\/\\/play.google.com\\/store\\/games\",\"show_app_store\":\"1\",\"app_store_link\":\"https:\\/\\/www.apple.com\\/app-store\\/\"},\"bottom_category\":{\"text_color\":\"#161616\",\"bg_color\":\"#f2f2f2\"}}'),(138,'fashion_v4_template_header_logo',''),(139,'fashion_v4_template_is_color_picker_active','0'),(140,'fashion_v4_template_social','{\"facebook\":\"1\",\"whatsapp\":\"1\",\"instagram\":\"1\",\"pinterest\":\"1\",\"linkedin\":\"1\"}'),(141,'fashion_v4_template_page','{\"term_condition\":\"privacy-policy\",\"slider\":\"home-page\"}'),(142,'fashion_v4_template_header_mobile_logo',''),(143,'fashion_v4_template_download_google_play_logo',''),(144,'fashion_v4_template_download_app_store_logo',''),(145,'fashion_v4_template_primary_color','#48cab2'),(146,'fashion_v4_template_product','{\"add_to_cart\":\"1\",\"wishlist\":\"1\",\"compare\":\"1\",\"quick_view\":\"1\",\"review\":\"1\",\"price\":\"1\",\"badge\":\"1\",\"height\":\"192\"}'),(147,'digital_template_footer_logo','1071'),(148,'digital_template_google_play',''),(149,'digital_template_app_store',''),(150,'digital_template_payment_methods',''),(151,'digital_template_phone_no','0'),(152,'digital_template_email','0'),(153,'digital_template_currency','0'),(154,'digital_template_footer','{\"en\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2e2870\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"About Us\\\",\\\"data\\\":{\\\"short_details\\\":\\\"The ultimate all-in-one solution for your ecommerce business worldwide.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Useful Links\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Store Location\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Latest News\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"My Account\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Size Guide\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"FAQs\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Information\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Homepage\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Home 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"About\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Privacy Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Refund Policy\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Digital Payments\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\\"},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\\",\\\"data\\\":{\\\"address\\\":\\\"\\\",\\\"email\\\":\\\"\\\",\\\"phone\\\":\\\"\\\",\\\"social_title\\\":\\\"Stay Connected\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#3d33ab\\\",\\\"border_top\\\":\\\"#2e2870\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill  <span style=\\\\\\\"float:right;\\\\\\\"> All Rights Reserved<\\\\\\/span>\\\",\\\"position\\\":\\\"left\\\"}}\",\"bn\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2e2870\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0986\\u09ae\\u09be\\u09a6\\u09c7\\u09b0 \\u09b8\\u09ae\\u09cd\\u09aa\\u09b0\\u09cd\\u0995\\u09c7\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u09ac\\u09bf\\u09b6\\u09cd\\u09ac\\u09ac\\u09cd\\u09af\\u09be\\u09aa\\u09c0 \\u0986\\u09aa\\u09a8\\u09be\\u09b0 \\u0987\\u0995\\u09ae\\u09be\\u09b0\\u09cd\\u09b8 \\u09ac\\u09cd\\u09af\\u09ac\\u09b8\\u09be\\u09b0 \\u099c\\u09a8\\u09cd\\u09af \\u099a\\u09c2\\u09a1\\u09bc\\u09be\\u09a8\\u09cd\\u09a4 \\u09b8\\u09ac-\\u098f\\u0995-\\u09b8\\u09ae\\u09be\\u09a7\\u09be\\u09a8\\u0964\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0989\\u09aa\\u0995\\u09be\\u09b0\\u09c0 \\u09b2\\u09bf\\u0999\\u09cd\\u0995\\u09b8\\u09ae\\u09c2\\u09b9\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u09a6\\u09cb\\u0995\\u09be\\u09a8\\u09c7\\u09b0 \\u0985\\u09ac\\u09b8\\u09cd\\u09a5\\u09be\\u09a8\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u09b8\\u09b0\\u09cd\\u09ac\\u09b6\\u09c7\\u09b7 \\u0996\\u09ac\\u09b0\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0986\\u09ae\\u09be\\u09b0 \\u0985\\u09cd\\u09af\\u09be\\u0995\\u09be\\u0989\\u09a8\\u09cd\\u099f\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0986\\u0995\\u09be\\u09b0 \\u0997\\u09be\\u0987\\u09a1\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u09aa\\u09cd\\u09b0\\u09b6\\u09cd\\u09a8\\u09be\\u09ac\\u09b2\\u09c0\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u09a4\\u09a5\\u09cd\\u09af\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae\\u09aa\\u09c7\\u099c\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u09b9\\u09cb\\u09ae \\u09e8\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u09b8\\u09ae\\u09cd\\u09aa\\u09b0\\u09cd\\u0995\\u09c7\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0997\\u09cb\\u09aa\\u09a8\\u09c0\\u09af\\u09bc\\u09a4\\u09be \\u09a8\\u09c0\\u09a4\\u09bf\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u09ab\\u09c7\\u09b0\\u09a4 \\u09a8\\u09c0\\u09a4\\u09bf\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u09a1\\u09bf\\u099c\\u09bf\\u099f\\u09be\\u09b2 \\u09aa\\u09c7\\u09ae\\u09c7\\u09a8\\u09cd\\u099f\\u09b8\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\\"},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\\",\\\"data\\\":{\\\"address\\\":\\\"\\\",\\\"email\\\":\\\"\\\",\\\"phone\\\":\\\"\\\",\\\"social_title\\\":\\\"\\u09b8\\u0982\\u09af\\u09c1\\u0995\\u09cd\\u09a4 \\u09a5\\u09be\\u0995\\u09c1\\u09a8\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#3d33ab\\\",\\\"border_top\\\":\\\"#2e2870\\\",\\\"title\\\":\\\"\\\\u00a92022 \\u09ae\\u09be\\u09b0\\u09cd\\u099f \\u09ad\\u09bf\\u09b2  <span style=\\\\\\\"float:right;\\\\\\\"> \\u09b8\\u09b0\\u09cd\\u09ac\\u09b8\\u09cd\\u09ac\\u09a4\\u09cd\\u09ac \\u09b8\\u0982\\u09b0\\u0995\\u09cd\\u09b7\\u09bf\\u09a4<\\\\\\/span>\\\",\\\"position\\\":\\\"left\\\"}}\",\"fr\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2e2870\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u00c0 propos de nous\\\",\\\"data\\\":{\\\"short_details\\\":\\\"La solution ultime tout-en-un pour votre entreprise de commerce \\u00e9lectronique dans le monde entier.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Liens utiles\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Emplacement du magasin\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Derni\\u00e8res nouvelles\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Mon compte\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Guide des tailles\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"FAQs\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Information\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Page d\'accueil\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Maison 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u00c0 propos\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Politique de confidentialit\\u00e9\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Politique de remboursement\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Paiements num\\u00e9riques\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\\"},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\\",\\\"data\\\":{\\\"address\\\":\\\"\\\",\\\"email\\\":\\\"\\\",\\\"phone\\\":\\\"\\\",\\\"social_title\\\":\\\"Restez connect\\u00e9\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#3d33ab\\\",\\\"border_top\\\":\\\"#2e2870\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill  <span style=\\\\\\\"float:right;\\\\\\\"> Tous droits r\\u00e9serv\\u00e9s<\\\\\\/span>\\\",\\\"position\\\":\\\"left\\\"}}\",\"zh\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2e2870\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u5173\\u4e8e\\u6211\\u4eec\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u4e3a\\u60a8\\u7684\\u5168\\u7403\\u7535\\u5b50\\u5546\\u52a1\\u4e1a\\u52a1\\u63d0\\u4f9b\\u7ec8\\u6781\\u4e00\\u4f53\\u5316\\u89e3\\u51b3\\u65b9\\u6848\\u3002\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u5b9e\\u7528\\u94fe\\u63a5\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u5e97\\u94fa\\u4f4d\\u7f6e\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u6700\\u65b0\\u6d88\\u606f\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u6211\\u7684\\u5e10\\u6237\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u5c3a\\u7801\\u6307\\u5357\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u5e38\\u89c1\\u95ee\\u9898\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u4fe1\\u606f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u4e3b\\u9875\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u5bb6 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u5173\\u4e8e\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u9690\\u79c1\\u653f\\u7b56\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u9000\\u6b3e\\u653f\\u7b56\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u6570\\u5b57\\u652f\\u4ed8\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\\"},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\\",\\\"data\\\":{\\\"address\\\":\\\"\\\",\\\"email\\\":\\\"\\\",\\\"phone\\\":\\\"\\\",\\\"social_title\\\":\\\"\\u4fdd\\u6301\\u8054\\u7cfb\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#3d33ab\\\",\\\"border_top\\\":\\\"#2e2870\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill  <span style=\\\\\\\"float:right;\\\\\\\"> \\u7248\\u6743\\u6240\\u6709<\\\\\\/span>\\\",\\\"position\\\":\\\"left\\\"}}\",\"ar\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2e2870\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0639\\u0646\\u0627\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u0627\\u0644\\u062d\\u0644 \\u0627\\u0644\\u0646\\u0647\\u0627\\u0626\\u064a \\u0627\\u0644\\u0634\\u0627\\u0645\\u0644 \\u0644\\u0623\\u0639\\u0645\\u0627\\u0644 \\u0627\\u0644\\u062a\\u062c\\u0627\\u0631\\u0629 \\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\u0629 \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 \\u0628\\u0643 \\u0641\\u064a \\u062c\\u0645\\u064a\\u0639 \\u0623\\u0646\\u062d\\u0627\\u0621 \\u0627\\u0644\\u0639\\u0627\\u0644\\u0645.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0631\\u0648\\u0627\\u0628\\u0637 \\u0645\\u0641\\u064a\\u062f\\u0629\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0645\\u0648\\u0642\\u0639 \\u0627\\u0644\\u0645\\u062a\\u062c\\u0631\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0623\\u062d\\u062f\\u062b \\u0627\\u0644\\u0623\\u062e\\u0628\\u0627\\u0631\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u062d\\u0633\\u0627\\u0628\\u064a\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u062f\\u0644\\u064a\\u0644 \\u0627\\u0644\\u0645\\u0642\\u0627\\u0633\\u0627\\u062a\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0623\\u0633\\u0626\\u0644\\u0629 \\u0627\\u0644\\u0645\\u062a\\u0643\\u0631\\u0631\\u0629\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0635\\u0641\\u062d\\u0629 \\u0627\\u0644\\u0631\\u0626\\u064a\\u0633\\u064a\\u0629\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0645\\u0646\\u0632\\u0644 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u062d\\u0648\\u0644\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u0627\\u0633\\u062a\\u0631\\u062c\\u0627\\u0639\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0627\\u0644\\u0645\\u062f\\u0641\\u0648\\u0639\\u0627\\u062a \\u0627\\u0644\\u0631\\u0642\\u0645\\u064a\\u0629\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\\"},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\\",\\\"data\\\":{\\\"address\\\":\\\"\\\",\\\"email\\\":\\\"\\\",\\\"phone\\\":\\\"\\\",\\\"social_title\\\":\\\"\\u0627\\u0628\\u0642 \\u0639\\u0644\\u0649 \\u0627\\u062a\\u0635\\u0627\\u0644\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#3d33ab\\\",\\\"border_top\\\":\\\"#2e2870\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill  <span style=\\\\\\\"float:right;\\\\\\\"> \\u062c\\u0645\\u064a\\u0639 \\u0627\\u0644\\u062d\\u0642\\u0648\\u0642 \\u0645\\u062d\\u0641\\u0648\\u0638\\u0629<\\\\\\/span>\\\",\\\"position\\\":\\\"left\\\"}}\",\"be\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2e2870\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u041f\\u0440\\u0430 \\u043d\\u0430\\u0441\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u041a\\u0430\\u043d\\u0447\\u0430\\u0442\\u043a\\u043e\\u0432\\u0430 \\u045e\\u0441\\u0451 \\u045e \\u0430\\u0434\\u043d\\u044b\\u043c \\u0440\\u0430\\u0448\\u044d\\u043d\\u043d\\u0435 \\u0434\\u043b\\u044f \\u0432\\u0430\\u0448\\u0430\\u0433\\u0430 \\u0431\\u0456\\u0437\\u043d\\u0435\\u0441\\u0443 \\u044d\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u043d\\u0430\\u0439 \\u043a\\u0430\\u043c\\u0435\\u0440\\u0446\\u044b\\u0456 \\u0432\\u0430 \\u045e\\u0441\\u0456\\u043c \\u0441\\u0432\\u0435\\u0446\\u0435.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u041a\\u0430\\u0440\\u044b\\u0441\\u043d\\u044b\\u044f \\u0441\\u043f\\u0430\\u0441\\u044b\\u043b\\u043a\\u0456\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0420\\u0430\\u0437\\u043c\\u044f\\u0448\\u0447\\u044d\\u043d\\u043d\\u0435 \\u043a\\u0440\\u0430\\u043c\\u044b\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0410\\u043f\\u043e\\u0448\\u043d\\u0456\\u044f \\u043d\\u0430\\u0432\\u0456\\u043d\\u044b\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041c\\u043e\\u0439 \\u0440\\u0430\\u0445\\u0443\\u043d\\u0430\\u043a\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041a\\u0456\\u0440\\u0430\\u045e\\u043d\\u0456\\u0446\\u0442\\u0432\\u0430 \\u043f\\u0430 \\u043f\\u0430\\u043c\\u0435\\u0440\\u0430\\u0445\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0427\\u0430\\u0441\\u0442\\u0430 \\u0437\\u0430\\u0434\\u0430\\u044e\\u0446\\u044c \\u043f\\u044b\\u0442\\u0430\\u043d\\u043d\\u0456\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0406\\u043d\\u0444\\u0430\\u0440\\u043c\\u0430\\u0446\\u044b\\u044f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u0413\\u0430\\u043b\\u043e\\u045e\\u043d\\u0430\\u044f \\u0441\\u0442\\u0430\\u0440\\u043e\\u043d\\u043a\\u0430\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u0414\\u043e\\u043c 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u0410\\u0431\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041f\\u0430\\u043b\\u0456\\u0442\\u044b\\u043a\\u0430 \\u043f\\u0440\\u044b\\u0432\\u0430\\u0442\\u043d\\u0430\\u0441\\u0446\\u0456\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u041f\\u0430\\u043b\\u0456\\u0442\\u044b\\u043a\\u0430 \\u0432\\u044f\\u0440\\u0442\\u0430\\u043d\\u043d\\u044f\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u041b\\u0456\\u0447\\u0431\\u0430\\u0432\\u044b\\u044f \\u043f\\u043b\\u0430\\u0446\\u044f\\u0436\\u044b\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\\"},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\\",\\\"data\\\":{\\\"address\\\":\\\"\\\",\\\"email\\\":\\\"\\\",\\\"phone\\\":\\\"\\\",\\\"social_title\\\":\\\"\\u0417\\u0430\\u0441\\u0442\\u0430\\u0432\\u0430\\u0439\\u0446\\u0435\\u0441\\u044f \\u043d\\u0430 \\u0441\\u0443\\u0432\\u044f\\u0437\\u0456\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#3d33ab\\\",\\\"border_top\\\":\\\"#2e2870\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill  <span style=\\\\\\\"float:right;\\\\\\\"> \\u0423\\u0441\\u0435 \\u043f\\u0440\\u0430\\u0432\\u044b \\u0430\\u0431\\u0430\\u0440\\u043e\\u043d\\u0435\\u043d\\u044b<\\\\\\/span>\\\",\\\"position\\\":\\\"left\\\"}}\",\"bg\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2e2870\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\u0417\\u0430 \\u043d\\u0430\\u0441\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u041d\\u0430\\u0439-\\u0434\\u043e\\u0431\\u0440\\u043e\\u0442\\u043e \\u0443\\u043d\\u0438\\u0432\\u0435\\u0440\\u0441\\u0430\\u043b\\u043d\\u043e \\u0440\\u0435\\u0448\\u0435\\u043d\\u0438\\u0435 \\u0437\\u0430 \\u0432\\u0430\\u0448\\u0438\\u044f \\u0435\\u043b\\u0435\\u043a\\u0442\\u0440\\u043e\\u043d\\u0435\\u043d \\u0431\\u0438\\u0437\\u043d\\u0435\\u0441 \\u043f\\u043e \\u0446\\u0435\\u043b\\u0438\\u044f \\u0441\\u0432\\u044f\\u0442.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u041f\\u043e\\u043b\\u0435\\u0437\\u043d\\u0438 \\u0432\\u0440\\u044a\\u0437\\u043a\\u0438\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041c\\u0435\\u0441\\u0442\\u043e\\u043f\\u043e\\u043b\\u043e\\u0436\\u0435\\u043d\\u0438\\u0435 \\u043d\\u0430 \\u043c\\u0430\\u0433\\u0430\\u0437\\u0438\\u043d\\u0430\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u0441\\u043b\\u0435\\u0434\\u043d\\u0438 \\u043d\\u043e\\u0432\\u0438\\u043d\\u0438\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041c\\u043e\\u044f\\u0442 \\u0430\\u043a\\u0430\\u0443\\u043d\\u0442\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u0420\\u044a\\u043a\\u043e\\u0432\\u043e\\u0434\\u0441\\u0442\\u0432\\u043e \\u0437\\u0430 \\u0440\\u0430\\u0437\\u043c\\u0435\\u0440\\u0438\\u0442\\u0435\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u0427\\u0417\\u0412\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"\\u0418\\u043d\\u0444\\u043e\\u0440\\u043c\\u0430\\u0446\\u0438\\u044f\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"\\u041d\\u0430\\u0447\\u0430\\u043b\\u043d\\u0430 \\u0441\\u0442\\u0440\\u0430\\u043d\\u0438\\u0446\\u0430\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u041a\\u044a\\u0449\\u0430 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"\\u041e\\u0442\\u043d\\u043e\\u0441\\u043d\\u043e\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u043b\\u0438\\u0442\\u0438\\u043a\\u0430 \\u0437\\u0430 \\u043f\\u043e\\u0432\\u0435\\u0440\\u0438\\u0442\\u0435\\u043b\\u043d\\u043e\\u0441\\u0442\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"\\u041f\\u043e\\u043b\\u0438\\u0442\\u0438\\u043a\\u0430 \\u0437\\u0430 \\u0432\\u044a\\u0437\\u0441\\u0442\\u0430\\u043d\\u043e\\u0432\\u044f\\u0432\\u0430\\u043d\\u0435 \\u043d\\u0430 \\u0441\\u0443\\u043c\\u0438\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"\\u0426\\u0438\\u0444\\u0440\\u043e\\u0432\\u0438 \\u043f\\u043b\\u0430\\u0449\\u0430\\u043d\\u0438\\u044f\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\\"},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\\",\\\"data\\\":{\\\"address\\\":\\\"\\\",\\\"email\\\":\\\"\\\",\\\"phone\\\":\\\"\\\",\\\"social_title\\\":\\\"\\u041e\\u0441\\u0442\\u0430\\u043d\\u0435\\u0442\\u0435 \\u0441\\u0432\\u044a\\u0440\\u0437\\u0430\\u043d\\u0438\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#3d33ab\\\",\\\"border_top\\\":\\\"#2e2870\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill  <span style=\\\\\\\"float:right;\\\\\\\"> \\u0412\\u0441\\u0438\\u0447\\u043a\\u0438 \\u043f\\u0440\\u0430\\u0432\\u0430 \\u0437\\u0430\\u043f\\u0430\\u0437\\u0435\\u043d\\u0438<\\\\\\/span>\\\",\\\"position\\\":\\\"left\\\"}}\",\"ca\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2e2870\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Sobre nosaltres\\\",\\\"data\\\":{\\\"short_details\\\":\\\"La soluci\\u00f3 definitiva tot en un per al vostre negoci de comer\\u00e7 electr\\u00f2nic a tot el m\\u00f3n.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Enlla\\u00e7os \\u00fatils\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Ubicaci\\u00f3 de la botiga\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"\\u00daltimes not\\u00edcies\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"El meu compte\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Guia de talles\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Preguntes freq\\u00fcents\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Informaci\\u00f3\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"P\\u00e0gina d\'inici\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Casa 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Sobre\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Pol\\u00edtica de privacitat\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Pol\\u00edtica de reemborsament\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Pagaments digitals\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\\"},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\\",\\\"data\\\":{\\\"address\\\":\\\"\\\",\\\"email\\\":\\\"\\\",\\\"phone\\\":\\\"\\\",\\\"social_title\\\":\\\"Mantingueu-vos connectats\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#3d33ab\\\",\\\"border_top\\\":\\\"#2e2870\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill  <span style=\\\\\\\"float:right;\\\\\\\"> Tots els drets reservats<\\\\\\/span>\\\",\\\"position\\\":\\\"left\\\"}}\",\"et\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2e2870\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Meist\\\",\\\"data\\\":{\\\"short_details\\\":\\\"\\u00dclim k\\u00f5ikeh\\u00f5lmav lahendus teie e-kaubanduse \\u00e4ri jaoks kogu maailmas.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Kasulikud lingid\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Poekoht\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Viimased uudised\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Minu konto\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Suuruse juhend\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"KKK\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Teave\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Koduleht\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Kodu 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Umbes\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Privaatsuspoliitika\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Tagasimakse poliitika\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Digitaalsed maksed\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\\"},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\\",\\\"data\\\":{\\\"address\\\":\\\"\\\",\\\"email\\\":\\\"\\\",\\\"phone\\\":\\\"\\\",\\\"social_title\\\":\\\"P\\u00fcsige \\u00fchenduses\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#3d33ab\\\",\\\"border_top\\\":\\\"#2e2870\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill  <span style=\\\\\\\"float:right;\\\\\\\"> K\\u00f5ik \\u00f5igused kaitstud<\\\\\\/span>\\\",\\\"position\\\":\\\"left\\\"}}\",\"nl\":\"{\\\"main\\\":{\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#2e2870\\\",\\\"direction\\\":\\\"left\\\",\\\"about_us\\\":{\\\"sort\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"Over ons\\\",\\\"data\\\":{\\\"short_details\\\":\\\"De ultieme alles-in-\\u00e9\\u00e9n oplossing voor uw e-commerce bedrijf wereldwijd.\\\",\\\"download_app\\\":\\\"\\\",\\\"google_play_link\\\":\\\"https:\\\\\\/\\\\\\/play.google.com\\\\\\/store\\\\\\/games\\\",\\\"app_store_link\\\":\\\"https:\\\\\\/\\\\\\/www.apple.com\\\\\\/app-store\\\\\\/\\\"}},\\\"useful_links\\\":{\\\"sort\\\":\\\"2\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Handige links\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Winkel locatie\\\",\\\"link\\\":\\\"\\\"},\\\"2\\\":{\\\"label\\\":\\\"Laatste nieuws\\\",\\\"link\\\":\\\"\\\"},\\\"3\\\":{\\\"label\\\":\\\"Mijn account\\\",\\\"link\\\":\\\"\\\"},\\\"4\\\":{\\\"label\\\":\\\"Maattabel\\\",\\\"link\\\":\\\"\\\"},\\\"5\\\":{\\\"label\\\":\\\"Veelgestelde vragen\\\",\\\"link\\\":\\\"\\\"}}},\\\"pages\\\":{\\\"sort\\\":\\\"3\\\",\\\"status\\\":\\\"0\\\",\\\"title\\\":\\\"Informatie\\\",\\\"data\\\":{\\\"1\\\":{\\\"label\\\":\\\"Startpagina\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\\"},\\\"2\\\":{\\\"label\\\":\\\"Huis 2\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/home-2\\\"},\\\"3\\\":{\\\"label\\\":\\\"Over\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/about-us\\\"},\\\"4\\\":{\\\"label\\\":\\\"Privacybeleid\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/privacy-policy\\\"},\\\"5\\\":{\\\"label\\\":\\\"Terugbetalingsbeleid\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/refund-policy\\\"},\\\"6\\\":{\\\"label\\\":\\\"Digitale betalingen\\\",\\\"link\\\":\\\"http://localhost/multi-vendor\\/page\\\\\\/digital-payments\\\"}}},\\\"categories\\\":{\\\"sort\\\":\\\"4\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\\"},\\\"contact_us\\\":{\\\"sort\\\":\\\"5\\\",\\\"status\\\":\\\"1\\\",\\\"title\\\":\\\"\\\",\\\"data\\\":{\\\"address\\\":\\\"\\\",\\\"email\\\":\\\"\\\",\\\"phone\\\":\\\"\\\",\\\"social_title\\\":\\\"Blijf verbonden\\\",\\\"social_data\\\":{\\\"1\\\":{\\\"label\\\":\\\"facebook\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.facebook.com\\\"},\\\"2\\\":{\\\"label\\\":\\\"youtube\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.youtube.com\\\"},\\\"3\\\":{\\\"label\\\":\\\"whatsapp\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.whatsapp.com\\\"},\\\"4\\\":{\\\"label\\\":\\\"instagram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.instagram.com\\\"},\\\"5\\\":{\\\"label\\\":\\\"wechat\\\",\\\"link\\\":\\\"\\\"},\\\"6\\\":{\\\"label\\\":\\\"tiktok\\\",\\\"link\\\":\\\"\\\"},\\\"7\\\":{\\\"label\\\":\\\"telegram\\\",\\\"link\\\":\\\"https:\\\\\\/\\\\\\/www.telegram.com\\\"},\\\"8\\\":{\\\"label\\\":\\\"snapchat\\\",\\\"link\\\":\\\"\\\"},\\\"9\\\":{\\\"label\\\":\\\"twitter\\\",\\\"link\\\":\\\"\\\"},\\\"10\\\":{\\\"label\\\":\\\"reddit\\\",\\\"link\\\":\\\"\\\"},\\\"11\\\":{\\\"label\\\":\\\"quora\\\",\\\"link\\\":\\\"\\\"},\\\"12\\\":{\\\"label\\\":\\\"skype\\\",\\\"link\\\":\\\"\\\"},\\\"13\\\":{\\\"label\\\":\\\"microsoft_teams\\\",\\\"link\\\":\\\"\\\"},\\\"14\\\":{\\\"label\\\":\\\"linkedin\\\",\\\"link\\\":\\\"\\\"}}}}},\\\"bottom\\\":{\\\"status\\\":\\\"1\\\",\\\"text_color\\\":\\\"#ffffff\\\",\\\"bg_color\\\":\\\"#3d33ab\\\",\\\"border_top\\\":\\\"#2e2870\\\",\\\"title\\\":\\\"\\\\u00a92022 Mart Vill  <span style=\\\\\\\"float:right;\\\\\\\"> Alle rechten voorbehouden<\\\\\\/span>\\\",\\\"position\\\":\\\"left\\\"}}\"}'),(155,'digital_template_header','{\"top\":{\"show_header\":\"1\",\"text_color\":\"#ffffff\",\"bg_color\":\"#3d33ab\",\"show_phone\":\"1\",\"phone\":\"+12013828902\",\"show_email\":\"1\",\"email\":\"support@martvill.net\",\"show_seller\":\"0\",\"show_compare\":\"0\",\"show_currency\":\"1\",\"show_language\":\"1\"},\"main\":{\"text_color\":\"#ffffff\",\"bg_color\":\"#5a4ee8\",\"show_logo\":\"1\",\"show_searchbar\":\"1\",\"show_account\":\"1\",\"show_wishlist\":\"0\",\"show_cart\":\"1\",\"show_track\":\"0\"},\"bottom\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#f3f2fd\",\"show_category\":\"0\",\"category_expand\":\"1\",\"border_top\":\"#3d33ab\",\"border_bottom\":\"#dfdfdf\",\"show_page_menu\":\"1\",\"show_download_app\":\"0\",\"show_google_play\":\"1\",\"google_play_link\":\"https:\\/\\/play.google.com\\/store\\/games\",\"show_app_store\":\"1\",\"app_store_link\":\"https:\\/\\/www.apple.com\\/app-store\\/\"},\"bottom_category\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#f3f3f3\"}}'),(156,'digital_template_header_logo','1071'),(157,'digital_template_is_color_picker_active','0'),(158,'digital_template_social','{\"facebook\":\"1\",\"whatsapp\":\"1\",\"instagram\":\"1\",\"pinterest\":\"1\",\"linkedin\":\"1\"}'),(159,'digital_template_page','{\"term_condition\":\"privacy-policy\",\"slider\":\"home-page\"}'),(160,'digital_template_header_mobile_logo',''),(161,'digital_template_download_google_play_logo',''),(162,'digital_template_download_app_store_logo',''),(163,'digital_template_primary_color','#5a4ee8'),(164,'digital_template_product','{\"add_to_cart\":\"1\",\"wishlist\":\"1\",\"compare\":\"1\",\"quick_view\":\"1\",\"review\":\"1\",\"price\":\"1\",\"badge\":\"1\",\"height\":\"192\"}'),(165,'fashion_v5_template_footer_logo','1167'),(166,'fashion_v5_template_google_play',''),(167,'fashion_v5_template_app_store',''),(168,'fashion_v5_template_payment_methods',''),(169,'fashion_v5_template_phone_no','0'),(170,'fashion_v5_template_email','0'),(171,'fashion_v5_template_currency','0'),(172,'fashion_v5_template_footer','{\"main\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#f2f3f5\",\"direction\":\"center\",\"about_us\":{\"sort\":\"1\",\"status\":\"1\",\"title\":\"About Us\",\"data\":{\"short_details\":\"The ultimate all-in-one solution for your ecommerce business worldwide.\",\"download_app\":\"Download Our App\",\"google_play_link\":\"https:\\/\\/play.google.com\\/store\\/games\",\"app_store_link\":\"https:\\/\\/www.apple.com\\/app-store\\/\"}},\"useful_links\":{\"sort\":\"2\",\"status\":\"0\",\"title\":\"Useful Links\",\"data\":{\"1\":{\"label\":\"About Us\",\"link\":\"http://localhost/multi-vendor/page\\/about-us\"},\"2\":{\"label\":\"Contact Us\",\"link\":\"http://localhost/multi-vendor/page\\/contact-us\"},\"3\":{\"label\":\"Privacy Policy\",\"link\":\"http://localhost/multi-vendor/page\\/privacy-policy\"},\"4\":{\"label\":\"Refund Policy\",\"link\":\"http://localhost/multi-vendor/page\\/refund-policy\"},\"5\":{\"label\":\"Digital Payment\",\"link\":\"http://localhost/multi-vendor/page\\/digital-payments\"},\"6\":{\"label\":\"Track Order\",\"link\":\"http://localhost/multi-vendor/track-order\"},\"7\":{\"label\":\"All Products\",\"link\":\"http://localhost/multi-vendor/search-products\"},\"8\":{\"label\":\"Be A Seller\",\"link\":\"http://localhost/multi-vendor/seller\\/sign-up\"}}},\"pages\":{\"sort\":\"3\",\"status\":\"1\",\"title\":\"Home Pages\",\"data\":{\"1\":{\"label\":\"Homepage - Mixed\",\"link\":\"http://localhost/multi-vendor/page\\/home-1\"},\"2\":{\"label\":\"Homepage - Furniture\",\"link\":\"http://localhost/multi-vendor/page\\/home-3\"},\"3\":{\"label\":\"Homepage - Digital Product\",\"link\":\"http://localhost/multi-vendor/page\\/home-6\"},\"4\":{\"label\":\"Homepage - Groceries\",\"link\":\"http://localhost/multi-vendor/page\\/home-7\"},\"5\":{\"label\":\"Homepage - Fashion - I\",\"link\":\"http://localhost/multi-vendor/page\\/home-8\"},\"6\":{\"label\":\"Homepage - Fashion - II\",\"link\":\"http://localhost/multi-vendor/page\\/home-5\"},\"7\":{\"label\":\"Homepage - Fashion - III\",\"link\":\"http://localhost/multi-vendor/page\\/home-2\"},\"8\":{\"label\":\"Homepage - Fashion - IV\",\"link\":\"http://localhost/multi-vendor/page\\/home-4\"}}},\"categories\":{\"sort\":\"4\",\"status\":\"0\",\"title\":\"Categories\",\"data\":{\"1\":{\"label\":\"Electronics Devices\",\"link\":\"http://localhost/multi-vendor/search-products?categories=Electronic%20Devices\"},\"2\":{\"label\":\"Electronics Accessories\",\"link\":\"http://localhost/multi-vendor/search-products?categories=Electronic%20Accessories\"},\"3\":{\"label\":\"Health and Beauty\",\"link\":\"http://localhost/multi-vendor/search-products?categories=Health%20%26%20Beauty\"},\"4\":{\"label\":\"Babies and Toys\",\"link\":\"http://localhost/multi-vendor/search-products?categories=Babies%20%26%20Toys\"},\"5\":{\"label\":\"Fashion for All\",\"link\":\"http://localhost/multi-vendor/search-products?categories=Fashion\"},\"6\":{\"label\":\"Watches & Accessories\",\"link\":\"http://localhost/multi-vendor/search-products?categories=Watches%20%26%20Accessories\"},\"7\":{\"label\":\"Sports and Outdoor\",\"link\":\"http://localhost/multi-vendor/search-products?categories=Sports%20%26%20Outdoor\"},\"8\":{\"label\":\"Automobile & Bicycles\",\"link\":\"http://localhost/multi-vendor/search-products?categories=Automotive%20%26%20Motorbike\"}}},\"contact_us\":{\"sort\":\"5\",\"status\":\"1\",\"title\":\"Contact Us\",\"data\":{\"address\":\"Address: 184 Main Rd E, St Albans, Australia\",\"email\":\"admin@techvill.net\",\"phone\":\"+12013828901\",\"social_title\":\"Stay Connected\",\"social_data\":{\"1\":{\"label\":\"facebook\",\"link\":\"https:\\/\\/www.facebook.com\"},\"2\":{\"label\":\"youtube\",\"link\":\"https:\\/\\/www.youtube.com\"},\"3\":{\"label\":\"whatsapp\",\"link\":\"\"},\"4\":{\"label\":\"instagram\",\"link\":\"https:\\/\\/www.instagram.com\"},\"5\":{\"label\":\"wechat\",\"link\":\"\"},\"6\":{\"label\":\"tiktok\",\"link\":\"\"},\"7\":{\"label\":\"telegram\",\"link\":\"\"},\"8\":{\"label\":\"snapchat\",\"link\":\"\"},\"9\":{\"label\":\"twitter\",\"link\":\"https:\\/\\/www.twitter.com\"},\"10\":{\"label\":\"reddit\",\"link\":\"\"},\"11\":{\"label\":\"quora\",\"link\":\"\"},\"12\":{\"label\":\"skype\",\"link\":\"\"},\"13\":{\"label\":\"microsoft_teams\",\"link\":\"\"},\"14\":{\"label\":\"linkedin\",\"link\":\"https:\\/\\/www.linkedin.com\"}}}}},\"bottom\":{\"status\":\"1\",\"text_color\":\"#ffffff\",\"bg_color\":\"#2c2c2c\",\"border_top\":\"#050505\",\"title\":\"\\u00a92023 Mart Vill | All Rights Reserved\",\"position\":\"center\"}}'),(173,'fashion_v5_template_header','{\"top\":{\"show_header\":\"0\",\"text_color\":\"#2c2c2c\",\"bg_color\":\"#fcca19\",\"show_phone\":\"1\",\"phone\":\"+12013828902\",\"show_email\":\"1\",\"email\":\"admin@techvill.net\",\"show_seller\":\"1\",\"show_compare\":\"1\",\"show_currency\":\"1\",\"show_language\":\"1\"},\"main\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#ffffff\",\"show_logo\":\"1\",\"show_searchbar\":\"1\",\"show_account\":\"1\",\"show_wishlist\":\"1\",\"show_cart\":\"1\",\"show_track\":\"0\"},\"bottom\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#ffffff\",\"show_category\":\"0\",\"category_expand\":\"1\",\"border_top\":\"#dfdfdf\",\"border_bottom\":\"#dfdfdf\",\"show_page_menu\":\"0\",\"show_download_app\":\"0\",\"show_google_play\":\"1\",\"google_play_link\":\"https:\\/\\/play.google.com\\/store\\/games\",\"show_app_store\":\"1\",\"app_store_link\":\"https:\\/\\/www.apple.com\\/app-store\\/\"},\"bottom_category\":{\"text_color\":\"#2c2c2c\",\"bg_color\":\"#f3f3f3\"}}'),(174,'fashion_v5_template_header_logo','1167'),(175,'fashion_v5_template_is_color_picker_active','0'),(176,'fashion_v5_template_social','{\"facebook\":\"1\",\"whatsapp\":\"1\",\"instagram\":\"1\",\"pinterest\":\"1\",\"linkedin\":\"1\"}'),(177,'fashion_v5_template_page','{\"term_condition\":\"privacy-policy\",\"slider\":\"home-page\"}'),(178,'fashion_v5_template_header_mobile_logo','1167'),(179,'fashion_v5_template_download_google_play_logo',''),(180,'fashion_v5_template_download_app_store_logo',''),(181,'fashion_v5_template_primary_color','#19c880'),(182,'fashion_v5_template_product','{\"add_to_cart\":\"1\",\"wishlist\":\"1\",\"compare\":\"1\",\"quick_view\":\"1\",\"review\":\"1\",\"price\":\"1\",\"badge\":\"1\",\"height\":\"192\"}'),(183,'default_template_font_family','DM Sans, sans-serif'),(184,'fashion_template_font_family','DM Sans, sans-serif'),(185,'groceries_template_font_family','DM Sans, sans-serif'),(186,'mixed_template_font_family','DM Sans, sans-serif'),(187,'fashion_v2_template_font_family','DM Sans, sans-serif'),(188,'fashion_v3_template_font_family','DM Sans, sans-serif'),(189,'furniture_template_font_family','DM Sans, sans-serif'),(190,'fashion_v4_template_font_family','DM Sans, sans-serif'),(191,'digital_template_font_family','DM Sans, sans-serif'),(192,'fashion_v5_template_font_family','Poppins, sans-serif');
/*!40000 ALTER TABLE `theme_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `thread_replies`
--

DROP TABLE IF EXISTS `thread_replies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `thread_replies` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `thread_id` int unsigned NOT NULL,
  `sender_id` int unsigned DEFAULT NULL,
  `receiver_id` int unsigned DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  `message` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `has_attachment` tinyint(1) NOT NULL DEFAULT '0',
  `is_read` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `thread_replies_sender_id_index` (`sender_id`),
  KEY `thread_replies_receiver_id_index` (`receiver_id`),
  KEY `thread_replies_date_index` (`date`),
  KEY `thread_replies_has_attachment_index` (`has_attachment`),
  KEY `thread_replies_is_read_index` (`is_read`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `thread_replies`
--

LOCK TABLES `thread_replies` WRITE;
/*!40000 ALTER TABLE `thread_replies` DISABLE KEYS */;
INSERT INTO `thread_replies` VALUES (1,1,15,NULL,'2024-08-25 06:34:37','Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui. Nulla porttitor accumsan tincidunt. Sed porttitor lectus nibh. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Vivamus suscipit tortor eget felis porttitor volutpat.',0,0),(2,1,NULL,1,'2024-08-21 06:34:37','<p>Quisque velit nisi, pretium ut lacinia in, elementum id enim. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a.<br></p>',0,0),(3,1,15,NULL,'2024-08-22 06:34:37','<p>Curabitur aliquet quam id dui posuere blandit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui. Nulla quis lorem ut libero malesuada feugiat.<br></p>',0,0),(4,1,NULL,1,'2024-08-24 06:34:37','<p>Proin eget tortor risus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Pellentesque in ipsum id orci porta dapibus. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Donec sollicitudin molestie malesuada. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi.<br></p>',0,0),(5,1,NULL,1,'2024-08-23 06:34:37','<p>Quisque velit nisi, pretium ut lacinia in, elementum id enim. Donec rutrum congue leo eget malesuada. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.<br></p>',0,0),(6,2,18,NULL,'2024-08-24 06:34:37','Quisque velit nisi, pretium ut lacinia in, elementum id enim. Donec rutrum congue leo eget malesuada. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a. Sed porttitor lectus nibh. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Curabitur aliquet quam id dui posuere blandit. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem.',0,0),(7,2,NULL,1,'2024-08-24 06:34:37','<p>Proin eget tortor risus. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Pellentesque in ipsum id orci porta dapibus. Cras ultricies ligula sed magna dictum porta. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.<br></p>',0,0),(8,2,18,NULL,'2024-08-24 06:34:37','<p>Donec rutrum congue leo eget malesuada. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Curabitur aliquet quam id dui posuere blandit. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Sed porttitor lectus nibh.<br></p>',0,0),(9,2,NULL,1,'2024-08-21 06:34:37','<p>Nulla quis lorem ut libero malesuada feugiat. Nulla porttitor accumsan tincidunt. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.<br></p>',0,0),(10,2,18,NULL,'2024-08-22 06:34:37','<p>Nulla quis lorem ut libero malesuada feugiat. Pellentesque in ipsum id orci porta dapibus. Pellentesque in ipsum id orci porta dapibus. Vivamus suscipit tortor eget felis porttitor volutpat. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula.<br></p>',0,0),(11,2,NULL,1,'2024-08-22 06:34:37','<p>Vivamus suscipit tortor eget felis porttitor volutpat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras ultricies ligula sed magna dictum porta. Donec sollicitudin molestie malesuada. Quisque velit nisi, pretium ut lacinia in, elementum id enim. Donec rutrum congue leo eget malesuada. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.<br></p>',0,0),(12,2,18,NULL,'2024-08-22 06:34:37','<p>Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a. Sed porttitor lectus nibh. Pellentesque in ipsum id orci porta dapibus.<br></p>',0,0),(13,3,17,NULL,'2024-08-20 06:34:37','Curabitur aliquet quam id dui posuere blandit. Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui. Pellentesque in ipsum id orci porta dapibus.',0,0),(14,3,NULL,1,'2024-08-23 06:34:37','<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Donec rutrum congue leo eget malesuada. Donec sollicitudin molestie malesuada. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a.<br></p>',0,0),(15,3,17,NULL,'2024-08-24 06:34:37','<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Pellentesque in ipsum id orci porta dapibus.<br></p>',0,0),(16,4,NULL,1,'2024-08-22 06:34:37','<font color=\"#888888\" face=\"Open Sans, sans-serif\">Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui. Cras ultricies ligula sed magna dictum porta. Nulla quis lorem ut libero malesuada feugiat. Proin eget tortor risus.</font>',0,0),(17,4,19,NULL,'2024-08-24 06:34:37','<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec velit neque, auctor sit amet aliquam vel, ullamcorper sit amet ligula. Nulla porttitor accumsan tincidunt. Vivamus suscipit tortor eget felis porttitor volutpat. Proin eget tortor risus.<br></p>',0,0),(18,4,NULL,1,'2024-08-22 06:34:37','<p>Vestibulum ac diam sit amet quam vehicula elementum sed sit amet dui. Cras ultricies ligula sed magna dictum porta. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Vivamus suscipit tortor eget felis porttitor volutpat. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.<br></p>',0,0),(19,4,19,NULL,'2024-08-21 06:34:37','<p>Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Proin eget tortor risus. Sed porttitor lectus nibh. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar a.<br></p>',0,0);
/*!40000 ALTER TABLE `thread_replies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `thread_statuses`
--

DROP TABLE IF EXISTS `thread_statuses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `thread_statuses` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status_order` int NOT NULL,
  `color` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `thread_statuses_name_index` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `thread_statuses`
--

LOCK TABLES `thread_statuses` WRITE;
/*!40000 ALTER TABLE `thread_statuses` DISABLE KEYS */;
INSERT INTO `thread_statuses` VALUES (1,'Not Started',1,'#F22012'),(2,'In Progress',3,'#04a9f5'),(3,'Testing',4,'#5a4d4d'),(4,'Complete',5,'#00b894'),(5,'On Hold',2,'#fdcb6e'),(6,'Open',6,'#F22012'),(7,'Answered',7,'#0000ff');
/*!40000 ALTER TABLE `thread_statuses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `threads`
--

DROP TABLE IF EXISTS `threads`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `threads` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `receiver_id` bigint DEFAULT NULL,
  `email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `thread_type` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `department_id` int unsigned DEFAULT NULL,
  `priority_id` int unsigned DEFAULT NULL,
  `thread_status_id` int unsigned DEFAULT NULL,
  `thread_key` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `subject` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sender_id` bigint DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  `project_id` int unsigned DEFAULT NULL,
  `last_reply` datetime DEFAULT NULL,
  `assigned_member_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `threads_receiver_id_foreign_idx` (`receiver_id`),
  KEY `threads_status_to_index` (`thread_status_id`),
  KEY `threads_key_to_index` (`thread_key`),
  KEY `threads_sender_id_index` (`sender_id`),
  KEY `threads_member_to_index` (`assigned_member_id`),
  CONSTRAINT `threads_receiver_id_foreign` FOREIGN KEY (`receiver_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `threads_sender_id_foreign` FOREIGN KEY (`sender_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `threads`
--

LOCK TABLES `threads` WRITE;
/*!40000 ALTER TABLE `threads` DISABLE KEYS */;
INSERT INTO `threads` VALUES (1,15,'henry012045@gmail.com','Henry William','TICKET',1,2,6,'','Pellentesque in ipsum id orci porta dapibus.',15,'2024-08-08 06:34:37',NULL,'2024-09-19 06:34:37',1),(2,18,'daniel012045@gmail.com','Daniel William','TICKET',3,1,6,'','Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus.',18,'2024-08-09 06:34:37',NULL,'2024-09-19 06:34:37',1),(3,17,'mason012045@gmail.com','Mason William','TICKET',1,3,6,'','Praesent sapien massa, convallis a pellentesque nec, egestas non nisi.',17,'2024-08-14 06:34:37',NULL,'2024-09-19 06:34:37',1),(4,19,'micheal012045@gmail.com','Micheal William','TICKET',1,3,6,'THRD-63b2660a1e4ce','Sed porttitor lectus nibh. Lorem ipsum dolor sit amet, consectetur adipiscing elit.',1,'2024-08-14 06:34:37',NULL,'2024-09-19 06:34:37',1);
/*!40000 ALTER TABLE `threads` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `transactions`
--

DROP TABLE IF EXISTS `transactions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `transactions` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint DEFAULT NULL COMMENT 'Who paid for this transaction',
  `currency_id` int unsigned NOT NULL,
  `account_id` int DEFAULT NULL COMMENT 'account_id refers accounts table id',
  `shop_id` bigint DEFAULT NULL,
  `vendor_id` bigint DEFAULT NULL,
  `order_id` bigint unsigned DEFAULT NULL,
  `withdrawal_method_id` int unsigned DEFAULT NULL,
  `exchange_currency_id` int unsigned DEFAULT NULL,
  `exchange_rate` decimal(12,8) DEFAULT NULL,
  `amount` decimal(16,8) DEFAULT NULL COMMENT 'product amount',
  `charge_amount` decimal(16,8) DEFAULT NULL COMMENT 'payment processor fee',
  `commission_amount` decimal(16,8) DEFAULT NULL COMMENT 'admin/platform fee',
  `discount_amount` decimal(16,8) DEFAULT NULL COMMENT 'amount user got as discount',
  `paid_amount` decimal(16,8) DEFAULT NULL COMMENT 'payer paid after discount',
  `total_amount` decimal(16,8) DEFAULT NULL COMMENT 'Receiver amount after all fees',
  `transaction_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `transaction_date` date NOT NULL,
  `reference_number` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference_type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `params` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `status` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Pending/Rejected/Accepted',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `transactions_user_id_index` (`user_id`),
  KEY `transactions_currency_id_index` (`currency_id`),
  KEY `transactions_account_id_index` (`account_id`),
  KEY `transactions_shop_id_index` (`shop_id`),
  KEY `transactions_vendor_id_index` (`vendor_id`),
  KEY `transactions_order_id_index` (`order_id`),
  KEY `transactions_withdrawal_method_id_index` (`withdrawal_method_id`),
  KEY `transactions_exchange_currency_id_index` (`exchange_currency_id`),
  KEY `transactions_total_amount_index` (`total_amount`),
  KEY `transactions_transaction_type_index` (`transaction_type`),
  KEY `transactions_transaction_date_index` (`transaction_date`),
  KEY `transactions_reference_number_index` (`reference_number`),
  KEY `transactions_reference_type_index` (`reference_type`),
  CONSTRAINT `transactions_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `transactions_exchange_currency_id_foreign` FOREIGN KEY (`exchange_currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `transactions_order_id_foreign` FOREIGN KEY (`order_id`) REFERENCES `orders` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `transactions_shop_id_foreign` FOREIGN KEY (`shop_id`) REFERENCES `shops` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `transactions_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `transactions_vendor_id_foreign` FOREIGN KEY (`vendor_id`) REFERENCES `vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `transactions_withdrawal_method_id_foreign` FOREIGN KEY (`withdrawal_method_id`) REFERENCES `withdrawal_methods` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=78 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `transactions`
--

LOCK TABLES `transactions` WRITE;
/*!40000 ALTER TABLE `transactions` DISABLE KEYS */;
INSERT INTO `transactions` VALUES (1,3,3,NULL,NULL,NULL,NULL,2,NULL,NULL,25.00000000,NULL,NULL,NULL,NULL,25.00000000,'Withdrawal','2024-09-19',NULL,NULL,NULL,NULL,'Pending','2024-09-19 06:34:30',NULL),(2,2,3,NULL,NULL,16,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,925.11900000,925.11900000,'Order_actual_price','2024-07-27',NULL,NULL,NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(3,2,3,NULL,NULL,16,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,925.11900000,925.11900000,'Vendor_transaction_actual_price','2024-07-27','1','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(4,1,3,NULL,NULL,16,1,NULL,NULL,NULL,12.00000000,NULL,NULL,NULL,NULL,12.00000000,'Vendor_commission','2024-07-27','1','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(5,1,3,NULL,NULL,16,1,NULL,NULL,NULL,12.00000000,NULL,NULL,NULL,NULL,12.00000000,'Admin_commission','2024-07-27','1','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(6,15,3,NULL,NULL,16,1,NULL,NULL,NULL,8.10000000,NULL,NULL,NULL,NULL,8.10000000,'Vendor_commission','2024-07-27','2','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(7,15,3,NULL,NULL,16,1,NULL,NULL,NULL,8.10000000,NULL,NULL,NULL,NULL,8.10000000,'Admin_commission','2024-07-27','2','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(8,15,3,NULL,NULL,16,1,NULL,NULL,NULL,6.45000000,NULL,NULL,NULL,NULL,6.45000000,'Vendor_commission','2024-07-27','3','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(9,15,3,NULL,NULL,16,1,NULL,NULL,NULL,6.45000000,NULL,NULL,NULL,NULL,6.45000000,'Admin_commission','2024-07-27','3','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(10,2,3,NULL,NULL,19,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,42.02400000,42.02400000,'Order_actual_price','2024-08-15',NULL,NULL,NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(11,2,3,NULL,NULL,19,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,42.02400000,42.02400000,'Vendor_transaction_actual_price','2024-08-15','4','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(12,18,3,NULL,NULL,19,2,NULL,NULL,NULL,1.20000000,NULL,NULL,NULL,NULL,1.20000000,'Vendor_commission','2024-08-15','4','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(13,18,3,NULL,NULL,19,2,NULL,NULL,NULL,1.20000000,NULL,NULL,NULL,NULL,1.20000000,'Admin_commission','2024-08-15','4','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(14,2,3,NULL,NULL,1,3,NULL,NULL,NULL,NULL,NULL,NULL,NULL,28.26500000,28.26500000,'Order_actual_price','2024-07-23',NULL,NULL,NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(15,2,3,NULL,NULL,1,3,NULL,NULL,NULL,NULL,NULL,NULL,NULL,28.26500000,28.26500000,'Vendor_transaction_actual_price','2024-07-23','5','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(16,2,3,NULL,NULL,16,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,391.72200000,391.72200000,'Order_actual_price','2024-07-18',NULL,NULL,NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(17,2,3,NULL,NULL,16,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,391.72200000,391.72200000,'Vendor_transaction_actual_price','2024-07-18','8','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(18,4,3,NULL,NULL,1,7,NULL,NULL,NULL,NULL,NULL,NULL,NULL,21.12000000,21.12000000,'Order_actual_price','2024-07-14',NULL,NULL,NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(19,4,3,NULL,NULL,16,7,NULL,NULL,NULL,NULL,NULL,NULL,NULL,361.50000000,361.50000000,'Order_actual_price','2024-07-14',NULL,NULL,NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(20,4,3,NULL,NULL,19,7,NULL,NULL,NULL,NULL,NULL,NULL,NULL,93.54000000,93.54000000,'Order_actual_price','2024-07-14',NULL,NULL,NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(21,4,3,NULL,NULL,1,7,NULL,NULL,NULL,NULL,NULL,NULL,NULL,21.12000000,21.12000000,'Vendor_transaction_actual_price','2024-07-14','9','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(22,4,3,NULL,NULL,16,7,NULL,NULL,NULL,NULL,NULL,NULL,NULL,361.50000000,361.50000000,'Vendor_transaction_actual_price','2024-07-14','10','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(23,4,3,NULL,NULL,19,7,NULL,NULL,NULL,NULL,NULL,NULL,NULL,93.54000000,93.54000000,'Vendor_transaction_actual_price','2024-07-14','11','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(24,18,3,NULL,NULL,19,7,NULL,NULL,NULL,2.31000000,NULL,NULL,NULL,NULL,2.31000000,'Vendor_commission','2024-07-14','11','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(25,18,3,NULL,NULL,19,7,NULL,NULL,NULL,2.31000000,NULL,NULL,NULL,NULL,2.31000000,'Admin_commission','2024-07-14','11','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(26,15,3,NULL,NULL,16,7,NULL,NULL,NULL,9.75000000,NULL,NULL,NULL,NULL,9.75000000,'Vendor_commission','2024-07-14','10','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(27,15,3,NULL,NULL,16,7,NULL,NULL,NULL,9.75000000,NULL,NULL,NULL,NULL,9.75000000,'Admin_commission','2024-07-14','10','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(28,1,3,NULL,NULL,1,7,NULL,NULL,NULL,0.18000000,NULL,NULL,NULL,NULL,0.18000000,'Vendor_commission','2024-07-14','9','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(29,1,3,NULL,NULL,1,7,NULL,NULL,NULL,0.18000000,NULL,NULL,NULL,NULL,0.18000000,'Admin_commission','2024-07-14','9','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(30,6,3,NULL,NULL,19,9,NULL,NULL,NULL,NULL,NULL,NULL,NULL,152.96000000,152.96000000,'Order_actual_price','2024-07-19',NULL,NULL,NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(31,6,3,NULL,NULL,1,9,NULL,NULL,NULL,NULL,NULL,NULL,NULL,26.50000000,26.50000000,'Order_actual_price','2024-07-19',NULL,NULL,NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(32,6,3,NULL,NULL,17,9,NULL,NULL,NULL,NULL,NULL,NULL,NULL,26.50000000,26.50000000,'Order_actual_price','2024-07-19',NULL,NULL,NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(33,6,3,NULL,NULL,19,9,NULL,NULL,NULL,NULL,NULL,NULL,NULL,152.96000000,152.96000000,'Vendor_transaction_actual_price','2024-07-19','14','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(34,6,3,NULL,NULL,1,9,NULL,NULL,NULL,NULL,NULL,NULL,NULL,26.50000000,26.50000000,'Vendor_transaction_actual_price','2024-07-19','16','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(35,6,3,NULL,NULL,17,9,NULL,NULL,NULL,NULL,NULL,NULL,NULL,26.50000000,26.50000000,'Vendor_transaction_actual_price','2024-07-19','17','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(36,20,3,NULL,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,10.40480000,10.40480000,'Order_actual_price','2024-07-19',NULL,NULL,NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(37,20,3,NULL,NULL,16,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,301.00000000,301.00000000,'Order_actual_price','2024-07-19',NULL,NULL,NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(38,20,3,NULL,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,10.40480000,10.40480000,'Vendor_transaction_actual_price','2024-07-19','18','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(39,20,3,NULL,NULL,16,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,301.00000000,301.00000000,'Vendor_transaction_actual_price','2024-07-19','20','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(40,1,3,NULL,NULL,1,10,NULL,NULL,NULL,0.18000000,NULL,NULL,NULL,NULL,0.18000000,'Vendor_commission','2024-07-19','18','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(41,1,3,NULL,NULL,1,10,NULL,NULL,NULL,0.18000000,NULL,NULL,NULL,NULL,0.18000000,'Admin_commission','2024-07-19','18','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(42,1,3,NULL,NULL,1,10,NULL,NULL,NULL,0.06000000,NULL,NULL,NULL,NULL,0.06000000,'Vendor_commission','2024-07-19','19','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(43,1,3,NULL,NULL,1,10,NULL,NULL,NULL,0.06000000,NULL,NULL,NULL,NULL,0.06000000,'Admin_commission','2024-07-19','19','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(44,1,3,NULL,NULL,16,10,NULL,NULL,NULL,9.00000000,NULL,NULL,NULL,NULL,9.00000000,'Vendor_commission','2024-07-19','20','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(45,1,3,NULL,NULL,16,10,NULL,NULL,NULL,9.00000000,NULL,NULL,NULL,NULL,9.00000000,'Admin_commission','2024-07-19','20','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(46,6,3,NULL,NULL,16,11,NULL,NULL,NULL,NULL,NULL,NULL,NULL,332.50000000,332.50000000,'Order_actual_price','2024-09-13',NULL,NULL,NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(47,6,3,NULL,NULL,1,11,NULL,NULL,NULL,NULL,NULL,NULL,NULL,118.08000000,118.08000000,'Order_actual_price','2024-09-13',NULL,NULL,NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(48,6,3,NULL,NULL,16,11,NULL,NULL,NULL,NULL,NULL,NULL,NULL,332.50000000,332.50000000,'Vendor_transaction_actual_price','2024-09-13','21','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(49,6,3,NULL,NULL,1,11,NULL,NULL,NULL,NULL,NULL,NULL,NULL,118.08000000,118.08000000,'Vendor_transaction_actual_price','2024-09-13','22','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(50,7,3,NULL,NULL,1,12,NULL,NULL,NULL,NULL,NULL,NULL,NULL,21.12000000,21.12000000,'Order_actual_price','2024-08-31',NULL,NULL,NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(51,7,3,NULL,NULL,19,12,NULL,NULL,NULL,NULL,NULL,NULL,NULL,337.44000000,337.44000000,'Order_actual_price','2024-08-31',NULL,NULL,NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(52,7,3,NULL,NULL,1,12,NULL,NULL,NULL,NULL,NULL,NULL,NULL,21.12000000,21.12000000,'Vendor_transaction_actual_price','2024-08-31','24','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(53,7,3,NULL,NULL,19,12,NULL,NULL,NULL,NULL,NULL,NULL,NULL,337.44000000,337.44000000,'Vendor_transaction_actual_price','2024-08-31','25','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:30',NULL),(54,9,3,NULL,NULL,2,13,NULL,NULL,NULL,NULL,NULL,NULL,NULL,50.00000000,50.00000000,'Order_actual_price','2024-07-27',NULL,NULL,NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(55,9,3,NULL,NULL,2,13,NULL,NULL,NULL,NULL,NULL,NULL,NULL,50.00000000,50.00000000,'Vendor_transaction_actual_price','2024-07-27','29','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(56,8,3,NULL,NULL,1,14,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1278.18000000,1278.18000000,'Order_actual_price','2024-07-30',NULL,NULL,NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(57,8,3,NULL,NULL,1,14,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1278.18000000,1278.18000000,'Vendor_transaction_actual_price','2024-07-30','30','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(58,1,3,NULL,NULL,16,11,NULL,NULL,NULL,9.75000000,NULL,NULL,NULL,NULL,9.75000000,'Vendor_commission','2024-09-13','21','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(59,1,3,NULL,NULL,16,11,NULL,NULL,NULL,9.75000000,NULL,NULL,NULL,NULL,9.75000000,'Admin_commission','2024-09-13','21','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(60,1,3,NULL,NULL,1,11,NULL,NULL,NULL,0.30000000,NULL,NULL,NULL,NULL,0.30000000,'Vendor_commission','2024-09-13','22','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(61,1,3,NULL,NULL,1,11,NULL,NULL,NULL,0.30000000,NULL,NULL,NULL,NULL,0.30000000,'Admin_commission','2024-09-13','22','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(62,1,3,NULL,NULL,1,11,NULL,NULL,NULL,3.12000000,NULL,NULL,NULL,NULL,3.12000000,'Vendor_commission','2024-09-13','23','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(63,1,3,NULL,NULL,1,11,NULL,NULL,NULL,3.12000000,NULL,NULL,NULL,NULL,3.12000000,'Admin_commission','2024-09-13','23','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(64,1,3,NULL,NULL,1,12,NULL,NULL,NULL,0.18000000,NULL,NULL,NULL,NULL,0.18000000,'Vendor_commission','2024-08-31','24','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(65,1,3,NULL,NULL,1,12,NULL,NULL,NULL,0.18000000,NULL,NULL,NULL,NULL,0.18000000,'Admin_commission','2024-08-31','24','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(66,1,3,NULL,NULL,19,12,NULL,NULL,NULL,1.35000000,NULL,NULL,NULL,NULL,1.35000000,'Vendor_commission','2024-08-31','25','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(67,1,3,NULL,NULL,19,12,NULL,NULL,NULL,1.35000000,NULL,NULL,NULL,NULL,1.35000000,'Admin_commission','2024-08-31','25','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(68,1,3,NULL,NULL,19,12,NULL,NULL,NULL,2.25000000,NULL,NULL,NULL,NULL,2.25000000,'Vendor_commission','2024-08-31','26','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(69,1,3,NULL,NULL,19,12,NULL,NULL,NULL,2.25000000,NULL,NULL,NULL,NULL,2.25000000,'Admin_commission','2024-08-31','26','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(70,1,3,NULL,NULL,19,12,NULL,NULL,NULL,2.25000000,NULL,NULL,NULL,NULL,2.25000000,'Vendor_commission','2024-08-31','27','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(71,1,3,NULL,NULL,19,12,NULL,NULL,NULL,2.25000000,NULL,NULL,NULL,NULL,2.25000000,'Admin_commission','2024-08-31','27','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(72,1,3,NULL,NULL,19,12,NULL,NULL,NULL,2.31000000,NULL,NULL,NULL,NULL,2.31000000,'Vendor_commission','2024-08-31','28','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(73,1,3,NULL,NULL,19,12,NULL,NULL,NULL,2.31000000,NULL,NULL,NULL,NULL,2.31000000,'Admin_commission','2024-08-31','28','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(74,1,3,NULL,NULL,2,13,NULL,NULL,NULL,1.50000000,NULL,NULL,NULL,NULL,1.50000000,'Vendor_commission','2024-07-27','29','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(75,1,3,NULL,NULL,2,13,NULL,NULL,NULL,1.50000000,NULL,NULL,NULL,NULL,1.50000000,'Admin_commission','2024-07-27','29','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(76,1,3,NULL,NULL,16,1,NULL,NULL,NULL,6.45000000,NULL,NULL,NULL,NULL,6.45000000,'Refund_commission','2024-07-27','3','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL),(77,1,3,NULL,NULL,19,12,NULL,NULL,NULL,2.25000000,NULL,NULL,NULL,NULL,2.25000000,'Refund_commission','2024-08-31','27','order_details',NULL,NULL,'Accepted','2024-09-19 06:34:31',NULL);
/*!40000 ALTER TABLE `transactions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `transfer_details`
--

DROP TABLE IF EXISTS `transfer_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `transfer_details` (
  `id` int NOT NULL AUTO_INCREMENT,
  `transfer_id` int NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `quantity` decimal(16,8) NOT NULL DEFAULT '0.00000000',
  `quantity_receive` decimal(16,8) NOT NULL DEFAULT '0.00000000',
  `quantity_reject` decimal(16,8) NOT NULL DEFAULT '0.00000000',
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `transfer_details_transfer_id_foreign_idx` (`transfer_id`),
  KEY `transfer_details_product_id_foreign_idx` (`product_id`),
  CONSTRAINT `transfer_details_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `transfer_details_transfer_id_foreign` FOREIGN KEY (`transfer_id`) REFERENCES `transfers` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `transfer_details`
--

LOCK TABLES `transfer_details` WRITE;
/*!40000 ALTER TABLE `transfer_details` DISABLE KEYS */;
INSERT INTO `transfer_details` VALUES (1,1,1255,2.00000000,2.00000000,0.00000000,'2024-09-19 06:34:39',NULL),(2,1,1238,3.00000000,3.00000000,0.00000000,'2024-09-19 06:34:39',NULL),(3,2,1236,3.00000000,0.00000000,0.00000000,'2024-09-19 06:34:39',NULL),(4,2,1238,2.00000000,0.00000000,0.00000000,'2024-09-19 06:34:39',NULL);
/*!40000 ALTER TABLE `transfer_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `transfers`
--

DROP TABLE IF EXISTS `transfers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `transfers` (
  `id` int NOT NULL AUTO_INCREMENT,
  `reference` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `vendor_id` bigint NOT NULL,
  `from_location_id` bigint NOT NULL,
  `to_location_id` bigint NOT NULL,
  `quantity` decimal(16,8) NOT NULL,
  `shipping_carrier` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tracking_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `arrival_date` date DEFAULT NULL,
  `note` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(45) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `transfers_vendor_id_foreign_idx` (`vendor_id`),
  KEY `transfers_form_location_id_foreign_idx` (`from_location_id`),
  KEY `transfers_to_location_id_foreign_idx` (`to_location_id`),
  CONSTRAINT `transfers_form_location_id_foreign` FOREIGN KEY (`from_location_id`) REFERENCES `locations` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `transfers_to_location_id_foreign` FOREIGN KEY (`to_location_id`) REFERENCES `locations` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `transfers_vendor_id_foreign` FOREIGN KEY (`vendor_id`) REFERENCES `vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `transfers`
--

LOCK TABLES `transfers` WRITE;
/*!40000 ALTER TABLE `transfers` DISABLE KEYS */;
INSERT INTO `transfers` VALUES (1,'TR0001',1,1,5,5.00000000,'DHL ecommerce',NULL,'2024-08-23',NULL,'Received','2024-09-19 06:34:39',NULL),(2,'TR0002',1,1,5,5.00000000,NULL,NULL,'2024-08-15',NULL,'Pending','2024-09-19 06:34:39',NULL);
/*!40000 ALTER TABLE `transfers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `translations`
--

DROP TABLE IF EXISTS `translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `translations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `locale` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `field_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `translations`
--

LOCK TABLES `translations` WRITE;
/*!40000 ALTER TABLE `translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_searches`
--

DROP TABLE IF EXISTS `user_searches`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_searches` (
  `search_id` bigint unsigned NOT NULL,
  `user_id` bigint DEFAULT NULL,
  `browser_agent` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  KEY `user_searches_user_id_foreign_idx` (`user_id`),
  KEY `user_searches_search_id_foreign` (`search_id`),
  CONSTRAINT `user_searches_search_id_foreign` FOREIGN KEY (`search_id`) REFERENCES `searches` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `user_searches_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_searches`
--

LOCK TABLES `user_searches` WRITE;
/*!40000 ALTER TABLE `user_searches` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_searches` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_withdrawal_settings`
--

DROP TABLE IF EXISTS `user_withdrawal_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_withdrawal_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint NOT NULL,
  `withdrawal_method_id` int unsigned NOT NULL,
  `param` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_default` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `user_withdrawal_settings_user_id_index` (`user_id`),
  KEY `user_withdrawal_settings_withdrawal_method_id_index` (`withdrawal_method_id`),
  CONSTRAINT `user_withdrawal_settings_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `user_withdrawal_settings_withdrawal_method_id_foreign` FOREIGN KEY (`withdrawal_method_id`) REFERENCES `withdrawal_methods` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_withdrawal_settings`
--

LOCK TABLES `user_withdrawal_settings` WRITE;
/*!40000 ALTER TABLE `user_withdrawal_settings` DISABLE KEYS */;
INSERT INTO `user_withdrawal_settings` VALUES (1,3,1,'{\"email\":\"testuser@gmail.com\"}',1,'2024-09-19 06:34:29',NULL),(2,3,2,'{\"account_holder_name\":\"Jamal\",\"branch_name\":\"Uttara\",\"bank_account_number\":\"458796587456\",\"branch_city\":\"Dhaka\",\"swift_code\":\"587469\",\"branch_address\":\"Uttara\",\"bank_name\":\"Dutch Bangla\",\"country\":\"Bangladesh\"}',0,'2024-09-19 06:34:29',NULL);
/*!40000 ALTER TABLE `user_withdrawal_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `users` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `email_verified_at` timestamp NULL DEFAULT NULL,
  `password` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `birthday` date DEFAULT NULL,
  `gender` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` tinytext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `sso_account_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sso_service` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remember_token` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Pending',
  `activation_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `activation_otp` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_phone_unique` (`phone`),
  KEY `users_name_index` (`name`),
  KEY `users_email_index` (`email`),
  KEY `users_status_index` (`status`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'Agatha Williams','admin@techvill.net',NULL,'$2y$10$zXgnp.9rIXbNYr3ZUo7xVOWUhKKHXJZ63nBgT1zLFgi0CG6RUgfxG',NULL,NULL,'Male',NULL,NULL,NULL,NULL,'Active',NULL,NULL,'2024-09-19 06:34:28',NULL),(2,'Blaine Keller','user@techvill.net',NULL,'$2y$10$d0TN5l6NAx/zrqfYbW4eY.3qNwtLIeHhLOqoMgiuqLsDg6GXmcqeu',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active',NULL,NULL,'2024-09-19 06:34:28',NULL),(3,'Jamal','vendor@techvill.net',NULL,'$2y$10$AbEg.NFMGHv9kmwNmK6EZuzJcRR1oEADEVaYOkxS/ZCbSrmJDQq5S',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active',NULL,NULL,'2024-09-19 06:34:28',NULL),(4,'snowflake hamiz','user1@techvill.net',NULL,'$2y$10$ZASzZRVNqNArs9b0JyFjL.tibw/w9xe2xBiyeoim2C1Ub3yuxqrIe',NULL,NULL,'Male',NULL,NULL,NULL,NULL,'Active',NULL,NULL,'2024-09-19 06:34:28',NULL),(5,'Noah','noah012045@gmail.com','2022-08-17 06:12:43','$2y$10$07Y7luYoqQZfka9QN96RaeTL04MFCixuVJJfG1CCqUcFKSiBCmiuC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active',NULL,NULL,'2024-09-19 06:34:28',NULL),(6,'Oliver','oliver012045@gmail.com','2022-08-17 06:15:25','$2y$10$HJT2QDO9kMiFPczggPJps.f1gfQSkgY5322gE.IH6PGFyO7PaE19i',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active',NULL,NULL,'2024-09-19 06:34:28',NULL),(7,'Liam','liam012045@gmail.com','2022-08-17 06:18:02','$2y$10$qS30LuPebKePWXU4N9wa4eTrS/Zag/fHiv8X9YetNJ0AfS7LCo6du',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active',NULL,NULL,'2024-09-19 06:34:28',NULL),(8,'Elijah','elijah012045@gmail.com','2022-08-17 06:26:57','$2y$10$H2xB78tZhkpBbDT6S36Frua0pC79LhzHa9uVGXxHxmDKlUztcr2nm',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active',NULL,NULL,'2024-09-19 06:34:28',NULL),(9,'James','james012045@gmail.com','2022-08-17 06:31:07','$2y$10$3ee8SzybEqD3xqb/Nl3mkOGV03sNEnbGLgesbZ7jQvplB3mTRAAe2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active',NULL,NULL,'2024-09-19 06:34:28',NULL),(15,'Henry William','henry012045@gmail.com',NULL,'$2y$10$rpVsJdeDQy8acG8uRYYJXOxM2YvBCq1VkrZ4OUc0v4ukBdGwYX44e',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active',NULL,NULL,'2024-09-19 06:34:28',NULL),(16,'Jacob Wiliam','jacob012045@gmail.com',NULL,'$2y$10$15GTWqjoTLZS4GD/tdUBXe8VBdOOjndbGjEXyuVaI2pLjUVauWHjm',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active',NULL,NULL,'2024-09-19 06:34:28',NULL),(17,'Mason William','mason012045@gmail.com',NULL,'$2y$10$Ku9dMRqIHJFLaiD0oBWCO.siuT/dhTU6ABPSL45gWRjgl4LQHzgOG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active',NULL,NULL,'2024-09-19 06:34:28',NULL),(18,'Daniel William','daniel012045@gmail.com',NULL,'$2y$10$T3kT3nKFNN0sfkltUx8bteGQNDzNILkx9ddfLShrF3ej5k6mKWt9a',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active',NULL,NULL,'2024-09-19 06:34:28',NULL),(19,'Micheal William','micheal012045@gmail.com',NULL,'$2y$10$QbbLmACzdFnqnXSXNH4G/OSX5irSDsZUHQuyoSnSbmuqcGDZLtQkC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active',NULL,NULL,'2024-09-19 06:34:28',NULL),(20,'Lenin (User)','lenin.techvill@gmail.com',NULL,'$2y$10$Xar/4HVN1EPzDyZUZGDageUStWSghQe/AYZOnXRt7mLvGBNsh6AvO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active',NULL,NULL,'2024-09-19 06:34:28',NULL),(21,'Lenin (Vendor)','lenin.rock@gmail.com',NULL,'$2y$10$xHqkgEr3cUuGRTiu01Y4YeOdhPPZuqdC4LhZ9XKNaJW7lhFkjtmRS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active',NULL,NULL,'2024-09-19 06:34:28',NULL),(22,'Anthony Hendricks Adena Stout','jexygobevo@mailinator.com',NULL,'$2y$10$OqiyEqF6n2/zk5WAepQX..D6WwMV4XXsKjTypLwcLQkxcXPXk3eiC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active',NULL,NULL,'2024-09-19 06:34:28',NULL),(23,'Daryl Long Garrett Nichols','tawuqokel@mailinator.com',NULL,'$2y$10$OfjBF/UCPqXBsQ82cVGKDOLDgLsRRn/KkHyX5OQddfbUJ9C/sQ2gm',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active',NULL,NULL,'2024-09-19 06:34:28',NULL),(24,'Ivor Barber Lesley Figueroa','neses@mailinator.com',NULL,'$2y$10$n9RufekmqJclVDxF7/3HTO2mItQO9qmMM/bnH68rpXdSdOCLBMGQm',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active',NULL,NULL,'2024-09-19 06:34:28',NULL),(25,'Arden Bryant Kiara Nash','beganeco@mailinator.com',NULL,'$2y$10$fJ847eJoHOzQvdbE7o/NturJDKvyd7JQZJNE4SNireM75Ua8eBQ5W',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Active',NULL,NULL,'2024-09-19 06:34:28',NULL);
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users_meta`
--

DROP TABLE IF EXISTS `users_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `users_meta` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `owner_type` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `owner_id` int NOT NULL,
  `type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'null',
  `key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_meta_key_owner_type_owner_id_unique` (`key`,`owner_type`,`owner_id`),
  KEY `users_meta_key_index` (`key`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users_meta`
--

LOCK TABLES `users_meta` WRITE;
/*!40000 ALTER TABLE `users_meta` DISABLE KEYS */;
INSERT INTO `users_meta` VALUES (1,'App\\Models\\User',1,'string','designation','Tourist Guide',NULL,NULL),(2,'App\\Models\\User',1,'string','description','Michael is a lover, fighter and hater. He loves to travel, has an app called ‘The Travaluk’. He has travelled over 30 countries so far and dreams to visit every one of them.',NULL,NULL),(3,'App\\Models\\User',1,'string','facebook','https://www.facebook.com',NULL,NULL),(4,'App\\Models\\User',1,'string','twitter','https://www.twitter.com',NULL,NULL),(5,'App\\Models\\User',1,'string','instagram','https://www.instagram.com',NULL,NULL);
/*!40000 ALTER TABLE `users_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vendor_categories`
--

DROP TABLE IF EXISTS `vendor_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `vendor_categories` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `category_id` int NOT NULL,
  `vendor_id` bigint NOT NULL,
  `shop_id` bigint DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `vendor_categories_category_id_foreign_idx` (`category_id`),
  KEY `vendor_categories_vendor_id_foreign_idx` (`vendor_id`),
  KEY `vendor_categories_shop_id_foreign_idx` (`shop_id`),
  CONSTRAINT `vendor_categories_category_id_foreign` FOREIGN KEY (`category_id`) REFERENCES `categories` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `vendor_categories_shop_id_foreign` FOREIGN KEY (`shop_id`) REFERENCES `shops` (`id`) ON DELETE SET NULL ON UPDATE SET NULL,
  CONSTRAINT `vendor_categories_vendor_id_foreign` FOREIGN KEY (`vendor_id`) REFERENCES `vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vendor_categories`
--

LOCK TABLES `vendor_categories` WRITE;
/*!40000 ALTER TABLE `vendor_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `vendor_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vendor_users`
--

DROP TABLE IF EXISTS `vendor_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `vendor_users` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `vendor_id` bigint NOT NULL,
  `user_id` bigint NOT NULL,
  `status` varchar(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Pending',
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `vendor_users_vendor_id_foreign_idx` (`vendor_id`),
  KEY `vendor_users_user_id_foreign_idx` (`user_id`),
  KEY `vendor_users_status_index` (`status`),
  CONSTRAINT `vendor_users_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `vendor_users_vendor_id_foreign` FOREIGN KEY (`vendor_id`) REFERENCES `vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vendor_users`
--

LOCK TABLES `vendor_users` WRITE;
/*!40000 ALTER TABLE `vendor_users` DISABLE KEYS */;
INSERT INTO `vendor_users` VALUES (1,1,1,'Active','2024-09-19 06:34:28',NULL),(2,16,15,'Pending','2024-09-19 06:34:28',NULL),(3,17,16,'Pending','2024-09-19 06:34:28',NULL),(4,18,17,'Pending','2024-09-19 06:34:28',NULL),(5,19,18,'Pending','2024-09-19 06:34:28',NULL),(6,20,19,'Pending','2024-09-19 06:34:28',NULL),(7,2,3,'Pending','2024-09-19 06:34:28',NULL),(8,21,21,'Active','2024-09-19 06:34:28',NULL),(9,22,22,'Pending','2024-09-19 06:34:28',NULL),(10,23,23,'Pending','2024-09-19 06:34:28',NULL),(11,24,24,'Pending','2024-09-19 06:34:28',NULL),(12,25,25,'Pending','2024-09-19 06:34:28',NULL);
/*!40000 ALTER TABLE `vendor_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vendors`
--

DROP TABLE IF EXISTS `vendors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `vendors` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `formal_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Pending',
  `website` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sell_commissions` decimal(16,8) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `vendors_name_unique` (`name`),
  UNIQUE KEY `vendors_email_unique` (`email`),
  KEY `vendors_formal_name` (`formal_name`),
  KEY `vendors_status_index` (`status`),
  KEY `vendors_sell_commissions_index` (`sell_commissions`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vendors`
--

LOCK TABLES `vendors` WRITE;
/*!40000 ALTER TABLE `vendors` DISABLE KEYS */;
INSERT INTO `vendors` VALUES (1,'Gizmo Tizmo','admin@techvill.net','01854789632','Agatha Williams','Active',NULL,0.00000000,'2024-09-19 06:34:28',NULL,NULL),(2,'Joopie’s Gallery','info@jamal.com','09854789632','Jamal Williams','Active','https://www.jamal.com',0.00000000,'2024-09-19 06:34:28',NULL,NULL),(16,'SevenStar Furnitures','henry012045@gmail.com','0135467989','Henry Wiliam','Active',NULL,0.00000000,'2024-09-19 06:34:28',NULL,NULL),(17,'Holistic Store','jacob012045@gmail.com','0135467989','Jacob wiliam','Active',NULL,0.00000000,'2024-09-19 06:34:28',NULL,NULL),(18,'Home Decor Istanbul','mason012045@gmail.com','0135467989','Mason Wiliam','Active',NULL,0.00000000,'2024-09-19 06:34:28',NULL,NULL),(19,'Minimal Lifestyle','daniel012045@gmail.com','0135467989','Daniel Wiliam','Active',NULL,0.00000000,'2024-09-19 06:34:28',NULL,NULL),(20,'Galactic Sports','micheal012045@gmail.com','0135467989','Micheal Wiliam','Active',NULL,0.00000000,'2024-09-19 06:34:28',NULL,NULL),(21,'Lenin Rock','lenin.rock@gmail.com','01789456258','Tawhidul Islam','Active','https://techvill.net',0.00000000,'2024-09-19 06:34:28',NULL,NULL),(22,'Danielle Rios','jexygobevo@mailinator.com','01732216554',NULL,'Pending',NULL,NULL,'2024-09-19 06:34:28',NULL,NULL),(23,'Curran Guerra','tawuqokel@mailinator.com','01248876447',NULL,'Pending',NULL,NULL,'2024-09-19 06:34:28',NULL,NULL),(24,'Aurelia Hopper','neses@mailinator.com','01734487668',NULL,'Pending',NULL,NULL,'2024-09-19 06:34:28',NULL,NULL),(25,'Harlan Whitehead','beganeco@mailinator.com','01451176447',NULL,'Pending',NULL,NULL,'2024-09-19 06:34:28',NULL,NULL);
/*!40000 ALTER TABLE `vendors` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vendors_meta`
--

DROP TABLE IF EXISTS `vendors_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `vendors_meta` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `owner_type` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `owner_id` int NOT NULL,
  `type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'null',
  `key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `vendors_meta_key_owner_type_owner_id_unique` (`key`,`owner_type`,`owner_id`),
  KEY `vendors_meta_key_index` (`key`)
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vendors_meta`
--

LOCK TABLES `vendors_meta` WRITE;
/*!40000 ALTER TABLE `vendors_meta` DISABLE KEYS */;
INSERT INTO `vendors_meta` VALUES (1,'App\\Models\\Vendor',1,'string','description','Welcome to Online Gizmo Tizmo Bangladesh.Buy Game Currency,In-Game Recharge,Digital Goods at cheap rate in Bangladesh from OGSBD.',NULL,NULL),(2,'App\\Models\\Vendor',1,'string','cover_photo','733',NULL,NULL),(3,'App\\Models\\Vendor',1,'string','vendor_logo','732',NULL,NULL),(4,'App\\Models\\Vendor',2,'string','description','Unique Joopies Posters designed and sold by artists. Shop affordable wall art to hang in dorms, bedrooms, offices, or anywhere blank walls aren\'t welcome.',NULL,NULL),(5,'App\\Models\\Vendor',2,'string','cover_photo','734',NULL,NULL),(6,'App\\Models\\Vendor',2,'string','vendor_logo','735',NULL,NULL),(7,'App\\Models\\Vendor',16,'string','description','A retail shop that sells furniture and furniture related products. The town had an affordable, accessible furniture which the local population supported.',NULL,NULL),(8,'App\\Models\\Vendor',16,'string','cover_photo','739',NULL,NULL),(9,'App\\Models\\Vendor',16,'string','vendor_logo','738',NULL,NULL),(10,'App\\Models\\Vendor',17,'string','description','Holistic Store is a leading holistic and spiritual online shop selling a range of products for personal development and spiritual insight.',NULL,NULL),(11,'App\\Models\\Vendor',17,'string','cover_photo','741',NULL,NULL),(12,'App\\Models\\Vendor',17,'string','vendor_logo','740',NULL,NULL),(13,'App\\Models\\Vendor',18,'string','description','Largest online home decor shop in bangladesh. Buy home decor products in bangladesh at best prices and pay cash on delivery in dhaka.',NULL,NULL),(14,'App\\Models\\Vendor',18,'string','cover_photo','743',NULL,NULL),(15,'App\\Models\\Vendor',18,'string','vendor_logo','742',NULL,NULL),(16,'App\\Models\\Vendor',19,'string','description','Lifestyle is a brand that always tries to satisfy the customers with quality and innovative products. Our aim is to be your trusted clothing partner and want to make a trustworthy environment.',NULL,NULL),(17,'App\\Models\\Vendor',19,'string','cover_photo','745',NULL,NULL),(18,'App\\Models\\Vendor',19,'string','vendor_logo','744',NULL,NULL),(19,'App\\Models\\Vendor',20,'string','description','Sportsuchtig will sell the latest and most popular name-brand sporting goods, apparel, and accessories.',NULL,NULL),(20,'App\\Models\\Vendor',20,'string','cover_photo','747',NULL,NULL),(21,'App\\Models\\Vendor',20,'string','vendor_logo','746',NULL,NULL),(22,'App\\Models\\Vendor',21,'NULL','description',NULL,NULL,NULL),(23,'App\\Models\\Vendor',21,'NULL','cover_photo',NULL,NULL,NULL),(24,'App\\Models\\Vendor',21,'string','vendor_logo','801',NULL,NULL),(25,'App\\Models\\Vendor',25,'NULL','description',NULL,NULL,NULL),(26,'App\\Models\\Vendor',25,'NULL','cover_photo',NULL,NULL,NULL),(27,'App\\Models\\Vendor',25,'string','vendor_logo','801',NULL,NULL),(28,'App\\Models\\Vendor',24,'NULL','description',NULL,NULL,NULL),(29,'App\\Models\\Vendor',24,'NULL','cover_photo',NULL,NULL,NULL),(30,'App\\Models\\Vendor',24,'string','vendor_logo','801',NULL,NULL),(31,'App\\Models\\Vendor',23,'NULL','description',NULL,NULL,NULL),(32,'App\\Models\\Vendor',23,'NULL','cover_photo',NULL,NULL,NULL),(33,'App\\Models\\Vendor',23,'string','vendor_logo','801',NULL,NULL),(34,'App\\Models\\Vendor',22,'NULL','description',NULL,NULL,NULL),(35,'App\\Models\\Vendor',22,'NULL','cover_photo',NULL,NULL,NULL),(36,'App\\Models\\Vendor',22,'string','vendor_logo','801',NULL,NULL);
/*!40000 ALTER TABLE `vendors_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wallets`
--

DROP TABLE IF EXISTS `wallets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `wallets` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint NOT NULL,
  `currency_id` int unsigned DEFAULT NULL,
  `balance` decimal(20,8) NOT NULL DEFAULT '0.00000000',
  `is_default` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `wallets_user_id_currency_id_unique` (`user_id`,`currency_id`),
  KEY `wallets_user_id_index` (`user_id`),
  KEY `wallets_currency_id_index` (`currency_id`),
  CONSTRAINT `wallets_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `wallets_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wallets`
--

LOCK TABLES `wallets` WRITE;
/*!40000 ALTER TABLE `wallets` DISABLE KEYS */;
INSERT INTO `wallets` VALUES (1,15,3,1571.40000000,1,'2024-09-19 06:34:30',NULL),(2,18,3,304.58000000,1,'2024-09-19 06:34:30',NULL),(3,1,3,129.98000000,1,'2024-09-19 06:34:30',NULL),(4,3,3,48.50000000,1,'2024-09-19 06:34:30',NULL),(5,2,3,215.00000000,1,'2024-09-19 06:34:30',NULL),(6,7,3,75.00000000,1,'2024-09-19 06:34:30',NULL);
/*!40000 ALTER TABLE `wallets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wishlists`
--

DROP TABLE IF EXISTS `wishlists`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `wishlists` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned NOT NULL,
  `user_id` bigint NOT NULL,
  `ip_address` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `browser_agent` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `wishlist_product_id_foreign_idx` (`product_id`),
  KEY `wishlist_user_id_foreign_idx` (`user_id`),
  KEY `wishlist_ip_address_index` (`ip_address`),
  KEY `wishlist_browser_agent_index` (`browser_agent`),
  CONSTRAINT `wishlist_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `wishlist_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=40 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wishlists`
--

LOCK TABLES `wishlists` WRITE;
/*!40000 ALTER TABLE `wishlists` DISABLE KEYS */;
INSERT INTO `wishlists` VALUES (37,1141,2,'::1','Google Chrome','2024-07-23 19:04:39'),(38,1142,2,'::1','Google Chrome','2024-09-04 13:13:27'),(39,1143,2,'::1','Google Chrome','2024-08-15 00:40:54');
/*!40000 ALTER TABLE `wishlists` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `wishlists_AINS` AFTER INSERT ON `wishlists` FOR EACH ROW UPDATE products SET total_wish = (select count(product_id) from wishlists WHERE product_id = products.id) WHERE products.id = NEW.product_id */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8mb4 */ ;
/*!50003 SET character_set_results = utf8mb4 */ ;
/*!50003 SET collation_connection  = utf8mb4_unicode_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `wishlists_ADEL` AFTER DELETE ON `wishlists` FOR EACH ROW UPDATE products SET total_wish = (select count(product_id) from wishlists WHERE product_id = products.id) WHERE products.id = OLD.product_id */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `withdrawal_methods`
--

DROP TABLE IF EXISTS `withdrawal_methods`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `withdrawal_methods` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `method_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `params` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `status` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Active/Inactive',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `withdrawal_methods_method_name_unique` (`method_name`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `withdrawal_methods`
--

LOCK TABLES `withdrawal_methods` WRITE;
/*!40000 ALTER TABLE `withdrawal_methods` DISABLE KEYS */;
INSERT INTO `withdrawal_methods` VALUES (1,'Paypal',NULL,'Active','2024-09-19 06:34:29',NULL),(2,'Bank',NULL,'Active','2024-09-19 06:34:29',NULL);
/*!40000 ALTER TABLE `withdrawal_methods` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-09-21  8:54:34
